JEDI-VCL 3.10 help system

Created with Doc-O-Matic.


JEDI-VCL

Symbol Reference	Topics

Welcome to the JEDI-VCL help system. JEDI-VCL is an OpenSource library containing many VCL and CLX components and controls.

Like any other good product, JEDI-VCL comes with a complete on-line help system. The help team has done its best to achieve the same look and feel as the Borland help files. Because the help is written by many different people, small differences might be observed when browsing this help system.

Also, not all members have English as their native tongue, so grammatical/spelling errors might be left. Some members who have English as their native tongue are going to check all text as soon as the help team is big enough and it wouldn't hurt too much if their time is spent correcting things instead of writing things.

The JEDI-VCL contains a lot of components, which might make it difficult for anyone to find the component to do a specific task. To aid you in the search, we divided the components into categories in this help file. When you open up the Contents page, you'll find a Functional Reference node under the main JEDI-VCL node. Within this node, you'll find various categories and sub-categories. For each category there's a topic available (with the same name as the category) that will show you a list of all components and controls that belong to this category or any of its sub categories.

Because of the size of JEDI-VCL and the fact that writing help takes a lot of time, the help file is currently far from complete, the main reason being that too much work has to be done by just a few people. If you have interest and/or experience in writing help, feel free to contact us and help us out. Contact information can be found here.

Because of the time it takes to build a new help file, especially if some help has been written for the current development state instead of the latest release, we have decided to no longer update frequently. Instead we will try to keep you updated on the progress of the help through posts on the jedi.jvcl news group.

The JEDI-VCL help team.

Created with Doc-O-Matic.


JEDI-VCL Reference

Topics

Topics

Donators

Team

Acknowledge

Additional information

Functional Reference

Packages

Created with Doc-O-Matic.


JEDI-VCL Reference

Symbol Reference

Created with Doc-O-Matic.


Donators
JEDI-VCL Reference

Donators

JEDI-VCL would not exist without the donation of components and controls. Below is a list (in alphabetical order) of people who have been so generous:

Raymond Alexander

Ivo Bauer

Peter Below

Marcel Bestebroer

Remko Bonte

Rob den Braasem

Marcel van Brakel

Sébastien Buysse

Chiang Seng Chang

Andrey V. Chudin

Dejoy

Max Evans

Steve Forbes

Jens Fudickar

Oliver Giesen

Ralf Grenzing

Michael Habbe

Andreas Hausladen

Thomas Hensle

Marc Hoffman

Maciej Kaczkowski

Olga Kobzar

Mike Kolter

Serge Korolev

Fedor Koshevnikov

John Kozikopulos

Christopher Latta

Frédéric Leneuf-Magaud

Robert Marquardt

Scott J. Miles

Erwin Molendijk

Dmitry Osinovsky

Florent Ouchet

Steve Paris

Igor Pavluk

Serhiy Perevoznyk

Stefano Pessina

David Polberger

Warren Postma

Andrei Prygounkov

Lionel Reynaud

Rossen

Robert Rossmair

Sergio Samayoa

Olivier Sannier

Fernando Silva

Pasha Sivtsov

André Snepvangers

Eko Subagio

Tim Sullivan

Peter Thörnqvist

Rudolph Velthuis

Jan Verhoeven

Christian Vogt

Petr Vones

William Yu Wei

Lu Xiaoban

Yul

Created with Doc-O-Matic.


Team
JEDI-VCL Reference

Team

The people working on JEDI-VCL changes from time to time, but the most current list of developers can be seen on this page.

The following people have special roles within JVCL or are administrators:

Olivier Sannier

Overall coordinator (admin)

Responsible for sourceforge releases

Responsible for homepage

C++ Builder Support Coordinator

Author of the Package Generator

Andreas Hausladen

Deputy Overall coordinator (admin)

VisualCLX Coordinator

Author of the JVCL Installer

Remko Bonte

Help Coordinator

André Snepvangers

VisualCLX Coordinator

Peter Thörnqvist

Former Overall coordinator (admin)

Created with Doc-O-Matic.


Acknowledge
JEDI-VCL Reference

Acknowledge

JEDI-VCL would like to thank the following people and organizations for their support in various areas:

Markus Spoettl (Doc-O-Matic)

Rene Tschaggelar (JEDI Newsgroups)

Created with Doc-O-Matic.


Additional information
JEDI-VCL Reference

Additional information

Topics

Some of the components and controls are so extensive, that not all information can be captured in the component and class descriptions. For these components and controls, additional informational topics are written, that explain the component and its background in more detail, often giving a more elobarate explanation of the component, its underlying technique and additional routines and classes involved.

This group is divided in such a way that the first level shows either the component name, its unit name or a name that encompasses the components/units involved.

Created with Doc-O-Matic.


Topics

Additional information

Topics

Managed threads

Writing plugins and plugin enabled applications

Overview of the JVCL Time Framework

Data Inspector overview

JvDSADialogs overview

Created with Doc-O-Matic.


Managed threads

Topics	Additional information

Created with Doc-O-Matic.


Topics

Managed threads

Topics

The Goals

Known limitations

The Idea

Created with Doc-O-Matic.


The Goals

Managed threads

Develop a set of components that provide a solid framework for developing multithreaded business applications.

Ease of use is more important then performance issues.

The components must assist in deadlock prevention as much as possible.

Terminating threads must be automated as much as possible.

Created with Doc-O-Matic.


Known limitations

Managed threads

There are several limitations, which you should be aware of:

Code (probably) won't work in DLL's or Runtime Packages

No support for synchronisation between multiple processes

Only for Delphi 6 and Delphi 7

Created with Doc-O-Matic.


The Idea

Managed threads

There are three components groups:

Threading

Data Exchange

Synchronization.

The component TJvMtThread is used to represent a thread. All threads belong to a specific manager TJvMtManager. The Suspend and Resume functions are not supported, as they are considered very dangerous. A thread can be acquired and released (just as synchronization objects) using a Ticket, which was issued by the manager. After acquiring a thread it can be safely manipulated, it will always exist. Though the status of a thread can change because it will keep running. After finishing with a thread, it must be released using Release().

The threads need to exchange information between them selves and with the main VCL thread. For this purpose the TJvMtThreadToVCL, TJvMtVCLToThread and TJvMtThreadToThread components have been developed. The buffers take owner ship of the object being passed thru and free it if the buffer gets destroyed. If the object is passed to the reader, this reader will also get the ownership. If a thread is terminated while waiting for buffer data, it will raise an EMTTerminate exception. This will cause the thread to terminate in an orderly fashion.

Usually it is also necessary to synchronize threads. The TJvMtSection, TJvMtCountingSection and TJvMtMonitorSection have been developed as a safe way of suspending and resuming threads. Even if a thread is blocked (suspended) while trying to enter one of these sections, it can still be terminated safely.

Created with Doc-O-Matic.


Writing plugins and plugin enabled applications

Topics	Additional information

In order to allow developers to extend applications a mechanism is needed to be able to communicate between the main application and the extensions. These extensions are commonly refered to as plugins.

A good example of an application that has plugin capabilities is WinAMP. Any developer can write an extension for WinAMP. WinAMP supports various types of plugins: User Interface plugins, input plugins, output plugins, sound processing plugins and more. All an end user needs to do is make sure the plugin is an the appropiate folder and WinAMP will load it.

Extensions commonly provide some additional functionality which will have to be made available in the main application (referred to as the host application). This is usually done by adding an option to a menu or a button to a toolbar. Some extensions will not provide user selectable functionality, but rather provide some form of processing. These plugins will therefor not provide additional menu items or buttons, but will be linked into some kind of processing chain.

The plugin capabilities provided by the JEDI-VCL will service both types of extensions. Each plugin may support either commands, message processing or both. A plugin is not limited to a single command or a single message.

This section contains the following topics:
Topic	Description
Package vs. DLL plugins	Discusses the differences between package based plugins and DLL based plugins.
Writing plugins	Discusses the basic steps involved in writing a plugin for an application.
Writing hosts	Discusses the basic steps involved in writing a host application.
Created with Doc-O-Matic.


Topics

Writing plugins and plugin enabled applications

Topics

Package vs. DLL plugins

Writing plugins

Writing host applications

Created with Doc-O-Matic.


Package vs. DLL plugins

Writing plugins and plugin enabled applications

There are two types of plugins you can write: DLL plugins or package plugins. Both have their pros and cons. Note that the host application usually determines if plugin should be written as a package or a DLL.

If an host application does not use run time packages, plugins should be written as a DLL.

If a host application prefers package plugins, it should be build using run time packages, at least vcl?? (where ?? represents the Delphi version). Host application that also use the JEDI-VCL run time package will require the plugins to use the JEDI-VCL run time package as well (note: the JEDI-VCL run time package also requires some other Delphi packages as well as the JCL run time package. These package should also be deployed with the host application and both the host application as well as the plugin DLL should use the same versions of all packages involved).

DLL plugins

DLL plugins are considered "old style" plugins, but still have their uses. DLL plugins are not required to use run time package. This is convenient if you want to deploy just one file for your plugin. It also allows plugin writers to use a different Delphi version than the host developer used.

A down side to using DLL plugins is that you are limited in your possibilities, unless both the host application and the plugins are both build using run time package (which also requires the host application and the plugin to be written in the same Delphi version). DLL plugins can not provide any objects to the host application (the Bitmap for the plugin commands can not be transferred to the host application, you can not provide MDI children or data modules).

Package plugins

Package plugins are the new style plugins. Package plugins should at a minimum require the vcl?? package (where ?? corresponds to the Delphi version). Host applications that will support package plugins will also need to be build using run time package with a minimum of the vcl?? package.

The downside to package plugins is that both host application and plugin should be written using the same Delphi version (including the same update pack).

Besides using the vcl package you could opt to use the JEDI-VCL runtime package as well (for both the host application as well as the plugin package you should use the same version of the JEDI-VCL package). The only pressing reason to do so would be to save the plugin writers from getting a warning each time they compile their plugin and save on resources.

Created with Doc-O-Matic.


Writing plugins

Writing plugins and plugin enabled applications

Writing plugins requires some knowledge about the host application. More precisely, you need to know if an application allows commands to be added to it's menu and/or toolbar if and which messages it can send and if it allows plugins to be configured and how it wants to do this.

Plugins can also be written to provide additional MDI children, additional forms, data modules and probably a lot more. It all more or less depends on what the host application supports.

In any case, it's vital to study the host applications documentation to be able to write plugins the host application can actually cope with.

To create plugin for an application you generally use the provided JEDI Plugin Wizard, which can be accessed by going to File|New... in Delphi. Head over to the Projects tab, select the JEDI Plugin Wizard icon and press OK.

A dialog is shown where you can enter the plugin's name and type of plugin.

The name denotes the name of the project (prefixed with Plg as well as the name of the unit (prefixed with Plugin) and the TJvPlugin instance that will be created.

The plugin type determines if a new DLL project or a new Package project will be created for the plugin.

After pressing OK, a new project will be created, containing a unit with the TJvPlugin instance.

To complete the plugin you can follow these tasks:

Specify the plugin ID. This ID must be unique in the host application, so it is wise to use a name that includes your company or your own name. Alternatively, you could assign a GUID (Global Unique IDentifier), but that would make the ID useless in the host application user interface as means of identifying which plugins are loaded. Internally, the host application doesn't care what this property contains, as long as it's unique.

Optionally specify the author, copyright, description and version of your plugin.

Optionally add one or more commands to the Commands collection of the TJvPlugin instance, providing a caption and an OnExecute handler and optionally a hint, custom data and/or a bitmap for each command.

Optionally assign a handler to the OnInitialize event.

Optionally assign a handler to the OnConfigure event.

Optionally assign a handler to the OnPluginMessage event

All tasks (except the first) are optional, but a useful plugin requires either an OnPluginMessage handler or a least one command to be assigned. You should check the host applications (technical) documentation to find out what the host application expects from the plugin.

Created with Doc-O-Matic.


Writing host applications

Writing plugins and plugin enabled applications

Writing plugin enabled applications, or hosts, requires some thinking ahead. You should determine upfront which types of plugins you want to support.

Are plugins allowed to add commands to your menu or toolbar? If so, how should they specify the location? How is the host to determine if the command is actually enabled?

Should plugins be able to receive generic messages (notifications)? If so, what types of notifications should there be and is there any additional data required?

Can plugins provide MDI children, forms or data modules? Can they provide other functionality? Is there a configuration possibility and how to implement it?

It's best to fully define the possibilities of your plugins before you even start coding or changing your application, or you'll soon be lost.

Writing a host application involves various steps, most of which depend on the type of plugins you need and if you need more than one type of plugins. For the most basic (and most common) type of host application you should follow these steps:

Drop a TJvPluginManager component on your application main form or a data module.

Setup those properties of the component that will not change during run time. This is usually the PluginKind property only, occasionally you would need to change the Extension property as well.

If you plan on block certain files from loading, assign an OnBeforeLoad event handler which will set AllowLoad to False for these files.

Assign an OnNewCommand event handler to register commands provided by the various plugins and create menu items and/or toolbar buttons for them.

Created with Doc-O-Matic.


Overview of the JVCL Time Framework

Topics	Additional information

Welcome to the JVCL Time Framework 2.0. We hope that you find it a valuable addition to your toolbox.

The JTF is a powerful suite of components that allow you to quickly and easily add PIM functionality into your software. It includes a powerful Schedule Manager component that handles all data access, a full-featured Day View, Week View and Month View, as well as an architecture that can support new functionality very easily.

You should begin by viewing the demo application. It provides a very solid overview of what the system is capable of, as well as what the components look like. After that, you should read up on the TJvTFScheduleManager component. It is the heart of the JTF product.

The JTF was kindly donated by Unlimited Intelligence Limited ) and was previously known as the UIL Time Framework 2.0.

Created with Doc-O-Matic.


Topics

Overview of the JVCL Time Framework

Topics

Batch Loading in the JVCL Time Framework

JvTFDays Keyboard Assignments

Refresh Reconciliation in the JVCL Time Framework

Using TJvTFPrinter in the JVCL Time Framework

Created with Doc-O-Matic.


Batch Loading in the JVCL Time Framework

Overview of the JVCL Time Framework

In order to allow more efficient data retrieval TJvTFScheduleManager offers batch loading features.

The TJvTFScheduleManager.SchedLoadMode property controls the manner in which schedules are loaded into TJvTFScheduleManager. If this property is set to slmOnDemand, TJvTFScheduleManager will fire the OnNeedAppts event for each schedule that needs to be loaded. This is the original manner which TJvTFScheduleManager used and if SchedLoadMode is set to slmOnDemand, TJvTFScheduleManager will operate exactly as it has in the past.

If the SchedLoadMode property is set to slmBatch, a different set of events is fired at different times which will allow you to optimize your data retrieval. When using slmBatch, all requests for schedules that are not currently loaded are batched and the loading of those schedules is deferred until a call to ProcessBatches is made.

Note that under normal circumstances, you do not have to call ProcessBatches as the individual JvTFComponents/JvTFControls will handle that automatically for you.

Once a call to ProcessBatches is made, TJvTFScheduleManager examines all of the schedules that have been batched and groups those schedules into one or more batches. The grouping is made first by the TJvTFSched.SchedName property and then by contiguous dates. Imagine the following schedules:

1.	Mike - 1/1/2000

2.	Mike - 1/2/2000

3.	Mike - 1/3/2000

4.	Mike - 1/4/2000

5.	John - 1/1/2000

6.	John - 1/2/2000

7.	John - 1/3/2000

8.	Mike - 1/15/2000

9.	Bob - 1/15/2000

TJvTFScheduleManager would group the above schedules into four seperate batches:

1.	Mike - start 1/1/2000 - end 1/4/2000

2.	John - start 1/1/2000 - end 1/3/2000

3.	Mike - start 1/15/2000 - end 1/15/2000

4.	Bob - start 1/15/2000 - end 1/15/2000

For each batch, the OnLoadBatch event will fire, allowing you to retrieve the necessary data for the batch. After all the batches have been loaded the OnBatchesProcessed event will fire. Under slmOnDemand, you would need to execute nine seperate retrievals. Using slmBatch and the placing your data retrieval code in OnLoadBatch you can reduce the number of retrievals to four.

Note that if SchedLoadMode is set to slmBatch, the OnNeedAppts event will NOT fire. If SchedLoadMode is set to slmOnDemand, the OnLoadBatch and OnBatchesProcessed events will NOT fire unless a direct call is made to ProcessBatches.

Taking Batch Loading one step further, you could use the OnLoadBatch event to dynamically build an SQL query such that each time the OnLoadBatch event fires it would add a new line to one, all encompassing SQL query. Then you could execute the query in the OnBatchesProcessed event. This would give you the ability to retrieve all the data necessary for a given operartion in ONE retrieval. Note that loading is NOT limited to SQL. You can use whatever method you need to use.

If you are manually loading schedules you can use Batch Loading by setting SchedLoadMode to slmBatch, request the schedules as you do now, and then call ProcessBatches to fire the batch events.

Created with Doc-O-Matic.


JvTFDays Keyboard Assignments

Overview of the JVCL Time Framework

The JvTFDays control natively handles the following key combinations:

<Up Arrow> Move Up

<Down Arrow> Move Down

<Right Arrow> Move Right

<Left Arrow> Move Left

<Shift> + <Up Arrow> Move Up and Select

<Shift> + <Down Arrow> Move Down and Select

<Shift> + <Right Arrow> Move Right and Select

<Shift> + <Left Arrow> Move Left and Select

<Alt> + <Up Arrow> Select Previous Appointment

<Alt> + <Down Arrow> Select Next Appointment

<Alt> + <Right Arrow> Select the first appointment in the next column

<Alt> + <Left Arrow> Select the first appointment in the previous column

<Alt> + <Enter> Activates the in-place editor for the selected appointment

<Esc> (when editing) Cancels the editing of the appointment (reverts description)

<Pg Up> Scroll rows up one page

<Pg Down> Scroll rows down one page

<Shift> + <Pg Up> Move up one page and select all rows traversed

<Shift> + <Pg Down> Move down one page and select all rows traversed

<Home> Top Row

<End> Last fully visible row is last row in grid

<Shift> + <Home> Move to first row and select all rows traversed

<Shift> + <End> Move to last row and select all rows traversed

<Ctrl> + <Up Arrow> Previous week (-7 days)

<Ctrl> + <Down Arrow> Next week (+7 days)

<Ctrl> + <Right Arrow> Next day (+1 day)

<Ctrl> + <Left Arrow> Previous day (-1 day)

<Ctrl> + <Pg Up> Previous Month (-1 month)

<Ctrl> + <Pg Down> Next Month (+1 month)

<Ctrl> + <Home> Bring Prime Time St art into view

<Ctrl> + <End> Bring Prime Time End into view

<Ctrl> + <F1> Bring 1:00am in view

<Ctrl> + <F2> Bring 2:00am in view

<Ctrl> + <F3> Bring 3:00am in view

<Ctrl> + <F4> Bring 4:00am in view

<Ctrl> + <F5> Bring 5:00am in view

<Ctrl> + <F6> Bring 6:00am in view

<Ctrl> + <F7> Bring 7:00am in view

<Ctrl> + <F8> Bring 8:00am in view

<Ctrl> + <F9> Bring 9:00am in view

<Ctrl> + <F10> Bring 10:00am in view

<Ctrl> + <F11> Bring 11:00am in view

<Ctrl> + <F12> Bring 12:00am in view

<Ctrl> + <Shift> + <F1> Bring 1:00pm in view

<Ctrl> + <Shift> + <F2> Bring 2:00pm in view

<Ctrl> + <Shift> + <F3> Bring 3:00pm in view

<Ctrl> + <Shift> + <F4> Bring 4:00pm in view

<Ctrl> + <Shift> + <F5> Bring 5:00pm in view

<Ctrl> + <Shift> + <F6> Bring 6:00pm in view

<Ctrl> + <Shift> + <F7> Bring 7:00pm in view

<Ctrl> + <Shift> + <F8> Bring 8:00pm in view

<Ctrl> + <Shift> + <F9> Bring 9:00pm in view

<Ctrl> + <Shift> + <F10> Bring 10:00pm in view

<Ctrl> + <Shift> + <F11> Bring 11:00pm in view

<Ctrl> + <Shift> + <F12> Bring 12:00pm in view

<Insert> Insert Appointment (fires OnInsertAppt event)

<Delete> Delete Appointment (fires OnDeleteAppt event)

<Shift> + <Insert> Insert Schedule (fires OnInsertSchedule event)

<Shift> + <Delete> Delete Schedule (fires OnDeleteSchedule event)

<Ctrl> + <Insert> Change Granularity to next lowest level

<Ctrl> + <Delete> Change Granularity to next highest level

Created with Doc-O-Matic.


Refresh Reconciliation in the JVCL Time Framework

Overview of the JVCL Time Framework

Refresh Reconciliation pushes the responsibility for removing appointments from the local machine that have been deleted by another from you to TJvTFScheduleManager. That is, TJvTFScheduleManager will automatically remove appointments that have not been refreshed if TJvTFScheduleManager.RefreshAutoReconcile is set to True. In previous versions, this responsibility was left to you and the implementation was relatively convoluted and error prone. This feature should improve the situation immensly.

If TJvTFScheduleManager.RefreshAutoReconcile is True, a call to one of the Refresh methods (dbRefreshAppt, dbRefreshSched, Appt.Refresh, etc.) will cause TJvTFScheduleManager to set the Refreshed property to False for all affected appointment before any of the Refresh events (OnRefreshAppt, OnRefreshSched, etc.) are fired.

Once inside of one of the Refresh events, you must set the Refreshed property to True for each appointment that is refreshed.

After the Refresh events have been fired, TJvTFScheduleManager will automatically cache (remove from view and eventually destroy) all appointments that have their Refreshed property set to False.

Notes

If TJvTFScheduleManager.RefreshAutoReconcile is set to False, the TJvTFAppt.Refreshed property is ignored and then no appointments will be automatically cached during the refresh process.

Created with Doc-O-Matic.


Using TJvTFPrinter in the JVCL Time Framework

Overview of the JVCL Time Framework

The TJvTFPrinter uses one of two different printing models, based upon the value of DirectPrint.

If DirectPrint is TRUE:

Create a new document via NewDoc.

Call NewPage to get a new page canvas. (OnDrawHeader, OnDrawBody and OnDrawFooter are fired at this time. Each subsequent call to NewPage sends the previous page directly to the printer.)

Call FinishDoc to send the last page to the printer and close the print job.

Clean up used resources by calling FreeDoc.

If DirectPrint is FALSE:

Create a new document via NewDoc.

Call NewPage to get a new page canvas. (OnDrawBody is fired for each new page. Each page is stored in memory and is NOT sent to the printer at this time.)

Call FinishDoc to complete rendering the document. (OnDrawHeader and OnDrawFooter is fired for each page at this time. After FinishDoc executes, each page image is accessible via the property Pages.)

Call Print to send the document to the printer.

Clean up used resources by calling FreeDoc.

Created with Doc-O-Matic.


Data Inspector overview

Topics	Additional information

TJvInspector is a Data Inspector. A Data Inspector is much like the Object Inspector you see in the Borland products. The Data Inspector, however, is not limited to inspect the published properties of a class. It provides you with the possiblity to inspect various data kinds.

Inspect virtually any data

The abstract data class can be derived to get data from any source you can think of. For instance, you can derive a data class to get/set the data by using events. Included in the package are data classes to inspect published properties, variables, TDataSources, INI-files and event-based data access as well as some internal structures to provide access to individual set members.

In addition, each reference to a data object will only be created once. Additional reference will use the same instance. This allows multiple items (even in different inspector controls) reference the same data object. For example: you can create a data instance that points to a Delphi variable 'x' (by calling TJvInspectorVarData.New(Inspector.Root, 'x', TypeInfo(string), x). This will result in a data instance being created to reference the x variable (the New method will return the item that is linked to it). The next time you call the New method to reference the x variable, the data instance of the first item will be used and another item is assigned to it.

Customized painting/editing for various data types.

The base item class is capable of just painting the item and edit it's string representation. Derived classes could provide different editing and/or displaying methods. Included in the package are item classes to display and edit data for the following types:

Strings (either short, long or wide).

Ordinals (all integer derived types. Will use the IntegerConst registration).

Characters (Char or WChar. Non-displayable characters are displayed as #<ASCII code>).

Enumerations (uses a drop-down list).

Classes (Displayes published properties).

Components (can be assigned by scanning a list of owner components, like forms and data modules, for suitable components).

Int64 values.

Floats (Single, Double or Extended).

Sets (will allow direct value editing and/or show/edit member items). Opposed to the Object Inspector, JvInspector can handle any set, regardles of it's size (ofcourse published set properties can be no more 32 bits (4 bytes), but variable sets can be upto 32 bytes).

In addition the following item's are included:

TFont item (will show an ellipsis which will show the font dialog when clicked).

TFont.Name (will show an enumerated list of available fonts. Names are shown in the actual font).

Booleans (Boolean, BYTEBOOL, WORDBOOL, LONGBOOL. Will use a checkmark to show/edit the value).

TCaption (technically not an item, but the registration of this type will set the auto update flag for this string item).

Advanced type registration.

For each data class a registration list can be created. When the data class needs to create the item, it will get the first applicable registration list and looks for a match. After that, it will go up the chain of derived data classes to find another registration list and will look for other matches. When matches are found, there match values are compared. The highest match value wins. When multiple registration items return the same match value, the first one found wins. The abstract data class provides a list which is filled on initialization of the unit with type kind registration items (default editors).

Item categories

Each item can be categorized but only in one category. Categories can be nested. An item category is derived from the base item class.

Support for custom paint styles

The control uses Painter components to do the actual painting. For each style a new descendant of the base painter component can be created. The current version supports two paint styles: Borland style and .NET/Visual Studio style.

Support for multi value rows

JvInspector allows you to add rows with more than one value. The different values are shown as separate columns in a single row. The widths of the columns are specified as percentages of the total width. You can also have some or all columns sized equally.

Support for multi column inspector

Besides support for items with multiple columns, you can also divide the control into sizable columns.

Created with Doc-O-Matic.


Topics

Data Inspector overview

Topics

Inspector items

Inspector data layers

Inspector painters

Created with Doc-O-Matic.


Inspector items

Topics	Data Inspector overview

The inspector uses items to allow an end user to view/edit a value. For each type of data ( Integer, Float, String, etc.) a special item is created.

In addition to these items, specialized items are present as well. There are items that represent a category and items that allow multiple values be displayed in a single row.

To connect an item to a specific data type (and optionally to a specific data layer) you should use the item registration routines and classes.

Created with Doc-O-Matic.


Topics

Inspector items

Topics

Inspector item registration

Created with Doc-O-Matic.


Inspector item registration

Inspector items

To be able to select which item is connected to a specific data type (and optionally in combination with a specific data layer), the item registration database needs to be filled.

For each data class a registration list can be created. When the data class needs to create the item, it will get the first applicable registration list and looks for a match. After that, it will go up the chain of derived data classes to find another registration list and will look for other matches. When matches are found, their match values are compared. The highest match value wins.

When multiple registration items return the same match value, the first one found wins. The abstract data class provides a list which is filled on initialization of the unit with type kind registration items (default editors).

Created with Doc-O-Matic.


Inspector data layers

Data Inspector overview

The inspector doesn't care about where the data comes from. It provides a base data class that allows any item to retrieve and/or set the value.

JVCL includes the following standard data layer classes:

Variable/heap data

Published properties

Event based data retrieval

INI-files

TDataSources/fields

In addition to these data layers, there are some internally used data layers that allow individual items of a set to be edited.

If you want to inspect other data sources you should create a descendant of TJvCustomInspectorData or another derivative (e.g. TJvInspectorINIFileData use a base TJvInspectorCustomConfData data layer, to handle the basic functionality involved in a structured storage).

Created with Doc-O-Matic.


Inspector painters

Data Inspector overview

The control uses Painter components to do the actual painting. For each style a new descendant of the base painter component can be created. The current version supports two paint styles: Borland style and .NET/Visual Studio style.

Created with Doc-O-Matic.


JvDSADialogs overview

Topics	Additional information

JvDSADialogs provides routines that allow you to create message dialogs with the following possibilities:

set different default button, cancel button and/or help button.

provide different button captions and results.

provide other dialog captions

provide a custom icon

In addition it provides you with procedures to create "don't show again" dialogs with the same possibilities as the standard dialogs. The state and results of these dialogs can be stored anywhere.

It also provides a VCL component (TJvDSADialog) that will allow you to transform any TCustomForm descendant to work as a DSA dialog by simply dropping the component on the form, set a few properties and provide a check box like control.

Created with Doc-O-Matic.


Topics

JvDSADialogs overview

Topics

Don't Show Again (DSA) dialogs

Created with Doc-O-Matic.


Don't Show Again (DSA) dialogs

Topics	JvDSADialogs overview

In addition to the extensions provided by the MessageDlg and MessageDlgEx functions, JvDSADialogs also provide you with "Don't show again" dialogs. Throughout the help, these dialogs will be referred to as DSA dialogs.

All DSA related functions/procedures and classes have DSA in their name for better distinction between standard dialogs and DSA dialogs.

The storage of the "don't show again" state and the result of the dialog are stored in an abstract storage device, TDSAStorage.

JVCL standard provides you with storage in the registry (TDSARegStorage), but you can derive new classes from TDSAStorage to provide different storage capabilities.

Each DSA dialog should be numbered, named and registered. By registering, the DSA system knows how to identify the dialog in the storage, as well as which storage it should use (in other words: different dialogs can be stored in different storage devices).

The DSAMessageDlg and DSAMessageDlgEx have one additional parameter to provide the dialog ID. Based on the state of this dialog, it's either displayed to the user, or the last result is returned.

Created with Doc-O-Matic.


Topics

Don't Show Again (DSA) dialogs

Topics

DSA dialogs check mark texts

DSA dialogs registration

DSA dialogs storage devices

Created with Doc-O-Matic.


DSA dialogs check mark texts

Don't Show Again (DSA) dialogs

For each dialog you can specify which text should be displayed next to the check mark. To keep the number of strings to store to a minimum, you must register a check mark text to the system, including a numeric ID. This ID is used to specify the check mark text when you register a dialog.

Registering of the checkmark texts is done using the RegisterDSACheckMarkText/UnregisterDSACheckMarkText routines.

Retrieving the registered check mark text can be done using the GetDSACheckMarkText routine.

Created with Doc-O-Matic.


DSA dialogs registration

Don't Show Again (DSA) dialogs

To be able to use a specific dialog as a DSA dialog, it needs to be registered with the system so it can determine/maintain the state of the dialog.

Because the registration key can be either an integer or a name, depending on the storage, both need to be registered, and can only occur once.

To use a DSA dialog, you'll have to specify the integer ID in the various DSA* methods.

Registration of dialogs is done using the RegisterDSA/UnregisterDSA routines.

Locating a registered dialog can be done using either LocateDSAReg or DSACount/DSAItem routines.

Created with Doc-O-Matic.


DSA dialogs storage devices

Don't Show Again (DSA) dialogs

To allow you to store the state and values for a DSA dialog in any place, a class hierarchy for storage devices is available.

In addition to the standard devices, you can derive a new class from any of the provided classes to create a new storage device.

Created with Doc-O-Matic.


Functional Reference
JEDI-VCL Reference

Functional Reference

Topics

JEDI-VCL consists of many components and controls for all sorts of things. To help you find the right component for a particular task, we have categorized the controls and components. Some components are in multiple categories if there was any overlap in functionality of the component.

Created with Doc-O-Matic.


Topics

Functional Reference

Topics

Bars

Buttons

Common controls

Data aware components

Docking

DotNet

Date and time controls

Dialogs

Edits, memos and comboboxes

Forms and application

Graphics

Grids and content controls

Human Machine Interface

Internet

Labels and static text controls

Lists and treeviews

Miscellaneous

Multimedia

Pages and tabs

Panels, bevels and group boxes

Printing

Selecters and choosers

Storage

System

XP controls

Wizards

Created with Doc-O-Matic.


Bars

Topics	Functional Reference

JVCL provides a number of components and controls that work like either tool/menu bars, statusbars, sidebars (a.k.a. Outlook bars), progress bars and sliders.

This group contains the following components and controls:
Component	Description
TJvColorTrackBar	Not documented (Edit topic).
TJvControlBar	Not documented (Edit topic).
TJvCoolBar	Not documented (Edit topic).
TJvDBProgress	Not documented (Edit topic).
TJvDBProgressBar	Not documented (Edit topic).
TJvExpress	A control that mimics the look of the sidebar in Microsoft® Outlook Express®.
TJvExpressButton	Buttons used on a TJvExpress control.
TJvgProgress	Not documented (Edit topic).
TJvGradientProgressBar	Not documented (Edit topic).
TJvgRuler	Not documented (Edit topic).
TJvLookOut	A sidebar control that displays pages and buttons in a manner similar to the outlook bar in Microsoft® Outlook®.
TJvLookOutButton	Button used on lookout pages or stand-alone.
TJvMainMenu	This is the main menu from the JVCL
TJvOutlookBar	A control that can display pages and buttons in the style of the button bar used by Microsoft(R) Outlook(R).
TJvProgressBar	Not documented (Edit topic).
TJvProgressComponent	A component that can display a progress dialog.
TJvProgressDialog	A component that can display a progress dialog either modally or non-modally.
TJvScrollingWindow	Represents a scrolling toolbar.
TJvSlider	Slider displayed with user-defined images.
TJvSpecialProgress	Two-color gradient filled progress bar.
TJvSpeedBar	Not documented (Edit topic).
TJvStatusBar	Supports extended features such as hot tracking, and accepts controls dropped on it at design time.
TJvToolBar	Adds events that can be used for hot tracking.
TJvTrackBar	Not documented (Edit topic).
TJvTracker	Not documented (Edit topic).
TJvWaitingGradient	Not documented (Edit topic).
TJvWaitingProgress	Not documented (Edit topic).
TJvXPBar	Control that can display an icon, a header and zero or more clickable items in its client area.
TJvXPProgressBar	Not documented (Edit topic).
TJvxSlider	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Bars

Topics

Menu and tool bars

Sidebars

Sliders and progressbars

Statusbars

Created with Doc-O-Matic.


Menu and tool bars

Bars

JVCL provides a number of components and controls that work like tools and/or menubars.

This group contains the following components and controls:
Component	Description
TJvMainMenu	This is the main menu from the JVCL
TJvScrollingWindow	Represents a scrolling toolbar.
TJvToolBar	Adds events that can be used for hot tracking.
Created with Doc-O-Matic.


Sidebars

Bars

JVCL provides a number of components that work like the Outlook bar.

This group contains the following components and controls:
Component	Description
TJvExpress	A control that mimics the look of the sidebar in Microsoft® Outlook Express®.
TJvExpressButton	Buttons used on a TJvExpress control.
TJvLookOut	A sidebar control that displays pages and buttons in a manner similar to the outlook bar in Microsoft® Outlook®.
TJvLookOutButton	Button used on lookout pages or stand-alone.
TJvOutlookBar	A control that can display pages and buttons in the style of the button bar used by Microsoft(R) Outlook(R).
Created with Doc-O-Matic.


Sliders and progressbars

Topics	Bars

JVCL provides a number of components and controls that work like sliders and scrollbars.

This group contains the following components and controls:
Component	Description
TJvDBProgress	Not documented (Edit topic).
TJvDBProgressBar	Not documented (Edit topic).
TJvgProgress	Not documented (Edit topic).
TJvGradientProgressBar	Not documented (Edit topic).
TJvProgressBar	Not documented (Edit topic).
TJvProgressComponent	A component that can display a progress dialog.
TJvProgressDialog	A component that can display a progress dialog either modally or non-modally.
TJvSlider	Slider displayed with user-defined images.
TJvSpecialProgress	Two-color gradient filled progress bar.
TJvTrackBar	Not documented (Edit topic).
TJvTracker	Not documented (Edit topic).
TJvWaitingGradient	Not documented (Edit topic).
TJvWaitingProgress	Not documented (Edit topic).
TJvXPProgressBar	Not documented (Edit topic).
TJvxSlider	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Sliders and progressbars

Topics

Sliders

Progressbars

Created with Doc-O-Matic.


Sliders

Sliders and progressbars

JVCL provides a number of controls that work like sliders. Some of them use the linear approach, others work like dials.

This group contains the following components and controls:
Component	Description
TJvSlider	Slider displayed with user-defined images.
TJvTrackBar	Not documented (Edit topic).
TJvTracker	Not documented (Edit topic).
TJvxSlider	Not documented (Edit topic).
Created with Doc-O-Matic.


Progressbars

Sliders and progressbars

JVCL provides a number of enhanced progress bars.

This group contains the following components and controls:
Component	Description
TJvDBProgress	Not documented (Edit topic).
TJvDBProgressBar	Not documented (Edit topic).
TJvgProgress	Not documented (Edit topic).
TJvGradientProgressBar	Not documented (Edit topic).
TJvProgressBar	Not documented (Edit topic).
TJvProgressComponent	A component that can display a progress dialog.
TJvProgressDialog	A component that can display a progress dialog either modally or non-modally.
TJvSpecialProgress	Two-color gradient filled progress bar.
TJvWaitingGradient	Not documented (Edit topic).
TJvWaitingProgress	Not documented (Edit topic).
TJvXPProgressBar	Not documented (Edit topic).
Created with Doc-O-Matic.


Statusbars

Bars

JVCL provides a number of components that work like the statusbar.

This group contains the following components and controls:
Component	Description
TJvStatusBar	Supports extended features such as hot tracking, and accepts controls dropped on it at design time.
Created with Doc-O-Matic.


Buttons

Topics	Functional Reference

JVCL provides a number of components and controls that enhance the various buttons (either, Push/Speed buttons, Check boxes or radio buttons).

This group contains the following components and controls:
Component	Description
TJvArrayButton	Not documented (Edit topic).
TJvArrowButton	Office style button with arrow. Separated click events for button and arrow.
TJvBitBtn	An extended version of the TBitBtn control.
TJvBitmapButton	Not documented (Edit topic).
TJvCalcEdit	Edit control with a button that displays a calculator.
TJvCaptionButton	Button that is added to the form caption.
TJvCheckBox	A checkbox descendant with added functionality.
TJvColorButton	A button that can display a color and a drop-down form to select another color.
TJvComboEdit	Edit control with a button.
TJvControlPanelButton	Not documented (Edit topic).
TJvDateEdit	Edit control with a button that displays a calendar.
TJvDBRadioPanel	Not documented (Edit topic).
TJvDialButton	Not documented (Edit topic).
TJvDirectoryEdit	Edit control with a button that displays a directory selection dialog.
TJvDotNetButton	Not documented (Edit topic).
TJvExpressButton	Buttons used on a TJvExpress control.
TJvFavoritesButton	Not documented (Edit topic).
TJvFilenameEdit	Edit control with a button that displays a file selection dialog.
TJvgButton	Not documented (Edit topic).
TJvgCheckBox	Not documented (Edit topic).
TJvgExtSpeedButton	Not documented (Edit topic).
TJvgGraphicButton	Not documented (Edit topic).
TJvgSpeedButton	Not documented (Edit topic).
TJvHTButton	Not documented (Edit topic).
TJvImgBtn	A button similar to TJvBitBtn that displays images from an imagelist instead of from a bitmap. This button can also show an animation.
TJvLookOutButton	Button used on lookout pages or stand-alone.
TJvNavIconButton	Button used as the small button in a TJvCustomNavigationPane.
TJvNavPanelButton	Class used as the maximized button on a TJvCustomNavigationPane
TJvOfficeColorButton	Not documented (Edit topic).
TJvRadioButton	Not documented (Edit topic).
TJvRadioGroup	A radio group with enhancements.
TJvRecentMenuButton	Not documented (Edit topic).
TJvShapedButton	Not documented (Edit topic).
TJvSimButton	Not documented (Edit topic).
TJvSpeedButton	Enhanced speed button.
TJvSpinButton	Spin buttons for choosing from a numeric range.
TJvSpinEdit	Spin boxes for choosing from a numeric range
TJvStartMenuButton	Not documented (Edit topic).
TJvSwitch	Not documented (Edit topic).
TJvTransparentButton	A button that can display images and text and also can align text and image in various ways.
TJvXPButton	Button drawn in an XP style.
TJvXPCheckbox	Checkbox that draws itself in an XP style.
TJvXPToolButton	Button control that draws its client area using a predefined style.
Created with Doc-O-Matic.


Topics

Buttons

Topics

Check boxes

Push buttons

Radio buttons

Created with Doc-O-Matic.


Check boxes

Buttons

JVCL provides a number of enhanced check box controls.

This group contains the following components and controls:
Component	Description
TJvCheckBox	A checkbox descendant with added functionality.
TJvgCheckBox	Not documented (Edit topic).
TJvXPCheckbox	Checkbox that draws itself in an XP style.
Created with Doc-O-Matic.


Push buttons

Buttons

JVCL provides a number of enhanced push buttons and speed buttons.

This group contains the following components and controls:
Component	Description
TJvArrayButton	Not documented (Edit topic).
TJvArrowButton	Office style button with arrow. Separated click events for button and arrow.
TJvBitBtn	An extended version of the TBitBtn control.
TJvBitmapButton	Not documented (Edit topic).
TJvCalcEdit	Edit control with a button that displays a calculator.
TJvCaptionButton	Button that is added to the form caption.
TJvColorButton	A button that can display a color and a drop-down form to select another color.
TJvComboEdit	Edit control with a button.
TJvControlPanelButton	Not documented (Edit topic).
TJvDateEdit	Edit control with a button that displays a calendar.
TJvDirectoryEdit	Edit control with a button that displays a directory selection dialog.
TJvDotNetButton	Not documented (Edit topic).
TJvExpressButton	Buttons used on a TJvExpress control.
TJvFavoritesButton	Not documented (Edit topic).
TJvFilenameEdit	Edit control with a button that displays a file selection dialog.
TJvgButton	Not documented (Edit topic).
TJvgExtSpeedButton	Not documented (Edit topic).
TJvgGraphicButton	Not documented (Edit topic).
TJvgSpeedButton	Not documented (Edit topic).
TJvHTButton	Not documented (Edit topic).
TJvImgBtn	A button similar to TJvBitBtn that displays images from an imagelist instead of from a bitmap. This button can also show an animation.
TJvLookOutButton	Button used on lookout pages or stand-alone.
TJvNavIconButton	Button used as the small button in a TJvCustomNavigationPane.
TJvNavPanelButton	Class used as the maximized button on a TJvCustomNavigationPane
TJvOfficeColorButton	Not documented (Edit topic).
TJvRecentMenuButton	Not documented (Edit topic).
TJvShapedButton	Not documented (Edit topic).
TJvSimButton	Not documented (Edit topic).
TJvSpeedButton	Enhanced speed button.
TJvSpinButton	Spin buttons for choosing from a numeric range.
TJvSpinEdit	Spin boxes for choosing from a numeric range
TJvStartMenuButton	Not documented (Edit topic).
TJvSwitch	Not documented (Edit topic).
TJvTransparentButton	A button that can display images and text and also can align text and image in various ways.
TJvXPButton	Button drawn in an XP style.
TJvXPToolButton	Button control that draws its client area using a predefined style.
Created with Doc-O-Matic.


Radio buttons

Buttons

JVCL provides a number of enhanced radio buttons.

This group contains the following components and controls:
Component	Description
TJvDBRadioPanel	Not documented (Edit topic).
TJvRadioButton	Not documented (Edit topic).
TJvRadioGroup	A radio group with enhancements.
Created with Doc-O-Matic.


Common controls

Functional Reference

JVCL provides a number of wrappers for common controls.

This group contains the following components and controls:
Component	Description
TJvAnimate	Enhanced TAnimate control.
TJvCoolBar	Not documented (Edit topic).
TJvDateTimePicker	Use this component to let the user input a date or time.
TJvDotNetHotKey	A hotkey that renders its border in the DotNet style.
TJvHeaderControl	Adds events that can be used for hot tracking.
TJvHotKey	Adds events that can be used for hot tracking.
TJvListView	Enhanced list view component.
TJvMonthCalendar	Adds events that can be used for hot tracking.
TJvMonthCalendar2	A wrapper component for the MS MonthCal control available in ComCtl32.dll versions 4.70 and above.
TJvPageControl	Not documented (Edit topic).
TJvPageScroller	A TPageScroller with additional events.
TJvProgressBar	Not documented (Edit topic).
TJvRadioButton	Not documented (Edit topic).
TJvRadioGroup	A radio group with enhancements.
TJvRichEdit	Wrapper for the v2.0 or v3.0 Windows rich text edit control.
TJvScrollBar	Supports extended features such as hot tracking.
TJvStatusBar	Supports extended features such as hot tracking, and accepts controls dropped on it at design time.
TJvTabControl	Adds events that can be used for hot tracking as well as support for custom painters.
TJvToolBar	Adds events that can be used for hot tracking.
TJvTrackBar	Not documented (Edit topic).
TJvTreeView	Not documented (Edit topic).
TJvUpDown	Up/down buttons for Edit Controls
Created with Doc-O-Matic.


Data aware components

Topics	Functional Reference

JVCL provides a number of database aware components and controls (both visual as well as non visual).

This group contains the following components and controls:
Component	Description
TJvAppDBStorage	Dataset based application data storage.
TJvBDEItems	Not documented (Edit topic).
TJvBDEMemoryTable	Not documented (Edit topic).
TJvBDESQLScript	Not documented (Edit topic).
TJvCSVBase	Not documented (Edit topic).
TJvCSVCheckBox	Not documented (Edit topic).
TJvCSVComboBox	Not documented (Edit topic).
TJvCsvDataSet	In-memory TDataSet component similar to TTable.
TJvCSVEdit	Not documented (Edit topic).
TJvCSVNavigator	Not documented (Edit topic).
TJvDatabaseItems	Not documented (Edit topic).
TJvDBCalcEdit	Not documented (Edit topic).
TJvDBComboBox	Not documented (Edit topic).
TJvDBComboEdit	Not documented (Edit topic).
TJvDBDateEdit	A data aware edit with a button that drops down a calendar.
TJvDBDatePickerEdit	Not documented (Edit topic).
TJvDBDateTimePicker	Not documented (Edit topic).
TJvDBFilter	Not documented (Edit topic).
TJvDBFindEdit	Not documented (Edit topic).
TJvDBGrid	Descendant of the standard TDBGrid with additional methods, properties and events.
TJvDBGridCSVExport	Not documented (Edit topic).
TJvDBGridExcelExport	Not documented (Edit topic).
TJvDBGridFooter	Not documented (Edit topic).
TJvDBGridHTMLExport	Not documented (Edit topic).
TJvDBGridWordExport	Component to export a text in word format
TJvDBGridXMLExport	Not documented (Edit topic).
TJvDBHTLabel	Implements an HTML-enabled data-aware label control.
TJvDBImage	This component is a TDBImage replacement that supports other image formats than bitmap, a limitation of TDBImage since D1.
TJvDBIndexCombo	Not documented (Edit topic).
TJvDBListDataSet	Not documented (Edit topic).
TJvDBLookupCombo	Expands the capabilities of a regular data aware combo-box.
TJvDBLookupComboEdit	Not documented (Edit topic).
TJvDBLookupEdit	Data aware edit with look up
TJvDBLookupList	Not documented (Edit topic).
TJvDBLookupTreeView	Not documented (Edit topic).
TJvDBLookupTreeViewCombo	Not documented (Edit topic).
TJvDBMaskEdit	Not documented (Edit topic).
TJvDBMove	Not documented (Edit topic).
TJvDBProgress	Not documented (Edit topic).
TJvDBProgressBar	Not documented (Edit topic).
TJvDBRadioPanel	Not documented (Edit topic).
TJvDBRemoteLogin	Not documented (Edit topic).
TJvDBRichEdit	Not documented (Edit topic).
TJvDBSearchComboBox	Combo box for navigating in a dataset.
TJvDBSearchEdit	Not documented (Edit topic).
TJvDBSecurity	Not documented (Edit topic).
TJvDBSpinEdit	Not documented (Edit topic).
TJvDBStatusLabel	Not documented (Edit topic).
TJvDBTreeView	Implements a data-aware tree view component.
TJvDBUltimGrid	Not documented (Edit topic).
TJvDotNetDBEdit	A DB Edit that renders its border in the DotNet style.
TJvDotNetDBFindEdit	Not documented (Edit topic).
TJvDotNetDBListBox	A DB Listbox that renders its border in the DotNet style.
TJvDotNetDBLookupListBox	A DB Lookup Listbox that renders its border in the DotNet style.
TJvDotNetDBMemo	A DB Memo that renders its border in the DotNet style.
TJvDotNetDBRichEdit	A DB RichEdit that renders its border in the DotNet style.
TJvgDBGrid	Not documented (Edit topic).
TJvgQRDBText	Not documented (Edit topic).
TJvQBEQuery	Not documented (Edit topic).
TJvQuery	A TQuery modified
TJvSQLScript	Not documented (Edit topic).
TJvTableItems	Not documented (Edit topic).
TJvUIBBackup	Not documented (Edit topic).
TJvUIBDataBase	Not documented (Edit topic).
TJvUIBDataSet	Not documented (Edit topic).
TJvUIBQuery	Not documented (Edit topic).
TJvUIBRestore	Not documented (Edit topic).
TJvUIBScript	Not documented (Edit topic).
TJvUIBTransaction	Not documented (Edit topic).
TJvXMLDatabase	A component to access the content of an XML file using SQL like syntax.
Created with Doc-O-Matic.


Topics

Data aware components

Topics

Datasets and DataSources

Date and time controls

Edits, memos and comboboxes

Graphics

Grids, trees and lists

Labels and static text controls

Navigational and status management

Created with Doc-O-Matic.


Datasets and DataSources

Topics	Data aware components

JVCL provides a number of data source and dataset derivatives.

This group contains the following components and controls:
Component	Description
TJvBDEMemoryTable	Not documented (Edit topic).
TJvCsvDataSet	In-memory TDataSet component similar to TTable.
TJvDBListDataSet	Not documented (Edit topic).
TJvQBEQuery	Not documented (Edit topic).
TJvQuery	A TQuery modified
TJvUIBDataBase	Not documented (Edit topic).
TJvUIBDataSet	Not documented (Edit topic).
TJvUIBQuery	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Datasets and DataSources

Topics

Datasets

DataSources

Created with Doc-O-Matic.


Datasets

Datasets and DataSources

JVCL provides a number of dataset derivatives to retrieve data from other sources than databases.

This group contains the following components and controls:
Component	Description
TJvBDEMemoryTable	Not documented (Edit topic).
TJvCsvDataSet	In-memory TDataSet component similar to TTable.
TJvDBListDataSet	Not documented (Edit topic).
TJvQBEQuery	Not documented (Edit topic).
TJvQuery	A TQuery modified
TJvUIBDataSet	Not documented (Edit topic).
TJvUIBQuery	Not documented (Edit topic).
Created with Doc-O-Matic.


DataSources

Datasets and DataSources

JVCL provides a number of TDataSources like components.

This group is currently empty.

Created with Doc-O-Matic.


Date and time controls

Topics	Data aware components

JVCL provides a number of controls to work with dates and times in databases.

This group contains the following components and controls:
Component	Description
TJvDBDateEdit	A data aware edit with a button that drops down a calendar.
TJvDBDatePickerEdit	Not documented (Edit topic).
TJvDBDateTimePicker	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Date and time controls

Topics

Date and time edit and comboboxes

Other date and time controls

Created with Doc-O-Matic.


Date and time edit and comboboxes

Date and time controls

JVCL provides a number of data-aware date and time edit controls and combo boxes.

This group is currently empty.

Created with Doc-O-Matic.


Other date and time controls

Date and time controls

This group contains data-aware datetime controls that do not fit in the other sub categories.

This group is currently empty.

Created with Doc-O-Matic.


Edits, memos and comboboxes

Topics	Data aware components

JVCL provides a number of data-aware controls that allow values to be changed.

This group contains the following components and controls:
Component	Description
TJvCSVComboBox	Not documented (Edit topic).
TJvCSVEdit	Not documented (Edit topic).
TJvDBCalcEdit	Not documented (Edit topic).
TJvDBComboBox	Not documented (Edit topic).
TJvDBComboEdit	Not documented (Edit topic).
TJvDBFindEdit	Not documented (Edit topic).
TJvDBIndexCombo	Not documented (Edit topic).
TJvDBLookupCombo	Expands the capabilities of a regular data aware combo-box.
TJvDBLookupComboEdit	Not documented (Edit topic).
TJvDBLookupEdit	Data aware edit with look up
TJvDBLookupTreeViewCombo	Not documented (Edit topic).
TJvDBMaskEdit	Not documented (Edit topic).
TJvDBRichEdit	Not documented (Edit topic).
TJvDBSearchComboBox	Combo box for navigating in a dataset.
TJvDBSearchEdit	Not documented (Edit topic).
TJvDBSpinEdit	Not documented (Edit topic).
TJvDotNetDBEdit	A DB Edit that renders its border in the DotNet style.
TJvDotNetDBFindEdit	Not documented (Edit topic).
TJvDotNetDBMemo	A DB Memo that renders its border in the DotNet style.
TJvDotNetDBRichEdit	A DB RichEdit that renders its border in the DotNet style.
Created with Doc-O-Matic.


Topics

Edits, memos and comboboxes

Topics

Comboboxes / lookups

Edits

Memos

Other

Created with Doc-O-Matic.


Comboboxes / lookups

Edits, memos and comboboxes

JVCL provides a number of data aware comboboxes and lookup controls.

This group contains the following components and controls:
Component	Description
TJvCSVComboBox	Not documented (Edit topic).
TJvDBComboBox	Not documented (Edit topic).
TJvDBLookupCombo	Expands the capabilities of a regular data aware combo-box.
TJvDBLookupComboEdit	Not documented (Edit topic).
TJvDBLookupEdit	Data aware edit with look up
TJvDBLookupTreeViewCombo	Not documented (Edit topic).
TJvDBMaskEdit	Not documented (Edit topic).
TJvDBSearchComboBox	Combo box for navigating in a dataset.
Created with Doc-O-Matic.


Edits

Edits, memos and comboboxes

JVCL provides a number of data aware edit controls.

This group contains the following components and controls:
Component	Description
TJvCSVEdit	Not documented (Edit topic).
TJvDBCalcEdit	Not documented (Edit topic).
TJvDBComboEdit	Not documented (Edit topic).
TJvDBSearchEdit	Not documented (Edit topic).
TJvDBSpinEdit	Not documented (Edit topic).
TJvDotNetDBEdit	A DB Edit that renders its border in the DotNet style.
TJvDotNetDBFindEdit	Not documented (Edit topic).
Created with Doc-O-Matic.


Memos

Edits, memos and comboboxes

JVCL provides a number of data aware multiline edit controls.

This group contains the following components and controls:
Component	Description
TJvDotNetDBMemo	A DB Memo that renders its border in the DotNet style.
Created with Doc-O-Matic.


Other

Edits, memos and comboboxes

JVCL provides a number of data aware edit controls that can't be categorized in any of the other edit categories.

This group contains the following components and controls:
Component	Description
TJvDBRichEdit	Not documented (Edit topic).
TJvDotNetDBRichEdit	A DB RichEdit that renders its border in the DotNet style.
Created with Doc-O-Matic.


Graphics

Data aware components

JVCL provides a number of data aware graphic components.

This group contains the following components and controls:
Component	Description
TJvDBImage	This component is a TDBImage replacement that supports other image formats than bitmap, a limitation of TDBImage since D1.
Created with Doc-O-Matic.


Grids, trees and lists

Topics	Data aware components

JVCL provides a number of data aware grids, treeviews and lists.

This group contains the following components and controls:
Component	Description
TJvDBGrid	Descendant of the standard TDBGrid with additional methods, properties and events.
TJvDBLookupList	Not documented (Edit topic).
TJvDBLookupTreeView	Not documented (Edit topic).
TJvDBTreeView	Implements a data-aware tree view component.
TJvDBUltimGrid	Not documented (Edit topic).
TJvDotNetDBListBox	A DB Listbox that renders its border in the DotNet style.
TJvDotNetDBLookupListBox	A DB Lookup Listbox that renders its border in the DotNet style.
TJvgDBGrid	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Grids, trees and lists

Topics

Grids

Treeviews

Lists

Created with Doc-O-Matic.


Grids

Grids, trees and lists

JVCL provides a number of data aware grid like controls.

This group contains the following components and controls:
Component	Description
TJvDBGrid	Descendant of the standard TDBGrid with additional methods, properties and events.
TJvDBUltimGrid	Not documented (Edit topic).
TJvgDBGrid	Not documented (Edit topic).
Created with Doc-O-Matic.


Treeviews

Grids, trees and lists

JVCL provides a number of data aware treeview like controls.

This group contains the following components and controls:
Component	Description
TJvDBTreeView	Implements a data-aware tree view component.
Created with Doc-O-Matic.


Lists

Grids, trees and lists

JVCL provides a number of data aware list controls.

This group contains the following components and controls:
Component	Description
TJvDBLookupList	Not documented (Edit topic).
TJvDBLookupTreeView	Not documented (Edit topic).
TJvDotNetDBListBox	A DB Listbox that renders its border in the DotNet style.
TJvDotNetDBLookupListBox	A DB Lookup Listbox that renders its border in the DotNet style.
Created with Doc-O-Matic.


Labels and static text controls

Data aware components

JVCL provides a number of labels and other static data aware controls.

This group contains the following components and controls:
Component	Description
TJvDBHTLabel	Implements an HTML-enabled data-aware label control.
TJvDBStatusLabel	Not documented (Edit topic).
Created with Doc-O-Matic.


Navigational and status management

Topics	Data aware components

JVCL provides a number of navigational and status management controls.

This group contains the following components and controls:
Component	Description
TJvCSVNavigator	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Navigational and status management

Topics

Navigational controls

Status management

Created with Doc-O-Matic.


Navigational controls

Navigational and status management

JVCL provides a number of navigational controls.

This group contains the following components and controls:
Component	Description
TJvCSVNavigator	Not documented (Edit topic).
Created with Doc-O-Matic.


Status management

Navigational and status management

JVCL provides a number of dataset status displaying/controlling components and controls.

This group is currently empty.

Created with Doc-O-Matic.


Docking

Functional Reference

JVCL provides a number of controls and components that allows you to add docking support to your application with virtually no code at all. Several docking styles are supported (standard Delphi, Visual C++, Visual InterDev and the auto-hiding docking forms of Visual Studio.NET.

This group contains the following components and controls:
Component	Description
TJvDockClient	Manages a dockable child form.
TJvDockDelphiStyle	Defines standard Delphi docking behavior.
TJvDockServer	JvDockServer objects, in conjunction with a JvDockStyle object manage the master docking site form. Allows docking to the sides, and to one central area in your form.
TJvDockVCStyle	Defines standard Visual C++ docking behavior.
TJvDockVIDStyle	Defines standard Visual InterDev docking behavior.
TJvDockVIDVCStyle	Not documented (Edit topic).
TJvDockVSNetStyle	Defines standard Visual Studio .NET docking behavior.
Created with Doc-O-Matic.


DotNet

Functional Reference

JVCL provides a number of controls with a visual look similar to the hot tracking style of the VS.NET components. There are both standard as well as data-aware controls.

This group contains the following components and controls:
Component	Description
TJvDotNetButton	Not documented (Edit topic).
TJvDotNetCheckListBox	A check listbox that renders its border in the DotNet style.
TJvDotNetDBEdit	A DB Edit that renders its border in the DotNet style.
TJvDotNetDBFindEdit	Not documented (Edit topic).
TJvDotNetDBListBox	A DB Listbox that renders its border in the DotNet style.
TJvDotNetDBLookupListBox	A DB Lookup Listbox that renders its border in the DotNet style.
TJvDotNetDBMemo	A DB Memo that renders its border in the DotNet style.
TJvDotNetDBRichEdit	A DB RichEdit that renders its border in the DotNet style.
TJvDotNetDirectoryEdit	Not documented (Edit topic).
TJvDotNetEdit	An edit that renders its border in the DotNet style.
TJvDotNetFilenameEdit	Not documented (Edit topic).
TJvDotNetHotKey	A hotkey that renders its border in the DotNet style.
TJvDotNetListBox	A listbox that renders its border in the DotNet style.
TJvDotNetListView	A listview that renders its border in the DotNet style.
TJvDotNetMaskEdit	A mask edit that renders its border in the DotNet style.
TJvDotNetMemo	A memo that renders its border in the DotNet style.
TJvDotNetRichEdit	A rich edit that renders its border in the DotNet style.
TJvDotNetScrollBox	A scroll box that renders its border in the DotNet style.
TJvDotNetTreeView	A treeview that renders its border in the DotNet style.
Created with Doc-O-Matic.


Date and time controls

Topics	Functional Reference

JVCL provides a number of controls to work with dates and times.

This group contains the following components and controls:
Component	Description
TJvClock	Not documented (Edit topic).
TJvDateEdit	Edit control with a button that displays a calendar.
TJvDatePickerEdit	A replacement for TDateTimePicker that maintains its look but fixes its deficiencies concerning keyboard entry.
TJvDateTimePicker	Use this component to let the user input a date or time.
TJvDBDateEdit	A data aware edit with a button that drops down a calendar.
TJvDBDatePickerEdit	Not documented (Edit topic).
TJvDBDateTimePicker	Not documented (Edit topic).
TJvMonthCalendar	Adds events that can be used for hot tracking.
TJvMonthCalendar2	A wrapper component for the MS MonthCal control available in ComCtl32.dll versions 4.70 and above.
TJvTFDays	Control that can display appointments on a day by day basis.
TJvTFDaysPrinter	Not documented (Edit topic).
TJvTFGlanceTextViewer	Not documented (Edit topic).
TJvTFMonths	Not documented (Edit topic).
TJvTFScheduleManager	Manages multiple schedules, appointments and associated controls and components.
TJvTFWeeks	Not documented (Edit topic).
TJvTimeLine	Displays a timeline with date items in various ways.
TJvTMTimeline	Displays a timeline that mimics the timeline in MS Team Manager.
Created with Doc-O-Matic.


Topics

Date and time controls

Topics

Date and time edit and comboboxes

Other date and time controls

Created with Doc-O-Matic.


Date and time edit and comboboxes

Date and time controls

JVCL provides a number of date and time edit controls and combo boxes.

This group contains the following components and controls:
Component	Description
TJvDateEdit	Edit control with a button that displays a calendar.
TJvDatePickerEdit	A replacement for TDateTimePicker that maintains its look but fixes its deficiencies concerning keyboard entry.
TJvDateTimePicker	Use this component to let the user input a date or time.
TJvDBDateEdit	A data aware edit with a button that drops down a calendar.
TJvDBDatePickerEdit	Not documented (Edit topic).
TJvDBDateTimePicker	Not documented (Edit topic).
Created with Doc-O-Matic.


Other date and time controls

Date and time controls

This group contains datetime controls that do not fit in the other sub categories.

This group contains the following components and controls:
Component	Description
TJvClock	Not documented (Edit topic).
TJvMonthCalendar	Adds events that can be used for hot tracking.
TJvMonthCalendar2	A wrapper component for the MS MonthCal control available in ComCtl32.dll versions 4.70 and above.
TJvTFDays	Control that can display appointments on a day by day basis.
TJvTFDaysPrinter	Not documented (Edit topic).
TJvTFGlanceTextViewer	Not documented (Edit topic).
TJvTFMonths	Not documented (Edit topic).
TJvTFScheduleManager	Manages multiple schedules, appointments and associated controls and components.
TJvTFWeeks	Not documented (Edit topic).
TJvTimeLine	Displays a timeline with date items in various ways.
TJvTMTimeline	Displays a timeline that mimics the timeline in MS Team Manager.
Created with Doc-O-Matic.


Dialogs

Topics	Functional Reference

JVCL provides a number of dialog controls and components.

This group contains the following components and controls:
Component	Description
TJvAddHardwareDialog	Displays the Add Hardware Wizard.
TJvAddPrinterDialog	Wrapper around the "Add Printer..." windows dialog.
TJvAppletDialog	Displays a Control Panel window.
TJvBrowseForFolderDialog	Displays a dialog box enabling the user to select a Shell folder.
TJvCalculator	Displays a simple calculator.
TJvChangeIconDialog	Displays a dialog that allows a user to select an icon from a module.
TJvColorDialog	Not documented (Edit topic).
TJvComputerNameDialog	Displays a dialog enabling the user to select a computer.
TJvConnectNetwork	Not documented (Edit topic).
TJvCopyError	Displays a dialog box for errors encountered when copying a file.
TJvDeleteError	Displays a dialog box for errors encountered when deleting a file.
TJvDisconnectNetwork	Not documented (Edit topic).
TJvDiskFullDialog	Displays the Windows Disk Full dialog.
TJvDiskPrompt	Displays a dialog that prompts the user for a disk.
TJvDSADialog	Converts a form into a "Don't Show Again" dialog.
TJvDualListDialog	Not documented (Edit topic).
TJvExitWindowsDialog	Displays a dialog that prompts the user to restart Windows.
TJvFindFilesDialog	Simplifies searching for files.
TJvImageDialog	Not documented (Edit topic).
TJvNewLinkDialog	Displays the Create New Shortcut Wizard.
TJvObjectPickerDialog	Displays a modal object picker dialog box and returns the user selection.
TJvObjectPropertiesDialog	Displays a properties dialog for a file, folder or printer.
TJvOpenDialog	Not documented (Edit topic).
TJvOpenWithDialog	Displays the Open With... dialog.
TJvOrganizeFavoritesDialog	Displays the Organize Favorites dialog.
TJvOutOfMemoryDialog	Displays the Windows Out of Memory dialog.
TJvPageSetupDialog	Not documented (Edit topic).
TJvPageSetupTitledDialog	Not documented (Edit topic).
TJvProgressComponent	A component that can display a progress dialog.
TJvProgressDialog	A component that can display a progress dialog either modally or non-modally.
TJvRenameError	Displays a dialog box for errors encountered when renaming a file.
TJvRunDialog	Displays the Windows Run dialog.
TJvSaveDialog	Not documented (Edit topic).
TJvSelectDirectory	Displays a directory-selection dialog.
TJvShellAboutDialog	Displays a ShellAbout dialog.
TJvTipOfDay	Displays a Tip of the Day dialog.
Created with Doc-O-Matic.


Topics

Dialogs

Topics

Common dialogs (Windows dialogs)

Custom dialogs

Created with Doc-O-Matic.


Common dialogs (Windows dialogs)

Dialogs

JVCL provides a number of components to display and controls common windows dialogs.

This group contains the following components and controls:
Component	Description
TJvAddHardwareDialog	Displays the Add Hardware Wizard.
TJvAddPrinterDialog	Wrapper around the "Add Printer..." windows dialog.
TJvAppletDialog	Displays a Control Panel window.
TJvBrowseForFolderDialog	Displays a dialog box enabling the user to select a Shell folder.
TJvChangeIconDialog	Displays a dialog that allows a user to select an icon from a module.
TJvComputerNameDialog	Displays a dialog enabling the user to select a computer.
TJvConnectNetwork	Not documented (Edit topic).
TJvCopyError	Displays a dialog box for errors encountered when copying a file.
TJvDeleteError	Displays a dialog box for errors encountered when deleting a file.
TJvDisconnectNetwork	Not documented (Edit topic).
TJvDiskFullDialog	Displays the Windows Disk Full dialog.
TJvDiskPrompt	Displays a dialog that prompts the user for a disk.
TJvExitWindowsDialog	Displays a dialog that prompts the user to restart Windows.
TJvFindFilesDialog	Simplifies searching for files.
TJvNewLinkDialog	Displays the Create New Shortcut Wizard.
TJvObjectPickerDialog	Displays a modal object picker dialog box and returns the user selection.
TJvObjectPropertiesDialog	Displays a properties dialog for a file, folder or printer.
TJvOpenDialog	Not documented (Edit topic).
TJvOpenWithDialog	Displays the Open With... dialog.
TJvOrganizeFavoritesDialog	Displays the Organize Favorites dialog.
TJvOutOfMemoryDialog	Displays the Windows Out of Memory dialog.
TJvPageSetupDialog	Not documented (Edit topic).
TJvPageSetupTitledDialog	Not documented (Edit topic).
TJvRenameError	Displays a dialog box for errors encountered when renaming a file.
TJvRunDialog	Displays the Windows Run dialog.
TJvSaveDialog	Not documented (Edit topic).
TJvSelectDirectory	Displays a directory-selection dialog.
TJvShellAboutDialog	Displays a ShellAbout dialog.

In addition to these components, the following routines belong to this group:
Routine	Description
BrowseComputer	Brings up a dialog to allow the user to enter a computer name.
BrowseDirectory	Brings up a dialog to allow the user to enter a directory name.
BrowseForComputer	Brings up a dialog to allow the user to enter a computer name.
BrowseForFolder	Brings up a dialog to allow the user to enter a directory name.
Created with Doc-O-Matic.


Custom dialogs

Dialogs

JVCL provides a number of components that display and control custom dialogs.

This group contains the following components and controls:
Component	Description
TJvCalculator	Displays a simple calculator.
TJvDSADialog	Converts a form into a "Don't Show Again" dialog.
TJvDualListDialog	Not documented (Edit topic).
TJvImageDialog	Not documented (Edit topic).
TJvProgressComponent	A component that can display a progress dialog.
TJvProgressDialog	A component that can display a progress dialog either modally or non-modally.
TJvTipOfDay	Displays a Tip of the Day dialog.

In addition to these components, the following routines belong to this group:
Routine	Description
DSACount	Returns the number of DSA dialogs registered.
DSAItem	Retrieves a DSA registration item.
DSAMessageDlg	MessageDlg replacement with additional settings and "Don't show again" capabilities.
DSAMessageDlgEx	MessageDlg replacement with additional settings and "Don't show again" capabilities.
DSARegStore	Retrieves a reference to the default registry storage.
DSAShowMessage	Display a message box.
DSAShowMessageFmt	Display a message box.
GetDSACheckMarkText	Retrieves the check mark text for the given ID.
GetDSAState	Retrieves DSA state.
LocateDSAReg	Locates and returns the DSA registration info for a given dialog.
MessageDlg	MessageDlg replacement with additional settings.
MessageDlgEx	MessageDlg extension with additional settings.
RegisterDSA	Register a DSA dialog.
RegisterDSACheckMarkText	Register a check mark text.
SetDSAState	Sets DSA state.
ShowMessage	Display a message box.
ShowMessageFmt	Display a message box.
UnregisterDSA	Remove a DSA dialog from the system.
UnregisterDSACheckMarkText	Unregister a check mark text.
Created with Doc-O-Matic.


Edits, memos and comboboxes

Topics	Functional Reference

JVCL provides a number of controls that allow changing of values.

This group contains the following components and controls:
Component	Description
TJvCalcEdit	Edit control with a button that displays a calculator.
TJvCheckedComboBox	Not documented (Edit topic).
TJvCheckedMaskEdit	Not documented (Edit topic).
TJvColorComboBox	Combo box that enables the user to select a color from a drop-down list.
TJvComboBox	Provider-aware TComboBox.
TJvComboEdit	Edit control with a button.
TJvCSVComboBox	Not documented (Edit topic).
TJvDateEdit	Edit control with a button that displays a calendar.
TJvDatePickerEdit	A replacement for TDateTimePicker that maintains its look but fixes its deficiencies concerning keyboard entry.
TJvDateTimePicker	Use this component to let the user input a date or time.
TJvDBComboBox	Not documented (Edit topic).
TJvDBComboEdit	Not documented (Edit topic).
TJvDBIndexCombo	Not documented (Edit topic).
TJvDBLookupCombo	Expands the capabilities of a regular data aware combo-box.
TJvDBLookupComboEdit	Not documented (Edit topic).
TJvDBLookupEdit	Data aware edit with look up
TJvDBRichEdit	Not documented (Edit topic).
TJvDBSearchComboBox	Combo box for navigating in a dataset.
TJvDirectoryEdit	Edit control with a button that displays a directory selection dialog.
TJvDomainUpDown	Not documented (Edit topic).
TJvDotNetDBEdit	A DB Edit that renders its border in the DotNet style.
TJvDotNetDBFindEdit	Not documented (Edit topic).
TJvDotNetDBMemo	A DB Memo that renders its border in the DotNet style.
TJvDotNetDBRichEdit	A DB RichEdit that renders its border in the DotNet style.
TJvDotNetDirectoryEdit	Not documented (Edit topic).
TJvDotNetEdit	An edit that renders its border in the DotNet style.
TJvDotNetFilenameEdit	Not documented (Edit topic).
TJvDotNetMaskEdit	A mask edit that renders its border in the DotNet style.
TJvDotNetMemo	A memo that renders its border in the DotNet style.
TJvDotNetRichEdit	A rich edit that renders its border in the DotNet style.
TJvDriveCombo	A combobox that displays the available drives on the system.
TJvEdit	Supports extended features such as alignment, password protection, custom caret and disabling clipboard commands.
TJvEditor	Not documented (Edit topic).
TJvFilenameEdit	Edit control with a button that displays a file selection dialog.
TJvFontComboBox	Combo box that enables the user to select a font from a drop-down list.
TJvgTransparentMemo	Not documented (Edit topic).
TJvHLEditor	Not documented (Edit topic).
TJvHTComboBox	Implements an HTML-enabled ComboBox control.
TJvImageComboBox	A combobox that can display images as well as items in the list.
TJvInspector	Inspector control.
TJvIPAddress	An edit control that can display and edit IP values.
TJvMaskEdit	Not documented (Edit topic).
TJvMemo	Not documented (Edit topic).
TJvRichEdit	Wrapper for the v2.0 or v3.0 Windows rich text edit control.
TJvSpinEdit	Spin boxes for choosing from a numeric range
TJvUninstallComboBox	A combobox that displays uninstall information.
TJvUpDown	Up/down buttons for Edit Controls
TJvValidateEdit	Edit control that can restrict its content to only accept valid input.
TJvWideEditor	Not documented (Edit topic).
TJvWideHLEditor	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Edits, memos and comboboxes

Topics

Combo boxes

Edits

Memos

Other

Created with Doc-O-Matic.


Combo boxes

Edits, memos and comboboxes

JVCL provides a number of combo box controls with various drop down features such as:

show a pick list

a calendar

a calculator

and more.

This group contains the following components and controls:
Component	Description
TJvCalcEdit	Edit control with a button that displays a calculator.
TJvCheckedComboBox	Not documented (Edit topic).
TJvColorComboBox	Combo box that enables the user to select a color from a drop-down list.
TJvComboBox	Provider-aware TComboBox.
TJvComboEdit	Edit control with a button.
TJvCSVComboBox	Not documented (Edit topic).
TJvDateEdit	Edit control with a button that displays a calendar.
TJvDBComboBox	Not documented (Edit topic).
TJvDBComboEdit	Not documented (Edit topic).
TJvDBIndexCombo	Not documented (Edit topic).
TJvDBLookupCombo	Expands the capabilities of a regular data aware combo-box.
TJvDBLookupComboEdit	Not documented (Edit topic).
TJvDBLookupEdit	Data aware edit with look up
TJvDirectoryEdit	Edit control with a button that displays a directory selection dialog.
TJvDriveCombo	A combobox that displays the available drives on the system.
TJvFilenameEdit	Edit control with a button that displays a file selection dialog.
TJvFontComboBox	Combo box that enables the user to select a font from a drop-down list.
TJvHTComboBox	Implements an HTML-enabled ComboBox control.
TJvImageComboBox	A combobox that can display images as well as items in the list.
TJvUninstallComboBox	A combobox that displays uninstall information.
Created with Doc-O-Matic.


Edits

Edits, memos and comboboxes

JVCL provides a number of edits with additional features.

This group contains the following components and controls:
Component	Description
TJvDatePickerEdit	A replacement for TDateTimePicker that maintains its look but fixes its deficiencies concerning keyboard entry.
TJvDateTimePicker	Use this component to let the user input a date or time.
TJvDotNetDBEdit	A DB Edit that renders its border in the DotNet style.
TJvDotNetDBFindEdit	Not documented (Edit topic).
TJvDotNetDirectoryEdit	Not documented (Edit topic).
TJvDotNetEdit	An edit that renders its border in the DotNet style.
TJvDotNetFilenameEdit	Not documented (Edit topic).
TJvDotNetMaskEdit	A mask edit that renders its border in the DotNet style.
TJvEdit	Supports extended features such as alignment, password protection, custom caret and disabling clipboard commands.
TJvIPAddress	An edit control that can display and edit IP values.
TJvValidateEdit	Edit control that can restrict its content to only accept valid input.
Created with Doc-O-Matic.


Memos

Edits, memos and comboboxes

JVCL provides a number of memos with additional features.

This group contains the following components and controls:
Component	Description
TJvDotNetDBMemo	A DB Memo that renders its border in the DotNet style.
TJvDotNetMemo	A memo that renders its border in the DotNet style.
TJvgTransparentMemo	Not documented (Edit topic).
TJvMemo	Not documented (Edit topic).
Created with Doc-O-Matic.


Other

Edits, memos and comboboxes

JVCL provides a number of edit controls that can't be categorized in any of the other edit categories.

This group contains the following components and controls:
Component	Description
TJvCheckedMaskEdit	Not documented (Edit topic).
TJvDBRichEdit	Not documented (Edit topic).
TJvDomainUpDown	Not documented (Edit topic).
TJvDotNetDBRichEdit	A DB RichEdit that renders its border in the DotNet style.
TJvDotNetRichEdit	A rich edit that renders its border in the DotNet style.
TJvHLEditor	Not documented (Edit topic).
TJvInspector	Inspector control.
TJvRichEdit	Wrapper for the v2.0 or v3.0 Windows rich text edit control.
TJvSpinEdit	Spin boxes for choosing from a numeric range
TJvUpDown	Up/down buttons for Edit Controls
TJvWideEditor	Not documented (Edit topic).
TJvWideHLEditor	Not documented (Edit topic).
Created with Doc-O-Matic.


Forms and application

Topics	Functional Reference

JVCL provides a number of components and controls that enhance or control forms and/or the application.

This group contains the following components and controls:
Component	Description
TJvAppAnimatedIcon	Animates the application's icon.
TJvApplicationHotKey	Registers a system wide hot key combination.
TJvBackground	Not documented (Edit topic).
TJvBalloonHint	Can replace the application hint window with a balloon shaped hint window, and can also display balloons attached to a specific control.
TJvCaptionButton	Button that is added to the form caption.
TJvDataEmbedded	Use this component to embed external data in your application.
TJvDesktopAlert	Displays a window with a message that is automatically hidden after a specified time.
TJvDesktopAlertStack	Manages a list of TJvDesktopAlert components.
TJvDragDrop	Enables a control to accepts dropped files.
TJvDropTarget	Enables a control to accepts dropped files.
TJvErrorIndicator	Provides a user interface for indicating that a control on a form has an error associated with it.
TJvFormAutoSize	Component that will resize all components of the form whenever the form resizes.
TJvFormMagnet	Not documented (Edit topic).
TJvFormStorage	General storage component.
TJvFormWallpaper	Fills the background of a form or a panel with an image.
TJvgSplitter	Not documented (Edit topic).
TJvNetscapeSplitter	Not documented (Edit topic).
TJvOutlookSplitter	A splitter drawn in the style of the splitter used in Outlook 2003.
TJvPluginManager	Plugin manager.
TJvSpacer	Can be used as a spacer on a window.
TJvSplitter	Adds events that can be used for hot tracking.
TJvSyncSplitter	Synchronizes two split controls.
TJvSystemPopup	Adds menu items to the system menu.
TJvTimeLimit	Adds a date limit to the execution of an application.
TJvTranslator	Translates an application, form or component.
TJvTranslatorStrings	Stores translatable strings that are not part of a form or component, like variables etc.
TJvTransparentForm	Not documented (Edit topic).
TJvTrayIcon	Adds an icon to the tray.
TJvxSplitter	Not documented (Edit topic).

In addition to these components, the following classes belong to this group:
Class	Description
TJvPlugIn	Plugin data module.
Created with Doc-O-Matic.


Topics

Forms and application

Topics

Application

Forms

Created with Doc-O-Matic.


Application

Topics	Forms and application

JVCL provides a number of components and controls that enhance or controls the application.

This group contains the following components and controls:
Component	Description
TJvApplicationHotKey	Registers a system wide hot key combination.
TJvDataEmbedded	Use this component to embed external data in your application.
TJvPluginManager	Plugin manager.
TJvSystemPopup	Adds menu items to the system menu.
TJvTimeLimit	Adds a date limit to the execution of an application.
TJvTrayIcon	Adds an icon to the tray.

In addition to these components, the following classes belong to this group:
Class	Description
TJvPlugIn	Plugin data module.
Created with Doc-O-Matic.


Topics

Application

Topics

Hot keys

Tray icons

Plugins

Created with Doc-O-Matic.


Hot keys

Application

JVCL provides a number of components to set application wide hot keys.

This group contains the following components and controls:
Component	Description
TJvApplicationHotKey	Registers a system wide hot key combination.
Created with Doc-O-Matic.


Tray icons

Application

JVCL provides a number of components to set an icon for the application in the system tray, including support for animations and pop-up menus.

This group contains the following components and controls:
Component	Description
TJvTrayIcon	Adds an icon to the tray.
Created with Doc-O-Matic.


Plugins

Application

JVCL provides a number of components to write plugins and/or make an application plugin aware.

This group contains the following components and controls:
Component	Description
TJvPluginManager	Plugin manager.

In addition to these components, the following classes belong to this group:
Class	Description
TJvPlugIn	Plugin data module.
Created with Doc-O-Matic.


Forms

Topics	Forms and application

JVCL provides a number of of components and controls that enhance or control forms.

This group contains the following components and controls:
Component	Description
TJvAppAnimatedIcon	Animates the application's icon.
TJvBackground	Not documented (Edit topic).
TJvBalloonHint	Can replace the application hint window with a balloon shaped hint window, and can also display balloons attached to a specific control.
TJvCaptionButton	Button that is added to the form caption.
TJvDesktopAlert	Displays a window with a message that is automatically hidden after a specified time.
TJvDesktopAlertStack	Manages a list of TJvDesktopAlert components.
TJvDragDrop	Enables a control to accepts dropped files.
TJvDropTarget	Enables a control to accepts dropped files.
TJvErrorIndicator	Provides a user interface for indicating that a control on a form has an error associated with it.
TJvFormAutoSize	Component that will resize all components of the form whenever the form resizes.
TJvFormMagnet	Not documented (Edit topic).
TJvFormStorage	General storage component.
TJvFormWallpaper	Fills the background of a form or a panel with an image.
TJvgSplitter	Not documented (Edit topic).
TJvNetscapeSplitter	Not documented (Edit topic).
TJvOutlookSplitter	A splitter drawn in the style of the splitter used in Outlook 2003.
TJvSpacer	Can be used as a spacer on a window.
TJvSplitter	Adds events that can be used for hot tracking.
TJvSyncSplitter	Synchronizes two split controls.
TJvTranslator	Translates an application, form or component.
TJvTranslatorStrings	Stores translatable strings that are not part of a form or component, like variables etc.
TJvTransparentForm	Not documented (Edit topic).
TJvxSplitter	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Forms

Topics

Decorating and effects

Shaping

Sizing

Created with Doc-O-Matic.


Decorating and effects

Forms

JVCL provides a number of components and controls that add effects or decoration to a form.

This group contains the following components and controls:
Component	Description
TJvAppAnimatedIcon	Animates the application's icon.
TJvBackground	Not documented (Edit topic).
TJvBalloonHint	Can replace the application hint window with a balloon shaped hint window, and can also display balloons attached to a specific control.
TJvCaptionButton	Button that is added to the form caption.
TJvDesktopAlert	Displays a window with a message that is automatically hidden after a specified time.
TJvDesktopAlertStack	Manages a list of TJvDesktopAlert components.
TJvErrorIndicator	Provides a user interface for indicating that a control on a form has an error associated with it.
TJvFormWallpaper	Fills the background of a form or a panel with an image.
TJvTransparentForm	Not documented (Edit topic).
Created with Doc-O-Matic.


Shaping

Forms

JVCL provides a number of components that can change the shape of a form.

This group is currently empty.

Created with Doc-O-Matic.


Sizing

Forms

JVCL provides a number of components that allow controls on a form to reposition and resize with the form or relative to eachother.

This group contains the following components and controls:
Component	Description
TJvFormAutoSize	Component that will resize all components of the form whenever the form resizes.
TJvFormMagnet	Not documented (Edit topic).
TJvFormStorage	General storage component.
TJvgSplitter	Not documented (Edit topic).
TJvNetscapeSplitter	Not documented (Edit topic).
TJvOutlookSplitter	A splitter drawn in the style of the splitter used in Outlook 2003.
TJvSplitter	Adds events that can be used for hot tracking.
TJvSyncSplitter	Synchronizes two split controls.
TJvxSplitter	Not documented (Edit topic).
Created with Doc-O-Matic.


Graphics

Topics	Functional Reference

JVCL provides a number of components and controls that deal with graphics.

This group contains the following components and controls:
Component	Description
TJvAirBrush	Not documented (Edit topic).
TJvAnimate	Enhanced TAnimate control.
TJvAnimatedImage	A component that takes a glyph, cuts it along one direction to create frames to be displayed as an animation.
TJvAppAnimatedIcon	Animates the application's icon.
TJvaScrollText	Not documented (Edit topic).
TJvBmpAnimator	A component for playing a series of bitmaps.
TJvChart	The TJvChart component is a Charting/Graphing component.
TJvDBImage	This component is a TDBImage replacement that supports other image formats than bitmap, a limitation of TDBImage since D1.
TJvDice	Not documented (Edit topic).
TJvDrawImage	Not documented (Edit topic).
TJvErrorIndicator	Provides a user interface for indicating that a control on a form has an error associated with it.
TJvFormAnimatedIcon	Not documented (Edit topic).
TJvFormAnimation	Not documented (Edit topic).
TJvgBitmapImage	Not documented (Edit topic).
TJvgFlyingText	Not documented (Edit topic).
TJvGIFAnimator	Not documented (Edit topic).
TJvImage	Not documented (Edit topic).
TJvImageList	An extended Image list component.
TJvImageListViewer	Control that displays the images from an image list.
TJvImageRotate	Not documented (Edit topic).
TJvImageSquare	A control that can display an image from an imagelist.
TJvImagesViewer	Control that can display images in a grid like fashion.
TJvImageTransform	Not documented (Edit topic).
TJvInspectorBorlandPainter	Inspector painter class for Borland style.
TJvInspectorDotNETPainter	Inspector painter class for .NET / Visual Studio style.
TJvLED	Component that displays a LED in any color.
TJvOwnerDrawViewer	Add a TJvOwnerDrawViewer control to a form to present arbitrary information in a grid.
TJvPaintFX	Not documented (Edit topic).
TJvShape	Supports extended features such as hot tracking.
TJvSpecialImage	Supports extended features such as fade in, fade out and image flipping.
TJvStarfield	A star field with moving stars.
TJvThumbImage	Not documented (Edit topic).
TJvThumbnail	Not documented (Edit topic).
TJvThumbView	Not documented (Edit topic).
TJvTurtle	Not documented (Edit topic).
TJvZoom	A component that can zoom in a part of the screen.
Created with Doc-O-Matic.


Topics

Graphics

Topics

Animations

Shapes

Static graphics

Created with Doc-O-Matic.


Animations

Graphics

JVCL provides a number of components and controls that deal with graphic animation.

This group contains the following components and controls:
Component	Description
TJvAnimate	Enhanced TAnimate control.
TJvAnimatedImage	A component that takes a glyph, cuts it along one direction to create frames to be displayed as an animation.
TJvAppAnimatedIcon	Animates the application's icon.
TJvaScrollText	Not documented (Edit topic).
TJvBmpAnimator	A component for playing a series of bitmaps.
TJvDice	Not documented (Edit topic).
TJvErrorIndicator	Provides a user interface for indicating that a control on a form has an error associated with it.
TJvFormAnimatedIcon	Not documented (Edit topic).
TJvFormAnimation	Not documented (Edit topic).
TJvgFlyingText	Not documented (Edit topic).
TJvGIFAnimator	Not documented (Edit topic).
TJvStarfield	A star field with moving stars.
Created with Doc-O-Matic.


Shapes

Graphics

JVCL provides a number of components and controls that generate shapes (like arrows and such) given a set of properties. Most of these components are designed like the TShape control in the Borland VCL.

This group contains the following components and controls:
Component	Description
TJvShape	Supports extended features such as hot tracking.
Created with Doc-O-Matic.


Static graphics

Graphics

JVCL provides a number of components and controls that deal with static graphics (such as image lists or a TImage like control).

This group contains the following components and controls:
Component	Description
TJvImage	Not documented (Edit topic).
TJvImageList	An extended Image list component.
TJvImageListViewer	Control that displays the images from an image list.
TJvImageRotate	Not documented (Edit topic).
TJvImageSquare	A control that can display an image from an imagelist.
TJvImagesViewer	Control that can display images in a grid like fashion.
TJvLED	Component that displays a LED in any color.
TJvOwnerDrawViewer	Add a TJvOwnerDrawViewer control to a form to present arbitrary information in a grid.
TJvSpecialImage	Supports extended features such as fade in, fade out and image flipping.
Created with Doc-O-Matic.


Grids and content controls

Topics	Functional Reference

JVCL provides a number of controls that are used as either grids or content controls (like scroll boxes).

This group contains the following components and controls:
Component	Description
TJvCharMap	Use this component when you want to allow your user to choose a character in a grid displaying the current character set.
TJvContentScroller	A TCustomPanel descendant that can scroll its content.
TJvDotNetScrollBox	A scroll box that renders its border in the DotNet style.
TJvDrawGrid	Not documented (Edit topic).
TJvgGridHeaderControl	Not documented (Edit topic).
TJvgInspectorGrid	Not documented (Edit topic).
TJvGridFilter	Not documented (Edit topic).
TJvgScrollBox	Not documented (Edit topic).
TJvgStringGrid	Not documented (Edit topic).
TJvgVertDBSGrid	Not documented (Edit topic).
TJvScrollBar	Supports extended features such as hot tracking.
TJvScrollBox	Supports extended features such as hot tracking, and responds to navigational key combinations.
TJvStringGrid	Supports extended features such as alternative cell alignment, sorting, loading and saving a grid.
TJvYearGrid	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Grids and content controls

Topics

Grids

Scrollbars

Scroll boxes

Created with Doc-O-Matic.


Grids

Grids and content controls

JVCL provides a number of controls that enhance the standard grid controls as found in the Borland VCL.

This group contains the following components and controls:
Component	Description
TJvCharMap	Use this component when you want to allow your user to choose a character in a grid displaying the current character set.
TJvDrawGrid	Not documented (Edit topic).
TJvgGridHeaderControl	Not documented (Edit topic).
TJvgInspectorGrid	Not documented (Edit topic).
TJvGridFilter	Not documented (Edit topic).
TJvgStringGrid	Not documented (Edit topic).
TJvgVertDBSGrid	Not documented (Edit topic).
TJvStringGrid	Supports extended features such as alternative cell alignment, sorting, loading and saving a grid.
TJvYearGrid	Not documented (Edit topic).
Created with Doc-O-Matic.


Scrollbars

Grids and content controls

JVCL provides a number of controls that enhance the standard scroll bar contol found in the Borland VCL.

This group contains the following components and controls:
Component	Description
TJvScrollBar	Supports extended features such as hot tracking.
Created with Doc-O-Matic.


Scroll boxes

Grids and content controls

JVCL provides a number of controls that enhance the scroll box control found in the Borland VCL.

This group contains the following components and controls:
Component	Description
TJvContentScroller	A TCustomPanel descendant that can scroll its content.
TJvDotNetScrollBox	A scroll box that renders its border in the DotNet style.
TJvgScrollBox	Not documented (Edit topic).
TJvScrollBox	Supports extended features such as hot tracking, and responds to navigational key combinations.
Created with Doc-O-Matic.


Human Machine Interface

Topics	Functional Reference

JVCL provides a number of components and controls that can be use used in application used for plant process (not to be confused with processes as used by the operating system) control/monitoring. These types of controls and components are referred to as Human Process Interface controls/components.

This group contains the following components and controls:
Component	Description
TJvLED	Component that displays a LED in any color.
TJvSegmentedLEDDisplay	Segmented LED display control.
Created with Doc-O-Matic.


Topics

Human Machine Interface

Topics

Indicators

Controls

Non visual

Created with Doc-O-Matic.


Indicators

Human Machine Interface

JVCL provides a number of components and controls that can be used to indicate some state of a plant process. These include gauges and meters.

This group contains the following components and controls:
Component	Description
TJvLED	Component that displays a LED in any color.
TJvSegmentedLEDDisplay	Segmented LED display control.
Created with Doc-O-Matic.


Controls

Human Machine Interface

JVCL provides a number of components and controls that can be used to control some plant process. These include levers, switches and knobs.

This group is currently empty.

Created with Doc-O-Matic.


Non visual

Human Machine Interface

JVCL provides a number of HMI related non-visual components.

This group is currently empty.

Created with Doc-O-Matic.


Internet

Topics	Functional Reference

JVCL provides a number of components and controls that deal with internet related topics (both protocols as well as content).

This group contains the following components and controls:
Component	Description
TJvFormToHtml	Converts a TForm and content to HTML code.
TJvFtpUrlGrabber	This is the grabber for FTP URLs
TJvgExportHTML	Not documented (Edit topic).
TJvgExportXML	Not documented (Edit topic).
TJvgXMLSerializer	This component converts a given component to XML and back according to published interface of its class.
TJvHTMLParser	Implements an HTML parser.
TJvHttpUrlGrabber	This a grabber for HTPP URLs
TJvLocalFileUrlGrabber	This a grabber for Local File URLs
TJvMail	Wrapper for the Simple MAPI functions.
TJvRGBToHTML	Not documented (Edit topic).
TJvRichEditToHtml	Converts the contents of a rich edit control to HTML.
TJvSimpleXML	The component to manipulate a XML file
TJvStringListToHtml	Converts a plain string list to a HTML formatted equivalent.
TJvStrToHtml	Component that can convert a string into a form that contains no values that are illegal in an HTML document.
TJvTranslator	Translates an application, form or component.
TJvTranslatorStrings	Stores translatable strings that are not part of a form or component, like variables etc.
TJvUrlListGrabber	This component will grab a list of URLs in the background
TJvXMLDatabase	A component to access the content of an XML file using SQL like syntax.
Created with Doc-O-Matic.


Topics

Internet

Topics

Converters and Parsers

Protocols

Other

Created with Doc-O-Matic.


Converters and Parsers

Topics	Internet

JVCL provides a number of components and controls that convert and/or parse internet related content (such as HTML and XML).

This group contains the following components and controls:
Component	Description
TJvFormToHtml	Converts a TForm and content to HTML code.
TJvgExportHTML	Not documented (Edit topic).
TJvgExportXML	Not documented (Edit topic).
TJvgXMLSerializer	This component converts a given component to XML and back according to published interface of its class.
TJvHTMLParser	Implements an HTML parser.
TJvRGBToHTML	Not documented (Edit topic).
TJvRichEditToHtml	Converts the contents of a rich edit control to HTML.
TJvSimpleXML	The component to manipulate a XML file
TJvStringListToHtml	Converts a plain string list to a HTML formatted equivalent.
TJvStrToHtml	Component that can convert a string into a form that contains no values that are illegal in an HTML document.
TJvTranslator	Translates an application, form or component.
TJvTranslatorStrings	Stores translatable strings that are not part of a form or component, like variables etc.
TJvXMLDatabase	A component to access the content of an XML file using SQL like syntax.
Created with Doc-O-Matic.


Topics

Converters and Parsers

Topics

HTML

XML

Created with Doc-O-Matic.


HTML

Converters and Parsers

JVCL provides a number of components and controls that convert and/or parse HTML content.

This group contains the following components and controls:
Component	Description
TJvFormToHtml	Converts a TForm and content to HTML code.
TJvgExportHTML	Not documented (Edit topic).
TJvHTMLParser	Implements an HTML parser.
TJvRGBToHTML	Not documented (Edit topic).
TJvRichEditToHtml	Converts the contents of a rich edit control to HTML.
TJvStringListToHtml	Converts a plain string list to a HTML formatted equivalent.
TJvStrToHtml	Component that can convert a string into a form that contains no values that are illegal in an HTML document.
Created with Doc-O-Matic.


XML

Converters and Parsers

JVCL provides a number of components and controls that convert and/or parse XML content.

This group contains the following components and controls:
Component	Description
TJvgExportXML	Not documented (Edit topic).
TJvgXMLSerializer	This component converts a given component to XML and back according to published interface of its class.
TJvSimpleXML	The component to manipulate a XML file
TJvTranslator	Translates an application, form or component.
TJvTranslatorStrings	Stores translatable strings that are not part of a form or component, like variables etc.
TJvXMLDatabase	A component to access the content of an XML file using SQL like syntax.
Created with Doc-O-Matic.


Protocols

Topics	Internet

JVCL provides a number of components and controls that deal with internet protocols. These components and controls are very basic. For more control over the connection you should use the Indy components that are installed by Borland.

This group contains the following components and controls:
Component	Description
TJvMail	Wrapper for the Simple MAPI functions.
Created with Doc-O-Matic.


Topics

Protocols

Topics

FTP

HTTP

Mail (SMTP and POP3)

Created with Doc-O-Matic.


FTP

Protocols

JVCL provides a number of components and controls that deal with FTP connections. These components and controls are very basic. For more control over the connection you should use the Indy components that are installed by Borland.

This group is currently empty.

Created with Doc-O-Matic.


HTTP

Protocols

JVCL provides a number of components and controls that deal with HTTP connections. These components and controls are very basic. For more control over the connection you should use the Indy components that are installed by Borland.

This group is currently empty.

Created with Doc-O-Matic.


Mail (SMTP and POP3)

Protocols

JVCL provides a number of components and controls that deal with SMTP and POP3 connections. These components and controls are very basic. For more control over the connection you should use the Indy components that are installed by Borland.

This group contains the following components and controls:
Component	Description
TJvMail	Wrapper for the Simple MAPI functions.
Created with Doc-O-Matic.


Other

Internet

JVCL provides a number of components and controls that deal with internet but can't be categorized in any of the other internet categories.

This group is currently empty.

Created with Doc-O-Matic.


Labels and static text controls

Functional Reference

JVCL provides a number of controls that enhance the TLabel or TStaticText controls found in the Borland VCL.

This group contains the following components and controls:
Component	Description
TJvBehaviorLabel	Label with various special effects.
TJvDBHTLabel	Implements an HTML-enabled data-aware label control.
TJvDBStatusLabel	Not documented (Edit topic).
TJvgFlyingText	Not documented (Edit topic).
TJvgLabel	Not documented (Edit topic).
TJvgQRLabel	Not documented (Edit topic).
TJvgStaticText	Not documented (Edit topic).
TJvHTLabel	Implements an HTML-enabled label control.
TJvInstallLabel	Provides a label component that can display items similar to how installation programs display install progress.
TJvLabel	Can simulate a clickable link and render text at a specific angle.
TJvLinkLabel	Not documented (Edit topic).
TJvMarkupLabel	Implements an HTML-enabled Label component.
TJvScrollText	Can scroll multiple lines of text.
TJvStaticText	Supports extended features such as hot tracking.
TJvWinampLabel	Not documented (Edit topic).
Created with Doc-O-Matic.


Lists and treeviews

Topics	Functional Reference

JVCL provides a number of controls that enhance the lists and treeview controls found in the Borland VCL.

This group contains the following components and controls:
Component	Description
TJvCheckListBox	Not documented (Edit topic).
TJvCheckTreeView	A treeview control that can display checkboxes and radio buttons.
TJvComboListBox	A listbox that displays a combobox overlaying the selected item.
TJvDBLookupList	Not documented (Edit topic).
TJvDBLookupTreeView	Not documented (Edit topic).
TJvDBLookupTreeViewCombo	Not documented (Edit topic).
TJvDBTreeView	Implements a data-aware tree view component.
TJvDirectoryListBox	Represents a list box control that is aware of the directory structure of the current drive.
TJvDotNetCheckListBox	A check listbox that renders its border in the DotNet style.
TJvDotNetDBListBox	A DB Listbox that renders its border in the DotNet style.
TJvDotNetDBLookupListBox	A DB Lookup Listbox that renders its border in the DotNet style.
TJvDotNetListBox	A listbox that renders its border in the DotNet style.
TJvDotNetListView	A listview that renders its border in the DotNet style.
TJvDotNetTreeView	A treeview that renders its border in the DotNet style.
TJvDriveList	A listbox that displays a list of drives available on the system.
TJvFileListBox	A specialized list box that lists all the files in a specified directory.
TJvgAskListBox	Not documented (Edit topic).
TJvgCheckListBox	Not documented (Edit topic).
TJvgCheckTreeView	Not documented (Edit topic).
TJvgListBox	Not documented (Edit topic).
TJvgTreeView	Not documented (Edit topic).
TJvHTListBox	Implements an HTML-enabled list box.
TJvImageListBox	A listbox that can display images as well as items in the list.
TJvJanTreeView	Not documented (Edit topic).
TJvListBox	Not documented (Edit topic).
TJvListView	Enhanced list view component.
TJvPageListTreeView	A treeview that can be associated with an IPageList implementation.
TJvRegistryTreeView	Treeview that displays the hives and subnodes of the registry.
TJvSettingsTreeView	A treeview that behaves like the treeview in the Options Dialog in VS.Net.
TJvTextListBox	Not documented (Edit topic).
TJvTreeView	Not documented (Edit topic).
TJvUninstallListBox	A listbox that displays uninstall information.
TJvxCheckListBox	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Lists and treeviews

Topics

Lists

Treeviews

Created with Doc-O-Matic.


Lists

Lists and treeviews

JVCL provides a number of controls that are enhanced listboxes or listviews.

This group contains the following components and controls:
Component	Description
TJvCheckListBox	Not documented (Edit topic).
TJvComboListBox	A listbox that displays a combobox overlaying the selected item.
TJvDBLookupList	Not documented (Edit topic).
TJvDBLookupTreeView	Not documented (Edit topic).
TJvDirectoryListBox	Represents a list box control that is aware of the directory structure of the current drive.
TJvDotNetCheckListBox	A check listbox that renders its border in the DotNet style.
TJvDotNetDBListBox	A DB Listbox that renders its border in the DotNet style.
TJvDotNetDBLookupListBox	A DB Lookup Listbox that renders its border in the DotNet style.
TJvDotNetListBox	A listbox that renders its border in the DotNet style.
TJvDotNetListView	A listview that renders its border in the DotNet style.
TJvDriveList	A listbox that displays a list of drives available on the system.
TJvFileListBox	A specialized list box that lists all the files in a specified directory.
TJvgAskListBox	Not documented (Edit topic).
TJvgCheckListBox	Not documented (Edit topic).
TJvgListBox	Not documented (Edit topic).
TJvHTListBox	Implements an HTML-enabled list box.
TJvImageListBox	A listbox that can display images as well as items in the list.
TJvListBox	Not documented (Edit topic).
TJvListView	Enhanced list view component.
TJvTextListBox	Not documented (Edit topic).
TJvUninstallListBox	A listbox that displays uninstall information.
TJvxCheckListBox	Not documented (Edit topic).
Created with Doc-O-Matic.


Treeviews

Lists and treeviews

JVCL provides a number of controls that are enhanced treeviews.

This group contains the following components and controls:
Component	Description
TJvCheckTreeView	A treeview control that can display checkboxes and radio buttons.
TJvDBLookupTreeViewCombo	Not documented (Edit topic).
TJvDBTreeView	Implements a data-aware tree view component.
TJvDotNetTreeView	A treeview that renders its border in the DotNet style.
TJvgCheckTreeView	Not documented (Edit topic).
TJvgTreeView	Not documented (Edit topic).
TJvJanTreeView	Not documented (Edit topic).
TJvPageListTreeView	A treeview that can be associated with an IPageList implementation.
TJvRegistryTreeView	Treeview that displays the hives and subnodes of the registry.
TJvSettingsTreeView	A treeview that behaves like the treeview in the Options Dialog in VS.Net.
TJvTreeView	Not documented (Edit topic).
Created with Doc-O-Matic.


Miscellaneous

Functional Reference

This group contains components and controls that we were unable to categorize (yet).

This group contains the following components and controls:
Component	Description
TJvChangeNotify	Component that can monitor file and directory changes and report to the user when a change occurs.
TJvEasterEgg	Not documented (Edit topic).
TJvEnterAsTab	A component to redirect all Enter keys to Tab keys.
TJvFindReplace	A component to easily provide search and replace functionality for controls derived from TCustomEdit.
TJvSAL	Not documented (Edit topic).
TJvSALCore	Not documented (Edit topic).
TJvSALMath	Not documented (Edit topic).
TJvSIMConnector	Not documented (Edit topic).
TJvSimIndicator	Not documented (Edit topic).
TJvSimLight	Not documented (Edit topic).
TJvSimLogicBox	Not documented (Edit topic).
TJvSimPID	Not documented (Edit topic).
TJvSimPIDLinker	Not documented (Edit topic).
TJvSimReverse	Not documented (Edit topic).
TJvSimScope	Not documented (Edit topic).
TJvValidationSummary	Component that can collect the error messages from failed validations into a single data structure. This component implements the IJvValidationSummary interface.
TJvValidators	Maintains a list of TJvBaseValidator or descendants.

In addition to these components, the following classes belong to this group:
Class	Description
TJvSpellChecker	Provides spellchecker functionality.
Created with Doc-O-Matic.


Multimedia

Topics	Functional Reference

JVCL provides a number of components and controls that deal with multimedia (audio and video, but also player controlling).

This group contains the following components and controls:
Component	Description
TJvAVICapture	An encapsulation of the AVICap API allowing to capture live video.
TJvID3v1	Gives access to a file's ID3v1 tag.
TJvID3v2	Gives easy access to a file's ID3 v2 tag.
TJvPlaylist	Not documented (Edit topic).
TJvSoundControl	Enables you to change the balance and volume of output devices.
TJvWavePlayer	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

Multimedia

Topics

Audio

Players

Video

Created with Doc-O-Matic.


Audio

Multimedia

JVCL provides a number of components and controls that deal with audio.

This group contains the following components and controls:
Component	Description
TJvID3v1	Gives access to a file's ID3v1 tag.
TJvID3v2	Gives easy access to a file's ID3 v2 tag.
TJvPlaylist	Not documented (Edit topic).
TJvSoundControl	Enables you to change the balance and volume of output devices.
TJvWavePlayer	Not documented (Edit topic).
Created with Doc-O-Matic.


Players

Multimedia

JVCL provides a number of components and controls that deal with multimedia players (such as WinAMP).

This group is currently empty.

Created with Doc-O-Matic.


Video

Multimedia

JVCL provides a number of components and controls that deal with video.

This group contains the following components and controls:
Component	Description
TJvAVICapture	An encapsulation of the AVICap API allowing to capture live video.
Created with Doc-O-Matic.


Pages and tabs

Functional Reference

JVCL provides a number of controls that enhance the TPageControl/TTabSheet and TNoteBook controls found in the Borland VCL.

This group contains the following components and controls:
Component	Description
TJvgPageControl	Not documented (Edit topic).
TJvgTabControl	Not documented (Edit topic).
TJvPageControl	Not documented (Edit topic).
TJvPageList	Implements a page list component.
TJvPageListTreeView	A treeview that can be associated with an IPageList implementation.
TJvPageManager	Not documented (Edit topic).
TJvTabControl	Adds events that can be used for hot tracking as well as support for custom painters.
TJvTabDefaultPainter	Not documented (Edit topic).
Created with Doc-O-Matic.


Panels, bevels and group boxes

Topics	Functional Reference

JVCL provides a number of panels, bevels and group box controls.

This group contains the following components and controls:
Component	Description
TJvBevel	Bevel control with additional events and properties.
TJvCaptionPanel	A panel with a caption bar.
TJvComponentPanel	Not documented (Edit topic).
TJvDBRadioPanel	Not documented (Edit topic).
TJvEmbeddedFormPanel	Provides a surface to embed a form in.
TJvEmbeddedInstanceFormPanel	Provides a surface to embed a form in.
TJvFooter	Not documented (Edit topic).
TJvFormWallpaper	Fills the background of a form or a panel with an image.
TJvGammaPanel	Not documented (Edit topic).
TJvgBevel	Not documented (Edit topic).
TJvgGroupBox	Not documented (Edit topic).
TJvgHelpPanel	Not documented (Edit topic).
TJvGradientCaption	Not documented (Edit topic).
TJvGradientHeaderPanel	Not documented (Edit topic).
TJvGroupBox	Not documented (Edit topic).
TJvGroupHeader	Not documented (Edit topic).
TJvItemsPanel	Displays a list of "buttons" where each button is a string in a string list.
TJvMovableBevel	Not documented (Edit topic).
TJvNavigationPane	Navigation Pane style control.
TJvNavPanelButton	Class used as the maximized button on a TJvCustomNavigationPane
TJvNavPanelDivider	Panel used as a group splitter in a TJvCustomNavigationPane.
TJvNavPanelHeader	Panel used as a header panel in conjunction with other Nav Pane components.
TJvNavPaneStyleManager	Handles themes for multiple components.
TJvNavPaneToolPanel	Control that visually resembles the action or tool panel in recent versions of Microsoft Office application.
TJvOfficeColorPanel	Not documented (Edit topic).
TJvPanel	A panel control that extends the standard TPanel
TJvRollOut	A control that acts like a pane but can also alter its height or width to predefined values.
TJvScrollingWindow	Represents a scrolling toolbar.
TJvSecretPanel	Not documented (Edit topic).
TJvSticker	Not documented (Edit topic).
TJvXPContainer	A panel style control.
Created with Doc-O-Matic.


Topics

Panels, bevels and group boxes

Topics

Bevels

Group boxes

Panels

Created with Doc-O-Matic.


Bevels

Panels, bevels and group boxes

JVCL provides a number of bevel like controls.

This group contains the following components and controls:
Component	Description
TJvBevel	Bevel control with additional events and properties.
TJvgBevel	Not documented (Edit topic).
TJvMovableBevel	Not documented (Edit topic).
Created with Doc-O-Matic.


Group boxes

Panels, bevels and group boxes

JVCL provides a number of group box like controls.

This group contains the following components and controls:
Component	Description
TJvgGroupBox	Not documented (Edit topic).
TJvGroupBox	Not documented (Edit topic).
TJvGroupHeader	Not documented (Edit topic).
Created with Doc-O-Matic.


Panels

Panels, bevels and group boxes

JVCL provides a number of panel like controls.

This group contains the following components and controls:
Component	Description
TJvCaptionPanel	A panel with a caption bar.
TJvComponentPanel	Not documented (Edit topic).
TJvDBRadioPanel	Not documented (Edit topic).
TJvEmbeddedFormPanel	Provides a surface to embed a form in.
TJvEmbeddedInstanceFormPanel	Provides a surface to embed a form in.
TJvFooter	Not documented (Edit topic).
TJvFormWallpaper	Fills the background of a form or a panel with an image.
TJvGammaPanel	Not documented (Edit topic).
TJvgHelpPanel	Not documented (Edit topic).
TJvGradientCaption	Not documented (Edit topic).
TJvGradientHeaderPanel	Not documented (Edit topic).
TJvItemsPanel	Displays a list of "buttons" where each button is a string in a string list.
TJvNavigationPane	Navigation Pane style control.
TJvNavPanelButton	Class used as the maximized button on a TJvCustomNavigationPane
TJvNavPanelDivider	Panel used as a group splitter in a TJvCustomNavigationPane.
TJvNavPanelHeader	Panel used as a header panel in conjunction with other Nav Pane components.
TJvNavPaneStyleManager	Handles themes for multiple components.
TJvNavPaneToolPanel	Control that visually resembles the action or tool panel in recent versions of Microsoft Office application.
TJvOfficeColorPanel	Not documented (Edit topic).
TJvPanel	A panel control that extends the standard TPanel
TJvRollOut	A control that acts like a pane but can also alter its height or width to predefined values.
TJvScrollingWindow	Represents a scrolling toolbar.
TJvSecretPanel	Not documented (Edit topic).
TJvSticker	Not documented (Edit topic).
TJvXPContainer	A panel style control.
Created with Doc-O-Matic.


Printing

Functional Reference

JVCL provides a number of control that deal with printing.

This group contains the following components and controls:
Component	Description
TJvAddPrinterDialog	Wrapper around the "Add Printer..." windows dialog.
TJvgPrintCrossTable	Not documented (Edit topic).
TJvGridPrinter	Not documented (Edit topic).
TJvPreviewControl	Control that can display a print preview.
TJvPreviewPrinter	A class that implements the IJvPrinter interface using TPrinter as the output device.
TJvPreviewRenderControl	Renders a preview of a TControl descendant.
TJvPreviewRenderGraphics	A renderer that can render a collection of images.
TJvPreviewRenderJvRichEdit	Not documented (Edit topic).
TJvPreviewRenderRichEdit	Preview renderer for rich edits.
TJvPreviewRenderStrings	Preview render for string lists.
TJvPrint	Not documented (Edit topic).
TJvTFDaysPrinter	Not documented (Edit topic).
TJvTFUniversalPrinter	The TJvTFUniversalPrinter component is a general purpose printing component that allows you to easily produce documents with specific margins, bodies, and headers and footers.
Created with Doc-O-Matic.


Selecters and choosers

Functional Reference

JVCL provides a number of specialized selection and chooser controls.

This group contains the following components and controls:
Component	Description
TJvCharMap	Use this component when you want to allow your user to choose a character in a grid displaying the current character set.
TJvColorComboBox	Combo box that enables the user to select a color from a drop-down list.
TJvDatePickerEdit	A replacement for TDateTimePicker that maintains its look but fixes its deficiencies concerning keyboard entry.
TJvDateTimePicker	Use this component to let the user input a date or time.
TJvFontComboBox	Combo box that enables the user to select a font from a drop-down list.
Created with Doc-O-Matic.


Storage

Functional Reference

JVCL provides a number of storage components, that can retrieve and store data.

This group contains the following components and controls:
Component	Description
TJvAppDBStorage	Dataset based application data storage.
TJvAppIniFileStorage	INI file based application data storage.
TJvAppRegistryStorage	Registry based application data storage.
TJvAppStorage	Storage Component without own storage mechanism.
TJvAppStorageSelectList	End-User TJvAppStorage Select List
TJvAppXMLFileStorage	Storage component based on a XML file.
TJvFormStorage	General storage component.
TJvFormStorageSelectList	Not documented (Edit topic).
TJvgStringContainer	Not documented (Edit topic).
TJvMemoryData	Allows developer to create and maintain a memory-driven database.
TJvMultiStringHolder	Not documented (Edit topic).
TJvStrHolder	Not documented (Edit topic).
Created with Doc-O-Matic.


System

Topics	Functional Reference

JVCL provides a number of system component and controls, such as alarms and timers and library, process and thread managment.

This group contains the following components and controls:
Component	Description
TJvAlarms	Programmable timer.
TJvAppDdeCmd	Not documented (Edit topic).
TJvAppEvents	Not documented (Edit topic).
TJvAppInstances	Allows you to control the number of application instances running at the same time.
TJvBtnMenuItemPainter	This painter draws an item as a raised or lowered button
TJvCABFile	Encapsulates access to .CAB (cabinet) files using the Setup API.
TJvCaesarCipher	Enables you to (de)cipher strings.
TJvClipboardMonitor	Not documented (Edit topic).
TJvClipboardViewer	Not documented (Edit topic).
TJvCommStatus	Not documented (Edit topic).
TJvComputerInfoEx	Contains subclasses and properties with various information about the computer and its subsystems, settings and status.
TJvCreateProcess	Enables you to create processes and wait for them to end.
TJvDragDrop	Enables a control to accepts dropped files.
TJvDropTarget	Enables a control to accepts dropped files.
TJvFormatDriveDialog	Displays the standard Shell format dialog.
TJvgSysRequirements	Not documented (Edit topic).
TJvLogFile	Not documented (Edit topic).
TJvMainMenu	This is the main menu from the JVCL
TJvMTCountingSection	Not documented (Edit topic).
TJvMTManager	Not documented (Edit topic).
TJvMTMonitorSection	Not documented (Edit topic).
TJvMTSection	Not documented (Edit topic).
TJvMTThread	Not documented (Edit topic).
TJvMTThreadToThread	Not documented (Edit topic).
TJvMTThreadToVCL	Not documented (Edit topic).
TJvMTVCLToThread	Not documented (Edit topic).
TJvNTEventLog	Not documented (Edit topic).
TJvOfficeMenuItemPainter	The painter for the msOffice style
TJvOwnerDrawMenuItemPainter	This is the painter for the msOwnerDraw style
TJvPerfStat95	Not documented (Edit topic).
TJvPopupMenu	This is the popup menu from the JVCL.
TJvRas32	Not documented (Edit topic).
TJvRecentMenuButton	Not documented (Edit topic).
TJvScheduledEvents	Allows you to schedule execution of events using a recurring schedule.
TJvSearchFiles	Enables you to search for files and directories.
TJvShellHook	Wrapper component for the RegisterShellHookWindow and DeregisterShellHookWindow Windows API functions.
TJvSHFileOperation	Copies, moves, renames, or deletes files, while showing the standard Windows progress dialog.
TJvStandardMenuItemPainter	This painter draws the items without any special effects, apart from drawing the image
TJvStartMenuButton	Not documented (Edit topic).
TJvTFAlarm	Not documented (Edit topic).
TJvThread	Not documented (Edit topic).
TJvThreadTimer	TTimer replacement that utilizes a thread and has a higher accuracy.
TJvThreadTimer	TTimer replacement that utilizes a thread and has a higher accuracy.
TJvTimeLimit	Adds a date limit to the execution of an application.
TJvTimer	Not documented (Edit topic).
TJvTimerList	Maintains a list of timers.
TJvVigenereCipher	A component that encodes and decodes according to the Vigenere cipher method
TJvWindowHook	Enables you to receive messages send to a certain control.
TJvWinHelp	Not documented (Edit topic).
TJvXORCipher	A component that can encode and decode using the XOR algorithm
TJvXPMenuItemPainter	This painter draws the menu items so that they look like the XP menus without requiring to run under XP.
TJvZlibMultiple	Not documented (Edit topic).
Created with Doc-O-Matic.


Topics

System

Topics

Alarms and timers

Encryption and encoding

Files and folders

Libraries, processes and threads

Menus

Created with Doc-O-Matic.


Alarms and timers

Topics	System

JVCL provides a number of components and controls to schedule and/or time events.

This group contains the following components and controls:
Component	Description
TJvAlarms	Programmable timer.
TJvScheduledEvents	Allows you to schedule execution of events using a recurring schedule.
TJvTFAlarm	Not documented (Edit topic).
TJvThreadTimer	TTimer replacement that utilizes a thread and has a higher accuracy.
TJvTimeLimit	Adds a date limit to the execution of an application.
TJvTimer	Not documented (Edit topic).
TJvTimerList	Maintains a list of timers.
Created with Doc-O-Matic.


Topics

Alarms and timers

Topics

Alarms

Timers

Created with Doc-O-Matic.


Alarms

Alarms and timers

JVCL provides a number of components to schedule events.

This group contains the following components and controls:
Component	Description
TJvAlarms	Programmable timer.
TJvScheduledEvents	Allows you to schedule execution of events using a recurring schedule.
TJvTimeLimit	Adds a date limit to the execution of an application.
Created with Doc-O-Matic.


Timers

Alarms and timers

JVCL provides a number of components to time events.

This group contains the following components and controls:
Component	Description
TJvTFAlarm	Not documented (Edit topic).
TJvThreadTimer	TTimer replacement that utilizes a thread and has a higher accuracy.
TJvTimer	Not documented (Edit topic).
TJvTimerList	Maintains a list of timers.
Created with Doc-O-Matic.


Encryption and encoding

System

JVCL provides a number of components that allow you to encrypt/decrypt or encode/decode strings or data.

This group contains the following components and controls:
Component	Description
TJvCaesarCipher	Enables you to (de)cipher strings.
TJvVigenereCipher	A component that encodes and decodes according to the Vigenere cipher method
TJvXORCipher	A component that can encode and decode using the XOR algorithm
Created with Doc-O-Matic.


Files and folders

System

JVCL provides a number of components to manage files and folders.

This group contains the following components and controls:
Component	Description
TJvCABFile	Encapsulates access to .CAB (cabinet) files using the Setup API.
TJvFormatDriveDialog	Displays the standard Shell format dialog.
TJvLogFile	Not documented (Edit topic).
TJvSearchFiles	Enables you to search for files and directories.
TJvSHFileOperation	Copies, moves, renames, or deletes files, while showing the standard Windows progress dialog.
Created with Doc-O-Matic.


Libraries, processes and threads

Topics	System

JVCL provides a number of components and controls to control/manage libraries, processes and threads.

This group contains the following components and controls:
Component	Description
TJvCreateProcess	Enables you to create processes and wait for them to end.
TJvMTCountingSection	Not documented (Edit topic).
TJvMTManager	Not documented (Edit topic).
TJvMTMonitorSection	Not documented (Edit topic).
TJvMTSection	Not documented (Edit topic).
TJvMTThread	Not documented (Edit topic).
TJvMTThreadToThread	Not documented (Edit topic).
TJvMTThreadToVCL	Not documented (Edit topic).
TJvMTVCLToThread	Not documented (Edit topic).
TJvThread	Not documented (Edit topic).
TJvThreadTimer	TTimer replacement that utilizes a thread and has a higher accuracy.
Created with Doc-O-Matic.


Topics

Libraries, processes and threads

Topics

Libraries

Processes

Threads

Created with Doc-O-Matic.


Libraries

Libraries, processes and threads

JVCL provides a number of components to control library files (.DLLs).

This group is currently empty.

Created with Doc-O-Matic.


Processes

Libraries, processes and threads

JVCL provides a number of components and controls to create and/or control processes.

This group contains the following components and controls:
Component	Description
TJvCreateProcess	Enables you to create processes and wait for them to end.
Created with Doc-O-Matic.


Threads

Libraries, processes and threads

JVCL provides a number of components and controls to create and/or control threads.

This group contains the following components and controls:
Component	Description
TJvMTCountingSection	Not documented (Edit topic).
TJvMTManager	Not documented (Edit topic).
TJvMTMonitorSection	Not documented (Edit topic).
TJvMTSection	Not documented (Edit topic).
TJvMTThread	Not documented (Edit topic).
TJvMTThreadToThread	Not documented (Edit topic).
TJvMTThreadToVCL	Not documented (Edit topic).
TJvMTVCLToThread	Not documented (Edit topic).
TJvThread	Not documented (Edit topic).
TJvThreadTimer	TTimer replacement that utilizes a thread and has a higher accuracy.
Created with Doc-O-Matic.


Menus

System

JVCL provides a number of components that enhance the standard menu components found in Delphi

This group contains the following components and controls:
Component	Description
TJvBtnMenuItemPainter	This painter draws an item as a raised or lowered button
TJvMainMenu	This is the main menu from the JVCL
TJvOfficeMenuItemPainter	The painter for the msOffice style
TJvOwnerDrawMenuItemPainter	This is the painter for the msOwnerDraw style
TJvPopupMenu	This is the popup menu from the JVCL.
TJvRecentMenuButton	Not documented (Edit topic).
TJvStandardMenuItemPainter	This painter draws the items without any special effects, apart from drawing the image
TJvStartMenuButton	Not documented (Edit topic).
TJvXPMenuItemPainter	This painter draws the menu items so that they look like the XP menus without requiring to run under XP.
Created with Doc-O-Matic.


XP controls

Functional Reference

JVCL provides a number of controls that have a distinct XP/Office XP look-and-feel.

This group contains the following components and controls:
Component	Description
TJvOfficeColorButton	Not documented (Edit topic).
TJvOfficeColorPanel	Not documented (Edit topic).
TJvOfficeMenuItemPainter	The painter for the msOffice style
TJvXPBar	Control that can display an icon, a header and zero or more clickable items in its client area.
TJvXPButton	Button drawn in an XP style.
TJvXPCheckbox	Checkbox that draws itself in an XP style.
TJvXPContainer	A panel style control.
TJvXPMenuItemPainter	This painter draws the menu items so that they look like the XP menus without requiring to run under XP.
TJvXPStyleManager	A component that manages the theme and style of any number of connected controls.
TJvXPToolButton	Button control that draws its client area using a predefined style.
Created with Doc-O-Matic.


Wizards

Topics	Functional Reference

Components for creating wizard style dialogs and applications.

This group contains the following components and controls:
Component	Description
TJvWizard	Control that provides support for creating wizard style dialogs.
TJvWizardRouteMapList	A route map component that displays the pages of a wizard as a list.
TJvWizardRouteMapNodes	Route map component for displaying the pages in a wizard.
TJvWizardRouteMapSteps	Route map component for displaying the pages in a wizard.
Created with Doc-O-Matic.


Topics

Wizards

Topics

RouteMaps

Created with Doc-O-Matic.


RouteMaps

Wizards

Components to extend wizards with alternative page navigation or for displaying the wizard pages in an alternate way.

This group contains the following components and controls:
Component	Description
TJvWizardRouteMapList	A route map component that displays the pages of a wizard as a list.
TJvWizardRouteMapNodes	Route map component for displaying the pages in a wizard.
TJvWizardRouteMapSteps	Route map component for displaying the pages in a wizard.
Created with Doc-O-Matic.


Packages
JEDI-VCL Reference

Packages

Topics

Previous versions of JVCL had one run-time and one design-time package for each version of supported compilers (i.e one pair for Delphi 5, another pair for Delphi 6 etc). The current JVCL, however, is split into a larger set of smaller packages, where each package contains logically related components.

Each run-time package also has a matching design-time package with the registration code and any design-time editors required by the run-time package.

Created with Doc-O-Matic.


Topics

Packages

Topics

AppFrm package

Bands package

BDE package

Cmp package

Core package

Crypt package

Ctrls package

Custom package

DB package

Dlgs package

Docking package

DotNetCtrls package

EDI package

Globus package

HMI package

Interpreter package

Jans package

ManagedThreads package

MM package

Net package

PageComps package

Plugin package

PrintPreview package

RuntimeDesign package

StdCtrls package

System package

TimeFramework package

UIB package

Validators package

Wizard package

XPCtrls package

Created with Doc-O-Matic.


AppFrm package

Packages

Contains application and Form related components.

This package contains the following components and controls:
Component	Description
TJvAnimTitle	Caption animation component.
TJvAppAnimatedIcon	Animates the application's icon.
TJvAppEvents	Not documented (Edit topic).
TJvApplicationHotKey	Registers a system wide hot key combination.
TJvEmbeddedFormLink	Makes a form embeddable.
TJvEmbeddedFormPanel	Provides a surface to embed a form in.
TJvEmbeddedInstanceFormPanel	Provides a surface to embed a form in.
TJvFormAnimatedIcon	Not documented (Edit topic).
TJvFormAnimation	Not documented (Edit topic).
TJvFormAutoSize	Component that will resize all components of the form whenever the form resizes.
TJvFormMagnet	Not documented (Edit topic).
TJvTransparentForm	Not documented (Edit topic).
TJvFormWallpaper	Fills the background of a form or a panel with an image.
TJvGradientCaption	Not documented (Edit topic).
Created with Doc-O-Matic.


Bands package

Packages

Contains units for band object development.

This package is currently empty.

Created with Doc-O-Matic.


BDE package

Packages

Contains BDE specific components and controls.

This package contains the following components and controls:
Component	Description
TJvDBFilter	Not documented (Edit topic).
TJvDBIndexCombo	Not documented (Edit topic).
TJvBDEItems	Not documented (Edit topic).
TJvDatabaseItems	Not documented (Edit topic).
TJvDBListDataSet	Not documented (Edit topic).
TJvTableItems	Not documented (Edit topic).
TJvBDEMemoryTable	Not documented (Edit topic).
TJvDBMove	Not documented (Edit topic).
TJvDBProgress	Not documented (Edit topic).
TJvQBEQuery	Not documented (Edit topic).
TJvQuery	A TQuery modified
TJvSQLScript	Not documented (Edit topic).
TJvDBSecurity	Not documented (Edit topic).
TJvBDESQLScript	Not documented (Edit topic).
Created with Doc-O-Matic.


Cmp package

Packages

Contains non-visual components

This package contains the following components and controls:
Component	Description
TJvAlarms	Programmable timer.
TJvConverter	Not documented (Edit topic).
TJvCreateProcess	Enables you to create processes and wait for them to end.
TJvDataEmbedded	Use this component to embed external data in your application.
TJvEasterEgg	Not documented (Edit topic).
TJvEnterAsTab	A component to redirect all Enter keys to Tab keys.
TJvLogFile	Not documented (Edit topic).
TJvMergeManager	Not documented (Edit topic).
TJvMouseGesture	Not documented (Edit topic).
TJvMouseGestureHook	Not documented (Edit topic).
TJvPageManager	Not documented (Edit topic).
TJvPatchFile	Implements a file patching utility.
TJvPrint	Not documented (Edit topic).
TJvMultiStringHolder	Not documented (Edit topic).
TJvStrHolder	Not documented (Edit topic).
TJvTimeLimit	Adds a date limit to the execution of an application.
TJvTranslator	Translates an application, form or component.
TJvTranslatorStrings	Stores translatable strings that are not part of a form or component, like variables etc.
TJvWinHelp	Not documented (Edit topic).

In addition to these components, the following classes belong to this package:
Class	Description
TJvSpellChecker	Provides spellchecker functionality.
Created with Doc-O-Matic.


Core package

Packages

Contains the core units used by a large part of the JVCL.

This package contains the following components and controls:
Component	Description
TJvAppIniFileStorage	INI file based application data storage.
TJvAppRegistryStorage	Registry based application data storage.
TJvAppStorage	Storage Component without own storage mechanism.
TJvAppStorageSelectList	End-User TJvAppStorage Select List
TJvLookupAutoComplete	Not documented (Edit topic).
TJvBackground	Not documented (Edit topic).
TJvColorMappingProvider	Not documented (Edit topic).
TJvColorProvider	Not documented (Edit topic).
TJvContextProvider	Not documented (Edit topic).
TJvPoweredByJCL	Not documented (Edit topic).
TJvPoweredByJVCL	Not documented (Edit topic).
Created with Doc-O-Matic.


Crypt package

Packages

Contains encryption and compression components.

This package contains the following components and controls:
Component	Description
TJvCABFile	Encapsulates access to .CAB (cabinet) files using the Setup API.
TJvCaesarCipher	Enables you to (de)cipher strings.
TJvVigenereCipher	A component that encodes and decodes according to the Vigenere cipher method
TJvXORCipher	A component that can encode and decode using the XOR algorithm
TJvGenetic	Not documented (Edit topic).
TJvSerialMaker	Not documented (Edit topic).
TJvZlibMultiple	Not documented (Edit topic).
Created with Doc-O-Matic.


Ctrls package

Packages

Contains visual controls.

This package contains the following components and controls:
Component	Description
TJvArrowButton	Office style button with arrow. Separated click events for button and arrow.
TJvaScrollText	Not documented (Edit topic).
TJvBehaviorLabel	Label with various special effects.
TJvHTButton	Not documented (Edit topic).
TJvCaptionButton	Button that is added to the form caption.
TJvCaptionPanel	A panel with a caption bar.
TJvCharMap	Use this component when you want to allow your user to choose a character in a grid displaying the current character set.
TJvClock	Not documented (Edit topic).
TJvColorButton	A button that can display a color and a drop-down form to select another color.
TJvComboListBox	A listbox that displays a combobox overlaying the selected item.
TJvComponentPanel	Not documented (Edit topic).
TJvContentScroller	A TCustomPanel descendant that can scroll its content.
TJvDice	Not documented (Edit topic).
TJvDirectoryListBox	Represents a list box control that is aware of the directory structure of the current drive.
TJvDriveCombo	A combobox that displays the available drives on the system.
TJvDriveList	A listbox that displays a list of drives available on the system.
TJvFileListBox	A specialized list box that lists all the files in a specified directory.
TJvFooter	Not documented (Edit topic).
TJvGroupHeader	Not documented (Edit topic).
TJvHint	Not documented (Edit topic).
TJvHTComboBox	Implements an HTML-enabled ComboBox control.
TJvHTLabel	Implements an HTML-enabled label control.
TJvHTListBox	Implements an HTML-enabled list box.
TJvInstallLabel	Provides a label component that can display items similar to how installation programs display install progress.
TJvItemsPanel	Displays a list of "buttons" where each button is a string in a string list.
TJvImageComboBox	A combobox that can display images as well as items in the list.
TJvImageListBox	A listbox that can display images as well as items in the list.
TJvMovableBevel	Not documented (Edit topic).
TJvNetscapeSplitter	Not documented (Edit topic).
TJvOfficeColorButton	Not documented (Edit topic).
TJvOfficeColorPanel	Not documented (Edit topic).
TJvPageScroller	A TPageScroller with additional events.
TJvPlaylist	Not documented (Edit topic).
TJvRegistryTreeView	Treeview that displays the hives and subnodes of the registry.
TJvRollOut	A control that acts like a pane but can also alter its height or width to predefined values.
TJvRuler	Not documented (Edit topic).
TJvScrollMax	Not documented (Edit topic).
TJvScrollingWindow	Represents a scrolling toolbar.
TJvScrollText	Can scroll multiple lines of text.
TJvSpacer	Can be used as a spacer on a window.
TJvSpeedBar	Not documented (Edit topic).
TJvxSplitter	Not documented (Edit topic).
TJvSplitter	Adds events that can be used for hot tracking.
TJvSwitch	Not documented (Edit topic).
TJvSyncSplitter	Synchronizes two split controls.
TJvTransparentButton	A button that can display images and text and also can align text and image in various ways.
TJvUninstallComboBox	A combobox that displays uninstall information.
TJvUninstallListBox	A listbox that displays uninstall information.
TJvWinampLabel	Not documented (Edit topic).
TJvZoom	A component that can zoom in a part of the screen.
Created with Doc-O-Matic.


Custom package

Packages

Contains custom controls and "advanced" components.

This package contains the following components and controls:
Component	Description
TJvBalloonHint	Can replace the application hint window with a balloon shaped hint window, and can also display balloons attached to a specific control.
TJvChart	The TJvChart component is a Charting/Graphing component.
TJvEditor	Not documented (Edit topic).
TJvGammaPanel	Not documented (Edit topic).
TJvHLEditor	Not documented (Edit topic).
TJvImageListViewer	Control that displays the images from an image list.
TJvImagesViewer	Control that can display images in a grid like fashion.
TJvLinkLabel	Not documented (Edit topic).
TJvExpress	A control that mimics the look of the sidebar in Microsoft® Outlook Express®.
TJvExpressButton	Buttons used on a TJvExpress control.
TJvLookOut	A sidebar control that displays pages and buttons in a manner similar to the outlook bar in Microsoft® Outlook®.
TJvLookOutButton	Button used on lookout pages or stand-alone.
TJvOutlookBar	A control that can display pages and buttons in the style of the button bar used by Microsoft(R) Outlook(R).
TJvOwnerDrawViewer	Add a TJvOwnerDrawViewer control to a form to present arbitrary information in a grid.
TJvScheduledEvents	Allows you to schedule execution of events using a recurring schedule.
TJvModernTabBarPainter	Implements the Modern drawing style for rendering tabs on a tabbed-bar control.
TJvTabBar	Implements a tab bar control.
TJvThumbImage	Not documented (Edit topic).
TJvThumbnail	Not documented (Edit topic).
TJvThumbView	Not documented (Edit topic).
TJvTimeLine	Displays a timeline with date items in various ways.
TJvTMTimeline	Displays a timeline that mimics the timeline in MS Team Manager.
TJvTrayIcon	Adds an icon to the tray.
TJvWideEditor	Not documented (Edit topic).
TJvWideHLEditor	Not documented (Edit topic).
TJvValidateEdit	Edit control that can restrict its content to only accept valid input.
Created with Doc-O-Matic.


DB package

Packages

Contains generic DB access and DB controls.

This package contains the following components and controls:
Component	Description
TJvAppDBStorage	Dataset based application data storage.
TJvCsvDataSet	In-memory TDataSet component similar to TTable.
TJvDatabaseActionList	Not documented (Edit topic).
TJvDBComboBox	Not documented (Edit topic).
TJvDBCalcEdit	Not documented (Edit topic).
TJvDBComboEdit	Not documented (Edit topic).
TJvDBDateEdit	A data aware edit with a button that drops down a calendar.
TJvDBMaskEdit	Not documented (Edit topic).
TJvDBStatusLabel	Not documented (Edit topic).
TJvDBDatePickerEdit	Not documented (Edit topic).
TJvDBDateTimePicker	Not documented (Edit topic).
TJvDBFindEdit	Not documented (Edit topic).
TJvDBGrid	Descendant of the standard TDBGrid with additional methods, properties and events.
TJvDBGridCSVExport	Not documented (Edit topic).
TJvDBGridExcelExport	Not documented (Edit topic).
TJvDBGridHTMLExport	Not documented (Edit topic).
TJvDBGridWordExport	Component to export a text in word format
TJvDBGridXMLExport	Not documented (Edit topic).
TJvDBGridFooter	Not documented (Edit topic).
TJvDBHTLabel	Implements an HTML-enabled data-aware label control.
TJvDBImage	This component is a TDBImage replacement that supports other image formats than bitmap, a limitation of TDBImage since D1.
TJvDBLookupCombo	Expands the capabilities of a regular data aware combo-box.
TJvDBLookupEdit	Data aware edit with look up
TJvDBLookupList	Not documented (Edit topic).
TJvDBLookupComboEdit	Not documented (Edit topic).
TJvDBLookupTreeView	Not documented (Edit topic).
TJvDBLookupTreeViewCombo	Not documented (Edit topic).
TJvDBProgressBar	Not documented (Edit topic).
TJvDBRadioPanel	Not documented (Edit topic).
TJvDBRemoteLogin	Not documented (Edit topic).
TJvDBRichEdit	Not documented (Edit topic).
TJvDBSearchComboBox	Combo box for navigating in a dataset.
TJvDBSearchEdit	Not documented (Edit topic).
TJvDBSpinEdit	Not documented (Edit topic).
TJvDBTreeView	Implements a data-aware tree view component.
TJvDBUltimGrid	Not documented (Edit topic).
TJvMemoryData	Allows developer to create and maintain a memory-driven database.
Created with Doc-O-Matic.


Dlgs package

Packages

Contains dialog components.

This package contains the following components and controls:
Component	Description
TJvAddPrinterDialog	Wrapper around the "Add Printer..." windows dialog.
TJvConnectNetwork	Not documented (Edit topic).
TJvDisconnectNetwork	Not documented (Edit topic).
TJvCopyError	Displays a dialog box for errors encountered when copying a file.
TJvDeleteError	Displays a dialog box for errors encountered when deleting a file.
TJvDesktopAlert	Displays a window with a message that is automatically hidden after a specified time.
TJvDesktopAlertStack	Manages a list of TJvDesktopAlert components.
TJvColorDialog	Not documented (Edit topic).
TJvOpenDialog	Not documented (Edit topic).
TJvSaveDialog	Not documented (Edit topic).
TJvDiskPrompt	Displays a dialog that prompts the user for a disk.
TJvDSADialog	Converts a form into a "Don't Show Again" dialog.
TJvDualListDialog	Not documented (Edit topic).
TJvFindFilesDialog	Simplifies searching for files.
TJvFindReplace	A component to easily provide search and replace functionality for controls derived from TCustomEdit.
TJvImageDialog	Not documented (Edit topic).
TJvObjectPickerDialog	Displays a modal object picker dialog box and returns the user selection.
TJvPageSetupDialog	Not documented (Edit topic).
TJvPageSetupTitledDialog	Not documented (Edit topic).
TJvProgressComponent	A component that can display a progress dialog.
TJvProgressDialog	A component that can display a progress dialog either modally or non-modally.
TJvRenameError	Displays a dialog box for errors encountered when renaming a file.
TJvSelectDirectory	Displays a directory-selection dialog.
TJvTipOfDay	Displays a Tip of the Day dialog.
TJvAddHardwareDialog	Displays the Add Hardware Wizard.
TJvAppletDialog	Displays a Control Panel window.
TJvChangeIconDialog	Displays a dialog that allows a user to select an icon from a module.
TJvComputerNameDialog	Displays a dialog enabling the user to select a computer.
TJvDiskFullDialog	Displays the Windows Disk Full dialog.
TJvExitWindowsDialog	Displays a dialog that prompts the user to restart Windows.
TJvFormatDriveDialog	Displays the standard Shell format dialog.
TJvNewLinkDialog	Displays the Create New Shortcut Wizard.
TJvObjectPropertiesDialog	Displays a properties dialog for a file, folder or printer.
TJvOpenWithDialog	Displays the Open With... dialog.
TJvOrganizeFavoritesDialog	Displays the Organize Favorites dialog.
TJvOutOfMemoryDialog	Displays the Windows Out of Memory dialog.
TJvRunDialog	Displays the Windows Run dialog.
TJvShellAboutDialog	Displays a ShellAbout dialog.

In addition to these components, the following routines belong to this package:
Routine	Description
DSACount	Returns the number of DSA dialogs registered.
DSAItem	Retrieves a DSA registration item.
DSAMessageDlg	MessageDlg replacement with additional settings and "Don't show again" capabilities.
DSAMessageDlgEx	MessageDlg replacement with additional settings and "Don't show again" capabilities.
DSARegStore	Retrieves a reference to the default registry storage.
DSAShowMessage	Display a message box.
DSAShowMessageFmt	Display a message box.
GetDSACheckMarkText	Retrieves the check mark text for the given ID.
GetDSAState	Retrieves DSA state.
LocateDSAReg	Locates and returns the DSA registration info for a given dialog.
MessageDlg	MessageDlg replacement with additional settings.
MessageDlgEx	MessageDlg extension with additional settings.
RegisterDSA	Register a DSA dialog.
RegisterDSACheckMarkText	Register a check mark text.
SetDSAState	Sets DSA state.
ShowMessage	Display a message box.
ShowMessageFmt	Display a message box.
UnregisterDSA	Remove a DSA dialog from the system.
UnregisterDSACheckMarkText	Unregister a check mark text.
Created with Doc-O-Matic.


Docking package

Packages

Contains Docking components.

This package contains the following components and controls:
Component	Description
TJvDockClient	Manages a dockable child form.
TJvDockServer	JvDockServer objects, in conjunction with a JvDockStyle object manage the master docking site form. Allows docking to the sides, and to one central area in your form.
TJvDockDelphiStyle	Defines standard Delphi docking behavior.
TJvDockVCStyle	Defines standard Visual C++ docking behavior.
TJvDockVIDStyle	Defines standard Visual InterDev docking behavior.
TJvDockVIDVCStyle	Not documented (Edit topic).
TJvDockVSNetStyle	Defines standard Visual Studio .NET docking behavior.
Created with Doc-O-Matic.


DotNetCtrls package

Packages

Contains DotNet style components (Do not require the .Net framework to be installed)

This package contains the following components and controls:
Component	Description
TJvDotNetDBEdit	A DB Edit that renders its border in the DotNet style.
TJvDotNetDBFindEdit	Not documented (Edit topic).
TJvDotNetDBListBox	A DB Listbox that renders its border in the DotNet style.
TJvDotNetDBLookupListBox	A DB Lookup Listbox that renders its border in the DotNet style.
TJvDotNetDBMemo	A DB Memo that renders its border in the DotNet style.
TJvDotNetDBRichEdit	A DB RichEdit that renders its border in the DotNet style.
TJvDotNetButton	Not documented (Edit topic).
TJvDotNetCheckListBox	A check listbox that renders its border in the DotNet style.
TJvDotNetDirectoryEdit	Not documented (Edit topic).
TJvDotNetEdit	An edit that renders its border in the DotNet style.
TJvDotNetFilenameEdit	Not documented (Edit topic).
TJvDotNetHotKey	A hotkey that renders its border in the DotNet style.
TJvDotNetListBox	A listbox that renders its border in the DotNet style.
TJvDotNetListView	A listview that renders its border in the DotNet style.
TJvDotNetMaskEdit	A mask edit that renders its border in the DotNet style.
TJvDotNetMemo	A memo that renders its border in the DotNet style.
TJvDotNetRichEdit	A rich edit that renders its border in the DotNet style.
TJvDotNetScrollBox	A scroll box that renders its border in the DotNet style.
TJvDotNetTreeView	A treeview that renders its border in the DotNet style.
Created with Doc-O-Matic.


EDI package

Packages

No description

This package contains the following components and controls:
Component	Description
TJvEDIDBBuffer	Use this component to create and update an EDI database buffer.
TJvEDIDBSEFProfiler	Use this component for building a profile from SEF files.
TJvEDIDBSpecProfiler	Use this component for building a profile from EDI SDK specification files.
Created with Doc-O-Matic.


Globus package

Packages

Contains Globus Delphi components.

This package contains the following components and controls:
Component	Description
TJvg3DColors	Not documented (Edit topic).
TJvgAskListBox	Not documented (Edit topic).
TJvgBevel	Not documented (Edit topic).
TJvgButton	Not documented (Edit topic).
TJvgCaption	Not documented (Edit topic).
TJvgCheckBox	Not documented (Edit topic).
TJvgPrintCrossTable	Not documented (Edit topic).
TJvgDBGrid	Not documented (Edit topic).
TJvgDigits	Not documented (Edit topic).
TJvgExceptionHandler	Not documented (Edit topic).
TJvgExportDataset	Not documented (Edit topic).
TJvgExportExcel	Not documented (Edit topic).
TJvgExportHTML	Not documented (Edit topic).
TJvgExportXML	Not documented (Edit topic).
TJvgFixFont	Not documented (Edit topic).
TJvgFlyingText	Not documented (Edit topic).
TJvgGraphicButton	Not documented (Edit topic).
TJvgGridHeaderControl	Not documented (Edit topic).
TJvgGroupBox	Not documented (Edit topic).
TJvgHelpPanel	Not documented (Edit topic).
TJvgHint	Not documented (Edit topic).
TJvgHoleShape	Not documented (Edit topic).
TJvgBitmapImage	Not documented (Edit topic).
TJvgInspectorGrid	Not documented (Edit topic).
TJvgLabel	Not documented (Edit topic).
TJvgLanguageLoader	Not documented (Edit topic).
TJvgCheckListBox	Not documented (Edit topic).
TJvgListBox	Not documented (Edit topic).
TJvgLogicProducer	Not documented (Edit topic).
TJvgMailSlotClient	Not documented (Edit topic).
TJvgMailSlotServer	Not documented (Edit topic).
TJvgPageControl	Not documented (Edit topic).
TJvgProcess	Not documented (Edit topic).
TJvgProgress	Not documented (Edit topic).
TJvgQRDBText	Not documented (Edit topic).
TJvgQRLabel	Not documented (Edit topic).
TJvgReport	Not documented (Edit topic).
TJvgRuler	Not documented (Edit topic).
TJvgScrollBox	Not documented (Edit topic).
TJvgShade	Not documented (Edit topic).
TJvgShadow	Not documented (Edit topic).
TJvgSingleInstance	Not documented (Edit topic).
TJvgSmallFontsDefense	Not documented (Edit topic).
TJvgExtSpeedButton	Not documented (Edit topic).
TJvgSpeedButton	Not documented (Edit topic).
TJvgSplitter	Not documented (Edit topic).
TJvgStaticText	Not documented (Edit topic).
TJvgStringContainer	Not documented (Edit topic).
TJvgStringGrid	Not documented (Edit topic).
TJvgSysRequirements	Not documented (Edit topic).
TJvgTabControl	Not documented (Edit topic).
TJvgTransparentMemo	Not documented (Edit topic).
TJvgCheckTreeView	Not documented (Edit topic).
TJvgTreeView	Not documented (Edit topic).
TJvgVertDBSGrid	Not documented (Edit topic).
TJvgWizardHeader	Not documented (Edit topic).
TJvgXMLSerializer	This component converts a given component to XML and back according to published interface of its class.
Created with Doc-O-Matic.


HMI package

Packages

Contains HMI components.

This package contains the following components and controls:
Component	Description
TJvDialButton	Not documented (Edit topic).
TJvLED	Component that displays a LED in any color.
TJvSegmentedLEDDisplay	Segmented LED display control.
Created with Doc-O-Matic.


Interpreter package

Packages

Contains components and units related to JvInterpreter.

This package contains the following components and controls:
Component	Description
TJvInterpreterProgram	Not documented (Edit topic).
TJvInterpreterFm	Not documented (Edit topic).
Created with Doc-O-Matic.


Jans package

Packages

Contains Jans Delphi components.

This package contains the following components and controls:
Component	Description
TJvAirBrush	Not documented (Edit topic).
TJvArrayButton	Not documented (Edit topic).
TJvBitmapButton	Not documented (Edit topic).
TJvCSVBase	Not documented (Edit topic).
TJvCSVCheckBox	Not documented (Edit topic).
TJvCSVComboBox	Not documented (Edit topic).
TJvCSVEdit	Not documented (Edit topic).
TJvCSVNavigator	Not documented (Edit topic).
TJvDrawImage	Not documented (Edit topic).
TJvForthScript	Not documented (Edit topic).
TJvGridFilter	Not documented (Edit topic).
TJvGridPrinter	Not documented (Edit topic).
TJvJanTreeView	Not documented (Edit topic).
TJvMarkupLabel	Implements an HTML-enabled Label component.
TJvMarkupViewer	Implements a scrollable HTML-enabled viewer component.
TJvPaintFX	Not documented (Edit topic).
TJvSAL	Not documented (Edit topic).
TJvSALCore	Not documented (Edit topic).
TJvSALMath	Not documented (Edit topic).
TJvShapedButton	Not documented (Edit topic).
TJvSimIndicator	Not documented (Edit topic).
TJvLogic	Not documented (Edit topic).
TJvSimButton	Not documented (Edit topic).
TJvSIMConnector	Not documented (Edit topic).
TJvSimLight	Not documented (Edit topic).
TJvSimLogicBox	Not documented (Edit topic).
TJvSimReverse	Not documented (Edit topic).
TJvSimPID	Not documented (Edit topic).
TJvSimPIDLinker	Not documented (Edit topic).
TJvSimScope	Not documented (Edit topic).
TJvSticker	Not documented (Edit topic).
TJvTracker	Not documented (Edit topic).
TJvTurtle	Not documented (Edit topic).
TJvYearGrid	Not documented (Edit topic).
Created with Doc-O-Matic.


ManagedThreads package

Packages

Contains Thread components (for version 6 and newer only)

This package contains the following components and controls:
Component	Description
TJvMTCountingSection	Not documented (Edit topic).
TJvMTManager	Not documented (Edit topic).
TJvMTMonitorSection	Not documented (Edit topic).
TJvMTSection	Not documented (Edit topic).
TJvMTThread	Not documented (Edit topic).
TJvMTThreadToThread	Not documented (Edit topic).
TJvMTThreadToVCL	Not documented (Edit topic).
TJvMTVCLToThread	Not documented (Edit topic).
Created with Doc-O-Matic.


MM package

Packages

Contains multimedia and graphic components.

This package contains the following components and controls:
Component	Description
TJvAnimate	Enhanced TAnimate control.
TJvAnimatedImage	A component that takes a glyph, cuts it along one direction to create frames to be displayed as an animation.
TJvAVICapture	An encapsulation of the AVICap API allowing to capture live video.
TJvBmpAnimator	A component for playing a series of bitmaps.
TJvColorTrackBar	Not documented (Edit topic).
TJvFullColorAxisCombo	Combobox filled with the 6 axis configurations.
TJvFullColorCircle	This control displays a circle useful for color rotation functions
TJvFullColorGroup	Component that display a list of TJvFullColor
TJvFullColorLabel	Label with color view
TJvFullColorPanel	Control displaying 2 axes of a color space.
TJvFullColorSpaceCombo	ComboBox filled with all available color spaces.
TJvFullColorTrackBar	Control displaying one axis of a color space.
TJvFullColorCircleDialog	Dialog box displaying a TJvFullColorCircle and its TJvFullColorTrackBar.
TJvFullColorDialog	A standard "Choose a color" dialog box
TJvGIFAnimator	Not documented (Edit topic).
TJvGradient	Not documented (Edit topic).
TJvGradientHeaderPanel	Not documented (Edit topic).
TJvID3v1	Gives access to a file's ID3v1 tag.
TJvID3v2	Gives easy access to a file's ID3 v2 tag.
TJvImageRotate	Not documented (Edit topic).
TJvImageSquare	A control that can display an image from an imagelist.
TJvImageTransform	Not documented (Edit topic).
TJvPicClip	Not documented (Edit topic).
TJvSlider	Slider displayed with user-defined images.
TJvSpecialImage	Supports extended features such as fade in, fade out and image flipping.
TJvSpecialProgress	Two-color gradient filled progress bar.
TJvStarfield	A star field with moving stars.
TJvWaitingGradient	Not documented (Edit topic).
TJvWaitingProgress	Not documented (Edit topic).
TJvWavePlayer	Not documented (Edit topic).
Created with Doc-O-Matic.


Net package

Packages

Contains network and Internet technology components.

This package contains the following components and controls:
Component	Description
TJvFormToHtml	Converts a TForm and content to HTML code.
TJvHTMLParser	Implements an HTML parser.
TJvMail	Wrapper for the Simple MAPI functions.
TJvProgramVersionCheck	Not documented (Edit topic).
TJvProgramVersionDatabaseLocation	Not documented (Edit topic).
TJvProgramVersionFTPLocation	Not documented (Edit topic).
TJvProgramVersionHTTPLocation	Not documented (Edit topic).
TJvProgramVersionNetworkLocation	Not documented (Edit topic).
TJvRGBToHTML	Not documented (Edit topic).
TJvRichEditToHtml	Converts the contents of a rich edit control to HTML.
TJvStringListToHtml	Converts a plain string list to a HTML formatted equivalent.
TJvStrToHtml	Component that can convert a string into a form that contains no values that are illegal in an HTML document.
TJvFtpUrlGrabber	This is the grabber for FTP URLs
TJvHttpUrlGrabber	This a grabber for HTPP URLs
TJvLocalFileUrlGrabber	This a grabber for Local File URLs
TJvUrlListGrabber	This component will grab a list of URLs in the background
Created with Doc-O-Matic.


PageComps package

Packages

Page style components

This package contains the following components and controls:
Component	Description
TJvNavIconButton	Button used as the small button in a TJvCustomNavigationPane.
TJvNavigationPane	Navigation Pane style control.
TJvNavPanelButton	Class used as the maximized button on a TJvCustomNavigationPane
TJvNavPanelDivider	Panel used as a group splitter in a TJvCustomNavigationPane.
TJvNavPanelHeader	Panel used as a header panel in conjunction with other Nav Pane components.
TJvNavPaneStyleManager	Handles themes for multiple components.
TJvNavPaneToolPanel	Control that visually resembles the action or tool panel in recent versions of Microsoft Office application.
TJvOutlookSplitter	A splitter drawn in the style of the splitter used in Outlook 2003.
TJvPageList	Implements a page list component.
TJvPageListTreeView	A treeview that can be associated with an IPageList implementation.
TJvSettingsTreeView	A treeview that behaves like the treeview in the Options Dialog in VS.Net.
Created with Doc-O-Matic.


Plugin package

Packages

Contains JvPlugin related components.

This package contains the following components and controls:
Component	Description
TJvPluginManager	Plugin manager.

In addition to these components, the following classes belong to this package:
Class	Description
TJvPlugIn	Plugin data module.
Created with Doc-O-Matic.


PrintPreview package

Packages

Print Preview Components

This package contains the following components and controls:
Component	Description
TJvPreviewControl	Control that can display a print preview.
TJvPreviewPrinter	A class that implements the IJvPrinter interface using TPrinter as the output device.
TJvPreviewRenderControl	Renders a preview of a TControl descendant.
TJvPreviewRenderGraphics	A renderer that can render a collection of images.
TJvPreviewRenderJvRichEdit	Not documented (Edit topic).
TJvPreviewRenderRichEdit	Preview renderer for rich edits.
TJvPreviewRenderStrings	Preview render for string lists.
Created with Doc-O-Matic.


RuntimeDesign package

Packages

No description

This package contains the following components and controls:
Component	Description
TJvDesignPanel	Not documented (Edit topic).
TJvDesignScrollBox	Not documented (Edit topic).
TJvDesignSurface	Not documented (Edit topic).
TJvInspector	Inspector control.
TJvInspectorBorlandPainter	Inspector painter class for Borland style.
TJvInspectorDotNETPainter	Inspector painter class for .NET / Visual Studio style.
Created with Doc-O-Matic.


StdCtrls package

Packages

Contains "Standard" or enhanced standard controls.

This package contains the following components and controls:
Component	Description
TJvCalcEdit	Edit control with a button that displays a calculator.
TJvBevel	Bevel control with additional events and properties.
TJvBitBtn	An extended version of the TBitBtn control.
TJvBrowseForFolderDialog	Displays a dialog box enabling the user to select a Shell folder.
TJvCalculator	Displays a simple calculator.
TJvMonthCalendar2	A wrapper component for the MS MonthCal control available in ComCtl32.dll versions 4.70 and above.
TJvCheckBox	A checkbox descendant with added functionality.
TJvCheckedMaskEdit	Not documented (Edit topic).
TJvCheckListBox	Not documented (Edit topic).
TJvCheckTreeView	A treeview control that can display checkboxes and radio buttons.
TJvColorComboBox	Combo box that enables the user to select a color from a drop-down list.
TJvFontComboBox	Combo box that enables the user to select a font from a drop-down list.
TJvCheckedComboBox	Not documented (Edit topic).
TJvComboBox	Provider-aware TComboBox.
TJvIPAddress	An edit control that can display and edit IP values.
TJvPageControl	Not documented (Edit topic).
TJvTabControl	Adds events that can be used for hot tracking as well as support for custom painters.
TJvTabDefaultPainter	Not documented (Edit topic).
TJvTrackBar	Not documented (Edit topic).
TJvTreeView	Not documented (Edit topic).
TJvControlBar	Not documented (Edit topic).
TJvControlPanelButton	Not documented (Edit topic).
TJvCoolBar	Not documented (Edit topic).
TJvImgBtn	A button similar to TJvBitBtn that displays images from an imagelist instead of from a bitmap. This button can also show an animation.
TJvDatePickerEdit	A replacement for TDateTimePicker that maintains its look but fixes its deficiencies concerning keyboard entry.
TJvDateTimePicker	Use this component to let the user input a date or time.
TJvEdit	Supports extended features such as alignment, password protection, custom caret and disabling clipboard commands.
TJvFavoritesButton	Not documented (Edit topic).
TJvDrawGrid	Not documented (Edit topic).
TJvGroupBox	Not documented (Edit topic).
TJvHeaderControl	Adds events that can be used for hot tracking.
TJvHotKey	Adds events that can be used for hot tracking.
TJvImage	Not documented (Edit topic).
TJvImageList	An extended Image list component.
TJvLabel	Can simulate a clickable link and render text at a specific angle.
TJvListBox	Not documented (Edit topic).
TJvListView	Enhanced list view component.
TJvMaskEdit	Not documented (Edit topic).
TJvMemo	Not documented (Edit topic).
TJvBtnMenuItemPainter	This painter draws an item as a raised or lowered button
TJvMainMenu	This is the main menu from the JVCL
TJvOfficeMenuItemPainter	The painter for the msOffice style
TJvOwnerDrawMenuItemPainter	This is the painter for the msOwnerDraw style
TJvPopupMenu	This is the popup menu from the JVCL.
TJvStandardMenuItemPainter	This painter draws the items without any special effects, apart from drawing the image
TJvXPMenuItemPainter	This painter draws the menu items so that they look like the XP menus without requiring to run under XP.
TJvMonthCalendar	Adds events that can be used for hot tracking.
TJvPanel	A panel control that extends the standard TPanel
TJvGradientProgressBar	Not documented (Edit topic).
TJvProgressBar	Not documented (Edit topic).
TJvRadioButton	Not documented (Edit topic).
TJvRadioGroup	A radio group with enhancements.
TJvRecentMenuButton	Not documented (Edit topic).
TJvRichEdit	Wrapper for the v2.0 or v3.0 Windows rich text edit control.
TJvScrollBar	Supports extended features such as hot tracking.
TJvScrollBox	Supports extended features such as hot tracking, and responds to navigational key combinations.
TJvSecretPanel	Not documented (Edit topic).
TJvShape	Supports extended features such as hot tracking.
TJvSpeedButton	Enhanced speed button.
TJvSpinButton	Spin buttons for choosing from a numeric range.
TJvSpinEdit	Spin boxes for choosing from a numeric range
TJvStartMenuButton	Not documented (Edit topic).
TJvStaticText	Supports extended features such as hot tracking.
TJvStatusBar	Supports extended features such as hot tracking, and accepts controls dropped on it at design time.
TJvStringGrid	Supports extended features such as alternative cell alignment, sorting, loading and saving a grid.
TJvSystemPopup	Adds menu items to the system menu.
TJvTextListBox	Not documented (Edit topic).
TJvToolBar	Adds events that can be used for hot tracking.
TJvComboEdit	Edit control with a button.
TJvDateEdit	Edit control with a button that displays a calendar.
TJvDirectoryEdit	Edit control with a button that displays a directory selection dialog.
TJvFilenameEdit	Edit control with a button that displays a file selection dialog.
TJvDomainUpDown	Not documented (Edit topic).
TJvUpDown	Up/down buttons for Edit Controls
TJvxCheckListBox	Not documented (Edit topic).
TJvxSlider	Not documented (Edit topic).

In addition to these components, the following routines belong to this package:
Routine	Description
BrowseComputer	Brings up a dialog to allow the user to enter a computer name.
BrowseDirectory	Brings up a dialog to allow the user to enter a directory name.
BrowseForComputer	Brings up a dialog to allow the user to enter a computer name.
BrowseForFolder	Brings up a dialog to allow the user to enter a directory name.
Created with Doc-O-Matic.


System package

Packages

Contains system related components

This package contains the following components and controls:
Component	Description
TJvAppCommand	Not documented (Edit topic).
TJvAppInstances	Allows you to control the number of application instances running at the same time.
TJvAppXMLFileStorage	Storage component based on a XML file.
TJvChangeNotify	Component that can monitor file and directory changes and report to the user when a change occurs.
TJvClipboardMonitor	Not documented (Edit topic).
TJvClipboardViewer	Not documented (Edit topic).
TJvCommStatus	Not documented (Edit topic).
TJvComputerInfoEx	Contains subclasses and properties with various information about the computer and its subsystems, settings and status.
TJvAppDdeCmd	Not documented (Edit topic).
TJvDebugHandler	Not documented (Edit topic).
TJvDragDrop	Enables a control to accepts dropped files.
TJvDropTarget	Enables a control to accepts dropped files.
TJvFormStorage	General storage component.
TJvFormStorageSelectList	Not documented (Edit topic).
TJvHidDeviceController	Not documented (Edit topic).
TJvJoystick	Not documented (Edit topic).
TJvMruList	Not documented (Edit topic).
TJvMRUManager	Not documented (Edit topic).
TJvNTEventLog	Not documented (Edit topic).
TJvPerfStat95	Not documented (Edit topic).
TJvRas32	Not documented (Edit topic).
TJvScreenSaver	Not documented (Edit topic).
TJvScreenSaveSuppressor	Not documented (Edit topic).
TJvSearchFiles	Enables you to search for files and directories.
TJvShellHook	Wrapper component for the RegisterShellHookWindow and DeregisterShellHookWindow Windows API functions.
TJvSHFileOperation	Copies, moves, renames, or deletes files, while showing the standard Windows progress dialog.
TJvSimpleXML	The component to manipulate a XML file
TJvSoundControl	Enables you to change the balance and volume of output devices.
TJvThread	Not documented (Edit topic).
TJvThreadAnimateDialog	Not documented (Edit topic).
TJvThreadSimpleDialog	Not documented (Edit topic).
TJvThreadTimer	TTimer replacement that utilizes a thread and has a higher accuracy.
TJvTimer	Not documented (Edit topic).
TJvTimerList	Maintains a list of timers.
TJvWindowHook	Enables you to receive messages send to a certain control.
TJvXMLDatabase	A component to access the content of an XML file using SQL like syntax.
Created with Doc-O-Matic.


TimeFramework package

Packages

Contains a set of PIM components formerly known as UIL Time Framework 2.0.

This package contains the following components and controls:
Component	Description
TJvTFAlarm	Not documented (Edit topic).
TJvTFDays	Control that can display appointments on a day by day basis.
TJvTFDaysPrinter	Not documented (Edit topic).
TJvTFGlanceTextViewer	Not documented (Edit topic).
TJvTFScheduleManager	Manages multiple schedules, appointments and associated controls and components.
TJvTFUniversalPrinter	The TJvTFUniversalPrinter component is a general purpose printing component that allows you to easily produce documents with specific margins, bodies, and headers and footers.
TJvTFMonths	Not documented (Edit topic).
TJvTFWeeks	Not documented (Edit topic).
Created with Doc-O-Matic.


UIB package

Packages

Contains UIB (Unified Interbase) components.

This package contains the following components and controls:
Component	Description
TJvUIBBackup	Not documented (Edit topic).
TJvUIBDataBase	Not documented (Edit topic).
TJvUIBQuery	Not documented (Edit topic).
TJvUIBRestore	Not documented (Edit topic).
TJvUIBScript	Not documented (Edit topic).
TJvUIBTransaction	Not documented (Edit topic).
TJvUIBDataSet	Not documented (Edit topic).
Created with Doc-O-Matic.


Validators package

Packages

Validator and Error Indicator components

This package contains the following components and controls:
Component	Description
TJvErrorIndicator	Provides a user interface for indicating that a control on a form has an error associated with it.
TJvValidationSummary	Component that can collect the error messages from failed validations into a single data structure. This component implements the IJvValidationSummary interface.
TJvValidators	Maintains a list of TJvBaseValidator or descendants.
Created with Doc-O-Matic.


Wizard package

Packages

Contains a wizard component and RouteMaps formerly known as "K Wizard"

This package contains the following components and controls:
Component	Description
TJvWizard	Control that provides support for creating wizard style dialogs.
TJvWizardRouteMapList	A route map component that displays the pages of a wizard as a list.
TJvWizardRouteMapNodes	Route map component for displaying the pages in a wizard.
TJvWizardRouteMapSteps	Route map component for displaying the pages in a wizard.
Created with Doc-O-Matic.


XPCtrls package

Packages

Contains XP/Office XP style controls (Do not require to run on XP to display correct look)

This package contains the following components and controls:
Component	Description
TJvXPBar	Control that can display an icon, a header and zero or more clickable items in its client area.
TJvXPButton	Button drawn in an XP style.
TJvXPToolButton	Button control that draws its client area using a predefined style.
TJvXPCheckbox	Checkbox that draws itself in an XP style.
TJvXPContainer	A panel style control.
TJvXPStyleManager	A component that manages the theme and style of any number of connected controls.
TJvXPProgressBar	Not documented (Edit topic).
Created with Doc-O-Matic.


EGrabberNotStopped
JEDI-VCL Reference

EGrabberNotStopped

Hierarchy	 Edit topic

Exception triggered if someone tries to set the Url property while the grabber is not stopped

Pascal

EGrabberNotStopped = class(Exception);

File

JvUrlListGrabber

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EGrabberNotStopped


EJvAppDBStorageError
JEDI-VCL Reference

EJvAppDBStorageError

Hierarchy	 Edit topic

Exception class used by TJvCustomAppDBStorage.

Pascal

EJvAppDBStorageError = class(Exception);

File

JvAppDBStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvAppDBStorageError


EJvCantRegisterPlugInError
JEDI-VCL Reference

EJvCantRegisterPlugInError

Hierarchy	 Edit topic

Not documented

Pascal

EJvCantRegisterPlugInError = class(EJvPlugInError);

File

JvPluginManager

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvPlugInError
        EJvCantRegisterPlugInError


EJVCLAppStorageError
JEDI-VCL Reference

EJVCLAppStorageError

Hierarchy	 Edit topic

The exception class for storage errors.

Pascal

EJVCLAppStorageError = class(EJVCLException);

File

JvAppStorage

Description

EJVCLAppStorageError is raised when a component detects a storage error. Use EJVCLAppStorageError in an exception handling block or to create a storage exception.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLAppStorageError


EJVCLComputerInfoEx
JEDI-VCL Reference

EJVCLComputerInfoEx

Hierarchy	 Edit topic

Not documented

Pascal

EJVCLComputerInfoEx = class(EJVCLException);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLComputerInfoEx


EJVCLDataConsumer
JEDI-VCL Reference

EJVCLDataConsumer

Hierarchy	 Edit topic

Exception class for errors relating to the IJvDataConsumer interface.

Pascal

EJVCLDataConsumer = class(EJVCLDataProvider);

File

JvDataProviderIntf

Description

EJVCLDataConsumer is the exception class used for errors relating to the IJvDataConsumer interface or its support interfaces.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLDataProvider
            EJVCLDataConsumer


EJVCLDataContexts
JEDI-VCL Reference

EJVCLDataContexts

Hierarchy	 Edit topic

Exception class for errors relating to the IJvDataContext or IJvDataContexts interfaces.

Pascal

EJVCLDataContexts = class(EJVCLDataProvider);

File

JvDataProviderIntf

Description

EJVCLDataContexts is the exception class used for errors relating to the IJvDataContext or IJvDataContexts interfaces.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLDataProvider
            EJVCLDataContexts


EJVCLDataItems
JEDI-VCL Reference

EJVCLDataItems

Hierarchy	 Edit topic

Exception class for errors relating to the IJvDataItem or IJvDataItems interfaces.

Pascal

EJVCLDataItems = class(EJVCLDataProvider);

File

JvDataProviderIntf

Description

EJVCLDataItems is the exception class used for errors relating to the IJvDataItem or IJvDataItems interfaces.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLDataProvider
            EJVCLDataItems


EJVCLDataProvider
JEDI-VCL Reference

EJVCLDataProvider

Hierarchy	 Edit topic

Exception class for errors relating to the IJvDataProvider interface.

Pascal

EJVCLDataProvider = class(EJVCLException);

File

JvDataProviderIntf

Description

EJVCLDataProvider is the exception class used for errors relating to the IJvDataProvider interface.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLDataProvider


EJVCLDbGridException
JEDI-VCL Reference

EJVCLDbGridException

Hierarchy	 Edit topic

Not documented

Pascal

EJVCLDbGridException = class(EJVCLException);

File

JvDBGrid

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLDbGridException


EJVCLException
JEDI-VCL Reference

EJVCLException

Hierarchy	 Edit topic

Base exception class for JVCL

Pascal

EJVCLException = class(Exception);

File

JvTypes

Description

EJVCLException is the base exception class in JVCL and all JVCL-specific exceptions derives from this class. EJVCLException inherits directly from Exception and does not add any additional functionality.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException


EJVCLSegmentedLEDException
JEDI-VCL Reference

EJVCLSegmentedLEDException

Hierarchy	 Edit topic

Segmented LED displays exception class.

Pascal

EJVCLSegmentedLEDException = class(EJVCLException);

File

JvSegmentedLEDDisplay

Description

EJVCLSegmentedLEDException is the exception class raised to indicate errors in the using of a segmented LED display control or related classes or routines.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJVCLSegmentedLEDException


EJvCsvDataSetError
JEDI-VCL Reference

EJvCsvDataSetError

Hierarchy	 Edit topic

Exception class for dataset errors.

Pascal

EJvCsvDataSetError = class(EDatabaseError);

File

JvCsvData

Description

This class is used, instead of just raising a bare Exception, so you can craft your exception handling. If you are doing a dataset operation and you want to handle only errors raised by a TJvCsvDataSet, you can write this:

  try

    MyDataSet.DoSomething;

  except

    on E:EJvCsvDataSetError do begin

      DoSomeSpecializedErrorHandling;

    end

  end;

Created with Doc-O-Matic.


Hierarchy

EDatabaseError
    EJvCsvDataSetError


EJvCsvKeyError
JEDI-VCL Reference

EJvCsvKeyError

Hierarchy	 Edit topic

Exception class for CSV key errors. Invalid or duplicate primary key.

Pascal

EJvCsvKeyError = class(EDatabaseError);

File

JvCsvData

Description

This class is used, instead of just raising a bare Exception, so you can craft your exception handling. If you are doing a dataset operation and you want to handle only errors raised by a TJvCsvDataSet that are due to invalid/duplicate primary keys.

  try

    MyDataSet.DoSomething;

  except

    on E:EJvCsvKeyError do begin

      NotifyUserPrimaryKeyIsInvalid;

    end

  end;

Created with Doc-O-Matic.


Hierarchy

EDatabaseError
    EJvCsvKeyError


EJvDBTreeViewError
JEDI-VCL Reference

EJvDBTreeViewError

Hierarchy	 Edit topic

Exception raised when the dataset for the TJvDBTreeView data-aware treeview is in an invalid state.

Pascal

EJvDBTreeViewError = class(ETreeViewError);

File

JvDBTreeView

Description

EJvDBTreeViewError is a ETreeViewError descendant that represents an exception raised when the underlying dataset for the TJvDBTreeView data-aware treeview is in an invalid state.

EJvDBTreeViewError is raised with the following messages and their associated meanings:

Message	Meaning
RsEDataSetNotActive	Dataset is unassigned or not opened.
RsEErrorValueForDetailValue	Data for the mater/detail relationship is no longer valid.
RsEInternalError	Data for the mater/detail relationship represents a circular reference.
RsEMoveToModeError	Reparenting a tree node results in an invalid tree representation occurs during a Drag-and-Drop operation.
Created with Doc-O-Matic.


Hierarchy

ETreeViewError
    EJvDBTreeViewError


EJvDSADialog
JEDI-VCL Reference

EJvDSADialog

Hierarchy	 Edit topic

Exception class for TJvDSADialog errors.

Pascal

EJvDSADialog = class(EJVCLException);

File

JvDSADialogs

Description

EJvDSADialog is the exception class used for errors using the TJvDSADialog the TJvDSADialog component.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJvDSADialog


EJvExtensionPlugInError
JEDI-VCL Reference

EJvExtensionPlugInError

Hierarchy	 Edit topic

Not documented

Pascal

EJvExtensionPlugInError = class(EJvPlugInError);

File

JvPluginManager

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvPlugInError
        EJvExtensionPlugInError


EJvFullColorError
JEDI-VCL Reference

EJvFullColorError

Hierarchy	 Edit topic

Exception raised when a color cannot be converted or when components cannot be linked.

Pascal

EJvFullColorError = class(EJVCLException);

File

JvFullColorCtrls

Description

This exception is raised if the next cases:

There is no registered color space to handle this color.

The color is not valid in the current color space.

The color component (TJvFullColorTrackBar) is already linked to another instance of TJvFullColorPanel or TJvFullColorCircle class.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJvFullColorError


EJvFullColorListError
JEDI-VCL Reference

EJvFullColorListError

Hierarchy	 Edit topic

Exception raised on TJvFullColorList errors

Pascal

EJvFullColorListError = class(Exception);

File

JvFullColorCtrls

Description

This exception is raised if the item index is out of the range 0..Count-1

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvFullColorListError


EJvgXMLCloseTagNotFoundException
JEDI-VCL Reference

EJvgXMLCloseTagNotFoundException

Hierarchy	 Edit topic

Exception triggered when a closing tag has not been found

Pascal

EJvgXMLCloseTagNotFoundException = class(XMLSerializerException);

File

JvgXMLSerializer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    XMLSerializerException
        EJvgXMLCloseTagNotFoundException


EJvgXMLOpenTagNotFoundException
JEDI-VCL Reference

EJvgXMLOpenTagNotFoundException

Hierarchy	 Edit topic

Exception triggered when an opening tag has not been found

Pascal

EJvgXMLOpenTagNotFoundException = class(XMLSerializerException);

File

JvgXMLSerializer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    XMLSerializerException
        EJvgXMLOpenTagNotFoundException


EJvgXMLSerializerException
JEDI-VCL Reference

EJvgXMLSerializerException

Hierarchy	 Edit topic

This exception class doesn't seem to be used

Pascal

EJvgXMLSerializerException = class(Exception);

File

JvgXMLSerializer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvgXMLSerializerException


EJvgXMLUnknownPropertyException
JEDI-VCL Reference

EJvgXMLUnknownPropertyException

Hierarchy	 See Also	Edit topic

Exception triggered when an unknown property is found in the XML data

Pascal

EJvgXMLUnknownPropertyException = class(XMLSerializerException);

File

JvgXMLSerializer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    XMLSerializerException
        EJvgXMLUnknownPropertyException


See Also

IgnoreUnknownTags


EJvID3Error
JEDI-VCL Reference

EJvID3Error

Hierarchy	 Edit topic

The exception class for ID3 errors.

Pascal

EJvID3Error = class(Exception);

File

JvID3v2Base

Description

EJvID3Error is raised when a component detects an ID3 error. Use EJvID3Error in an exception handling block or to create an ID3 exception.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvID3Error


EJvImageListError
JEDI-VCL Reference

EJvImageListError

Hierarchy	 Edit topic

Not documented

Pascal

EJvImageListError = class(Exception);

File

JvImageList

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvImageListError


EJvInitializationCustomPlugInError
JEDI-VCL Reference

EJvInitializationCustomPlugInError

Hierarchy	 Edit topic

Not documented

Pascal

EJvInitializationCustomPlugInError = class(EJvPlugInError);

File

JvPluginManager

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvPlugInError
        EJvInitializationCustomPlugInError


EJvInitializationPlugInError
JEDI-VCL Reference

EJvInitializationPlugInError

Hierarchy	 Edit topic

Not documented

Pascal

EJvInitializationPlugInError = class(EJvPlugInError);

File

JvPluginManager

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvPlugInError
        EJvInitializationPlugInError


EJvInspector
JEDI-VCL Reference

EJvInspector

Hierarchy	 Edit topic

JvInspector base exception class

Pascal

EJvInspector = class(EJVCLException);

File

JvInspector

Description

EJvInspector is the base exception class used by the JvInspector package. This exception class is used when exceptions occur within the TJvCustomInspector and descendant classes.

There are three descendant exception classes (EJvInspectorData, EJvInspectorItem and EJvInspectorReg).

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJvInspector


EJvInspectorData
JEDI-VCL Reference

EJvInspectorData

Hierarchy	 Edit topic

Inspector data exception class.

Pascal

EJvInspectorData = class(EJvInspector);

File

JvInspector

Description

Exception class for exceptions occurring in the TJvCustomInspectorData class or one of its descendants.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJvInspector
            EJvInspectorData


EJvInspectorItem
JEDI-VCL Reference

EJvInspectorItem

Hierarchy	 Edit topic

Inspector item exception class.

Pascal

EJvInspectorItem = class(EJvInspector);

File

JvInspector

Description

Exception class for exceptions occurring in the TJvCustomInspectorItem class or one of its descendants.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJvInspector
            EJvInspectorItem


EJvInspectorReg
JEDI-VCL Reference

EJvInspectorReg

Hierarchy	 Edit topic

Inspector registration exception class.

Pascal

EJvInspectorReg = class(EJvInspector);

File

JvInspector

Description

Exception class for exception occurring in the TJvInspectorRegister class or in the TJvCustomInspectorRegItem class or one of its descendants.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EJvInspector
            EJvInspectorReg


EJvLoadPluginError
JEDI-VCL Reference

EJvLoadPluginError

Hierarchy	 See Also	Edit topic

Exception class used for plugin loading errors.

Pascal

EJvLoadPluginError = class(EJvPlugInError);

File

JvPluginManager

Description

EJvLoadPluginError is the exception class used to denote errors in loading a plugin.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvPlugInError
        EJvLoadPluginError


See Also

EJvPlugInError


EJvPlugInError
JEDI-VCL Reference

EJvPlugInError

Hierarchy	 See Also	Edit topic

Base exception class used for plugins.

Pascal

EJvPlugInError = class(Exception);

File

JvPluginManager

Description

EJvPluginError is the base exception class used for plugins.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvPlugInError


See Also

EJvLoadPluginError


EJvSimpleXMLError
JEDI-VCL Reference

EJvSimpleXMLError

Hierarchy	 Edit topic

Exception type used by TJvSimpleXML

Pascal

EJvSimpleXMLError = class(Exception);

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvSimpleXMLError


EJvTFPrinterError
JEDI-VCL Reference

EJvTFPrinterError

Hierarchy	 Edit topic

Exception class.

Pascal

EJvTFPrinterError = class(Exception);

File

JvTFManager

Description

This exception is raised when an error is encountered in a Printer.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvTFPrinterError


EJvTFScheduleManagerError
JEDI-VCL Reference

EJvTFScheduleManagerError

Hierarchy	 Edit topic

Exception class.

Pascal

EJvTFScheduleManagerError = class(Exception);

File

JvTFManager

Description

An EJvTFScheduleManagerError is raised whenever an error condition is encountered which is specific to the server and its relationships and communication with the contained TJvTFSched and TJvTFAppt and connected controls.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvTFScheduleManagerError


EJvWizardError
JEDI-VCL Reference

EJvWizardError

Hierarchy	 Edit topic

Exception class used by the TJvWizard components.

Pascal

EJvWizardError = class(Exception);

File

JvWizardCommon

Description

EJvWizardError is the exception class used when raising errors in the JvWizard components and code.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJvWizardError


EMonthCalError
JEDI-VCL Reference

EMonthCalError

Hierarchy	 Edit topic

Exception class used for errors using the month calendar control or support functions.

Pascal

EMonthCalError = class(EJVCLException);

File

JvCalendar

Description

EMonthCalError is the exception class used for errors using the month calendar control or support functions.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        EMonthCalError


ENoGrabberForUrl
JEDI-VCL Reference

ENoGrabberForUrl

Hierarchy	 Edit topic

Exception triggered when a TJvUrlListGrabber can't find a grabber for the given URL

Pascal

ENoGrabberForUrl = class(Exception);

File

JvUrlListGrabber

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    ENoGrabberForUrl


EPageListError
JEDI-VCL Reference

EPageListError

Hierarchy	 Edit topic

EPageListError is the exception class used by page list components.

Pascal

EPageListError = class(Exception);

File

JvPageList

Description

EPageListError is raised by the components TJvPageListTreeView, TJvPageList and the TJvSettingsTreeView when an error occurs. For example, when you try to assign a component to the PageList property of the TJvPageListTreeView that doesn't implement the IPageList interface.

Created with Doc-O-Matic.


Hierarchy

Exception
    EPageListError


EValidatorError
JEDI-VCL Reference

EValidatorError

Hierarchy	 Edit topic

The exception type used by validator components.

Pascal

EValidatorError = class(Exception);

File

JvValidators

Description

EValidatorError is the Exception type used by validator components. EValidatorError is derived from Exception but does not add any new functionality.

Created with Doc-O-Matic.


Hierarchy

Exception
    EValidatorError


EWinDialogError
JEDI-VCL Reference

EWinDialogError

Hierarchy	 Edit topic

Exception class for errors in JVCL dialog components.

Pascal

EWinDialogError = class(Exception);

File

JvWinDialogs

Description

EWinDialogError is raised when an error occurs in a JVCL dialog component.

Created with Doc-O-Matic.


Hierarchy

Exception
    EWinDialogError


TAggregatedPersistent
JEDI-VCL Reference

TAggregatedPersistent

Hierarchy	Properties	 See Also	Edit topic

Provides the functionality for an inner object of an aggregate by implementing the IInterface methods to delegate to the controlling IInterface.

Pascal

TAggregatedPersistent = class(TPersistent);

File

JvDataProvider

Description

An aggregated object is an object composed of several interfaced objects. Each object implements its own behavior and interfaces, but all of the objects share the same reference count, which is that of the controller object. In the container pattern, the controller is the container object.

TAggregatedPersistent does not itself support any interfaces. However, as is typical of an aggregate, it does implement the methods of IInterface, which are used by the objects that descend from it. TAggregatedPersistent, therefore, serves as a base for classes that implement interfaces for creating objects that are part of an aggregate.

TAggregatedPersistent is used as a base for classes that create contained objects and connecting objects. Using TAggregatedPersistent ensures that calls to the IInterface methods delegate to the controlling IInterface of the aggregate.

The controlling IInterface is specified in the constructor for TAggregatedPersistent and is indicated by the Controller property.

TAggregatedPersistent is much like the VCL provided TAggregatedObject, the difference being that TAggregatedPersistent is derived from TPersistent and redeclares GetInterface as a virtual method.

Created with Doc-O-Matic.


TAggregatedPersistent Properties

TAggregatedPersistent	Legend

Properties

 Controller

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TAggregatedPersistent

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent


TAggregatedPersistent Members

TAggregatedPersistent	Legend

Members

Properties

 Controller

Legend

read only

Created with Doc-O-Matic.


Legend

read only


See Also

TAggregatedObject


TAggregatedPersistent.Controller property

TAggregatedPersistent	Edit topic

Provides access to the controlling interface of the aggregate.

Pascal

property Controller: IUnknown;

Description

Controller is the interface reference of the aggregate. TAggregatedPersistent is used as part of an aggregate that has a single controlling IInterface. The IInterface methods that are implemented in aggregated objects are delegated to the Controller.

When the aggregated object is created, its constructor is passed a controlling IInterface. Controller is initialized to this IInterface in the constructor.

Created with Doc-O-Matic.


TAggregatedPersistentEx
JEDI-VCL Reference

TAggregatedPersistentEx

Hierarchy	Properties	 See Also	Edit topic

Provides functionality for an inner object of an extensible controller.

Pascal

TAggregatedPersistentEx = class(TAggregatedPersistent);

File

JvDataProvider

Description

TAggregatedPersistentEx is a derivative of TAggregatedPersistent and as such provides basic functionality for an inner object of an aggregate.

In addition, it provides functionality to automatically add itself to and to remove itself from it's controllers extension list, as implemented by the TExtensibleInterfacedPersistent class.

When an instance of this class (or rather a derivative of this class) is created, it will be automatically added to the extension list of its controller. If the instance is removed, it will also be removed from the extension list of its controller.

Created with Doc-O-Matic.


TAggregatedPersistentEx Properties

TAggregatedPersistentEx	Legend

Properties

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TAggregatedPersistentEx

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx


TAggregatedPersistentEx Members

TAggregatedPersistentEx	Legend

Members

Properties

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


See Also

TAggregatedPersistent, TExtensibleInterfacedPersistent


TAggregatedPersistentEx.Owner property

TAggregatedPersistentEx	See Also	Edit topic

Reference to the TExtensibleInterfacedPersistent object implementing the controller.

Pascal

property Owner: TExtensibleInterfacedPersistent;

Description

Owner is a direct reference to the TExtensibleInterfacedPersistent object that implements the controller of this inner object (the extension).

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent


TDebugLinkLabelTools
JEDI-VCL Reference

TDebugLinkLabelTools

Hierarchy	Methods	 Edit topic

Debug support class.

Pascal

TDebugLinkLabelTools = class(TStaticObject);

File

JvLinkLabelDebug

Description

TDebugLinkLabelTools is used as a support class when debugging the TJvLinkLabel. See the sources of JvLinkLabel for more info on how this class is used.

Created with Doc-O-Matic.


TDebugLinkLabelTools Methods

TDebugLinkLabelTools

Methods

NodeTreeToTreeNodes

Created with Doc-O-Matic.


Hierarchy

TStaticObject
    TDebugLinkLabelTools


TDebugLinkLabelTools Members

TDebugLinkLabelTools

Members

Methods

NodeTreeToTreeNodes

Created with Doc-O-Matic.


TDebugLinkLabelTools.NodeTreeToTreeNodes method

TDebugLinkLabelTools	Edit topic

Converts a TJvLinkLabel node tree to a TTreeView tree.

Pascal

class procedure NodeTreeToTreeNodes(const LinkLabel: TJvLinkLabel; const Tree: TTreeNodes);

Parameters

const LinkLabel: TJvLinkLabel

The TJvLinkLabel to read the node tree from.

const Tree: TTreeNodes

The TreeView to create a TreeNode list in.

Description

Call NodeTreeToTreeNodes to convert the internal parse tree structure used by TJvLinkLabel into a hierarchical TTreeNode node tree fit to display in a UI.

Created with Doc-O-Matic.


TDSARegStorage
JEDI-VCL Reference

TDSARegStorage

Hierarchy	Properties	Methods	 Edit topic

Registry storage device for DSA state and values.

Pascal

TDSARegStorage = class(TDSAStorage);

File

JvDSADialogs

Description

TDSARegStorage is the class used for storing DSA states and dialog values in the registry. JvDSADialogs creates an instance of this class, retrievable through DSARegStore.

TDSARegStorage uses JclRegistry to communicate with the windows registry.

If the DSA state is reset to show the dialog again, the key for the dialog are removed.

The dialog's internal name (as specified by the Name parameter for RegisterDSA) is used as a sub key for the key specified by the Key property.

Created with Doc-O-Matic.


TDSARegStorage Properties

TDSARegStorage	Legend

Properties

Key

RootKey

TDSAStorage

 CheckMarkTextSuffix

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TDSARegStorage Methods

TDSARegStorage	Legend

Methods

Create

 GetCheckMarkTextSuffix

 ReadBool

 ReadBoolDef

 ReadFloat

 ReadFloatDef

 ReadInt64

 ReadInt64Def

 ReadInteger

 ReadIntegerDef

 ReadString

 ReadStringDef

 SetCheckMarkTextSuffix

 WriteBool

 WriteFloat

 WriteInt64

 WriteInteger

 WriteString

TDSAStorage

 GetCheckMarkTextSuffix

 GetState

 ReadBool

 ReadBoolDef

 ReadFloat

 ReadFloatDef

 ReadInt64

 ReadInt64Def

 ReadInteger

 ReadIntegerDef

 ReadString

 ReadStringDef

 SetCheckMarkTextSuffix

 SetState

 WriteBool

 WriteFloat

 WriteInt64

 WriteInteger

 WriteString

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


Legend

TDSARegStorage

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TObject
    TDSAStorage
        TDSARegStorage


TDSARegStorage Members

TDSARegStorage	Legend

Members

Properties

Key

RootKey

TDSAStorage

 CheckMarkTextSuffix

Methods

Create

 GetCheckMarkTextSuffix

 ReadBool

 ReadBoolDef

 ReadFloat

 ReadFloatDef

 ReadInt64

 ReadInt64Def

 ReadInteger

 ReadIntegerDef

 ReadString

 ReadStringDef

 SetCheckMarkTextSuffix

 WriteBool

 WriteFloat

 WriteInt64

 WriteInteger

 WriteString

TDSAStorage

 GetCheckMarkTextSuffix

 GetState

 ReadBool

 ReadBoolDef

 ReadFloat

 ReadFloatDef

 ReadInt64

 ReadInt64Def

 ReadInteger

 ReadIntegerDef

 ReadString

 ReadStringDef

 SetCheckMarkTextSuffix

 SetState

 WriteBool

 WriteFloat

 WriteInt64

 WriteInteger

 WriteString

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

protected

virtual

abstract


TDSARegStorage.Key property

TDSARegStorage	See Also	Edit topic

Key path where the info should be stored.

Pascal

property Key: string;

Description

Key holds the path from RootKey where the DSA info is to be stored. For each dialog a sub key with the name of the dialog will be generated, holding at least two values, DSA_State and LastResult.

Created with Doc-O-Matic.


See Also

TDSARegStorage.RootKey


TDSARegStorage.RootKey property

TDSARegStorage	See Also	Edit topic

Root key for the registry storage.

Pascal

property RootKey: HKEY;

Description

RootKey holds the HKEY value of the key the DSA info is to be stored.

Created with Doc-O-Matic.


See Also

TDSARegStorage.Key


TDSARegStorage.Create constructor

TDSARegStorage	Edit topic

Instantiate and initialize a registry storage device.

Pascal

constructor Create(const ARootKey: HKEY; const AKey: string);

Parameters

const ARootKey: HKEY

The HKEY value to initialize the RootKey property to.

const AKey: string

The value to initialize the Key property to.

Description

Create instantiates and initializes a registry storage device. The two parameters will be used to initialize the RootKey and Key properties.

Created with Doc-O-Matic.


TDSARegStorage.GetCheckMarkTextSuffix method

TDSARegStorage	See Also	Edit topic

Retrieve the string to append to the check mark text.

Pascal

function GetCheckMarkTextSuffix: string; override;

Description

GetCheckMarkTextSuffix returns the string to append to the check mark text. Usually this will be an empty string, but can be used to append texts such as "in the current queue", which would result in "Don't show this dialog again in the current queue." or "Don't ask again in the current queue.", depending on the dialogs ChkMarkTextKind settings.

Since the method is declared abstract, descendants must override it.

Created with Doc-O-Matic.


See Also

TDSAStorage.CheckMarkTextSuffix, TDSAStorage.SetCheckMarkTextSuffix


TDSARegStorage.ReadBool method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadBool(const DSAInfo: TDSARegItem; const Key: string): Boolean; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadBoolDef method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadBoolDef(const DSAInfo: TDSARegItem; const Key: string; const Default: Boolean): Boolean; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Default

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadFloat method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadFloat(const DSAInfo: TDSARegItem; const Key: string): Extended; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadFloatDef method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadFloatDef(const DSAInfo: TDSARegItem; const Key: string; const Default: Extended): Extended; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Default

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadInt64 method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadInt64(const DSAInfo: TDSARegItem; const Key: string): Int64; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadInt64Def method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadInt64Def(const DSAInfo: TDSARegItem; const Key: string; const Default: Int64): Int64; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Default

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadInteger method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadInteger(const DSAInfo: TDSARegItem; const Key: string): Integer; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadIntegerDef method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadIntegerDef(const DSAInfo: TDSARegItem; const Key: string; const Default: Integer): Integer; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Default

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadString method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadString(const DSAInfo: TDSARegItem; const Key: string): string; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.ReadStringDef method

TDSARegStorage	Edit topic

Not documented

Pascal

function ReadStringDef(const DSAInfo: TDSARegItem; const Key: string; const Default: string): string; override;

Parameters

DSAInfo

Not documented

Key

Not documented

Default

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.SetCheckMarkTextSuffix method

TDSARegStorage	See Also	Edit topic

Set the string to append to the check mark text.

Pascal

procedure SetCheckMarkTextSuffix(const Value: string); override;

Parameters

Value

String to set the suffix to. Do not append a period (.) to this string, as this will be done when the full check mark text is determined.

Description

SetCheckMarkTextSuffix allows to set the check mark text suffix. Usually this is not wanted and most descendant will override this with an empty method or not at all.

Since the method is declared abstract, descendants must override it if changes in the CheckMark text suffix are wanted.

Created with Doc-O-Matic.


See Also

TDSAStorage.CheckMarkTextSuffix, TDSAStorage.GetCheckMarkTextSuffix


TDSARegStorage.WriteBool method

TDSARegStorage	Edit topic

Not documented

Pascal

procedure WriteBool(const DSAInfo: TDSARegItem; const Key: string; const Value: Boolean); override;

Parameters

DSAInfo

Not documented

Key

Not documented

Value

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.WriteFloat method

TDSARegStorage	Edit topic

Not documented

Pascal

procedure WriteFloat(const DSAInfo: TDSARegItem; const Key: string; const Value: Extended); override;

Parameters

DSAInfo

Not documented

Key

Not documented

Value

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.WriteInt64 method

TDSARegStorage	Edit topic

Not documented

Pascal

procedure WriteInt64(const DSAInfo: TDSARegItem; const Key: string; const Value: Int64); override;

Parameters

DSAInfo

Not documented

Key

Not documented

Value

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.WriteInteger method

TDSARegStorage	Edit topic

Not documented

Pascal

procedure WriteInteger(const DSAInfo: TDSARegItem; const Key: string; const Value: Integer); override;

Parameters

DSAInfo

Not documented

Key

Not documented

Value

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSARegStorage.WriteString method

TDSARegStorage	Edit topic

Not documented

Pascal

procedure WriteString(const DSAInfo: TDSARegItem; const Key: string; const Value: string); override;

Parameters

DSAInfo

Not documented

Key

Not documented

Value

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage
JEDI-VCL Reference

TDSAStorage

Hierarchy	Properties	Methods	 Edit topic

Abstract storage device for DSA state and values.

Pascal

TDSAStorage = class(TObject);

File

JvDSADialogs

Description

TDSAStorage is the abstract base class used for storing DSA states and dialog values in. Do not create an instance of this class directly but rather use one of its descendants.

When deriving a new class from TDSAStorage, always override all methods.

Created with Doc-O-Matic.


TDSAStorage Properties

TDSAStorage	Legend

Properties

 CheckMarkTextSuffix

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TDSAStorage Methods

TDSAStorage	Legend

Methods

 GetCheckMarkTextSuffix

 GetState

 ReadBool

 ReadBoolDef

 ReadFloat

 ReadFloatDef

 ReadInt64

 ReadInt64Def

 ReadInteger

 ReadIntegerDef

 ReadString

 ReadStringDef

 SetCheckMarkTextSuffix

 SetState

 WriteBool

 WriteFloat

 WriteInt64

 WriteInteger

 WriteString

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


Legend

TDSAStorage

Legend

read only

protected

abstract

virtual

Created with Doc-O-Matic.


Hierarchy

TObject
    TDSAStorage


TDSAStorage Members

TDSAStorage	Legend

Members

Properties

 CheckMarkTextSuffix

Methods

 GetCheckMarkTextSuffix

 GetState

 ReadBool

 ReadBoolDef

 ReadFloat

 ReadFloatDef

 ReadInt64

 ReadInt64Def

 ReadInteger

 ReadIntegerDef

 ReadString

 ReadStringDef

 SetCheckMarkTextSuffix

 SetState

 WriteBool

 WriteFloat

 WriteInt64

 WriteInteger

 WriteString

Legend

read only

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

read only

protected

abstract

virtual


TDSAStorage.CheckMarkTextSuffix property

TDSAStorage	See Also	Edit topic

Suffix of the check mark caption.

Pascal

property CheckMarkTextSuffix: string;

Description

CheckMarkTextSuffix holds the string to append to the check mark text. Usually this will be an empty string, but can be used to append texts such as "in the current queue", which would result in "Don't show this dialog again in the current queue." or "Don't ask again in the current queue.", depending on the dialogs ChkMarkTextKind settings.

You should not append a period (.) at the end of this string; this will be done automatically.

The base class declares this property read-only as this is the most common situation. Descendants might set the write specifier to SetCheckMarkCaption to allow changing the check mark text suffix.

Created with Doc-O-Matic.


See Also

TDSAStorage.GetCheckMarkTextSuffix, TDSAStorage.SetCheckMarkTextSuffix


TDSAStorage.GetCheckMarkTextSuffix method

TDSAStorage	See Also	Edit topic

Retrieve the string to append to the check mark text.

Pascal

function GetCheckMarkTextSuffix: string; virtual; abstract;

Description

GetCheckMarkTextSuffix returns the string to append to the check mark text. Usually this will be an empty string, but can be used to append texts such as "in the current queue", which would result in "Don't show this dialog again in the current queue." or "Don't ask again in the current queue.", depending on the dialogs ChkMarkTextKind settings.

Since the method is declared abstract, descendants must override it.

Created with Doc-O-Matic.


See Also

TDSAStorage.CheckMarkTextSuffix, TDSAStorage.SetCheckMarkTextSuffix


TDSAStorage.GetState method

TDSAStorage	See Also	Edit topic

Retrieve the current state and result code of the DSA dialog.

Pascal

function GetState(const DSAInfo: TDSARegItem; out LastResult: Integer; const OnCustomData: TDSACustomData = nil): Boolean; virtual;

Parameters

const DSAInfo: TDSARegItem

Registration info of the DSA dialog in question.

out LastResult: Integer

On exit will hold the result code of the dialog when the DSA state was set.

const OnCustomData: TDSACustomData = nil

Provide an OnCustomData handler if additional info should be retrieved from the storage. Leave this parameter nil if no additional data is to be retrieved.

Description

GetState will retrieve the state and result code of the specified DSA dialog from the storage device.

If the dialog was marked to be suppressed, the function will return True and LastResult will hold the ModalResult of the dialog when it was last closed.

If the dialog was not marked to be suppressed, the function will return False and LastResult will be set to 0.

Created with Doc-O-Matic.


See Also

TDSAStorage.SetState


TDSAStorage.ReadBool method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadBool(const DSAInfo: TDSARegItem; const Key: string): Boolean; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadBoolDef method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadBoolDef(const DSAInfo: TDSARegItem; const Key: string; const Default: Boolean): Boolean; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Default: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadFloat method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadFloat(const DSAInfo: TDSARegItem; const Key: string): Extended; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadFloatDef method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadFloatDef(const DSAInfo: TDSARegItem; const Key: string; const Default: Extended): Extended; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Default: Extended

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadInt64 method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadInt64(const DSAInfo: TDSARegItem; const Key: string): Int64; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadInt64Def method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadInt64Def(const DSAInfo: TDSARegItem; const Key: string; const Default: Int64): Int64; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Default: Int64

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadInteger method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadInteger(const DSAInfo: TDSARegItem; const Key: string): Integer; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadIntegerDef method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadIntegerDef(const DSAInfo: TDSARegItem; const Key: string; const Default: Integer): Integer; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Default: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadString method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadString(const DSAInfo: TDSARegItem; const Key: string): string; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.ReadStringDef method

TDSAStorage	Edit topic

Not documented

Pascal

function ReadStringDef(const DSAInfo: TDSARegItem; const Key: string; const Default: string): string; virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Default: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.SetCheckMarkTextSuffix method

TDSAStorage	See Also	Edit topic

Set the string to append to the check mark text.

Pascal

procedure SetCheckMarkTextSuffix(const Value: string); virtual; abstract;

Parameters

const Value: string

String to set the suffix to. Do not append a period (.) to this string, as this will be done when the full check mark text is determined.

Description

SetCheckMarkTextSuffix allows to set the check mark text suffix. Usually this is not wanted and most descendant will override this with an empty method or not at all.

Since the method is declared abstract, descendants must override it if changes in the CheckMark text suffix are wanted.

Created with Doc-O-Matic.


See Also

TDSAStorage.CheckMarkTextSuffix, TDSAStorage.GetCheckMarkTextSuffix


TDSAStorage.SetState method

TDSAStorage	See Also	Edit topic

Sets the current state and result code of the DSA dialog.

Pascal

procedure SetState(const DSAInfo: TDSARegItem; const DontShowAgain: Boolean; const LastResult: Integer; const OnCustomData: TDSACustomData = nil); virtual;

Parameters

const DSAInfo: TDSARegItem

Registration info of the DSA dialog in question.

const DontShowAgain: Boolean

Flag to indicate if the dialog should be suppressed. Some storage devices may elect to remove the reference of this dialog when this parameter is set to False, others may leave the reference and just update the DSA state.

const LastResult: Integer

The result code of the dialog when to store along with the DSA state. By convention, this parameter should be set to 0 if DontShowAgain is False. Depending on the storage device, this might be enforced.

const OnCustomData: TDSACustomData = nil

Provide an OnCustomData handler if additional info should be stored in the storage. Leave this parameter nil if no additional data is to be retrieved.

Description

SetState will set the state and result code of the specified DSA dialog in the storage device.

Created with Doc-O-Matic.


See Also

TDSAStorage.GetState


TDSAStorage.WriteBool method

TDSAStorage	Edit topic

Not documented

Pascal

procedure WriteBool(const DSAInfo: TDSARegItem; const Key: string; const Value: Boolean); virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Value: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.WriteFloat method

TDSAStorage	Edit topic

Not documented

Pascal

procedure WriteFloat(const DSAInfo: TDSARegItem; const Key: string; const Value: Extended); virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Value: Extended

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.WriteInt64 method

TDSAStorage	Edit topic

Not documented

Pascal

procedure WriteInt64(const DSAInfo: TDSARegItem; const Key: string; const Value: Int64); virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Value: Int64

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.WriteInteger method

TDSAStorage	Edit topic

Not documented

Pascal

procedure WriteInteger(const DSAInfo: TDSARegItem; const Key: string; const Value: Integer); virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Value: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TDSAStorage.WriteString method

TDSAStorage	Edit topic

Not documented

Pascal

procedure WriteString(const DSAInfo: TDSARegItem; const Key: string; const Value: string); virtual; abstract;

Parameters

const DSAInfo: TDSARegItem

Not documented

const Key: string

Not documented

const Value: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TExtensibleInterfacedPersistent
JEDI-VCL Reference

TExtensibleInterfacedPersistent

Hierarchy	Properties	Methods	 See Also	Edit topic

Ancestor for persistent objects that implement interfaces and can be extended at run time.

Pascal

TExtensibleInterfacedPersistent = class(TPersistent, IUnknown);

File

JvDataProvider

Description

TExtensibleInterfacedPersistent, like its ancestor, provides functionality to read and write its to and from a stream. In addition, like the Delphi provided TInterfacedPersistent, it also supplies a default implementation for the IInterface methods.

Furthermore, TExtensibleInterfacedPersistent allows itself to be extended through aggregators, where the interfaced supported by those aggregators are directly accessible from the main object, as well as from each other. The aggregators must be derived from TAggregatedPersistentEx for this behavior to work correctly. In addition, TExtensibleInterfacedPersistent automatically provides semi properties that allow the extensions to be read and written from and to a stream.

This extensibility is achieved by having the QueryInterface method of IInterface call the redeclared and virtual GetInterface method. This method will simply call the Delphi provided implementation and if a match is not found, the aggregators (called "extensions" in this context) are iterated until an extension is found that supports the interface. The first match is returned (this implies that if multiple extension happen to share a common interface, only the first added extension will be returned).

Created with Doc-O-Matic.


TExtensibleInterfacedPersistent Fields

TExtensibleInterfacedPersistent	Legend

Fields

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TExtensibleInterfacedPersistent Properties

TExtensibleInterfacedPersistent	Legend

Properties

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TExtensibleInterfacedPersistent Methods

TExtensibleInterfacedPersistent	Legend

Methods

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TExtensibleInterfacedPersistent

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent


TExtensibleInterfacedPersistent Members

TExtensibleInterfacedPersistent	Legend

Members

Fields

 FRefCount

Properties

 RefCount

Methods

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


See Also

TAggregatedPersistentEx


TExtensibleInterfacedPersistent.FRefCount field

TExtensibleInterfacedPersistent	See Also	Edit topic

Indicates the number of interface pointers currently dependent upon the object.

Pascal

FRefCount: Integer;

Description

FRefCount defines the lifetime of the object. When FRefCount is zero, the object is destroyed.

FRefCount is incremented by calls to the _AddRef method and decremented by the _Release method.

FRefCount is the field used by the RefCount property. The field is declared protected to allow it to be manipulated using the interlocked routines from descendants.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.RefCount


TExtensibleInterfacedPersistent.RefCount property

TExtensibleInterfacedPersistent	See Also	Edit topic

Indicates the number of interface pointers currently dependent upon the object.

Pascal

property RefCount: Integer;

Description

RefCount defines the lifetime of the object. When RefCount is zero, the object is destroyed.

RefCount is incremented by calls to the _AddRef method and decremented by the _Release method.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.FRefCount


TExtensibleInterfacedPersistent.AddIntfImpl method

TExtensibleInterfacedPersistent	See Also	Edit topic

Adds an extension to the object.

Pascal

procedure AddIntfImpl(const Obj: TAggregatedPersistentEx);

Parameters

const Obj: TAggregatedPersistentEx

Extension object to add.

Description

AddIntfImpl adds an extension object to the extension list. If there's already an instance of the same class added to the list an exception will be raised.

Created with Doc-O-Matic.


See Also

TAggregatedPersistentEx, TExtensibleInterfacedPersistent.ClearIntfImpl, TExtensibleInterfacedPersistent.RemoveIntfImpl


TExtensibleInterfacedPersistent.ClearIntfImpl method

TExtensibleInterfacedPersistent	See Also	Edit topic

Clears the list of extensions.

Pascal

procedure ClearIntfImpl;

Description

ClearIntfImpl removes all registered extensions for this object. Each registered extension is removed and destroyed.

Created with Doc-O-Matic.


See Also

TAggregatedPersistentEx, TExtensibleInterfacedPersistent.AddIntfImpl, TExtensibleInterfacedPersistent.RemoveIntfImpl


TExtensibleInterfacedPersistent.DefineProperties method

TExtensibleInterfacedPersistent	See Also	Edit topic

Provides an interface for a method that reads and writes otherwise unpublished data.

Pascal

procedure DefineProperties(Filer: TFiler); override;

Parameters

Filer: TFiler

Filer object to read or write the data from or to.

Description

TExtensibleInterfacedPersistent overrides the DefineProperties method defined in TPersistent to define the fake Extensions property. This is defined so that the extension list can be read and written from and to the filer. However, there is no such property as Extensions.

DefineProperties assigns the ReadImplementers and WriteImplementers methods as the reader and writer methods for the Extensions property.

DefineProperties is virtual; descendant classes can override it. When overriding DefineProperties, be aware that the Ancestor property of Filer might be set, and that this property can determine whether or not it is appropriate to write properties.

DefineProperties is called automatically as part of the component streaming system; do not call it directly.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.ReadImplementers, TExtensibleInterfacedPersistent.WriteImplementers


TExtensibleInterfacedPersistent.IndexOfImplClass method

TExtensibleInterfacedPersistent	Edit topic

Returns the index of the extension of the specified class.

Pascal

function IndexOfImplClass(const AClass: TAggregatedPersistentExClass): Integer;

Parameters

const AClass: TAggregatedPersistentExClass

Extension class to locate.

Description

IndexOfImplClass returns the index of the extension of the specified class. The returned index is 0-based, so the first extension has an index of 0.

If there's no extension of the specified class, IndexOfImplClass returns -1.

Created with Doc-O-Matic.


TExtensibleInterfacedPersistent.InitImplementers method

TExtensibleInterfacedPersistent	See Also	Edit topic

Called upon creation of the object to allow initialization of extensions.

Pascal

procedure InitImplementers; virtual;

Description

InitImplementers is called from the AfterConstruction method, just before the implicit reference count (FRefCount is initialized to 1 when a new instance is generated to avoid destruction if an interface was referenced and went out of scope again during the construction itself) is reset.

The main purpose of this method is to allow descendants to automatically generate and initialize (default) extensions. This is usually achieved by constructing a TAggregatedPersistentEx derivative, handing it this object as it's owner. TAggregatedPersistentEx will then take care of registering the extension.

Created with Doc-O-Matic.


See Also

TAggregatedPersistentEx, TExtensibleInterfacedPersistent.AddIntfImpl


TExtensibleInterfacedPersistent.IsStreamableExtension method

TExtensibleInterfacedPersistent	Edit topic

Determines if the specified extension should be stored in the form file.

Pascal

function IsStreamableExtension(AnExtension: TAggregatedPersistentEx): Boolean; virtual;

Parameters

AnExtension: TAggregatedPersistentEx

Extension for which to determine if it should be stored in the form file.

Description

IsStreamableExtension determines if the specified extension should be written to the form file. It's called automatically whenever an instance of this object is being written to a filer object.

The base class returns True if the class reference of the extension is registered with the filing system (i.e. the class is, directly or indirectly, handed to a call to RegisterClass or RegisterClasses) and False in all other cases. Descendants can override this method to deny specific extensions being written to the form file, in addition to the check done by the base class.

The method returns True if the specified extension should be written to the form file, False if it should not be written.

Created with Doc-O-Matic.


TExtensibleInterfacedPersistent.ReadImplementer method

TExtensibleInterfacedPersistent	See Also	Edit topic

Reads in an extension from a stream.

Pascal

procedure ReadImplementer(Reader: TReader);

Parameters

Reader: TReader

Filer object to read the extension from.

Description

ReadImplementer reads in an extension from a stream. It expects the first property to be the fake ClassName property, to determine which extension class it should instantiate. If the first property is not named ClassName or the class name it refers to is not a valid extension class, an exception will be raised instead.

ReadImplementer is called by ReadImplementers for each item in the collection in the stream. It should read the preceding list start marker and the succeeding list end marker.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.ReadImplementers, TExtensibleInterfacedPersistent.WriteImplementer


TExtensibleInterfacedPersistent.ReadImplementers method

TExtensibleInterfacedPersistent	See Also	Edit topic

Reads in a collection of extensions from a stream.

Pascal

procedure ReadImplementers(Reader: TReader);

Parameters

Reader: TReader

Filer object to read the collection of extensions from.

Description

ReadImplementers reads in a collection of extensions from a stream. It expects to find a collection at the current location. If there's not a collection at the current location in the stream, an exception will be raised.

For each item of the collection in the stream, the ReadImplementer method is called to read in that extension.

ReadImplementers is called by the filing system when the Extension property is encountered. It's responsible for reading the collection marker and the list end markers.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.ReadImplementer, TExtensibleInterfacedPersistent.WriteImplementers


TExtensibleInterfacedPersistent.RemoveIntfImpl method

TExtensibleInterfacedPersistent	See Also	Edit topic

Removes an extension to the object.

Pascal

procedure RemoveIntfImpl(const Obj: TAggregatedPersistentEx);

Parameters

const Obj: TAggregatedPersistentEx

Extension object to remove.

Description

RemoveIntfImpl removes the specified extension object from the extension list. If the specified extension is not in the extension list nothing will happen, otherwise the extension is removed from the list and the extension is destroyed.

Created with Doc-O-Matic.


See Also

TAggregatedPersistentEx, TExtensibleInterfacedPersistent.AddIntfImpl, TExtensibleInterfacedPersistent.ClearIntfImpl


TExtensibleInterfacedPersistent.ResumeRefCount method

TExtensibleInterfacedPersistent	See Also	Edit topic

Decrements RefCount without destroying the object if it reaches 0.

Pascal

procedure ResumeRefCount;

Description

ResumeRefCount decrements RefCount without destroying the object if it reaches 0. Together with SuspendRefCount you can temporarily disable reference counting if a certain process may result in a reference to the object being made and released, resulting in an undesired destruction of the object.

The decreasing is thread-safe.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.SuspendRefCount


TExtensibleInterfacedPersistent.SuspendRefCount method

TExtensibleInterfacedPersistent	See Also	Edit topic

Increments RefCount.

Pascal

procedure SuspendRefCount;

Description

SuspendRefCount increments RefCount and is more-or-less an alias for _AddRef, except that descendants might not do anything in _AddRef whereas SuspendRefCount is guaranteed to increase RefCount (thread-safe).

Together with ResumeRefCount you can temporarily disable reference counting if a certain process may result in a reference to the object being made and released, resulting in an undesired destruction of the object.

Created with Doc-O-Matic.


See Also

ReleaseRefCount


TExtensibleInterfacedPersistent.WriteImplementer method

TExtensibleInterfacedPersistent	See Also	Edit topic

Writes an extension to a stream.

Pascal

procedure WriteImplementer(Writer: TWriter; Instance: TAggregatedPersistentEx);

Parameters

Writer: TWriter

Filer object to write the extension to.

Instance: TAggregatedPersistentEx

Extension to write to the stream.

Description

WriteImplementer writes an extension to a stream. It writes out a list start marker, followed by the fake ClassName property, containing the name of the extension's class. Next it will write the extension itself and concludes it by writing the list end marker.

WriteImplementer is called by WriteImplementers for each item in the extension list.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.ReadImplementer, TExtensibleInterfacedPersistent.WriteImplementers


TExtensibleInterfacedPersistent.WriteImplementers method

TExtensibleInterfacedPersistent	See Also	Edit topic

Writes the list of extensions as a collection to a stream.

Pascal

procedure WriteImplementers(Writer: TWriter);

Parameters

Writer: TWriter

Filer object to write the extension to.

Description

WriteImplementers writes the list of extensions as a collection to a stream. It writes the collection start marker and for each extension in the list that can be streamed out (checked through the IsStreamableExtension method) WriteImplementer is called. The writing is concluded by writing the list end marker.

WriteImplementers is called by the filing system when the Extension property should be stored. This is only the case if there are extensions to store.

Created with Doc-O-Matic.


See Also

TExtensibleInterfacedPersistent.ReadImplementers, TExtensibleInterfacedPersistent.WriteImplementer


TJv7SegmentedLEDDigit
JEDI-VCL Reference

TJv7SegmentedLEDDigit

Hierarchy	Properties	Methods	 Edit topic

Classic 7-segmented LED digit.

Pascal

TJv7SegmentedLEDDigit = class(TJvBaseSegmentedLEDDigit);

File

JvSegmentedLEDDisplay

Description

TJv7SegmentedLEDDigit is the classic 7-segmented LED digit as used in many digital clocks and calculators.

As a derivative of TJvBaseSegmentedLEDDigit, this class provides in a DP segment commonly used as a decimal point by calculators. In addition it provides a 'colon', made up of two separately controllable segments. It allows settings to not show the colon at all, show the low point of the colon only, the entire colon or the entire colon without any of the other segments.

The digit layout is the same as for TJvBaseSegmentedLEDDigit but two dots are added (named CH and CL):

                A

---

|     |

            F|  .CH|B

             |  G  |

---

|     |

            E|  .CL|C

             |     |

              -----  .DP

                D

Created with Doc-O-Matic.


TJv7SegmentedLEDDigit Properties

TJv7SegmentedLEDDigit	Legend

Properties

 Text

 UseColon

 UseDP

TJvBaseSegmentedLEDDigit

 DPWidth

 UseDP

TJvCustomSegmentedLEDDigit

 BaseTop

 Height

 Left

 RecalcNeeded

 Text

 VertAdjust

 Width

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJv7SegmentedLEDDigit Methods

TJv7SegmentedLEDDigit	Legend

Methods

 GetSegmentIndex

 GetSegmentName

 SegmentCount

TJvBaseSegmentedLEDDigit

 GetSegmentIndex

 GetSegmentName

 GetSegmentString

 SegmentCount

TJvCustomSegmentedLEDDigit

GetHitInfo

 GetSegmentIndex

 GetSegmentName

GetSegmentStates

 GetSegmentString

 PtInSegment

 SegmentCount

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJv7SegmentedLEDDigit

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvCustomSegmentedLEDDigit
        TJvBaseSegmentedLEDDigit
            TJv7SegmentedLEDDigit


TJv7SegmentedLEDDigit Members

TJv7SegmentedLEDDigit	Legend

Members

Properties

 Text

 UseColon

 UseDP

TJvBaseSegmentedLEDDigit

 DPWidth

 UseDP

TJvCustomSegmentedLEDDigit

 BaseTop

 Height

 Left

 RecalcNeeded

 Text

 VertAdjust

 Width

Methods

 GetSegmentIndex

 GetSegmentName

 SegmentCount

TJvBaseSegmentedLEDDigit

 GetSegmentIndex

 GetSegmentName

 GetSegmentString

 SegmentCount

TJvCustomSegmentedLEDDigit

GetHitInfo

 GetSegmentIndex

 GetSegmentName

GetSegmentStates

 GetSegmentString

 PtInSegment

 SegmentCount

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual

abstract


TJv7SegmentedLEDDigit.Text property

TJv7SegmentedLEDDigit	See Also	Edit topic

String representation of the digit contents.

Pascal

property Text: string;

Description

Text is the string representation of the digit contents. Read Text to determine which character and/or segments are rendered or set it to a new value.

The value of Text is used to calculate the Display.Text property value.

If Display.CharacterMapper is assigned, setting Text will pass to the value to the character mapper. The resulting value of this mapping is then placed into the property.

If a mapper is not assigned, setting Text will store the new value without parsing it. Assigning a character mapper later will then execute the mapping and the result will be stored in this property.

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.MapText, TJvCustomSegmentedLEDDisplay.CharacterMapper


TJv7SegmentedLEDDigit.UseColon property

TJv7SegmentedLEDDigit	Edit topic

Specifies if and how the colon should be rendered.

Pascal

property UseColon: T7SegColonUsage;

Description

UseColon specifies if and how the colon should be rendered. Read UseColon to determine that state or set it to a new value.

The colon is made up of two separately controllable segments. You can specify if the colon should not be shows, only the low point of the colon, the entire colon or the entire colon without any of the other segments (the latter is commonly used in digital alarm clocks to separate the hours from the minutes).

Created with Doc-O-Matic.


TJv7SegmentedLEDDigit.UseDP property

TJv7SegmentedLEDDigit	See Also	Edit topic

Determines if the DP segment is visible.

Pascal

property UseDP: Boolean;

Description

UseDP specifies if the DP segment (dot point in the lower right corner) is visible or not. Read UseDP to determine if the DP segment is rendered or set it to a new state.

Setting UseDP may result in a change of the width of the digit. See DPWidth for more information.

Created with Doc-O-Matic.


See Also

Width


TJv7SegmentedLEDDigit.GetSegmentIndex method

TJv7SegmentedLEDDigit	See Also	Edit topic

Retrieves the index of a named segment.

Pascal

class function GetSegmentIndex(Name: string): Integer; override;

Parameters

Name

Name of the segment to retrieve the index of.

Description

GetSegmentIndex retrieves the index of the segment indicated by the Name property. The resulting value is a 0-based index or -1 if the specified name is not the name of a segment.

If certain segments are not used (due to property settings) they are still searchable with this method.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentName, TJvCustomSegmentedLEDDigit.SegmentCount


TJv7SegmentedLEDDigit.GetSegmentName method

TJv7SegmentedLEDDigit	See Also	Edit topic

Retrieves the name of a segment.

Pascal

class function GetSegmentName(Index: Integer): string; override;

Parameters

Index

0-based index of segment to retrieve the name for.

Description

GetSegmentName retrieves the name of the specified segment.

Each segment (individually controllable shapes) has a name assigned to it. For the main segments the names are usually A through Z (depending on the number of segments). Additional markers are named differently.

This method will return the proper name for any segment.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentIndex, TJvCustomSegmentedLEDDigit.SegmentCount


TJv7SegmentedLEDDigit.SegmentCount method

TJv7SegmentedLEDDigit	See Also	Edit topic

Indicates the number of available segments.

Pascal

class function SegmentCount: Integer; override;

Description

SegmentCount indicates the number of segments the digit supports. It ignores any settings that would hide segments and will thus always return the same value, regardless of any property settings.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentName, TJvCustomSegmentedLEDDigit.GetSegmentIndex


TJvAccessTimeOut
JEDI-VCL Reference

TJvAccessTimeOut

Hierarchy	Properties	 See Also	Edit topic

Encapsulates the ACCESSTIMEOUT structure.

Pascal

TJvAccessTimeOut = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

Encapsulates the ACCESSTIMEOUT structure. This is a read/write class and all properties are writeable.

Created with Doc-O-Matic.


TJvAccessTimeOut Properties

TJvAccessTimeOut	Legend

Properties

 Flags

NativeType

 TimeOutMS

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvAccessTimeOut

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvAccessTimeOut


TJvAccessTimeOut Members

TJvAccessTimeOut	Legend

Members

Properties

 Flags

NativeType

 TimeOutMS

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


See Also

MSDN


TJvAccessTimeOut.Flags property

TJvAccessTimeOut	See Also	Edit topic

Provides access to the flags for TJvAccessTimeOut.

Pascal

property Flags: TJvAccessTimeOutFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvAccessTimeOutFlags


TJvAccessTimeOut.NativeType property

TJvAccessTimeOut	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: ACCESSTIMEOUT;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvAccessTimeOut.TimeOutMS property

TJvAccessTimeOut	Edit topic

Specifies the time-out period, in milliseconds.

Pascal

property TimeOutMS: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAddHardwareDialog
JEDI-VCL Reference

 TJvAddHardwareDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays the Add Hardware Wizard.

Pascal

TJvAddHardwareDialog = class(TJvCommonDialogP);

File

JvWinDialogs

Description

Use TJvAddHardwareDialog to show the Add Hardware Wizard. Do this by calling the Execute method.

The Add Hardware Wizard enables you to add new hardware or troubleshoot any hardware-related problems.

To manually open the Add Hardware Wizard, click Start, click Control Panel, and then click " Printers and Other Hardware". Under "See Also", click "Add Hardware".

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvAddHardwareDialog Methods

TJvAddHardwareDialog	Legend

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


TJvAddHardwareDialog Properties

TJvAddHardwareDialog	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAddHardwareDialog

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP
            TJvAddHardwareDialog


TJvAddHardwareDialog Members

TJvAddHardwareDialog	Legend

Members

Methods

 Execute

TJvCommonDialogP

 Execute

Properties

TJvComponent

 AboutJVCL

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Legend

virtual

abstract

published


Package

Dlgs


TJvAddHardwareDialog.Execute method

TJvAddHardwareDialog	Edit topic

Shows the Add Hardware Wizard.

Pascal

procedure Execute; override;

Description

Call Execute to show the Add Hardware Wizard.

The Add Hardware Wizard enables you to add new hardware or troubleshoot any hardware-related problems.

Created with Doc-O-Matic.


TJvAddPrinterDialog
JEDI-VCL Reference

 TJvAddPrinterDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Wrapper around the "Add Printer..." windows dialog.

Pascal

TJvAddPrinterDialog = class(TJvCommonDialogF);

File

JvAddPrinter

Description

TJvAddPrinterDialog is wrapper around the windows "Add Printer..." dialog. To use this dialog you should:

Drop TJvAddPrinterDialog on a form or data module.

Call the Execute method at run-time.

Created with Doc-O-Matic.


TJvAddPrinterDialog Methods

TJvAddPrinterDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


TJvAddPrinterDialog Properties

TJvAddPrinterDialog	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAddPrinterDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvAddPrinterDialog


TJvAddPrinterDialog Members

TJvAddPrinterDialog	Legend

Members

Methods

 Execute

TJvCommonDialogF

 Execute

Properties

TJvComponent

 AboutJVCL

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvAddPrinterDialog.Execute method

TJvAddPrinterDialog	Edit topic

Displays the dialog.

Pascal

function Execute: Boolean; override;

Return Value

False if the dialog was canceled, otherwise true.

Description

Calling Execute will display the "Add Printer..." dialog.

Created with Doc-O-Matic.


TJvAlarmItem
JEDI-VCL Reference

TJvAlarmItem

Hierarchy	Properties	 Edit topic

Represents a single alarm event.

Pascal

TJvAlarmItem = class(TCollectionItem);

File

JvAlarms

Description

Use TJvAlarmItem to describe the characteristics of a single alarm event.

Created with Doc-O-Matic.


TJvAlarmItem Properties

TJvAlarmItem	Legend

Properties

 Kind

 Name

 Time

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAlarmItem

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvAlarmItem


TJvAlarmItem Members

TJvAlarmItem	Legend

Members

Properties

 Kind

 Name

 Time

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAlarmItem.Kind property

TJvAlarmItem	See Also	Edit topic

The kind of alarm.

Pascal

property Kind: TJvTriggerKind;

Description

Use Kind to specify the kind of alarm.

Created with Doc-O-Matic.


See Also

TJvAlarmItem.Name, TJvAlarmItem.Time


TJvAlarmItem.Name property

TJvAlarmItem	See Also	Edit topic

Name of the alarm.

Pascal

property Name: string;

Description

Use Name to specify a name for an alarm item.

Created with Doc-O-Matic.


See Also

TJvAlarmItem.Kind, TJvAlarmItem.Time


TJvAlarmItem.Time property

TJvAlarmItem	See Also	Edit topic

Date and time at which the alarm is to be triggered.

Pascal

property Time: TDateTime;

Description

Use Time to specify the date and time at which the alarm is to be triggered.

Created with Doc-O-Matic.


See Also

TJvAlarmItem.Kind, TJvAlarmItem.Name


TJvAlarmItems
JEDI-VCL Reference

TJvAlarmItems

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvAlarmItems = class(TOwnedCollection);

File

JvAlarms

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAlarmItems Properties

TJvAlarmItems

Properties

Items

Created with Doc-O-Matic.


TJvAlarmItems Methods

TJvAlarmItems

Methods

Add

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvAlarmItems


TJvAlarmItems Members

TJvAlarmItems

Members

Properties

Items

Methods

Add

Created with Doc-O-Matic.


TJvAlarmItems.Items property

TJvAlarmItems	Edit topic

Registered alarms.

Pascal

property Items [Index: Integer]: TJvAlarmItem;

Parameters

Index

0-based index of the alarm. Allowable values are 0 .. Count-1

Description

Items is an array of registered alarms. The array is 0-based. Each item is a single alarm with a name, an initial fire date/time and the trigger kind (repeat interval).

Created with Doc-O-Matic.


TJvAlarmItems.Add method

TJvAlarmItems	Edit topic

Not documented

Pascal

function Add: TJvAlarmItem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAlarms
JEDI-VCL Reference

 TJvAlarms

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Programmable timer.

Pascal

TJvAlarms = class(TJvComponent);

File

JvAlarms

Description

TJvAlarm is a non-visible component that provides you with a programmable timer. The component allows multiple alarms to be added, each of which can be set to repeat at a specified interval or not at all.

To add scheduled tasks to you application you should:

Drop a TJvAlarms on a form or data module.

Write a handler for the OnAlarm event.

Set the Active property to True.

Add tasks to the component using the Add method in run time or the Alarms property editor in design time.

Created with Doc-O-Matic.


TJvAlarms Properties

TJvAlarms	Legend

Properties

 Active

 Alarms

 Running

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvAlarms Events

TJvAlarms	Legend

Events

 OnAlarm

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAlarms Methods

TJvAlarms	Legend

Methods

Add

Delete

 DoAlarm

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvAlarms

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvAlarms


TJvAlarms Members

TJvAlarms	Legend

Members

Properties

 Active

 Alarms

 Running

TJvComponent

 AboutJVCL

Events

 OnAlarm

Methods

Add

Delete

 DoAlarm

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Package

Cmp


TJvAlarms.Active property

TJvAlarms	See Also	Edit topic

Indicates if alarms will trigger.

Pascal

property Active: Boolean;

Description

Active indicates if alarms will fire. When Active is set to False, no alarm will fire at the set date/time. When set to True, Alarms will fire at the set date/time.

Created with Doc-O-Matic.


See Also

TJvAlarms.Running


TJvAlarms.Alarms property

TJvAlarms	Edit topic

Registered alarms.

Pascal

property Alarms: TJvAlarmItems;

Description

Alarms is an array of registered alarms. The array is 0-based. Each item is a single alarm with a name, an initial fire date/time and the trigger kind (repeat interval).

Created with Doc-O-Matic.


TJvAlarms.OnAlarm event

TJvAlarms	Edit topic

The event to call when an alarm fires.

Pascal

TJvAlarmEvent = procedure (Sender: TObject; const Alarm: TJvAlarmItem; const TriggerTime: TDateTime) of object;
property OnAlarm: TJvAlarmEvent;

Parameters

TriggerTime

The time the alarm went off.

Alarm

Reference to the alarm that fired.

Sender

Reference to the TJvAlarms component generating the event.

Description

OnAlarm is an event that will be called for each alarm that fires.

Created with Doc-O-Matic.


TJvAlarms.Running property

TJvAlarms	See Also	Edit topic

Flag that indicates if the alarm component is running.

Pascal

property Running: Boolean;

Description

Running indicates if the component is active and has alarms waiting to be fired. If the components Active property is set to False, Running will also be False. When Active is set to True, Running will be True as long as Count > 0.

Created with Doc-O-Matic.


See Also

TJvAlarms.Active


TJvAlarms.Add method

TJvAlarms	See Also	Edit topic

Adds a new alarm.

Pascal

procedure Add(const AName: string; const ATime: TDateTime; const AKind: TJvTriggerKind = tkOneShot);

Parameters

const AName: string

Name of the alarm. The name is the only way you can identify an alarm during an OnAlarm event.

const ATime: TDateTime

Date and time at which the alarm should go off.

const AKind: TJvTriggerKind = tkOneShot

The kind of alarm to be added. Kind will default to tkOneShot, meaning that the alarm will fire only once and at the specified time.

Description

Add adds a new alarm to the component. To add an alarm you need to provide a name (the alarm's ID), a date/time when the alarm should fire and the kind of alarm (default's to one-shot).

Created with Doc-O-Matic.


See Also

TJvAlarms.Alarms, TJvAlarms.Delete, TJvAlarms.OnAlarm, TJvTriggerKind


TJvAlarms.Delete method

TJvAlarms	Edit topic

Deletes an alarm.

Pascal

procedure Delete(const Idx: Cardinal);

Parameters

const Idx: Cardinal

Index of the alarm to delete.

Description

Delete removes the alarm at the specified index.

Created with Doc-O-Matic.


TJvAlarms.DoAlarm method

TJvAlarms	Edit topic

Calls the OnAlarm event.

Pascal

procedure DoAlarm(const Alarm: TJvAlarmItem; const TriggerTime: TDateTime);

Parameters

const Alarm: TJvAlarmItem

Reference to the alarm that fired.

const TriggerTime: TDateTime

The time the alarm went off.

Description

DoAlarm is a protected method that will call the assigned OnAlarm event if present. It's intended for descendants to call the OnAlarm event from their own code.

Created with Doc-O-Matic.


TJvAnimate
JEDI-VCL Reference

 TJvAnimate

Hierarchy	Properties	Events	Package	 Edit topic

Enhanced TAnimate control.

Pascal

TJvAnimate = class(TJvExAnimate);

File

JvAnimate

Description

The TJvAnimate component provides you with an enhanced TAnimate component that provides a HintColor property as well as additional events.

Created with Doc-O-Matic.


TJvAnimate Properties

TJvAnimate	Legend

Properties

 HintColor

TJvExAnimate

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvAnimate Events

TJvAnimate	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExAnimate

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvAnimate

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TAnimate, IJvExControl
        TJvExAnimate
            TJvAnimate


TJvAnimate Members

TJvAnimate	Legend

Members

Properties

 HintColor

TJvExAnimate

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExAnimate

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

MM


TJvAnimate.HintColor property

TJvAnimate	Edit topic

Determines the color of the hint box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor of the control. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvAnimate.OnMouseEnter event

TJvAnimate	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExAnimate.OnMouseLeave


TJvAnimate.OnMouseLeave event

TJvAnimate	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExAnimate.OnMouseEnter


TJvAnimate.OnParentColorChange event

TJvAnimate	Edit topic

Occurs when the color of the parent control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event handler to take specific action when the parent's Color property changes.

Created with Doc-O-Matic.


TJvAnimatedImage
JEDI-VCL Reference

 TJvAnimatedImage

Hierarchy	Properties	Events	Package	 Edit topic

A component that takes a glyph, cuts it along one direction to create frames to be displayed as an animation.

Pascal

TJvAnimatedImage = class(TJvImageControl);

File

JvAnimatedImage

Description

The Glyph property is cut according to the NumGlyph property and each sub-glyph is considered as a frame for the animation to be performed

Created with Doc-O-Matic.


TJvAnimatedImage Properties

TJvAnimatedImage	Legend

Properties

 Active

 AsyncDrawing

 Center

 Glyph

 GlyphNum

 InactiveGlyph

 Interval

 NumGlyphs

 Orientation

 Stretch

 Transparent

 TransparentColor

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAnimatedImage Events

TJvAnimatedImage	Legend

Events

 OnFrameChanged

 OnStart

 OnStop

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAnimatedImage

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvImageControl
            TJvAnimatedImage


TJvAnimatedImage Members

TJvAnimatedImage	Legend

Members

Properties

 Active

 AsyncDrawing

 Center

 Glyph

 GlyphNum

 InactiveGlyph

 Interval

 NumGlyphs

 Orientation

 Stretch

 Transparent

 TransparentColor

Events

 OnFrameChanged

 OnStart

 OnStop

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

MM


TJvAnimatedImage.Active property

TJvAnimatedImage	Edit topic

If true, the animation is being performed.

Pascal

property Active: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAnimatedImage.AsyncDrawing property

TJvAnimatedImage	See Also	Edit topic

Determines if the drawing thread is synchronized to the main VCL thread

Pascal

property AsyncDrawing: Boolean;

Description

If true, the drawing thread is not synchronized to the main VCL thread. This leads to a risk of exception and should not be used.

Created with Doc-O-Matic.


See Also

TJvTimer.SyncEvent


TJvAnimatedImage.Center property

TJvAnimatedImage	See Also	Edit topic

Determines if the animation is drawn centered in the control

Pascal

property Center: Boolean;

Description

For Center to have an impact, you must set AutoSize and Stretch to False

Created with Doc-O-Matic.


See Also

AutoSize


TJvAnimatedImage.Glyph property

TJvAnimatedImage	See Also	Edit topic

The glyph to use for the animation

Pascal

property Glyph: TBitmap;

Description

Depending on the value of Orientation, the glyph will be cut along its width or its height to determine the frames to use for the animation.

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.GlyphNum, TJvAnimatedImage.NumGlyphs, TJvAnimatedImage.Orientation


TJvAnimatedImage.GlyphNum property

TJvAnimatedImage	See Also	Edit topic

Indicate which sub-glyph in Glyph is to be displayed at the start of the animation

Pascal

property GlyphNum: Integer;

Description

At runtime, this value is updated to indicate which glyph is being displayed

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.Glyph, TJvAnimatedImage.InactiveGlyph, TJvAnimatedImage.NumGlyphs


TJvAnimatedImage.InactiveGlyph property

TJvAnimatedImage	See Also	Edit topic

The sub-glyph to display when the image is inactive

Pascal

property InactiveGlyph: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.Active, TJvAnimatedImage.GlyphNum


TJvAnimatedImage.Interval property

TJvAnimatedImage	Edit topic

The interval in milliseconds between each frame

Pascal

property Interval: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAnimatedImage.NumGlyphs property

TJvAnimatedImage	See Also	Edit topic

The number of frames in the Glyph property

Pascal

property NumGlyphs: Integer;

Description

The sub-glyphs (frames) will be cut according to the orientation

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.Glyph, TJvAnimatedImage.Orientation


TJvAnimatedImage.OnFrameChanged event

TJvAnimatedImage	Edit topic

Event triggered when the current frame has been changed

Pascal

property OnFrameChanged: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAnimatedImage.OnStart event

TJvAnimatedImage	See Also	Edit topic

Even triggered when the animation starts (by setting Active to True)

Pascal

property OnStart: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.OnStop


TJvAnimatedImage.OnStop event

TJvAnimatedImage	See Also	Edit topic

Event triggered when the animation stops (by setting Active to False)

Pascal

property OnStop: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.OnStart


TJvAnimatedImage.Orientation property

TJvAnimatedImage	See Also	Edit topic

The orientation used to create the frames from Glyph

Pascal

property Orientation: TGlyphOrientation;

Description

If orientation is goHorizontal, the Glyph property will be cut along its width If orientation is goVertical, the Glyph property will be cut along its height

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.Glyph, TJvAnimatedImage.NumGlyphs


TJvAnimatedImage.Stretch property

TJvAnimatedImage	See Also	Edit topic

If true, the image is stretched to fit in the control size

Pascal

property Stretch: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

AutoSize


TJvAnimatedImage.Transparent property

TJvAnimatedImage	Edit topic

If True the background of the image is transparent.

Pascal

property Transparent: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAnimatedImage.TransparentColor property

TJvAnimatedImage	Edit topic

Indicate which color is to be considered transparent in the glyph

Pascal

property TransparentColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAnimTitle
JEDI-VCL Reference

 TJvAnimTitle

Hierarchy	Properties	Package	 Edit topic

Caption animation component.

Pascal

TJvAnimTitle = class(TJvComponent);

File

JvAnimTitle

Description

TJvAnimTitle is a component to provide an animated form caption. The component handles two things:

Animate the caption (the caption appears character by character and then disappears).

Allow the caption to blink x time after the caption has appeared.

To use this component you should:

Construct a TJvAnimTitle instance at run-time.

Set the Title to the title to display (by default set to the forms Caption. Changes to the forms Caption are not mirrored in this property).

Set the delay between two animation steps.

Optionally set Blink to the number of blinks after the title is fully displayed or leave it at 0 if you don't want the caption to blink.

Activate the component by setting property Enabled to true.

Created with Doc-O-Matic.


TJvAnimTitle Properties

TJvAnimTitle	Legend

Properties

 Blink

 Delay

 Enabled

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAnimTitle

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvAnimTitle


TJvAnimTitle Members

TJvAnimTitle	Legend

Members

Properties

 Blink

 Delay

 Enabled

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

AppFrm


TJvAnimTitle.Blink property

TJvAnimTitle	See Also	Edit topic

Number of times the title is blinked.

Pascal

property Blink: Integer;

Description

Blink indicates the number of times the caption is blinked. Each time the caption is completely visible, it will blink the number of times indicated by this property. If you don't want the caption to blink at all, set this property to 0.

Created with Doc-O-Matic.


See Also

Delay


TJvAnimTitle.Delay property

TJvAnimTitle	See Also	Edit topic

The delay in milliseconds between two steps of animation.

Pascal

property Delay: Integer;

Description

Delay indicates the time in milliseconds to wait between two steps of animation. This value determines the speed at which the caption is to appear/disappear, as well as the rate of blinking.

Created with Doc-O-Matic.


See Also

TJvAnimTitle.Blink, TJvAnimTitle.Enabled


TJvAnimTitle.Enabled property

TJvAnimTitle	Edit topic

Indicates whether the component is active.

Pascal

property Enabled: Boolean;

Description

Enabled indicates if the component is active. When set to True, the animation is executed, otherwise the form caption will not change.

Created with Doc-O-Matic.


TJvAnimTitle.Title property

TJvAnimTitle	Edit topic

The form caption to animate.

Pascal

property Title: string;

Description

Title holds the caption text to animate. The property is initialized to the form's Caption, but can be changed to anything.

Created with Doc-O-Matic.


TJvAPMInfo
JEDI-VCL Reference

TJvAPMInfo

Hierarchy	Properties	 See Also	Edit topic

Encapsulates APM information.

Pascal

TJvAPMInfo = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

Encapsulates APM (Advanced Power Management) information. This is a read-only class.

Notes

The system is only capable of estimating BatteryFullLifeTime based on calculations on BatteryLifeTime and BatteryLifePercent. Without smart battery subsystems, this value may not be accurate enough to be useful.

Created with Doc-O-Matic.


TJvAPMInfo Properties

TJvAPMInfo	Legend

Properties

 BatteryFlag

 BatteryFullLifeTime

 BatteryLifePercent

 BatteryLifeTime

 LineStatus

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAPMInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvAPMInfo


TJvAPMInfo Members

TJvAPMInfo	Legend

Members

Properties

 BatteryFlag

 BatteryFullLifeTime

 BatteryLifePercent

 BatteryLifeTime

 LineStatus

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

GetPowerStatus


TJvAPMInfo.BatteryFlag property

TJvAPMInfo	Edit topic

This property only have meaning on portable computers that run off batteries. Provides access to the current status of the computer battery.

Pascal

property BatteryFlag: TAPMBatteryFlag;

Description

Read BatteryFlag to learn the current status of the computers battery. BatteryFlag can have one of the following values:

Value	Meaning
abfHigh	the battery has a high charge
abfLow	the battery has a low charge
abfCritical	the battery is very low and must be charged immediately
abfCharging	the battery is charging
abfNoBattery	there is no battery inserted
abfUnknown	the battery status is unknown or an error occurred
Created with Doc-O-Matic.


TJvAPMInfo.BatteryFullLifeTime property

TJvAPMInfo	Edit topic

Specifies the life time of a fully charged battery.

Pascal

property BatteryFullLifeTime: DWORD;

Description

Number of seconds of battery life when at full charge, or –1 if full battery lifetime is unknown.

Created with Doc-O-Matic.


TJvAPMInfo.BatteryLifePercent property

TJvAPMInfo	Edit topic

Specifies life time of fully charged battery as a percentage.

Pascal

property BatteryLifePercent: Integer;

Description

Percentage of full battery charge remaining. This member can be a value in the range 0 to 100, or 255 if status is unknown.

Created with Doc-O-Matic.


TJvAPMInfo.BatteryLifeTime property

TJvAPMInfo	Edit topic

Specifies life time of battery at current charge.

Pascal

property BatteryLifeTime: DWORD;

Description

Number of seconds of battery life remaining, or –1 if remaining seconds are unknown.

Created with Doc-O-Matic.


TJvAPMInfo.LineStatus property

TJvAPMInfo	Edit topic

Specifies whether the computer is running on AC power or not.

Pascal

property LineStatus: TAPMLineStatus;

Description

AC power status. This member can be one of the following values:

alsOffline	Offline
alsOnline	Online
alsUnknown	Unknown
Created with Doc-O-Matic.


TJvAppAnimatedIcon
JEDI-VCL Reference

 TJvAppAnimatedIcon

Hierarchy	Properties	Package	 Edit topic

Animates the application's icon.

Pascal

TJvAppAnimatedIcon = class(TJvComponent);

File

JvAppAnimatedIcon

Description

The TJvAppAnimatedIcon component allows you to make an animated application icon. The component will change the applications icon every interval by cycling a list of icons.

To create an application with an animated icon you should execute the following tasks:

Drop a TJvAppAnimatedIcon component on a form or data module.

Set the animation interval to an appropriate value.

Link the component to an image list containing the icons to use for animation.

Activate the component by setting property Active to true.

Created with Doc-O-Matic.


TJvAppAnimatedIcon Properties

TJvAppAnimatedIcon	Legend

Properties

 Active

 Delay

 Icons

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAppAnimatedIcon

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvAppAnimatedIcon


TJvAppAnimatedIcon Members

TJvAppAnimatedIcon	Legend

Members

Properties

 Active

 Delay

 Icons

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

AppFrm


TJvAppAnimatedIcon.Active property

TJvAppAnimatedIcon	See Also	Edit topic

Indicates whether the application icon is animated.

Pascal

property Active: Boolean;

Description

Active indicates whether or not the component is active and the application icon is animated. When set to True, the application icon will change at the specified interval, otherwise the application icon will not change.

Created with Doc-O-Matic.


See Also

TJvAppAnimatedIcon.Icons, Delay


TJvAppAnimatedIcon.Delay property

TJvAppAnimatedIcon	See Also	Edit topic

The interval between two icon changes.

Pascal

property Delay: Cardinal;

Description

Delay is the delay in milliseconds before the application icon changes.

Created with Doc-O-Matic.


See Also

TJvAppAnimatedIcon.Active, TJvAppAnimatedIcon.Icons


TJvAppAnimatedIcon.Icons property

TJvAppAnimatedIcon	Edit topic

The list of icons used for animation.

Pascal

property Icons: TImageList;

Description

Icons is an image list, containing the icons to use in the animation.

Created with Doc-O-Matic.


TJvAppDBStorage
JEDI-VCL Reference

 TJvAppDBStorage

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Dataset based application data storage.

Pascal

TJvAppDBStorage = class(TJvCustomAppDBStorage);

File

JvAppDBStorage

Description

TJvAppDBStorage inherits from TJvCustomAppDBStorage and publishes all of it's properties and events but does not introduce any new behavior.

Created with Doc-O-Matic.


TJvAppDBStorage Properties

TJvAppDBStorage	Legend

Properties

 DataSource

 FlushOnDestroy

 KeyField

 ReadOnly

 SectionField

 ValueField

TJvCustomAppDBStorage

 DataSource

 KeyField

 SectionField

 ValueField

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvAppDBStorage Events

TJvAppDBStorage	Legend

Events

 OnRead

 OnWrite

TJvCustomAppDBStorage

 OnRead

 OnWrite

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvAppDBStorage Methods

TJvAppDBStorage	Legend

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvAppDBStorage

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvCustomAppDBStorage
                TJvAppDBStorage


TJvAppDBStorage Members

TJvAppDBStorage	Legend

Members

Properties

 DataSource

 FlushOnDestroy

 KeyField

 ReadOnly

 SectionField

 ValueField

TJvCustomAppDBStorage

 DataSource

 KeyField

 SectionField

 ValueField

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

 OnRead

 OnWrite

TJvCustomAppDBStorage

 OnRead

 OnWrite

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

DB


TJvAppDBStorage.DataSource property

TJvAppDBStorage	See Also	Edit topic

Links the storage to a dataset.

Pascal

property DataSource: TDataSource;

Description

Specify the data source component that identifies the dataset in which the target fields are found. To allow the storage to represent the data for the fields, both the DataSource and the SectionField, KeyField and ValueField properties must be set.

If DataSource is nil, use the OnRead and OnWrite events to read and write data.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.KeyField, TJvCustomAppDBStorage.OnRead, TJvCustomAppDBStorage.OnWrite, TJvCustomAppDBStorage.SectionField, TJvCustomAppDBStorage.ValueField


TJvAppDBStorage.FlushOnDestroy property

TJvAppDBStorage	Edit topic

Not documented

Pascal

property FlushOnDestroy: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppDBStorage.KeyField property

TJvAppDBStorage	See Also	Edit topic

Identifies the field from which the storage reads and writes key names.

Pascal

property KeyField: string;

Description

Set KeyField to indicate which field in the dataset is used to store key names.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.DataSource, TJvCustomAppDBStorage.SectionField, TJvCustomAppDBStorage.ValueField


TJvAppDBStorage.OnRead event

TJvAppDBStorage	See Also	Edit topic

Occurs when data is read.

Pascal

property OnRead: TJvDBStorageReadEvent;

Parameters

Sender

The TJvCustomAppDBStorage that called the event.

Section

The name of the section to read.

Key

The name of the key to read.

Value

The value that was read.

Description

Write a handler for the OnRead event to take specific action when data is read from storage. You can use OnRead even if DataSource or any of the fields are unassigned.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.OnWrite


TJvAppDBStorage.OnWrite event

TJvAppDBStorage	See Also	Edit topic

Occurs when data is written.

Pascal

property OnWrite: TJvDBStorageWriteEvent;

Parameters

Sender

The TJvCustomAppDBStorage that called the event.

Section

The name of the section to write to. If it doesn't exist, it will be created.

Key

The name of the key to write to. If it doesn't exist, it will be created.

Value

The value to write.

Description

Write a handler for the OnWrite event to take specific action when data is written to storage. You can use OnWrite even if DataSource or any of the fields are unassigned.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.OnRead


TJvAppDBStorage.ReadOnly property

TJvAppDBStorage	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

Defines if the Storage-Component is readonly or not. If Readonly is true all Calls to an Write*-Procedure will be ignored. The property is calculated by a combination of setting the property ReadOnly and Result of the function GetPhysicalReadOnly

Created with Doc-O-Matic.


TJvAppDBStorage.SectionField property

TJvAppDBStorage	See Also	Edit topic

Identifies the field from which the storage reads and writes the section name.

Pascal

property SectionField: string;

Description

Set SectionField to indicate which field the dataset is used to store section names.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.DataSource, TJvCustomAppDBStorage.KeyField, TJvCustomAppDBStorage.ValueField


TJvAppDBStorage.ValueField property

TJvAppDBStorage	See Also	Edit topic

Identifies the field from which the storage reads and writes value data.

Pascal

property ValueField: string;

Description

Set ValueField to indicate which field the dataset is used to store value data.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.DataSource, TJvCustomAppDBStorage.KeyField, TJvCustomAppDBStorage.SectionField


TJvAppIniFileStorage
JEDI-VCL Reference

 TJvAppIniFileStorage

Hierarchy	Properties	Methods	Events	Package	 Edit topic

INI file based application data storage.

Pascal

TJvAppIniFileStorage = class(TJvCustomAppIniStorage);

File

JvAppIniStorage

Description

TJvAppIniFileStorage is a data storage backend that stores the data in an INI file.

As a descendant of TJvCustomAppIniStorage it provides the standard interface for storing data (such as settings, form positions and sizes, etc) in an INI file format. This data will be stored in an actual file, represented in memory through the use of a TMemIniFile object.

Created with Doc-O-Matic.


TJvAppIniFileStorage Properties

TJvAppIniFileStorage	Legend

Properties

AsString

 AutoFlush

 AutoReload

 DefaultSection

 FileName

 FlushOnDestroy

IniFile

 Location

 SubStorages

TJvCustomAppIniStorage

 DefaultSection

 IniFile

 StorageOptions

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvAppIniFileStorage Events

TJvAppIniFileStorage	Legend

Events

 OnGetFileName

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvAppIniFileStorage Methods

TJvAppIniFileStorage	Legend

Methods

 Flush

 Reload

TJvCustomAppIniStorage

 ReadValue

 RemoveValue

 ValueExists

 WriteValue

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvAppIniFileStorage

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvCustomAppMemoryFileStorage
                TJvCustomAppIniStorage
                    TJvAppIniFileStorage


TJvAppIniFileStorage Members

TJvAppIniFileStorage	Legend

Members

Properties

AsString

 AutoFlush

 AutoReload

 DefaultSection

 FileName

 FlushOnDestroy

IniFile

 Location

 SubStorages

TJvCustomAppIniStorage

 DefaultSection

 IniFile

 StorageOptions

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

 OnGetFileName

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

 Flush

 Reload

TJvCustomAppIniStorage

 ReadValue

 RemoveValue

 ValueExists

 WriteValue

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Core


TJvAppIniFileStorage.AsString property

TJvAppIniFileStorage	Edit topic

Not documented

Pascal

property AsString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppIniFileStorage.AutoFlush property

TJvAppIniFileStorage	See Also	Edit topic

If set to True, the Flush method will be called whenever a modification has been made to the in memory file.

Pascal

property AutoFlush: Boolean;

Description

Please note that if AutoReload is set to True and AutoFlush is not, then only the very last change done will be written into the physical file. Look at this sequence:

  Write (calls Reload before writing)

  Write (calls Reload before writing)

  Write (calls Reload before writing)

  Write (calls Reload before writing)

  Destroy (calls Flush)

The only time Flush is called is when the component is destroyed, thus only putting the last Write into the file. This is why AutoFlush should always be set to True when AutoReload is. This is not ensured by the component because some user may want this behavior to happen.

Created with Doc-O-Matic.


See Also

TJvAppIniFileStorage.AutoReload, TJvAppIniFileStorage.Flush


TJvAppIniFileStorage.AutoReload property

TJvAppIniFileStorage	See Also	Edit topic

If set to True, the Reload method will be called whenever an information is about to be read from the in memory file.

Pascal

property AutoReload: Boolean;

Description

Please note that if AutoReload is set to True and AutoFlush is not, then only the very last change done will be written into the physical file. Look at this sequence:

  Write (calls Reload before writing)

  Write (calls Reload before writing)

  Write (calls Reload before writing)

  Write (calls Reload before writing)

  Destroy (calls Flush)

The only time Flush is called is when the component is destroyed, thus only putting the last Write into the file. This is why AutoFlush should always be set to True when AutoReload is. This is not ensured by the component because some user may want this behavior to happen.

Created with Doc-O-Matic.


See Also

TJvAppIniFileStorage.AutoFlush, TJvAppIniFileStorage.FileName, TJvAppIniFileStorage.Reload


TJvAppIniFileStorage.DefaultSection property

TJvAppIniFileStorage	Edit topic

The default section name

Pascal

property DefaultSection: string;

Description

When a property is to be stored and the section name for it is empty, then this value is used. You should always give a value to this property, or risk the creation of an invalid INI file with keys outside sections

Created with Doc-O-Matic.


TJvAppIniFileStorage.FileName property

TJvAppIniFileStorage	See Also	Edit topic

Name of the INI file.

Pascal

property FileName: TFileName;

Description

FileName specifies which file is to be used as a storage and will be taken into account according to the value of Location:

Value	Meaning
flExeFile	The path part of FileName is ignored and the file is created in the directory where the application is located
flTemp	The path part of FileName is ignored and the file is created in the temporary directory
flUserFolder	The file is created in the data directory of the current user. You can specify a relative path: "Appnameinifilename", but you will have to create directory "Appname". Unlike flExeFile and flWindows, this setting will work when logged under a limited user account.
flWindows	The path part of FileName is ignored and the file is created in the windows directory
flCustom	All parts of FileName are taken into account
Notes

If you leave this property blank, the component will not load or save the values in a file.

Created with Doc-O-Matic.


See Also

Location


TJvAppIniFileStorage.FlushOnDestroy property

TJvAppIniFileStorage	Edit topic

Not documented

Pascal

property FlushOnDestroy: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppIniFileStorage.IniFile property

TJvAppIniFileStorage	Edit topic

The in memory INI file object.

Pascal

property IniFile: TMemIniFile;

Description

This property gives You direct access to the internal INI file object that the component uses as a storage for its data. This is provided if you want to directly access the INI file object, for instance if you want to add your own sections in it. Be very careful not to break anything while doing so.

Created with Doc-O-Matic.


TJvAppIniFileStorage.Location property

TJvAppIniFileStorage	Edit topic

Root folder for storage file

Pascal

property Location: TFileLocation;

Description

The "root" folder within the storage file will be created.

Remember that members of the "User" group may not have write permissions to the Windows and Program Files folders. Windows Programming Guidelines require that "per user" application data have to be written to <document and settings>\<user>\<application data>\<company>\<application> , while "generic" data should be written to <document and settings>\<All users>\<application data>\<company>\<application>. Remember also that <document and settings> , <All users> and <application data> actual names are operating system language specific, therefore do not hard encode them but use operating system APIs or JCL functions to obtain actual names.

Created with Doc-O-Matic.


TJvAppIniFileStorage.OnGetFileName event

TJvAppIniFileStorage	Edit topic

Occurs when Location is set to flCustom.

Pascal

property OnGetFileName: TJvAppStorageGetFileNameEvent;

Description

Write an OnGetFilenName event handler to change the fully qualified file name that is used to store the ini file.

Created with Doc-O-Matic.


TJvAppIniFileStorage.SubStorages property

TJvAppIniFileStorage	Edit topic

Not documented

Pascal

property SubStorages: TJvAppSubStorages;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppIniFileStorage.Flush method

TJvAppIniFileStorage	See Also	Edit topic

Writes changes to the file.

Pascal

procedure Flush; override;

Description

Flush will write any changes made to the storage to the underlying INI file.

Flush is called automatically when the component is destroyed or AutoFlush is set to True and a call to a writing function has been done.

Created with Doc-O-Matic.


See Also

TJvAppIniFileStorage.AutoFlush, TJvAppIniFileStorage.Reload


TJvAppIniFileStorage.Reload method

TJvAppIniFileStorage	See Also	Edit topic

Reloads the INI in memory file from the file indicated by FileName

Pascal

procedure Reload; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvAppIniFileStorage.FileName, TJvAppIniFileStorage.Flush


TJvAppIniStorageOptions
JEDI-VCL Reference

TJvAppIniStorageOptions

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvAppIniStorageOptions = class(TJvAppStorageOptions);

File

JvAppIniStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppIniStorageOptions Properties

TJvAppIniStorageOptions	Legend

Properties

 FloatAsString

 PreserveLeadingTrailingBlanks

 ReplaceCRLF

TJvAppStorageOptions

 BooleanAsString

 BooleanStringFalseValues

 BooleanStringTrueValues

 DateTimeAsString

 DefaultIfReadConvertError

 DefaultIfValueNotExists

 EnumerationAsString

 FloatAsString

 SetAsString

 TypedIntegerAsString

TJvCustomAppStorageOptions

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAppIniStorageOptions Methods

TJvAppIniStorageOptions	Legend

Methods

TJvCustomAppStorageOptions

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvAppIniStorageOptions

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomAppStorageOptions
        TJvAppStorageOptions
            TJvAppIniStorageOptions


TJvAppIniStorageOptions Members

TJvAppIniStorageOptions	Legend

Members

Properties

 FloatAsString

 PreserveLeadingTrailingBlanks

 ReplaceCRLF

TJvAppStorageOptions

 BooleanAsString

 BooleanStringFalseValues

 BooleanStringTrueValues

 DateTimeAsString

 DefaultIfReadConvertError

 DefaultIfValueNotExists

 EnumerationAsString

 FloatAsString

 SetAsString

 TypedIntegerAsString

TJvCustomAppStorageOptions

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Methods

TJvCustomAppStorageOptions

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


TJvAppIniStorageOptions.FloatAsString property

TJvAppIniStorageOptions	See Also	Edit topic

Specifies whether to store a float as string.

Pascal

property FloatAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.WriteFloat


TJvAppIniStorageOptions.PreserveLeadingTrailingBlanks property

TJvAppIniStorageOptions	Edit topic

Not documented

Pascal

property PreserveLeadingTrailingBlanks: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppIniStorageOptions.ReplaceCRLF property

TJvAppIniStorageOptions	Edit topic

Not documented

Pascal

property ReplaceCRLF: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppInstances
JEDI-VCL Reference

 TJvAppInstances

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Allows you to control the number of application instances running at the same time.

Pascal

TJvAppInstances = class(TComponent);

File

JvAppInst

Description

The TJvAppInstances component encapsulates the TJclAppInstance class. It allows you to control the number of application instances running at the same time. If a new instance is rejected it can send its command line and other commands to the first instance.

To set a UniqueAppIdGuidStr you must call JclAppInst.JclAppInstances in the initialization section of a unit or before the forms are created (OnCreate is too late).

This class is not thread safe.

Created with Doc-O-Matic.


TJvAppInstances Properties

TJvAppInstances	Legend

Properties

 Active

 AppInstances

 AutoActivate

 Handle

 MaxInstances

 SendCmdLine

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvAppInstances Events

TJvAppInstances	Legend

Events

 OnCmdLineReceived

 OnDataAvailable

 OnInstanceCreated

 OnInstanceDestroyed

 OnRejected

 OnUserNotify

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAppInstances Methods

TJvAppInstances

Methods

Check

SendData

UserNotify

Created with Doc-O-Matic.


Legend

TJvAppInstances

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvAppInstances


TJvAppInstances Members

TJvAppInstances	Legend

Members

Properties

 Active

 AppInstances

 AutoActivate

 Handle

 MaxInstances

 SendCmdLine

Events

 OnCmdLineReceived

 OnDataAvailable

 OnInstanceCreated

 OnInstanceDestroyed

 OnRejected

 OnUserNotify

Methods

Check

SendData

UserNotify

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Package

System


TJvAppInstances.Active property

TJvAppInstances	Edit topic

Controls the state of the component.

Pascal

property Active: Boolean;

Description

Set Active to False if you want to disable the component.

Created with Doc-O-Matic.


TJvAppInstances.AppInstances property

TJvAppInstances	Edit topic

Gives access to the underlying TJclAppInstances class.

Pascal

property AppInstances: TJclAppInstances;

Description

This property gives you access to the underlying JEDI Code Library TJclAppInstances class.

Created with Doc-O-Matic.


TJvAppInstances.AutoActivate property

TJvAppInstances	Edit topic

Controls the activation of the first instance.

Pascal

property AutoActivate: Boolean;

Description

If AutoActivate is True then the first instance is brought to front by the second process instance.

Created with Doc-O-Matic.


TJvAppInstances.Handle property

TJvAppInstances	Edit topic

Window Handle to the communication window.

Pascal

property Handle: THandle;

Description

Every instance has its own communication window. So you can use SendMessage/PostMessage with this handle.

Created with Doc-O-Matic.


TJvAppInstances.MaxInstances property

TJvAppInstances	Edit topic

Maximum number of simultaneous running application instances.

Pascal

property MaxInstances: Integer;

Description

MaxInstances specifies the maximum parallel running application instances. If the maximum number is reached and a new instance is started, it will send its command line to the first instance and terminate.

Created with Doc-O-Matic.


TJvAppInstances.OnCmdLineReceived event

TJvAppInstances	Edit topic

Occurs after a command line is received.

Pascal

TCmdLineReceivedEvent = procedure (Sender: TObject; CmdLine: TStrings) of object;
property OnCmdLineReceived: TCmdLineReceivedEvent;

Parameters

CmdLine

Contains the command line arguments (1 to ParamCount).

Sender

Calling TJvAppInstances object.

Description

Install an event handler for this event if you want to receive the command lines from other rejected instances.

Created with Doc-O-Matic.


TJvAppInstances.OnDataAvailable event

TJvAppInstances	Edit topic

Occurs when data from a SendData call is available.

Pascal

TDataAvailableEvent = procedure (Sender: TObject; Kind: TJvAppInstDataKind; Data: Pointer; Size: Integer) of object;
property OnDataAvailable: TDataAvailableEvent;

Parameters

Data

Pointer to the message data. (automatically released)

Size

Size of the message data.

Sender

Calling TJvAppInstances object.

Kind

The message kind.

Description

Install an event handler for this event if you want to receive data from other instances sent by SendData.

Created with Doc-O-Matic.


TJvAppInstances.OnInstanceCreated event

TJvAppInstances	Edit topic

Occurs after another instances is started.

Pascal

property OnInstanceCreated: TInstanceChangeEvent;

Description

Install an event handler for this event if you want to be notified about new application instances.

Created with Doc-O-Matic.


TJvAppInstances.OnInstanceDestroyed event

TJvAppInstances	Edit topic

Occurs when another instances is terminating.

Pascal

property OnInstanceDestroyed: TInstanceChangeEvent;

Description

Install an event handler for this event if you want to be notified about terminating application instances.

Created with Doc-O-Matic.


TJvAppInstances.OnRejected event

TJvAppInstances	Edit topic

Occurs when this instance was rejected by another instance.

Pascal

property OnRejected: TNotifyEvent;

Description

OnRejected is raised and handled by the instance that wants to start if another instance does not allow further instances.

Created with Doc-O-Matic.


TJvAppInstances.OnUserNotify event

TJvAppInstances	See Also	Edit topic

Occurs when a message sent by UserNotify is received.

Pascal

TUserNotifyEvent = procedure (Sender: TObject; Param: Integer) of object;
property OnUserNotify: TUserNotifyEvent;

Parameters

Param

The argument specified by the UserNotify call

Sender

calling TJvAppInstances object

Description

Install an event handler for this event if you want to receive messages sent by UserNotify.

Created with Doc-O-Matic.


See Also

TJvAppInstances.UserNotify


TJvAppInstances.SendCmdLine property

TJvAppInstances	See Also	Edit topic

Sends the command line to the first instance.

Pascal

property SendCmdLine: Boolean;

Description

Messages sent by SendCmdLine are sent to all running instances. Also the calling instance receives the command line.

Created with Doc-O-Matic.


See Also

TJvAppInstances.OnCmdLineReceived, TJvAppInstances.SendData


TJvAppInstances.Check method

TJvAppInstances	Edit topic

Tests for an existing instance.

Pascal

procedure Check;

Description

If Check finds an existing application instance, it will communicate with the first instance and then terminate.

Check is called by the Loaded method. So there is no need to call it directly.

Created with Doc-O-Matic.


TJvAppInstances.SendData method

TJvAppInstances	See Also	Edit topic

Sends a message to all instances.

Pascal

function SendData(DataKind: TJclAppInstDataKind; Data: Pointer; Size: Integer): Boolean;

Return Value

Returns False if the function fails.

Parameters

DataKind: TJclAppInstDataKind

The message kind.

Data: Pointer

The data to send.

Size: Integer

Size of Data.

Description

Call SendData to send a message to all running instances. Also the calling instance receives the command line.

Created with Doc-O-Matic.


See Also

TJvAppInstances.OnDataAvailable, TJvAppInstances.SendCmdLine


TJvAppInstances.UserNotify method

TJvAppInstances	See Also	Edit topic

Sends a simple message to all instances.

Pascal

procedure UserNotify(Param: Integer);

Parameters

Param: Integer

A user defined value that is sent to all instances.

Description

Use UserNotify to send a simple message to all instances.

Created with Doc-O-Matic.


See Also

TJvAppInstances.OnUserNotify, TJvAppInstances.SendData


TJvAppletDialog
JEDI-VCL Reference

 TJvAppletDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a Control Panel window.

Pascal

TJvAppletDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

Control Panel applications are special-purpose dynamic-link libraries (DLLs) that let users configure the environment of Windows.

Use TJvAppletDialog to show a specific dialog box from such a Control Panel application. Do this by calling the Execute method.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvAppletDialog Properties

TJvAppletDialog	Legend

Properties

 AppletIndex

 AppletInfo

 AppletName

 Count

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvAppletDialog Methods

TJvAppletDialog	Legend

Methods

 Execute

ValidApplet

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvAppletDialog

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvAppletDialog


TJvAppletDialog Members

TJvAppletDialog	Legend

Members

Properties

 AppletIndex

 AppletInfo

 AppletName

 Count

TJvComponent

 AboutJVCL

Methods

 Execute

ValidApplet

TJvCommonDialogF

 Execute

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


Package

Dlgs


TJvAppletDialog.AppletIndex property

TJvAppletDialog	See Also	Edit topic

Specifies the desired subprogram.

Pascal

property AppletIndex: Integer;

Description

Use AppletIndex to specify the desired subprogram or dialog box. AppletIndex must be in the range zero through one less than Count.

Created with Doc-O-Matic.


See Also

Execute, TJvAppletDialog.Count


TJvAppletDialog.AppletInfo property

TJvAppletDialog	See Also	Edit topic

Returns information about a dialog box that the applet supports.

Pascal

property AppletInfo [Index: Integer]: TJvCplInfo;

Parameters

Index

Specifies the index of the dialog box. Index must be in the range zero through one less than Count.

Description

Use AppletInfo to retrieve information about a specific subprogram or dialog box. You may change the lData field of the returned record; changing other fields has no effect.

Created with Doc-O-Matic.


See Also

TJvAppletDialog.AppletIndex, TJvAppletDialog.Count


TJvAppletDialog.AppletName property

TJvAppletDialog	See Also	Edit topic

Specifies the name of the Control Panel application.

Pascal

property AppletName: string;

Description

Use AppletName to specify the name of the Control Panel application.

Some examples are:

Value	Meaning
ACCESS.CPL	Accessibility Properties
APPWIZ.CPL	Add/Remove Programs Property Page
SYSDM.CPL	Add New Hardware Wizard
TIMEDATE.CPL	Date & Time Properties

Look here for more examples.

Created with Doc-O-Matic.


See Also

TJvAppletDialog.AppletIndex


TJvAppletDialog.Count property

TJvAppletDialog	See Also	Edit topic

Indicates how many subprograms the applet supports.

Pascal

property Count: Integer;

Description

Read Count to determine how many subprograms or dialog boxes the applet specified by AppletName supports. Property AppletIndex must be smaller than Count.

Created with Doc-O-Matic.


See Also

TJvAppletDialog.AppletIndex, TJvAppletDialog.AppletName


TJvAppletDialog.Execute method

TJvAppletDialog	See Also	Edit topic

Displays a specific dialog box of the applet.

Pascal

function Execute: Boolean; override;

Return Value

Returns true on success, false otherwise.

Description

Call Execute to display the dialog box specified by AppletIndex of the Control Panel application specified by AppletName.

If AppletName or AppletIndex is invalid, shows the control panel explorer window instead and returns false.

Created with Doc-O-Matic.


See Also

TJvAppletDialog.ValidApplet


TJvAppletDialog.ValidApplet method

TJvAppletDialog	See Also	Edit topic

Indicates whether AppletName and AppletIndex are valid.

Pascal

function ValidApplet: Boolean;

Return Value

Returns true if both AppletName and AppletIndex are valid, false otherwise.

Description

Call ValidApplet to determine whether AppletName and AppletIndex are valid. The component calls ValidApplet if you call Execute, to determine whether AppletName and AppletIndex are valid.

Created with Doc-O-Matic.


See Also

Execute


TJvApplicationHotKey
JEDI-VCL Reference

 TJvApplicationHotKey

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Registers a system wide hot key combination.

Pascal

TJvApplicationHotKey = class(TJvComponent);

File

JvAppHotKey

Description

The TJvApplicationHotKey components allows you to register a system wide hot key combination. When the key combination is pressed an event is generated.

To use this component you should:

Drop a TJvApplicationHotKey component on a form or data module.

Assign a unique hot key combination to the component.

Assign a handler to the notification event.

You may assign a handler to OnHotKeyRegisterFailed to respond when the registration of the hot key combination failed.

Activate the component by setting property Active to true.

Created with Doc-O-Matic.


TJvApplicationHotKey Properties

TJvApplicationHotKey	Legend

Properties

 Active

 HotKey

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvApplicationHotKey Events

TJvApplicationHotKey	Legend

Events

 OnHotKey

 OnHotKeyRegisterFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvApplicationHotKey Methods

TJvApplicationHotKey	Legend

Methods

 DoHotKey

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvApplicationHotKey

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvApplicationHotKey


TJvApplicationHotKey Members

TJvApplicationHotKey	Legend

Members

Properties

 Active

 HotKey

TJvComponent

 AboutJVCL

Events

 OnHotKey

 OnHotKeyRegisterFailed

Methods

 DoHotKey

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

AppFrm


TJvApplicationHotKey.Active property

TJvApplicationHotKey	See Also	Edit topic

Indicates the active state of the component.

Pascal

property Active: Boolean;

Description

Active indicates whether or not the hot key combination is registered and active. When set to True, the event will be generated for the key combination, otherwise the key combination is not registered and no event will be generated for the key combination.

Created with Doc-O-Matic.


See Also

TJvApplicationHotKey.HotKey, TJvApplicationHotKey.OnHotKey


TJvApplicationHotKey.HotKey property

TJvApplicationHotKey	See Also	Edit topic

The hot key combination to register.

Pascal

property HotKey: TShortCut;

Description

HotKey is the hot key combination to register. The hot key can be changed even if the component is activated. The old key combination will be unregistered and the new combination registered.

Created with Doc-O-Matic.


See Also

TJvApplicationHotKey.Active, TJvApplicationHotKey.OnHotKey


TJvApplicationHotKey.OnHotKey event

TJvApplicationHotKey	See Also	Edit topic

Event triggered when the key combination is pressed.

Pascal

property OnHotKey: TNotifyEvent;

Description

Write an OnHotKey handler to take action when the HotKey key combination is pressed.

Created with Doc-O-Matic.


See Also

TJvApplicationHotKey.Active, TJvApplicationHotKey.HotKey


TJvApplicationHotKey.OnHotKeyRegisterFailed event

TJvApplicationHotKey	Edit topic

Occurs when the registration of a hot key combination failed.

Pascal

TJvHotKeyRegisterFailed = procedure (Sender: TObject; var HotKey: TShortCut) of object;
property OnHotKeyRegisterFailed: TJvHotKeyRegisterFailed;

Parameters

HotKey

Specifies a new hot key combination.

Sender

The object that triggered the event.

Description

Write an OnHotKeyRegisterFailed event handler to respond when the registration of a hot key combination failed. The registration fails if the keystrokes specified for the hot key have already been registered by another application.

Change the HotKey parameter to a new combination to try to register this new combination. By not changing HotKey you cancel the registration attempt for this hot key.

Created with Doc-O-Matic.


TJvApplicationHotKey.DoHotKey method

TJvApplicationHotKey	See Also	Edit topic

Generates the OnHotKey event.

Pascal

procedure DoHotKey; virtual;

Description

DoHotKey is called when the registered key combination is pressed. DoHotKey will generate the OnHotKey event if a handler is assigned.

Created with Doc-O-Matic.


See Also

TJvApplicationHotKey.OnHotKey


TJvAppRegistryStorage
JEDI-VCL Reference

 TJvAppRegistryStorage

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Registry based application data storage.

Pascal

TJvAppRegistryStorage = class(TJvCustomAppStorage);

File

JvAppRegistryStorage

Description

TJvAppRegistryStorage is a data storage backend that stores the data in the registry.

As a descendant of TJvCustomAppStorage, it provides in the standard interface for storing data (such as settings, form positions and sizes, etc). This data will be stored in the registry.

The component publishes the Root property and introduces a new property RegRoot to specify which registry root key should be used (HKEY_CURRENT_USER, HKEY_LOCAL_MACHINE, etc).

All the abstract access methods are implemented.

Created with Doc-O-Matic.


TJvAppRegistryStorage Properties

TJvAppRegistryStorage	Legend

Properties

 FlushOnDestroy

 ReadOnly

 RegRoot

 Root

 SubStorages

 UseOldDefaultRoot

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvAppRegistryStorage Events

TJvAppRegistryStorage	Legend

Events

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAppRegistryStorage Methods

TJvAppRegistryStorage	Legend

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvAppRegistryStorage

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvAppRegistryStorage


TJvAppRegistryStorage Members

TJvAppRegistryStorage	Legend

Members

Properties

 FlushOnDestroy

 ReadOnly

 RegRoot

 Root

 SubStorages

 UseOldDefaultRoot

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

Core


TJvAppRegistryStorage.FlushOnDestroy property

TJvAppRegistryStorage	Edit topic

Not documented

Pascal

property FlushOnDestroy: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppRegistryStorage.ReadOnly property

TJvAppRegistryStorage	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

Defines if the Storage-Component is readonly or not. If Readonly is true all Calls to an Write*-Procedure will be ignored. The property is calculated by a combination of setting the property ReadOnly and Result of the function GetPhysicalReadOnly

Created with Doc-O-Matic.


TJvAppRegistryStorage.RegRoot property

TJvAppRegistryStorage	Edit topic

Specifies the registry root HKEY to use.

Pascal

property RegRoot: TJvRegKey;

Description

RegRoot specifies the registry root HKEY to use. It defaults to HKEY_CURRENT_USER.

Created with Doc-O-Matic.


TJvAppRegistryStorage.Root property

TJvAppRegistryStorage	See Also	Edit topic

Specifies absolute root.

Pascal

property Root: string;

Description

Root specifies the absolute root for the storage. It's primarily used for storages that are not application specific (like the registry) to determine the exact path under which all other values and folders will be located.

In contrast to the Path property, none of the methods are allowed to specify levels above this path, nor any siblings of this path.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.Path


TJvAppRegistryStorage.SubStorages property

TJvAppRegistryStorage	Edit topic

Not documented

Pascal

property SubStorages: TJvAppSubStorages;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppRegistryStorage.UseOldDefaultRoot property

TJvAppRegistryStorage	Edit topic

Not documented

Pascal

property UseOldDefaultRoot: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorage
JEDI-VCL Reference

 TJvAppStorage

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Storage Component without own storage mechanism.

Pascal

TJvAppStorage = class(TJvCustomAppStorage);

File

JvAppStorage

Description

Storage Component without own storage mechanism. The component can only be used with substorages.

Created with Doc-O-Matic.


TJvAppStorage Properties

TJvAppStorage	Legend

Properties

 FlushOnDestroy

 ReadOnly

 SubStorages

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvAppStorage Events

TJvAppStorage	Legend

Events

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAppStorage Methods

TJvAppStorage	Legend

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvAppStorage

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvAppStorage


TJvAppStorage Members

TJvAppStorage	Legend

Members

Properties

 FlushOnDestroy

 ReadOnly

 SubStorages

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Core


TJvAppStorage.FlushOnDestroy property

TJvAppStorage	Edit topic

Not documented

Pascal

property FlushOnDestroy: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorage.ReadOnly property

TJvAppStorage	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

Defines if the Storage-Component is readonly or not. If Readonly is true all Calls to an Write*-Procedure will be ignored. The property is calculated by a combination of setting the property ReadOnly and Result of the function GetPhysicalReadOnly

Created with Doc-O-Matic.


TJvAppStorage.SubStorages property

TJvAppStorage	Edit topic

Not documented

Pascal

property SubStorages: TJvAppSubStorages;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions
JEDI-VCL Reference

TJvAppStorageOptions

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvAppStorageOptions = class(TJvCustomAppStorageOptions);

File

JvAppStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions Properties

TJvAppStorageOptions	Legend

Properties

 BooleanAsString

 BooleanStringFalseValues

 BooleanStringTrueValues

 DateTimeAsString

 DefaultIfReadConvertError

 DefaultIfValueNotExists

 EnumerationAsString

 FloatAsString

 SetAsString

 TypedIntegerAsString

TJvCustomAppStorageOptions

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAppStorageOptions Methods

TJvAppStorageOptions	Legend

Methods

TJvCustomAppStorageOptions

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvAppStorageOptions

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomAppStorageOptions
        TJvAppStorageOptions


TJvAppStorageOptions Members

TJvAppStorageOptions	Legend

Members

Properties

 BooleanAsString

 BooleanStringFalseValues

 BooleanStringTrueValues

 DateTimeAsString

 DefaultIfReadConvertError

 DefaultIfValueNotExists

 EnumerationAsString

 FloatAsString

 SetAsString

 TypedIntegerAsString

TJvCustomAppStorageOptions

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Methods

TJvCustomAppStorageOptions

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


TJvAppStorageOptions.BooleanAsString property

TJvAppStorageOptions	Edit topic

Not documented

Pascal

property BooleanAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions.BooleanStringFalseValues property

TJvAppStorageOptions	Edit topic

Not documented

Pascal

property BooleanStringFalseValues: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions.BooleanStringTrueValues property

TJvAppStorageOptions	Edit topic

Not documented

Pascal

property BooleanStringTrueValues: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions.DateTimeAsString property

TJvAppStorageOptions	See Also	Edit topic

Specifies whether to store a datetime value as string.

Pascal

property DateTimeAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.WriteDateTime


TJvAppStorageOptions.DefaultIfReadConvertError property

TJvAppStorageOptions	Edit topic

Not documented

Pascal

property DefaultIfReadConvertError: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions.DefaultIfValueNotExists property

TJvAppStorageOptions	Edit topic

Not documented

Pascal

property DefaultIfValueNotExists: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions.EnumerationAsString property

TJvAppStorageOptions	See Also	Edit topic

Specifies whether to store a enumeration as string.

Pascal

property EnumerationAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadEnumeration, TJvCustomAppStorage.WriteEnumeration


TJvAppStorageOptions.FloatAsString property

TJvAppStorageOptions	See Also	Edit topic

Specifies whether to store a float as string.

Pascal

property FloatAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.WriteFloat


TJvAppStorageOptions.SetAsString property

TJvAppStorageOptions	Edit topic

Specifies whether to store a set as string.

Pascal

property SetAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStorageOptions.TypedIntegerAsString property

TJvAppStorageOptions	Edit topic

Not documented

Pascal

property TypedIntegerAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStoragePropertyBaseEngine
JEDI-VCL Reference

TJvAppStoragePropertyBaseEngine

Hierarchy	Methods	 Edit topic

Not documented

Pascal

TJvAppStoragePropertyBaseEngine = class(TObject);

File

JvAppStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStoragePropertyBaseEngine Methods

TJvAppStoragePropertyBaseEngine	Legend

Methods

 ReadProperty

 Supports

 WriteProperty

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvAppStoragePropertyBaseEngine

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvAppStoragePropertyBaseEngine


TJvAppStoragePropertyBaseEngine Members

TJvAppStoragePropertyBaseEngine	Legend

Members

Methods

 ReadProperty

 Supports

 WriteProperty

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvAppStoragePropertyBaseEngine.ReadProperty method

TJvAppStoragePropertyBaseEngine	Edit topic

Not documented

Pascal

procedure ReadProperty(AStorage: TJvCustomAppStorage; const APath: string; AObject: TObject; AProperty: TObject; const Recursive: Boolean; const ClearFirst: Boolean); virtual;

Parameters

AStorage: TJvCustomAppStorage

Not documented

const APath: string

Not documented

AObject: TObject

Not documented

AProperty: TObject

Not documented

const Recursive: Boolean

Not documented

const ClearFirst: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStoragePropertyBaseEngine.Supports method

TJvAppStoragePropertyBaseEngine	Edit topic

Not documented

Pascal

function Supports(AObject: TObject; AProperty: TObject): Boolean; virtual;

Parameters

AObject: TObject

Not documented

AProperty: TObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppStoragePropertyBaseEngine.WriteProperty method

TJvAppStoragePropertyBaseEngine	See Also	Edit topic

Stores a property.

Pascal

procedure WriteProperty(AStorage: TJvCustomAppStorage; const APath: string; AObject: TObject; AProperty: TObject; const Recursive: Boolean); virtual;

Parameters

AStorage: TJvCustomAppStorage

Not documented

const APath: string

Not documented

AObject: TObject

Not documented

AProperty: TObject

Not documented

const Recursive: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

ReadProperty


TJvAppSubStorage
JEDI-VCL Reference

TJvAppSubStorage

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvAppSubStorage = class(TCollectionItem);

File

JvAppStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorage Properties

TJvAppSubStorage	Legend

Properties

 AppStorage

 OwnerStore

 RootPath

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvAppSubStorage

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvAppSubStorage


TJvAppSubStorage Members

TJvAppSubStorage	Legend

Members

Properties

 AppStorage

 OwnerStore

 RootPath

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvAppSubStorage.AppStorage property

TJvAppSubStorage	Edit topic

Not documented

Pascal

property AppStorage: TJvCustomAppStorage;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorage.OwnerStore property

TJvAppSubStorage	Edit topic

Not documented

Pascal

property OwnerStore: TJvCustomAppStorage;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorage.RootPath property

TJvAppSubStorage	Edit topic

Not documented

Pascal

property RootPath: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorages
JEDI-VCL Reference

TJvAppSubStorages

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvAppSubStorages = class(TOwnedCollection);

File

JvAppStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorages Properties

TJvAppSubStorages	Legend

Properties

Items

 RootStorage

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvAppSubStorages Methods

TJvAppSubStorages	Legend

Methods

Add

 CheckUniqueBase

Delete

 MatchFor

 RootOptionsChanged

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvAppSubStorages

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvAppSubStorages


TJvAppSubStorages Members

TJvAppSubStorages	Legend

Members

Properties

Items

 RootStorage

Methods

Add

 CheckUniqueBase

Delete

 MatchFor

 RootOptionsChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvAppSubStorages.Items property

TJvAppSubStorages	Edit topic

Not documented

Pascal

property Items [I: Integer]: TJvAppSubStorage;

Parameters

I

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorages.RootStorage property

TJvAppSubStorages	Edit topic

Not documented

Pascal

property RootStorage: TJvCustomAppStorage;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorages.Add method

TJvAppSubStorages	Edit topic

Not documented

Pascal

procedure Add(RootPath: string; AppStorage: TJvCustomAppStorage);

Parameters

RootPath: string

Not documented

AppStorage: TJvCustomAppStorage

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorages.CheckUniqueBase method

TJvAppSubStorages	Edit topic

Not documented

Pascal

function CheckUniqueBase(const APath: string; IgnoreIndex: Integer): Boolean;

Parameters

const APath: string

Not documented

IgnoreIndex: Integer

Not documented

Description

Check if the given root path is unique, optionally ignoring a specific sub storage (eg. when modifying the root path of a storage, that storage's RootPath is irrelevant in determining if the new name will be unique).

Created with Doc-O-Matic.


TJvAppSubStorages.Delete method (Integer)

TJvAppSubStorages	Edit topic

Not documented

Pascal

procedure Delete(Index: Integer); overload;
procedure Delete(RootPath: string; const IncludeSubPaths: Boolean = False); overload;
procedure Delete(AppStorage: TJvCustomAppStorage); overload;

Parameters

Index: Integer

Not documented

RootPath: string

Not documented

const IncludeSubPaths: Boolean = False

Not documented

AppStorage: TJvCustomAppStorage

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppSubStorages.MatchFor method

TJvAppSubStorages	Edit topic

Not documented

Pascal

function MatchFor(APath: string; IgnoreIndex: Integer = -1): TJvAppSubStorage;

Parameters

APath: string

Not documented

IgnoreIndex: Integer = -1

Not documented

Description

Retrieves the sub storage for the given root path, optionally ignoring a specific sub storage. The specified path is assumed to be at root level (regardless whether the paths starts with a backslash () or not) and leading and trailing backslashes are removed automatically. The last element in the path string is ignored to avoid returning a sub storage for the root path itself. To search for a sub store for a root path, simply add '*' at the end of the path.

Created with Doc-O-Matic.


TJvAppSubStorages.RootOptionsChanged method

TJvAppSubStorages	Edit topic

Not documented

Pascal

procedure RootOptionsChanged;

Description

Notify sub storages of a change in the options of the root storage. This allows sub storage to be kept in sync with the root storage.

Created with Doc-O-Matic.


TJvAppVersions
JEDI-VCL Reference

TJvAppVersions

Hierarchy	Properties	 Edit topic

Encapsulates various version information.

Pascal

TJvAppVersions = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

Encapsulates various version information. This is a read-only class.

Created with Doc-O-Matic.


TJvAppVersions Properties

TJvAppVersions	Legend

Properties

 ADO

 BDE

 DirectX

 InternetExplorer

 OpenGL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvAppVersions

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvAppVersions


TJvAppVersions Members

TJvAppVersions	Legend

Members

Properties

 ADO

 BDE

 DirectX

 InternetExplorer

 OpenGL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAppVersions.ADO property

TJvAppVersions	Edit topic

Provides information about the current ADO version.

Pascal

property ADO: string;

Description

Use ADO to access the version number of the currently installed ADO (Advanced Data Objects) version. If ADO is not installed, this property returns an empty string.

Created with Doc-O-Matic.


TJvAppVersions.BDE property

TJvAppVersions	Edit topic

Provides information about the current BDE version.

Pascal

property BDE: string;

Description

Use BDE to access the version number of the currently installed BDE (Borland Database Engine) version. If BDE is not installed, this property returns an empty string.

Created with Doc-O-Matic.


TJvAppVersions.DirectX property

TJvAppVersions	Edit topic

Provides information about the current DirectX version.

Pascal

property DirectX: string;

Description

Use DirectX to access the version number of the currently installed DirectX version. If DirectX is not installed (highly unlikely), this property returns an empty string.

Created with Doc-O-Matic.


TJvAppVersions.InternetExplorer property

TJvAppVersions	Edit topic

Provides information about the current Internet Explorer version.

Pascal

property InternetExplorer: string;

Description

Use InternetExplorer to access the version number of the currently installed Internet Explorer version. If InternetExplorer is not installed (highly unlikely), this property returns an empty string.

Created with Doc-O-Matic.


TJvAppVersions.OpenGL property

TJvAppVersions	Edit topic

Provides information about the current OpenGL version.

Pascal

property OpenGL: string;

Description

Use OpenGL to access the version number of the currently installed OpenGL (Graphic Library) version. If OpenGL is not installed, this property returns an empty string.

Created with Doc-O-Matic.


TJvAppXMLFileStorage
JEDI-VCL Reference

 TJvAppXMLFileStorage

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Storage component based on a XML file.

Pascal

TJvAppXMLFileStorage = class(TJvCustomAppXMLStorage);

File

JvAppXMLStorage

Description

TJvAppXMLFileStorage is a data storage backend that stores the data in an XML file.

As a descendant of TJvCustomAppXMLStorage it provides the standard interface for storing data (such as settings, form positions and sizes, etc) in a XML file format. This data will be stored in an actual file, represented in memory through the use of a TJvSimpleXML object.

Created with Doc-O-Matic.


TJvAppXMLFileStorage Properties

TJvAppXMLFileStorage	Legend

Properties

AsString

 AutoFlush

 AutoReload

 FileName

 FlushOnDestroy

 Location

 RootNodeName

 SubStorages

Xml

TJvCustomAppXMLStorage

 RootNodeName

 StorageOptions

 Xml

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvAppXMLFileStorage Events

TJvAppXMLFileStorage	Legend

Events

 OnDecodeValue

 OnEncodeValue

 OnGetFileName

TJvCustomAppXMLStorage

 OnDecodeValue

 OnEncodeValue

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvAppXMLFileStorage Methods

TJvAppXMLFileStorage	Legend

Methods

 Flush

 Reload

TJvCustomAppXMLStorage

 CreateAndSetNode

 GetAsString

 GetNodeFromPath

 GetRootNodeName

 SetAsString

 SetRootNodeName

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvAppXMLFileStorage Fields

TJvAppXMLFileStorage	Legend

Fields

TJvCustomAppXMLStorage

 FXml

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvAppXMLFileStorage

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvCustomAppMemoryFileStorage
                TJvCustomAppXMLStorage
                    TJvAppXMLFileStorage


TJvAppXMLFileStorage Members

TJvAppXMLFileStorage	Legend

Members

Properties

AsString

 AutoFlush

 AutoReload

 FileName

 FlushOnDestroy

 Location

 RootNodeName

 SubStorages

Xml

TJvCustomAppXMLStorage

 RootNodeName

 StorageOptions

 Xml

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

 OnDecodeValue

 OnEncodeValue

 OnGetFileName

TJvCustomAppXMLStorage

 OnDecodeValue

 OnEncodeValue

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

 Flush

 Reload

TJvCustomAppXMLStorage

 CreateAndSetNode

 GetAsString

 GetNodeFromPath

 GetRootNodeName

 SetAsString

 SetRootNodeName

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Fields

TJvCustomAppXMLStorage

 FXml

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

System


TJvAppXMLFileStorage.AsString property

TJvAppXMLFileStorage	Edit topic

Not documented

Pascal

property AsString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.AutoFlush property

TJvAppXMLFileStorage	See Also	Edit topic

Not documented

Pascal

property AutoFlush: Boolean;

Description

If set to True, the Flush method will be called whenever a modification has been made to the in memory file. If set to False, the disk file will only be updated when you call Flush or when the component is destroyed.

Created with Doc-O-Matic.


See Also

AutoReload, Flush


TJvAppXMLFileStorage.AutoReload property

TJvAppXMLFileStorage	See Also	Edit topic

Not documented

Pascal

property AutoReload: Boolean;

Description

If set to True, the Reload method will be called whenever an information is about to be read from the in memory file. If set to False, the disk file will only be read when you call Reload or when the FileName property is set.

Created with Doc-O-Matic.


See Also

AutoFlush, Reload


TJvAppXMLFileStorage.FileName property

TJvAppXMLFileStorage	Edit topic

The name of the file that the storage represents.

Pascal

property FileName: TFileName;

Description

Use FileName to get or set the name of the file that this storage represents. Note that Location is used to determine the path of the file. Read FullFileName to determine the actual name of the file.

When you set the value of FileName, the storage automatically loads (at runtime) the contents of that file.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.FlushOnDestroy property

TJvAppXMLFileStorage	Edit topic

Not documented

Pascal

property FlushOnDestroy: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.Location property

TJvAppXMLFileStorage	Edit topic

Root folder for storage file

Pascal

property Location: TFileLocation;

Description

The "root" folder within the storage file will be created.

Remember that members of the "User" group may not have write permissions to the Windows and Program Files folders. Windows Programming Guidelines require that "per user" application data have to be written to <document and settings>\<user>\<application data>\<company>\<application> , while "generic" data should be written to <document and settings>\<All users>\<application data>\<company>\<application>. Remember also that <document and settings> , <All users> and <application data> actual names are operating system language specific, therefore do not hard encode them but use operating system APIs or JCL functions to obtain actual names.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.OnDecodeValue event

TJvAppXMLFileStorage	Edit topic

Surfaces the OnDecodeValue event from the internal XML object

Pascal

property OnDecodeValue: TJvSimpleXMLEncodeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.OnEncodeValue event

TJvAppXMLFileStorage	Edit topic

Surfaces the OnEncodeValue event from the internal XML object

Pascal

property OnEncodeValue: TJvSimpleXMLEncodeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.OnGetFileName event

TJvAppXMLFileStorage	Edit topic

Not documented

Pascal

property OnGetFileName: TJvAppStorageGetFileNameEvent;

Parameters

Sender

Not documented

FileName

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.RootNodeName property

TJvAppXMLFileStorage	Edit topic

The name of the root node in the XML file

Pascal

property RootNodeName: string;

Description

If you try to set this value to an empty string, you will get an EPropertyError exception

Created with Doc-O-Matic.


TJvAppXMLFileStorage.SubStorages property

TJvAppXMLFileStorage	Edit topic

Not documented

Pascal

property SubStorages: TJvAppSubStorages;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.Xml property

TJvAppXMLFileStorage	Edit topic

The in memory XML file object

Pascal

property Xml: TJvSimpleXML;

Description

This is provided if you want to access directly the XML file object, for instance if you share it with other components. Be very careful not to break anything while doing so.

Created with Doc-O-Matic.


TJvAppXMLFileStorage.Flush method

TJvAppXMLFileStorage	See Also	Edit topic

Flushes the content of the in memory file into the file indicated by FileName.

Pascal

procedure Flush; override;

Description

Call Flush to explicitly flush the content of the in memory file into the file indicated by FileName.

Created with Doc-O-Matic.


See Also

FileName


TJvAppXMLFileStorage.Reload method

TJvAppXMLFileStorage	See Also	Edit topic

Reloads the data in memory file from the file indicated by FileName.

Pascal

procedure Reload; override;

Description

Call Reload to explicitly load the data in memory file from the file indicated by FileName.

Created with Doc-O-Matic.


See Also

Flush, FileName


TJvAppXMLStorageOptions
JEDI-VCL Reference

TJvAppXMLStorageOptions

Hierarchy	Properties	Methods	 Edit topic

This is the specialized options class for the XML based storages

Pascal

TJvAppXMLStorageOptions = class(TJvAppStorageOptions);

File

JvAppXMLStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLStorageOptions Properties

TJvAppXMLStorageOptions	Legend

Properties

 AutoEncodeEntity

 AutoEncodeValue

 AutoIndent

 InvalidCharReplacement

 WhiteSpaceReplacement

TJvAppStorageOptions

 BooleanAsString

 BooleanStringFalseValues

 BooleanStringTrueValues

 DateTimeAsString

 DefaultIfReadConvertError

 DefaultIfValueNotExists

 EnumerationAsString

 FloatAsString

 SetAsString

 TypedIntegerAsString

TJvCustomAppStorageOptions

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAppXMLStorageOptions Methods

TJvAppXMLStorageOptions	Legend

Methods

TJvCustomAppStorageOptions

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvAppXMLStorageOptions

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomAppStorageOptions
        TJvAppStorageOptions
            TJvAppXMLStorageOptions


TJvAppXMLStorageOptions Members

TJvAppXMLStorageOptions	Legend

Members

Properties

 AutoEncodeEntity

 AutoEncodeValue

 AutoIndent

 InvalidCharReplacement

 WhiteSpaceReplacement

TJvAppStorageOptions

 BooleanAsString

 BooleanStringFalseValues

 BooleanStringTrueValues

 DateTimeAsString

 DefaultIfReadConvertError

 DefaultIfValueNotExists

 EnumerationAsString

 FloatAsString

 SetAsString

 TypedIntegerAsString

TJvCustomAppStorageOptions

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Methods

TJvCustomAppStorageOptions

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


TJvAppXMLStorageOptions.AutoEncodeEntity property

TJvAppXMLStorageOptions	Edit topic

Indicates whether or not to automatically encode the entity names

Pascal

property AutoEncodeEntity: Boolean;

Description

If set to true, adds sxoAutoEncodeEntity to the options of the internal TJvSimpleXML object

Created with Doc-O-Matic.


TJvAppXMLStorageOptions.AutoEncodeValue property

TJvAppXMLStorageOptions	Edit topic

Indicates whether or not to automatically encode the values

Pascal

property AutoEncodeValue: Boolean;

Description

If set to true, adds sxoAutoEncodeValue to the options of the internal TJvSimpleXML object

Created with Doc-O-Matic.


TJvAppXMLStorageOptions.AutoIndent property

TJvAppXMLStorageOptions	Edit topic

Indicates whether or not to automatically indent the XML file

Pascal

property AutoIndent: Boolean;

Description

If set to true, adds sxoAutoIndent to the options of the internal TJvSimpleXML object

Created with Doc-O-Matic.


TJvAppXMLStorageOptions.InvalidCharReplacement property

TJvAppXMLStorageOptions	Edit topic

Not documented

Pascal

property InvalidCharReplacement: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvAppXMLStorageOptions.WhiteSpaceReplacement property

TJvAppXMLStorageOptions	Edit topic

Indicates the string to use as a replacement for whitespaces in node names

Pascal

property WhiteSpaceReplacement: string;

Description

The XML format does not allow whitespaces in node names. Should there be some in the names, then this value will be used to replace them. If it is empty, then an exception is triggered.

Created with Doc-O-Matic.


TJvArrowButton
JEDI-VCL Reference

 TJvArrowButton

Hierarchy	Properties	Events	Package	 Edit topic

Office style button with arrow. Separated click events for button and arrow.

Pascal

TJvArrowButton = class(TJvGraphicControl);

File

JvArrowButton

Description

The TJvArrowButton control implements a button with a drop down arrow, like the buttons used in MicroSoft® Office®. The control has separate click events for the button and the arrow.

Created with Doc-O-Matic.


TJvArrowButton Properties

TJvArrowButton	Legend

Properties

 AllowAllUp

 ArrowWidth

 Down

 DropDown

 FillFont

 Flat

 Glyph

 GroupIndex

 Layout

 Margin

 NumGlyphs

 PressBoth

 Spacing

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvArrowButton Events

TJvArrowButton	Legend

Events

 OnDrop

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvArrowButton

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvArrowButton


TJvArrowButton Members

TJvArrowButton	Legend

Members

Properties

 AllowAllUp

 ArrowWidth

 Down

 DropDown

 FillFont

 Flat

 Glyph

 GroupIndex

 Layout

 Margin

 NumGlyphs

 PressBoth

 Spacing

Events

 OnDrop

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Ctrls


TJvArrowButton.AllowAllUp property

TJvArrowButton	See Also	Edit topic

Flags if all buttons in a group can be up (depressed).

Pascal

property AllowAllUp: Boolean;

Description

AllowAllUp indicates whether or not buttons in the same group all can have the up or depressed state. When set to True, all buttons may be in the up state, otherwise at least one button in a group must be pressed.

Created with Doc-O-Matic.


See Also

TJvArrowButton.Down, TJvArrowButton.GroupIndex


TJvArrowButton.ArrowWidth property

TJvArrowButton	Edit topic

Width of the arrow segment.

Pascal

property ArrowWidth: Integer;

Description

ArrowWidth indicates the width of the arrow segment of the button.

Created with Doc-O-Matic.


TJvArrowButton.Down property

TJvArrowButton	See Also	Edit topic

Indicates if the button is down.

Pascal

property Down: Boolean;

Description

Down indicates whether or not the button is pressed or in its down state. Setting this property to True will set the Down state of all other buttons with the same GroupIndex to False. If AllowAllUp = False, you can not set Down to False.

Created with Doc-O-Matic.


See Also

TJvArrowButton.AllowAllUp, TJvArrowButton.GroupIndex


TJvArrowButton.DropDown property

TJvArrowButton	See Also	Edit topic

Reference to the popup menu associated with the arrow.

Pascal

property DropDown: TPopupMenu;

Description

DropDown is a reference to the popup menu to be dropped down when the arrow is clicked. You are not required to provide a drop down menu. When the arrow is clicked the OnDrop event is generated which allows you to perform a different task.

Created with Doc-O-Matic.


See Also

TJvArrowButton.OnDrop


TJvArrowButton.FillFont property

TJvArrowButton	Edit topic

Font used when the mouse is over the control.

Pascal

property FillFont: TFont;

Description

FillFont is the font used to render the caption is while the mouse is over the control.

Created with Doc-O-Matic.


TJvArrowButton.Flat property

TJvArrowButton	Edit topic

Indicates if the button should have flat style.

Pascal

property Flat: Boolean;

Description

Flat indicates if the button should be rendered in a flat style, much like the Flat property of a TSpeedButton.

Created with Doc-O-Matic.


TJvArrowButton.Glyph property

TJvArrowButton	See Also	Edit topic

The image to show on the button.

Pascal

property Glyph: TBitmap;

Description

Glyph can be set to a bitmap object containing the image to show on the button. The bitmap can contain up to 4 images following the same rules as TSpeedButton.Glyph.

Created with Doc-O-Matic.


See Also

TJvArrowButton.NumGlyphs


TJvArrowButton.GroupIndex property

TJvArrowButton	See Also	Edit topic

Index of the group this button belongs to.

Pascal

property GroupIndex: Integer;

Description

GroupIndex holds the index of the group this button is part of. This can be used to simulate radio buttons using a group of arrow buttons.

When the group index of buttons are equal and set to a value <> 0, only 1 button of that group is allowed to be left in the down state. Clicking on another button will set that button to the down state and release any other button that might be in the down state.

Created with Doc-O-Matic.


See Also

TJvArrowButton.AllowAllUp


TJvArrowButton.Layout property

TJvArrowButton	Edit topic

Specifies the location of the image and caption.

Pascal

property Layout: TButtonLayout;

Description

Layout specifies where the image and caption are rendered on the button. See TSpeedButton.Layout for more information.

Created with Doc-O-Matic.


TJvArrowButton.Margin property

TJvArrowButton	Edit topic

Space between the border and the image/caption.

Pascal

property Margin: Integer;

Description

Margin specifies the number of pixels between the button edge and the image or caption. Margin works exactly like TSpeedButton.Margin.

Created with Doc-O-Matic.


TJvArrowButton.NumGlyphs property

TJvArrowButton	See Also	Edit topic

The number of images in the Glyph property.

Pascal

property NumGlyphs: TNumGlyphs;

Description

NumGlyphs indicate the number of images the Glyph property holds. NumGlyphs works just like TSpeedButton.NumGlyphs.

Created with Doc-O-Matic.


See Also

TJvArrowButton.Glyph


TJvArrowButton.OnDrop event

TJvArrowButton	See Also	Edit topic

Occurs when the user clicks the arrow.

Pascal

property OnDrop: TNotifyEvent;

Description

Write an OnDrop event to perform special tasks when the user presses the arrow of the button. If a DropDown menu is assigned, it will be displayed, regardless if an OnDrop handler is assigned.

Created with Doc-O-Matic.


See Also

TJvArrowButton.DropDown


TJvArrowButton.PressBoth property

TJvArrowButton	Edit topic

Specifies if both the button and the arrow should be pressed simultaneously.

Pascal

property PressBoth: Boolean;

Description

PressBoth indicates whether or not both the button as well as the arrow should be pressed when one of the two is clicked. By default this property is set to True.

Created with Doc-O-Matic.


TJvArrowButton.Spacing property

TJvArrowButton	Edit topic

Indicates the position of the image and the caption.

Pascal

property Spacing: Integer;

Description

Spacing specifies the number of pixels between the caption and the image. It works exactly like TSpeedButton.Spacing.

Created with Doc-O-Matic.


TJvAudioFormat
JEDI-VCL Reference

TJvAudioFormat

Hierarchy	Properties	Methods	 Edit topic

This class describes the Audio Format used in the video stream.

Pascal

TJvAudioFormat = class(TPersistent);

File

JvAVICapture

Description

Read the values to know what audio format is used, set the values to choose the audio format you want to use. When setting values, ensure they are correct and then call Apply. If some values are not correct for your configuration, Apply will return false.

Created with Doc-O-Matic.


TJvAudioFormat Properties

TJvAudioFormat	Legend

Properties

 AvgBytesPerSec

 BitsPerSample

 BlockAlign

 Channels

Extra

ExtraSize

 FormatTag

 SamplesPerSec

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAudioFormat Methods

TJvAudioFormat

Methods

Apply

FillWaveFormatEx

Update

Created with Doc-O-Matic.


Legend

TJvAudioFormat

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvAudioFormat


TJvAudioFormat Members

TJvAudioFormat	Legend

Members

Properties

 AvgBytesPerSec

 BitsPerSample

 BlockAlign

 Channels

Extra

ExtraSize

 FormatTag

 SamplesPerSec

Methods

Apply

FillWaveFormatEx

Update

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAudioFormat.AvgBytesPerSec property

TJvAudioFormat	See Also	Edit topic

The average number of bytes per second in the audio stream.

Pascal

property AvgBytesPerSec: Cardinal;

Description

This value must be calculated according to the provider of the audio format you want to use and that you indicated by setting the value of FormatTag. Please note that if FormatTag is equal to WAVE_FORMAT_PCM, the value of AvgBytesPerSec will be ignored and will be computed according to the recommendation for this format:

     AvgBytesPerSec := SamplesPerSec * ((Channels * BitsPerSample) div 8)

Created with Doc-O-Matic.


See Also

TJvAudioFormat.BitsPerSample, TJvAudioFormat.Channels, TJvAudioFormat.FillWaveFormatEx, TJvAudioFormat.FormatTag, TJvAudioFormat.SamplesPerSec


TJvAudioFormat.BitsPerSample property

TJvAudioFormat	See Also	Edit topic

The number of bits per sample in the audio format.

Pascal

property BitsPerSample: Cardinal;

Description

If FormatTag is set to WAVE_FORMAT_PCM, this value must be either 8 or 16.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.FillWaveFormatEx, TJvAudioFormat.FormatTag


TJvAudioFormat.BlockAlign property

TJvAudioFormat	See Also	Edit topic

Block alignment in Bytes.

Pascal

property BlockAlign: Cardinal;

Description

This value depends on the value of FormatTag. If it is equal to WAVE_FORMAT_PCM, then the value of BlockAlign will be ignored and computed according to.

     BlockAlign := (Channels * BitsPerSample) div 8

Created with Doc-O-Matic.


See Also

TJvAudioFormat.BitsPerSample, TJvAudioFormat.Channels, TJvAudioFormat.FillWaveFormatEx, TJvAudioFormat.FormatTag


TJvAudioFormat.Channels property

TJvAudioFormat	See Also	Edit topic

Number of channels in the audio stream.

Pascal

property Channels: Cardinal;

Description

1 for mono, 2 for stereo.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.FillWaveFormatEx, TJvAudioFormat.FormatTag


TJvAudioFormat.Extra property

TJvAudioFormat	See Also	Edit topic

Some extra data required by the format indicated by FormatTag.

Pascal

property Extra: Pointer;

Description

If FormatTag is equal to WAVE_FORMAT_PCM, then the value of Extra is ignored. Please refer to the provider of the audio format you want to use for information on the data to put in this buffer.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.FillWaveFormatEx, TJvAudioFormat.FormatTag


TJvAudioFormat.ExtraSize property

TJvAudioFormat	See Also	Edit topic

Size of the Extra buffer in bytes.

Pascal

property ExtraSize: Cardinal;

Description

Size of the Extra buffer in bytes.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.Extra, TJvAudioFormat.FillWaveFormatEx


TJvAudioFormat.FormatTag property

TJvAudioFormat	See Also	Edit topic

The tag identifying the audio format used.

Pascal

property FormatTag: Cardinal;

Description

This value identifies the audio format used. If set to WAVE_FORMAT_PCM it will provoke a different behavior in FillWaveFormatEx.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.FillWaveFormatEx


TJvAudioFormat.SamplesPerSec property

TJvAudioFormat	See Also	Edit topic

Number of samples per second in the audio stream.

Pascal

property SamplesPerSec: Cardinal;

Description

If FormatTag is set to WAVE_FORMAT_PCM, then usual values for SamplesPerSec are 8000, 11025, 22050, 44100 as they specify the frequency in Hertz at which the sampling will be done.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.FillWaveFormatEx, TJvAudioFormat.FormatTag


TJvAudioFormat.Apply method

TJvAudioFormat	Edit topic

Tries to apply the values in the properties of the audio format object to the video stream to which this audio format is linked to.

Pascal

function Apply: Boolean;

Return Value

True if the values were correct and successfully applied, false otherwise.

Description

When you make modifications to the values of the properties, you must call this function or your changes will be ignored when you start grabbing. The most common and simple audio format to use is WAVE_FORMAT_PCM as it is always available on all machines but it doesn't provide any compression.

Created with Doc-O-Matic.


TJvAudioFormat.FillWaveFormatEx method

TJvAudioFormat	See Also	Edit topic

Fills a WAVEFORMATEX structure with the informations contained in the properties.

Pascal

procedure FillWaveFormatEx(var wfex: PWaveFormatEx);

Parameters

var wfex: PWaveFormatEx

The WAVEFORMATEX structure to be filled.

Description

The WAVEFORMATEX structure will be filled with the required informations from the properties of the TJvAudioFormat object. If the FormatTag is WAVE_FORMAT_PCM, the values will be set to comply with the recommendations for this format. If set to another value, the properties will be copied straight into the structure without any check.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.FormatTag


TJvAudioFormat.Update method

TJvAudioFormat	See Also	Edit topic

Updates the content of the object from the TJvAVICapture it is linked to.

Pascal

procedure Update;

Description

Updates the content of the object from the TJvAVICapture it is linked to.

Created with Doc-O-Matic.


See Also

TJvAVICapture


TJvAVICapture
JEDI-VCL Reference

 TJvAVICapture

Hierarchy	Properties	Methods	Events	Package	 Edit topic

An encapsulation of the AVICap API allowing to capture live video.

Pascal

TJvAVICapture = class(TWinControl);

File

JvAVICapture

Description

The TJvAVICapture component can be dropped on any form or frame and will display the video stream captured by a video device installed under Windows. You can perform live previews, record movies (and save them to avi files) or even capture single frames. A direct access is provided to the frames so that you can process them if you want.

Created with Doc-O-Matic.


TJvAVICapture Properties

TJvAVICapture	Legend

Properties

 AudioFormat

 CaptureSettings

 CaptureStatus

Capturing

 Connected

 DriverCaps

 DriverIndex

 DriverName

 Drivers

 DriverVersion

 FileName

 FileSizeAlloc

 Handle

 MCIDevice

 NoFile

 OnFrame

 Overlaying

 Palette

 PreviewFPS

 PreviewFrameDelay

 Previewing

 ScrollPos

SingleFrameCapturing

 Title

 UsedEvents

 VideoFormat

 VideoLeft

 VideoTop

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvAVICapture Events

TJvAVICapture	Legend

Events

 OnCapControl

 OnError

 OnStatus

 OnVideoStream

 OnWaveStream

 OnYield

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvAVICapture Methods

TJvAVICapture

Methods

AbortCapture

ApplyAudioFormat

ApplyCaptureSettings

CaptureFrame

Connect

CopyToClipboard

Disconnect

EnumDrivers

GrabFrame

SaveAs

SaveDIB

SetInfoChunk

ShowDialog

StartCapture

StartCaptureNoFile

StartOverlay

StartPreview

StartSingleFrameCapture

StopCapture

StopOverlay

StopPreview

StopSingleFrameCapture

Created with Doc-O-Matic.


Legend

TJvAVICapture

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TWinControl
    TJvAVICapture


TJvAVICapture Members

TJvAVICapture	Legend

Members

Properties

 AudioFormat

 CaptureSettings

 CaptureStatus

Capturing

 Connected

 DriverCaps

 DriverIndex

 DriverName

 Drivers

 DriverVersion

 FileName

 FileSizeAlloc

 Handle

 MCIDevice

 NoFile

 OnFrame

 Overlaying

 Palette

 PreviewFPS

 PreviewFrameDelay

 Previewing

 ScrollPos

SingleFrameCapturing

 Title

 UsedEvents

 VideoFormat

 VideoLeft

 VideoTop

Events

 OnCapControl

 OnError

 OnStatus

 OnVideoStream

 OnWaveStream

 OnYield

Methods

AbortCapture

ApplyAudioFormat

ApplyCaptureSettings

CaptureFrame

Connect

CopyToClipboard

Disconnect

EnumDrivers

GrabFrame

SaveAs

SaveDIB

SetInfoChunk

ShowDialog

StartCapture

StartCaptureNoFile

StartOverlay

StartPreview

StartSingleFrameCapture

StopCapture

StopOverlay

StopPreview

StopSingleFrameCapture

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

MM


TJvAVICapture.AudioFormat property

TJvAVICapture	See Also	Edit topic

Applies the audio format.

Pascal

property AudioFormat: TJvAudioFormat;

Description

Calls AudioFormat.Apply.

Created with Doc-O-Matic.


See Also

TJvAudioFormat.Apply


TJvAVICapture.CaptureSettings property

TJvAVICapture	See Also	Edit topic

The settings of the capture.

Pascal

property CaptureSettings: TJvCaptureSettings;

Description

This property contains the settings of the capture.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings


TJvAVICapture.CaptureStatus property

TJvAVICapture	See Also	Edit topic

Contains the status of the current capture.

Pascal

property CaptureStatus: TCAPSTATUS;

Description

Please refer to CAPSTATUS in the Win32 API for details.

Created with Doc-O-Matic.


See Also

TJvAVICapture.CaptureSettings, TJvAVICapture.Capturing


TJvAVICapture.Capturing property

TJvAVICapture	See Also	Edit topic

Indicates whether or not a capture is in progress.

Pascal

property Capturing: Boolean;

Description

True if a capture is in progress, false otherwise.

Created with Doc-O-Matic.


See Also

TJvAVICapture.CaptureSettings, TJvAVICapture.CaptureStatus


TJvAVICapture.Connected property

TJvAVICapture	See Also	Edit topic

Indicates whether the component is connected to a driver.

Pascal

property Connected: Boolean;

Description

True if connected, false otherwise.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Connect, TJvAVICapture.DriverIndex


TJvAVICapture.DriverCaps property

TJvAVICapture	See Also	Edit topic

The capabilities of the driver the component is connected to.

Pascal

property DriverCaps: TJvDriverCaps;

Description

Please refer to TJvDriverCaps for details.

Created with Doc-O-Matic.


See Also

TJvDriverCaps


TJvAVICapture.DriverIndex property

TJvAVICapture	See Also	Edit topic

The index of the driver to which the component is connected.

Pascal

property DriverIndex: TJvDriverIndex;

Description

Generally, there is only one driver on a given system. You then choose a different source depending on what you want to capture. Setting this value to -1 calls Disconnect. Setting this value to anything between 0 and 9 calls Connect with that Value.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Connect, TJvAVICapture.Connected, TJvAVICapture.Disconnect


TJvAVICapture.DriverName property

TJvAVICapture	See Also	Edit topic

The name of the driver the component is connected to.

Pascal

property DriverName: string;

Description

If the component is not connected to any driver, DriverName returns the value of NOT_CONNECTED (which is 'Not Connected' unless localized).

Created with Doc-O-Matic.


See Also

TJvAVICapture.Connected


TJvAVICapture.Drivers property

TJvAVICapture	See Also	Edit topic

Contains the list of valid drivers.

Pascal

property Drivers: TStrings;

Description

Use this list to know how many and which drivers are available on the system.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Connect, TJvAVICapture.Disconnect, TJvAVICapture.DriverIndex


TJvAVICapture.DriverVersion property

TJvAVICapture	See Also	Edit topic

Returns the driver version of the driver connected to the component.

Pascal

property DriverVersion: string;

Description

This is the string returned by the driver itself and may be empty.

Created with Doc-O-Matic.


See Also

TJvAVICapture.DriverName


TJvAVICapture.FileName property

TJvAVICapture	See Also	Edit topic

The name of the file to use for a capture into a file.

Pascal

property FileName: TFileName;

Description

This file will be created if it doesn't exists, it will be overwritten if it exists.

Created with Doc-O-Matic.


See Also

TJvAVICapture.FileSizeAlloc, TJvAVICapture.StartCapture, TJvAVICapture.StopCapture


TJvAVICapture.FileSizeAlloc property

TJvAVICapture	See Also	Edit topic

The minimum file size for a capture into a file.

Pascal

property FileSizeAlloc: Cardinal;

Description

An empty file of that size will be created when capture starts. This prevents the system from constantly reallocating space for the capture file and thus saves processing power. When the capture is finished, the filesize will be truncated to the extent at which the capture required it.

Created with Doc-O-Matic.


See Also

TJvAVICapture.FileName, TJvAVICapture.StartCapture, TJvAVICapture.StopCapture


TJvAVICapture.Handle property

TJvAVICapture	Edit topic

The handle of the underlying AVICap window.

Pascal

property Handle: HWND;

Description

Use this property if you want direct access to the underlying AVICap window.

Created with Doc-O-Matic.


TJvAVICapture.MCIDevice property

TJvAVICapture	Edit topic

The MCI device used with the component.

Pascal

property MCIDevice: string;

Description

This has not been tested.

Created with Doc-O-Matic.


TJvAVICapture.NoFile property

TJvAVICapture	See Also	Edit topic

Indicates if capture is done into a file or not.

Pascal

property NoFile: Boolean;

Description

If True, the capture will not be done into a file, simply into memory.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Capturing, TJvAVICapture.StartCapture, TJvAVICapture.StartCaptureNoFile


TJvAVICapture.OnCapControl event

TJvAVICapture	See Also	Edit topic

The event triggered when you want to use precise capture control.

Pascal

TOnCapControl = procedure (Sender: TJvAVICapture; nState: Integer; var Result: Boolean) of object;
property OnCapControl: TOnCapControl;

Parameters

Result

To be set to true if capture must continue, false if it must stop.

nState

The state in which the capture is (refer to API for details).

Sender

The TJvAVICapture component triggering the event.

Description

Please refer to the WIN32 API for details on using the precise capture control. Will only be triggered if ueCapControl is in UsedEvents.

Created with Doc-O-Matic.


See Also

TJvAVICapture.UsedEvents


TJvAVICapture.OnError event

TJvAVICapture	See Also	Edit topic

The event triggered in case of an error.

Pascal

TOnError = procedure (Sender: TJvAVICapture; nErr: Integer; Str: string) of object;
property OnError: TOnError;

Parameters

Str

The string associated with this error.

nErr

The error number.

Sender

The TJvAVICapture component triggering the event.

Description

This event is called whenever the system encountered an error during a capture session This event will only be triggered if ueError is in UsedEvents.

Created with Doc-O-Matic.


See Also

TJvAVICapture.UsedEvents


TJvAVICapture.OnFrame property

TJvAVICapture	See Also	Edit topic

The event triggered when a frame is ready, in a non streaming capture session.

Pascal

TOnFrame = TOnVideoStream;
property OnFrame: TOnFrame;

Parameters

videoHdr

A PJvVideoHdr structure containing informations about the frame.

Sender

The TJvAVICapture component triggering the event.

Description

A non streaming capture session is generally a frame by frame capture session. This event will only be triggered if ueFrame is in UsedEvents.

Created with Doc-O-Matic.


See Also

TJvAVICapture.UsedEvents


TJvAVICapture.OnStatus event

TJvAVICapture	See Also	Edit topic

The event triggered in case of a status change.

Pascal

TOnStatus = procedure (Sender: TJvAVICapture; nId: Integer; Str: string) of object;
property OnStatus: TOnStatus;

Parameters

Str

The string associated with that status change.

nId

The id of the status change (see win32 API for more details).

Sender

The TJvAVICapture component triggering the event.

Description

Use this event to follow the progress of a capture session. This event will only be triggered if ueStatus is in UsedEvents.

Created with Doc-O-Matic.


See Also

TJvAVICapture.UsedEvents


TJvAVICapture.OnVideoStream event

TJvAVICapture	See Also	Edit topic

The event triggered when a frame is ready, in a streaming capture session.

Pascal

TOnVideoStream = procedure (Sender: TJvAVICapture; videoHdr: PJvVideoHdr) of object;
property OnVideoStream: TOnVideoStream;

Parameters

videoHdr

A PJvVideoHdr structure containing informations about the frame.

Sender

The TJvAVICapture component triggering the event.

Description

This event is triggered just before the frame is written to disk. So if you make any changes to the frame in this event, they will be written to disk. This event will only be triggered if ueVideoStream is in UsedEvents.

Created with Doc-O-Matic.


See Also

TJvAVICapture.UsedEvents


TJvAVICapture.OnWaveStream event

TJvAVICapture	See Also	Edit topic

The event triggered when an audio buffer is ready, during streaming capture.

Pascal

TOnWaveStream = procedure (Sender: TJvAVICapture; waveHdr: PJvWaveHdr) of object;
property OnWaveStream: TOnWaveStream;

Parameters

waveHdr

The audio header describing the buffer.

Sender

The TJvAVICapture component triggering the event.

Description

This event is triggered just before the buffer is written do disk, leaving you the opportunity to modify it if needed. This event will only be triggered if ueAudioStream is in UsedEvents.

Created with Doc-O-Matic.


See Also

TJvAVICapture.UsedEvents


TJvAVICapture.OnYield event

TJvAVICapture	See Also	Edit topic

The event triggered when the driver is yielding.

Pascal

TOnYield = procedure (Sender: TJvAVICapture) of object;
property OnYield: TOnYield;

Parameters

Sender

The TJvAVICapture component triggering the event.

Description

This a good place to put a call to Application.ProcessMessages even if you must ensure that this call doesn't take too long as the capture is suspended until the end of this event. This event will only be triggered if ueYield is in UsedEvents.

Created with Doc-O-Matic.


See Also

TJvAVICapture.UsedEvents


TJvAVICapture.Overlaying property

TJvAVICapture	See Also	Edit topic

Specifies whether to use overlay display.

Pascal

property Overlaying: Boolean;

Description

True if using overlay display. This can only be set to True if the driver can do Overlay display. You can determine this by looking at DriverCaps for the dcOverlay value.

Created with Doc-O-Matic.


See Also

TJvAVICapture.DriverCaps, TJvAVICapture.Previewing


TJvAVICapture.Palette property

TJvAVICapture	See Also	Edit topic

The palette in use.

Pascal

property Palette: TJvPalette;

Description

Please refer to TJvPalette for details.

Created with Doc-O-Matic.


See Also

TJvPalette


TJvAVICapture.PreviewFPS property

TJvAVICapture	See Also	Edit topic

The requested number of Frames Per Second for a previewing session.

Pascal

property PreviewFPS: Double;

Description

Do not set this value too high, as the rendering during a previewing session is done using GDI calls, known to be highly CPU demanding.

Created with Doc-O-Matic.


See Also

TJvAVICapture.PreviewFrameDelay, TJvAVICapture.Previewing


TJvAVICapture.PreviewFrameDelay property

TJvAVICapture	See Also	Edit topic

The time between two preview frames in milliseconds.

Pascal

property PreviewFrameDelay: Cardinal;

Description

Do not set this value too low, as the rendering during a previewing session is done using GDI calls, known to be highly CPU demanding.

Created with Doc-O-Matic.


See Also

TJvAVICapture.PreviewFPS, TJvAVICapture.Previewing


TJvAVICapture.Previewing property

TJvAVICapture	See Also	Edit topic

Whether or not the component does live previewing.

Pascal

property Previewing: Boolean;

Description

True if previewing, false otherwise.

Created with Doc-O-Matic.


See Also

TJvAVICapture.PreviewFPS, TJvAVICapture.PreviewFrameDelay, TJvAVICapture.StartPreview, TJvAVICapture.StopPreview


TJvAVICapture.ScrollPos property

TJvAVICapture	See Also	Edit topic

The scrolling position of the video stream in the window.

Pascal

property ScrollPos: TJvScrollPos;

Description

You can set the position of the video in the AVICap window with this property. This only affects preview or overlay rendering.

Created with Doc-O-Matic.


See Also

TJvAVICapture.VideoLeft, TJvAVICapture.VideoTop


TJvAVICapture.SingleFrameCapturing property

TJvAVICapture	See Also	Edit topic

Whether or not the capture is done using the single frame method.

Pascal

property SingleFrameCapturing: Boolean;

Description

True if capturing using the single frame method.

Created with Doc-O-Matic.


See Also

TJvAVICapture.StartSingleFrameCapture


TJvAVICapture.Title property

TJvAVICapture	See Also	Edit topic

The title of the AVICap window.

Pascal

property Title: string;

Description

This is required upon creation of the underlying AVICap window and can be used to search this window using FindWindow.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Handle


TJvAVICapture.UsedEvents property

TJvAVICapture	See Also	Edit topic

The events to be used.

Pascal

property UsedEvents: TJvUsedEvents;

Description

All the events indicated in this value will be triggered.

Created with Doc-O-Matic.


See Also

TJvUsedEvents


TJvAVICapture.VideoFormat property

TJvAVICapture	See Also	Edit topic

The video format to use for the capture session.

Pascal

property VideoFormat: TJvVideoFormat;

Description

This is a read-only value as it can only be modified through the use of the dialogs.

Created with Doc-O-Matic.


See Also

TJvAVICapture.AudioFormat, ShowDialog


TJvAVICapture.VideoLeft property

TJvAVICapture	See Also	Edit topic

The left coordinate of the video in the AVICap window.

Pascal

property VideoLeft: Integer;

Description

This only affects preview or overlay rendering.

Created with Doc-O-Matic.


See Also

TJvAVICapture.ScrollPos, TJvAVICapture.VideoTop


TJvAVICapture.VideoTop property

TJvAVICapture	See Also	Edit topic

The top coordinate of the video in the AVICap window.

Pascal

property VideoTop: Integer;

Description

This only affects preview or overlay rendering.

Created with Doc-O-Matic.


See Also

TJvAVICapture.ScrollPos, TJvAVICapture.VideoLeft


TJvAVICapture.AbortCapture method

TJvAVICapture	See Also	Edit topic

Tries to abort the capture.

Pascal

function AbortCapture: Boolean;

Return Value

True if abortion was successful, false otherwise.

Description

Aborting the capture will leave the file unusable (if you captured to a file).

Created with Doc-O-Matic.


See Also

TJvAVICapture.StopCapture


TJvAVICapture.ApplyAudioFormat method

TJvAVICapture	Edit topic

Applies the audio format settings.

Pascal

function ApplyAudioFormat: Boolean;

Return Value

Returns true if successful, false otherwise.

Description

Call ApplyAudioFormat to apply the audio format settings.

Created with Doc-O-Matic.


TJvAVICapture.ApplyCaptureSettings method

TJvAVICapture	Edit topic

Applies the capture settings.

Pascal

function ApplyCaptureSettings: Boolean;

Return Value

Returns true if successful, false otherwise.

Description

Call ApplyCaptureSettings to apply the capture settings.

Created with Doc-O-Matic.


TJvAVICapture.CaptureFrame method

TJvAVICapture	See Also	Edit topic

Captures a frame in a frame by frame capture session.

Pascal

function CaptureFrame: Boolean;

Return Value

True if frame was captured successfully, false otherwise.

Description

Call this function to capture a frame after having started a frame by frame session.

Created with Doc-O-Matic.


See Also

TJvAVICapture.StartSingleFrameCapture, TJvAVICapture.StopSingleFrameCapture


TJvAVICapture.Connect method

TJvAVICapture	See Also	Edit topic

Tries to connect the component to the given driver.

Pascal

function Connect(Driver: TJvDriverIndex): Boolean;

Return Value

True if connection was successful, false otherwise.

Parameters

Driver: TJvDriverIndex

The index of the driver to connect to.

Description

Generally, there is only one driver on a given system. You then choose a different source depending on what you want to capture. If the given driver index is invalid, an EInvalidDriverIndexError exception is triggered.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Connected, TJvAVICapture.DriverIndex


TJvAVICapture.CopyToClipboard method

TJvAVICapture	Edit topic

Copies the latest frame in the clipboard.

Pascal

function CopyToClipboard: Boolean;

Return Value

True if copy was successful, false otherwise.

Description

The latest fully captured frame is copied into the clipboard, in the format of the video stream.

Created with Doc-O-Matic.


TJvAVICapture.Disconnect method

TJvAVICapture	See Also	Edit topic

Disconnects the component from the driver.

Pascal

function Disconnect: Boolean;

Return Value

True if disconnection was successful, false otherwise.

Description

Disconnects the component from the driver.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Connect, TJvAVICapture.Connected, TJvAVICapture.DriverIndex


TJvAVICapture.EnumDrivers method

TJvAVICapture	See Also	Edit topic

Enumerates the list of drivers and populates it in Drivers.

Pascal

procedure EnumDrivers;

Description

You shouldn't have to call this function unless you want to update the list of available drivers.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Drivers


TJvAVICapture.GrabFrame method

TJvAVICapture	See Also	Edit topic

Grabs one frame.

Pascal

function GrabFrame(Stop: Boolean): Boolean;

Return Value

True if the frame was grabbed successfully, false otherwise.

Parameters

Stop: Boolean

True will stop Previewing and Overlaying, false will not change them.

Description

The frame will be grabbed out of any capture session, just displayed in the component.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Overlaying, TJvAVICapture.Previewing


TJvAVICapture.SaveAs method

TJvAVICapture	Edit topic

Saves the stream under the given file name.

Pascal

function SaveAs(Name: string): Boolean;

Return Value

True if call was successful, false otherwise.

Parameters

Name: string

The name of the file to use.

Description

Tries to save the stream under the given file name.

Created with Doc-O-Matic.


TJvAVICapture.SaveDIB method

TJvAVICapture	Edit topic

Saves the latest captured frame to a DIB file.

Pascal

function SaveDIB(Name: string): Boolean;

Return Value

True if the frame was saved successfully, false otherwise.

Parameters

Name: string

The name of the file to use.

Description

The frame will be directly written into the DIB file.

Created with Doc-O-Matic.


TJvAVICapture.SetInfoChunk method

TJvAVICapture	Edit topic

Sets the given Information Chunk into the output file.

Pascal

function SetInfoChunk(const Chunk: TCAPINFOCHUNK): Boolean;

Return Value

True if the information chunk was set successfully

Parameters

const Chunk: TCAPINFOCHUNK

The information chunk to set.

Description

Please refer to the Win32 API for detail on information chunks.

Created with Doc-O-Matic.


TJvAVICapture.ShowDialog method

TJvAVICapture	See Also	Edit topic

Tries to show the given dialog.

Pascal

function ShowDialog(Dialog: TJvVideoDialog): Boolean;

Return Value

True if dialog was shown successfully and user pressed OK, false otherwise.

Parameters

Dialog: TJvVideoDialog

The dialog to show.

Description

Asks the system to show the given dialog for the currently selected driver.

Created with Doc-O-Matic.


See Also

TJvAVICapture.DriverCaps


TJvAVICapture.StartCapture method

TJvAVICapture	See Also	Edit topic

Starts the capture.

Pascal

function StartCapture: Boolean;

Return Value

True if the capture started successfully.

Description

Starts the capture to FileName with the given capture options.

Created with Doc-O-Matic.


See Also

TJvAVICapture.FileName, TJvAVICapture.StartCaptureNoFile, TJvAVICapture.StopCapture


TJvAVICapture.StartCaptureNoFile method

TJvAVICapture	See Also	Edit topic

Starts a capture without a file.

Pascal

function StartCaptureNoFile: Boolean;

Return Value

True if capture started successfully.

Description

You use this method of capture when you want to process all the frames yourself through the use of the events.

Created with Doc-O-Matic.


See Also

TJvAVICapture.StartCapture, TJvAVICapture.StopCapture


TJvAVICapture.StartOverlay method

TJvAVICapture	See Also	Edit topic

Starts overlay rendering.

Pascal

function StartOverlay: Boolean;

Return Value

True if the overlay rendering started successfully.

Description

If the driver supports it, this is the preferred method for doing live previewing.

Created with Doc-O-Matic.


See Also

TJvAVICapture.DriverCaps, TJvAVICapture.Overlaying, TJvAVICapture.Previewing, TJvAVICapture.StartPreview, TJvAVICapture.StopOverlay


TJvAVICapture.StartPreview method

TJvAVICapture	See Also	Edit topic

Starts live preview.

Pascal

function StartPreview: Boolean;

Return Value

True if live preview started successfully.

Description

Starts previewing the video stream using GDI calls. This is highly CPU intensive but is sure to work on any system. You should first try to use Overlaying and if that doesn't work, fallback to this method.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Overlaying, TJvAVICapture.Previewing, TJvAVICapture.StartOverlay, TJvAVICapture.StopOverlay, TJvAVICapture.StopPreview


TJvAVICapture.StartSingleFrameCapture method

TJvAVICapture	See Also	Edit topic

Starts a single frame capture session.

Pascal

function StartSingleFrameCapture: Boolean;

Return Value

True if the session started successfully.

Description

Call CaptureFrame any time you need a new frame.

Created with Doc-O-Matic.


See Also

TJvAVICapture.CaptureFrame, TJvAVICapture.SingleFrameCapturing


TJvAVICapture.StopCapture method

TJvAVICapture	See Also	Edit topic

Stops the capture session.

Pascal

function StopCapture: Boolean;

Return Value

True if the capture session could be stopped.

Description

This is the call to use after a call to StartCapture has been done.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Capturing, TJvAVICapture.StartCapture


TJvAVICapture.StopOverlay method

TJvAVICapture	See Also	Edit topic

Stops overlay previewing.

Pascal

function StopOverlay: Boolean;

Return Value

True if the previewing session could be stopped.

Description

Use this to stop an overlay previewing session started with StartOverlay.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Overlaying, TJvAVICapture.StartOverlay


TJvAVICapture.StopPreview method

TJvAVICapture	See Also	Edit topic

Stops the previewing session.

Pascal

function StopPreview: Boolean;

Return Value

True if the previewing session could be stopped.

Description

Use this to stop a previewing session started with StartPreview.

Created with Doc-O-Matic.


See Also

TJvAVICapture.Previewing, TJvAVICapture.StopOverlay


TJvAVICapture.StopSingleFrameCapture method

TJvAVICapture	See Also	Edit topic

Stops the single frame capture session.

Pascal

function StopSingleFrameCapture: Boolean;

Return Value

True if the capture session could be stopped.

Description

Use this to stop a single frame capture session started with StartSingleFrameCapture.

Created with Doc-O-Matic.


See Also

TJvAVICapture.SingleFrameCapturing, TJvAVICapture.StartSingleFrameCapture


TJvBalloonHint
JEDI-VCL Reference

 TJvBalloonHint

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Can replace the application hint window with a balloon shaped hint window, and can also display balloons attached to a specific control.

Pascal

TJvBalloonHint = class(TJvComponent);

File

JvBalloonHint

Description

Use TJvBalloonHint to

Replace the application hint window with a balloon shaped hint window.

Display balloons attached to a specific control.

Set UseBalloonAsApplicationHint to true to replace the application hint window with a balloon shaped hint window. Use the flags of ApplicationHintOptions to display a header or icon in the balloon hint, or to play a sound when a hint shows.

To display a balloon attached to a control, call ActivateHint. You can specify the header, message, icon that should be displayed in the balloon and the amount of time the balloon should be visible.

Alternatively, use ActivateHintPos or ActivateHintRect to display a balloon at a specific position on the desktop or form.

Created with Doc-O-Matic.


TJvBalloonHint Properties

TJvBalloonHint	Legend

Properties

 Active

 ApplicationHintOptions

 CustomAnimationStyle

 CustomAnimationTime

 DefaultBalloonPosition

 DefaultHeader

 DefaultIcon

 DefaultImageIndex

 Images

 MaxWidth

 Options

 UseBalloonAsApplicationHint

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvBalloonHint Events

TJvBalloonHint	Legend

Events

 OnBalloonClick

 OnClose

 OnCloseBtnClick

 OnDblClick

 OnMouseDown

 OnMouseMove

 OnMouseUp

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvBalloonHint Methods

TJvBalloonHint

Methods

ActivateHint

ActivateHintPos

ActivateHintRect

CancelHint

Created with Doc-O-Matic.


Legend

TJvBalloonHint

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBalloonHint


TJvBalloonHint Members

TJvBalloonHint	Legend

Members

Properties

 Active

 ApplicationHintOptions

 CustomAnimationStyle

 CustomAnimationTime

 DefaultBalloonPosition

 DefaultHeader

 DefaultIcon

 DefaultImageIndex

 Images

 MaxWidth

 Options

 UseBalloonAsApplicationHint

TJvComponent

 AboutJVCL

Events

 OnBalloonClick

 OnClose

 OnCloseBtnClick

 OnDblClick

 OnMouseDown

 OnMouseMove

 OnMouseUp

Methods

ActivateHint

ActivateHintPos

ActivateHintRect

CancelHint

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Package

Custom


TJvBalloonHint.Active property

TJvBalloonHint	Edit topic

Not documented

Pascal

property Active: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBalloonHint.ApplicationHintOptions property

TJvBalloonHint	See Also	Edit topic

Determines the appearance and behavior of balloon shaped application hint windows.

Pascal

property ApplicationHintOptions: TJvApplicationHintOptions;

Description

Use the ApplicationHintOptions property to customize the appearance and functionality of balloon shaped application hint windows. Use these flags to

Specify whether to use the default values as specified by DefaultHeader, DefaultIcon and DefaultImageIndex.

Specify whether to play a sound when a balloon shaped application hint window displays.

Notes

Set UseBalloonAsApplicationHint to true to replace the application hint window with a balloon shaped hint window.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.Options


TJvBalloonHint.CustomAnimationStyle property

TJvBalloonHint	See Also	Edit topic

Specifies the custom animation used when displaying balloon windows.

Pascal

property CustomAnimationStyle: TJvAnimationStyle;

Description

Use CustomAnimationStyle to produce special effects when showing a balloon window. There are four types of animation: roll, slide, expand, and alpha-blended fade.

Because the balloon windows have a drop shadow, using custom animation may produces visually distracting, jerky animations.

Notes

Custom animation is only available on Windows XP systems.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.CustomAnimationTime


TJvBalloonHint.CustomAnimationTime property

TJvBalloonHint	See Also	Edit topic

Specifies how long it takes to play the animation, in milliseconds.

Pascal

property CustomAnimationTime: Cardinal;

Description

Use CustomAnimationTime to specify how long it takes to play the animation, in milliseconds. Typically, an animation takes 200 milliseconds to play.

Notes

Custom animation is only available on Windows XP systems.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.CustomAnimationStyle


TJvBalloonHint.DefaultBalloonPosition property

TJvBalloonHint	Edit topic

Specifies the position of the balloon relatively to the stem.

Pascal

property DefaultBalloonPosition: TJvBalloonPosition;

Description

Use DefaultBalloonPosition to specify the desired position of the balloon relatively to the stem. The balloon position may be changed by the component, if the balloon doesn't fit on the screen.

Created with Doc-O-Matic.


TJvBalloonHint.DefaultHeader property

TJvBalloonHint	See Also	Edit topic

Specifies the default header.

Pascal

property DefaultHeader: string;

Description

Use DefaultHeader to specify a header for the balloon windows, that is used,

By application hint windows, if ahShowHeaderInHint is included in ApplicationHintOptions.

By balloons displayed by calling ActivateHint, if boUseDefaultHeader is included in Options.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.ApplicationHintOptions, TJvBalloonHint.Options


TJvBalloonHint.DefaultIcon property

TJvBalloonHint	See Also	Edit topic

Specifies the default icon kind.

Pascal

property DefaultIcon: TJvIconKind;

Description

Use DefaultIcon to specify an icon for the balloon windows, that is used,

By application hint windows, if ahShowIconInHint is included in ApplicationHintOptions.

By balloons displayed by calling ActivateHint, if boUseDefaultIcon is included in Options.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.ApplicationHintOptions, TJvBalloonHint.Options


TJvBalloonHint.DefaultImageIndex property

TJvBalloonHint	See Also	Edit topic

Specifies the default image index.

Pascal

property DefaultImageIndex: TImageIndex;

Description

Use DefaultImageIndex to specify an image for the balloon windows, that is used,

By application hint windows, if ahShowIconInHint is included in ApplicationHintOptions, and DefaultIcon is set to ikCustom.

By balloons displayed by calling ActivateHint, if boUseDefaultImageIndex is included in Options.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.ApplicationHintOptions, TJvBalloonHint.Options


TJvBalloonHint.Images property

TJvBalloonHint	See Also	Edit topic

Lists images available for displaying in balloon windows.

Pascal

property Images: TCustomImageList;

Description

Use Images to supply the list of images that can appear in balloon windows.

To display an image from Images in application hint windows:

Include ahShowIconInHint in ApplicationHintOptions.

Set DefaultIcon to ikCustom.

Set DefaultImageIndex to the index of the image to be displayed in the balloon hints.

To display an image from Images in balloons displayed by calling ActivateHint, either

Call ActivateHint with parameter AImageIndex set to the index of the image to be displayed in the balloon window.

or

Include boUseDefaultIcon and boUseDefaultImageIndex in Options.

Set DefaultIcon to ikCustom.

Set DefaultImageIndex to the index of the image to be displayed in the balloon hints.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.DefaultIcon, TJvBalloonHint.DefaultImageIndex, TJvBalloonHint.Options


TJvBalloonHint.MaxWidth property

TJvBalloonHint	Edit topic

Not documented

Pascal

property MaxWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBalloonHint.OnBalloonClick event

TJvBalloonHint	See Also	Edit topic

Occurs when the user clicks the balloon.

Pascal

property OnBalloonClick: TNotifyEvent;

Description

Use the OnBalloonClick to respond when the user clicks the balloon. Note that no OnBalloonClick is fired when the user clicks the close button on the balloon hint. Use the OnCloseBtnClick event handler to respond when the user clicks the close button.

Notes

This event does not occur for application hint windows, only for balloon hints launched with a call to ActivateHint, ActivateHintRect etc.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.OnCloseBtnClick, TJvBalloonHint.OnDblClick


TJvBalloonHint.OnClose event

TJvBalloonHint	See Also	Edit topic

Occurs when the balloon closes.

Pascal

property OnClose: TNotifyEvent;

Description

Use OnClose to perform special processing when the balloon closes.

Notes

This event does not occur for application hint windows, only for balloon hints launched with a call to ActivateHint, ActivateHintRect etc.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.OnCloseBtnClick


TJvBalloonHint.OnCloseBtnClick event

TJvBalloonHint	See Also	Edit topic

Occurs when close is attempted by clicking the close button.

Pascal

property OnCloseBtnClick: TCloseQueryEvent;

Description

Use OnCloseBtnClick to specify the conditions under which the balloon hint can close. An OnCloseBtnClick event handler returns a Boolean CanClose value that determines whether the hint is allowed to close. Its default value is true.

Include boShowCloseBtn in Options, otherwise no close button is shown.

Notes

This event does not occur for application hint windows, only for balloon hints launched with a call to ActivateHint, ActivateHintRect etc.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.OnBalloonClick, TJvBalloonHint.OnClose, TJvBalloonHint.Options


TJvBalloonHint.OnDblClick event

TJvBalloonHint	See Also	Edit topic

Occurs when the user double-clicks the balloon.

Pascal

property OnDblClick: TNotifyEvent;

Description

Use the OnDblClick to respond when the user double-clicks the balloon. Note that no OnDblClick is fired when the user clicks the close button on the balloon hint. Use the OnCloseBtnClick event handler to respond when the user clicks the close button.

Notes

This event does not occur for application hint windows, only for balloon hints launched with a call to ActivateHint, ActivateHintRect etc.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.OnBalloonClick, TJvBalloonHint.OnCloseBtnClick


TJvBalloonHint.OnMouseDown event

TJvBalloonHint	See Also	Edit topic

Occurs when the user presses a mouse button with the mouse pointer over a balloon hint.

Pascal

property OnMouseDown: TMouseEvent;

Description

Use the OnMouseDown event handler to implement any special processing that should occur as a result of pressing a mouse button.

The OnMouseDown event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the client area of the Sender.

Notes

This event does not occur for application hint windows, only for balloon hints launched with a call to ActivateHint, ActivateHintRect etc.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.OnBalloonClick, TJvBalloonHint.OnMouseUp


TJvBalloonHint.OnMouseMove event

TJvBalloonHint	See Also	Edit topic

Occurs when the user moves the mouse pointer while the mouse pointer is over a balloon hint.

Pascal

property OnMouseMove: TMouseMoveEvent;

Description

Use the OnMouseMove event handler to respond when the mouse pointer moves after the balloon hint has captured the mouse.

Use the Shift parameter of the OnMouseMove event handler, to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are pixel coordinates of the new location of the mouse pointer in the client area of the Sender.

Notes

This event does not occur for application hint windows, only for balloon hints launched with a call to ActivateHint, ActivateHintRect etc.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.OnMouseDown, TJvBalloonHint.OnMouseUp


TJvBalloonHint.OnMouseUp event

TJvBalloonHint	See Also	Edit topic

Occurs when the user releases a mouse button that was pressed with the mouse pointer over a balloon hint.

Pascal

property OnMouseUp: TMouseEvent;

Description

Use an OnMouseUp event handler to implement special processing when the user releases a mouse button.

The OnMouseUp event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the client area of the Sender.

Notes

This event does not occur for application hint windows, only for balloon hints launched with a call to ActivateHint, ActivateHintRect etc.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.OnBalloonClick, TJvBalloonHint.OnMouseDown


TJvBalloonHint.Options property

TJvBalloonHint	See Also	Edit topic

Determines the appearance and behavior of balloon windows displayed by calling ActivateHint, ActivateHintPos or ActivateHintRect.

Pascal

property Options: TJvBalloonOptions;

Description

Use the Options property to customize the appearance and functionality of balloon windows displayed by calling ActivateHint, ActivateHintPos or ActivateHintRect. Use these flags to

Specify whether to use the default values as specified by DefaultHeader, DefaultIcon and DefaultImageIndex.

Specify whether to play a sound and/or use custom special effect when a balloon window displays. Custom special effects are only available on windows XP systems: Note that because the balloon windows have a drop shadow, using custom animation may produces visually distracting, jerky animations.

Specify whether to show a close button in the balloon window.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.ApplicationHintOptions


TJvBalloonHint.UseBalloonAsApplicationHint property

TJvBalloonHint	See Also	Edit topic

Specifies whether to use the balloon window as standard hint window for the application.

Pascal

property UseBalloonAsApplicationHint: Boolean;

Description

Use UseBalloonAsApplicationHint to specify whether to use the balloon window as standard hint window for the application. Use the ApplicationHintOptions to alter the appearance and behavior of balloon shaped application hint windows.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.ApplicationHintOptions


TJvBalloonHint.ActivateHint method (TControl, string, string, Integer)

TJvBalloonHint	See Also	Edit topic

Displays a balloon window anchored to a control.

Pascal

procedure ActivateHint(ACtrl: TControl; const AHint: string; const AHeader: string = ''; const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault); overload;
procedure ActivateHint(ACtrl: TControl; const AHint: string; const AImageIndex: TImageIndex; const AHeader: string = ''; const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault); overload;
procedure ActivateHint(ACtrl: TControl; const AHint: string; const AIconKind: TJvIconKind; const AHeader: string = ''; const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault); overload;

Parameters

ACtrl: TControl

The anchor control for the balloon. Depending on the value of DefaultBalloonPosition, the balloon is placed below or above this control. The component will ensure that the balloon window maintains its position relative to the parent window of this control.

const AHint: string

The hint message for the balloon.

const AHeader: string = ''

The header for the balloon.

const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault

The maximum time in milliseconds that the balloon is visible.

const AImageIndex: TImageIndex

Indicates which image to draw in the balloon from the image list Images.

const AIconKind: TJvIconKind

The icon to be displayed in the balloon.

Description

Call ActivateHint to display the balloon window anchored to a control specified by the ACtrl parameter.

ActivateHint ensures that the balloon window appears entirely on screen.

After the component displays a balloon window, it automatically deactivates it after a time period - specified by the VisibleTime parameter - has elapsed, or when it receives a message that requires hiding the hint message. Set VisibleTime to 0 to disable the automatic deactivation.

To hide a balloon window that is activated directly by calling ActivateHint, ActivateHintPos or ActivateHintRect, use the CancelHint method.

Use Options to specify that the component must use default values as specified by DefaultHeader, DefaultImageIndex and DefaultIcon, instead of the values of the parameters that may be given.

Created with Doc-O-Matic.


See Also

TJvBalloonHint.ActivateHintPos, TJvBalloonHint.ActivateHintRect, TJvBalloonHint.CancelHint


TJvBalloonHint.ActivateHintPos method

TJvBalloonHint	See Also	Edit topic

Displays a balloon hint window at a specified position.

Pascal

procedure ActivateHintPos(AAnchorWindow: TCustomForm; AAnchorPosition: TPoint; const AHeader: string; const AHint: string; const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault; const AIconKind: TJvIconKind = ikInformation; const AImageIndex: TImageIndex = -1);

Parameters

AAnchorWindow: TCustomForm

The window where to the balloon window is anchored to. The component will ensure that the balloon window maintains its position relative to the anchor window. May be set to nil.

AAnchorPosition: TPoint

The position of the balloon's stem point within the client rectangle of the window specified by AAnchorWindow.

const AHeader: string

The header for the balloon.

const AHint: string

The hint message for the balloon.

const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault

The maximum time in milliseconds that the balloon is visible.

const AIconKind: TJvIconKind = ikInformation

The icon to be displayed in the balloon.

const AImageIndex: TImageIndex = -1

Indicates which image to draw in the balloon from the image list Images.

Description

Call ActivateHintPos to display the balloon window with its stem point at the coordinate provided by the AAnchorPosition parameter.

ActivateHintPos ensures that the balloon window appears entirely on screen.

After the component displays a balloon window, it automatically deactivates it after a time period - specified by the VisibleTime parameter - has elapsed. Set VisibleTime to 0 to disable the automatic deactivation.

To hide a balloon window that is activated directly by calling ActivateHint, ActivateHintPos and ActivateHintRect, use the CancelHint method.

You may set parameter AAnchorWindow to nil, then AAnchorPosition is a position on the desktop.

Use Options to specify that the component must use default values as specified by DefaultHeader, DefaultImageIndex and DefaultIcon, instead of the values of the parameters that may be given.

Created with Doc-O-Matic.


See Also

ActivateHint


TJvBalloonHint.ActivateHintRect method

TJvBalloonHint	See Also	Edit topic

Displays a balloon hint window at a specified position.

Pascal

procedure ActivateHintRect(ARect: TRect; const AHeader: string; const AHint: string; const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault; const AIconKind: TJvIconKind = ikInformation; const AImageIndex: TImageIndex = -1);

Parameters

ARect: TRect

The position of the balloon's stem point on the desktop

const AHeader: string

The header for the balloon.

const AHint: string

The hint message for the balloon.

const VisibleTime: Integer = CJvBallonHintVisibleTimeDefault

The maximum time in milliseconds that the balloon is visible.

const AIconKind: TJvIconKind = ikInformation

The icon to be displayed in the balloon.

const AImageIndex: TImageIndex = -1

Indicates which image to draw in the balloon from the image list Images.

Description

Call ActivateHintRect to display the balloon window with its stem point at either the top or the bottom of the rectangle provided by the ARect parameter.

ActivateHintRect ensures that the balloon window appears entirely on screen.

After the component displays a balloon window, it automatically deactivates it after a time period - specified by the VisibleTime parameter - has elapsed. Set VisibleTime to 0 to disable the automatic deactivation.

To hide a balloon window that is activated directly by calling ActivateHint, ActivateHintPos and ActivateHintRect, use the CancelHint method.

Use Options to specify that the component must use default values as specified by DefaultHeader, DefaultImageIndex and DefaultIcon, instead of the values of the parameters that may be given.

Created with Doc-O-Matic.


See Also

ActivateHint


TJvBalloonHint.CancelHint method

TJvBalloonHint	See Also	Edit topic

Cancels the display of a balloon window.

Pascal

procedure CancelHint;

Description

Call CancelHint to cancel the display of a balloon window that was activated by a call to ActivateHint, ActivateHintPos or ActivateHintRect.

The component calls CancelHint internally if the specified visible time elapsed or when it receives a message that requires hiding the hint message.

Created with Doc-O-Matic.


See Also

ActivateHint


TJvBalloonWindow
JEDI-VCL Reference

TJvBalloonWindow

Hierarchy	Properties	 Edit topic

Implements a balloon shaped pop-up window that appears over a control at runtime when the control has its ShowHint property set to true.

Pascal

TJvBalloonWindow = class(THintWindow);

File

JvBalloonHint

Description

TJvBalloonWindow is used to display a balloon shaped Help Hint pop-up window directly from an application.

Created with Doc-O-Matic.


TJvBalloonWindow Properties

TJvBalloonWindow	Legend

Properties

 StemPointPosition

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvBalloonWindow

Legend

read only

Created with Doc-O-Matic.


Hierarchy

THintWindow
    TJvBalloonWindow


TJvBalloonWindow Members

TJvBalloonWindow	Legend

Members

Properties

 StemPointPosition

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvBalloonWindow.StemPointPosition property

TJvBalloonWindow	Edit topic

Indicates the position of the stem point.

Pascal

property StemPointPosition: TPoint;

Description

Read StemPointPosition to determine the position of the balloon's stem point within the balloon's window client rectangle.

Created with Doc-O-Matic.


TJvBalloonWindowEx
JEDI-VCL Reference

TJvBalloonWindowEx

Hierarchy	Properties	 Edit topic

Implements a balloon shaped pop-up window that can be attached to a control.

Pascal

TJvBalloonWindowEx = class(TJvBalloonWindow);

File

JvBalloonHint

Description

TJvBalloonWindowEx is used to display a balloon shaped window attached to a control.

Created with Doc-O-Matic.


TJvBalloonWindowEx Properties

TJvBalloonWindowEx	Legend

Properties

TJvBalloonWindow

 StemPointPosition

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvBalloonWindowEx

Legend

read only

Created with Doc-O-Matic.


Hierarchy

THintWindow
    TJvBalloonWindow
        TJvBalloonWindowEx


TJvBalloonWindowEx Members

TJvBalloonWindowEx	Legend

Members

Properties

TJvBalloonWindow

 StemPointPosition

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvBaseDataContext
JEDI-VCL Reference

TJvBaseDataContext

Hierarchy	Properties	Methods	 Edit topic

Base implementation for the IJvDataContext interface.

Pascal

TJvBaseDataContext = class(TExtensibleInterfacedPersistent, IJvDataContext);

File

JvDataProvider

Description

The TJvBaseDataContext class is the base implementer for the IJvDataContext interface. The class itself only provides an implementation for the IJvDataContext methods with an exception of the Name method.

The class provides in an implementation for the SetName method of the IJvDataContextManager class, but that interface is not supported directly. The implementation of this method will check if the new name is unique in the context list and raise an exception if that's not the case. If the name is unique it will call the (abstract) DoSetName method to actually set the new name.

You should never instantiate a TJvBaseDataContext object to provide an implementation for the IJvDataContext interface. Instead you should use a derivative that implements the Name method, such as the TJvDataContext class.

Created with Doc-O-Matic.


TJvBaseDataContext Methods

TJvBaseDataContext	Legend

Methods

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvBaseDataContext Fields

TJvBaseDataContext	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvBaseDataContext Properties

TJvBaseDataContext	Legend

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvBaseDataContext

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContext
                TJvBaseDataContext


TJvBaseDataContext Members

TJvBaseDataContext	Legend

Members

Methods

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Legend

protected

abstract

virtual

read only


TJvBaseDataContext.ContextsImpl method

TJvBaseDataContext	See Also	Edit topic

Reference to the context list implementation object.

Pascal

function ContextsImpl: TJvBaseDataContexts;

Description

ContextsImpl is a reference to the context list implementation object this context belongs to. This will normally be a TJvBaseDataContexts descendant for JVCL provided context implementations, but it can be any object that implements the IJvDataContexts interface.

Created with Doc-O-Matic.


See Also

TJvBaseDataContexts, IJvDataContexts


TJvBaseDataContext.DoSetName method

TJvBaseDataContext	See Also	Edit topic

Change the name of the context.

Pascal

procedure DoSetName(Value: string); virtual; abstract;

Parameters

Value: string

New name of the context.

Description

DoSetName is responsible for setting the name of the context. The method does not check if the specified name is unique, nor will it trigger any notification callbacks.

DoSetName is called by the implementation of SetName, which will check uniqueness of the name first and trigger the change notification callback afterwards.

Descendants should override this method if the descendant implements the Name method as well. By providing this implementation, even if the context does not implement the IJvDataContextManager interface, allows for descendants of that class to simply add the IJvDataContextManager interface to the list of interfaces, without worrying if it can actually reach the field that stores the name.

Created with Doc-O-Matic.


See Also

TJvBaseDataContext.SetName


TJvBaseDataContext.IsStreamable method

TJvBaseDataContext	Edit topic

Not documented

Pascal

function IsStreamable: Boolean; dynamic;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataContexts
JEDI-VCL Reference

TJvBaseDataContexts

Hierarchy	Properties	Methods	 Edit topic

Base implementation for the IJvDataContexts interface.

Pascal

TJvBaseDataContexts = class(TExtensibleInterfacedPersistent, IJvDataContexts);

File

JvDataProvider

Description

The TJvBaseDataContexts class is the base implementation of the IJvDataContexts interface. The class itself provides in some basic implementation for the Ancestor, GetContextByName and Provider methods and declares the other methods if IJvDataContexts as abstract methods.

In addition the class provides 4 additional abstract methods that can be used to manage the list. These methods are not the same as those of the IJvDataContextsManager interface, but should be used by an implementer of that interface.

Created with Doc-O-Matic.


TJvBaseDataContexts Properties

TJvBaseDataContexts	Legend

Properties

 DsgnContext

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvBaseDataContexts Methods

TJvBaseDataContexts	Legend

Methods

 Ancestor

 DoAddContext

 DoClearContexts

 DoDeleteContext

 DoRemoveContext

 GetContext

 GetContextByName

 GetCount

 IndexOf

 Provider

IJvDataContexts

Ancestor

GetContext

GetContextByName

GetCount

IndexOf

Provider

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvBaseDataContexts Fields

TJvBaseDataContexts	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvBaseDataContexts

Legend

protected

read only

abstract

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContexts
                TJvBaseDataContexts


TJvBaseDataContexts Members

TJvBaseDataContexts	Legend

Members

Properties

 DsgnContext

TExtensibleInterfacedPersistent

 RefCount

Methods

 Ancestor

 DoAddContext

 DoClearContexts

 DoDeleteContext

 DoRemoveContext

 GetContext

 GetContextByName

 GetCount

 IndexOf

 Provider

IJvDataContexts

Ancestor

GetContext

GetContextByName

GetCount

IndexOf

Provider

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

read only

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

read only

abstract

virtual


TJvBaseDataContexts.DsgnContext property

TJvBaseDataContexts	Edit topic

Deprecated; will be removed in the next version.

Pascal

property DsgnContext: IJvDataContext;

Description

Deprecated; will be removed in the next version.

Created with Doc-O-Matic.


TJvBaseDataContexts.DoAddContext method

TJvBaseDataContexts	See Also	Edit topic

Adds a context to a list.

Pascal

procedure DoAddContext(Context: IJvDataContext); virtual; abstract;

Parameters

Context: IJvDataContext

Context to add to the list.

Description

DoAddContext adds a context to the list. It is called by the implementer of IJvDataContextsManager.Add and IJvDataContextsManager.New.

DoAddContext should:

check if the context is already added (and do nothing if it is).

check if the specified context has a unique name (if it hasn't, an exception should be raised).

notify the clients a context is about to be added.

add the context to the list.

notify the clients the context has been added to the list.

Each descendant of TJvBaseDataContexts that implements a list should implement this method as well.

Created with Doc-O-Matic.


See Also

TJvBaseDataContexts.DoClearContexts, TJvBaseDataContexts.DoDeleteContext, TJvBaseDataContexts.DoRemoveContext, IJvDataContextsManager.Add, IJvDataContextsManager.New


TJvBaseDataContexts.DoClearContexts method

TJvBaseDataContexts	See Also	Edit topic

Clears the context list.

Pascal

procedure DoClearContexts; virtual; abstract;

Description

DoClearContexts clears the list of contexts. It is called by the implementer of IJvDataContextsManager.Clear.

DoClearContexts should only delete deletable contexts, which implies that after a call to DoClearContexts the list isn't necessarily empty. For each context that is removed, the client needs to be notified (both before the deletion as well as after).

The best way to implement this is to iterate the list from the last to the first context and call DoDeleteContext for each of them.

Created with Doc-O-Matic.


See Also

DoAddContexts


TJvBaseDataContexts.DoDeleteContext method

TJvBaseDataContexts	See Also	Edit topic

Deletes the specified context.

Pascal

procedure DoDeleteContext(Index: Integer); virtual; abstract;

Parameters

Index: Integer

Index of the context to delete.

Description

DoDeleteContext deletes the context at the specified index. It might be called by the implementer of IJvDataContextsManager.Delete or by DoRemoveContext, depending on the implementation of the specified methods. In addition it can be called by DoClearContexts to delete all contexts.

DoDeleteContext should:

check if the context is deletable (and do nothing if it isn't).

notify clients the context is about to be deleted.

delete the context from the list.

notify clients the context has been deleted.

Note that you can implement DoDeleteContext by retrieving the context and call DoRemoveContext.

Created with Doc-O-Matic.


See Also

DoAddContexts, DoClearContext


TJvBaseDataContexts.DoRemoveContext method

TJvBaseDataContexts	See Also	Edit topic

Removes the specified context.

Pascal

procedure DoRemoveContext(Context: IJvDataContext); virtual; abstract;

Parameters

Context: IJvDataContext

Context to remove from the list.

Description

DoRemoveContext removes the specified context from the list. It might be called by the implementer of IJvDataContextsManager.Delete or by DoDeleteContext, depending on the implementation of the specified methods.

DoRemoveContext should:

check if the specified context belongs to the list (and do nothing if it isn't).

check if the context is deletable (and do nothing if it isn't).

notify clients the context is about to be deleted.

delete the context from the list.

notify clients the context has been deleted.

Note that you can implement DoRemoveContext by determining the index in the list of the specified context and call DoDeleteContext.

Created with Doc-O-Matic.


See Also

DoAddContexts, DoClearContext


TJvBaseDataContextsManager
JEDI-VCL Reference

TJvBaseDataContextsManager

Hierarchy	Properties	Methods	 Edit topic

Base implementation for the IJvDataContextsManager interface.

Pascal

TJvBaseDataContextsManager = class(TAggregatedPersistentEx, IJvDataContextsManager);

File

JvDataProvider

Description

The TJvBaseDataContextsManager class is the base implementation of the IJvDataContextsManager interface. The class itself provides in the basic implementation for all of the interface's methods, except for New, which is declared abstract, to be overridden by descendants in order to create a new context and add it to the list.

In addition the class provides 2 additional methods that give access to the list (both as an interface reference and once as a TJvBaseDataContexts implementation class).

Created with Doc-O-Matic.


TJvBaseDataContextsManager Methods

TJvBaseDataContextsManager	Legend

Methods

 Add

 Clear

 Contexts

 ContextsImpl

 Delete

 New

IJvDataContextsManager

Add

Clear

Delete

New

Legend

protected

abstract

Created with Doc-O-Matic.


Legend

protected

abstract


TJvBaseDataContextsManager Properties

TJvBaseDataContextsManager	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataContextsManager

Legend

protected

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx, IJvDataContextsManager
                TJvBaseDataContextsManager


TJvBaseDataContextsManager Members

TJvBaseDataContextsManager	Legend

Members

Methods

 Add

 Clear

 Contexts

 ContextsImpl

 Delete

 New

IJvDataContextsManager

Add

Clear

Delete

New

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

abstract

read only

Created with Doc-O-Matic.


Legend

protected

abstract

read only


TJvBaseDataContextsManager.Contexts method

TJvBaseDataContextsManager	See Also	Edit topic

Provides access to the context list.

Pascal

function Contexts: IJvDataContexts;

Description

Contexts provides access to the context list (as a reference to the interface) managed by this object.

Created with Doc-O-Matic.


See Also

TJvBaseDataContextsManager.ContextsImpl, IJvDataContexts


TJvBaseDataContextsManager.ContextsImpl method

TJvBaseDataContextsManager	See Also	Edit topic

Provides access to the context list implementation object.

Pascal

function ContextsImpl: TJvBaseDataContexts;

Description

ContextsImpl provides access to the context list implementation object managed by this object.

Created with Doc-O-Matic.


See Also

TJvBaseDataContextsManager.Contexts, IJvDataContexts


TJvBaseDataItem
JEDI-VCL Reference

TJvBaseDataItem

Hierarchy	Properties	Methods	 See Also	Edit topic

Base implementation for the IJvDataItem interface.

Pascal

TJvBaseDataItem = class(TExtensibleInterfacedPersistent, IJvDataItem);

File

JvDataProvider

Description

The TJvBaseDataItem class is the base implementation of the IJvDataItem interface. The class itself provides in the basic implementation for all of the interface's methods. In addition it declares the two methods for IJvDataContextSensitive interface, although the interface is not supported directly.

The class also overrides the reference counting mechanism (_AddRef and _Release) to only perform the reference counting if the owning list is a dynamic list (a list who's items are created when needed but are not stored in a list directly; this is often the case with lists referring to external data, or data stored in other forms).

The class also defines a dummy property for the filing system, so it is able to store the optional sub items of an item.

Created with Doc-O-Matic.


TJvBaseDataItem Properties

TJvBaseDataItem	Legend

Properties

 ID

 Implementer

 Items

IJvDataItem

 Implementer

 Items

TExtensibleInterfacedPersistent

 RefCount

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvBaseDataItem Methods

TJvBaseDataItem	Legend

Methods

 ContextDestroying

 DefineProperties

 GetID

 GetImplementer

 GetIndex

 GetItems

 InitID

 IsDeletable

 IsEqualToAncestor

 IsParentOf

 ReadSubItems

 RevertToAncestor

 SetID

 WriteSubItems

IJvDataItem

ContextDestroying

GetID

GetImplementer

GetIndex

GetItems

IsDeletable

IsParentOf

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvBaseDataItem Fields

TJvBaseDataItem	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvBaseDataItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataItem
                TJvBaseDataItem


TJvBaseDataItem Members

TJvBaseDataItem	Legend

Members

Properties

 ID

 Implementer

 Items

IJvDataItem

 Implementer

 Items

TExtensibleInterfacedPersistent

 RefCount

Methods

 ContextDestroying

 DefineProperties

 GetID

 GetImplementer

 GetIndex

 GetItems

 InitID

 IsDeletable

 IsEqualToAncestor

 IsParentOf

 ReadSubItems

 RevertToAncestor

 SetID

 WriteSubItems

IJvDataItem

ContextDestroying

GetID

GetImplementer

GetIndex

GetItems

IsDeletable

IsParentOf

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


See Also

IJvDataContextSensitive


TJvBaseDataItem.ID property

TJvBaseDataItem	Edit topic

Not documented

Pascal

property ID: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItem.DefineProperties method

TJvBaseDataItem	See Also	Edit topic

Provides an interface for a method that reads and writes otherwise unpublished data.

Pascal

procedure DefineProperties(Filer: TFiler); override;

Parameters

Filer: TFiler

Filer object to read or write the data from or to.

Description

TJvBaseDataItem overrides the DefineProperties method defined in TPersistent to define the fake SubItems property. This is defined so that the optionally supported list of sub items can be read and written from and to the filer. However, there is no such property as SubItems.

DefineProperties assigns the ReadSubItems and WriteSubItems methods as the reader and writer methods for the SubItems property.

DefineProperties is virtual; descendant classes can override it. When overriding DefineProperties, be aware that the Ancestor property of Filer might be set, and that this property can determine whether or not it is appropriate to write properties.

DefineProperties is called automatically as part of the component streaming system; do not call it directly.

Created with Doc-O-Matic.


See Also

TJvBaseDataItem.ReadSubItems, TJvBaseDataItem.WriteSubItems


TJvBaseDataItem.InitID method

TJvBaseDataItem	Edit topic

Not documented

Pascal

procedure InitID; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItem.ReadSubItems method

TJvBaseDataItem	See Also	Edit topic

Reads in a collection of sub items from a stream.

Pascal

procedure ReadSubItems(Reader: TReader);

Parameters

Reader: TReader

Filer object to read the collection of extensions from.

Description

ReadSubItems reads in a collection of sub items from a stream. It expects to find a collection at the current location. If there's not a collection at the current location in the stream, an exception will be raised.

Only one item is expected to be in the collection. That item is expected to start with ClassName property, containing the class name of the implementation object for IJvDataItems to use. If the extension list contains an object implementing the IJvDataItems interface, but is of the wrong class, it will be deleted. If no IJvDataItems implementation is present, it will be added. If the correct class already was present, it will be used as is (i.e. the list is not cleared before reading commences).

The remainder of the collection item is expected to be properties of the IJvDataItems implementer class.

ReadSubItems is called by the filing system when the SubItems property is encountered.

Created with Doc-O-Matic.


See Also

TJvBaseDataItem.WriteSubItems


TJvBaseDataItem.SetID method

TJvBaseDataItem	Edit topic

Not documented

Pascal

procedure SetID(Value: string);

Parameters

Value: string

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItem.WriteSubItems method

TJvBaseDataItem	See Also	Edit topic

Writes the list of sub items as a collection to a stream.

Pascal

procedure WriteSubItems(Writer: TWriter);

Parameters

Writer: TWriter

Filer object to write the extension to.

Description

WriteSubItems writes the list of sub items as a collection to a stream, if such a list exists (i.e. if the IJvDataItems interface is supported by this class). It writes the collection start marker and one item. This item starts with the ClassName property containing the class name of the object implementing the IJvDataItems interface. The remainder of the item will consist of the properties of IJvDataItems implementation object. The writing is concluded by writing the list end marker.

WriteImplementers is called by the filing system when the SubItems property should be stored. This is only the case if the IJvDataItems interface is supported.

Created with Doc-O-Matic.


See Also

TJvBaseDataItem.ReadSubItems


TJvBaseDataItemImageImpl
JEDI-VCL Reference

TJvBaseDataItemImageImpl

Hierarchy	Properties	Methods	 Edit topic

Base implementation for the IJvDataItemImage interface.

Pascal

TJvBaseDataItemImageImpl = class(TJvDataItemAggregatedObject, IJvDataItemImage);

File

JvDataProvider

Description

The TJvBaseDataItemImageImpl class is the base implementation of the IJvDataItemImage interface. The class itself provides no implementation for interface's methods but rather declares them as abstract virtual methods.

As a descendant of TJvDataItemAggregatedObject it also provides access to the item object this extension belongs to (both as interface as well as the implementing object).

You should not instantiate an object of this class but rather one of it's descendants that override the methods for IJvDataItemImage.

Created with Doc-O-Matic.


TJvBaseDataItemImageImpl Methods

TJvBaseDataItemImageImpl	Legend

Methods

 GetAlignment

 GetImageIndex

 GetSelectedIndex

 SetAlignment

 SetImageIndex

 SetSelectedIndex

IJvDataItemImage

GetAlignment

GetImageIndex

GetSelectedIndex

SetAlignment

SetImageIndex

SetSelectedIndex

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvBaseDataItemImageImpl Properties

TJvBaseDataItemImageImpl	Legend

Properties

IJvDataItemImage

Alignment

ImageIndex

SelectedIndex

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataItemImageImpl

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemImage
                    TJvBaseDataItemImageImpl


TJvBaseDataItemImageImpl Members

TJvBaseDataItemImageImpl	Legend

Members

Methods

 GetAlignment

 GetImageIndex

 GetSelectedIndex

 SetAlignment

 SetImageIndex

 SetSelectedIndex

IJvDataItemImage

GetAlignment

GetImageIndex

GetSelectedIndex

SetAlignment

SetImageIndex

SetSelectedIndex

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Properties

IJvDataItemImage

Alignment

ImageIndex

SelectedIndex

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Legend

protected

abstract

virtual

read only


TJvBaseDataItemRenderer
JEDI-VCL Reference

TJvBaseDataItemRenderer

Hierarchy	Properties	Methods	 Edit topic

Base implementation for the IJvDataItemRenderer interface.

Pascal

TJvBaseDataItemRenderer = class(TJvDataItemAggregatedObject, IJvDataItemRenderer);

File

JvDataProvider

Description

The TJvBaseDataItemRenderer class is the base implementation of the IJvDataItemRenderer interface. The class itself provides no implementation for interface's methods but rather declares them as abstract virtual methods.

As a descendant of TJvDataItemAggregatedObject it also provides access to the item object this extension belongs to (both as interface as well as the implementing object).

You should not instantiate an object of this class but rather one of it's descendants that override the methods for IJvDataItemRenderer.

Created with Doc-O-Matic.


TJvBaseDataItemRenderer Methods

TJvBaseDataItemRenderer	Legend

Methods

 Draw

 Measure

IJvDataItemRenderer

Draw

Measure

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvBaseDataItemRenderer Properties

TJvBaseDataItemRenderer	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataItemRenderer

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemRenderer
                    TJvBaseDataItemRenderer


TJvBaseDataItemRenderer Members

TJvBaseDataItemRenderer	Legend

Members

Methods

 Draw

 Measure

IJvDataItemRenderer

Draw

Measure

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Legend

protected

abstract

virtual

read only


TJvBaseDataItems
JEDI-VCL Reference

TJvBaseDataItems

Hierarchy	Properties	Methods	 See Also	Edit topic

Base implementation for the IJvDataItems interface.

Pascal

TJvBaseDataItems = class(TExtensibleInterfacedPersistent, IJvDataItems, IJvDataIDSearch);

File

JvDataProvider

Description

The TJvBaseDataItems class is the base implementation of the IJvDataItems and IJvDataIDSearch interfaces. The class itself provides in the basic implementation for all of the interface's methods, except for GetCount and GetItem. In addition it provides protected methods to be called by an IJvDataItemsManagement implementer to allow list manipulations (adding, deleting and emptying).

The class also defines a dummy property for the filing system, so it is able to store the list of items.

Created with Doc-O-Matic.


TJvBaseDataItems Methods

TJvBaseDataItems	Legend

Methods

 ContextDestroying

 DefineProperties

 FindByID

 GetCount

 GetImplementer

 GetItem

 GetItemByID

 GetItemByIndexPath

 GetParent

 GetProvider

 InternalAdd

 InternalDelete

 InternalMove

 IsDynamic

 IsStreamableItem

 ItemAdd

 ItemDelete

 ItemMove

 ReadItem

 ReadItems

 ScanForID

 WriteItem

 WriteItems

IJvDataIDSearch

Find

IJvDataItems

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvBaseDataItems Properties

TJvBaseDataItems	Legend

Properties

IJvDataItems

 Count

 Items

 Parent

 Provider

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvBaseDataItems Fields

TJvBaseDataItems	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvBaseDataItems

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataItems, IJvDataIDSearch
                    TJvBaseDataItems


TJvBaseDataItems Members

TJvBaseDataItems	Legend

Members

Methods

 ContextDestroying

 DefineProperties

 FindByID

 GetCount

 GetImplementer

 GetItem

 GetItemByID

 GetItemByIndexPath

 GetParent

 GetProvider

 InternalAdd

 InternalDelete

 InternalMove

 IsDynamic

 IsStreamableItem

 ItemAdd

 ItemDelete

 ItemMove

 ReadItem

 ReadItems

 ScanForID

 WriteItem

 WriteItems

IJvDataIDSearch

Find

IJvDataItems

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Properties

IJvDataItems

 Count

 Items

 Parent

 Provider

TExtensibleInterfacedPersistent

 RefCount

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


See Also

IJvDataIDSearch, IJvDataItems, IJvDataItemsManagement


TJvBaseDataItems.DefineProperties method

TJvBaseDataItems	See Also	Edit topic

Provides an interface for a method that reads and writes otherwise unpublished data.

Pascal

procedure DefineProperties(Filer: TFiler); override;

Parameters

Filer: TFiler

Filer object to read or write the data from or to.

Description

TJvBaseDataItems overrides the DefineProperties method defined in TPersistent to define the fake Items property. This is defined so that the list of items can be read and written from and to the filer. However, there is no such property as Items.

DefineProperties assigns the ReadItems and WriteItems methods as the reader and writer methods for the Items property.

DefineProperties is virtual; descendant classes can override it. When overriding DefineProperties, be aware that the Ancestor property of Filer might be set, and that this property can determine whether or not it is appropriate to write properties.

DefineProperties is called automatically as part of the component streaming system; do not call it directly.

Created with Doc-O-Matic.


See Also

TJvBaseDataItems.ReadItems, TJvBaseDataItems.WriteItems


TJvBaseDataItems.InternalAdd method

TJvBaseDataItems	See Also	Edit topic

Responsible for adding an item to the list.

Pascal

procedure InternalAdd(Item: IJvDataItem); virtual; abstract;

Parameters

Item: IJvDataItem

Item to add to the list.

Description

InternalAdd is responsible for adding an item to the list. The method is declared abstract to allow descendants to determine how to store the item.

InternalAdd is called by the ItemAdd method when the item can be added. It doesn't have to notify consumers of the pending addition, nor of the completion afterwards. ItemAdd will perform those tasks. It is allowed to take additional steps before or after adding if so required (e.g. context specific lists may need to copy the list from the ancestor context first, before a change can be made).

InternalAdd should never be called from any other method than ItemAdd.

Created with Doc-O-Matic.


See Also

TJvBaseDataItems.InternalDelete, TJvBaseDataItems.InternalMove, TJvBaseDataItems.ItemAdd


TJvBaseDataItems.InternalDelete method

TJvBaseDataItems	See Also	Edit topic

Responsible for deleting an item from the list.

Pascal

procedure InternalDelete(Index: Integer); virtual; abstract;

Parameters

Index: Integer

0-based index of the item to remove.

Description

InternalDelete is responsible for removing an item from the list. The method is declared abstract to allow descendants to determine how to store (and thus delete) the item.

InternalDelete is called by the ItemDelete method when the item can be deleted. It doesn't have to notify consumers of the pending deletion, nor of the completion afterwards. ItemDelete will perform those tasks. It is allowed to take additional steps before or after deleting if so required (e.g. context specific lists may need to copy the list from the ancestor context first, before a change can be made).

InternalDelete should never be called from any other method than ItemDelete.

Created with Doc-O-Matic.


See Also

TJvBaseDataItems.InternalAdd, TJvBaseDataItems.InternalMove, TJvBaseDataItems.ItemDelete


TJvBaseDataItems.InternalMove method

TJvBaseDataItems	See Also	Edit topic

Responsible for moving an item in the list.

Pascal

procedure InternalMove(OldIndex: Integer; NewIndex: Integer); virtual; abstract;

Parameters

OldIndex: Integer

0-based index of the item to move.

NewIndex: Integer

0-based index the item should be moved to. The item at that location and all following items will move up one position.

Description

InternalMove is responsible for moving an item in the list. The method is declared abstract to allow descendants to determine how to store (and thus move) the item.

InternalMove is called by the ItemMove method when the item can be moved. It doesn't have to notify consumers of the pending move, nor of the completion afterwards. ItemMove will perform those tasks. It is allowed to take additional steps before or after moving if so required (e.g. context specific lists may need to copy the list from the ancestor context first, before a change can be made).

InternalMove should never be called from any other method than ItemMove.

Created with Doc-O-Matic.


See Also

TJvBaseDataItems.InternalAdd, TJvBaseDataItems.InternalDelete, TJvBaseDataItems.ItemMove


TJvBaseDataItems.IsStreamableItem method

TJvBaseDataItems	See Also	Edit topic

Determines if an item should be stored.

Pascal

function IsStreamableItem(Item: IJvDataItem): Boolean; virtual;

Parameters

Item: IJvDataItem

Reference to the data item about to be stored.

Description

IsStreamableItem determines if an item should be stored by the filing system (to the form file).

The default implementation allows an item to be stored if it's implementation class is known by the filing system (i.e. RegisterClass has been called for that class) and inherits from TJvBaseDataItem. Descendants can override this method to further expand the conditions (e.g. only items that are deletable). In either case, the item storage mechanism will only allow known classes descending from TJvBaseDataItem to be read back in, so there's no point in removing either of those conditions in the descendants.

If an item should be written to the filing object IsStreamableItem should return True. Otherwise False should be returned.

Created with Doc-O-Matic.


See Also

TJvBaseDataItems.ReadItems


TJvBaseDataItems.ItemAdd method

TJvBaseDataItems	Edit topic

Not documented

Pascal

procedure ItemAdd(Item: IJvDataItem);

Parameters

Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItems.ItemDelete method

TJvBaseDataItems	Edit topic

Not documented

Pascal

procedure ItemDelete(Index: Integer);

Parameters

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItems.ItemMove method

TJvBaseDataItems	Edit topic

Not documented

Pascal

procedure ItemMove(OldIndex: Integer; NewIndex: Integer);

Parameters

OldIndex: Integer

Not documented

NewIndex: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItems.ReadItem method

TJvBaseDataItems	Edit topic

Not documented

Pascal

procedure ReadItem(Reader: TReader);

Parameters

Reader: TReader

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItems.ReadItems method

TJvBaseDataItems	Edit topic

Not documented

Pascal

procedure ReadItems(Reader: TReader);

Parameters

Reader: TReader

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItems.ScanForID method

TJvBaseDataItems	Edit topic

Not documented

Pascal

function ScanForID(Items: IJvDataItems; ID: string; Recursive: Boolean): IJvDataItem;

Parameters

Items: IJvDataItems

Not documented

ID: string

Not documented

Recursive: Boolean

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItems.WriteItem method

TJvBaseDataItems	Edit topic

Not documented

Pascal

procedure WriteItem(Writer: TWriter; Item: IJvDataItem);

Parameters

Writer: TWriter

Not documented

Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItems.WriteItems method

TJvBaseDataItems	Edit topic

Not documented

Pascal

procedure WriteItems(Writer: TWriter);

Parameters

Writer: TWriter

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsImagesImpl
JEDI-VCL Reference

TJvBaseDataItemsImagesImpl

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseDataItemsImagesImpl = class(TJvDataItemsAggregatedObject, IJvDataItemsImages);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemsImagesImpl Methods

TJvBaseDataItemsImagesImpl	Legend

Methods

 GetDisabledImages

 GetHotImages

 GetImages

 SetDisabledImages

 SetHotImages

 SetImages

IJvDataItemsImages

GetDisabledImages

GetHotImages

GetImages

SetDisabledImages

SetHotImages

SetImages

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

abstract

Created with Doc-O-Matic.


Legend

protected

abstract


TJvBaseDataItemsImagesImpl Properties

TJvBaseDataItemsImagesImpl	Legend

Properties

IJvDataItemsImages

DisabledImages

HotImages

Images

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataItemsImagesImpl

Legend

protected

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject, IJvDataItemsImages
                    TJvBaseDataItemsImagesImpl


TJvBaseDataItemsImagesImpl Members

TJvBaseDataItemsImagesImpl	Legend

Members

Methods

 GetDisabledImages

 GetHotImages

 GetImages

 SetDisabledImages

 SetHotImages

 SetImages

IJvDataItemsImages

GetDisabledImages

GetHotImages

GetImages

SetDisabledImages

SetHotImages

SetImages

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Properties

IJvDataItemsImages

DisabledImages

HotImages

Images

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

abstract

read only

Created with Doc-O-Matic.


Legend

protected

abstract

read only


TJvBaseDataItemsImagesImpl.GetDisabledImages method

TJvBaseDataItemsImagesImpl	Edit topic

Not documented

Pascal

function GetDisabledImages: TCustomImageList; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsImagesImpl.GetHotImages method

TJvBaseDataItemsImagesImpl	Edit topic

Not documented

Pascal

function GetHotImages: TCustomImageList; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsImagesImpl.GetImages method

TJvBaseDataItemsImagesImpl	Edit topic

Not documented

Pascal

function GetImages: TCustomImageList; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsImagesImpl.SetDisabledImages method

TJvBaseDataItemsImagesImpl	Edit topic

Not documented

Pascal

procedure SetDisabledImages(const Value: TCustomImageList); virtual; abstract;

Parameters

const Value: TCustomImageList

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsImagesImpl.SetHotImages method

TJvBaseDataItemsImagesImpl	Edit topic

Not documented

Pascal

procedure SetHotImages(const Value: TCustomImageList); virtual; abstract;

Parameters

const Value: TCustomImageList

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsImagesImpl.SetImages method

TJvBaseDataItemsImagesImpl	Edit topic

Not documented

Pascal

procedure SetImages(const Value: TCustomImageList); virtual; abstract;

Parameters

const Value: TCustomImageList

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsListManagement
JEDI-VCL Reference

TJvBaseDataItemsListManagement

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseDataItemsListManagement = class(TJvBaseDataItemsManagement);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemsListManagement Methods

TJvBaseDataItemsListManagement	Legend

Methods

 Add

 Clear

 Delete

 Remove

TJvBaseDataItemsManagement

 Add

 Clear

 Delete

 New

 Remove

IJvDataItemsManagement

Add

Clear

Delete

New

Remove

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvBaseDataItemsListManagement Properties

TJvBaseDataItemsListManagement	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataItemsListManagement

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject, IJvDataItemsManagement
                    TJvBaseDataItemsManagement
                        TJvBaseDataItemsListManagement


TJvBaseDataItemsListManagement Members

TJvBaseDataItemsListManagement	Legend

Members

Methods

 Add

 Clear

 Delete

 Remove

TJvBaseDataItemsManagement

 Add

 Clear

 Delete

 New

 Remove

IJvDataItemsManagement

Add

Clear

Delete

New

Remove

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvBaseDataItemsListManagement.Add method

TJvBaseDataItemsListManagement	Edit topic

Not documented

Pascal

function Add(Item: IJvDataItem): IJvDataItem; override;

Parameters

Item: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsListManagement.Clear method

TJvBaseDataItemsListManagement	Edit topic

Not documented

Pascal

procedure Clear; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsListManagement.Delete method

TJvBaseDataItemsListManagement	Edit topic

Not documented

Pascal

procedure Delete(Index: Integer); override;

Parameters

Index: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsListManagement.Remove method

TJvBaseDataItemsListManagement	Edit topic

Not documented

Pascal

procedure Remove(var Item: IJvDataItem); override;

Parameters

var Item: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsManagement
JEDI-VCL Reference

TJvBaseDataItemsManagement

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseDataItemsManagement = class(TJvDataItemsAggregatedObject, IJvDataItemsManagement);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemsManagement Methods

TJvBaseDataItemsManagement	Legend

Methods

 Add

 Clear

 Delete

 New

 Remove

IJvDataItemsManagement

Add

Clear

Delete

New

Remove

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

abstract

Created with Doc-O-Matic.


Legend

protected

abstract


TJvBaseDataItemsManagement Properties

TJvBaseDataItemsManagement	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataItemsManagement

Legend

protected

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject, IJvDataItemsManagement
                    TJvBaseDataItemsManagement


TJvBaseDataItemsManagement Members

TJvBaseDataItemsManagement	Legend

Members

Methods

 Add

 Clear

 Delete

 New

 Remove

IJvDataItemsManagement

Add

Clear

Delete

New

Remove

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

abstract

read only

Created with Doc-O-Matic.


Legend

protected

abstract

read only


TJvBaseDataItemsManagement.Add method

TJvBaseDataItemsManagement	Edit topic

Not documented

Pascal

function Add(Item: IJvDataItem): IJvDataItem; virtual; abstract;

Parameters

Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsManagement.Clear method

TJvBaseDataItemsManagement	Edit topic

Not documented

Pascal

procedure Clear; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsManagement.Delete method

TJvBaseDataItemsManagement	Edit topic

Not documented

Pascal

procedure Delete(Index: Integer); virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsManagement.New method

TJvBaseDataItemsManagement	Edit topic

Not documented

Pascal

function New: IJvDataItem; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsManagement.Remove method

TJvBaseDataItemsManagement	Edit topic

Not documented

Pascal

procedure Remove(var Item: IJvDataItem); virtual; abstract;

Parameters

var Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer
JEDI-VCL Reference

TJvBaseDataItemsRenderer

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseDataItemsRenderer = class(TJvDataItemsAggregatedObject, IJvDataItemsRenderer);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer Methods

TJvBaseDataItemsRenderer	Legend

Methods

 AvgItemSize

 DoDrawItem

 DoMeasureItem

 DrawItem

 DrawItemByIndex

 MeasureItem

 MeasureItemByIndex

IJvDataItemsRenderer

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvBaseDataItemsRenderer Properties

TJvBaseDataItemsRenderer	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataItemsRenderer

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject, IJvDataItemsRenderer
                    TJvBaseDataItemsRenderer


TJvBaseDataItemsRenderer Members

TJvBaseDataItemsRenderer	Legend

Members

Methods

 AvgItemSize

 DoDrawItem

 DoMeasureItem

 DrawItem

 DrawItemByIndex

 MeasureItem

 MeasureItemByIndex

IJvDataItemsRenderer

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Legend

protected

abstract

virtual

read only


TJvBaseDataItemsRenderer.AvgItemSize method

TJvBaseDataItemsRenderer	Edit topic

Not documented

Pascal

function AvgItemSize(ACanvas: TCanvas): TSize; virtual; abstract;

Parameters

ACanvas: TCanvas

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer.DoDrawItem method

TJvBaseDataItemsRenderer	Edit topic

Not documented

Pascal

procedure DoDrawItem(ACanvas: TCanvas; var ARect: TRect; Item: IJvDataItem; State: TProviderDrawStates); virtual; abstract;

Parameters

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

Item: IJvDataItem

Not documented

State: TProviderDrawStates

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer.DoMeasureItem method

TJvBaseDataItemsRenderer	Edit topic

Not documented

Pascal

function DoMeasureItem(ACanvas: TCanvas; Item: IJvDataItem): TSize; virtual; abstract;

Parameters

ACanvas: TCanvas

Not documented

Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer.DrawItem method

TJvBaseDataItemsRenderer	Edit topic

Not documented

Pascal

procedure DrawItem(ACanvas: TCanvas; var ARect: TRect; Item: IJvDataItem; State: TProviderDrawStates); virtual;

Parameters

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

Item: IJvDataItem

Not documented

State: TProviderDrawStates

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer.DrawItemByIndex method

TJvBaseDataItemsRenderer	Edit topic

Not documented

Pascal

procedure DrawItemByIndex(ACanvas: TCanvas; var ARect: TRect; Index: Integer; State: TProviderDrawStates); virtual;

Parameters

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

Index: Integer

Not documented

State: TProviderDrawStates

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer.MeasureItem method

TJvBaseDataItemsRenderer	Edit topic

Not documented

Pascal

function MeasureItem(ACanvas: TCanvas; Item: IJvDataItem): TSize; virtual;

Parameters

ACanvas: TCanvas

Not documented

Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemsRenderer.MeasureItemByIndex method

TJvBaseDataItemsRenderer	Edit topic

Not documented

Pascal

function MeasureItemByIndex(ACanvas: TCanvas; Index: Integer): TSize; virtual;

Parameters

ACanvas: TCanvas

Not documented

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemStates
JEDI-VCL Reference

TJvBaseDataItemStates

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseDataItemStates = class(TJvDataItemAggregatedObject, IJvDataItemStates);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemStates Methods

TJvBaseDataItemStates	Legend

Methods

 Get_Checked

 Get_Enabled

 Get_Visible

 Set_Checked

 Set_Enabled

 Set_Visible

IJvDataItemStates

Get_Checked

Get_Enabled

Get_Visible

Set_Checked

Set_Enabled

Set_Visible

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvBaseDataItemStates Properties

TJvBaseDataItemStates	Legend

Properties

IJvDataItemStates

Checked

Enabled

Visible

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvBaseDataItemStates

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemStates
                    TJvBaseDataItemStates


TJvBaseDataItemStates Members

TJvBaseDataItemStates	Legend

Members

Methods

 Get_Checked

 Get_Enabled

 Get_Visible

 Set_Checked

 Set_Enabled

 Set_Visible

IJvDataItemStates

Get_Checked

Get_Enabled

Get_Visible

Set_Checked

Set_Enabled

Set_Visible

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Properties

IJvDataItemStates

Checked

Enabled

Visible

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Legend

protected

abstract

virtual

read only


TJvBaseDataItemStates.Get_Checked method

TJvBaseDataItemStates	Edit topic

Not documented

Pascal

function Get_Checked: TDataItemState; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemStates.Get_Enabled method

TJvBaseDataItemStates	Edit topic

Not documented

Pascal

function Get_Enabled: TDataItemState; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemStates.Get_Visible method

TJvBaseDataItemStates	Edit topic

Not documented

Pascal

function Get_Visible: TDataItemState; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemStates.Set_Checked method

TJvBaseDataItemStates	Edit topic

Not documented

Pascal

procedure Set_Checked(Value: TDataItemState); virtual; abstract;

Parameters

Value: TDataItemState

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemStates.Set_Enabled method

TJvBaseDataItemStates	Edit topic

Not documented

Pascal

procedure Set_Enabled(Value: TDataItemState); virtual; abstract;

Parameters

Value: TDataItemState

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemStates.Set_Visible method

TJvBaseDataItemStates	Edit topic

Not documented

Pascal

procedure Set_Visible(Value: TDataItemState); virtual; abstract;

Parameters

Value: TDataItemState

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemSubItems
JEDI-VCL Reference

TJvBaseDataItemSubItems

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseDataItemSubItems = class(TJvDataItemAggregatedObject, IJvDataItems);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemSubItems Properties

TJvBaseDataItemSubItems	Legend

Properties

 Items

IJvDataItems

 Count

 Items

 Parent

 Provider

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvBaseDataItemSubItems Methods

TJvBaseDataItemSubItems	Legend

Methods

 BeforeDestruction

 GetInterface

IJvDataItems

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvBaseDataItemSubItems

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItems
                    TJvBaseDataItemSubItems


TJvBaseDataItemSubItems Members

TJvBaseDataItemSubItems	Legend

Members

Properties

 Items

IJvDataItems

 Count

 Items

 Parent

 Provider

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 BeforeDestruction

 GetInterface

IJvDataItems

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvBaseDataItemSubItems.Items property

TJvBaseDataItemSubItems	Edit topic

Not documented

Pascal

property Items: IJvDataItems;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemSubItems.BeforeDestruction method

TJvBaseDataItemSubItems	Edit topic

Not documented

Pascal

procedure BeforeDestruction; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemSubItems.GetInterface method

TJvBaseDataItemSubItems	Edit topic

Not documented

Pascal

function GetInterface(const IID: TGUID; out Obj): Boolean; override;

Parameters

const IID: TGUID

Not documented

out Obj

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemTextImpl
JEDI-VCL Reference

TJvBaseDataItemTextImpl

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseDataItemTextImpl = class(TJvDataItemAggregatedObject, IJvDataItemText);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemTextImpl Properties

TJvBaseDataItemTextImpl	Legend

Properties

Caption

IJvDataItemText

Caption

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvBaseDataItemTextImpl Methods

TJvBaseDataItemTextImpl	Legend

Methods

 Editable

 GetCaption

 SetCaption

IJvDataItemText

Editable

GetCaption

SetCaption

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


Legend

TJvBaseDataItemTextImpl

Legend

protected

read only

abstract

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemText
                    TJvBaseDataItemTextImpl


TJvBaseDataItemTextImpl Members

TJvBaseDataItemTextImpl	Legend

Members

Properties

Caption

IJvDataItemText

Caption

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 Editable

 GetCaption

 SetCaption

IJvDataItemText

Editable

GetCaption

SetCaption

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

read only

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

read only

abstract

virtual


TJvBaseDataItemTextImpl.Caption property

TJvBaseDataItemTextImpl	Edit topic

Not documented

Pascal

property Caption: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemTextImpl.Editable method

TJvBaseDataItemTextImpl	Edit topic

Not documented

Pascal

function Editable: Boolean; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemTextImpl.GetCaption method

TJvBaseDataItemTextImpl	Edit topic

Not documented

Pascal

function GetCaption: string; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseDataItemTextImpl.SetCaption method

TJvBaseDataItemTextImpl	Edit topic

Not documented

Pascal

procedure SetCaption(const Value: string); virtual; abstract;

Parameters

const Value: string

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseFixedDataContext
JEDI-VCL Reference

TJvBaseFixedDataContext

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseFixedDataContext = class(TJvBaseDataContext);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseFixedDataContext Methods

TJvBaseFixedDataContext	Legend

Methods

 IsDeletable

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvBaseFixedDataContext Fields

TJvBaseFixedDataContext	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvBaseFixedDataContext Properties

TJvBaseFixedDataContext	Legend

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvBaseFixedDataContext

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContext
                TJvBaseDataContext
                    TJvBaseFixedDataContext


TJvBaseFixedDataContext Members

TJvBaseFixedDataContext	Legend

Members

Methods

 IsDeletable

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvBaseFixedDataContext.IsDeletable method

TJvBaseFixedDataContext	Edit topic

Not documented

Pascal

function IsDeletable: Boolean; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvBaseManagedDataContext
JEDI-VCL Reference

TJvBaseManagedDataContext

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvBaseManagedDataContext = class(TJvBaseDataContext, IJvDataContextManager);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseManagedDataContext Methods

TJvBaseManagedDataContext	Legend

Methods

IJvDataContextManager

SetName

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvBaseManagedDataContext Fields

TJvBaseManagedDataContext	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvBaseManagedDataContext Properties

TJvBaseManagedDataContext	Legend

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvBaseManagedDataContext

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContext
                TJvBaseDataContext, IJvDataContextManager
                        TJvBaseManagedDataContext


TJvBaseManagedDataContext Members

TJvBaseManagedDataContext	Legend

Members

Methods

IJvDataContextManager

SetName

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

abstract

virtual

read only

Created with Doc-O-Matic.


Legend

protected

abstract

virtual

read only


TJvBaseSegmentedLEDDigit
JEDI-VCL Reference

TJvBaseSegmentedLEDDigit

Hierarchy	Properties	Methods	 Edit topic

Common code for standard segmented digits.

Pascal

TJvBaseSegmentedLEDDigit = class(TJvCustomSegmentedLEDDigit);

File

JvSegmentedLEDDisplay

Description

TJvBaseSegmentedLEDDigit provides the common code and properties for standard segmented digits.

You should not specify this class as the digit class of a segmented LED display but rather one of it's descendants.

The base class provides the classic 7-segmented layout and an optional DP segment used as a decimal point. The segments and their names have the following layout:

                A

---

|     |

            F|     |B

             |  G  |

---

|     |

            E|     |C

             |     |

              -----  .DP

                D

Created with Doc-O-Matic.


TJvBaseSegmentedLEDDigit Properties

TJvBaseSegmentedLEDDigit	Legend

Properties

 DPWidth

 UseDP

TJvCustomSegmentedLEDDigit

 BaseTop

 Height

 Left

 RecalcNeeded

 Text

 VertAdjust

 Width

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvBaseSegmentedLEDDigit Methods

TJvBaseSegmentedLEDDigit	Legend

Methods

 GetSegmentIndex

 GetSegmentName

 GetSegmentString

 SegmentCount

TJvCustomSegmentedLEDDigit

GetHitInfo

 GetSegmentIndex

 GetSegmentName

GetSegmentStates

 GetSegmentString

 PtInSegment

 SegmentCount

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvBaseSegmentedLEDDigit

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvCustomSegmentedLEDDigit
        TJvBaseSegmentedLEDDigit


TJvBaseSegmentedLEDDigit Members

TJvBaseSegmentedLEDDigit	Legend

Members

Properties

 DPWidth

 UseDP

TJvCustomSegmentedLEDDigit

 BaseTop

 Height

 Left

 RecalcNeeded

 Text

 VertAdjust

 Width

Methods

 GetSegmentIndex

 GetSegmentName

 GetSegmentString

 SegmentCount

TJvCustomSegmentedLEDDigit

GetHitInfo

 GetSegmentIndex

 GetSegmentName

GetSegmentStates

 GetSegmentString

 PtInSegment

 SegmentCount

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

read only

virtual

abstract


TJvBaseSegmentedLEDDigit.DPWidth property

TJvBaseSegmentedLEDDigit	See Also	Edit topic

Additional width required to draw the DP segment.

Pascal

property DPWidth: Integer;

Description

DPWidth specifies the additional width required to draw the DP (dot point in lower right corner) segment.

The value of this property is automatically calculated upon changes in the display settings as well as after changing the visible state of the DP segment.

The fact that the DP is rendered does not automatically result in a DPWidth > 0; if the slant angle is such that the upper part shifts to right enough for the DP being rendered in the lower right corner, DPWidth will remain 0.

If the DP is not visible, DPWidth will be 0 at all times.

Created with Doc-O-Matic.


See Also

Width


TJvBaseSegmentedLEDDigit.UseDP property

TJvBaseSegmentedLEDDigit	See Also	Edit topic

Determines if the DP segment is visible.

Pascal

property UseDP: Boolean;

Description

UseDP specifies if the DP segment (dot point in the lower right corner) is visible or not. Read UseDP to determine if the DP segment is rendered or set it to a new state.

Setting UseDP may result in a change of the width of the digit. See DPWidth for more information.

Created with Doc-O-Matic.


See Also

Width


TJvBaseSegmentedLEDDigit.GetSegmentIndex method

TJvBaseSegmentedLEDDigit	See Also	Edit topic

Retrieves the index of a named segment.

Pascal

class function GetSegmentIndex(Name: string): Integer; override;

Parameters

Name

Name of the segment to retrieve the index of.

Description

GetSegmentIndex retrieves the index of the segment indicated by the Name property. The resulting value is a 0-based index or -1 if the specified name is not the name of a segment.

If certain segments are not used (due to property settings) they are still searchable with this method.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentName, TJvCustomSegmentedLEDDigit.SegmentCount


TJvBaseSegmentedLEDDigit.GetSegmentName method

TJvBaseSegmentedLEDDigit	See Also	Edit topic

Retrieves the name of a segment.

Pascal

class function GetSegmentName(Index: Integer): string; override;

Parameters

Index

0-based index of segment to retrieve the name for.

Description

GetSegmentName retrieves the name of the specified segment.

Each segment (individually controllable shapes) has a name assigned to it. For the main segments the names are usually A through Z (depending on the number of segments). Additional markers are named differently.

This method will return the proper name for any segment.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentIndex, TJvCustomSegmentedLEDDigit.SegmentCount


TJvBaseSegmentedLEDDigit.GetSegmentString method

TJvBaseSegmentedLEDDigit	Edit topic

Not documented

Pascal

function GetSegmentString: string; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseSegmentedLEDDigit.SegmentCount method

TJvBaseSegmentedLEDDigit	See Also	Edit topic

Indicates the number of available segments.

Pascal

class function SegmentCount: Integer; override;

Description

SegmentCount indicates the number of segments the digit supports. It ignores any settings that would hide segments and will thus always return the same value, regardless of any property settings.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentName, TJvCustomSegmentedLEDDigit.GetSegmentIndex


TJvBaseValidator
JEDI-VCL Reference

TJvBaseValidator

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base class for validators.

Pascal

TJvBaseValidator = class(TJvComponent);

File

JvValidators

Description

TJvBaseValidator is the base class that other validators must derive from. To create your own validator, derive a new validator from TJvBaseValidator and register it using RegisterBaseValidator. Since RegisterBaseValidator is a class function, you can call it without an instance of the class, like this:

    TJvBaseValidator.RegisterBaseValidator('Master Card Validator',TMasterCardValidator);

Created with Doc-O-Matic.


TJvBaseValidator Properties

TJvBaseValidator	Legend

Properties

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvBaseValidator Events

TJvBaseValidator	Legend

Events

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvBaseValidator Methods

TJvBaseValidator

Methods

RegisterBaseValidator

Created with Doc-O-Matic.


Legend

TJvBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBaseValidator


TJvBaseValidator Members

TJvBaseValidator	Legend

Members

Properties

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Events

 OnValidateFailed

Methods

RegisterBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvValidationSummary, TJvValidators


TJvBaseValidator.ControlToValidate property

TJvBaseValidator	See Also	Edit topic

Specifies the control to perform validation on.

Pascal

property ControlToValidate: TControl;

Description

Read ControlToValidate to determine the control the validation is to be performed against. ControlToValidate is one of the two properties that has to be set up to make validation possible (PropertyToValidate is the other).

If you set up ControlToValidate to a valid TControl at design time, the Object Inspector lists all published properties of the control in a drop-down list for the PropertyToValidate property.

Created with Doc-O-Matic.


See Also

Validate


TJvBaseValidator.Enabled property

TJvBaseValidator	Edit topic

Specifies if the validator is Enabled or not.

Pascal

property Enabled: Boolean;

Description

Read Enabled to determine if the validator is active or not. Change Enabled to disable/enable a validator without having to delete it.

Created with Doc-O-Matic.


TJvBaseValidator.ErrorMessage property

TJvBaseValidator	See Also	Edit topic

The message to display in case of error.

Pascal

property ErrorMessage: string;

Description

ErrorMessage is the text that describes the reason for a validation to fail. How the message is displayed is not predefined You can use various methods to display the error, using the OnValidateFailed event, assigning a valid component to ValidationSummary or a valid component to the ErrorIndicator property or use any other custom method of your choice.

Created with Doc-O-Matic.


See Also

TJvBaseValidator.OnValidateFailed, TJvValidators.ErrorIndicator, TJvValidators.ValidationSummary


TJvBaseValidator.OnValidateFailed event

TJvBaseValidator	See Also	Edit topic

Occurs when the validation fails.

Pascal

property OnValidateFailed: TNotifyEvent;

Description

Write a handler for the OnValidateFailed event to take specific action when a validation fails. If you don't write any event handler, you should use one of the other means of displaying the error to the user, either using an ErrorIndicator, a ValidationSummary or a custom method.

Notes

TJvValidators also has an OnValidateFailed event. You can use either or both depending on your needs. The OnValidateFailed event of TJvValidators is triggered even if the OnValidateFailed event of a validator is assigned.

Created with Doc-O-Matic.


See Also

TJvValidators.ErrorIndicator, TJvValidators.ValidationSummary


TJvBaseValidator.PropertyToValidate property

TJvBaseValidator	See Also	Edit topic

Specifies the property to validate.

Pascal

property PropertyToValidate: string;

Description

PropertyToValidate is the property in the control to perform validation against. You must assign a valid published property of the control (as specified by ControlToValidate) for the validator to be able to perform the validation.

If the value to validate is not a published property or maybe not a value at all, you have two options: either use a TJvCustomValidator or implement the IJvValidationProperty interface in the control that is to be validated.

If ControlToValidate implements the IJvValidationProperty interface, the methods of that interface is called to retrieve the value to validate and the PropertyToValidate is ignored completely.

Created with Doc-O-Matic.


See Also

TJvBaseValidator.ControlToValidate


TJvBaseValidator.Valid property

TJvBaseValidator	See Also	Edit topic

Specifies if the validation was successful.

Pascal

property Valid: Boolean;

Description

Read Valid to find out if the validation was successful or not. Valid is a passive property, i.e it is not updated unless a call is made to the protected Validate method or a value is assigned directly to the Valid property.

The value of Valid can only be trusted after a call to TJvValidators.Validate since this method forces all validators to update the Valid property.

Created with Doc-O-Matic.


See Also

Validate


TJvBaseValidator.Value property

TJvBaseValidator	See Also	Edit topic

The value to validate.

Pascal

property Value: Variant;

Description

Read Value to determine the value that is being validated. Value is mostly retrieved from the control and property as set up by ControlToValidate and PropertyToValidate but in some validators Value can be calculated by other means.

This property is read-only.

Created with Doc-O-Matic.


See Also

TJvBaseValidator.ControlToValidate, TJvBaseValidator.PropertyToValidate


TJvBaseValidator.RegisterBaseValidator method

TJvBaseValidator	Edit topic

Registers a validator.

Pascal

class procedure RegisterBaseValidator(const DisplayName: string; AValidatorClass: TJvBaseValidatorClass);

Parameters

const DisplayName: string

The name to use for this validator. This name is used by the TJvValidators's design time editor to display a list of available validators.

AValidatorClass: TJvBaseValidatorClass

The class that should be registered.

Description

Call RegisterBaseValidator to register a new validator. Since RegisterBaseValidator is a class function, you can call it without creating an instance of TJvBaseValidator, like this:

    TJvBaseValidator.RegisterBaseValidator('Master Card Validator',TMasterCardValidator);

Created with Doc-O-Matic.


TJvBehaviorLabel
JEDI-VCL Reference

 TJvBehaviorLabel

Hierarchy	Properties	Events	Package	 Edit topic

Label with various special effects.

Pascal

TJvBehaviorLabel = class(TJvCustomBehaviorLabel);

File

JvBehaviorLabel

Description

To use a TJvBehaviorLabel label, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to a specific effect, for example 'Typing'.

Alter the properties of BehaviorOptions to your needs.

Set Active to True at design-time, or set this property at run-time to start the effect.

Created with Doc-O-Matic.


TJvBehaviorLabel Properties

TJvBehaviorLabel	Legend

Properties

 Behavior

 BehaviorOptions

TJvCustomBehaviorLabel

 Behavior

 BehaviorOptions

EffectText

UseEffectText

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvBehaviorLabel Events

TJvBehaviorLabel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnStart

 OnStop

TJvCustomBehaviorLabel

 OnStart

 OnStop

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvBehaviorLabel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomLabel, IJvExControl
        TJvExCustomLabel
            TJvCustomBehaviorLabel
                TJvBehaviorLabel


TJvBehaviorLabel Members

TJvBehaviorLabel	Legend

Members

Properties

 Behavior

 BehaviorOptions

TJvCustomBehaviorLabel

 Behavior

 BehaviorOptions

EffectText

UseEffectText

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnStart

 OnStop

TJvCustomBehaviorLabel

 OnStart

 OnStop

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Ctrls


TJvBehaviorLabel.Behavior property

TJvBehaviorLabel	See Also	Edit topic

Specifies a specific behavior for the label.

Pascal

property Behavior: TJvLabelBehaviorName;

Description

Use Behavior to select a specific effect for the label. You can select one of the following:

Appearing: Scrolls the label over the form.

Blinking: Blinks the text of the label.

Bouncing: Bounces the label over the form.

CodeBreaker: Simulates breaking a code.

Scrolling: Scrolls the text of the label.

Special: Makes individual letters of the label appear one after each other.

Typing: Type effect: makes individual letters of the label appear one after each other.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.BehaviorOptions


TJvBehaviorLabel.BehaviorOptions property

TJvBehaviorLabel	See Also	Edit topic

Controls the specific behavior (special effect) of the label.

Pascal

property BehaviorOptions: TJvLabelBehavior;

Description

Use the properties of BehaviorOptions to alter the specific behavior of the label. You can specify a specific behavior for the label by setting property Behavior. Different special effect have different options.

For example if you set Behavior to 'Scrolling', you can use BehaviorOptions to alter the interval between scrolling events.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.Behavior


TJvBehaviorLabel.OnMouseEnter event

TJvBehaviorLabel	See Also	Edit topic

Occurs when the mouse pointer moves over the label.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the label.

Created with Doc-O-Matic.


See Also

TJvExCustomLabel.OnMouseLeave


TJvBehaviorLabel.OnMouseLeave event

TJvBehaviorLabel	See Also	Edit topic

Occurs when the mouse pointer moves off the label.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the label. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomLabel.OnMouseEnter


TJvBehaviorLabel.OnParentColorChange event

TJvBehaviorLabel	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvBehaviorLabel.OnStart event

TJvBehaviorLabel	See Also	Edit topic

Occurs when the label effect starts.

Pascal

property OnStart: TNotifyEvent;

Description

Write an OnStart event handler to take specific actions when the label effect starts.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.OnStop, TJvLabelBehavior.Active


TJvBehaviorLabel.OnStop event

TJvBehaviorLabel	See Also	Edit topic

Occurs when the label effect stops.

Pascal

property OnStop: TNotifyEvent;

Description

Write an OnStart event handler to take specific actions when the label effect stops.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.OnStart, TJvLabelBehavior.Active


TJvBevel
JEDI-VCL Reference

 TJvBevel

Hierarchy	Properties	Events	Package	 Edit topic

Bevel control with additional events and properties.

Pascal

TJvBevel = class(TJvExBevel);

File

JvBevel

Description

TJvBevel is a visual component that creates beveled boxes, frames, or lines. The bevel can appear raised or lowered. In additions to all the properties of TBevel the HintColor can be changed and various events can be monitored.

In addition to the usual events associated with the TControl descendants, OnMouseEnter and OnMouseLeave have been created. Their default action change and restore the HintColor.

To use TJvBevel:

Drop the component on any control that accepts child controls.

Set the Top, Left, Width and Height of the component with the mouse or through the Object Inspector.

Modify the Shapes, Style properties as you would do with TBevel.

Create events if required.

Select HintColor if required.

Created with Doc-O-Matic.


TJvBevel Properties

TJvBevel	Legend

Properties

 HintColor

TJvExBevel

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvBevel Events

TJvBevel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExBevel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvBevel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TBevel, IJvExControl
        TJvExBevel
            TJvBevel


TJvBevel Members

TJvBevel	Legend

Members

Properties

 HintColor

TJvExBevel

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExBevel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvBevel.HintColor property

TJvBevel	See Also	Edit topic

Color of the hint when the mouse hovers over the control.

Pascal

property HintColor: TColor;

Description

TJvBevel provides the mechanism of having another color when the mouse pointer hovers over the control. The default is the Windows HintColor default (Delphi Color: clInfoBk)

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvBevel.OnMouseEnter event

TJvBevel	See Also	Edit topic

Occurs when the mouse pointer moves over the bevel.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the bevel.

Created with Doc-O-Matic.


See Also

TJvExBevel.OnMouseLeave


TJvBevel.OnMouseLeave event

TJvBevel	See Also	Edit topic

Occurs when the mouse pointer moves off the bevel.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the bevel. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExBevel.OnMouseEnter


TJvBevel.OnParentColorChange event

TJvBevel	Edit topic

Occurs when the color property for the parent of the label changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event handler to take specific actions when the ParentColor property changes.

Created with Doc-O-Matic.


TJvBIOSInfo
JEDI-VCL Reference

TJvBIOSInfo

Hierarchy	Properties	 Edit topic

Encapsulates various BIOS information.

Pascal

TJvBIOSInfo = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

Encapsulates various BIOS information. This is a read-only class.

Created with Doc-O-Matic.


TJvBIOSInfo Properties

TJvBIOSInfo	Legend

Properties

 Copyright

 Date

 ExtendedInfo

 Name

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvBIOSInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvBIOSInfo


TJvBIOSInfo Members

TJvBIOSInfo	Legend

Members

Properties

 Copyright

 Date

 ExtendedInfo

 Name

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvBIOSInfo.Copyright property

TJvBIOSInfo	Edit topic

Holds the BIOS Copyright notice

Pascal

property Copyright: string;

Description

Contains the copyright notice of the BIOS. If the BIOS doesn't contain a copyright or is unsupported by the BIOS, this property returns an empty string.

Created with Doc-O-Matic.


TJvBIOSInfo.Date property

TJvBIOSInfo	Edit topic

Contains the BIOS date.

Pascal

property Date: TDateTime;

Description

Contains the BIOS date. If the BIOS date is unavailable, returns 0.0 (1899-12-30)

Created with Doc-O-Matic.


TJvBIOSInfo.ExtendedInfo property

TJvBIOSInfo	Edit topic

Contains additional information stored in the BIOS.

Pascal

property ExtendedInfo: string;

Description

Contains arbitrary extra data that might be stored in the BIOS. If not extra data has been stored, returns an empty string.

Created with Doc-O-Matic.


TJvBIOSInfo.Name property

TJvBIOSInfo	Edit topic

Contains the BIOS name.

Pascal

property Name: string;

Description

Contains the name of the BIOS. If no name is specified, returns an empty string.

Created with Doc-O-Matic.


TJvBitBtn
JEDI-VCL Reference

 TJvBitBtn

Hierarchy	Properties	Events	Package	 Edit topic

An extended version of the TBitBtn control.

Pascal

TJvBitBtn = class(TJvExBitBtn);

File

JvBitBtn

Description

TJvBitBtn extends the standard TBitBtn with hot tracking, a colored hint, the possibility to attach a drop down menu and OnMouseEnter, OnMouseLeave and OnParentColorChange events.

To use a JvBitBtn button

drop a TJvBitBtn on a form.

Set HotTrack to true to provide visual feedback when the mouse is over the button. Use HotTrackFont and HotGlyph to alter the appearance of the button when it is under the mouse.

Use HintColor to change the color of the hint box for the button

Use DropDownMenu to attach a popup menu as drop down menu to the button.

Write code for the OnMouseEnter, OnMouseLeave or OnParentColorChange event if any special processing is needed on any of these events.

Created with Doc-O-Matic.


TJvBitBtn Properties

TJvBitBtn	Legend

Properties

 Canvas

 DropDownMenu

 HintColor

 HotGlyph

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 SimpleFrame

TJvExBitBtn

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvBitBtn Events

TJvBitBtn	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExBitBtn

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvBitBtn

Legend

read only

published

protected

Created with Doc-O-Matic.


Hierarchy

TBitBtn, IJvExControl
        TJvExBitBtn
            TJvBitBtn


TJvBitBtn Members

TJvBitBtn	Legend

Members

Properties

 Canvas

 DropDownMenu

 HintColor

 HotGlyph

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 SimpleFrame

TJvExBitBtn

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExBitBtn

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


Package

StdCtrls


TJvBitBtn.Canvas property

TJvBitBtn	Edit topic

Canvas of the button.

Pascal

property Canvas: TCanvas;

Description

Canvas is a reference to the canvas of the button. You can use this canvas to add items to the buttons image.

Created with Doc-O-Matic.


TJvBitBtn.DropDownMenu property

TJvBitBtn	Edit topic

Identifies a pop-up menu associated with the button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a value to DropDownMenu to make a menu appear when the button is pressed (To display the menu programmatically, call the button’s Click method). If the menu’s AutoPopup property is set to true, the menu appears automatically. If AutoPopup is false, display the menu by calling the menu’s Popup method in the button’s OnClick event handler.

Created with Doc-O-Matic.


TJvBitBtn.HintColor property

TJvBitBtn	See Also	Edit topic

Determines the color of the Help Hint boxes of the button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. Default this color has the value clInfoBk. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


See Also

TJvBitBtn.HotTrack


TJvBitBtn.HotGlyph property

TJvBitBtn	See Also	Edit topic

Specifies the bitmap that appears on the button when the mouse points to it.

Pascal

property HotGlyph: TBitmap;

Description

Set HotGlyph to a bitmap object that contains the image that should appear on the face of the button when the mouse passes over it at runtime. If HotGlyph is unassigned, the button retains its regular image (specified by the Glyph property) when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

TJvBitBtn.HotTrack, TJvBitBtn.HotTrackFont


TJvBitBtn.HotTrack property

TJvBitBtn	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback when the button is under the mouse. When HotTrack is false, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvBitBtn.HotTrackFont property

TJvBitBtn	See Also	Edit topic

Specifies the font used when the mouse passes over the button, and HotTrack is true.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to true, HotTrackFont is used as the font for the button text. To change the font, change the value of the Charset, Color, Height, Name, Pitch, Size, and/or Style of the HotTrackFont property.

Created with Doc-O-Matic.


See Also

TJvBitBtn.HotGlyph, TJvBitBtn.HotTrack, TJvBitBtn.HotTrackFontOptions


TJvBitBtn.HotTrackFontOptions property

TJvBitBtn	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

TJvBitBtn.HotTrack, TJvBitBtn.HotTrackFont


TJvBitBtn.OnMouseEnter event

TJvBitBtn	See Also	Edit topic

Occurs when the mouse pointer moves over the button.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the button.

Created with Doc-O-Matic.


See Also

TJvExBitBtn.OnMouseLeave


TJvBitBtn.OnMouseLeave event

TJvBitBtn	See Also	Edit topic

Occurs when the mouse pointer moves off the button.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the button. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExBitBtn.OnMouseEnter


TJvBitBtn.OnParentColorChange event

TJvBitBtn	Edit topic

Occurs when the color property for the parent of the button changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvBitBtn.SimpleFrame property

TJvBitBtn	Edit topic

Not documented

Pascal

property SimpleFrame: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBmpAnimator
JEDI-VCL Reference

 TJvBmpAnimator

Hierarchy	Properties	Package	 Edit topic

A component for playing a series of bitmaps.

Pascal

TJvBmpAnimator = class(TJvCustomBmpAnimator);

File

JvBmpAnimator

Description

TJvBmpAnimator is a component for showing .BMP files in sequence, like the explorer logo in Internet Explorer. The animation runs in a loop. To use it you need an imagelist to hold the bitmaps, set the speed and the direction, and set the active property to true.

Created with Doc-O-Matic.


TJvBmpAnimator Properties

TJvBmpAnimator	Legend

Properties

 Active

 AutoSize

 Centered

 Direction

 Images

 Max

 Min

 NumFrames

 Position

 Speed

 Transparent

TJvCustomBmpAnimator

 Active

 AutoSize

 Centered

 Direction

 Images

 Max

 Min

 NumFrames

 Position

 Speed

 Transparent

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvBmpAnimator

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomBmpAnimator
            TJvBmpAnimator


TJvBmpAnimator Members

TJvBmpAnimator	Legend

Members

Properties

 Active

 AutoSize

 Centered

 Direction

 Images

 Max

 Min

 NumFrames

 Position

 Speed

 Transparent

TJvCustomBmpAnimator

 Active

 AutoSize

 Centered

 Direction

 Images

 Max

 Min

 NumFrames

 Position

 Speed

 Transparent

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

MM


TJvBmpAnimator.Active property

TJvBmpAnimator	Edit topic

Indicates whether the animation is running.

Pascal

property Active: Boolean;

Description

Set this property to True to start the animation.

Created with Doc-O-Matic.


TJvBmpAnimator.AutoSize property

TJvBmpAnimator	Edit topic

Indicates whether the width and height of the imagelist should be used.

Pascal

property AutoSize: Boolean;

Description

Set this property to True to use the width and height of the imagelist component which holds the images for the animation.

Created with Doc-O-Matic.


TJvBmpAnimator.Centered property

TJvBmpAnimator	Edit topic

Indicates whether the images should be painted in the center of the area of the component.

Pascal

property Centered: Boolean;

Description

Set this property to true if the images should be painted inside the area indicated by the component. Useful if the area is larger than the images are.

Created with Doc-O-Matic.


TJvBmpAnimator.Direction property

TJvBmpAnimator	See Also	Edit topic

Sets the direction of the animation.

Pascal

property Direction: TJvAnimateDirection;

Description

Use this property to specify the direction of the animation.

Created with Doc-O-Matic.


See Also

TJvAnimateDirection


TJvBmpAnimator.Images property

TJvBmpAnimator	Edit topic

Property of type TImageList, to hold the images.

Pascal

property Images: TCustomImageList;

Description

Use this property to specify the TImageList component that holds the images for the animation.

Created with Doc-O-Matic.


TJvBmpAnimator.Max property

TJvBmpAnimator	Edit topic

Property to indicate the last frame of the sequence.

Pascal

property Max: Integer;

Description

Use this property to set the last frame of the animation.

Created with Doc-O-Matic.


TJvBmpAnimator.Min property

TJvBmpAnimator	Edit topic

Property to indicate the first frame of the sequence.

Pascal

property Min: Integer;

Description

Use this property to set the first frame of the animation.

Created with Doc-O-Matic.


TJvBmpAnimator.NumFrames property

TJvBmpAnimator	Edit topic

Property to specify the number of frames.

Pascal

property NumFrames: Integer;

Description

Use this property to specify the number of frames in the animation. A value of 0 will show all the images.

Created with Doc-O-Matic.


TJvBmpAnimator.Position property

TJvBmpAnimator	Edit topic

Property to specify the frame shown when the animation is stopped.

Pascal

property Position: Integer;

Description

Set this property to indicate which frame is shown when the animation is stopped.

Created with Doc-O-Matic.


TJvBmpAnimator.Speed property

TJvBmpAnimator	Edit topic

Property to specify the speed of the animation.

Pascal

property Speed: Integer;

Description

Use this property to set the speed of the animation. The value indicates the number of frames per second.

Created with Doc-O-Matic.


TJvBmpAnimator.Transparent property

TJvBmpAnimator	Edit topic

Property for making the background of the component transparent.

Pascal

property Transparent: Boolean;

Description

Use this property to make the background of the component transparent.

Created with Doc-O-Matic.


TJvBrowseFolderDialog
JEDI-VCL Reference

TJvBrowseFolderDialog

Hierarchy	Properties	 See Also	Edit topic

Displays a dialog box enabling the user to select a Shell folder.

Pascal

TJvBrowseFolderDialog = class(TJvCommonDialog);

File

JvWinDialogs

Description

TJvBrowseFolderDialog is a wrapper for the SHBrowseForFolder windows API. It can display the Browse dialog box, do this by calling the Execute method.

Use the TJvBrowseForFolderDialog component instead if you want to have more control.

Created with Doc-O-Matic.


TJvBrowseFolderDialog Properties

TJvBrowseFolderDialog	Legend

Properties

 Caption

 FolderName

TJvCommonDialog

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvBrowseFolderDialog

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog
        TJvBrowseFolderDialog


TJvBrowseFolderDialog Members

TJvBrowseFolderDialog	Legend

Members

Properties

 Caption

 FolderName

TJvCommonDialog

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvBrowseForFolderDialog


TJvBrowseFolderDialog.Caption property

TJvBrowseFolderDialog	Edit topic

Specifies the string that is displayed above the tree view control in the dialog box.

Pascal

property Caption: string;

Description

Use Caption to specify a string that is displayed above the tree view control in the dialog box. This string can be used to specify instructions to the user.

Created with Doc-O-Matic.


TJvBrowseFolderDialog.FolderName property

TJvBrowseFolderDialog	Edit topic

Indicates the directory path of the last folder selected.

Pascal

property FolderName: string;

Description

The FolderName property returns the path of the most recently selected item.

Created with Doc-O-Matic.


TJvBrowseForFolderAction
JEDI-VCL Reference

TJvBrowseForFolderAction

Hierarchy	Properties	Events	 Edit topic

Displays a Browse For Folder dialog.

Pascal

TJvBrowseForFolderAction = class(TJvCommonDialogFAction);

File

JvDialogActns

Description

Use the TJvBrowseForFolderAction as an alternate way of displaying a Browse For Folder dialog. The action internally uses the TJvBrowseForFolderDialog to implement the functionality.

Created with Doc-O-Matic.


TJvBrowseForFolderAction Properties

TJvBrowseForFolderAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvBrowseForFolderAction Events

TJvBrowseForFolderAction	Legend

Events

TJvCommonDialogFAction

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvBrowseForFolderAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvCommonDialogFAction
            TJvBrowseForFolderAction


TJvBrowseForFolderAction Members

TJvBrowseForFolderAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogFAction

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvBrowseForFolderAction.Dialog property

TJvBrowseForFolderAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvBrowseForFolderDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvBrowseForFolderDialog
JEDI-VCL Reference

 TJvBrowseForFolderDialog

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Displays a dialog box enabling the user to select a Shell folder.

Pascal

TJvBrowseForFolderDialog = class(TJvCommonDialogF, IFolderFilter);

File

JvBrowseFolder

Description

TJvBrowseForFolderDialog is a wrapper for the SHBrowseForFolder windows API. It can display the Browse dialog box, do this by calling the Execute method.

It supports:

Setting the root folder in the dialog box: You can specify a special folder as root folder from which to start browsing by setting property RootDirectory. Alternatively you can use RootDirectoryPath to specify a normal folder as root folder. Only the specified folder and any subfolders that are beneath it in the namespace hierarchy will appear in the dialog box. Use property Directory to make an item selected by default in the dialog’s box

Setting your own instructions text: Use the properties Title and StatusText for this task. You can also change the text while the dialog is displayed by calling SetStatusText.

Changing the OK button text: You can change text OK button text while the dialog is displayed by calling SetOKText.

Events that notify about selection changes and validation: Use OnChange to respond when the selection has changed in the Browse dialog box. Use OnAcceptChange to enable or disable the OK button depending on the value of the newly selected item.

Customize filtering (Only for windows XP): Windows XP enables you to filter out items that you don't want to be displayed in the dialog. Write event handlers for the OnGetEnumFlags and OnShouldShow events for this task.

You can preview this dialog at design-time, by right-clicking the component and clicking 'Preview...'.

Created with Doc-O-Matic.


TJvBrowseForFolderDialog Properties

TJvBrowseForFolderDialog	Legend

Properties

 Directory

 DisplayName

 Handle

 HelpContext

 Options

 Pidl

 Position

 RootDirectory

 RootDirectoryPath

 StatusText

 Title

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvBrowseForFolderDialog Events

TJvBrowseForFolderDialog	Legend

Events

 OnAcceptChange

 OnChange

 OnGetEnumFlags

 OnInitialized

 OnShouldShow

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvBrowseForFolderDialog Methods

TJvBrowseForFolderDialog	Legend

Methods

 Execute

SetExpanded

SetExpandedW

SetOKEnabled

SetOKText

SetOKTextW

SetSelection

SetStatusText

SetStatusTextW

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvBrowseForFolderDialog

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF, IFolderFilter
                TJvBrowseForFolderDialog


TJvBrowseForFolderDialog Members

TJvBrowseForFolderDialog	Legend

Members

Properties

 Directory

 DisplayName

 Handle

 HelpContext

 Options

 Pidl

 Position

 RootDirectory

 RootDirectoryPath

 StatusText

 Title

TJvComponent

 AboutJVCL

Events

 OnAcceptChange

 OnChange

 OnGetEnumFlags

 OnInitialized

 OnShouldShow

 OnValidateFailed

Methods

 Execute

SetExpanded

SetExpandedW

SetOKEnabled

SetOKText

SetOKTextW

SetSelection

SetStatusText

SetStatusTextW

TJvCommonDialogF

 Execute

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


Package

StdCtrls


TJvBrowseForFolderDialog.Directory property

TJvBrowseForFolderDialog	See Also	Edit topic

Indicates the directory path of the last folder selected.

Pascal

property Directory: string;

Description

The Directory property returns the path of the most recently selected item.

To make an item selected by default in the dialog’s box, assign a value to Directory in the Object Inspector or in program code. Programmatic changes to Directory have no effect while the dialog is active, use SetSelection for this purpose.

Created with Doc-O-Matic.


See Also

SetSelection


TJvBrowseForFolderDialog.DisplayName property

TJvBrowseForFolderDialog	See Also	Edit topic

Indicates the display name of the folder selected by the user.

Pascal

property DisplayName: string;

Description

Read DisplayName to retrieve the display name of the folder selected by the user after a call to Execute. Alternatively read Directory to retrieve the path of the folder the user selected.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.Directory


TJvBrowseForFolderDialog.Handle property

TJvBrowseForFolderDialog	See Also	Edit topic

Specifies the window handle of the dialog.

Pascal

property Handle: THandle;

Description

The Handle property, which provides access to the dialog’s window handle after a call to Execute, can be used in the event handlers. Handle is reset to 0 after the dialog closes.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.OnInitialized, Execute


TJvBrowseForFolderDialog.HelpContext property

TJvBrowseForFolderDialog	Edit topic

Specifies the context number for online Help.

Pascal

property HelpContext: THelpContext;

Description

The HelpContext property is an integer value that determines which Help screen appears when the user requests context-sensitive online Help.

Created with Doc-O-Matic.


TJvBrowseForFolderDialog.OnAcceptChange event

TJvBrowseForFolderDialog	See Also	Edit topic

Occurs after the selection has changed in the Browse dialog box.

Pascal

TJvBrowseAcceptChange = procedure (Sender: TObject; const NewFolder: string; var Accept: Boolean) of object;
property OnAcceptChange: TJvBrowseAcceptChange;

Parameters

Accept

Set to true to enable the dialog's OK button, set to false to disable the dialog's OK button.

NewFolder

Specifies the newly selected item.

Sender

The TJvBrowseForFolderDialog component that has sent this event.

Description

Write an OnAcceptChange event handler to enable or disable the Browse dialog's OK button, depending on the newly selected item.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.OnChange, TJvBrowseForFolderDialog.OnValidateFailed, TJvBrowseForFolderDialog.SetOKEnabled


TJvBrowseForFolderDialog.OnChange event

TJvBrowseForFolderDialog	See Also	Edit topic

Occurs after the selection has changed in the Browse dialog box.

Pascal

TJvDirChange = procedure (Sender: TObject; const Directory: string) of object;
property OnChange: TJvDirChange;

Parameters

Directory

Specifies the newly selected item.

Sender

The TJvBrowseForFolderDialog component that has sent this event.

Description

Write an OnChange event handler to take specific actions when the user selects an item in the Browse dialog box. For example you can call SetStatusText to change the status text depending on the newly selected item.

Alternatively use the OnAcceptChange event to enable or disable the Browse dialog's OK button, depending on the newly selected item.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.OnAcceptChange, TJvBrowseForFolderDialog.OnValidateFailed, TJvBrowseForFolderDialog.SetOKEnabled


TJvBrowseForFolderDialog.OnGetEnumFlags event

TJvBrowseForFolderDialog	See Also	Edit topic

Occurs for each Shell folder before the dialog displays it.

Pascal

TJvGetEnumFlagsEvent = procedure (Sender: TObject; const AFolder: string; var Flags: TJvBrowsableObjectClasses) of object;
property OnGetEnumFlags: TJvGetEnumFlagsEvent;

Parameters

Flags

Set Flags to the classes of objects that should be enumerated in the folder specified by AFolder.

AFolder

Indicates the Shell folder that is to be displayed.

Sender

The TJvBrowseForFolderDialog component that has sent this event.

Description

Write an OnGetEnumFlags event handler to specify which classes of objects in a Shell folder should be enumerated.

Notes

Only for windows XP systems.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.OnShouldShow


TJvBrowseForFolderDialog.OnInitialized event

TJvBrowseForFolderDialog	Edit topic

Occurs after the Browse dialog box has finished initializing.

Pascal

property OnInitialized: TNotifyEvent;

Description

Write an OnInitialized event handler to respond when the Browse dialog has finished initializing.

Created with Doc-O-Matic.


TJvBrowseForFolderDialog.OnShouldShow event

TJvBrowseForFolderDialog	See Also	Edit topic

Occurs for each item in a folder before the dialog displays it.

Pascal

TJvShouldShowEvent = procedure (Sender: TObject; const Item: string; var DoShow: Boolean) of object;
property OnShouldShow: TJvShouldShowEvent;

Parameters

DoShow

Set to true to have the item displayed, set to false to prevent the item from being displayed.

Item

Indicates the item that is to be displayed.

Sender

The TJvBrowseForFolderDialog component that has sent this event.

Description

Write an OnShouldShow event handler to specify which individual items of a folder should be displayed in the dialog.

Notes

Only for windows XP systems.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.OnGetEnumFlags


TJvBrowseForFolderDialog.OnValidateFailed event

TJvBrowseForFolderDialog	See Also	Edit topic

Occurs when the user typed an invalid name into the edit box of the Browse dialog box.

Pascal

TJvValidateFailedEvent = procedure (Sender: TObject; const AEditText: string; var CanCloseDialog: Boolean) of object;
property OnValidateFailed: TJvValidateFailedEvent;

Parameters

CanCloseDialog

Set to true to allow the dialog to be dismissed, set to false to keep the dialog displayed.

AEditText

Specifies the invalid name.

Sender

The TJvBrowseForFolderDialog component that has sent this event.

Description

Write an OnValidateFailed event handler to respond when the user types an invalid name into the edit box of the Browse dialog box.

Set the CanCloseDialog parameter to false to prevent the dialog from closing. The OnValidateFailed event handler is responsible for telling the user why the dialog doesn’t close.

Flags odEditBox and odValidate must be included in Options.

Notes

Only for shell versions 4.71 and up.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.OnAcceptChange, TJvBrowseForFolderDialog.OnChange, TJvBrowseForFolderDialog.SetOKEnabled


TJvBrowseForFolderDialog.Options property

TJvBrowseForFolderDialog	See Also	Edit topic

Determines the appearance and behavior of the Browse dialog box.

Pascal

property Options: TOptionsDir;

Description

Use the Options property to customize the appearance and functionality of the dialog. Use these flags to specify:

Which items should be displayed in the dialog. (Folders, Printers, URL's)

Which visual controls should be displayed in the dialog. (Edit control, "New Folder" button, usage hint label)

Whether the new user interface should be used.

Whether names entered into the edit box should be validated.

Note that the component enforces a correct setting of Options; thus, by including a flag in Options, some more flags may be included or excluded from Options.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.Directory


TJvBrowseForFolderDialog.Pidl property

TJvBrowseForFolderDialog	See Also	Edit topic

Indicates the selected item as pointer to an item identifier list.

Pascal

property Pidl: PItemIDList;

Description

Read LastPidl to retrieve the selected item as pointer to an item identifier list, after a successful call to Execute.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.Directory, TJvBrowseForFolderDialog.DisplayName


TJvBrowseForFolderDialog.Position property

TJvBrowseForFolderDialog	Edit topic

Represents the placement of the dialog box.

Pascal

property Position: TJvFolderPos;

Description

Use Position to get or set the placement of the Browse dialog box.

Created with Doc-O-Matic.


TJvBrowseForFolderDialog.RootDirectory property

TJvBrowseForFolderDialog	See Also	Edit topic

Specifies the location of the root folder from which to start browsing.

Pascal

property RootDirectory: TFromDirectory;

Description

Use RootDirectory to specify a special folder as root folder from which to start browsing. Only the specified folder and any subfolders that are beneath it in the namespace hierarchy will appear in the dialog box.

Property RootDirectory can be used to specify a specific folder which may not have the same name or location on any given system. For example, the system folder may be "C:\Windows" on one system and "C:\Winnt" on another.

Setting RootDirectory to fdNoSpecialFolder specifies that RootDirectoryPath should be used as root folder for the dialog.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.Directory, TJvBrowseForFolderDialog.RootDirectoryPath


TJvBrowseForFolderDialog.RootDirectoryPath property

TJvBrowseForFolderDialog	See Also	Edit topic

Specifies the location of the root folder from which to start browsing.

Pascal

property RootDirectoryPath: string;

Description

Use RootDirectoryPath to specify the location of the root folder from which to start browsing. Only the specified folder and any subfolders that are beneath it in the namespace hierarchy will appear in the dialog box.

Use RootDirectory instead of RootDirectoryPath to specify the root directory in a unique system-independent way.

RootDirectory must be set to fdNoSpecialFolder, otherwise the value of RootDirectoryPath is ignored.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.Directory, TJvBrowseForFolderDialog.RootDirectory


TJvBrowseForFolderDialog.StatusText property

TJvBrowseForFolderDialog	See Also	Edit topic

Specifies the string that is displayed above the tree view control in the dialog box.

Pascal

property StatusText: string;

Description

Use StatusText in combination with Title to specify a string that is displayed above the tree view control in the dialog box. This string can be used to specify instructions to the user.

Title may consist of two lines of text. You can add another line by including flag odStatusAvailable in Options, and setting property StatusText.

Setting StatusText to an empty string and including flag odStatusAvailable in Options, will display the path of the last selected directory above the tree view control. (Only if odNewDialogStyle is not included in Options)

You can also call SetStatusText when the dialog is active to change the status text.

Flag odStatusAvailable must be included in Options and odNewDialogStyle must be excluded from Options, otherwise the value of this property is ignored.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.Options, TJvBrowseForFolderDialog.Title


TJvBrowseForFolderDialog.Title property

TJvBrowseForFolderDialog	See Also	Edit topic

Specifies the string that is displayed above the tree view control in the dialog box.

Pascal

property Title: string;

Description

Use Title in combination with StatusText to specify a string that is displayed above the tree view control in the dialog box. This string can be used to specify instructions to the user.

Title may consist of two lines of text. You can add another line by including flag odStatusAvailable in Options, and setting property StatusText.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.StatusText


TJvBrowseForFolderDialog.Execute method

TJvBrowseForFolderDialog	See Also	Edit topic

Displays the Browse dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true when the user selects a folder and clicks the OK button, false otherwise.

Description

Execute opens the file-selection dialog. The selected directory is returned in Directory.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.Directory


TJvBrowseForFolderDialog.SetExpanded method (string)

TJvBrowseForFolderDialog	See Also	Edit topic

Expands a path in the Browse dialog box.

Pascal

procedure SetExpanded(const APath: string); overload;
procedure SetExpandedW(const APath: WideString);
procedure SetExpanded(IDList: PItemIDList); overload;

Parameters

const APath: string

Specifies the path to expand as a string or as a wide string.

IDList: PItemIDList

Specifies the path to expand as pointer to an item identifier list.

Description

Call SetExpanded or SetExpandedW to expand a path in the Browse dialog. The path to expand can be specified as pointer to an item identifier list (PIDL), as a string or as a wide string.

Calls to SetExpanded or SetExpandedW do have no effect while the dialog is not active.

Created with Doc-O-Matic.


See Also

SetSelection


TJvBrowseForFolderDialog.SetOKEnabled method

TJvBrowseForFolderDialog	See Also	Edit topic

Enables or disables the Browse dialog box's OK button.

Pascal

procedure SetOKEnabled(const Value: Boolean);

Parameters

const Value: Boolean

Set to true to enable the OK button. To disable the OK button, set Value to false.

Description

Call SetOKEnabled to enable or disable the Browse dialog box's OK button. For example you can call SetOKEnabled in an OnChange event handler to enable or disable the button depending on the newly selected item. But for this specific purpose you can also use OnAcceptChange.

Calls to SetOKEnabled do have no effect while the dialog is not active.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.OnAcceptChange, TJvBrowseForFolderDialog.OnChange, TJvBrowseForFolderDialog.OnValidateFailed, TJvBrowseForFolderDialog.SetOKText


TJvBrowseForFolderDialog.SetOKText method

TJvBrowseForFolderDialog	Edit topic

Sets the text that is displayed on the Browse dialog box's OK Button.

Pascal

procedure SetOKText(const AText: string);
procedure SetOKTextW(const AText: WideString);

Parameters

const AText: string

Specifies the desired text for the OK Button.

Description

Call SetOKText to set the text that is displayed on the Browse dialog box's OK button. For example you can call SetOKText in an OnInitialized event handler, or call it in an OnChange to set the button text to a specific text depending on the newly selected item.

Calls to SetOKText do have no effect while the dialog is not active.

Created with Doc-O-Matic.


TJvBrowseForFolderDialog.SetSelection method (string)

TJvBrowseForFolderDialog	See Also	Edit topic

Selects a folder in the Browse dialog box.

Pascal

procedure SetSelection(const APath: string); overload;
procedure SetSelection(IDList: PItemIDList); overload;

Parameters

const APath: string

Specifies the path to expand as a string.

IDList: PItemIDList

Specifies the path to expand as pointer to an item identifier list.

Description

Call SetSelection to select a folder in the Browse dialog. The folder to select can be specified as pointer to an item identifier list (PIDL) or as a string. For example you can call SetSelection in an OnInitialized event handler, but for this specific purpose you can also use property Directory.

Calls to SetSelection do have no effect while the dialog is not active, use property Directory for this purpose.

Created with Doc-O-Matic.


See Also

SetExpanded


TJvBrowseForFolderDialog.SetStatusText method

TJvBrowseForFolderDialog	See Also	Edit topic

Sets the status text in the Browse dialog box.

Pascal

procedure SetStatusText(const AText: string);
procedure SetStatusTextW(const AText: WideString);

Parameters

const AText: string

Specifies the desired status text.

Description

Call SetStatusText to change the string that is displayed above the tree view control in the dialog box.

Calls to SetStatusText or SetStatusTextW do have no effect while the dialog is not active, use property StatusText for this purpose.

Flag odNewDialogStyle must not be included in Options, otherwise this procedure will fail.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog.StatusText, TJvBrowseForFolderDialog.Title


TJvBrushPattern
JEDI-VCL Reference

TJvBrushPattern

Hierarchy	Properties	Methods	 Edit topic

Class that manages a brush pattern.

Pascal

TJvBrushPattern = class(TPersistent);

File

JvCustomItemViewer

Description

TJvBrushPattern handles a brush pattern bitmap that can be used for the Bitmap property of a TBrush. TJvBrushPattern creates the TBitmap as necessary and also makes sure that patterns not in use are disposed of correctly.

Created with Doc-O-Matic.


TJvBrushPattern Properties

TJvBrushPattern	Legend

Properties

 Active

 EvenColor

 OddColor

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvBrushPattern Methods

TJvBrushPattern

Methods

GetBitmap

Created with Doc-O-Matic.


Legend

TJvBrushPattern

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvBrushPattern


TJvBrushPattern Members

TJvBrushPattern	Legend

Members

Properties

 Active

 EvenColor

 OddColor

Methods

GetBitmap

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvBrushPattern.Active property

TJvBrushPattern	See Also	Edit topic

Determines if the brush pattern is in use.

Pascal

property Active: Boolean;

Description

Set the Active property to false when you don't want to use the TBitmap pattern returned by calling GetBitmap.

By convention, when Active is false, OddColor is used to draw the background.

Created with Doc-O-Matic.


See Also

TJvBrushPattern.EvenColor, TJvBrushPattern.GetBitmap, TJvBrushPattern.OddColor


TJvBrushPattern.EvenColor property

TJvBrushPattern	See Also	Edit topic

Defines the color to use for the even pixels in a pattern brush.

Pascal

property EvenColor: TColor;

Description

Set the value of EvenColor to define what color is used for even pixels in the brush pattern returned by calling GetBitmap.

Note "OddColor" and "EvenColor" aren't exactly correct terminology in this context since the bitmap is built by alternating EvenColor and OddColor in such a manner that it creates a checker board pattern.

Created with Doc-O-Matic.


See Also

TJvBrushPattern.GetBitmap, TJvBrushPattern.OddColor


TJvBrushPattern.OddColor property

TJvBrushPattern	See Also	Edit topic

Defines the color to use for the odd pixels in a pattern brush.

Pascal

property OddColor: TColor;

Description

Set the value of OddColor to define what color is used for odd pixels in the brush pattern returned by calling GetBitmap. Note "OddColor" and "EvenColor" aren't exactly correct terminology in this context since the bitmap is built by alternating EvenColor and OddColor in such a manner that it creates a checker board pattern.

Created with Doc-O-Matic.


See Also

TJvBrushPattern.EvenColor, TJvBrushPattern.GetBitmap


TJvBrushPattern.GetBitmap method

TJvBrushPattern	See Also	Edit topic

Returns a bitmap that can be used as a brush.

Pascal

function GetBitmap: TBitmap;

Return Value

If Active is false, nil is returned. If Active is true, a 8x8 TBitmap object is returned.

Description

Call GetBitmap to get a reference to a 8x8 pixel TBitmap object that is assignable to the TBrush.Bitmap property.

Do not free the returned TBitmap as it is internally managed and might be shared with other controls.

Created with Doc-O-Matic.


See Also

TJvBrushPattern.Active, TJvBrushPattern.EvenColor, TJvBrushPattern.OddColor


TJvBtnMenuItemPainter
JEDI-VCL Reference

 TJvBtnMenuItemPainter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This painter draws an item as a raised or lowered button

Pascal

TJvBtnMenuItemPainter = class(TJvCustomMenuItemPainter);

File

JvMenus

Description

Set the Style property of TJvMainMenu or TJvPopupMenu to msBtnRaised or msBtnLowered to use this painter.

Created with Doc-O-Matic.


TJvBtnMenuItemPainter Properties

TJvBtnMenuItemPainter	Legend

Properties

 LeftMargin

 Lowered

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvBtnMenuItemPainter Events

TJvBtnMenuItemPainter	Legend

Events

 OnDrawLeftMargin

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvBtnMenuItemPainter Methods

TJvBtnMenuItemPainter	Legend

Methods

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvBtnMenuItemPainter

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomMenuItemPainter
        TJvBtnMenuItemPainter


TJvBtnMenuItemPainter Members

TJvBtnMenuItemPainter	Legend

Members

Properties

 LeftMargin

 Lowered

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Events

 OnDrawLeftMargin

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Methods

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvBtnMenuItemPainter.LeftMargin property

TJvBtnMenuItemPainter	See Also	Edit topic

This is the size of the margin to be drawn on the left side of the menu

Pascal

property LeftMargin: Cardinal;

Description

Most derived painters will publish this property, thus allowing you to specify that you want a colored margin to be drawn on the side of your menu items. By default, this is a gradient from clBlue to clBlack but you can provide an event handler for OnDrawLeftMargin and do your own rendering in it.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.OnDrawLeftMargin


TJvBtnMenuItemPainter.Lowered property

TJvBtnMenuItemPainter	Edit topic

If set to True, the painter will draw the item as a lowered button, else it will do it as a raised button

Pascal

property Lowered: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBtnMenuItemPainter.OnDrawLeftMargin event

TJvBtnMenuItemPainter	See Also	Edit topic

This is the event called when the margin is to be drawn

Pascal

property OnDrawLeftMargin: TJvDrawLeftMarginEvent;

Description

Most derived painters will publish this property, thus allowing you to provide an event handler for OnDrawLeftMargin and do your own rendering in it. If LeftMargin is equal to 0, the event is never fired.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.LeftMargin


TJvCABFile
JEDI-VCL Reference

 TJvCABFile

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Encapsulates access to .CAB (cabinet) files using the Setup API.

Pascal

TJvCABFile = class(TJvComponent);

File

JvCabFile

Description

TJvCABFile is a TJvComponent descendant that encapsulates access to .CAB (Cabinet) file using the Setup and Device Installer API. TJvCABFile has a dependency on the Setup and Device Installer API interface unit (SetupApi.pas) and the setupapi.dll file in Microsoft Windows.

Cabinet files provide a file format that offers an efficient way to package and compress multiple files into a single file. TJvCABFile properties, methods, and events can be used when listing files stored in the .CAB, or when extracting files for subsequent use or installation. TJvCABFile does NOT provide methods for creating or populating .CAB files. Use the CABARC.EXE utility to create or populate cabinet files.

An application can assign procedures for the event handlers that correspond to notifications from the Setup API, including:

Event Handler	Notification
OnCABInfo	SPFILENOTIFY_CABINETINFO
OnFilesListed	SPFILENOTIFY_FILEINCABINET	(general callback)
OnFileExtracted	SPFILENOTIFY_FILEEXTRACTED
OnStartFileExtraction	SPFILENOTIFY_FILEINCABINET	(extract callback)
OnNeedNewCabinet	SPFILENOTIFY_NEEDNEWCABINET

After assigning any relevant event handler procedures, set a value for the FileName property to gain access to the Files stored in the cabinet file.

Call ExtractFile or ExtractAll to perform the desired file operation(s).

Created with Doc-O-Matic.


TJvCABFile Properties

TJvCABFile	Legend

Properties

 FileName

 Files

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCABFile Events

TJvCABFile	Legend

Events

 OnCABInfo

 OnFileExtracted

 OnFilesListed

 OnNeedNewCabinet

 OnStartFileExtraction

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCABFile Methods

TJvCABFile	Legend

Methods

 Create

 Destroy

ExtractAll

ExtractFile

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCABFile

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCABFile


TJvCABFile Members

TJvCABFile	Legend

Members

Properties

 FileName

 Files

TJvComponent

 AboutJVCL

Events

 OnCABInfo

 OnFileExtracted

 OnFilesListed

 OnNeedNewCabinet

 OnStartFileExtraction

Methods

 Create

 Destroy

ExtractAll

ExtractFile

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

Crypt


TJvCABFile.FileName property

TJvCABFile	See Also	Edit topic

Identifies the cabinet file to use for file operations.

Pascal

property FileName: TFileName;

Description

FileName is a TFileName property that identifies the fully-qualified file name for the cabinet file to use for file operations. Changing the value in FileName forces the Files property to be cleared and re-populated using the SetupIterateCabinet API function and the internal callback function.

After successful completion of the file listing using the callback function, the OnFilesListed event is signaled. Event notification is not performed if a procedure has not been assigned to the OnFilesListed event handler.

FileName is used in ExtractFile and ExtractAll when calling the SetupIterateCabinet API function for the file operation.

Created with Doc-O-Matic.


See Also

Files, OnFilesListed, TNotifyEvent, ExtractFile, ExtractAll


TJvCABFile.Files property

TJvCABFile	See Also	Edit topic

Contains file names found in the cabinet file listing.

Pascal

property Files: TStrings;

Description

Files is a TStringList property that contains file names found in the cabinet file identified by FileName. Files is cleared and automatically populated when the value in FileName is changed, and relies on the SetupIterateCabinet API function and the internal callback function.

After successful completion of the file listing using the callback function, the OnFilesListed event is signaled. Event notification is not performed if a procedure has not been assigned to the OnFilesListed event handler.

Created with Doc-O-Matic.


See Also

FileName, OnFilesListed


TJvCABFile.OnCABInfo event

TJvCABFile	See Also	Edit topic

Event handler signaled for cabinet file information.

Pascal

TOnCABInfo = procedure (Sender: TObject; CABInfo: TCABInfo) of object;
property OnCABInfo: TOnCABInfo;

Parameters

CABInfo

Structure used to store cabinet file information from the Setup API.

Sender

Object context for the event notification. Generally contains the TJvCABFile instance to be signaled from the callback function.

Description

OnCABInfo is a TOnCABInfo property that represents the event handler signaled when cabinet file information is returned to the internal callback function for the Setup API.

OnCABInfo is signaled in the listing callback function when the SPFILENOTIFY_CABINETINFO notification is received, and provides access to the updated values in the TCABInfo argument to the event handler.

Applications must assign a procedure to the event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

ExtractAll, ExtractFile


TJvCABFile.OnFileExtracted event

TJvCABFile	See Also	Edit topic

Occurs after a file has been extracted from the cabinet file.

Pascal

TOnExtracted = procedure (Sender: TObject; Successed: Boolean; var Cont: Boolean; Source, Dest: string) of object;
property OnFileExtracted: TOnExtracted;

Parameters

Source

Source file name extracted from the Cabinet file.

Dest

Destination file name created for the extracted file.

Cont

Indicates whether file extraction can be continued.

Sender

Object context for the event notification. Generally contains the TJvCABFile instance to be signaled from the callback function.

Successed

Indicates whether the file was successfully extracted.

Description

OnFileExtracted is a TOnExtracted property that represents the event handler signaled when a file has been extracted from the cabinet file using the Setup API. OnFileExtracted is signaled when the SPFILENOTIFY_FILEEXTRACTED notification is received in the internal extraction callback function after a call to ExtractFile or ExtractAll.

OnFileExtracted can be used to detect when the extraction is complete, or when a Win32 error has occurred during the Setup API function calls. The OnFileExtracted event handler can also be used to halt extraction of additional files, during execution of the ExtractAll method, by setting the Cont argument to False.

Successed is Boolean value that indicates if a Win32 error occurred while trying to build a file listing or extract the file specified in Source. Successed contains True if a Win32 error has not been detected.

Cont is a Boolean parameter that indicates if the Setup API can or should continue to extract files from the cabinet file. The default value for Cont is True, unless a Win32 error occurs in the Setup API or the event handler changes the value to False.

Applications must assign a procedure to the event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

ExtractFile, ExtractAll


TJvCABFile.OnFilesListed event

TJvCABFile	See Also	Edit topic

Occurs after completion of a file listing for the cabinet file.

Pascal

property OnFilesListed: TNotifyEvent;

Description

OnFilesListed is a TNotifyEvent property that represents the event handler signaled when the file listing in Files has been completed using the Setup API. OnFilesListed can be used to perform updates needed when the Files property has been populated after changing the value in FileName.

Applications must assign a procedure to the event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

TJvCABFile.FileName, TJvCABFile.Files


TJvCABFile.OnNeedNewCabinet event

TJvCABFile	See Also	Edit topic

Occurs when a specific file continues in another cabinet.

Pascal

TOnNeedNewCabinet = procedure (Sender: TObject; var Cont: Boolean; CABInfo: TCABInfo; var NewPath: string) of object;
property OnNeedNewCabinet: TOnNeedNewCabinet;

Parameters

CABInfo

Structure used to store cabinet file information from the Setup API.

NewPath

Path to use for files extracted from the new .CAB file.

Sender

Object context for the event notification. Generally contains the TJvCABFile instance to be signaled from the callback function.

Cont

Indicates whether file extraction can be continued.

Description

OnNeedNewCabinet is a TOnNeedNewCabinet property that represents the event handler signaled when a specific file continues in another cabinet file. OnNeedNewCabinet is signaled in the internal callback function for the Setup API when the SPFILENOTIFY_NEEDNEWCABINET notification is sent during iteration over file members in a .CAB file.

OnNeedNewCabinet can be used to allow an application to respond to the disk or path changes need to access the new cabinet file prior to continuing the file operation. The file operation can be abandoned by setting the value in the Cont argument to false in the event handler.

Cont is a Boolean parameter that indicates if the Setup API can or should continue to extract files from the new cabinet file. The default value for Cont is True, unless a Win32 error occurs in the Setup API or the event handler changes the value to False.

Applications must assign a procedure to the event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

ExtractFile, ExtractAll


TJvCABFile.OnStartFileExtraction event

TJvCABFile	See Also	Edit topic

Occurs before extracting a file from the cabinet file.

Pascal

TOnExtractFile = procedure (Sender: TObject; FileName: string; DestPath: string) of object;
property OnStartFileExtraction: TOnExtractFile;

Parameters

DestPath

Represents the full path and file name where extracted file information will be stored.

FileName

The full path and file name for the member to be extracted from the cabinet file.

Sender

Object context for the event notification. Generally contains the TJvCABFile instance to be signaled from the callback function.

Description

OnStartFileExtraction is a TOnExtractFile property that represents the event handler signaled prior to extracting a specified file from the cabinet file. OnStartFileExtraction is signaled in the internal extract callback function when the SPFILENOTIFY_FILEINCABINET notification is received, and the output file name has been constructed using the destination path and file name in the cabinet file.

OnStartFileExtraction can be used to perform updates prior to performing the file operation for the selected file in the cabinet file.

Applications must assign a procedure to the event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

ExtractFile, ExtractAll, OnFileExtracted


TJvCABFile.Create constructor

TJvCABFile	See Also	Edit topic

Constructor for the object instance.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

Owner of the object instance.

Description

Create is the overridden constructor for the object instance.

Create allocates resources needed for the Files property, and sets to the FileName for the cabinet file to an empty string ('').

Create will attempt to load the setupapi.dll needed for the Setup and Device Installer API. If setupapi.dll is not successfully loaded, Create will raise an EJVCLException exception.

Set the FileName property value to begin working with files stored in the specified cabinet file.

Resources allocated to the object instance, including the setupapi.dll, are released when the object is freed.

Created with Doc-O-Matic.


See Also

TJvCABFile.Destroy, TJvCABFile.FileName


TJvCABFile.Destroy destructor

TJvCABFile	See Also	Edit topic

Destructor for the object instance.

Pascal

destructor Destroy; override;

Description

Destroy is the overridden destructor for the object instance. Destroy frees resources allocated in the Create constructor, including the Files property, and unloads the setupapi.dll.

Created with Doc-O-Matic.


See Also

TJvCABFile.Create, TJvCABFile.Files


TJvCABFile.ExtractAll method

TJvCABFile	See Also	Edit topic

Extracts files in a cabinet file to a specified path.

Pascal

function ExtractAll(DestPath: string): Boolean;

Return Value

The return value for ExtractAll is True when SetupIterateCabinet completes successfully, or False if FileName does not exist or another Win32 error is encountered in the callback function.

Parameters

DestPath: string

The path where extracted files will be stored.

Description

ExtractAll is a Boolean function that iterates over all files stored in a cabinet file, and extracts the files to the path specified in DestPath. ExtractAll insures that DestPath has a trailing path delimiter, and stores the value in the internal member variable reserved for that purpose.

ExtractAll calls the SetupIterateCabinet function from the Setup API using the cabinet file identified in FileName and the internal callback function for file extraction.

Use Files to access the file names stored in the cabinet file identified by FileName.

Use ExtractFile to extract a specific file from the cabinet file identified in FileName to a specific destination path.

Created with Doc-O-Matic.


See Also

Files, FileName, ExtractFile


TJvCABFile.ExtractFile method

TJvCABFile	See Also	Edit topic

Extracts a specific file to a destination path.

Pascal

function ExtractFile(FileName: string; DestPath: string): Boolean;

Return Value

The return value for ExtractFile is True when SetupIterateCabinet completes successfully, or False if FileName does not exist or another Win32 error is encountered in the callback function.

Parameters

FileName: string

File name to extract from the cabinet file.

DestPath: string

Path to use for storing the extracted file.

Description

ExtractFile is a Boolean function that extracts the specified file in the cabinet file to a destination path. FileName is a file name, as represented in Files, to extract from the cabinet file. DestPath indicates the disk path to use for storing the extracted file contents.

ExtractFile insures that DestPath has a trailing path delimiter, and appends the FileName argument to form a full path and file name for the extracted file. ExtractFile stores the complete path and file name value in the internal member variable reserved for that purpose.

ExtractFile calls the SetupIterateCabinet function from the Setup API using the cabinet file identified in the FileName property and the internal callback function for file extraction.

Use Files to access the file names stored in the cabinet file identified by the FileName property.

Use ExtractAll to extract all files from the cabinet file identified in the FileName property to a specific destination path.

Created with Doc-O-Matic.


See Also

Files, FileName, ExtractAll


TJvCaesarCipher
JEDI-VCL Reference

 TJvCaesarCipher

Hierarchy	Properties	Methods	Package	 Edit topic

Enables you to (de)cipher strings.

Pascal

TJvCaesarCipher = class(TJvCustomCipher);

File

JvCipher

Description

TJvCaesarCipher is a component to (de)cipher strings or series of bytes using "Caesar Cipher", one of he simplest forms of substitution cipher. The method is named after Julius Ceasar who - as is said - used this method to communicate with his army. The ciphering is usually done by substituting each letter in a message by a letter that is on a fixed distance in the alphabet. TJvCaesarCipher uses the whole character set (256 characters) for ciphering strings or series of bytes. This makes it possible to cipher any series of bytes (not necessarily readable strings). When used with strings it may result in strings that do not even look like strings anymore.

Caesar Cipher is not a safe method to cipher text. When used with strings it is easy to crack.

The Key property must represent a number. If it does not, the value 13 will be used.

Created with Doc-O-Matic.


TJvCaesarCipher Methods

TJvCaesarCipher	Legend

Methods

 Decode

 Encode

TJvCustomCipher

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


TJvCaesarCipher Properties

TJvCaesarCipher	Legend

Properties

TJvCustomCipher

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvCaesarCipher

Legend

virtual

protected

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomCipher
            TJvCaesarCipher


TJvCaesarCipher Members

TJvCaesarCipher	Legend

Members

Methods

 Decode

 Encode

TJvCustomCipher

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Properties

TJvCustomCipher

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Legend

virtual

protected

abstract

published

Created with Doc-O-Matic.


Legend

virtual

protected

abstract

published


Package

Crypt


TJvCaesarCipher.Decode method

TJvCaesarCipher	See Also	Edit topic

Decodes the given buffer using the given key

Pascal

procedure Decode(const Key: string; Buf: PChar; Size: Cardinal); override;

Parameters

Buf

The buffer to be decoded. Its value will be replaced

Size

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Encode


TJvCaesarCipher.Encode method

TJvCaesarCipher	See Also	Edit topic

Encodes the given buffer using the given key

Pascal

procedure Encode(const Key: string; Buf: PChar; Size: Cardinal); override;

Parameters

Key

The key to use to encode the buffer

Buf

The buffer to be encoded. Its value will be replaced

Size

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Decode


TJvCalcEdit
JEDI-VCL Reference

 TJvCalcEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Edit control with a button that displays a calculator.

Pascal

TJvCalcEdit = class(TJvCustomCalcEdit);

File

JvBaseEdits

Description

TJvCalcEdit is a button edit control designed specifically for entering numbers or currencies.

Pressing the button of the combo edit control displays a calculator, where users can calculate values. But the user can also type a specific number or currency in the edit box.

Created with Doc-O-Matic.


TJvCalcEdit Properties

TJvCalcEdit	Legend

Properties

 Alignment

 ButtonFlat

 ButtonHint

 ButtonWidth

 CheckOnExit

 ClickKey

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DirectInput

 DisabledColor

 DisabledTextColor

 DisplayFormat

 Flat

 FormatOnEditing

 ImageIndex

 ImageKind

 Images

 MaxValue

 MinValue

 PopupAlign

 ReadOnly

 ShowButton

 Value

 ZeroEmpty

TJvCustomNumEdit

 Alignment

AsInteger

 ButtonWidth

 CheckOnExit

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DisplayFormat

 DisplayText

 FormatOnEditing

 Formatting

 ImageKind

 MaxValue

 MinValue

PopupVisible

Value

 ZeroEmpty

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCalcEdit Events

TJvCalcEdit	Legend

Events

 OnButtonClick

 OnKeyDown

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCalcEdit Methods

TJvCalcEdit	Legend

Methods

TJvCustomNumEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCalcEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvCustomNumEdit
            TJvCustomCalcEdit
                TJvCalcEdit


TJvCalcEdit Members

TJvCalcEdit	Legend

Members

Properties

 Alignment

 ButtonFlat

 ButtonHint

 ButtonWidth

 CheckOnExit

 ClickKey

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DirectInput

 DisabledColor

 DisabledTextColor

 DisplayFormat

 Flat

 FormatOnEditing

 ImageIndex

 ImageKind

 Images

 MaxValue

 MinValue

 PopupAlign

 ReadOnly

 ShowButton

 Value

 ZeroEmpty

TJvCustomNumEdit

 Alignment

AsInteger

 ButtonWidth

 CheckOnExit

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DisplayFormat

 DisplayText

 FormatOnEditing

 Formatting

 ImageKind

 MaxValue

 MinValue

PopupVisible

Value

 ZeroEmpty

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnButtonClick

 OnKeyDown

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

TJvCustomNumEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvCalcEdit.Alignment property

TJvCalcEdit	Edit topic

Determines how the text in the edit is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvCalcEdit.ButtonFlat property

TJvCalcEdit	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property ButtonFlat: Boolean;

Description

Set ButtonFlat to true to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected.

Created with Doc-O-Matic.


See Also

Button


TJvCalcEdit.ButtonHint property

TJvCalcEdit	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the button.

Pascal

property ButtonHint: string;

Description

Use the ButtonHint property to provide a string of help text as a Help Hint for the combo edit control's button.

Created with Doc-O-Matic.


See Also

Button


TJvCalcEdit.ButtonWidth property

TJvCalcEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the combo edit control's button. Note that changing property ImageKind can change the ButtonWidth. For example, ButtonWidth is set to the default width of a drop-down button if ImageKind is set to ikDropDown.

Created with Doc-O-Matic.


See Also

Button


TJvCalcEdit.CheckOnExit property

TJvCalcEdit	See Also	Edit topic

Specifies whether the entered value should be checked on exit of the number edit control.

Pascal

property CheckOnExit: Boolean;

Description

If a MinValue or MaxValue is specified, then the user can enter an invalid number (i.e., an out of range value). Set CheckOnExit to true to let the control check (on exit of the control) whether the value the user entered is in the range specified by MinValue and MaxValue. If the value is not in the range, an exception is raised.

Set CheckOnExit to false, to let the control automatically crop invalid values on exit of the control, so its value is in the range specified by MinValue and MaxValue.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.MaxValue, TJvCustomNumEdit.MinValue, TJvCustomNumEdit.Value


TJvCalcEdit.ClickKey property

TJvCalcEdit	Edit topic

Specifies the key combination users can type to simulate a button click.

Pascal

property ClickKey: TShortCut;

Description

Use ClickKey to allow the user to type a key combination instead of clicking the control's button.

When setting shortcuts at design time, the Object Inspector provides a long list of key combinations to choose from. To create shortcuts at runtime, use the global ShortCut or TextToShortCut function from Menus.pas. For example, the following line creates a shortcut, Ctrl+C and assigns it to a combo edit control named JvComboEdit1.

  JvComboEdit1.ClickKey := ShortCut(Word('C'), [ssCtrl]);

Created with Doc-O-Matic.


TJvCalcEdit.DecimalPlaceRound property

TJvCalcEdit	See Also	Edit topic

Specifies how the floating-point value is rounded.

Pascal

property DecimalPlaceRound: Boolean;

Description

The control rounds the internal stored value after the number of digits beyond the decimal point as specified by DecimalPlaces.

Set DecimalPlaceRound to true to round to the nearest. If two are equally near then rounding is done away from zero. Set DecimalPlaceRound to false to use the default Round-like rounding:

If DecimalPlaces equals 2, then:
Value	False	True
0,124	0,12	0,12
0,125	0,12	0,13
0,126	0,13	0,13
0,135	0,14	0,14
0,145	0,14	0,15
-0,124	-0,12	-0,12
-0,125	-0,12	-0,12
-0,126	-0,13	-0,13
Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.DecimalPlaces


TJvCalcEdit.DecimalPlaces property

TJvCalcEdit	See Also	Edit topic

Specifies the precision for the floating-point value.

Pascal

property DecimalPlaces: Cardinal;

Description

Use DecimalPlaces to set the number of digits beyond the decimal point that the floating-point value of the control should be formatted to before rounding begins. Use DecimalPlaceRound to alter the way the value is rounded after the number of the digits beyond the decimal point specified by DecimalPlaces.

Use DisplayFormat to change the format of the floating-point value when it is displayed as a text string in the edit box, but note that DecimalPlaces may also affect that displayed text string:

Entered value	DisplayFormat	DecimalPlaces	Displayed text string	Stored value
0.1234	0.###	2	0.12	0.12
0.1234	0.###	3	0.123	0.123
0.1234	0.###	4	0.123	0.1234
0.1234	0.####	4	0.1234	0.1234
Notes

DecimalPlaces affects the actual floating-point value that is stored in the control.

Created with Doc-O-Matic.


See Also

DisplayFormat


TJvCalcEdit.DecimalPlacesAlwaysShown property

TJvCalcEdit	Edit topic

Not documented

Pascal

property DecimalPlacesAlwaysShown: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCalcEdit.DirectInput property

TJvCalcEdit	See Also	Edit topic

Specifies whether the user can use the edit box of the combo edit.

Pascal

property DirectInput: Boolean;

Description

Use DirectInput to read or change whether the user can use the edit box of the combo edit. By setting DirectInput to false, the edit box of the combo edit will become read-only, and the user can only use the button of the combo edit.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvCalcEdit.DisabledColor property

TJvCalcEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control isn't enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledTextColor


TJvCalcEdit.DisabledTextColor property

TJvCalcEdit	See Also	Edit topic

Specifies the color of the text when the control isn't enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledColor


TJvCalcEdit.DisplayFormat property

TJvCalcEdit	See Also	Edit topic

Specifies the format for the displayed number.

Pascal

property DisplayFormat: string;

Description

Use DisplayFormat to specify a custom format string for the number display. Note that DisplayFormat is only used when the popup calculator is not showing and the user is not entering a number in the edit box (i.e., the control has no focus).

The value of DisplayFormat does not affect the actual stored floating-point value. See Delphi help at FormatFloat to view which format specifiers are supported in the format string.

Notes

Ensure that DecimalPlaces is large enough for the DisplayFormat. For example, if DisplayFormat is '0.###' then DecimalPlaces must be minimal 3.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.DecimalPlaces, TJvCustomNumEdit.DisplayText


TJvCalcEdit.Flat property

TJvCalcEdit	Edit topic

Determines whether the control has a three-dimensional (3-D) or two-dimensional (flat) look.

Pascal

property Flat: Boolean;

Description

When Flat is true, the control appears flat and does not have borders. When Flat is false, the control has a 3-D look.

Created with Doc-O-Matic.


TJvCalcEdit.FormatOnEditing property

TJvCalcEdit	Edit topic

Specifies whether text should be formatted while editing.

Pascal

property FormatOnEditing: Boolean;

Description

Set FormatOnEditing to true to let the control format the text while the user enters a number in the edit box. For example, the control will automatically insert thousand symbols while the user enters a number, if FormatOnEditing is set to true.

Created with Doc-O-Matic.


TJvCalcEdit.ImageIndex property

TJvCalcEdit	See Also	Edit topic

Indicates which image appears on the button.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to designate an image that should appear on the button of the edit button control. ImageIndex specifies a zero-offset index into the Images property. Set ImageKind to ikCustom, otherwise ImageIndex is not used.

Notes

This property is not stored if it is supplied by a TAction object.

Created with Doc-O-Matic.


See Also

Images, ImageKind


TJvCalcEdit.ImageKind property

TJvCalcEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvCalcEdit.Images property

TJvCalcEdit	See Also	Edit topic

Lists the images that can appear on the button.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the button of the combo button control. If Images is unassigned, no images are displayed on the button unless ImageKind is set to a value other than ikCustom.

Created with Doc-O-Matic.


See Also

ImageIndex, ImageKind


TJvCalcEdit.MaxValue property

TJvCalcEdit	See Also	Edit topic

Specifies the maximum value the user can enter into the number edit control.

Pascal

property MaxValue: Extended;

Description

MaxValue specifies the maximum for the Value property. Use CheckOnExit to specify what should happen if the user enters a number greater than MaxValue.

Notes

No check is done if MinValue equals MaxValue.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.CheckOnExit, TJvCustomNumEdit.MinValue


TJvCalcEdit.MinValue property

TJvCalcEdit	See Also	Edit topic

Specifies the minimum value the user can enter into the number edit control.

Pascal

property MinValue: Extended;

Description

The MinValue property specifies the minimum for the Value property. Use CheckOnExit to specify what should happen if the user enters a number less than MinValue.

Notes

No check is done if MinValue equals MaxValue.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.CheckOnExit, TJvCustomNumEdit.MaxValue


TJvCalcEdit.OnButtonClick event

TJvCalcEdit	See Also	Edit topic

Occurs when the user clicks the button.

Pascal

property OnButtonClick: TNotifyEvent;

Description

Write an OnButtonClick handler to respond to the user clicking the button of the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.OnKeyDown


TJvCalcEdit.OnKeyDown event

TJvCalcEdit	See Also	Edit topic

Occurs when a user presses any key while the control has focus.

Pascal

property OnKeyDown: TKeyEvent;

Description

Use the OnKeyDown event handler to specify special processing to occur when a key is pressed. The OnKeyDown handler can respond to all keyboard keys, including function keys and keys combined with the Shift, Alt, and Ctrl keys, and pressed mouse buttons.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvCalcEdit.PopupAlign property

TJvCalcEdit	Edit topic

Specifies how the pop-up window is aligned relative to its edit box.

Pascal

property PopupAlign: TPopupAlign;

Description

Use PopupAlign to specify the position of the pop-up window relative to the edit region of the lookup combo box. The pop-up window can be aligned to the left or right, or centered with the edit box.

Created with Doc-O-Matic.


TJvCalcEdit.ReadOnly property

TJvCalcEdit	See Also	Edit topic

Determines whether the user can change the text of the combo edit control.

Pascal

property ReadOnly: Boolean;

Description

To restrict the edit control to display only, set the ReadOnly property to true. Set ReadOnly to false to allow the contents of the edit control to be edited.

Setting ReadOnly to true ensures that the text is not altered, while still allowing the user to select text. The selected text can then be manipulated by the application, or copied to the Clipboard.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvCalcEdit.ShowButton property

TJvCalcEdit	Edit topic

Indicates whether the button should be shown.

Pascal

property ShowButton: Boolean;

Description

Set ShowButton to false to hide the button of the combo edit; set it to true to show it.

Created with Doc-O-Matic.


TJvCalcEdit.Value property

TJvCalcEdit	See Also	Edit topic

Indicates the numeric value of the number edit control.

Pascal

property Value: Extended;

Description

The Value property determines the current numeric value of the control.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.AsInteger


TJvCalcEdit.ZeroEmpty property

TJvCalcEdit	See Also	Edit topic

Specifies whether the edit box is cleared when Value is 0.

Pascal

property ZeroEmpty: Boolean;

Description

Set ZeroEmpty to true to specify that the number edit control should empty the edit box when Value equals 0.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.Value


TJvCalculator
JEDI-VCL Reference

 TJvCalculator

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Displays a simple calculator.

Pascal

TJvCalculator = class(TJvCommonDialogF);

File

JvCalc

Description

TJvCalculator displays a modal Windows dialog box for calculating values. The dialog does not appear at runtime until it is activated by a call to the Execute method. When the user clicks OK, the dialog closes and the calculated result is stored in the Value property.

You can preview this dialog at design-time, by right-clicking the component and clicking 'Preview...'.

Created with Doc-O-Matic.


TJvCalculator Properties

TJvCalculator	Legend

Properties

 BeepOnError

 CalcDisplay

 Ctl3D

 HelpContext

 Memory

 Precision

 Title

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvCalculator Events

TJvCalculator	Legend

Events

 OnCalcKey

 OnChange

 OnDisplayChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCalculator Methods

TJvCalculator	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvCalculator

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvCalculator


TJvCalculator Members

TJvCalculator	Legend

Members

Properties

 BeepOnError

 CalcDisplay

 Ctl3D

 HelpContext

 Memory

 Precision

 Title

 Value

TJvComponent

 AboutJVCL

Events

 OnCalcKey

 OnChange

 OnDisplayChange

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


Package

StdCtrls


TJvCalculator.BeepOnError property

TJvCalculator	Edit topic

Specifies whether the calculator beeps when the user tries to enter an invalid character.

Pascal

property BeepOnError: Boolean;

Description

If BeepOnError is true (the default), the application beeps when an invalid character is entered or when a character is entered and the field is full.

Created with Doc-O-Matic.


TJvCalculator.CalcDisplay property

TJvCalculator	See Also	Edit topic

Represents the value that is displayed in the calculator's edit box.

Pascal

property CalcDisplay: Double;

Description

Use the CalcDisplay property to retrieve the value that is displayed in the calculator's edit box as a double.

Created with Doc-O-Matic.


See Also

TJvCalculator.OnDisplayChange, TJvCalculator.Value


TJvCalculator.Ctl3D property

TJvCalculator	Edit topic

Determines whether the dialog has a three-dimensional look.

Pascal

property Ctl3D: Boolean;

Description

Use Ctl3D to specify whether controls in the dialog should have a flat or beveled look.

Created with Doc-O-Matic.


TJvCalculator.HelpContext property

TJvCalculator	Edit topic

Specifies the context number for online Help.

Pascal

property HelpContext: THelpContext;

Description

The HelpContext property is an integer value that determines which Help screen appears when the user requests context-sensitive online Help. If HelpContext is set to the default value of 0, the dialog inherits the Help context of its parent.

Created with Doc-O-Matic.


TJvCalculator.Memory property

TJvCalculator	See Also	Edit topic

Indicates the last value of the calculator memory.

Pascal

property Memory: Double;

Description

Use property Memory to read the last value of the calculator memory.

Created with Doc-O-Matic.


See Also

TJvCalculator.Value


TJvCalculator.OnCalcKey event

TJvCalculator	See Also	Edit topic

Occurs when a key is pressed.

Pascal

property OnCalcKey: TKeyPressEvent;

Description

Use the OnKeyPress event handler to make something happen as a result of a single character key press.

Created with Doc-O-Matic.


See Also

TJvCalculator.OnDisplayChange


TJvCalculator.OnChange event

TJvCalculator	See Also	Edit topic

Occurs when the dialog closes and the calculator's result changed.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnClose event handler to perform special processing upon closing of the dialog and the calculator's result changed.

Created with Doc-O-Matic.


See Also

TJvCalculator.OnDisplayChange


TJvCalculator.OnDisplayChange event

TJvCalculator	See Also	Edit topic

Occurs when the display value in the calculator dialog may have changed.

Pascal

property OnDisplayChange: TNotifyEvent;

Description

Write an OnDisplayChange event handler to respond to a change in the CalcDisplay property.

Created with Doc-O-Matic.


See Also

TJvCalculator.CalcDisplay, TJvCalculator.OnChange, TJvCalculator.Value


TJvCalculator.Precision property

TJvCalculator	See Also	Edit topic

Determines the precision used in formatting the value in the calculator's display.

Pascal

property Precision: Byte;

Description

Use Precision to set the number of digits beyond the decimal point the value should be formatted to before rounding begins. T e default value of Precision is 15 decimal places. Precision does affect the actual floating-point value that the calculator uses.

Notes

Precision must be greater than or equal to 2. Trying to set Precision to a value less than 2 changes the value of Precision to 2.

Created with Doc-O-Matic.


See Also

TJvCalculator.CalcDisplay


TJvCalculator.Title property

TJvCalculator	Edit topic

Specifies the text that appears in the calculator dialog box's title bar.

Pascal

property Title: string;

Description

Use Title to specify the text that appears in the calculator dialog box's title bar.

Created with Doc-O-Matic.


TJvCalculator.Value property

TJvCalculator	See Also	Edit topic

Indicates the result of the last calculation.

Pascal

property Value: Double;

Description

The Value property returns the result of the last calculation done in the calculator dialog.

To make a value appear by default in the calculator dialog’s edit box, assign a value to Value in the Object Inspector or in program code. Programmatic changes to Value have no effect while the dialog is active, use CalcDisplay for this purpose.

Created with Doc-O-Matic.


See Also

TJvCalculator.CalcDisplay, TJvCalculator.Memory, TJvCalculator.Precision


TJvCalculator.Execute method

TJvCalculator	See Also	Edit topic

Displays the calculator dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true if user click on the OK button, else false.

Description

Calling Execute opens the calculator dialog. The calculation result is stored in the Value property.

Created with Doc-O-Matic.


See Also

TJvCalculator.Ctl3D


TJvCapBtn
JEDI-VCL Reference

TJvCapBtn

Hierarchy	Properties	Package	 See Also	Edit topic

Graphic control that represents a button for a caption panel.

Pascal

TJvCapBtn = class(TJvGraphicControl);

File

JvCaptionPanel

Description

TJvCapBtn is an internally used graphic control that represents a button for a caption panel.

Created with Doc-O-Matic.


TJvCapBtn Properties

TJvCapBtn

Properties

Flat

Style

Visible

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCapBtn


TJvCapBtn Members

TJvCapBtn

Members

Properties

Flat

Style

Visible

Created with Doc-O-Matic.


See Also

TJvCaptionPanel


Package

Ctrls


TJvCapBtn.Flat property

TJvCapBtn	See Also	Edit topic

Indicates if the caption button should rendered in a flat style.

Pascal

property Flat: Boolean;

Description

Flat indicates if the caption button should be rendered in a flat style. When set to True the button is rendered in a flat look, when set to False it is rendered in a non flat look.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel


TJvCapBtn.Style property

TJvCapBtn	See Also	Edit topic

Indicates the type of button.

Pascal

property Style: TJvCapBtnStyle;

Description

Style indicates what type of button is to be rendered. The type determines which glyph is rendered. It has no influence on the panel it is on (For example, a close button will not close the panel).

Created with Doc-O-Matic.


See Also

TJvCaptionPanel


TJvCapBtn.Visible property

TJvCapBtn	See Also	Edit topic

Indicates if the button is visible.

Pascal

property Visible;

Description

Visible indicates whether or not the button is rendered. When set to True the button will be shown, otherwise it will not.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel


TJvCaptionButton
JEDI-VCL Reference

 TJvCaptionButton

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Button that is added to the form caption.

Pascal

TJvCaptionButton = class(TJvComponent);

File

JvCaptionButton

Description

TJvCaptionButton encapsulates a button that is placed in the form's caption, much like the standard minimize, maximize and close buttons.

To use a caption button:

Drop a TJvCaptionButton on a form.

Specify if it is shown as a standard button (Minimize, Maximize button etc).

If it's not a standard button, specify a caption and/or image.

You can assign an action to the caption button.

Use the ButtonLeft, ButtonTop and Position properties to horizontally and vertically position the button, or you can leave them to their default values, to position the button on the default place: next to the left most default caption button.

Use the ButtonHeight and ButtonWidth properties to alter the size of the button, or you can leave them to their default values, to get a caption button that has the same size as the default caption buttons.

Created with Doc-O-Matic.


TJvCaptionButton Properties

TJvCaptionButton	Legend

Properties

 Action

 ActionLink

 Alignment

 ButtonHeight

 ButtonLeft

 ButtonTop

 ButtonWidth

 Caption

 Down

 Enabled

 Font

 ForceDrawSimple

 Hint

 ImageIndex

 Images

 IsImageVisible

 IsThemed

 Layout

 Margin

 MouseInControl

 ParentForm

 ParentFormHandle

 ParentShowHint

 Position

 ShowHint

 Spacing

 Standard

 Toggle

 Visible

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCaptionButton Events

TJvCaptionButton	Legend

Events

 OnClick

 OnMouseDown

 OnMouseMove

 OnMouseUp

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCaptionButton Methods

TJvCaptionButton	Legend

Methods

Click

 InitiateAction

 MouseDown

 MouseUp

ResetButton

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvCaptionButton

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCaptionButton


TJvCaptionButton Members

TJvCaptionButton	Legend

Members

Properties

 Action

 ActionLink

 Alignment

 ButtonHeight

 ButtonLeft

 ButtonTop

 ButtonWidth

 Caption

 Down

 Enabled

 Font

 ForceDrawSimple

 Hint

 ImageIndex

 Images

 IsImageVisible

 IsThemed

 Layout

 Margin

 MouseInControl

 ParentForm

 ParentFormHandle

 ParentShowHint

 Position

 ShowHint

 Spacing

 Standard

 Toggle

 Visible

TJvComponent

 AboutJVCL

Events

 OnClick

 OnMouseDown

 OnMouseMove

 OnMouseUp

Methods

Click

 InitiateAction

 MouseDown

 MouseUp

ResetButton

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Ctrls


TJvCaptionButton.Action property

TJvCaptionButton	Edit topic

Designates the action associated with the caption button.

Pascal

property Action: TBasicAction;

Description

Action designates the action object that is associated with the caption button. Actions allow an application to centralize the response to user commands. When a control is associated with an action, the action determines the appropriate properties and events of the control (such as whether the control is enabled or how it responds to an OnClick event).

Created with Doc-O-Matic.


TJvCaptionButton.ActionLink property

TJvCaptionButton	See Also	Edit topic

Contains the action link object associated with the caption button.

Pascal

property ActionLink: TJvCaptionButtonActionLink;

Description

ActionLink handles the association between the button and the action specified by the Action property. The action link determines which properties and events of the action object determine the values of corresponding properties and events of the caption button.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Action


TJvCaptionButton.Alignment property

TJvCaptionButton	See Also	Edit topic

Determines how the text is aligned in the button.

Pascal

property Alignment: TAlignment;

Description

Alignment indicates how the text (as specified by Caption) should be aligned in the button.

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ButtonWidth, TJvCaptionButton.Caption, TJvCaptionButton.Standard


TJvCaptionButton.ButtonHeight property

TJvCaptionButton	See Also	Edit topic

Determines the height of the button.

Pascal

property ButtonHeight: Integer;

Description

ButtonHeight determines the height of the button. Set ButtonHeight to 0 to set the button's height to the default height.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ButtonLeft, TJvCaptionButton.ButtonTop, TJvCaptionButton.ButtonWidth


TJvCaptionButton.ButtonLeft property

TJvCaptionButton	See Also	Edit topic

Determines the horizontal offset of the button to the default position.

Pascal

property ButtonLeft: Integer;

Description

Use ButtonLeft to alter the horizontal position of the button on the form's caption. Set it to 0 to place the caption button on the default horizontal position.

Alternatively use Position to set a custom horizontal position for the button.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ButtonHeight, TJvCaptionButton.ButtonTop, TJvCaptionButton.ButtonWidth, TJvCaptionButton.Position


TJvCaptionButton.ButtonTop property

TJvCaptionButton	See Also	Edit topic

Determines the vertical offset of the button to the default position.

Pascal

property ButtonTop: Integer;

Description

Use ButtonTop to alter the vertical position of the button on the form's caption. Set it to 0 to place the caption button on the default vertical position.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ButtonHeight, TJvCaptionButton.ButtonLeft, TJvCaptionButton.ButtonWidth


TJvCaptionButton.ButtonWidth property

TJvCaptionButton	See Also	Edit topic

Determines the width of the button.

Pascal

property ButtonWidth: Integer;

Description

ButtonWidth determines the width of the button. Set ButtonWidth to 0 to set the button's width to the default width.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ButtonHeight, TJvCaptionButton.ButtonLeft, TJvCaptionButton.ButtonTop


TJvCaptionButton.Caption property

TJvCaptionButton	See Also	Edit topic

The text to display in the caption button

Pascal

property Caption: string;

Description

Caption holds the text to display in the button.

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Alignment, TJvCaptionButton.Font, TJvCaptionButton.ImageIndex, TJvCaptionButton.Standard


TJvCaptionButton.Down property

TJvCaptionButton	See Also	Edit topic

Determines the state of the button.

Pascal

property Down: Boolean;

Description

Down determines if the button is pressed (true) or not (false). Down is a read only property and can only be controlled through the UI.

If Toggle is set to true, Down will toggle from false to true and vice versa each time it the button is clicked.

If Toggle is set to false, Down will be true when the left mouse button is down and will revert to false when the left mouse button is released.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.OnClick, TJvCaptionButton.Toggle


TJvCaptionButton.Enabled property

TJvCaptionButton	See Also	Edit topic

Specifies whether the caption button is enabled.

Pascal

property Enabled: Boolean;

Description

Use Enabled to enable or disable a caption button. If Enabled is true, the Click method is called when the user clicks the button with the mouse. If Enabled is false, the caption button appears dimmed and the user cannot click it.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.OnClick, TJvCaptionButton.Visible


TJvCaptionButton.Font property

TJvCaptionButton	See Also	Edit topic

Determines the font in which the caption is written.

Pascal

property Font: TFont;

Description

Font is the font used to write the caption.

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Caption, TJvCaptionButton.Standard


TJvCaptionButton.ForceDrawSimple property

TJvCaptionButton	Edit topic

Forces the button to be drawn using an alternate algorithm.

Pascal

property ForceDrawSimple: Boolean;

Description

Use ForceDrawSimple to force an alternate drawing algorithm when the application is run under Windows XP and you are using themes.

Created with Doc-O-Matic.


TJvCaptionButton.Hint property

TJvCaptionButton	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the caption button.

Pascal

property Hint: string;

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

Notes

If the application's ShowHint property is false, the Help Hint does not appear.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ParentShowHint, TJvCaptionButton.ShowHint


TJvCaptionButton.ImageIndex property

TJvCaptionButton	See Also	Edit topic

Identifies the image that appears on the caption button.

Pascal

property ImageIndex: TImageIndex;

Description

Use ImageIndex to specify an image that appears on the button. ImageIndex is the (0-offset) index of the image in the TCustomImageList component that is available through the caption button’s Images property.

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Images, TJvCaptionButton.Layout, TJvCaptionButton.Margin, TJvCaptionButton.Standard


TJvCaptionButton.Images property

TJvCaptionButton	See Also	Edit topic

Lists the images that can appear on the caption button.

Pascal

property Images: TCustomImageList;

Description

Use Images to hold the set of images that can appear on the caption button.

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ImageIndex, TJvCaptionButton.Layout, TJvCaptionButton.Margin, TJvCaptionButton.Standard


TJvCaptionButton.IsImageVisible property

TJvCaptionButton	Edit topic

Indicates whether an image can be displayed on the caption button.

Pascal

property IsImageVisible: Boolean;

Description

IsImageVisible is used by TJvCaptionButton to determine whether property Images is assigned and property ImageIndex is a valid index for an image.

Created with Doc-O-Matic.


TJvCaptionButton.IsThemed property

TJvCaptionButton	Edit topic

Indicates whether the caption button will be painted using XP themes.

Pascal

property IsThemed: Boolean;

Description

Read IsThemed to determine whether XP themes will be used to paint the caption button.

Created with Doc-O-Matic.


TJvCaptionButton.Layout property

TJvCaptionButton	See Also	Edit topic

Specifies where the image appears on the bitmap button.

Pascal

property Layout: TJvCaptionButtonLayout;

Description

Layout indicates whether the text appears either on the left of the button (cbImageLeft) or the right of the button (cbImageRight).

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ImageIndex, TJvCaptionButton.Images, TJvCaptionButton.Margin, TJvCaptionButton.Spacing


TJvCaptionButton.Margin property

TJvCaptionButton	See Also	Edit topic

Specifies the number of pixels between the edge of the image (or caption) and the edge of the button.

Pascal

property Margin: Integer;

Description

The margin is the space between the image (or caption) edge and the button edge. The format of the edges depends on the alignment of the image and text (specified in the Alignment property). For example, if Alignment is taLeftJustify, the margin appears between the left edge of the image (or caption) and the left edge of the button. If Margin is 3, three pixels separate the image (or caption) and the button edges. If Margin is 0, there is no space between the image (or caption) and the button edges.

If Margin is -1 (the default value), the caption button uses a default margin.

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Alignment, TJvCaptionButton.Layout


TJvCaptionButton.MouseInControl property

TJvCaptionButton	Edit topic

Indicates whether the mouse is over the caption button.

Pascal

property MouseInControl: Boolean;

Description

Read MouseInControl to determine whether the mouse is over the caption button.

Created with Doc-O-Matic.


TJvCaptionButton.OnClick event

TJvCaptionButton	See Also	Edit topic

Occurs when the user clicks a caption button.

Pascal

property OnClick: TNotifyEvent;

Description

Write an OnClick event handler to take specific action when the user clicks the caption button.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Click, TJvCaptionButton.OnMouseDown, TJvCaptionButton.OnMouseUp


TJvCaptionButton.OnMouseDown event

TJvCaptionButton	See Also	Edit topic

Occurs when the user presses a mouse button.

Pascal

property OnMouseDown: TMouseEvent;

Description

Write an OnMouseDown event handler to respond to mouse button presses over the control.

Use the Shift parameter of the OnMouseMove event handler, to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are pixel coordinates of the new location of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.OnClick, TJvCaptionButton.OnMouseMove, TJvCaptionButton.OnMouseUp


TJvCaptionButton.OnMouseMove event

TJvCaptionButton	See Also	Edit topic

Occurs when the user moves the mouse pointer while the mouse pointer is over a control.

Pascal

property OnMouseMove: TMouseMoveEvent;

Description

Use the OnMouseMove event handler to respond when the mouse pointer moves after the control has captured the mouse.

Use the Shift parameter of the OnMouseMove event handler, to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are pixel coordinates of the new location of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.MouseInControl, TJvCaptionButton.OnMouseDown, TJvCaptionButton.OnMouseUp


TJvCaptionButton.OnMouseUp event

TJvCaptionButton	See Also	Edit topic

Occurs when the user presses a mouse button.

Pascal

property OnMouseUp: TMouseEvent;

Description

Write an OnMouseDown event handler to respond to mouse button presses over the control.

Use the Shift parameter of the OnMouseMove event handler, to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are pixel coordinates of the new location of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.OnClick, TJvCaptionButton.OnMouseDown, TJvCaptionButton.OnMouseMove


TJvCaptionButton.ParentForm property

TJvCaptionButton	See Also	Edit topic

Reference to the form the button is assigned to.

Pascal

property ParentForm: TCustomForm;

Description

ParentForm is a reference to the form the button is assigned to.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ParentFormHandle


TJvCaptionButton.ParentFormHandle property

TJvCaptionButton	See Also	Edit topic

Reference to the handle of the form the button is assigned to.

Pascal

property ParentFormHandle: THandle;

Description

ParentFormHandle is a reference to the handle of the form the button is assigned to.

Notes

ParentFormHandle may be 0.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ParentForm


TJvCaptionButton.ParentShowHint property

TJvCaptionButton	See Also	Edit topic

Determines where a control looks to find out if its Help Hint should be shown.

Pascal

property ParentShowHint: Boolean;

Description

Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them.

If ParentShowHint is true, the control uses the ShowHint property value of its parent. If ParentShowHint is false, the control uses the value of its own ShowHint property.

To provide Help Hints for only selected controls on a form, set the ShowHint property for those controls that should have Help Hints to true, and ParentShowHint becomes false automatically.

Notes

Enable or disable all Help Hints for the entire application using the ShowHint property of the application object.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Hint, TJvCaptionButton.ParentForm, TJvCaptionButton.ShowHint


TJvCaptionButton.Position property

TJvCaptionButton	See Also	Edit topic

Determines the horizontal position of the caption button on the form's caption.

Pascal

property Position: Integer;

Description

Use property Position to specify a horizontal position for the caption button. Set Position to 0 (the default) to position the button next to the left most default caption button on the form's caption. If you use more than 1 custom caption buttons, you can set Position to 1 to position it next to the custom caption button with Position set to 0, etc.

Alternatively use ButtonLeft to specify a horizontal position for the caption button.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.ButtonLeft


TJvCaptionButton.ShowHint property

TJvCaptionButton	See Also	Edit topic

Determines whether the control displays a Help Hint when the mouse pointer rests momentarily on the control.

Pascal

property ShowHint: Boolean;

Description

The Help Hint is the value of the Hint property, which is displayed in a box just beneath the control. Use ShowHint to determine whether a Help Hint appears for the control.

To enable Help Hint for a particular control, the application ShowHint property must be true and either

the control’s own ShowHint property must be true, or

the control’s ParentShowHint property must be true and its parent's ShowHint property must be true.

Changing the ShowHint value automatically sets the ParentShowHint property to false.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Hint, TJvCaptionButton.ParentShowHint


TJvCaptionButton.Spacing property

TJvCaptionButton	See Also	Edit topic

Determines where the image and text appear on a caption button.

Pascal

property Spacing: Integer;

Description

Spacing determines the number of pixels between the image and the text. The default value is 4 pixels.

Notes

It is only used for nonstandard buttons (Standard = tsbNone).

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Layout, TJvCaptionButton.Margin


TJvCaptionButton.Standard property

TJvCaptionButton	See Also	Edit topic

Determines the type of caption button.

Pascal

property Standard: TJvStandardButton;

Description

Standard determines the type of caption button to use. When set to tsbNone, it is a custom button with a custom text (specified by Caption) and image (specified by ImageIndex and Images).

Otherwise it's a standard button, such as a Minimize or Close caption button in the way it is rendered. It will not have the standard behavior of the button.

Created with Doc-O-Matic.


See Also

TJvStandardButton


TJvCaptionButton.Toggle property

TJvCaptionButton	See Also	Edit topic

Determines if the button is a push button or a switch.

Pascal

property Toggle: Boolean;

Description

Toggle determines if the button functions as a normal push button or as a switch.

If Toggle is set to true, Down will toggle between true and false every time the user clicks the button.

If Toggle is set to false, Down will be set to true when the left mouse button is pressed and set to false when the mouse button is released.

Created with Doc-O-Matic.


See Also

Down


TJvCaptionButton.Visible property

TJvCaptionButton	See Also	Edit topic

Indicates if the button is visible.

Pascal

property Visible: Boolean;

Description

Visible indicates whether or not the button is rendered. When set to true the button will be shown, otherwise it will not.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Enabled


TJvCaptionButton.Click method

TJvCaptionButton	See Also	Edit topic

Simulates a mouse click, as if the user had clicked the button.

Pascal

procedure Click; dynamic;

Description

Calling Click generates an OnClick event.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.OnClick


TJvCaptionButton.InitiateAction method

TJvCaptionButton	See Also	Edit topic

Calls the action link’s Update method if the caption button is associated with an action link.

Pascal

procedure InitiateAction; virtual;

Description

InitiateAction calls the action link, if there is one for the caption button, to update the association between the action and the caption button.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.Visible


TJvCaptionButton.MouseDown method

TJvCaptionButton	See Also	Edit topic

Called when a mouse button is pressed.

Pascal

procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Button: TMouseButton

The mouse button pressed.

Shift: TShiftState

The shift state when the button was pressed.

X: Integer

The X position where the button was pressed, relative to upper left corner of the control.

Y: Integer

The Y position where the button was pressed, relative to upper left corner of the control.

Description

MouseDown is called when a mouse button is pressed. If an OnMouseDown event handler has been assigned, it will be called.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.MouseUp, TJvCaptionButton.OnMouseDown


TJvCaptionButton.MouseUp method

TJvCaptionButton	See Also	Edit topic

Called when a mouse button is released.

Pascal

procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Button: TMouseButton

The mouse button released.

Shift: TShiftState

The shift state when the button was released.

X: Integer

The X position where the button was released, relative to upper left corner of the control.

Y: Integer

The Y position where the button was released, relative to upper left corner of the control.

Description

MouseUp is called when a mouse button is released. If an OnMouseUp event handler has been assigned, it will be called.

Created with Doc-O-Matic.


See Also

TJvCaptionButton.MouseDown, TJvCaptionButton.OnMouseUp


TJvCaptionButton.ResetButton method

TJvCaptionButton	Edit topic

Resets the button internals.

Pascal

procedure ResetButton;

Description

ResetButton removes and recreates the hooks into the windows message queue.

Use this method to reinitialize the button messages.

Created with Doc-O-Matic.


TJvCaptionPanel
JEDI-VCL Reference

 TJvCaptionPanel

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A panel with a caption bar.

Pascal

TJvCaptionPanel = class(TJvCustomPanel, IJvDenySubClassing);

File

JvCaptionPanel

Description

TJvCaptionPanel is a panel with a caption bar so it looks like a form. The caption panel will contain the caption of the panel along with 0 or more caption buttons.

To use a panel with a caption in your form:

Drop a TJvCaptionPanel on the form or any control that accepts child controls.

Set the caption of the panel.

Specify the caption buttons the panel should have.

Specify the color of the caption bar.

Specify the font of the caption bar.

Specify the position of the caption bar.

Specify if flat buttons are needed.

Assign an OnButtonClick event handler to take action when a caption button is clicked.

Created with Doc-O-Matic.


TJvCaptionPanel Properties

TJvCaptionPanel	Legend

Properties

 AutoDrag

 Buttons

 Caption

 CaptionColor

 CaptionFont

 CaptionPosition

 FlatButtons

 Icon

 OutlookLook

 Resizable

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCaptionPanel Events

TJvCaptionPanel	Legend

Events

 OnButtonClick

 OnEndAutoDrag

 OnStartAutoDrag

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCaptionPanel Methods

TJvCaptionPanel	Legend

Methods

 ClickButton

 DoLeaveDrag

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCaptionPanel

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel, IJvDenySubClassing
                    TJvCaptionPanel


TJvCaptionPanel Members

TJvCaptionPanel	Legend

Members

Properties

 AutoDrag

 Buttons

 Caption

 CaptionColor

 CaptionFont

 CaptionPosition

 FlatButtons

 Icon

 OutlookLook

 Resizable

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnButtonClick

 OnEndAutoDrag

 OnStartAutoDrag

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 ClickButton

 DoLeaveDrag

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Ctrls


TJvCaptionPanel.AutoDrag property

TJvCaptionPanel	See Also	Edit topic

Specifies if the panel can be dragged automatically.

Pascal

property AutoDrag: Boolean;

Description

Use AutoDrag to specify if the panel will drag automatically when the user start moving the mouse while holding down the left mouse button while over the caption bar. When set to True the user can drag the panel by clicking and dragging the caption bar, otherwise dragging can only be started manually.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.OnEndAutoDrag


TJvCaptionPanel.Buttons property

TJvCaptionPanel	See Also	Edit topic

Determines which caption buttons to use.

Pascal

property Buttons: TJvCapBtnStyles;

Description

Buttons indicates which buttons are to be shown in the caption bar of the panel. The style indicates the icon to be shown in the button. The button will not result in any action other than specified in OnButtonClick event handler.

Buttons are shown in this order (left to right for top and bottom bars, bottom to top for left bars and top to bottom for right bars):

Help

Minimize

Restore

Maximize

Close

Buttons are always aligned to the right, top or bottom edge of the caption bar, depending on the position of the bar.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.CaptionPosition, TJvCaptionPanel.OnButtonClick


TJvCaptionPanel.Caption property

TJvCaptionPanel	See Also	Edit topic

Caption to be shown.

Pascal

property Caption: string;

Description

Caption holds the text to be rendered in the caption bar of the panel, optionally rotated for caption bars that are left or right aligned.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.Buttons, TJvCaptionPanel.CaptionColor, TJvCaptionPanel.CaptionFont, TJvCaptionPanel.CaptionPosition


TJvCaptionPanel.CaptionColor property

TJvCaptionPanel	Edit topic

Background color of the caption bar.

Pascal

property CaptionColor: TColor;

Description

CaptionColor is the background color of the caption bar.

Created with Doc-O-Matic.


TJvCaptionPanel.CaptionFont property

TJvCaptionPanel	Edit topic

Font of the caption bar.

Pascal

property CaptionFont: TFont;

Description

CaptionFont is the font of the caption bar.

Created with Doc-O-Matic.


TJvCaptionPanel.CaptionPosition property

TJvCaptionPanel	See Also	Edit topic

Position of the caption bar.

Pascal

property CaptionPosition: TJvDrawPosition;

Description

CaptionPosition determines the position of the caption bar. The bar can be placed along the top, right, bottom of left edge of the panel. For left or right aligned captions, the text will be rotated.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.Caption


TJvCaptionPanel.FlatButtons property

TJvCaptionPanel	Edit topic

Indicates if the panel buttons should have a flat style.

Pascal

property FlatButtons: Boolean;

Description

FlatButtons indicates if the panel buttons should be rendered in a flat look. When set to True the buttons are rendered in a flat look, when set to False they are rendered in a non flat look.

Created with Doc-O-Matic.


TJvCaptionPanel.Icon property

TJvCaptionPanel	See Also	Edit topic

Specifies the icon to display in the caption area of the panel

Pascal

property Icon: TIcon;

Description

Use Icon to specify an icon to display in the caption area of the panel. The position of the icon is adjusted depending on the value of CaptionPosition.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.CaptionPosition


TJvCaptionPanel.OnButtonClick event

TJvCaptionPanel	Edit topic

Responds to the user clicking a caption button.

Pascal

TJvCapBtnEvent = procedure (Sender: TObject; Button: TJvCapBtnStyle) of object;
property OnButtonClick: TJvCapBtnEvent;

Parameters

Button

Indicates which button was clicked.

Sender

Reference to the control generating the event. Usually this will be the caption panel.

Description

Write an OnButtonClick handler to respond to the user clicking one of the caption buttons.

Created with Doc-O-Matic.


TJvCaptionPanel.OnEndAutoDrag event

TJvCaptionPanel	See Also	Edit topic

Responds to the user ending an auto drag process.

Pascal

property OnEndAutoDrag: TNotifyEvent;

Description

Write an OnEndAutoDrag handler to take action when the user ends an auto drag process.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.AutoDrag


TJvCaptionPanel.OnStartAutoDrag event

TJvCaptionPanel	Edit topic

Occurs when the user starts to drag the panel.

Pascal

TJvAutoDragStartEvent = procedure (Sender: TObject; var AllowDrag: Boolean) of object;
property OnStartAutoDrag: TJvAutoDragStartEvent;

Parameters

AllowDrag

Set to false to prevent the user from dragging the panel.

Sender

The panel that triggered the event.

Description

Write a handler for this event to be notified when the user starts dragging the panel. Set AllowDrag to false to cancel the drag.

Created with Doc-O-Matic.


TJvCaptionPanel.OutlookLook property

TJvCaptionPanel	Edit topic

Specifies the visual appearance of the panel.

Pascal

property OutlookLook: Boolean;

Description

Set OutlookLook to true to have the panel mimic the way similar panels appear in MS Outlook(R)

Created with Doc-O-Matic.


TJvCaptionPanel.Resizable property

TJvCaptionPanel	Edit topic

Not documented

Pascal

property Resizable: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCaptionPanel.ClickButton method

TJvCaptionPanel	See Also	Edit topic

Called in response to the user clicking a caption button.

Pascal

procedure ClickButton(Button: TJvCapBtnStyle); virtual;

Parameters

Button: TJvCapBtnStyle

The button style of the button clicked.

Description

ClickButton is called in response to the user clicking a caption button. ClickButton will trigger the OnButtonClick event if a handler is assigned to it.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.OnButtonClick


TJvCaptionPanel.DoLeaveDrag method

TJvCaptionPanel	See Also	Edit topic

Called when the user stops dragging the panel.

Pascal

procedure DoLeaveDrag; virtual;

Description

DoLeaveDrag is called when the user stops dragging the panel and AutoDrag is set to True. DoLeaveDrag will trigger the OnEndAutoDrag event if a handler is assigned to it.

Created with Doc-O-Matic.


See Also

TJvCaptionPanel.AutoDrag, TJvCaptionPanel.OnEndAutoDrag


TJvCaptureSettings
JEDI-VCL Reference

TJvCaptureSettings

Hierarchy	Properties	Methods	 Edit topic

The capture settings for the capture session.

Pascal

TJvCaptureSettings = class(TPersistent);

File

JvAVICapture

Description

The TJvCaptureSettings class contains all the properties you can set to modify the behavior of the TJvAVICapture object to which the TJvCaptureSettings is linked to.

Created with Doc-O-Matic.


TJvCaptureSettings Properties

TJvCaptureSettings	Legend

Properties

 AbortLeftMouse

 AbortRightMouse

 AudioBufferSize

 AudioMaster

 CaptureAudio

 ConfirmCapture

 FPS

 FrameDelay

 KeyAbort

 LimitEnabled

 MCIControl

 MCIStartTime

 MCIStep

 MCIStopTime

 NumAudioBuffer

 NumVideoBuffer

 PercentDropForError

 StepCapture2x

 StepCaptureAverageFrames

 TimeLimit

 Yield

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCaptureSettings Methods

TJvCaptureSettings

Methods

Apply

Update

Created with Doc-O-Matic.


Legend

TJvCaptureSettings

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCaptureSettings


TJvCaptureSettings Members

TJvCaptureSettings	Legend

Members

Properties

 AbortLeftMouse

 AbortRightMouse

 AudioBufferSize

 AudioMaster

 CaptureAudio

 ConfirmCapture

 FPS

 FrameDelay

 KeyAbort

 LimitEnabled

 MCIControl

 MCIStartTime

 MCIStep

 MCIStopTime

 NumAudioBuffer

 NumVideoBuffer

 PercentDropForError

 StepCapture2x

 StepCaptureAverageFrames

 TimeLimit

 Yield

Methods

Apply

Update

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCaptureSettings.AbortLeftMouse property

TJvCaptureSettings	See Also	Edit topic

Decides if the capture is aborted by a left click.

Pascal

property AbortLeftMouse: Boolean;

Description

If set to true, any left click during the capture session will abort the capture.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AbortRightMouse, TJvCaptureSettings.KeyAbort, TJvCaptureSettings.LimitEnabled, TJvCaptureSettings.TimeLimit


TJvCaptureSettings.AbortRightMouse property

TJvCaptureSettings	See Also	Edit topic

Decides if the capture is aborted by a right click.

Pascal

property AbortRightMouse: Boolean;

Description

If set to true, any right click during the capture session will abort the capture.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AbortLeftMouse, TJvCaptureSettings.KeyAbort, TJvCaptureSettings.LimitEnabled, TJvCaptureSettings.TimeLimit


TJvCaptureSettings.AudioBufferSize property

TJvCaptureSettings	See Also	Edit topic

The size in bytes of each audio buffer.

Pascal

property AudioBufferSize: Cardinal;

Description

If left at the default value of 0, the size of each audio buffer will be the maximum of 10 kbytes and 0.5 seconds of audio data.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AudioMaster, TJvCaptureSettings.CaptureAudio


TJvCaptureSettings.AudioMaster property

TJvCaptureSettings	See Also	Edit topic

Controls if the Audio stream is the master timer.

Pascal

property AudioMaster: Boolean;

Description

If set to true, the duration of the video stream will be forced to match the audio stream duration. This is generally not a good idea as it may introduce variations in the video frame rate.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AudioBufferSize, TJvCaptureSettings.CaptureAudio


TJvCaptureSettings.CaptureAudio property

TJvCaptureSettings	See Also	Edit topic

Controls whether or not to capture audio.

Pascal

property CaptureAudio: Boolean;

Description

If set to true, the audio data will be captured and saved in the stream.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AudioBufferSize, TJvCaptureSettings.AudioMaster


TJvCaptureSettings.ConfirmCapture property

TJvCaptureSettings	Edit topic

Controls whether or not to confirm the capture.

Pascal

property ConfirmCapture: Boolean;

Description

If set to true, a message box will be shown to the user when you start the capture, allowing to continue or cancel the capture session.

Created with Doc-O-Matic.


TJvCaptureSettings.FPS property

TJvCaptureSettings	See Also	Edit topic

The requested number of Frames Per Second.

Pascal

property FPS: Double;

Description

This is only a requested number and may not be respected by the capture system if the processing load is too high.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.FrameDelay


TJvCaptureSettings.FrameDelay property

TJvCaptureSettings	See Also	Edit topic

The requested delay between two frames in microsecond.

Pascal

property FrameDelay: Cardinal;

Description

This is only a requested number and may not be respected by the capture system if the processing load is too high.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.FPS


TJvCaptureSettings.KeyAbort property

TJvCaptureSettings	See Also	Edit topic

The virtual key that will abort the capture session if pressed.

Pascal

property KeyAbort: TJvVirtualKey;

Description

Set this value to a virtual key that will cancel the capture session if pressed. This defaults to the Esc key. You should use the TJvVirtualKeySelectionFrame selection frame (in JvVirtualKeySelectionFrame.pas) to allow your user to choose a virtual key, while being sure the value returned is correct.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AbortLeftMouse, TJvCaptureSettings.AbortRightMouse, TJvCaptureSettings.LimitEnabled, TJvCaptureSettings.TimeLimit


TJvCaptureSettings.LimitEnabled property

TJvCaptureSettings	See Also	Edit topic

Controls whether or not the time limit is enabled.

Pascal

property LimitEnabled: Boolean;

Description

If set to true, the capture time limit is enabled.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AbortLeftMouse, TJvCaptureSettings.AbortRightMouse, TJvCaptureSettings.KeyAbort, TJvCaptureSettings.TimeLimit


TJvCaptureSettings.MCIControl property

TJvCaptureSettings	See Also	Edit topic

The MCI Control to use to grab the stream.

Pascal

property MCIControl: Boolean;

Description

This has not been tested. You should refer to the Win32 API for more details on the usage of MCI Controls with the AVICap API.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.MCIStartTime, TJvCaptureSettings.MCIStep, TJvCaptureSettings.MCIStopTime


TJvCaptureSettings.MCIStartTime property

TJvCaptureSettings	See Also	Edit topic

The MCI start time.

Pascal

property MCIStartTime: Cardinal;

Description

This has not been tested. You should refer to the Win32 API for more details on the usage of MCI Controls with the AVICap API.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.MCIControl, TJvCaptureSettings.MCIStep, TJvCaptureSettings.MCIStopTime


TJvCaptureSettings.MCIStep property

TJvCaptureSettings	See Also	Edit topic

Whether or not to do MCI stepping.

Pascal

property MCIStep: Boolean;

Description

This has not been tested. You should refer to the Win32 API for more details on the usage of MCI Controls with the AVICap API.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.MCIControl, TJvCaptureSettings.MCIStartTime, TJvCaptureSettings.MCIStopTime


TJvCaptureSettings.MCIStopTime property

TJvCaptureSettings	See Also	Edit topic

The MCI stop time.

Pascal

property MCIStopTime: Cardinal;

Description

This has not been tested. You should refer to the Win32 API for more details on the usage of MCI Controls with the AVICap API.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.MCIControl, TJvCaptureSettings.MCIStartTime, TJvCaptureSettings.MCIStep


TJvCaptureSettings.NumAudioBuffer property

TJvCaptureSettings	See Also	Edit topic

The number of audio buffers to use.

Pascal

property NumAudioBuffer: TJvNumAudioBuffer;

Description

This is a requested value and may not be respected. The higher the value, the less chances to miss on audio data, but the higher the processing load and the memory usage.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AudioBufferSize, TJvCaptureSettings.NumVideoBuffer


TJvCaptureSettings.NumVideoBuffer property

TJvCaptureSettings	See Also	Edit topic

The number of video buffers to use.

Pascal

property NumVideoBuffer: Cardinal;

Description

This is a requested value and may not be respected. The higher the value, the less chances to miss on video data, but the higher the processing load and the memory usage.

Notes

It seems that this value is not taken into account under Windows 32Bit.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.AudioBufferSize, TJvCaptureSettings.NumAudioBuffer


TJvCaptureSettings.PercentDropForError property

TJvCaptureSettings	Edit topic

The percentage of frames dropped above which the capture is aborted in error.

Pascal

property PercentDropForError: TJvPercent;

Description

When capturing a video stream, the processing load may not allow to capture every frame sent by the video device. Those frames are then dropped. If the ratio of dropped frames on captured frames is above this percentage, the capture is ended in error. This means that if you were grabbing in a file, that file will not be complete.

Created with Doc-O-Matic.


TJvCaptureSettings.StepCapture2x property

TJvCaptureSettings	See Also	Edit topic

Controls whether or not to capture at twice the size of the original stream.

Pascal

property StepCapture2x: Boolean;

Description

If set to true, the resulting stream will have its width and height doubled at the expense of processing power.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.StepCaptureAverageFrames


TJvCaptureSettings.StepCaptureAverageFrames property

TJvCaptureSettings	See Also	Edit topic

Controls the number of frames to be sampled to calculate a frame when using step capture.

Pascal

property StepCaptureAverageFrames: Cardinal;

Description

This is only taken into account when doing step capture. The given number of frames will be captured and averaged to generate the resulting frame.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.StepCapture2x


TJvCaptureSettings.TimeLimit property

TJvCaptureSettings	See Also	Edit topic

The time limit in seconds for the capture.

Pascal

property TimeLimit: Cardinal;

Description

This is only taken into account if LimitEnabled is true.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.LimitEnabled


TJvCaptureSettings.Yield property

TJvCaptureSettings	Edit topic

Controls whether or not the capture will block the calling thread.

Pascal

property Yield: Boolean;

Description

If set to true, when the capture starts, a separate thread is created allowing the thread launching the capture to continue. Reentrance issues must then be considered to avoid the user to launch twice the capture, for instance.

Created with Doc-O-Matic.


TJvCaptureSettings.Apply method

TJvCaptureSettings	Edit topic

Tries to apply the values set in the object to the TJvAVICapture object linked to this object.

Pascal

function Apply: Boolean;

Return Value

True if settings were applied successfully, false otherwise.

Description

Tries to apply the values set in the object to the TJvAVICapture object linked to this object.

Created with Doc-O-Matic.


TJvCaptureSettings.Update method

TJvCaptureSettings	See Also	Edit topic

Updates the properties of the object according to the values from the TJvAVICapture object.

Pascal

procedure Update;

Description

This ensures synchronization between the object and the underlying system object. You shouldn't have to call this method directly.

Created with Doc-O-Matic.


See Also

TJvCaptureSettings.Apply


TJvCaret
JEDI-VCL Reference

TJvCaret

Hierarchy	Properties	Methods	Events	 Edit topic

Helper object to store caret settings in.

Pascal

TJvCaret = class(TPersistent);

File

JvCaret

Description

TJvCaret is a helper object to store the settings for the custom caret in. It is used by some of the edit controls in JVCL, but it can be used for any control that is derived from TWinControl.

If Bitmap is assigned, the Width and Height properties are set to 0 and Gray is set to false.

If Gray is set to true or Width and/or Height are specified, Bitmap is ignored.

If no bitmap has been assigned, Gray is set to false and both Width and Height are 0, no custom caret will be created, but the standard Windows caret will be used instead.

A control that wants to use a custom caret should take care of the following:

As soon as your control has focus (and your application is the active application) you may call TJvCaret.CreateCaret to create and display the caret (if needed you can use the Windows API call for HideCaret to temporarily hide it).

If the control loses focus or the application will be deactivated (because another application gets focus) you must call TJvCaret.DestroyCaret

Use the Window API calls to hide/show the caret or to get or change its location (HideCaret, ShowCaret, GetCaretPos, SetCaretPos respectively).

Created with Doc-O-Matic.


TJvCaret Properties

TJvCaret	Legend

Properties

 Bitmap

 CaretCreated

 CaretOwner

 Gray

 Height

 UpdateCount

 Width

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCaret Events

TJvCaret

Events

OnChanged

Created with Doc-O-Matic.


TJvCaret Methods

TJvCaret	Legend

Methods

BeginUpdate

 Changed

CreateCaret

 DefineProperties

DestroyCaret

EndUpdate

 IsDefaultCaret

 UsingBitmap

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCaret

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCaret


TJvCaret Members

TJvCaret	Legend

Members

Properties

 Bitmap

 CaretCreated

 CaretOwner

 Gray

 Height

 UpdateCount

 Width

Events

OnChanged

Methods

BeginUpdate

 Changed

CreateCaret

 DefineProperties

DestroyCaret

EndUpdate

 IsDefaultCaret

 UsingBitmap

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvCaret.Bitmap property

TJvCaret	See Also	Edit topic

Bitmap to use as a caret.

Pascal

property Bitmap: TBitmap;

Description

Bitmap holds the bitmap to use as a caret.

Setting Bitmap will result in Width and Height being changed to 0 and Gray being set to false.

Created with Doc-O-Matic.


See Also

TJvCaret.Gray, TJvCaret.Height, TJvCaret.Width


TJvCaret.CaretCreated property

TJvCaret	Edit topic

Indicates whether a caret has been created.

Pascal

property CaretCreated: Boolean;

Description

CaretCreated indicates whether a caret has been created. If CaretCreated is true, CreateCaret has created a caret which has not been destroyed yet by a call to DestroyCaret.

Created with Doc-O-Matic.


TJvCaret.CaretOwner property

TJvCaret	Edit topic

Reference to the control that owns this caret object.

Pascal

property CaretOwner: TWinControl;

Description

CaretOwner references the control that owns this caret object. It is set automatically when the caret object instance is created.

Created with Doc-O-Matic.


TJvCaret.Gray property

TJvCaret	See Also	Edit topic

Determines if the caret should be grayed.

Pascal

property Gray: Boolean;

Description

Gray indicates whether the caret should be rendered in a gray state. When set to true the caret will render in a gray color.

Setting Gray will result in Bitmap being ignored.

Notes

Gray carets seem to be unsupported under Windows 95. The Gray property will have no effect on Windows 95 operating systems.

Created with Doc-O-Matic.


See Also

TJvCaret.Bitmap, TJvCaret.Height, TJvCaret.Width


TJvCaret.Height property

TJvCaret	See Also	Edit topic

Determines the height of the custom cursor.

Pascal

property Height: Integer;

Description

Height is the height of the custom cursor. If left at 0, the caret will get the default height, unless a Bitmap is specified, Gray is set to false and Width is also set to 0, in which case Bitmap is used as a caret.

Setting Height to a non-zero value will result in Bitmap being ignored.

Created with Doc-O-Matic.


See Also

TJvCaret.Bitmap, TJvCaret.Gray, TJvCaret.Width


TJvCaret.OnChanged event

TJvCaret	Edit topic

Responds to changes in the caret settings.

Pascal

property OnChanged: TNotifyEvent;

Description

Write an OnChanged handler to respond to changes in the caret settings.

Created with Doc-O-Matic.


TJvCaret.UpdateCount property

TJvCaret	See Also	Edit topic

Number of calls to BeginUpdate that have not been matched by a call to EndUpdate.

Pascal

property UpdateCount: Integer;

Description

UpdateCount indicates the number of calls to BeginUpdate issued that have not been matched by a call to EndUpdate. While UpdateCount > 0, the OnChanged event will never fire.

Created with Doc-O-Matic.


See Also

TJvCaret.BeginUpdate, TJvCaret.EndUpdate, TJvCaret.OnChanged


TJvCaret.Width property

TJvCaret	See Also	Edit topic

Determines the width of the custom cursor.

Pascal

property Width: Integer;

Description

Width is the width of the custom cursor. If left at 0, the caret will get the default width, unless a Bitmap is specified, Gray is set to false and Height is also set to 0, in which case Bitmap is used as a caret.

Setting Width to a non-zero value will result in Bitmap being ignored.

Created with Doc-O-Matic.


See Also

TJvCaret.Bitmap, TJvCaret.Gray, TJvCaret.Height


TJvCaret.BeginUpdate method

TJvCaret	See Also	Edit topic

Disable change notifications.

Pascal

procedure BeginUpdate;

Description

BeginUpdate will disable change notifications when the caret properties change until EndUpdate is called. BeginUpdate can be called multiple times but every call should be matched with a call to EndUpdate to have the changes take effect.

Created with Doc-O-Matic.


See Also

TJvCaret.Changed, TJvCaret.EndUpdate, TJvCaret.UpdateCount


TJvCaret.Changed method

TJvCaret	See Also	Edit topic

Generates the OnChange event.

Pascal

procedure Changed; dynamic;

Description

Changed will generate an OnChange event if a handler is assigned and change notifications are not suppressed (every BeginUpdate has been matched with an EndUpdate).

Created with Doc-O-Matic.


See Also

TJvCaret.BeginUpdate, TJvCaret.EndUpdate, TJvCaret.OnChanged, TJvCaret.UpdateCount


TJvCaret.CreateCaret method

TJvCaret	Edit topic

Creates and shows the caret.

Pascal

procedure CreateCaret;

Description

CreateCaret will generate and show the caret, provided the caret owner has focus. Raises an EWin32Error exception if the creation failed at the API level.

Created with Doc-O-Matic.


TJvCaret.DefineProperties method

TJvCaret	Edit topic

Provides methods to read and write the bitmap.

Pascal

procedure DefineProperties(Filer: TFiler); override;

Parameters

Filer: TFiler

The filer component used to for loading and saving the component and its properties.

Description

DefineProperties is called automatically by the streaming system that loads and saves VCL components. Because the streaming system does not deal properly with published persistent property on another nested persistent, a pseudoproperty is used to save the Bitmap.

Created with Doc-O-Matic.


TJvCaret.DestroyCaret method

TJvCaret	Edit topic

Hides and destroys the caret.

Pascal

procedure DestroyCaret;

Description

DestroyCaret will hide and destroy the caret, provided the caret owner has focus and a caret was previously created with a call to CreateCaret.

Created with Doc-O-Matic.


TJvCaret.EndUpdate method

TJvCaret	See Also	Edit topic

Re-enables change notifications.

Pascal

procedure EndUpdate;

Description

EndUpdate will re-enable change notifications when the number of calls to BeginUpdate equals the number of calls to EndUpdate.

Created with Doc-O-Matic.


See Also

TJvCaret.BeginUpdate, TJvCaret.Changed, TJvCaret.UpdateCount


TJvCaret.IsDefaultCaret method

TJvCaret	See Also	Edit topic

Determines if the caret is the default caret.

Pascal

function IsDefaultCaret: Boolean;

Description

IsDefaultCaret indicates if the caret is the default (Windows) caret. This method is used internally by CreateCaret and DestroyCaret.

Created with Doc-O-Matic.


See Also

TJvCaret.CreateCaret, TJvCaret.DestroyCaret, TJvCaret.UsingBitmap


TJvCaret.UsingBitmap method

TJvCaret	See Also	Edit topic

Determines if the caret is based on a bitmap.

Pascal

function UsingBitmap: Boolean;

Description

UsingBitmap indicates if the caret is based on the bitmap specified by the Bitmap property. This method is used internally by CreateCaret and DestroyCaret.

Created with Doc-O-Matic.


See Also

TJvCaret.CreateCaret, TJvCaret.DestroyCaret, TJvCaret.IsDefaultCaret


TJvCenterGrowAlertStyleHandler
JEDI-VCL Reference

TJvCenterGrowAlertStyleHandler

Hierarchy	Properties	Methods	 Edit topic

Class that encapsulates the 'grow from center' animation style for desktop alert windows.

Pascal

TJvCenterGrowAlertStyleHandler = class(TJvCustomDesktopAlertStyleHandler);

File

JvDesktopAlert

Description

TJvCenterGrowAlertStyleHandler implements the functionality to make the alert window of a TJvDesktopAlert grow from the center when it is shown and shrink into the center when hidden. Do not create instances of TJvCenterGrowAlertStyleHandler. An instance is automatically created when you set the AlertStyle of a TJvDesktopAlert component.

Created with Doc-O-Matic.


TJvCenterGrowAlertStyleHandler Properties

TJvCenterGrowAlertStyleHandler	Legend

Properties

 DisplayDuration

 EndInterval

 EndSteps

 MaxGrowthPercentage

 MinGrowthPercentage

 StartInterval

 StartSteps

TJvCustomDesktopAlertStyleHandler

 Active

 AnimTimer

 CurrentStep

 DisplayDuration

 EndInterval

 EndSteps

OwnerForm

 StartInterval

 StartSteps

 Status

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvCenterGrowAlertStyleHandler Methods

TJvCenterGrowAlertStyleHandler	Legend

Methods

 AbortAnimation

TJvCustomDesktopAlertStyleHandler

 AbortAnimation

 DoDisplay

 DoEndAnimation

 DoStartAnimation

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCenterGrowAlertStyleHandler

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomDesktopAlertStyleHandler
        TJvCenterGrowAlertStyleHandler


TJvCenterGrowAlertStyleHandler Members

TJvCenterGrowAlertStyleHandler	Legend

Members

Properties

 DisplayDuration

 EndInterval

 EndSteps

 MaxGrowthPercentage

 MinGrowthPercentage

 StartInterval

 StartSteps

TJvCustomDesktopAlertStyleHandler

 Active

 AnimTimer

 CurrentStep

 DisplayDuration

 EndInterval

 EndSteps

OwnerForm

 StartInterval

 StartSteps

 Status

Methods

 AbortAnimation

TJvCustomDesktopAlertStyleHandler

 AbortAnimation

 DoDisplay

 DoEndAnimation

 DoStartAnimation

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvCenterGrowAlertStyleHandler.DisplayDuration property

TJvCenterGrowAlertStyleHandler	Edit topic

Specifies how long the window is displayed after it is fully visible.

Pascal

property DisplayDuration: Cardinal;

Description

DisplayDuration specifies how long (in milliseconds) the window is displayed after the start animation has finished (the so called "wait" stage).

Created with Doc-O-Matic.


TJvCenterGrowAlertStyleHandler.EndInterval property

TJvCenterGrowAlertStyleHandler	See Also	Edit topic

Specifies the duration between each step of the end animation.

Pascal

property EndInterval: Cardinal;

Description

Use EndInterval to specify the duration of each step in the end animation sequence. This value is expressed in milliseconds.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndSteps, TJvCustomDesktopAlertStyleHandler.StartInterval


TJvCenterGrowAlertStyleHandler.EndSteps property

TJvCenterGrowAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the end animation sequence.

Pascal

property EndSteps: Cardinal;

Description

Use EndSteps to specify the number of steps in the end animation sequence. If EndSteps is 0, no end animation is performed.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndInterval


TJvCenterGrowAlertStyleHandler.MaxGrowthPercentage property

TJvCenterGrowAlertStyleHandler	See Also	Edit topic

Specifies the max growth rate of the desktop alert window.

Pascal

property MaxGrowthPercentage: Double;

Description

Use MaxGrowthPercentage to specify the maximum allowable growth rate in percent of an alert window.

Created with Doc-O-Matic.


See Also

TJvCenterGrowAlertStyleHandler.MinGrowthPercentage


TJvCenterGrowAlertStyleHandler.MinGrowthPercentage property

TJvCenterGrowAlertStyleHandler	See Also	Edit topic

Specifies the min growth rate of the desktop alert window.

Pascal

property MinGrowthPercentage: Double;

Description

Use MinGrowthPercentage to specify the minimum allowable growth rate in percent of an alert window.

Created with Doc-O-Matic.


See Also

TJvCenterGrowAlertStyleHandler.MaxGrowthPercentage


TJvCenterGrowAlertStyleHandler.StartInterval property

TJvCenterGrowAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the start animation.

Pascal

property StartInterval: Cardinal;

Description

Use StartInterval to specify the duration of each step in the start animation sequence. This value is expressed in milliseconds.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndInterval, TJvCustomDesktopAlertStyleHandler.StartSteps


TJvCenterGrowAlertStyleHandler.StartSteps property

TJvCenterGrowAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the start animation sequence.

Pascal

property StartSteps: Cardinal;

Description

Use StartSteps to specify the number of steps in the start animation sequence. If StartSteps is 0, no start animation is performed.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.StartInterval


TJvCenterGrowAlertStyleHandler.AbortAnimation method

TJvCenterGrowAlertStyleHandler	Edit topic

Aborts the current animation, if any.

Pascal

procedure AbortAnimation; override;

Description

Will call the proper Finalize function as applicable. The middle wait is NOT aborted by a call to this function

Created with Doc-O-Matic.


TJvChangeIconDialog
JEDI-VCL Reference

 TJvChangeIconDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a dialog that allows a user to select an icon from a module.

Pascal

TJvChangeIconDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

The TJvChangeIconDialog component is a wrapper for the Windows PickIconDlg API. Use it to show a dialog that allows a user to select an icon from a module. Do this by calling the Execute method.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvChangeIconDialog Properties

TJvChangeIconDialog	Legend

Properties

 FileName

 IconIndex

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvChangeIconDialog Methods

TJvChangeIconDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvChangeIconDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvChangeIconDialog


TJvChangeIconDialog Members

TJvChangeIconDialog	Legend

Members

Properties

 FileName

 IconIndex

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvChangeIconDialog.FileName property

TJvChangeIconDialog	See Also	Edit topic

Specifies the fully-qualified path of the default dynamic-link library (DLL) that contains the icons.

Pascal

property FileName: TFileName;

Description

Use FileName to specify a fully-qualified path of the default dynamic-link library (DLL) that contains the icons. If the user chooses a different DLL in the dialog, FileName contains that DLL's path when the function returns.

Created with Doc-O-Matic.


See Also

Execute, TJvChangeIconDialog.IconIndex


TJvChangeIconDialog.IconIndex property

TJvChangeIconDialog	See Also	Edit topic

Indicates the index of the icon that was selected.

Pascal

property IconIndex: Integer;

Description

The IconIndex property returns the index of the icon that was selected.

To make an icon selected by default in the dialog’s box, assign a value to IconIndex in the Object Inspector or in program code. Programmatic changes to IconIndex have no effect while the dialog is active.

Created with Doc-O-Matic.


See Also

Execute, TJvChangeIconDialog.FileName


TJvChangeIconDialog.Execute method

TJvChangeIconDialog	See Also	Edit topic

Shows a dialog that allows a user to select an icon from a module.

Pascal

function Execute: Boolean; override;

Return Value

If the user selects an icon, the return value is true. It is false if the user chooses the Cancel button, or the Close command on the System menu.

Description

Call Execute to show a dialog that allows a user to select an icon from a module.

Created with Doc-O-Matic.


See Also

TJvChangeIconDialog.FileName, TJvChangeIconDialog.IconIndex


TJvChangeItem
JEDI-VCL Reference

TJvChangeItem

Hierarchy	Properties	Methods	Events	 Edit topic

Maintains a single folder that should be monitored for changes.

Pascal

TJvChangeItem = class(TCollectionItem);

File

JvChangeNotify

Description

TJvChangeItem is a TCollectionItem descendant that contains the settings for a single directory that should be monitored for changes. Instances of this class are created and used by the TJvChangeItems class. To add a new instance at design-time, double-click the Notifications property of TJvChangeNotify to display the design editor for TJvChangeItem's. To add an instance at run-time, call TJvChangeNotify.Notifications.Add.

Created with Doc-O-Matic.


TJvChangeItem Properties

TJvChangeItem	Legend

Properties

 Actions

 Directory

 IncludeSubTrees

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvChangeItem Events

TJvChangeItem	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvChangeItem Methods

TJvChangeItem	Legend

Methods

 Assign

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvChangeItem

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvChangeItem


TJvChangeItem Members

TJvChangeItem	Legend

Members

Properties

 Actions

 Directory

 IncludeSubTrees

Events

 OnChange

Methods

 Assign

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


TJvChangeItem.Actions property

TJvChangeItem	See Also	Edit topic

Specifies the actions to monitor.

Pascal

property Actions: TJvChangeActions;

Description

Use Actions to specify what actions should be monitored by this item. When one of the actions occurs in the monitored directory (or sub-directories if that is enabled), the OnChange event is triggered.

Created with Doc-O-Matic.


See Also

TJvChangeItem.Directory, TJvChangeItem.OnChange


TJvChangeItem.Directory property

TJvChangeItem	See Also	Edit topic

Specifies the directory to monitor.

Pascal

property Directory: string;

Description

Use Directory to specify the directory to monitor. The directory is monitored for all changes as specified by Actions. If IncludeSubTrees is true, all sub directories of Directory are monitored as well.

If Directory is empty or points to an invalid directory, no monitoring will be performed.

Created with Doc-O-Matic.


See Also

TJvChangeItem.Actions, TJvChangeItem.IncludeSubTrees


TJvChangeItem.IncludeSubTrees property

TJvChangeItem	See Also	Edit topic

Specifies if sub directories are monitored as well as the main directory.

Pascal

property IncludeSubTrees: Boolean;

Description

Use IncludeSubTrees to specify whether the item monitors only the changes in Directory or if it also monitors changes in sub directories as well.

Notes

This property might not have effect on all versions of Windows.

Created with Doc-O-Matic.


See Also

TJvChangeItem.Actions, TJvChangeItem.Directory


TJvChangeItem.OnChange event

TJvChangeItem	See Also	Edit topic

Occurs when a change is detected in the monitored directory.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for this event to take specific actions when one of the events in Actions have occurred in the monitored directory. For example, use this event to update a list of changes.

Created with Doc-O-Matic.


See Also

TJvChangeItem.Actions, TJvChangeItem.Directory


TJvChangeItem.Assign method

TJvChangeItem	See Also	Edit topic

Copies the properties of another object.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from.

Description

Call Assign to copy the properties of another TJvChangeItem or descendant into this object. If Source is not a TJvChangeItem or descendant, Assign calls inherited Assign.

Created with Doc-O-Matic.


See Also

AssignTo


TJvChangeItems
JEDI-VCL Reference

TJvChangeItems

Hierarchy	Properties	Methods	 See Also	Edit topic

Maintains a list of change items.

Pascal

TJvChangeItems = class(TCollection);

File

JvChangeNotify

Description

TJvChangeItems is a TCollection descendant that maintains a list of TJvChangeItem. TJvChangeItems is the type for the Notifications property of TJvChangeNotify.

Created with Doc-O-Matic.


TJvChangeItems Properties

TJvChangeItems

Properties

Items

Created with Doc-O-Matic.


TJvChangeItems Methods

TJvChangeItems

Methods

Add

Created with Doc-O-Matic.


Hierarchy

TCollection
    TJvChangeItems


TJvChangeItems Members

TJvChangeItems

Members

Properties

Items

Methods

Add

Created with Doc-O-Matic.


See Also

TJvChangeNotify


TJvChangeItems.Items property

TJvChangeItems	See Also	Edit topic

Provides indexed access to the items in the list.

Pascal

property Items [Index: Integer]: TJvChangeItem;

Description

Use Items to get access to individual TJvChangeItem objects using an index. The allowable range for the index is between 0 and Items.Count - 1. Since Items is the default property of TJvChangeItems, you can call it with or without the Items qualifier from a TJvChangeNotify component:

Example:

    JvChangeNotify1.Notifications.Items[i] := SomeValue;

    Equivalent:

    JvChangeNotify1.Notifications[i] := SomeValue;

Created with Doc-O-Matic.


See Also

TJvChangeItem, TJvChangeNotify, TJvChangeNotify.Notifications


TJvChangeItems.Add method

TJvChangeItems	See Also	Edit topic

Add a new change item to the list.

Pascal

function Add: TJvChangeItem;

Return Value

A new instance of TJvChangeItem.

Description

Call Add to add a new TJvChangeItem to the list of items maintained by the TJvChangeItems.

Created with Doc-O-Matic.


See Also

Delete


TJvChangeNotify
JEDI-VCL Reference

 TJvChangeNotify

Hierarchy	Properties	Events	Package	 Edit topic

Component that can monitor file and directory changes and report to the user when a change occurs.

Pascal

TJvChangeNotify = class(TJvComponent);

File

JvChangeNotify

Description

Use a TJvChangeNotify component when you need to monitor changes in one or more directories on the computer. The component can detect changes to files as well as folders. The component uses the FindFirstNotification API to perform the actual work of monitoring the directories (for more information, see the Platform SDK Help or MSDN), so any limitations of that API is also imposed on TJvChangeNotify. Specifically, there is no information on what file or files have been changed in a directory, only that changes have occurred. If you need to know the details on the exact file or files that have changed, you will have to write your own code.

To avoid locking up the application, a thread is created when the component is activated. The thread then polls the Notifications at a set interval. When a change has been detected, the OnChangeNotify event is triggered and monitoring continues.

Created with Doc-O-Matic.


TJvChangeNotify Properties

TJvChangeNotify	Legend

Properties

 Active

 CheckInterval

 FreeOnTerminate

 Notifications

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvChangeNotify Events

TJvChangeNotify	Legend

Events

 OnChangeNotify

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvChangeNotify

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvChangeNotify


TJvChangeNotify Members

TJvChangeNotify	Legend

Members

Properties

 Active

 CheckInterval

 FreeOnTerminate

 Notifications

TJvComponent

 AboutJVCL

Events

 OnChangeNotify

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

System


TJvChangeNotify.Active property

TJvChangeNotify	See Also	Edit topic

Specify whether monitoring is activated or not.

Pascal

property Active: Boolean;

Description

Use Active to turn on and off monitoring of the directories in Notifications. Note that if FreeOnTerminate is true, the call to Active will return immediately, even if the thread is not closed yet. In this case you can't use code like:

    JvChangeNotify1.Active := false;

    CheckForChangedFiles(); // thread might still be active here!

To avoid this situation, set FreeOnTerminate to false.

Created with Doc-O-Matic.


See Also

TJvChangeNotify.Notifications


TJvChangeNotify.CheckInterval property

TJvChangeNotify	See Also	Edit topic

Specifies the time interval between monitoring checks.

Pascal

property CheckInterval: Integer;

Description

Use CheckInterval to set the number of milliseconds between checks on monitored directories. The default value for CheckInterval is 100 milliseconds. To change CheckInterval, Active must be false.

Created with Doc-O-Matic.


See Also

TJvChangeNotify.Active, TJvChangeNotify.Notifications


TJvChangeNotify.FreeOnTerminate property

TJvChangeNotify	See Also	Edit topic

Determines how the internal thread is controlled.

Pascal

property FreeOnTerminate: Boolean;

Description

Set FreeOnTerminate to True if you want the component to automatically release the listening thread when you set Active to false. If you set FreeOnTerminate to False, the component will suspend the thread and stop for it to terminate before freeing it. If you set FreeOnTerminate is true, setting Active to false will eventually stop the thread, but there might be a slight delay even if the call to Active returns immediately. The delay depends mostly on the number of folders that are monitored.

To be able to set Active to False in the OnChangeNotify, you must set FreeOnTerminate to True. If you fail to do so, the program will most likely hang.

Created with Doc-O-Matic.


See Also

TJvChangeNotify.OnChangeNotify


TJvChangeNotify.Notifications property

TJvChangeNotify	See Also	Edit topic

Contains a list of monitored directories.

Pascal

property Notifications: TJvChangeItems;

Description

Use Notifications to manage the directories that should be monitored by the component. To manage the Notifications at design-time, click the Notifications property in the Object Inspector to display the Collection Editor. To manage Notifications at run-time, use Notifications.Add and Notifications.Delete to add and remove items.

Created with Doc-O-Matic.


See Also

TJvChangeItems


TJvChangeNotify.OnChangeNotify event

TJvChangeNotify	See Also	Edit topic

Occurs when a change has been detected in a monitored directory.

Pascal

TJvNotifyEvent = procedure (Sender: TObject; Dir: string; Actions: TJvChangeActions) of object;
property OnChangeNotify: TJvNotifyEvent;

Parameters

Actions

The action or actions that triggered the event.

Dir

The directory where the change occurred.

Sender

The object that triggered the event.

Description

Write a handler for this event to take specific action when a change has occurred in a monitored directory. For example, use this event to update a list of changed files or folders displayed to the user.

Notes

Do not change the state of the Active property inside the event unless FreeOnTerminate is true. Doing so will most likely hang the application.

Created with Doc-O-Matic.


See Also

TJvChangeNotify.FreeOnTerminate


TJvChangeThread
JEDI-VCL Reference

TJvChangeThread

Hierarchy	Events	 Edit topic

Internal thread class for checking the monitored directories.

Pascal

TJvChangeThread = class(TThread);

File

JvChangeNotify

Description

TJvChangeThread is used by the TJvChangeNotify component to periodically check the monitored folders for any detected changes. Do not create instances of this class, it is only intended to be used by the TJvChangeNotify component.

Created with Doc-O-Matic.


TJvChangeThread Events

TJvChangeThread

Events

OnChangeNotify

Created with Doc-O-Matic.


Hierarchy

TThread
    TJvChangeThread


TJvChangeThread Members

TJvChangeThread

Members

Events

OnChangeNotify

Created with Doc-O-Matic.


TJvChangeThread.OnChangeNotify event

TJvChangeThread	Edit topic

Occurs when a change has been detected.

Pascal

TJvThreadNotifyEvent = procedure (Sender: TObject; Index: Integer) of object;
property OnChangeNotify: TJvThreadNotifyEvent;

Parameters

Index

The index of the item in Notifications that has detected a change.

Sender

The object that triggered the event.

Description

Do not write an event handler for this event. An event handler is automatically assigned by the TJvChangeNotify component when the thread is created.

Created with Doc-O-Matic.


TJvCharMap
JEDI-VCL Reference

 TJvCharMap

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Use this component when you want to allow your user to choose a character in a grid displaying the current character set.

Pascal

TJvCharMap = class(TJvCustomCharMap);

File

JvCharMap

Description

TJvCharMap is a grid component similar to the grid available in the CharMap utility included in Windows. TJvCharMap can display the characters from any font installed on the system.

On Unicode enabled operating systems it can also display the Unicode characters as well as the Unicode subranges (with some limitations, see TJvCharMapRange.Filter for details).

TJvCharMap inherits from TJvCustomCharMap and publish many of its properties but does not introduce any new behavior.

Created with Doc-O-Matic.


TJvCharMap Properties

TJvCharMap	Legend

Properties

 AutoSizeHeight

 AutoSizeWidth

Character

 CharRange

 Columns

 HighlightInvalid

Locale

PanelVisible

 ShadowSize

 ShowShadow

 ShowZoomPanel

TJvCustomCharMap

 AutoSizeHeight

 AutoSizeWidth

 Character

 CharRange

 Columns

 HighlightInvalid

 Locale

 PanelVisible

 ShadowSize

 ShowShadow

 ShowZoomPanel

TJvExCustomDrawGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCharMap Events

TJvCharMap	Legend

Events

 OnSelectChar

 OnValidateChar

TJvCustomCharMap

 OnSelectChar

 OnValidateChar

TJvExCustomDrawGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCharMap Methods

TJvCharMap

Methods

TJvCustomCharMap

CellSize

Created with Doc-O-Matic.


Legend

TJvCharMap

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomDrawGrid, IJvExControl
        TJvExCustomDrawGrid
            TJvCustomCharMap
                TJvCharMap


TJvCharMap Members

TJvCharMap	Legend

Members

Properties

 AutoSizeHeight

 AutoSizeWidth

Character

 CharRange

 Columns

 HighlightInvalid

Locale

PanelVisible

 ShadowSize

 ShowShadow

 ShowZoomPanel

TJvCustomCharMap

 AutoSizeHeight

 AutoSizeWidth

 Character

 CharRange

 Columns

 HighlightInvalid

 Locale

 PanelVisible

 ShadowSize

 ShowShadow

 ShowZoomPanel

TJvExCustomDrawGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnSelectChar

 OnValidateChar

TJvCustomCharMap

 OnSelectChar

 OnValidateChar

TJvExCustomDrawGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomCharMap

CellSize

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

Ctrls


TJvCharMap.AutoSizeHeight property

TJvCharMap	See Also	Edit topic

Determines whether the component adjusts is height to match its content.

Pascal

property AutoSizeHeight: Boolean;

Description

Set AutoSizeHeight to true to make the control automatically adjust its Height property to display its content without using scrollbars.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.AutoSizeWidth


TJvCharMap.AutoSizeWidth property

TJvCharMap	See Also	Edit topic

Determines whether the component adjusts is width to match its content.

Pascal

property AutoSizeWidth: Boolean;

Description

Set AutoSizeWidth to true to make the control automatically adjust its Width property to display its content without using scrollbars.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.AutoSizeHeight


TJvCharMap.Character property

TJvCharMap	Edit topic

Determines the currently selected character in the grid.

Pascal

property Character: WideChar;

Description

Read Character to determine the currently selected character in the grid.

Created with Doc-O-Matic.


TJvCharMap.CharRange property

TJvCharMap	Edit topic

Defines what characters are displayed in the grid.

Pascal

property CharRange: TJvCharMapRange;

Description

Use the properties of CharRange to define what characters are displayed in the grid.

Created with Doc-O-Matic.


TJvCharMap.Columns property

TJvCharMap	See Also	Edit topic

Defines the number of columns to display in the gird.

Pascal

property Columns: Integer;

Description

Use Columns to read and change the number of columns in the grid. The number of rows is automatically adjusted to accommodate the currently selected character range.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.CharRange


TJvCharMap.HighlightInvalid property

TJvCharMap	See Also	Edit topic

Determines whether invalid cells are drawn in another style.

Pascal

property HighlightInvalid: Boolean;

Description

Use HighlightInvalid to define whether invalid cells are drawn using a background pattern in the cell. Invalid characters can be of three types:

Characters outside the currently selected range

Characters without character info as returned by GetStringTypeEx

Characters that have been marked as invalid by an event handler for the OnValidateChar event

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.CharRange, TJvCustomCharMap.OnValidateChar


TJvCharMap.Locale property

TJvCharMap	Edit topic

Determines the locale to use when extracting character info.

Pascal

property Locale: LCID;

Description

Use Locale to set the locale to use when the character map extracts character info. Character info is extracted using the GetStringTypeEx(W) function and, by default, only characters returning valid information is displayed in the grid.

Notes

This property has no function in Unicode enabled operating systems, like Windows 2000 and Windows XP, since the Locale parameter is ignored by GetStringTypeExW.

Created with Doc-O-Matic.


TJvCharMap.OnSelectChar event

TJvCharMap	Edit topic

Event that is called when a character is selected in the grid.

Pascal

property OnSelectChar: TJvCharMapSelectedEvent;

Parameters

Sender

The component that triggered the event.

AChar

The selected character.

Description

Write a handler for the OnSelectChar event to take specific actions when the user selects a character in the grid. For example, use this event to display information on the currently selected character.

Created with Doc-O-Matic.


TJvCharMap.OnValidateChar event

TJvCharMap	Edit topic

Event that is called when a character needs validating.

Pascal

property OnValidateChar: TJvCharMapValidateEvent;

Parameters

Sender

The component that triggered the event.

AChar

The character to validate.

Valid

Set to true to mark the character as valid or to false to mark it as invalid.

Description

Write a handler for the OnValidateChar event to take specific action when a character needs validating. For example, to accept any character, write a handler that always returns true in the Valid parameter.

Created with Doc-O-Matic.


TJvCharMap.PanelVisible property

TJvCharMap	See Also	Edit topic

Shows or hides the zoom panel.

Pascal

property PanelVisible: Boolean;

Description

Use PanelVisible to programmatically show and hide the zoom panel. Note that ShowZoomPanel must be true for this setting to have any effect.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.ShowZoomPanel


TJvCharMap.ShadowSize property

TJvCharMap	See Also	Edit topic

Determines the offset of the zoom panel's background shadow.

Pascal

property ShadowSize: Integer;

Description

Use ShadowSize to set the top/left pixel offset of the shadow behind the zoom panel. Setting this value to 0, hides the shadow. The default value is 2 pixels.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.ShowShadow


TJvCharMap.ShowShadow property

TJvCharMap	See Also	Edit topic

Determines whether a shadow is drawn behind the zoom panel.

Pascal

property ShowShadow: Boolean;

Description

Set ShowShadow to true to show a drop shadow behind the zoom panel. On systems that supports it, the shadow is alpha blended. On other systems, it is drawn black.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.ShadowSize


TJvCharMap.ShowZoomPanel property

TJvCharMap	See Also	Edit topic

Determines whether clicking a cell in the grid shows a zoom panel or not.

Pascal

property ShowZoomPanel: Boolean;

Description

Use ShowZoomPanel to define whether a zoom panel is shown when the user selects a cell in the grid.

A zoom panel displays the currently selected character in a larger font and in a separate window overlaying the currently selected cell.

To show the zoom panel at run-time, ShowZoomPanel must be true. The zoom panel can then be displayed using any of the following methods:

Programmatically by setting PanelVisible to true.

By clicking the left mouse button in a valid cell.

By selecting a cell and pressing the Enter key.

Once the zoom panel is visible, the user can use the arrow keys or the mouse scroll wheel to move the zoom panel to another cell.

Notes

A user can toggle the zoom panel on and off using the Spacebar and hide it using by pressing the Escape key.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.PanelVisible


TJvCharMapRange
JEDI-VCL Reference

TJvCharMapRange

Hierarchy	Properties	Events	 Edit topic

Provides options for the TJvCharMap component.

Pascal

TJvCharMapRange = class(TPersistent);

File

JvCharMap

Description

TJvCharMapRange provides display options for a TJvCharMap and is the type for the CharRange property.

Created with Doc-O-Matic.


TJvCharMapRange Properties

TJvCharMapRange	Legend

Properties

 EndChar

 Filter

 StartChar

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCharMapRange Events

TJvCharMapRange	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvCharMapRange

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCharMapRange


TJvCharMapRange Members

TJvCharMapRange	Legend

Members

Properties

 EndChar

 Filter

 StartChar

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCharMapRange.EndChar property

TJvCharMapRange	See Also	Edit topic

Determines the last character to display in a character map.

Pascal

property EndChar: Cardinal;

Description

Use EndChar to set the last char to display in a TJvCharMap. Although EndChar is of type Cardinal, it is actually used as a WideChar. EndChar has effect only if Filter is set to ufUndefined.

Created with Doc-O-Matic.


See Also

TJvCharMapRange.Filter, TJvCharMapRange.StartChar


TJvCharMapRange.Filter property

TJvCharMapRange	See Also	Edit topic

Determines the Unicode subrange to show in a character map.

Pascal

property Filter: TJvCharMapUnicodeFilter;

Description

Use Filter to set the Unicode subrange for a TJvCharMap. When Filter is ufUndefined, the TJvCharMap uses StartChar and EndChar instead.

Notes

Unicode defines several subranges that are non-contiguous. The TJvCharMap can only display contiguous character ranges and thus some subranges cannot be displayed in their entirety. The subranges affected are ufPrivateUse and ufSpecials.

Created with Doc-O-Matic.


See Also

TJvCharMapRange.StartChar, EndChar


TJvCharMapRange.OnChange event

TJvCharMapRange	Edit topic

Occurs when the current focus changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for the OnChange event to take specific action when the user selects another grid cell in the control.

Created with Doc-O-Matic.


TJvCharMapRange.StartChar property

TJvCharMapRange	See Also	Edit topic

Determines the first character displayed in a character map.

Pascal

property StartChar: Cardinal;

Description

Use StartChar to set the first character to display in a TJvCharMap. Although StartChar is of type Cardinal, it is actually used as a WideChar. StartChar has effect only if Filter is set to ufUndefined.

Created with Doc-O-Matic.


See Also

TJvCharMapRange.Filter, EndChar


TJvCheckBox
JEDI-VCL Reference

 TJvCheckBox

Hierarchy	Properties	Events	Package	 Edit topic

A checkbox descendant with added functionality.

Pascal

TJvCheckBox = class(TJvExCheckBox);

File

JvCheckBox

Description

TJvCheckBox is a direct descendant and enhancement for Delphi's TCheckBox.

There are 3 main added functionalities:

The checkbox can be Associated with another component and control its enabled property.

Mouse movements can be tracked through 2 added events OnMouseEnter/OnMouseLeave and change the Font automatically (HotTrack, HotTrackFont).

The state of the control can automatically be saved to the registry.

To use TJvCheckBox

Drop the component on any control which can accept child controls.

Set the Top, Left, Width and Height of the component with the mouse or through the object Inspector.

Optionally set the Associated control to be enabled/disabled by toggling the Checkbox

Set the Caption (if you want a multi-line caption set Autosize to False and adjust the size of the control accordingly).

Optionally set the HotTrack property and define the HotTrackFont.

Optionally set the Hintcolor.

Optionally set the AutoSave properties.

Created with Doc-O-Matic.


TJvCheckBox Properties

TJvCheckBox	Legend

Properties

 Alignment

 AutoSize

 Canvas

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 LeftText

 LinkedControls

 WordWrap

TJvExCheckBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvCheckBox Events

TJvCheckBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExCheckBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvCheckBox

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCheckBox, IJvExControl
        TJvExCheckBox
            TJvCheckBox


TJvCheckBox Members

TJvCheckBox	Legend

Members

Properties

 Alignment

 AutoSize

 Canvas

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 LeftText

 LinkedControls

 WordWrap

TJvExCheckBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExCheckBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Package

StdCtrls


TJvCheckBox.Alignment property

TJvCheckBox	See Also	Edit topic

Controls the horizontal placement of the text.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text of the check box is justified within the ClientRect of the check box control.

The effect of the Alignment property is more obvious if the WordWrap property is true and the check box includes more than one line of text.

Created with Doc-O-Matic.


See Also

TJvCheckBox.Layout


TJvCheckBox.AutoSize property

TJvCheckBox	Edit topic

Determines whether control automatically resizes to accommodate the Caption.

Pascal

property AutoSize: Boolean;

Description

Use AutoSize to make the control adjust its size automatically so the client area accommodates the height and width of the caption. When AutoSize is False, the check box is fixed in size. When AutoSize is True, the client size readjusts whenever the caption changes. The client size of the control is also readjusted when the Font property changes. By default, AutoSize is False.

Leaving AutoSize to False and adjusting the size manually allows control of the Wordwrap of the Caption.

Created with Doc-O-Matic.


TJvCheckBox.Canvas property

TJvCheckBox	Edit topic

Provides runtime access to the check box’s drawing surface.

Pascal

property Canvas: TCanvas;

Description

The read-only Canvas property provides access to the check box’s drawing surface.

Created with Doc-O-Matic.


TJvCheckBox.HintColor property

TJvCheckBox	See Also	Edit topic

Color of the hint when the mouse hovers over the control.

Pascal

property HintColor: TColor;

Description

TJvBevel provides the mechanism of having another color when the mouse pointer hovers over the control. The default is the Windows HintColor default (Delphi Color: clInfoBk)

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvCheckBox.HotTrack property

TJvCheckBox	See Also	Edit topic

Determines whether control automatically tracks the mouse hovering over the control.

Pascal

property HotTrack: Boolean;

Description

Use HotTrack to specify that the font defined in HotTrackFont will be used instead of the normal font (ParentFont/Control Font) when the mouse cursor is hovering over the control.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvCheckBox.HotTrackFont property

TJvCheckBox	See Also	Edit topic

Font used when the mouse cursor is hovering over the control.

Pascal

property HotTrackFont: TFont;

Description

Use HotTrackFont to specify the font to be used instead of the normal font (ParentFont/ Control Font) when HotTrack is set to True and the mouse cursor is hovering over the control.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvCheckBox.HotTrackFontOptions property

TJvCheckBox	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

TJvCheckBox.HotTrack, TJvCheckBox.HotTrackFont


TJvCheckBox.Layout property

TJvCheckBox	See Also	Edit topic

Specifies the vertical placement of the text.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of the check box is placed within the ClientRect of the check box control. Layout is the vertical analog to the Alignment property.

Created with Doc-O-Matic.


See Also

TJvCheckBox.Alignment


TJvCheckBox.LeftText property

TJvCheckBox	Edit topic

Specifies whether to show the text on the left or the right of the check box.

Pascal

property LeftText: Boolean;

Description

Set LeftText to false (the default) to show the text on the right of the check box. Set LeftText to true to show the text on the left of the check box.

Created with Doc-O-Matic.


TJvCheckBox.LinkedControls property

TJvCheckBox	Edit topic

TControl descendant whose Enabled property will be controlled by the checkbox.

Pascal

property LinkedControls: TJvLinkedControls;

Description

Associated is the Control which will be Enabled/Disabled according to the value of the Checked property of the checkbox.

Created with Doc-O-Matic.


TJvCheckBox.OnMouseEnter event

TJvCheckBox	See Also	Edit topic

Occurs when the mouse pointer moves over the check box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the check box.

Created with Doc-O-Matic.


See Also

TJvExCheckBox.OnMouseLeave


TJvCheckBox.OnMouseLeave event

TJvCheckBox	See Also	Edit topic

Occurs when the mouse pointer moves off the check box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the check box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCheckBox.OnMouseEnter


TJvCheckBox.OnParentColorChange event

TJvCheckBox	Edit topic

Occurs when the color of the parent control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event handler to take specific action when the parent's Color property changes.

Created with Doc-O-Matic.


TJvCheckBox.WordWrap property

TJvCheckBox	See Also	Edit topic

Specifies whether the check box text wraps when it is too long for the width of the check box.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to true to allow the check box to display multiple line of text. When WordWrap is true, text that is too wide for the check box control wraps at the right margin and continues in additional lines.

Set WordWrap to false to limit the check box to a single line. When WordWrap is false, text that is too wide for the check box appears truncated.

Created with Doc-O-Matic.


See Also

TJvCheckBox.Alignment


TJvCheckTreeView
JEDI-VCL Reference

 TJvCheckTreeView

Hierarchy	Properties	Events	Package	 Edit topic

A treeview control that can display checkboxes and radio buttons.

Pascal

TJvCheckTreeView = class(TJvTreeView);

File

JvCheckTreeView

Description

Use TJvCheckTreeView when you need to display checkboxes and/or radio buttons in a treeview. TJvCheckTreeView can display and automatically handle the check/uncheck logic for radio buttons as well as checkboxes. In addition, not all nodes in the treeview need to have checkboxes or radio buttons. You can freely mix and match checkboxes, radio buttons and "empty" items on every level in the treeview. You can use your own checkbox images by assigning an imagelist to the StateImages property containing the images you want to use.

Created with Doc-O-Matic.


TJvCheckTreeView Properties

TJvCheckTreeView	Legend

Properties

CheckBox

 CheckBoxOptions

Checked

RadioItem

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCheckTreeView Events

TJvCheckTreeView	Legend

Events

 OnToggled

 OnToggling

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvCheckTreeView

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvTreeView
    TJvCheckTreeView


TJvCheckTreeView Members

TJvCheckTreeView	Legend

Members

Properties

CheckBox

 CheckBoxOptions

Checked

RadioItem

Events

 OnToggled

 OnToggling

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

StdCtrls


TJvCheckTreeView.CheckBox property

TJvCheckTreeView	See Also	Edit topic

Specifies whether a node is a checkbox or not.

Pascal

property CheckBox [Node: TTreeNode]: Boolean;

Description

Use the CheckBox array with a valid Node parameter to determine if a node is a checkbox or not.

Created with Doc-O-Matic.


See Also

TJvCheckTreeView.Checked, TJvCheckTreeView.RadioItem


TJvCheckTreeView.CheckBoxOptions property

TJvCheckTreeView	Edit topic

Specifies the options for checkboxes in the treeview.

Pascal

property CheckBoxOptions: TJvTreeViewCheckBoxOptions;

Description

Use CheckBoxOptions to get and set the checkbox options for the treeview.

Created with Doc-O-Matic.


TJvCheckTreeView.Checked property

TJvCheckTreeView	See Also	Edit topic

Specifies if a node is checked or not.

Pascal

property Checked [Node: TTreeNode]: Boolean;

Description

Use the Checked array with a valid Node parameter to determine if a node is checked.

Created with Doc-O-Matic.


See Also

TJvCheckTreeView.CheckBox, TJvCheckTreeView.RadioItem


TJvCheckTreeView.OnToggled event

TJvCheckTreeView	See Also	Edit topic

Occurs when a node has been toggled on or off.

Pascal

property OnToggled: TTVChangedEvent;

Description

Write a handler for OnToggled to take specific action when a node is toggled on or off. The Node parameter specifies the node that was toggled.

Created with Doc-O-Matic.


See Also

TJvCheckTreeView.OnToggling


TJvCheckTreeView.OnToggling event

TJvCheckTreeView	See Also	Edit topic

Occurs just before a node is going to be toggled on or off.

Pascal

property OnToggling: TTVChangingEvent;

Description

Write an OnToggling event handler to selectively prevent the user to toggle specific nodes.

The OnToggling event is called when a node is about to be toggled on or off. Set AllowChange to False, to prevent the node to be toggled. The Node parameter specifies the node that is about to be toggled.

Created with Doc-O-Matic.


See Also

TJvCheckTreeView.OnToggled


TJvCheckTreeView.RadioItem property

TJvCheckTreeView	See Also	Edit topic

Specifies if a node is a radio button or not.

Pascal

property RadioItem [Node: TTreeNode]: Boolean;

Description

Use the RadioItem array with a valid Node parameter to determine if a node is a radio button or not.

Created with Doc-O-Matic.


See Also

TJvCheckTreeView.CheckBox, TJvCheckTreeView.Checked


TJvClipboard
JEDI-VCL Reference

TJvClipboard

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

The new clipboard object, with added power !

Pascal

TJvClipboard = class(TClipboard);

File

JvClipbrd

Description

Clearly, TJvClipboard now allows you to use delayed rendering through the OnRenderFormat event. All methods have been overridden to allow specifying delayed rendering. See their documentation for details. However, SetAsHandle has not been overridden as it is enough to set its second parameter to 0 to get delayed rendering. Do not create a TJvClipboard yourself, use the JvClipboard function instead

Created with Doc-O-Matic.


TJvClipboard Properties

TJvClipboard	Legend

Properties

 AsWideText

 Handle

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvClipboard Events

TJvClipboard	Legend

Events

 OnRenderFormat

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvClipboard Methods

TJvClipboard	Legend

Methods

AddDelayed

 Clear

 Close

DestroyHandle

GetBuffer

 Open

RegisterFormat

SetBuffer

SetComponent

SetTextBuf

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvClipboard

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TClipboard
    TJvClipboard


TJvClipboard Members

TJvClipboard	Legend

Members

Properties

 AsWideText

 Handle

Events

 OnRenderFormat

Methods

AddDelayed

 Clear

 Close

DestroyHandle

GetBuffer

 Open

RegisterFormat

SetBuffer

SetComponent

SetTextBuf

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


See Also

JvClipboard


TJvClipboard.AsWideText property

TJvClipboard	Edit topic

Returns the text in the clipboard as a WideString

Pascal

property AsWideText: WideString;

Description

This property only returns a string if the CF_UNICODETEXT format is available in the clipboard. Copying a text in the clipboard will normally automatically provide this format too.

Created with Doc-O-Matic.


TJvClipboard.Handle property

TJvClipboard	Edit topic

The handle to the underlying window handling the delayed rendering messages

Pascal

property Handle: THandle;

Description

You shouldn't have to use this property directly, unless you want to use raw Win32 API calls.

Created with Doc-O-Matic.


TJvClipboard.OnRenderFormat event

TJvClipboard	See Also	Edit topic

The event fired when a format has been added with delayed rendering and needs rendering because an application (or the DestroyHandle method) asked for it

Pascal

TJvRenderFormatEvent = procedure (Sender: TObject; Format: Word; var Buffer: Pointer; var Size: Cardinal; var MustFree: Boolean) of object;
property OnRenderFormat: TJvRenderFormatEvent;

Parameters

Size

The size in bytes of the data available in the buffer. Setting size to 0 will make the system remove this format from the clipboard, but this is not a documented behavior

MustFree

set to False by default. If you set this to True, the clipboard will call FreeMem(buffer) after having copied the data in the system clipboard. This is useful only if you allocated the buffer using GetMem()

Buffer

The buffer where the rendered data has to be or has been put. You may change the value of the buffer parameter to point on a memory that will survive the exit of your handler. Clearly, you can't give a pointer to a local variable or use a PChar() conversion. Alternatively, you can allocate some memory with GetMem(), copy your data in the buffer and set the MustFree parameter to true to ask the clipboard to free the memory for you (done using FreeMem). Setting buffer to nil will make the system remove this format from the clipboard, but this is not a documented behavior

Sender

The object triggering the event. Clearly, will always be the value returned by JvClipboard, unless you call the event yourself

Format

The format needing rendering

Description

This event MUST be assigned if you want to add delayed rendering formats in the clipboard. If not, you will get an exception when the format is rendered.

Created with Doc-O-Matic.


See Also

TJvClipboard.AddDelayed


TJvClipboard.AddDelayed method

TJvClipboard	See Also	Edit topic

Add a format that uses delayed rendering

Pascal

procedure AddDelayed(Format: Word);

Parameters

Format: Word

The ID of the clipboard format to add. Must have been registered before

Description

If you add a format using this function, you MUST provide an OnRenderFormat event handler

Created with Doc-O-Matic.


See Also

TJvClipboard.OnRenderFormat, TJvClipboard.RegisterFormat


TJvClipboard.Clear method

TJvClipboard	Edit topic

Clears the clipboard

Pascal

procedure Clear; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvClipboard.Close method

TJvClipboard	See Also	Edit topic

Closes the clipboard

Pascal

procedure Close; override;

Description

The clipboard is effectively closed when the internal reference counter reaches 0. Hence, for every call to Open, there must be a call to Close

Created with Doc-O-Matic.


See Also

TJvClipboard.Open


TJvClipboard.DestroyHandle method

TJvClipboard	See Also	Edit topic

Ensures the delayed rendering formats are rendered before destroying the clipboard object

Pascal

procedure DestroyHandle;

Description

To ensure that the formats using delayed rendering are saved when the application terminates, it is necessary that we get their values before actually destroying the underlying window (which handle is given by the Handle property) As a result, the OnRenderFormat event will be fired for every format with delayed rendering still in the clipboard. This could lead to memory problems if the format is quite big. You should then asks the user if he wants to keep the big objects available for other programs If you don't call this method and some formats are in the clipboard with delayed rendering, it will be called upon destruction of the clipboard, which is likely to happen after the destruction of the object where the event is set. I let you imagine the consequences... So you should call this function from the destructor (or the OnDestroy event) of the component where the OnRenderFormat event handler is set (eg, the main form) as this component is likely to be destroyed before the clipboard itself.

Created with Doc-O-Matic.


See Also

TJvClipboard.Handle, TJvClipboard.OnRenderFormat


TJvClipboard.GetBuffer method

TJvClipboard	See Also	Edit topic

Gets a buffer of the given format

Pascal

function GetBuffer(Format: Word; Buffer: Pointer; Size: Cardinal): Boolean;

Return Value

True if data was successfully retrieved, else use Windows.GetLastError to get the error code

Parameters

Format: Word

The format ID

Buffer: Pointer

An allocated buffer

Size: Cardinal

The size of the allocated buffer and of the data to retrieve

Description

The format must be present in the clipboard. If not the function returns false. The buffer and the size parameters must be set to the correct size for the specified format. If they are too small, the data will be truncated, resulting in corrupted values on your side (but you're the one who knows what to do with that). If they are too large, the application will crash as it will be asking the system for more data than available

Created with Doc-O-Matic.


See Also

TJvClipboard.OnRenderFormat


TJvClipboard.Open method

TJvClipboard	See Also	Edit topic

Opens the clipboard

Pascal

procedure Open; override;

Description

If the clipboard is already opened, this has no effect but to increment the internal reference counter. As a result, every call to Open must have an associated call to Close

Created with Doc-O-Matic.


See Also

TJvClipboard.Close


TJvClipboard.RegisterFormat method

TJvClipboard	Edit topic

Registers a format of that name with the system and returns its identifier.

Pascal

function RegisterFormat(const Name: string): Word;

Return Value

The format identifier

Parameters

const Name: string

The name of the format

Description

You could also call the Win32 API function RegisterClipboardFormat

Created with Doc-O-Matic.


TJvClipboard.SetBuffer method

TJvClipboard	See Also	Edit topic

Adds the given buffer to memory

Pascal

procedure SetBuffer(Format: Word; Buffer: Pointer; Size: Integer); overload;

Parameters

Format: Word

The format to add

Buffer: Pointer

The buffer containing the data

Size: Integer

The size of the data in the buffer

Description

This method has been overridden to allow setting Buffer to nil and thus asking to use delayed rendering. If you do so, you MUST provide an OnRenderFormat event handler If Buffer <> nil then the inherited method is called

Created with Doc-O-Matic.


See Also

SetComponent, SetTextBuf


TJvClipboard.SetComponent method

TJvClipboard	See Also	Edit topic

Overloaded version of the same procedure in TClipboard that now allows you to specify delayed rendering.

Pascal

procedure SetComponent(Component: TComponent; Delayed: Boolean); overload;

Parameters

Component: TComponent

The component to copy in the clipboard

Delayed: Boolean

If True, delayed rendering will be used

Description

If delayed is set to False, the inherited method is called else, the format is added in the clipboard for delayed rendering and you MUST provide an OnRenderFormat event;

Created with Doc-O-Matic.


See Also

SetBuffer, SetTextBuf


TJvClipboard.SetTextBuf method

TJvClipboard	See Also	Edit topic

Overloaded version of the same procedure in TClipboard that now allows you to specify delayed rendering.

Pascal

procedure SetTextBuf(Buffer: PChar; Delayed: Boolean); overload;

Parameters

Buffer: PChar

The text buffer. A final #0 is expected to stop the string

Delayed: Boolean

If True, delayed rendering will be used

Description

If delayed is set to False, the inherited method is called else, the format is added in the clipboard for delayed rendering and you MUST provide an OnRenderFormat event;

Created with Doc-O-Matic.


See Also

SetBuffer, SetComponent


TJvColorBox
JEDI-VCL Reference

TJvColorBox

Hierarchy	Properties	Events	 See Also	Edit topic

Displays the Windows standard colors as a set of 5x4 color squares.

Pascal

TJvColorBox = class(TJvCustomControl);

File

JvColorBox

Description

Use TJvColorBox when you need to display the Windows standard colors in a control.

Created with Doc-O-Matic.


TJvColorBox Properties

TJvColorBox	Legend

Properties

 BorderStyle

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvColorBox Events

TJvColorBox	Legend

Events

 OnColorClick

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvColorBox

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvColorBox


TJvColorBox Members

TJvColorBox	Legend

Members

Properties

 BorderStyle

Events

 OnColorClick

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvColorButton


TJvColorBox.BorderStyle property

TJvColorBox	Edit topic

Determines the appearance of the control’s border.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to affect the visual appearance of the controls border. BorderStyle can have a value of either bsSingle or bsNone. If BorderStyle is bsSingle, the control has a single-line border around the client area. If BorderStyle is bsNone, there will be no border.

Created with Doc-O-Matic.


TJvColorBox.OnColorClick event

TJvColorBox	Edit topic

Occurs when one of the color squares are clicked by the user.

Pascal

property OnColorClick: TJvColorClickEvent;

Description

Write a handler for the OnColorClick event to take specific action when the user clicks on one of the color squares.

Created with Doc-O-Matic.


TJvColorButton
JEDI-VCL Reference

 TJvColorButton

Hierarchy	Properties	Events	Package	 Edit topic

A button that can display a color and a drop-down form to select another color.

Pascal

TJvColorButton = class(TJvCustomDropButton);

File

JvColorButton

Description

Use TJvColorButton when you need a button to select a color. The TJvColorButton is visually similar to the color selection button used in the Display Properties dialog in Windows. To select a color, click the button and a color selection form is displayed with the common Windows colors. Click one of the color squares to select that color. To select a color not in the form, click the "Other" button to display a common color selection dialog.

Created with Doc-O-Matic.


TJvColorButton Properties

TJvColorButton	Legend

Properties

 ArrowWidth

 Color

 CustomColors

 EdgeWidth

 Options

 OtherCaption

TJvCustomDropButton

 ArrowWidth

 DropDown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvColorButton Events

TJvColorButton	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvColorButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomDropButton
            TJvColorButton


TJvColorButton Members

TJvColorButton	Legend

Members

Properties

 ArrowWidth

 Color

 CustomColors

 EdgeWidth

 Options

 OtherCaption

TJvCustomDropButton

 ArrowWidth

 DropDown

Events

 OnChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Ctrls


TJvColorButton.ArrowWidth property

TJvColorButton	Edit topic

Specifies the width of the arrow part of the button.

Pascal

property ArrowWidth: Integer;

Description

Use ArrowWidth to specify the width of the arrow part of the button. The arrow image will be sized accordingly.

Created with Doc-O-Matic.


TJvColorButton.Color property

TJvColorButton	Edit topic

Specifies the currently selected color in the button.

Pascal

property Color: TColor;

Description

Use Color to specify the color to display on the button. Read Color to determine what color is currently selected. You can't change the color of the actual button as this is determined by the clBtnFace color constant.

Created with Doc-O-Matic.


TJvColorButton.CustomColors property

TJvColorButton	See Also	Edit topic

List of custom colors.

Pascal

property CustomColors: TStrings;

Description

Use CustomColors to set the custom colors to add to the common color dialog displayed when the "Other" button is clicked. Read CustomColors to determine the custom colors added by the user from this dialog. CustomColors is assignment compatible with the CustomColors property of TColorDialog. You can also edit the property as a standard TStringList, inside which you put values of this form:

  ColorX=rrggbb

where X is a letter from A to P and rrggbb is an hexadecimal RGB code. Hence ColorA=FF0000 would add a pure red as the first custom color.

Created with Doc-O-Matic.


See Also

TColorDialog


TJvColorButton.EdgeWidth property

TJvColorButton	Edit topic

Specifies the width of the edge surrounding the color square on the button.

Pascal

property EdgeWidth: Integer;

Description

Use EdgeWidth to set the size of the color square on the button. Read EdgeWidth to determine the current size of the color square. EdgeWidth is expressed in pixels.

Created with Doc-O-Matic.


TJvColorButton.OnChange event

TJvColorButton	Edit topic

Occurs when the color in the color square changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for the OnChange event to take specific actions when the Color property is changed.

Created with Doc-O-Matic.


TJvColorButton.Options property

TJvColorButton	See Also	Edit topic

Specifies options for the common color dialog.

Pascal

property Options: TColorDialogOptions;

Description

Use Options to specify what options should be enabled when the common color dialog is displayed. Options is equivalent to TColorDialog.Options. The common color dialog is displayed when the user clicks the "Other" button.

Created with Doc-O-Matic.


See Also

TColorDialog.Options


TJvColorButton.OtherCaption property

TJvColorButton	Edit topic

Specifies the caption of the "Other" button.

Pascal

property OtherCaption: string;

Description

Use OtherCaption to set the text that is displayed on the "Other" button. The "Other" button is used to display a common color dialog and is located on the drop-down form of the button.

Created with Doc-O-Matic.


TJvColorComboBox
JEDI-VCL Reference

 TJvColorComboBox

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Combo box that enables the user to select a color from a drop-down list.

Pascal

TJvColorComboBox = class(TJvCustomComboBox);

File

JvColorCombo

Description

TJvColorComboBox is a TJvCustomComboBox descendant which enables the user to select a color from a drop-down list.

Created with Doc-O-Matic.


TJvColorComboBox Properties

TJvColorComboBox	Legend

Properties

 ColorDialogText

 ColorNameMap

 Colors

 ColorValue

 ColorWidth

 CustomColorCount

CustomColors

 DroppedDownWidth

 HiliteColor

 HiliteText

 NewColorText

 Options

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvColorComboBox Events

TJvColorComboBox	Legend

Events

 OnBeforeCustom

 OnGetDisplayName

 OnInsertColor

 OnNewColor

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvColorComboBox Methods

TJvColorComboBox	Legend

Methods

AddColor

BeginUpdate

ChangeColor

ColorName

EndUpdate

FindColor

 GetColors

GetCustomColors

GetCustomColorsStrings

InsertColor

SetCustomColors

SetCustomColorsStrings

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvColorComboBox

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboBox
    TJvColorComboBox


TJvColorComboBox Members

TJvColorComboBox	Legend

Members

Properties

 ColorDialogText

 ColorNameMap

 Colors

 ColorValue

 ColorWidth

 CustomColorCount

CustomColors

 DroppedDownWidth

 HiliteColor

 HiliteText

 NewColorText

 Options

Events

 OnBeforeCustom

 OnGetDisplayName

 OnInsertColor

 OnNewColor

Methods

AddColor

BeginUpdate

ChangeColor

ColorName

EndUpdate

FindColor

 GetColors

GetCustomColors

GetCustomColorsStrings

InsertColor

SetCustomColors

SetCustomColorsStrings

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


Package

StdCtrls


TJvColorComboBox.ColorDialogText property

TJvColorComboBox	See Also	Edit topic

Specifies the display text for the special combo box item, used to select a color from a dialog.

Pascal

property ColorDialogText: string;

Description

Use ColorDialogText to specify a new string for the combo box item, used to select a color from a dialog. Thus, if the user selects this item, the component displays a dialog for selecting colors.

If the user selects a color from the dialog, a new item is added to the combo box, with text specified by NewColorText, and color as selected in the dialog.

Notes

coCustomColors must be included in Options, otherwise the combobox doesn't display this special item.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.CustomColorCount, TJvColorComboBox.NewColorText, TJvColorComboBox.OnBeforeCustom, TJvColorComboBox.OnNewColor, TJvColorComboBox.Options


TJvColorComboBox.ColorNameMap property

TJvColorComboBox	Edit topic

Determines display names for colors.

Pascal

property ColorNameMap: TStrings;

Description

Use ColorNameMap to specify display names for colors. Each line must be in the form

  Color=DisplayName

where Color is the symbolic constant defined for the color (such as clBlack or clWindow) or if there is no such symbolic constant defined, the hex value of the color, formatted as a string such as '$02FF8800'. DisplayName specifies the display name for that color.

For example, the following strings set the display names of clBlack and $00020202 to "Black" and "Almost Black", respectively:

  clBlack=Black $00020202=Almost Black

Created with Doc-O-Matic.


TJvColorComboBox.Colors property

TJvColorComboBox	Edit topic

Not documented

Pascal

property Colors [Index: Integer]: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvColorComboBox.ColorValue property

TJvColorComboBox	Edit topic

Specifies the color value that is displayed in the edit box.

Pascal

property ColorValue: TColor;

Description

Use the ColorValue property to read the color value of the current selected color or specify a new color for the ColorValue value, to change the current selected color.

If ColorValue is set to a color that doesn't exists in the combo box's list, then the color is added to the list.

Created with Doc-O-Matic.


TJvColorComboBox.ColorWidth property

TJvColorComboBox	Edit topic

Specifies the width, in pixels, of the color boxes.

Pascal

property ColorWidth: Integer;

Description

Use ColorWidth to specify the width of the color boxes.

Created with Doc-O-Matic.


TJvColorComboBox.CustomColorCount property

TJvColorComboBox	See Also	Edit topic

Indicates the number of custom colors in the combo box's color list

Pascal

property CustomColorCount: Integer;

Description

Read CustomColorCount to determine the number of custom colors in the combo box's color list.

Notes

coCustomColors must be included in Options, otherwise the combobox doesn't allow colors to be added by the user.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.ColorDialogText, TJvColorComboBox.NewColorText, TJvColorComboBox.OnBeforeCustom, TJvColorComboBox.OnNewColor, TJvColorComboBox.Options


TJvColorComboBox.CustomColors property

TJvColorComboBox	Edit topic

Not documented

Pascal

property CustomColors: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvColorComboBox.DroppedDownWidth property

TJvColorComboBox	Edit topic

Specifies the width, in pixels, of the drop-down list.

Pascal

property DroppedDownWidth: Integer;

Description

Use DropDownWidth to customize the width of the drop-down list.

Created with Doc-O-Matic.


TJvColorComboBox.HiliteColor property

TJvColorComboBox	See Also	Edit topic

Specifies the background color of the text that is focused.

Pascal

property HiliteColor: TColor;

Description

Use HiliteColor to read or change the background color of the text that is focused. The focused line is painted using highlight colors, to make it stand out.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.HiliteText


TJvColorComboBox.HiliteText property

TJvColorComboBox	See Also	Edit topic

Specifies the color of the text that is focused.

Pascal

property HiliteText: TColor;

Description

Use HiliteText to specify the color of the text characters (as opposed to the background color) of the focused line. The focused text is painted using highlight colors, to make it stand out.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.HiliteColor


TJvColorComboBox.NewColorText property

TJvColorComboBox	See Also	Edit topic

Specifies the prefix for the display text of new colors added by the user.

Pascal

property NewColorText: string;

Description

Use NewColorText to specify a prefix for the text of colors added by the user. The user can add colors to the combo box by selecting the special combo box item - with text ColorDialogText.

If the user selects a color from the dialog, a new item is added to the combobox. The display text of this item consist of the NewColorText and a number indicating the number of custom colors added by the user, so far.

Notes

coCustomColors must be included in Options, otherwise the combobox doesn't allow colors to be added by the user.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.ColorDialogText, TJvColorComboBox.CustomColorCount, TJvColorComboBox.OnBeforeCustom, TJvColorComboBox.OnNewColor, TJvColorComboBox.Options


TJvColorComboBox.OnBeforeCustom event

TJvColorComboBox	See Also	Edit topic

Occurs before the special combo box item, used to select a color from a dialog, is added to the combo box's list.

Pascal

property OnBeforeCustom: TNotifyEvent;

Description

Use OnBeforeCustom to respond when the special combo box item, with text as specified by ColorDialogText, is added to the combo box's list.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.ColorDialogText, TJvColorComboBox.CustomColorCount, TJvColorComboBox.NewColorText, TJvColorComboBox.OnNewColor, TJvColorComboBox.Options


TJvColorComboBox.OnGetDisplayName event

TJvColorComboBox	Edit topic

Occurs immediately before an item is displayed in the color combobox.

Pascal

TJvGetColorNameEvent = procedure (Sender: TObject; Index: Integer; Color: TColor; var DisplayName: string) of object;
property OnGetDisplayName: TJvGetColorNameEvent;

Parameters

Color

Set Color to specify a new color for the to be displayed item. Leave Color unchanged to display the color as specified in the combo box's list.

DisplayName

Set DisplayName to specify a new display name for the to be displayed item. Leave DisplayName unchanged to display the name as specified in the combo box's list.

Sender

The TJvColorComboBox component that has sent this event.

Index

Specifies the zero-based position of the color item in the combo box's list.

Description

Use OnGetDisplayName to customize an item before it is displayed in the color combobox. Set the values of the parameters in the event handler so that the item appears correctly when it is displayed.

Created with Doc-O-Matic.


TJvColorComboBox.OnInsertColor event

TJvColorComboBox	See Also	Edit topic

Occurs immediately before a new item is inserted into the combo box's color list.

Pascal

property OnInsertColor: TJvNewColorEvent;

Description

Write an OnInsertColor event handler to conditionally prevent colors to be added to the color combo box, or to alter the DisplayName of a new color.

Color indicates the new color the user wants to add.

Parameter DisplayName specifies the display text for the new color. It consists of the NewColorText and a number indicating the number of custom colors added by the user, so far. Alter DisplayName to change the display text for the new color.

Set AllowAdd to False to disallow the user to add the color.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.AddColor, TJvColorComboBox.InsertColor


TJvColorComboBox.OnNewColor event

TJvColorComboBox	See Also	Edit topic

Occurs when the user tries to add a new color to the combo box.

Pascal

property OnNewColor: TJvNewColorEvent;

Description

Write an OnNewColor event handler to conditionally prevent the user from adding colors to the color combo box, or to alter the DisplayName of a new color if the user adds it to the combo box.

Color indicates the new color the user wants to add.

Parameter DisplayName specifies the display text for the new color. It consists of the NewColorText and a number indicating the number of custom colors added by the user, so far. Alter DisplayName to change the display text for the new color.

Set AllowAdd to False to disallow the user to add the color.

Notes

coCustomColors must be included in Options, otherwise the combobox doesn't allow colors to be added by the user.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.ColorDialogText, TJvColorComboBox.CustomColorCount, TJvColorComboBox.NewColorText, TJvColorComboBox.OnBeforeCustom, TJvColorComboBox.Options


TJvColorComboBox.Options property

TJvColorComboBox	See Also	Edit topic

Determines the appearance and behavior of the color combo box.

Pascal

property Options: TJvColorComboOptions;

Description

Use the Options property to customize the appearance and functionality of the combo box.

Use Options to

Specify how the color value must be displayed.

Enable the user to add colors to the combo box.

Add the system colors to the combo box.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.ColorDialogText, TJvColorComboBox.CustomColorCount, TJvColorComboBox.NewColorText, TJvColorComboBox.OnBeforeCustom, TJvColorComboBox.OnNewColor, TJvColorComboOption


TJvColorComboBox.AddColor method

TJvColorComboBox	See Also	Edit topic

Adds a color to the combo box's color list.

Pascal

procedure AddColor(AColor: TColor; const DisplayName: string);

Parameters

AColor: TColor

Specifies the color to add.

const DisplayName: string

The display text for the new color.

Description

Call AddColor at runtime to add a color to the combo box.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.ChangeColor, TJvColorComboBox.InsertColor


TJvColorComboBox.BeginUpdate method

TJvColorComboBox	Edit topic

Not documented

Pascal

function BeginUpdate: integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvColorComboBox.ChangeColor method

TJvColorComboBox	See Also	Edit topic

Changes a color in the combo box's color list.

Pascal

procedure ChangeColor(AIndex: Integer; AColor: TColor; const DisplayName: string);

Parameters

AIndex: Integer

Specifies a zero-based position in the combo box's list where to change the color.

AColor: TColor

Specifies the color to set at the specified index.

const DisplayName: string

The display text for the new color.

Description

Call ChangeColor at runtime to change a color in the combo box.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.AddColor, TJvColorComboBox.InsertColor


TJvColorComboBox.ColorName method

TJvColorComboBox	See Also	Edit topic

Returns the current name for a specific color.

Pascal

function ColorName(AColor: TColor): string;

Return Value

The current name for the color specified by AColor.

Parameters

AColor: TColor

Specifies the color to search a name for.

Description

Use ColorName to retrieve the current name for a specific color, specified by the AColor parameter. The function uses the values in ColorNameMap to find the name of a nonstandard color. Note that the function might trigger the OnGetDisplayName event.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.FindColor


TJvColorComboBox.EndUpdate method

TJvColorComboBox	Edit topic

Not documented

Pascal

function EndUpdate: integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvColorComboBox.FindColor method

TJvColorComboBox	See Also	Edit topic

Returns the index of a specific color or -1 if not found.

Pascal

function FindColor(AColor: TColor): Integer;

Return Value

The Index of the color specified by AColor, or -1 if not found.

Parameters

AColor: TColor

The color to search for.

Description

Use FindColor to find the index of a specific color specified by the AColor parameter, in the combo box's list.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.ColorName


TJvColorComboBox.GetColors method

TJvColorComboBox	Edit topic

Clears the combo box's list and refills it with colors.

Pascal

procedure GetColors; virtual;

Description

Use GetColors to reset the combo box's list to its initial state. It fills the combo box's list with the colors as defined in the Graphics unit, such as clBlack and clMaroon. If coSysColors is included in Options it also adds colors defined in the Windows Control panel, such as clMenu and clWindow. If coCustomColors is included in Options it also adds the special combo box items which allows the user to add custom colors to the combo box.

Created with Doc-O-Matic.


TJvColorComboBox.GetCustomColors method

TJvColorComboBox	Edit topic

Fills a list with the custom colors.

Pascal

procedure GetCustomColors(AList: TList);

Parameters

AList: TList

Specifies a list to be filled with custom colors.

Description

Use GetCustomColors to retrieve a list with the custom colors in the color combo box's list.

Created with Doc-O-Matic.


TJvColorComboBox.GetCustomColorsStrings method

TJvColorComboBox	Edit topic

Not documented

Pascal

function GetCustomColorsStrings: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvColorComboBox.InsertColor method

TJvColorComboBox	See Also	Edit topic

Inserts a color at a specified position in the combo box's color list.

Pascal

procedure InsertColor(AIndex: Integer; AColor: TColor; const DisplayName: string);

Parameters

AIndex: Integer

Specifies a zero-based position in the combo box's list where to insert the color.

AColor: TColor

Specifies the color to insert.

const DisplayName: string

The display text for the new color.

Description

Use the InsertColor method to insert a color into the combo box color list.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.AddColor, TJvColorComboBox.ChangeColor


TJvColorComboBox.SetCustomColors method

TJvColorComboBox	Edit topic

Not documented

Pascal

procedure SetCustomColors(AList: TList);

Parameters

AList: TList

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvColorComboBox.SetCustomColorsStrings method

TJvColorComboBox	Edit topic

Not documented

Pascal

procedure SetCustomColorsStrings(const Value: TStrings);

Parameters

const Value: TStrings

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvColorSquare
JEDI-VCL Reference

TJvColorSquare

Hierarchy	Properties	Events	 Edit topic

A component that can display a color and optionally draw a frame around its edge when the mouse hovers over it.

Pascal

TJvColorSquare = class(TJvGraphicControl);

File

JvColorBox

Description

TJvColorSquare is used by the TJvColorBox and TJvColorButton to manage and display the individual colors in the color grids. To display a color in a window that also can highlight the current selection by drawing a special frame around the edge, use TJvColorSquare.

Created with Doc-O-Matic.


TJvColorSquare Properties

TJvColorSquare	Legend

Properties

 BorderStyle

 Color

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvColorSquare Events

TJvColorSquare	Legend

Events

 OnChange

 OnColorClick

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvColorSquare

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvColorSquare


TJvColorSquare Members

TJvColorSquare	Legend

Members

Properties

 BorderStyle

 Color

Events

 OnChange

 OnColorClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvColorSquare.BorderStyle property

TJvColorSquare	Edit topic

Determines the appearance of the control’s border.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to affect the visual appearance of the controls border. BorderStyle can have a value of either bsSingle or bsNone. If BorderStyle is bsSingle, the control has a single-line border around the client area. If BorderStyle is bsNone, there will be no border.

Created with Doc-O-Matic.


TJvColorSquare.Color property

TJvColorSquare	Edit topic

Specifies the background color of the control.

Pascal

property Color;

Description

Use Color to read or change the background color of the control.

Created with Doc-O-Matic.


TJvColorSquare.OnChange event

TJvColorSquare	See Also	Edit topic

Occurs when the color of the button changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for the OnChange event to take specific action when the color of the control changes.

Created with Doc-O-Matic.


See Also

TJvColorSquare.OnColorClick


TJvColorSquare.OnColorClick event

TJvColorSquare	See Also	Edit topic

Occurs when the user clicks on the square with the mouse.

Pascal

property OnColorClick: TJvColorClickEvent;

Description

Write a handler for the OnColorClick event to take specific action when the user clicks on the color squares using either mouse button.

Created with Doc-O-Matic.


See Also

TJvColorSquare.OnChange


TJvComboEdit
JEDI-VCL Reference

 TJvComboEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Edit control with a button.

Pascal

TJvComboEdit = class(TJvCustomComboEdit);

File

JvToolEdit

Description

Use a TJvComboEdit object to put a standard Windows edit control with an associated button on a form.

TJvComboEdit implements the generic behavior introduced in TJvCustomComboEdit. TJvComboEdit publishes many of the properties inherited from TJvCustomComboEdit, but does not introduce any new behavior. For specialized edit controls, use other descendant classes of TJvCustomComboEdit (such as TJvFilenameEdit, TJvDateEdit etc.) or derive from it.

Created with Doc-O-Matic.


TJvComboEdit Properties

TJvComboEdit	Legend

Properties

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 ReadOnly

 ShowButton

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvComboEdit Events

TJvComboEdit	Legend

Events

 OnButtonClick

 OnKeyDown

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvComboEdit Methods

TJvComboEdit	Legend

Methods

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvComboEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvComboEdit


TJvComboEdit Members

TJvComboEdit	Legend

Members

Properties

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 ReadOnly

 ShowButton

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnButtonClick

 OnKeyDown

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvComboEdit.Alignment property

TJvComboEdit	Edit topic

Determines how the text in the edit component is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvComboEdit.AlwaysEnableButton property

TJvComboEdit	See Also	Edit topic

Specifies whether the button is always enabled.

Pascal

property AlwaysEnableButton: Boolean;

Description

If you set AlwaysEnableButton to true, a user can always click the button of the combo edit control, even if ReadOnly is set to true.

If AlwaysEnableButton is set to false, then no OnButtonClick event is fired when the user clicks the button.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.AlwaysShowPopup, TJvCustomComboEdit.ReadOnly


TJvComboEdit.AlwaysShowPopup property

TJvComboEdit	See Also	Edit topic

Specifies whether the pop-up is always shown.

Pascal

property AlwaysShowPopup: Boolean;

Description

If you set AlwaysShowPopup to true, a pop-up is always shown when the user clicks the button of the combo edit control, even if ReadOnly is set to true. Note that AlwaysEnableButton must also be true.

For data-aware controls the associated dataset does not immediately go to edit-mode when the pop-up is shown, when AlwaysShowPopup is set to true. If AlwaysShowPopup is set to false and either the associated dataset is read-only or the controls ReadOnly property is set to true, then no pop-up is shown.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.AlwaysEnableButton


TJvComboEdit.AutoCompleteItems property

TJvComboEdit	Edit topic

Not documented

Pascal

property AutoCompleteItems: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvComboEdit.AutoCompleteOptions property

TJvComboEdit	Edit topic

Not documented

Pascal

property AutoCompleteOptions: TJvAutoCompleteOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvComboEdit.Button property

TJvComboEdit	See Also	Edit topic

Gives access to the button object of the combo edit control.

Pascal

property Button: TJvEditButton;

Description

Use Button to access the combo edit control's button. Some properties of the button are accessible via the combo edit control's properties, such as ButtonFlat, ButtonWidth etc. But you may want to access property Button to get full access to the button object.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.ButtonFlat, TJvCustomComboEdit.ButtonHint, TJvCustomComboEdit.ButtonWidth


TJvComboEdit.ButtonFlat property

TJvComboEdit	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property ButtonFlat: Boolean;

Description

Set ButtonFlat to true to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected.

Created with Doc-O-Matic.


See Also

Button


TJvComboEdit.ButtonHint property

TJvComboEdit	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the button.

Pascal

property ButtonHint: string;

Description

Use the ButtonHint property to provide a string of help text as a Help Hint for the combo edit control's button.

Created with Doc-O-Matic.


See Also

Button


TJvComboEdit.ButtonWidth property

TJvComboEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the combo edit control's button. Note that changing property ImageKind can change the ButtonWidth. For example, ButtonWidth is set to the default width of a drop-down button if ImageKind is set to ikDropDown.

Created with Doc-O-Matic.


See Also

Button


TJvComboEdit.ClickKey property

TJvComboEdit	Edit topic

Specifies the key combination users can type to simulate a button click.

Pascal

property ClickKey: TShortCut;

Description

Use ClickKey to allow the user to type a key combination instead of clicking the control's button.

When setting shortcuts at design time, the Object Inspector provides a long list of key combinations to choose from. To create shortcuts at runtime, use the global ShortCut or TextToShortCut function from Menus.pas. For example, the following line creates a shortcut, Ctrl+C and assigns it to a combo edit control named JvComboEdit1.

  JvComboEdit1.ClickKey := ShortCut(Word('C'), [ssCtrl]);

Created with Doc-O-Matic.


TJvComboEdit.DirectInput property

TJvComboEdit	See Also	Edit topic

Specifies whether the user can use the edit box of the combo edit.

Pascal

property DirectInput: Boolean;

Description

Use DirectInput to read or change whether the user can use the edit box of the combo edit. By setting DirectInput to false, the edit box of the combo edit will become read-only, and the user can only use the button of the combo edit.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvComboEdit.DisabledColor property

TJvComboEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control isn't enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledTextColor


TJvComboEdit.DisabledTextColor property

TJvComboEdit	See Also	Edit topic

Specifies the color of the text when the control isn't enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledColor


TJvComboEdit.Flat property

TJvComboEdit	Edit topic

Determines whether the control has a three-dimensional (3-D) or two-dimensional (flat) look.

Pascal

property Flat: Boolean;

Description

When Flat is true, the control appears flat and does not have borders. When Flat is false, the control has a 3-D look.

Created with Doc-O-Matic.


TJvComboEdit.Glyph property

TJvComboEdit	Edit topic

Specifies the bitmap that appears on the button of the combo edit control. (Obsolete.)

Pascal

property Glyph: TBitmap;

Description

Glyph is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvComboEdit.ImageIndex property

TJvComboEdit	See Also	Edit topic

Indicates which image appears on the button.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to designate an image that should appear on the button of the edit button control. ImageIndex specifies a zero-offset index into the Images property. Set ImageKind to ikCustom, otherwise ImageIndex is not used.

Notes

This property is not stored if it is supplied by a TAction object.

Created with Doc-O-Matic.


See Also

Images, ImageKind


TJvComboEdit.ImageKind property

TJvComboEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvComboEdit.Images property

TJvComboEdit	See Also	Edit topic

Lists the images that can appear on the button.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the button of the combo button control. If Images is unassigned, no images are displayed on the button unless ImageKind is set to a value other than ikCustom.

Created with Doc-O-Matic.


See Also

ImageIndex, ImageKind


TJvComboEdit.NumGlyphs property

TJvComboEdit	Edit topic

Indicates the number of images that are in the graphic specified in the Glyph property. (Obsolete.)

Pascal

property NumGlyphs: TNumGlyphs;

Description

NumGlyphs is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvComboEdit.OnButtonClick event

TJvComboEdit	See Also	Edit topic

Occurs when the user clicks the button.

Pascal

property OnButtonClick: TNotifyEvent;

Description

Write an OnButtonClick handler to respond to the user clicking the button of the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.OnKeyDown


TJvComboEdit.OnKeyDown event

TJvComboEdit	See Also	Edit topic

Occurs when a user presses any key while the control has focus.

Pascal

property OnKeyDown: TKeyEvent;

Description

Use the OnKeyDown event handler to specify special processing to occur when a key is pressed. The OnKeyDown handler can respond to all keyboard keys, including function keys and keys combined with the Shift, Alt, and Ctrl keys, and pressed mouse buttons.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvComboEdit.ReadOnly property

TJvComboEdit	See Also	Edit topic

Determines whether the user can change the text of the combo edit control.

Pascal

property ReadOnly: Boolean;

Description

To restrict the edit control to display only, set the ReadOnly property to true. Set ReadOnly to false to allow the contents of the edit control to be edited.

Setting ReadOnly to true ensures that the text is not altered, while still allowing the user to select text. The selected text can then be manipulated by the application, or copied to the Clipboard.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvComboEdit.ShowButton property

TJvComboEdit	Edit topic

Indicates whether the button should be shown.

Pascal

property ShowButton: Boolean;

Description

Set ShowButton to false to hide the button of the combo edit; set it to true to show it.

Created with Doc-O-Matic.


TJvComboListBox
JEDI-VCL Reference

 TJvComboListBox

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A listbox that displays a combobox overlaying the selected item.

Pascal

TJvComboListBox = class(TJvCustomListBox);

File

JvComboListBox

Description

TJvComboListBox is an owner-draw listbox that displays a combobox overlaying the selected item. If you assign a TPopupMenu to the DropdownMenu property, the menu is displayed when the user clicks on the combobox button. This component inherits from TJvCustomListBox and publishes many of its properties and events as well as adding new ones like DropdownMenu, DrawStyle, OnDrawImage and OnDrawText.

Created with Doc-O-Matic.


TJvComboListBox Properties

TJvComboListBox	Legend

Properties

 ButtonWidth

 DrawStyle

 DropdownMenu

 HintColor

 HotTrack

 HotTrackCombo

 ScrollBars

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvComboListBox Events

TJvComboListBox	Legend

Events

 OnDrawImage

 OnDrawText

 OnDropDown

 OnGetText

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSelectCancel

 OnVerticalScroll

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvComboListBox Methods

TJvComboListBox	Legend

Methods

AddImage

AddText

Delete

InsertImage

InsertText

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvComboListBox

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomListBox
                TJvComboListBox


TJvComboListBox Members

TJvComboListBox	Legend

Members

Properties

 ButtonWidth

 DrawStyle

 DropdownMenu

 HintColor

 HotTrack

 HotTrackCombo

 ScrollBars

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnDrawImage

 OnDrawText

 OnDropDown

 OnGetText

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSelectCancel

 OnVerticalScroll

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

AddImage

AddText

Delete

InsertImage

InsertText

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Ctrls


TJvComboListBox.ButtonWidth property

TJvComboListBox	Edit topic

Defines the width of the combobox button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to set the width of the combobox button in the list. The default width is 26 pixels.

Created with Doc-O-Matic.


TJvComboListBox.DrawStyle property

TJvComboListBox	See Also	Edit topic

Determines how images are drawn in the listbox.

Pascal

property DrawStyle: TJvComboListBoxDrawStyle;

Description

Use DrawStyle to specify how images are drawn in the listbox.

Created with Doc-O-Matic.


See Also

TJvComboListBoxDrawStyle


TJvComboListBox.DropdownMenu property

TJvComboListBox	See Also	Edit topic

Determines the pop-up menu to display when the user clicks the combobox button.

Pascal

property DropdownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropdownMenu to display it when the user clicks the combobox button in the listbox. DropdownMenu is separate from PopupMenu but can point to the same TPopupMenu if necessary.

Created with Doc-O-Matic.


See Also

PopupMenu


TJvComboListBox.HintColor property

TJvComboListBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the list box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvComboListBox.HotTrack property

TJvComboListBox	Edit topic

Specifies whether the list box is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the list box text. When HotTrack is False, there is no visual feedback when the mouse passes over the list box.

Created with Doc-O-Matic.


TJvComboListBox.HotTrackCombo property

TJvComboListBox	Edit topic

Specifies whether a combobox is highlighted when the mouse passes over it.

Pascal

property HotTrackCombo: Boolean;

Description

Set HotTrackCombo to true to provide visual feedback about which combobox is under the mouse When HotTrackCombo is false, there is no visual feedback when the mouse passes over items of the list box.

Created with Doc-O-Matic.


TJvComboListBox.OnDrawImage event

TJvComboListBox	See Also	Edit topic

Occurs when an image is about to be drawn in the list.

Pascal

TJvComboListDrawImageEvent = procedure (Sender: TObject; Index: Integer; const APicture: TPicture; R: TRect; var DefaultDraw: Boolean) of object;
property OnDrawImage: TJvComboListDrawImageEvent;

Parameters

R

The TRect of where the image is to be drawn.

DefaultDraw

Set this to false to prevent the component to draw the image.

APicture

The image that is about to be drawn

Sender

The component that called the event.

Index

The index of the item in the Items list.

Description

Write a handler for this event when you want to take specific actions when an image is about to be drawn.

Created with Doc-O-Matic.


See Also

TJvComboListBox.OnDrawText


TJvComboListBox.OnDrawText event

TJvComboListBox	See Also	Edit topic

Occurs when a string is about to be drawn.

Pascal

TJvComboListDrawTextEvent = procedure (Sender: TObject; Index: Integer; const AText: string; R: TRect; var DefaultDraw: Boolean) of object;
property OnDrawText: TJvComboListDrawTextEvent;

Parameters

R

The TRect of where the image is to be drawn.

DefaultDraw

Set this to false to prevent the component to draw the text.

AText

The text to draw.

Sender

The component that called the event.

Index

The index of the item in the Items list.

Description

Write a handler for this event when you want to take specific actions when a string is about to be drawn.

Created with Doc-O-Matic.


See Also

TJvComboListBox.OnDrawImage


TJvComboListBox.OnDropDown event

TJvComboListBox	Edit topic

Occurs when the user tries to open the drop-down list by clicking the arrow at the right of the control.

Pascal

TJvComboListDropDownEvent = procedure (Sender: TObject; Index: Integer; X, Y: Integer; var AllowDrop: Boolean) of object;
property OnDropDown: TJvComboListDropDownEvent;

Parameters

Y

Vertical pixel coordinates of the mouse pointer in the client area of the Sender.

AllowDrop

Set to true if the drop-down attempt can proceed and false if the attempt to drop-down should be aborted.

X

Horizontal pixel coordinates of the mouse pointer in the client area of the Sender.

Sender

The component that fired the event.

Index

The index of the item in the Items list.

Description

Write an OnDropDown event handler to conditionally prevent opening of a drop-down list.

Created with Doc-O-Matic.


TJvComboListBox.OnGetText event

TJvComboListBox	Edit topic

Not documented

Pascal

property OnGetText: TJvListBoxDataEvent;

Parameters

Sender

Not documented

Index

Not documented

Text

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvComboListBox.OnHorizontalScroll event

TJvComboListBox	See Also	Edit topic

Occurs when the user scrolls the horizontal scroll bar with the mouse or keyboard.

Pascal

property OnHorizontalScroll: TJvScrollEvent;

Description

Write an OnHorizontalScroll event handler to respond when the user scrolls the horizontal scroll bar. Set parameter DontScroll to False to prevent the list box's horizontal scroll bar to scroll in response of this event. Set DontScroll to True to allow the list box's horizontal scroll bar to scroll.

Use parameter Msg to determine whether to set DontScroll to True or False.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnVerticalScroll


TJvComboListBox.OnMouseEnter event

TJvComboListBox	See Also	Edit topic

Occurs when the mouse pointer moves over the list box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the list box.

Created with Doc-O-Matic.


See Also

TJvExCustomListBox.OnMouseLeave


TJvComboListBox.OnMouseLeave event

TJvComboListBox	See Also	Edit topic

Occurs when the mouse pointer moves off the list box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the list box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomListBox.OnMouseEnter


TJvComboListBox.OnParentColorChange event

TJvComboListBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvComboListBox.OnSelectCancel event

TJvComboListBox	Edit topic

Occurs when the selection in the list box is canceled.

Pascal

property OnSelectCancel: TNotifyEvent;

Description

Write an OnSelectCancel event handler to respond when the selection in the list box is canceled. For example, if you change property MultiSelect or Sorted, the list box cancels the selection in the list box, and triggers an OnSelectCancel event.

Created with Doc-O-Matic.


TJvComboListBox.OnVerticalScroll event

TJvComboListBox	See Also	Edit topic

Occurs when the user scrolls the vertical scroll bar with the mouse or keyboard.

Pascal

property OnVerticalScroll: TJvScrollEvent;

Description

Write an OnVerticalScroll event handler to respond when the user scrolls the vertical scroll bar. Set parameter DontScroll to False to prevent the list box's vertical scroll bar to scroll in response of this event. Set DontScroll to True to allow the list box's vertical scroll bar to scroll.

Use parameter Msg to determine whether to set DontScroll to True or False.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnHorizontalScroll


TJvComboListBox.ScrollBars property

TJvComboListBox	See Also	Edit topic

Determines whether the list box control has scroll bars.

Pascal

property ScrollBars: TScrollStyle;

Description

Use ScrollBars to give a list box control horizontal or vertical scroll bars. ScrollBars can take one of the following values:
Value	Meaning
ssNone	The control has no scroll bars. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssHorizontal	The control may have a single scroll bar on the bottom edge.
ssVertical	The control has a single scroll bar on the right edge. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssBoth	The control may have a scroll bar on both the bottom and right edges.
Created with Doc-O-Matic.


See Also

TJvCustomListBox.MultiLine


TJvComboListBox.AddImage method

TJvComboListBox	See Also	Edit topic

Adds an image to the listbox.

Pascal

function AddImage(P: TPicture): Integer;

Return Value

Returns the index of the item in the Items list.

Parameters

P: TPicture

The picture to add. A copy is created internally and added to the Items.Objects list.

Description

Use AddImage to add a TPicture to the Items list. AddImage is a helper function that assures that the image is copied to an internal TPicture and added to the Items.Objects list. You can also call Items.AddObject directly if you prefer.

Created with Doc-O-Matic.


See Also

Items


TJvComboListBox.AddText method

TJvComboListBox	See Also	Edit topic

Adds a string to the listbox.

Pascal

function AddText(const S: string): Integer;

Return Value

Returns the index of the item in the Items list.

Parameters

const S: string

The string to add.

Description

Use AddText to add a string to the Items list. AddText is a helper function and is equivalent to calling Items.Add.

Created with Doc-O-Matic.


See Also

Items


TJvComboListBox.Delete method

TJvComboListBox	See Also	Edit topic

Deletes an item from the Items list.

Pascal

procedure Delete(Index: Integer);

Parameters

Index: Integer

Index of the item to delete.

Description

Delete is equivalent to Items.Delete but also makes sure that if the item deleted contains a TPicture, the picture is freed.

Created with Doc-O-Matic.


See Also

Items


TJvComboListBox.InsertImage method

TJvComboListBox	See Also	Edit topic

Inserts an image into the Items list.

Pascal

procedure InsertImage(Index: Integer; P: TPicture);

Parameters

Index: Integer

The index where the image should be inserted.

P: TPicture

the image to insert.

Description

Call InsertImage to insert an image at the specified location.

Created with Doc-O-Matic.


See Also

Items


TJvComboListBox.InsertText method

TJvComboListBox	See Also	Edit topic

Inserts a string into the Items list.

Pascal

procedure InsertText(Index: Integer; const S: string);

Parameters

Index: Integer

The index where the string should be inserted.

const S: string

the string to insert.

Description

Call InsertText to insert a string at the specified location.

Created with Doc-O-Matic.


See Also

Items


TJvCommonDialog
JEDI-VCL Reference

TJvCommonDialog

Hierarchy	Properties	 See Also	Edit topic

Base class for all common dialogs.

Pascal

TJvCommonDialog = class(TCommonDialog);

File

JvBaseDlg

Description

TJvCommonDialog is the base class for all common dialogs.

All descendants of TJvCommonDialog can be previewed at design-time, by right-clicking the component and clicking 'Preview...'.

Created with Doc-O-Matic.


TJvCommonDialog Properties

TJvCommonDialog	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvCommonDialog

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog


TJvCommonDialog Members

TJvCommonDialog	Legend

Members

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvCommonDialogF, TJvCommonDialogP


TJvCommonDialog.AboutJVCL property

TJvCommonDialog

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvCommonDialogAction
JEDI-VCL Reference

TJvCommonDialogAction

Hierarchy	Properties	Events	 Edit topic

Base action for actions that display a dialog based on a common dialog.

Pascal

TJvCommonDialogAction = class(TCustomAction);

File

JvDialogActns

Description

Derive new actions from TJvCommonDialogAction when the action displays a dialog descendant from TCommonDialog. TJvCommonDialogAction implements some behavior common to all TCommonDialog descendants. Override these methods to change the behavior or add additional functionality.

Created with Doc-O-Matic.


TJvCommonDialogAction Events

TJvCommonDialogAction	Legend

Events

BeforeExecute

 OnAccept

 OnCancel

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCommonDialogAction Properties

TJvCommonDialogAction	Legend

Properties

 ExecuteResult

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvCommonDialogAction

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction


TJvCommonDialogAction Members

TJvCommonDialogAction	Legend

Members

Events

BeforeExecute

 OnAccept

 OnCancel

Properties

 ExecuteResult

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCommonDialogAction.BeforeExecute event

TJvCommonDialogAction	Edit topic

Called just before the action is executed.

Pascal

property BeforeExecute: TNotifyEvent;

Description

Override BeforeExecute to perform special processing just before the action is executed.

Created with Doc-O-Matic.


TJvCommonDialogAction.ExecuteResult property

TJvCommonDialogAction	Edit topic

Specifies the return value from the dialog.

Pascal

property ExecuteResult: Boolean;

Description

Read ExecuteResult to determine the return value of the dialog. The meaning of the return value is dependent on the actual dialog implementation. Normally, a return value of true means success and a return value of false means failure.

Created with Doc-O-Matic.


TJvCommonDialogAction.OnAccept event

TJvCommonDialogAction	See Also	Edit topic

Occurs when the ExecuteResult of the action is true.

Pascal

property OnAccept: TNotifyEvent;

Description

Write a handler for the OnAccept event to take specific action when ExecuteResult returns true.

Created with Doc-O-Matic.


See Also

TJvCommonDialogAction.ExecuteResult, TJvCommonDialogAction.OnCancel


TJvCommonDialogAction.OnCancel event

TJvCommonDialogAction	See Also	Edit topic

Occurs when the ExecuteResult of the action is false.

Pascal

property OnCancel: TNotifyEvent;

Description

Write a handler for OnCancel to take specific action when ExecuteResult is false.

Created with Doc-O-Matic.


See Also

TJvCommonDialogAction.ExecuteResult, TJvCommonDialogAction.OnAccept


TJvCommonDialogD
JEDI-VCL Reference

TJvCommonDialogD

Hierarchy	Properties	Methods	 Edit topic

Base component for SetupApi wrapper components

Pascal

TJvCommonDialogD = class(TJvComponent);

File

JvCommonDialogD

Description

This component is the base of all components that act as wrappers for the dialog box API calls contained in setupapi.dll. It should never be instantiated.

Created with Doc-O-Matic.


TJvCommonDialogD Properties

TJvCommonDialogD	Legend

Properties

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCommonDialogD Methods

TJvCommonDialogD	Legend

Methods

 Execute

Legend

abstract

Created with Doc-O-Matic.


Legend

abstract


Legend

TJvCommonDialogD

Legend

published

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogD


TJvCommonDialogD Members

TJvCommonDialogD	Legend

Members

Properties

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Methods

 Execute

Legend

published

abstract

Created with Doc-O-Matic.


Legend

published

abstract


TJvCommonDialogD.OwnerWindow property

TJvCommonDialogD	Edit topic

Handle of the parent window of the dialog box

Pascal

property OwnerWindow: THandle;

Description

This property contains the Windows handle of the window that the dialog box appears over.

Created with Doc-O-Matic.


TJvCommonDialogD.Title property

TJvCommonDialogD	Edit topic

Title of the dialog box

Pascal

property Title: string;

Description

This property holds the text that will be shown in the caption bar of the dialog box.

Created with Doc-O-Matic.


TJvCommonDialogD.Execute method

TJvCommonDialogD	Edit topic

Abstract placeholder for showing the dialog box

Pascal

function Execute: TJvDiskRes; virtual; abstract;

Return Value

In derived components, this function should return the result of the dialog box.

Description

This function is abstract and should never be called.

Created with Doc-O-Matic.


TJvCommonDialogF
JEDI-VCL Reference

TJvCommonDialogF

Hierarchy	Properties	Methods	 See Also	Edit topic

Base class for all common dialogs that return a Boolean result to indicate if the dialog was canceled or not.

Pascal

TJvCommonDialogF = class(TJvComponent);

File

JvBaseDlg

Description

TJvCommonDialogF is the base class for all common dialogs that return a Boolean result to indicate if the dialog was canceled or not. 'F' stands for function.

The Execute method will return False if the dialog was canceled. Otherwise True will be returned.

All descendants of TJvCommonDialogF can be previewed at design-time, by right-clicking the component and clicking 'Preview...'.

Created with Doc-O-Matic.


TJvCommonDialogF Methods

TJvCommonDialogF	Legend

Methods

 Execute

Legend

abstract

Created with Doc-O-Matic.


Legend

abstract


TJvCommonDialogF Properties

TJvCommonDialogF	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvCommonDialogF

Legend

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF


TJvCommonDialogF Members

TJvCommonDialogF	Legend

Members

Methods

 Execute

Properties

TJvComponent

 AboutJVCL

Legend

abstract

published

Created with Doc-O-Matic.


Legend

abstract

published


See Also

TJvCommonDialog, TJvCommonDialogP


TJvCommonDialogF.Execute method

TJvCommonDialogF	Edit topic

Displays the dialog.

Pascal

function Execute: Boolean; virtual; abstract;

Return Value

False if the dialog was canceled, otherwise True.

Description

Execute will show the common dialog.

Created with Doc-O-Matic.


TJvCommonDialogFAction
JEDI-VCL Reference

TJvCommonDialogFAction

Hierarchy	Properties	Events	 Edit topic

Base action for actions that displays a dialog derived from TJvCommonDialogF.

Pascal

TJvCommonDialogFAction = class(TJvCommonDialogAction);

File

JvDialogActns

Description

Derive a new action from TJvCommonDialogFAction when the action should display a dialog descendant from TJvCommonDialogF. A TJvCommonDialogF dialog is a dialog component that returns a boolean value from its Execute function.

Created with Doc-O-Matic.


TJvCommonDialogFAction Events

TJvCommonDialogFAction	Legend

Events

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCommonDialogFAction Properties

TJvCommonDialogFAction	Legend

Properties

TJvCommonDialogAction

 ExecuteResult

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvCommonDialogFAction

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvCommonDialogFAction


TJvCommonDialogFAction Members

TJvCommonDialogFAction	Legend

Members

Events

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Properties

TJvCommonDialogAction

 ExecuteResult

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCommonDialogFAction.AfterExecute event

TJvCommonDialogFAction	See Also	Edit topic

Called after the associated dialog has closed.

Pascal

property AfterExecute: TNotifyEvent;

Description

Override AfterExecute to take specific actions when the action has executed its dialog.

Created with Doc-O-Matic.


See Also

TJvCommonDialogFAction.BeforeExecute


TJvCommonDialogFAction.BeforeExecute event

TJvCommonDialogFAction	See Also	Edit topic

Called before the associated dialog is shown.

Pascal

property BeforeExecute: TNotifyEvent;

Description

Override BeforeExecute to take specific actions before the action executes its dialog.

Created with Doc-O-Matic.


See Also

TJvCommonDialogFAction.AfterExecute


TJvCommonDialogP
JEDI-VCL Reference

TJvCommonDialogP

Hierarchy	Properties	Methods	 See Also	Edit topic

Base class for all common dialogs that do not return a Boolean result to indicate if the dialog was canceled or not.

Pascal

TJvCommonDialogP = class(TJvComponent);

File

JvBaseDlg

Description

TJvCommonDialogP is the base class for all common dialogs that do not return a Boolean result to indicate if the dialog was canceled or not. 'P' stands for procedure.

All descendants of TJvCommonDialogP can be previewed at design-time, by right-clicking the component and clicking 'Preview...'.

Created with Doc-O-Matic.


TJvCommonDialogP Methods

TJvCommonDialogP	Legend

Methods

 Execute

Legend

abstract

Created with Doc-O-Matic.


Legend

abstract


TJvCommonDialogP Properties

TJvCommonDialogP	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvCommonDialogP

Legend

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP


TJvCommonDialogP Members

TJvCommonDialogP	Legend

Members

Methods

 Execute

Properties

TJvComponent

 AboutJVCL

Legend

abstract

published

Created with Doc-O-Matic.


Legend

abstract

published


See Also

TJvCommonDialog, TJvCommonDialogF


TJvCommonDialogP.Execute method

TJvCommonDialogP	Edit topic

Displays the dialog.

Pascal

procedure Execute; virtual; abstract;

Description

Execute will show the common dialog.

Created with Doc-O-Matic.


TJvCommonDialogPAction
JEDI-VCL Reference

TJvCommonDialogPAction

Hierarchy	Events	 Edit topic

Base action for actions that displays a dialog derived from TJvCommonDialogP.

Pascal

TJvCommonDialogPAction = class(TCustomAction);

File

JvDialogActns

Description

Derive a new action from TJvCommonDialogPAction when the action should display a dialog descendant from TJvCommonDialogF. A TJvCommonDialogP dialog is a dialog component that has a procedure for its Execute method (doesn't return a value).

Created with Doc-O-Matic.


TJvCommonDialogPAction Events

TJvCommonDialogPAction	Legend

Events

 AfterExecute

 BeforeExecute

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvCommonDialogPAction

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogPAction


TJvCommonDialogPAction Members

TJvCommonDialogPAction	Legend

Members

Events

 AfterExecute

 BeforeExecute

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCommonDialogPAction.AfterExecute event

TJvCommonDialogPAction	See Also	Edit topic

Called after the associated dialog has closed.

Pascal

property AfterExecute: TNotifyEvent;

Description

Override AfterExecute to take specific actions when the action has executed its dialog.

Created with Doc-O-Matic.


See Also

TJvCommonDialogPAction.BeforeExecute


TJvCommonDialogPAction.BeforeExecute event

TJvCommonDialogPAction	See Also	Edit topic

Called before the associated dialog is shown.

Pascal

property BeforeExecute: TNotifyEvent;

Description

Override BeforeExecute to take specific actions before the action executes its dialog.

Created with Doc-O-Matic.


See Also

TJvCommonDialogPAction.AfterExecute


TJvCompareValidator
JEDI-VCL Reference

TJvCompareValidator

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Validator that can compare two values against each other.

Pascal

TJvCompareValidator = class(TJvBaseValidator);

File

JvValidators

Description

Use a TJvCompareValidator when you need to compare two values. TJvCompareValidator can compare the values using several different operators as specified by the Operator property.

Created with Doc-O-Matic.


TJvCompareValidator Properties

TJvCompareValidator	Legend

Properties

 ValueToCompare

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvCompareValidator Events

TJvCompareValidator	Legend

Events

TJvBaseValidator

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCompareValidator Methods

TJvCompareValidator

Methods

TJvBaseValidator

RegisterBaseValidator

Created with Doc-O-Matic.


Legend

TJvCompareValidator

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBaseValidator
            TJvCompareValidator


TJvCompareValidator Members

TJvCompareValidator	Legend

Members

Properties

 ValueToCompare

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Events

TJvBaseValidator

 OnValidateFailed

Methods

TJvBaseValidator

RegisterBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvCustomValidator, TJvRangeValidator, TJvRegularExpressionValidator, TJvRequiredFieldValidator


TJvCompareValidator.ValueToCompare property

TJvCompareValidator	See Also	Edit topic

The value to compare the property value against.

Pascal

property ValueToCompare: Variant;

Description

Specify a value for ValueToCompare that PropertyToValidate should be compared against. The value of Operator determines how the comparison is performed. If ValueToCompare isn't set, it is assigned the default value NULL.

Created with Doc-O-Matic.


See Also

TJvBaseValidator.PropertyToValidate, TJvCompareValidator.Operator


TJvComponent
JEDI-VCL Reference

TJvComponent

Hierarchy	Properties	 See Also	Edit topic

The base class for non-visible components.

Pascal

TJvComponent = class(TComponent);

File

JvComponentBase

Description

TJvComponent is the base class for non-visible components within the JEDI VCL. The class defines one published property, AboutJVCL, that is used to display information about the currently installed JEDI-VCL release.

Created with Doc-O-Matic.


TJvComponent Properties

TJvComponent	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvComponent

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent


TJvComponent Members

TJvComponent	Legend

Members

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvWinControl


TJvComponent.AboutJVCL property

TJvComponent

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvComputerInfoEx
JEDI-VCL Reference

 TJvComputerInfoEx

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Contains subclasses and properties with various information about the computer and its subsystems, settings and status.

Pascal

TJvComputerInfoEx = class(TJvComponent);

File

JvComputerInfoEx

Description

Use TJvComputerInfoEx when you need to access information about the currently running computer. TJvComputerInfoEx contains a large set of subclasses for each logical subsystem on the computer. For more information on the various subclasses and the information they provide, see APM, BIOS, Colors, CPU, Folders, Identification, Keyboard, Memory, Metrics, Misc, OS, Screen and System.

You can also use the events of TJvComputerInfoEx to be notified when certain system events occur. See the help for the TJvComputerInfoEx events for more information.

The subclasses can be divided into read-only and read-write classes. Read-write classes can be subdivided into partial and fully writeable. Partial read-write classes only provide write access to some of its properties. If you try to change a read-only property at run-time, an EJVCLComputerInfoEx exception is raised.

To find out if a subclass is read-only, use code like:

   if JvComputerInfoEx1.Misc is TJvReadOnlyInfo then

    ...

To find out if a subclass is writeable, use code like:

   if JvComputerInfoEx1.Folders is TJvWriteableInfo then

    ...

Sub-classes are instantiated on-demand which means that sub-classes that you don't use will not be created nor will the system be queried for the information the sub-classes provide. This saves you a lot of time and memory at run-time.

Created with Doc-O-Matic.


TJvComputerInfoEx Properties

TJvComputerInfoEx	Legend

Properties

 APM

 BIOS

 Colors

 CPU

 FileInfo

 Folders

 Identification

 Keyboard

 Memory

 Metrics

 Misc

 OS

 ReadOnly

 Screen

 System

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvComputerInfoEx Events

TJvComputerInfoEx	Legend

Events

 OnCompacting

 OnDeviceAdded

 OnDeviceChange

 OnDeviceModeChange

 OnDeviceRemoved

 OnDisplayChange

 OnFontChange

 OnPaletteChanged

 OnPaletteChanging

 OnPowerBroadcast

 OnSettingChange

 OnSpoolerStatusChange

 OnSysColorChange

 OnTimeChange

 OnUserChanged

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvComputerInfoEx Methods

TJvComputerInfoEx

Methods

ResetSystemCursors

ResetSystemIcons

Created with Doc-O-Matic.


Legend

TJvComputerInfoEx

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvComputerInfoEx


TJvComputerInfoEx Members

TJvComputerInfoEx	Legend

Members

Properties

 APM

 BIOS

 Colors

 CPU

 FileInfo

 Folders

 Identification

 Keyboard

 Memory

 Metrics

 Misc

 OS

 ReadOnly

 Screen

 System

TJvComponent

 AboutJVCL

Events

 OnCompacting

 OnDeviceAdded

 OnDeviceChange

 OnDeviceModeChange

 OnDeviceRemoved

 OnDisplayChange

 OnFontChange

 OnPaletteChanged

 OnPaletteChanging

 OnPowerBroadcast

 OnSettingChange

 OnSpoolerStatusChange

 OnSysColorChange

 OnTimeChange

 OnUserChanged

Methods

ResetSystemCursors

ResetSystemIcons

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

APM, BIOS, Colors, CPU, Folders, Identification, Keyboard, Memory, Metrics, Misc, OS, Screen, System


Package

System


TJvComputerInfoEx.APM property

TJvComputerInfoEx	Edit topic

Provides access to the Advanced Power Management properties.

Pascal

property APM: TJvAPMInfo;

Description

Use the subproperties of the APM property to access APM information. APM is read-only.

Created with Doc-O-Matic.


TJvComputerInfoEx.BIOS property

TJvComputerInfoEx	Edit topic

Provides access to BIOS information.

Pascal

property BIOS: TJvBIOSInfo;

Description

Use the subproperties of BIOS to access various BIOS information. BIOS is read-only.

Created with Doc-O-Matic.


TJvComputerInfoEx.Colors property

TJvComputerInfoEx	Edit topic

Provides access to the system colors

Pascal

property Colors: TJvSystemColorsInfo;

Description

Use the subproperties of Colors to access system color information. This is a read-write class.

Created with Doc-O-Matic.


TJvComputerInfoEx.CPU property

TJvComputerInfoEx	Edit topic

Provides access to CPU information.

Pascal

property CPU: TJvCPUInfo;

Description

Use the subproperties of CPU to access various information related to the CPU such as its model, family and speed. This is a read-only class.

Created with Doc-O-Matic.


TJvComputerInfoEx.FileInfo property

TJvComputerInfoEx	Edit topic

Provides access to file information.

Pascal

property FileInfo: TJvFileInfo;

Description

Use the subproperties of FileInfo to retrieve information about an object in the file system, such as a file, a folder, a directory, or a drive root.

This is a read-write class, but you can only change the TJvFileInfo.FileName and the TJvFileInfo.Modifiers property.

Created with Doc-O-Matic.


TJvComputerInfoEx.Folders property

TJvComputerInfoEx	Edit topic

Provides access to the location of the system folders.

Pascal

property Folders: TJvSystemFolders;

Description

Use Folders to access the physical location of the system folders. Use TJvSystemFolders.TrailingPathDelimiter to modify how the returned path is terminated.

This is a read-write class, but you can only change the TJvSystemFolders.Current property.

Created with Doc-O-Matic.


TJvComputerInfoEx.Identification property

TJvComputerInfoEx	Edit topic

Provides access to identification information.

Pascal

property Identification: TJvIdentification;

Description

Use the subproperties of Identification to access information about computer and user identification. Among other things, this class provides information about computer name, user name, workgroup, domain, IP address as well as information about the volumes installed.

Created with Doc-O-Matic.


TJvComputerInfoEx.Keyboard property

TJvComputerInfoEx	Edit topic

Provides access to keyboard information.

Pascal

property Keyboard: TJvKeyInfo;

Description

Use the subproperties of Keyboard to access information about the state of the users keyboard, like the state of the NumLock, ScrollLock and CapsLock keys. Use the public TJvKeyInfo.KeyState property to interrogate the state of arbitrary keys.

This is a read-write class and you can write to all of its properties, including KeyState.

Created with Doc-O-Matic.


TJvComputerInfoEx.Memory property

TJvComputerInfoEx	Edit topic

Provides access to memory related information.

Pascal

property Memory: TJvMemInfo;

Description

Use the subproperties of Memory to access memory related information like the size of the swap file, memory load, total and free physical, page and virtual memory.

This is a read-only class.

Created with Doc-O-Matic.


TJvComputerInfoEx.Metrics property

TJvComputerInfoEx	See Also	Edit topic

Provides access to metric information.

Pascal

property Metrics: TJvMetricsInfo;

Description

Use the subproperties of Metrics to access metric information about the computer. Metric information includes all the items that can be returned by the Windows API function GetSystemMetrics as well as a few others.

This is a read-write class but only TJvMetricsInfo.CursorX, TJvMetricsInfo.CursorY, TJvMetricsInfo.CaretX and TJvMetricsInfo.CaretY are writeable.

Created with Doc-O-Matic.


See Also

GetSystemMetrics


TJvComputerInfoEx.Misc property

TJvComputerInfoEx	Edit topic

Provides access to miscellaneous information.

Pascal

property Misc: TJvMiscInfo;

Description

Use the subproperties of Misc to access information on various system items that doesn't fit into the other subclasses of TJvComputerInfoEx. Misc contains such diverse information as wallpaper settings, time running, whether NetBIOs is installed, screensaver location and the hardware profile.

This is a read-write class and you can write to the ScreenSaver, Pattern, Wallpaper, TJvMiscInfo.WallpaperStyle, TJvMiscInfo.WallpaperTiled and CurrentColorScheme properties.

Created with Doc-O-Matic.


TJvComputerInfoEx.OnCompacting event

TJvComputerInfoEx	See Also	Edit topic

Occurs when the system is compacting memory

Pascal

TJvCompactingEvent = procedure (Sender: TObject; Ratio: Integer) of object;
property OnCompacting: TJvCompactingEvent;

Parameters

Ratio

Specifies the ratio of central processing unit (CPU) time currently spent by Windows compacting memory to CPU time currently spent by Windows performing other operations. For example, 0x8000 represents 50 percent of CPU time spent compacting memory.

Sender

The object that triggered the event.

Description

This event occurs when Windows detects more than 12.5 percent of system time over a 30- to 60-second interval is being spent compacting memory. This indicates that system memory is low.

This event is triggered in response to a WM_COMPACTING message from the system.

Created with Doc-O-Matic.


See Also

WM_COMPACTING


TJvComputerInfoEx.OnDeviceAdded event

TJvComputerInfoEx	See Also	Edit topic

Occurs when a device is added to the system.

Pascal

property OnDeviceAdded: TJvDriveChangeEvent;

Description

Write a handler for this event to take specific action when a new device have become available in the system.

This event is triggered in response to a WM_DEVICECHANGE message and a wParam set to DBT_DEVICEARRIVAL.

Created with Doc-O-Matic.


See Also

WM_DEVICECHANGE, DBT_DEVICEARRIVAL


TJvComputerInfoEx.OnDeviceChange event

TJvComputerInfoEx	See Also	Edit topic

Occurs when a device is added or removed from the system.

Pascal

TJvDeviceChangeEvent = procedure (Sender: TObject; Event: UINT; Data: Pointer) of object;
property OnDeviceChange: TJvDeviceChangeEvent;

Parameters

Data

Pointer to a DEV_BROADCAST_HDR structure with additional information.

Event

Either DBT_DEVICEARRIVAL (device added) or DBT_DEVICEREMOVECOMPLETE (device removed)

Sender

The object that triggered the event.

Description

Write a handler for this event to take specific actions when devices are added or removed from the computer. If you only want to handle device additions, use OnDeviceAdded instead. If you only want to handle device removals, use OnDeviceRemoved instead.

This event is triggered in response to a WM_DEVICECHANGE.

Created with Doc-O-Matic.


See Also

WM_DEVICECHANGE, DBT_DEVICEARRIVAL, DBT_DEVICEREMOVECOMPLETE


TJvComputerInfoEx.OnDeviceModeChange event

TJvComputerInfoEx	See Also	Edit topic

Occurs when the user changes device mode settings.

Pascal

TJvDevModeChangeEvent = procedure (Sender: TObject; Device: string) of object;
property OnDeviceModeChange: TJvDevModeChangeEvent;

Parameters

Device

Name of the device that changed as specified in WIN.INI.

Sender

The object that triggered the event.

Description

Write a handler for this event to take specific action when the user make device mode setting changes on the computer.

This event is triggered in response to a WM_DEVMODECHANGE message from Windows.

Created with Doc-O-Matic.


See Also

WM_DEVMODECHANGE


TJvComputerInfoEx.OnDeviceRemoved event

TJvComputerInfoEx	See Also	Edit topic

Occurs when a device has been removed from the system.

Pascal

property OnDeviceRemoved: TJvDriveChangeEvent;

Description

Write a handler for this event to take specific action when a device have been removed from the system.

This event is triggered in response to a WM_DEVICECHANGE message and a wParam set to DBT_DEVICEREMOVECOMPLETE.

Created with Doc-O-Matic.


See Also

WM_DEVICECHANGE, DBT_DEVICEREMOVECOMPLETE


TJvComputerInfoEx.OnDisplayChange event

TJvComputerInfoEx	See Also	Edit topic

Occurs when the user changes display settings.

Pascal

TJvDisplayChangeEvent = procedure (Sender: TObject; BitsPerPixel, ScreenWidth, ScreenHeight: Integer) of object;
property OnDisplayChange: TJvDisplayChangeEvent;

Parameters

ScreenWidth

The new screen width

ScreenHeight

The new screen height

Sender

The object that triggered the event.

BitsPerPixel

The new number of bits per pixel

Description

Write a handler for this event to take specific actions when the user changes his display settings.

This event is triggered in response to a WM_DISPLAYCHANGE message.

Created with Doc-O-Matic.


See Also

WM_DISPLAYCHANGE


TJvComputerInfoEx.OnFontChange event

TJvComputerInfoEx	See Also	Edit topic

Occurs when the pool of font resources changes.

Pascal

property OnFontChange: TNotifyEvent;

Description

Write a handler for this event to take specific actions when fonts are added or removed from the font resource pool.

This event is triggered in response to a WM_FONTCHANGE message.

Created with Doc-O-Matic.


See Also

WM_FONTCHANGE


TJvComputerInfoEx.OnPaletteChanged event

TJvComputerInfoEx	See Also	Edit topic

Occurs when the active palette has changed.

Pascal

property OnPaletteChanged: TJvPaletteChangeEvent;

Description

This event is triggered after the window with the keyboard focus has realized its logical palette, thereby changing the system palette. The event enables a window that uses a color palette but does not have the keyboard focus to realize its logical palette and update its client area.

To avoid an infinite loop, do not realize a window's palette, unless you determine that hWnd does not contain your own window handle.

This event is triggered in response to a WM_PALETTECHANGED message.

Created with Doc-O-Matic.


See Also

WM_PALETTECHANGED


TJvComputerInfoEx.OnPaletteChanging event

TJvComputerInfoEx	See Also	Edit topic

Occurs before a window is about to realize its logical palette.

Pascal

property OnPaletteChanging: TJvPaletteChangeEvent;

Description

Write a handler for this event to take specific action before a window realizes its logical palette.

The application changing its palette does not wait for acknowledgment of this event before changing the palette and triggering the OnPaletteChanged event. As a result, the palette may already be changed by the time an application receives this event.

This event is triggered in response to a WM_PALETTEISCHANGING message.

Created with Doc-O-Matic.


See Also

WM_PALETTEISCHANGING


TJvComputerInfoEx.OnPowerBroadcast event

TJvComputerInfoEx	See Also	Edit topic

Occurs when a power-management event has occurred

Pascal

TJvPowerBroadcastEvent = procedure (Sender: TObject; Event, Data: Integer) of object;
property OnPowerBroadcast: TJvPowerBroadcastEvent;

Parameters

Data

Function-specific data. For most messages, this parameter is reserved and not used. For more information, see the on-line help for WM_POWERBROADCAST.

Event

The event that was triggered. For more information, see the on-line help for WM_POWERBROADCAST.

Sender

The object that triggered the event.

Description

Write a handler for this event to take specific actions when a power-management event has occurred.

This event is triggered in response to a WM_POWER or a WM_POWERBROADCAST message. Note that the WM_POWER is provided or backward compatibility with 16-bit systems and should be relatively rare (or nonexistent) in 32-bit systems.

Created with Doc-O-Matic.


See Also

WM_POWER, WM_POWERBROADCAST


TJvComputerInfoEx.OnSettingChange event

TJvComputerInfoEx	See Also	Edit topic

Occurs when a system setting has changed.

Pascal

TJvSettingChangeEvent = procedure (Sender: TObject; Flag: Integer; const Section: string) of object;
property OnSettingChange: TJvSettingChangeEvent;

Parameters

Section

A string that indicates the area containing the system parameter that was changed. For example, this string can be the name of a registry key or the name of a section in the WIN.INI file.

Flag

The parameter that was changed. This value is the same as the uiAction parameter to SystemParametersInfo.

Sender

The object that triggered the event.

Description

Write a handler for this event to take specific actions when a system setting is changed using SystemParametersInfo.

The Section parameter is not particularly useful in determining which system parameter changed. For example, when the string is a registry name, it typically indicates only the leaf node in the registry, not the whole path. In addition, some applications send this message with Section set to an empty string. In general, when you handle this event, you should check and reload any system parameter settings that are used by your application.

This event is triggered in response to a WM_SETTINGCHANGE message.

Created with Doc-O-Matic.


See Also

WM_SETTINGCHANGE, SystemParametersInfo


TJvComputerInfoEx.OnSpoolerStatusChange event

TJvComputerInfoEx	See Also	Edit topic

The WM_SPOOLERSTATUS message is not supported after Windows XP. Occurs whenever a job is added to or removed from the Print Manager queue.

Pascal

TJvSpoolerChangeEvent = procedure (Sender: TObject; JobStatus, JobsLeft: Integer) of object;
property OnSpoolerStatusChange: TJvSpoolerChangeEvent;

Parameters

JobsLeft

Number of jobs remaining.

JobStatus

Specifies the PR_JOBSTATUS flag.

Sender

The object that triggered the event.

Description

Write a handler for this event to take specific actions when print jobs are added or removed from the print queue.

This event is triggered in response to a WM_SPOOLERSTATUS message.

This event is advisory and does not have guaranteed delivery semantics. Applications should not assume that they will receive this event for every change in spooler status.

Created with Doc-O-Matic.


See Also

WM_SPOOLERSTATUS


TJvComputerInfoEx.OnSysColorChange event

TJvComputerInfoEx	See Also	Edit topic

Occurs when a system color has changed.

Pascal

property OnSysColorChange: TNotifyEvent;

Description

Write a handler for this event to take specific actions when a system color is changed.

This event is triggered in response to a WM_SYSCOLORCHANGE message.

Created with Doc-O-Matic.


See Also

WM_SYSCOLORCHANGE


TJvComputerInfoEx.OnTimeChange event

TJvComputerInfoEx	See Also	Edit topic

Occurs when the computers time is changed.

Pascal

property OnTimeChange: TNotifyEvent;

Description

Write a handler for this event to take specific actions when the system time is changed.

This event is triggered in response to a WM_TIMECHANGE message.

Created with Doc-O-Matic.


See Also

WM_TIMECHANGE


TJvComputerInfoEx.OnUserChanged event

TJvComputerInfoEx	See Also	Edit topic

Occurs when a user has logged on or off.

Pascal

property OnUserChanged: TNotifyEvent;

Description

Write a handler for this event to take specific actions when a user logs on or off.

Note that most GUI applications do not receive this message since they are either started after the user has logged in or closed before the user logs out. This message is mainly intended for applications running as background tasks and/or services.

This event is triggered in response to a WM_USERCHANGED message.

Created with Doc-O-Matic.


See Also

WM_USERCHANGED


TJvComputerInfoEx.OS property

TJvComputerInfoEx	Edit topic

Provides access to OS version information.

Pascal

property OS: TJvOSVersionInfo;

Description

Use the subproperties of OS to access information relating to the currently running OS version on the computer.

Created with Doc-O-Matic.


TJvComputerInfoEx.ReadOnly property

TJvComputerInfoEx	See Also	Edit topic

Specifies whether the class is read-only.

Pascal

property ReadOnly: Boolean;

Description

Use ReadOnly to specify whether assigning to a property at run-time raises an exception or not. Set ReadOnly to true to avoid inadvertently changing properties on the end-users computer. When you set ReadOnly to true, all subclasses of TJvComputerInfoEx that are derived from TJvWriteableInfo will have their ReadOnly property changed as well. Thus, you do not have to change each subclass individually.

To make some subclasses read-only and some read-write, set ReadOnly of TJvComputerInfoEx to False and then set the ReadOnly property of individual subclasses as you see fit.

Classes derived from TJvReadOnlyInfo do not have a ReadOnly property since they are read-only by design.

Created with Doc-O-Matic.


See Also

TJvReadOnlyInfo, TJvWriteableInfo


TJvComputerInfoEx.Screen property

TJvComputerInfoEx	Edit topic

Provides access to screen related information.

Pascal

property Screen: TJvScreenInfo;

Description

Use the subproperties of Screen to access information about the screen like its size, bits per pixel and refresh frequency.

This is a read-write class and you can write to BitsPerPixel, Flags, Width, Height and Hz,

Created with Doc-O-Matic.


TJvComputerInfoEx.System property

TJvComputerInfoEx	See Also	Edit topic

Provides access to system related information.

Pascal

property System: TJvSystemParametersInfo;

Description

Use the subproperties of System to access system related information. Basically, this class provides access to the same information you can get from SystemParametersInfo.

This is a writeable class and you can write to all subproperties except ScreenSaverRunning and WindowsExtension.

Created with Doc-O-Matic.


See Also

SystemParametersInfo


TJvComputerInfoEx.ResetSystemCursors method

TJvComputerInfoEx	See Also	Edit topic

Resets the system cursors to their default values or theme.

Pascal

function ResetSystemCursors: Boolean;

Return Value

Returns True if the system cursors could be reset.

Description

Call ResetSystemCursors to restore the default cursors set up for the system. For example, some applications change the system cursors, but may not restore them when finished.

Created with Doc-O-Matic.


See Also

TJvComputerInfoEx.ResetSystemIcons


TJvComputerInfoEx.ResetSystemIcons method

TJvComputerInfoEx	See Also	Edit topic

Restores the default system icons.

Pascal

function ResetSystemIcons: Boolean;

Return Value

Returns True if the system icons could be restored.

Description

Call ResetSystemIcons to restore the system icons to their default values and sizes. ResetSystemIcons also rebuilds the icon cache that is used for the Quick Launch bar (an item that is known for corrupting its icons frequently).

Created with Doc-O-Matic.


See Also

TJvComputerInfoEx.ResetSystemCursors


TJvComputerNameDialog
JEDI-VCL Reference

 TJvComputerNameDialog

Hierarchy	Properties	Methods	Package	 See Also	Edit topic

Displays a dialog enabling the user to select a computer.

Pascal

TJvComputerNameDialog = class(TJvCommonDialog);

File

JvWinDialogs

Description

Use TJvComputerNameDialog to show a dialog that enables the user to select a computer. Do this by calling the Execute method.

If the user selects anything other than a computer in the dialog box, the OK button is grayed.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Use the TJvBrowseForFolderDialog component instead if you want to have more control.

Created with Doc-O-Matic.


TJvComputerNameDialog Properties

TJvComputerNameDialog	Legend

Properties

 Caption

 ComputerName

TJvCommonDialog

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvComputerNameDialog Methods

TJvComputerNameDialog	Legend

Methods

 Execute

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvComputerNameDialog

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog
        TJvComputerNameDialog


TJvComputerNameDialog Members

TJvComputerNameDialog	Legend

Members

Properties

 Caption

 ComputerName

TJvCommonDialog

 AboutJVCL

Methods

 Execute

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


See Also

TJvBrowseForFolderDialog


Package

Dlgs


TJvComputerNameDialog.Caption property

TJvComputerNameDialog	Edit topic

Specifies the caption of the dialog.

Pascal

property Caption: string;

Description

Use Caption to specify a caption for the dialog.

Created with Doc-O-Matic.


TJvComputerNameDialog.ComputerName property

TJvComputerNameDialog	See Also	Edit topic

Indicates the computer that the user selected in the dialog.

Pascal

property ComputerName: string;

Description

Read ComputerName to retrieve the name of the computer that the user selected in the dialog.

Created with Doc-O-Matic.


See Also

Execute


TJvComputerNameDialog.Execute method

TJvComputerNameDialog	See Also	Edit topic

Shows the Browse for Computer dialog

Pascal

function Execute: Boolean; override;

Return Value

Returns true when the user selects a computer and clicks the OK button, false otherwise.

Description

Call Execute to show the Browse for Computer Dialog. Use ComputerName after a call to Execute to retrieve the name of the computer the user selected in the dialog.

Created with Doc-O-Matic.


See Also

ComputerName


TJvConnectNetworkAction
JEDI-VCL Reference

TJvConnectNetworkAction

Hierarchy	Properties	Events	 Edit topic

Action that displays the TJvNetworkConnect dialog.

Pascal

TJvConnectNetworkAction = class(TJvCommonDialogAction);

File

JvDialogActns

Description

Add TJvConnectNetworkAction to an action list to add a connect network dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display a general browsing dialog box for connecting to network resources when invoked.

Created with Doc-O-Matic.


TJvConnectNetworkAction Properties

TJvConnectNetworkAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvConnectNetworkAction Events

TJvConnectNetworkAction	Legend

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvConnectNetworkAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvConnectNetworkAction


TJvConnectNetworkAction Members

TJvConnectNetworkAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvConnectNetworkAction.Dialog property

TJvConnectNetworkAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvNetworkConnect;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvConsumerStrings
JEDI-VCL Reference

TJvConsumerStrings

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvConsumerStrings = class(TStrings);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvConsumerStrings Properties

TJvConsumerStrings	Legend

Properties

 Consumer

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvConsumerStrings Methods

TJvConsumerStrings	Legend

Methods

 Clear

 Delete

 Get

 GetCount

 Insert

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvConsumerStrings

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TStrings
    TJvConsumerStrings


TJvConsumerStrings Members

TJvConsumerStrings	Legend

Members

Properties

 Consumer

Methods

 Clear

 Delete

 Get

 GetCount

 Insert

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvConsumerStrings.Consumer property

TJvConsumerStrings	Edit topic

Not documented

Pascal

property Consumer: TJvDataConsumer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvConsumerStrings.Clear method

TJvConsumerStrings	Edit topic

Not documented

Pascal

procedure Clear; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvConsumerStrings.Delete method

TJvConsumerStrings	Edit topic

Not documented

Pascal

procedure Delete(Index: Integer); override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvConsumerStrings.Get method

TJvConsumerStrings	Edit topic

Not documented

Pascal

function Get(Index: Integer): string; override;

Parameters

Index: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvConsumerStrings.GetCount method

TJvConsumerStrings	Edit topic

Not documented

Pascal

function GetCount: Integer; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvConsumerStrings.Insert method

TJvConsumerStrings	Edit topic

Not documented

Pascal

procedure Insert(Index: Integer; const S: string); override;

Parameters

Index: Integer

Not documented

const S: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvContentScroller
JEDI-VCL Reference

 TJvContentScroller

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A TCustomPanel descendant that can scroll its content.

Pascal

TJvContentScroller = class(TJvCustomPanel);

File

JvContentScroller

Description

Use TJvContentScroller as a container for controls to be scrolled on a specified area (the area of the TJvContentScroller).

You can control the speed and direction of the scrolling, and may specify a wave sound file to be played once or continuously while scrolling.

When the controls inside the TJvContentScroller reach its top (or bottom), they reappear on the TJvContentScroller bottom (or top).

Created with Doc-O-Matic.


TJvContentScroller Properties

TJvContentScroller	Legend

Properties

 Active

 LoopCount

 LoopMedia

 MediaFile

 ScrollAmount

 ScrollDirection

 ScrollIntervall

 ScrollLength

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvContentScroller Events

TJvContentScroller	Legend

Events

 OnAfterScroll

 OnBeforeScroll

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvContentScroller Methods

TJvContentScroller

Methods

ScrollContent

Created with Doc-O-Matic.


Legend

TJvContentScroller

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel
                TJvContentScroller


TJvContentScroller Members

TJvContentScroller	Legend

Members

Properties

 Active

 LoopCount

 LoopMedia

 MediaFile

 ScrollAmount

 ScrollDirection

 ScrollIntervall

 ScrollLength

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnAfterScroll

 OnBeforeScroll

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

ScrollContent

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Ctrls


TJvContentScroller.Active property

TJvContentScroller	Edit topic

Starts or stops the scrolling.

Pascal

property Active: Boolean;

Description

You must set the Active property to true to start the scrolling inside the TJvContentScroller. Set Active to false to stop.

It is possible to set Active to true on design time, and preview how the control will behave in run time.

Created with Doc-O-Matic.


TJvContentScroller.LoopCount property

TJvContentScroller	Edit topic

Determines how many times the will do a loop with its contents.

Pascal

property LoopCount: Integer;

Description

Use LoopCount to determine how many times the contents inside the control will loop, that is, how many times they will go from the top to the bottom or from the bottom to the top.

After LoopCount loops, the scrolling stops.

If you don't want to limit the looping, use LoopCount = -1.

Created with Doc-O-Matic.


TJvContentScroller.LoopMedia property

TJvContentScroller	See Also	Edit topic

Determines if MediaFile plays repeatedly or not.

Pascal

property LoopMedia: Boolean;

Description

When set to true, LoopMedia makes the sound specified by MediaFile (if there's one) be played repeatedly while the contents are scrolled. If LoopMedia is set to false, the sound will be played only once.

Created with Doc-O-Matic.


See Also

TJvContentScroller.MediaFile


TJvContentScroller.MediaFile property

TJvContentScroller	See Also	Edit topic

Specifies a sound file to be played while scrolling.

Pascal

property MediaFile: TFileName;

Description

Media file will have the name of a .wav file to be played while the scrolling is performed, or only once, on the beginning of the scrolling, depending on the LoopMedia value.

Created with Doc-O-Matic.


See Also

TJvContentScroller.LoopMedia


TJvContentScroller.OnAfterScroll event

TJvContentScroller	See Also	Edit topic

Event called after each scrolling step.

Pascal

property OnAfterScroll: TNotifyEvent;

Description

Write an OnAfterScroll event handler if you want to receive a notification after the execution of each scrolling step.

Created with Doc-O-Matic.


See Also

TJvContentScroller.OnBeforeScroll


TJvContentScroller.OnBeforeScroll event

TJvContentScroller	See Also	Edit topic

Event called before each scrolling step.

Pascal

property OnBeforeScroll: TNotifyEvent;

Description

Write an OnBeforeScroll event handler if you want to receive a notification before the execution of each scrolling step.

Created with Doc-O-Matic.


See Also

TJvContentScroller.OnAfterScroll


TJvContentScroller.ScrollAmount property

TJvContentScroller	See Also	Edit topic

Determines in how many pixels the content of a TJvContentScroller will be moved in each step.

Pascal

property ScrollAmount: TJvScrollAmount;

Description

Use the ScrollAmount to determine in how many pixels the content of a TJvContentScroller will be moved in each step, up or down, depending on the value of ScrollDirection.

You can think step as the move performed by the control continuously, on the interval of ScrollIntervall milliseconds.

The higher is the value of ScrollAmount, the faster is the scrolling.

Created with Doc-O-Matic.


See Also

TJvContentScroller.ScrollDirection, TJvContentScroller.ScrollIntervall


TJvContentScroller.ScrollDirection property

TJvContentScroller	Edit topic

Determines the direction of the scrolling.

Pascal

property ScrollDirection: TJvContentScrollDirection;

Description

Use ScrollDirection to determine whether the scrolling will be done from the bottom to top, setting this to sdUp, or from top to bottom, setting this to sdDown.

Created with Doc-O-Matic.


TJvContentScroller.ScrollIntervall property

TJvContentScroller	Edit topic

Determines the time elapsed between each step on the scrolling.

Pascal

property ScrollIntervall: TJvScrollAmount;

Description

The ScrollIntervall controls the interval between each step on scrolling, that is, the time elapsed each time the content is scrolled ScrollAmount pixels up or down.

The lower if the value for ScrollIntervall, the faster and smoother will be the scrolling, but it will also consume more CPU cycles.

Created with Doc-O-Matic.


TJvContentScroller.ScrollLength property

TJvContentScroller	Edit topic

Determines the range of the scrolling.

Pascal

property ScrollLength: TJvScrollAmount;

Description

Use ScrollLength to determine the range of the scrolling.

You'll probably prefer a value close to the Height value. Smaller values will make the controls inside the TJvContentScroller disappear before reaching the top/bottom border of the control.

High values will create a delay effect, that is, the content will reach the border, and will take some time to reappear on the opposite border.

Created with Doc-O-Matic.


TJvContentScroller.ScrollContent method

TJvContentScroller	See Also	Edit topic

Function called on each scrolling step that performs the scrolling.

Pascal

procedure ScrollContent(Amount: TJvScrollAmount);

Parameters

Amount: TJvScrollAmount

Determines in how many pixels the controls will be moved by.

Description

ScrollContent is the function called inside the control's timer that performs the scrolling.

Created with Doc-O-Matic.


See Also

TJvContentScroller.ScrollAmount


TJvControlPanelAction
JEDI-VCL Reference

TJvControlPanelAction

Hierarchy	Properties	Events	 Edit topic

Action that displays the TJvAppletDialog dialog.

Pascal

TJvControlPanelAction = class(TJvCommonDialogFAction);

File

JvDialogActns

Description

Add TJvControlPanelAction to an action list to add a specific control panel dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display a specific control panel dialog.

Use Dialog to specify which control panel must be shown, when Execute is called.

Created with Doc-O-Matic.


TJvControlPanelAction Properties

TJvControlPanelAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvControlPanelAction Events

TJvControlPanelAction	Legend

Events

TJvCommonDialogFAction

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvControlPanelAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvCommonDialogFAction
            TJvControlPanelAction


TJvControlPanelAction Members

TJvControlPanelAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogFAction

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvControlPanelAction.Dialog property

TJvControlPanelAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvAppletDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvControlsCompareValidator
JEDI-VCL Reference

TJvControlsCompareValidator

Hierarchy	Properties	Methods	Events	 Edit topic

Not documented

Pascal

TJvControlsCompareValidator = class(TJvBaseValidator);

File

JvValidators

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvControlsCompareValidator Properties

TJvControlsCompareValidator	Legend

Properties

 AllowNull

 CompareToControl

 CompareToProperty

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvControlsCompareValidator Events

TJvControlsCompareValidator	Legend

Events

TJvBaseValidator

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvControlsCompareValidator Methods

TJvControlsCompareValidator

Methods

TJvBaseValidator

RegisterBaseValidator

Created with Doc-O-Matic.


Legend

TJvControlsCompareValidator

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBaseValidator
            TJvControlsCompareValidator


TJvControlsCompareValidator Members

TJvControlsCompareValidator	Legend

Members

Properties

 AllowNull

 CompareToControl

 CompareToProperty

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Events

TJvBaseValidator

 OnValidateFailed

Methods

TJvBaseValidator

RegisterBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvControlsCompareValidator.AllowNull property

TJvControlsCompareValidator	Edit topic

Not documented

Pascal

property AllowNull: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvControlsCompareValidator.CompareToControl property

TJvControlsCompareValidator	Edit topic

Not documented

Pascal

property CompareToControl: TControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvControlsCompareValidator.CompareToProperty property

TJvControlsCompareValidator	Edit topic

Not documented

Pascal

property CompareToProperty: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvConversion
JEDI-VCL Reference

TJvConversion

Hierarchy	Properties	Methods	Events	 Edit topic

Converts rich text data or plain text from one encoding format to another.

Pascal

TJvConversion = class(TObject);

File

JvRichEdit

Description

Write a TJvConversion descendant to convert rich text data or plain text from one specific encoding format to another. Register the object with a call to RegisterConversionFormat. Registered conversion objects are used by TJvRichEdit when either the LoadFromFile, LoadFromStream, SaveToFile or SaveToStream method of its Lines property called.

A TJvRichEdit control will call the methods of a conversion object in the following order:

Init, to initialize the converter.

CanHandle, to determine whether the converter can handle a specific extension.

IsFormatCorrect, to determine whether the converter can handle a specific file or stream. (only for import operations)

Open

Multiple ConvertRead or ConvertWrite calls.

Retry, if an error occurred, followed again by multiple ConvertRead or ConvertWrite calls.

Done, to finalize the converter.

The following objects are descendants of TJvConversion:
Class	Function
TJvRTFConversion	Reads or writes rich text data.
TJvTextConversion	Reads or writes plain text.
TJvStreamConversion	Base class for stream converters.
TJvOEMConversion	Converts rich text data from and to OEM formatted text.
TJvMSTextConversion	Wrapper for a MS Text conversion dll.
Created with Doc-O-Matic.


TJvConversion Events

TJvConversion

Events

OnProgress

Created with Doc-O-Matic.


TJvConversion Properties

TJvConversion	Legend

Properties

 ParentWindow

 PercentDone

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvConversion Methods

TJvConversion	Legend

Methods

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvConversion

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvConversion


TJvConversion Members

TJvConversion	Legend

Members

Events

OnProgress

Properties

 ParentWindow

 PercentDone

Methods

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvConversion.OnProgress event

TJvConversion	See Also	Edit topic

Occurs when the converter is importing or exporting.

Pascal

property OnProgress: TNotifyEvent;

Description

For certain descendants of TJvConversion, OnProgress occurs during import or export operations. OnProgress allows applications to provide feedback to the user about the progress of the slow process.

Component writers can generate OnProgress events for new descendants of TJvConversion by calling the protected DoProgress method. These events are propagated to the TJvRichEdit control.

Created with Doc-O-Matic.


See Also

TJvConversion.PercentDone, TJvCustomRichEdit.OnConversionProgress


TJvConversion.ParentWindow property

TJvConversion	See Also	Edit topic

Indicates the window used as a parent window for the converter.

Pascal

property ParentWindow: THandle;

Description

Read ParentWindow to determine the window that is used as a parent window for the converter.

Call Init to set ParentWindow.

Created with Doc-O-Matic.


See Also

Init


TJvConversion.PercentDone property

TJvConversion	See Also	Edit topic

Indicates the current progress percentage of the conversion process.

Pascal

property PercentDone: Integer;

Description

Read PercentDone to determine the current progress percentage of the conversion process.

Created with Doc-O-Matic.


See Also

TJvConversion.OnProgress


TJvConversion.CanHandle method (string, TJvConversionKind)

TJvConversion	See Also	Edit topic

Returns whether the converter can import or export files.

Pascal

function CanHandle(const AExtension: string; const AKind: TJvConversionKind): Boolean; virtual; overload;
function CanHandle(const AKind: TJvConversionKind): Boolean; virtual; overload;
function CanHandle(const AKind: TJvConversionKind): Boolean; override;

Return Value

Returns true if the converter can handle this extension, false otherwise.

Parameters

const AExtension: string

The extension of the file to import or export. The extension must be in lowercase.

const AKind: TJvConversionKind

Indicates whether to import or export.

Description

Call CanHandle to determine whether the converter can import or export files or streams, or whether the converter can import or export files with an extension as specified by AExtension.

TJvRichEdit will call CanHandle to determine whether the converter can either import or export files and streams, and whether it can import or export files with a particular extension.

As implemented in TJvConversion, CanHandle always returns true. Override this method in a descendant class to indicate that the converter can only operate on files with a particular extension.

Created with Doc-O-Matic.


See Also

IsFormatCorrect


TJvConversion.ConvertRead method

TJvConversion	See Also	Edit topic

Reads BufSize bytes from the import source into the memory buffer pointed to by Buffer.

Pascal

function ConvertRead(Buffer: PChar; BufSize: Integer): Integer; virtual;

Return Value

Returns the number of bytes actually stored in Buffer.

Parameters

Buffer: PChar

A buffer to write to. The converter fills the buffer with data to transfer into the rich edit control.

BufSize: Integer

Size of Buffer.

Description

A TJvRichEdit control calls ConvertRead multiple times during an import operation. Each time this method is called the converter should read a chunk of the source file or stream, convert it, and put the converted data in Buffer.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertWrite


TJvConversion.ConvertWrite method

TJvConversion	See Also	Edit topic

Writes BufSize bytes to the export destination from the memory buffer pointed to by Buffer.

Pascal

function ConvertWrite(Buffer: PChar; BufSize: Integer): Integer; virtual;

Return Value

Returns the number of bytes actually read from Buffer.

Parameters

Buffer: PChar

A buffer to read from. The buffer contains data from the control that the converter writes to some storage.

BufSize: Integer

Size of Buffer.

Description

A TJvRichEdit control calls ConvertWrite multiple times during an export operation. Each time this method is called the converter should read the data in Buffer, convert it, and write it to the destination file or stream.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertRead


TJvConversion.Done method

TJvConversion	See Also	Edit topic

Finalizes the converter.

Pascal

procedure Done; virtual;

Description

Call Done to finalize the converter.

TJvRichEdit calls Done after a conversion operation is finished, to permit the converter to perform any necessary finalization.

A TJvRichEdit control guarantees that method Done is called after procedure Init is called.

Created with Doc-O-Matic.


See Also

TJvConversion.Init


TJvConversion.Error method

TJvConversion	See Also	Edit topic

Returns whether an error occurred during the conversion.

Pascal

function Error: Boolean; virtual;

Return Value

Returns true if an error occurred during the conversion, otherwise false.

Description

Error returns whether an error occurred during the conversion. The ErrorStr method describes the error.

As implemented in TJvConversion, Error always returns false. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


See Also

TJvConversion.ErrorStr, TJvConversion.UserCancel


TJvConversion.ErrorStr method

TJvConversion	See Also	Edit topic

Returns text describing the error that occurred during the conversion.

Pascal

function ErrorStr: string; virtual;

Return Value

Returns text describing the error that occurred during the conversion.

Description

Call ErrorStr to obtain the error message text describing the error that occurred during the conversion. Call Error to determine whether an error occurred.

TJvRichEdit uses this method to raise an exception after a failed conversion.

As implemented in TJvConversion, ErrorStr always returns the empty string. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


See Also

Error, TJvConversion.UserCancel


TJvConversion.Filter method

TJvConversion	Edit topic

Returns the file mask of the converter.

Pascal

function Filter: string; virtual;

Return Value

Returns the file masks of the registered converters.

Description

Call Filter to retrieve a file mask of the files that can be imported or exported by the converter. For example, you can use the return value of a Filter call to set the Filter property of a TOpenDialog component.

As implemented in TJvConversion, Filter always returns an empty string. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


TJvConversion.Init method

TJvConversion	See Also	Edit topic

Initializes the converter.

Pascal

procedure Init(AParentWindow: THandle); virtual;

Parameters

AParentWindow: THandle

A handle to the top-level client window of the application to be used as a parent window for the converter. For example, after displaying and closing a dialog box, a converter should reset the focus to this window.

Description

Call Init to initialize the converter.

TJvRichEdit calls the Init method of a converter before any other method to permit the converter to perform any necessary global initialization.

A TJvRichEdit control guarantees that method Done is called after procedure Init is called.

Created with Doc-O-Matic.


See Also

TJvConversion.Done


TJvConversion.IsFormatCorrect method (string)

TJvConversion	See Also	Edit topic

Returns whether the converter can import a specific file or stream.

Pascal

function IsFormatCorrect(const AFileName: string): Boolean; virtual; overload;
function IsFormatCorrect(AStream: TStream): Boolean; virtual; overload;
function IsFormatCorrect(AStream: TStream): Boolean; override;

Return Value

Returns true if the converter can import the specified file or stream, false otherwise.

Parameters

const AFileName: string

The file to import.

AStream: TStream

The stream to import.

Description

Call IsFormatCorrect to determine whether the converter can import the file specified by AFileName or the stream specified by AStream.

TJvRichEdit will call IsFormatCorrect to determine whether the converter recognizes and can convert the contents of a file or stream.

As implemented in TJvConversion, IsFormatCorrect always returns true. Override this method in a descendant class to check files or streams before the actual import operation.

Created with Doc-O-Matic.


See Also

CanHandle


TJvConversion.Open method (string, TJvConversionKind)

TJvConversion	See Also	Edit topic

Starts the conversion operation.

Pascal

function Open(const AFileName: string; const AKind: TJvConversionKind): Boolean; virtual; overload;
function Open(Stream: TStream; const AKind: TJvConversionKind): Boolean; virtual; overload;
function Open(Stream: TStream; const AKind: TJvConversionKind): Boolean; override;

Return Value

Returns true on success, false on failure. If a converter returns false, the conversion operation is aborted.

Parameters

const AFileName: string

The file to import or export.

const AKind: TJvConversionKind

Indicates whether to import or export the file or stream.

Stream: TStream

The stream to import or export.

Description

A TJvRichEdit control calls Open to start a conversion operation, either import or export as specified by the AKind parameter. This gives the converter a chance to open the source file or create the destination file, for example.

Following a successful call to Open will be multiple calls to either ConvertRead or ConvertWrite.

Created with Doc-O-Matic.


See Also

TJvConversion.Done, TJvConversion.Init


TJvConversion.Retry method

TJvConversion	Edit topic

Returns whether the conversion process can be retried.

Pascal

function Retry: Boolean; virtual;

Return Value

Returns true if the current conversion process can be retried, false otherwise.

Description

TJvRichEdit calls Retry after a failed import or export process. If the converter indicates that the import or export process can be retried (by returning true) the rich edit control will start the import or export process once again, but now switches the source or target format of its content from RTF to plaintext or vice versa.

For example if a plain text file is imported as a RTF file, an error will occur. Retrying to import the file but now as plain text will then succeed.

As implemented in TJvConversion, Retry always returns false. Override this method in a descendant class to allow retrying of a conversion process.

Created with Doc-O-Matic.


TJvConversion.TextKind method

TJvConversion	Edit topic

Returns the preferred source or target format of the rich edit content.

Pascal

function TextKind: TJvConversionTextKind; virtual;

Return Value

Returns the preferred source or target format of the rich edit content.

Description

TJvRichEdit calls TextKind to determine what format the converter prefers the content of the rich edit to be.

Created with Doc-O-Matic.


TJvConversion.UserCancel method

TJvConversion	See Also	Edit topic

Returns whether the user has canceled the conversion.

Pascal

function UserCancel: Boolean; virtual;

Return Value

Returns true if the user canceled the conversion, false otherwise.

Description

TJvRichEdit will call UserCancel to determine whether the user has canceled the conversion.

Created with Doc-O-Matic.


See Also

Error, TJvConversion.ErrorStr


TJvCoolBar
JEDI-VCL Reference

 TJvCoolBar

Hierarchy	Properties	Events	Package	 Edit topic

Not documented

Pascal

TJvCoolBar = class(TJvExCoolBar);

File

JvCoolBar

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCoolBar Properties

TJvCoolBar	Legend

Properties

 HintColor

TJvExCoolBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCoolBar Events

TJvCoolBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExCoolBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvCoolBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCoolBar, IJvExControl
        TJvExCoolBar
            TJvCoolBar


TJvCoolBar Members

TJvCoolBar	Legend

Members

Properties

 HintColor

TJvExCoolBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExCoolBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvCoolBar.HintColor property

TJvCoolBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the coolbar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvCoolBar.OnMouseEnter event

TJvCoolBar	See Also	Edit topic

Occurs when the mouse pointer moves over the coolbar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the coolbar.

Created with Doc-O-Matic.


See Also

TJvExCoolBar.OnMouseLeave


TJvCoolBar.OnMouseLeave event

TJvCoolBar	See Also	Edit topic

Occurs when the mouse pointer moves off the coolbar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the coolbar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCoolBar.OnMouseEnter


TJvCoolBar.OnParentColorChange event

TJvCoolBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvCopyError
JEDI-VCL Reference

 TJvCopyError

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a dialog box for errors encountered when copying a file.

Pascal

TJvCopyError = class(TJvCommonDialogD);

File

JvCopyError

Description

This component is used to display a dialog box encountered when copying a file during a setup routine. It is a wrapper for the SetupCopyError API call.

Created with Doc-O-Matic.


TJvCopyError Properties

TJvCopyError	Legend

Properties

 DiskName

 NewPath

 PathToSource

 SourceFile

 Style

 TargetFile

 Win32ErrorCode

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCopyError Methods

TJvCopyError	Legend

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvCopyError

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogD
            TJvCopyError


TJvCopyError Members

TJvCopyError	Legend

Members

Properties

 DiskName

 NewPath

 PathToSource

 SourceFile

 Style

 TargetFile

 Win32ErrorCode

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvCopyError.DiskName property

TJvCopyError	See Also	Edit topic

The name of the disk to prompt for.

Pascal

property DiskName: string;

Description

This property contains the name of the disk the user will be prompted for.

Created with Doc-O-Matic.


See Also

TJvCopyError.PathToSource


TJvCopyError.NewPath property

TJvCopyError	See Also	Edit topic

Contains the path chosen by the user.

Pascal

property NewPath: string;

Description

This property contains the new path chosen by the user in the dialog box.

Created with Doc-O-Matic.


See Also

TJvCopyError.PathToSource, TJvCopyError.SourceFile


TJvCopyError.PathToSource property

TJvCopyError	See Also	Edit topic

Default path to look for the file.

Pascal

property PathToSource: string;

Description

This property contains the initial contents for the combo box used to hold the user-selected path.

Created with Doc-O-Matic.


See Also

TJvCopyError.DiskName


TJvCopyError.SourceFile property

TJvCopyError	See Also	Edit topic

File to look for.

Pascal

property SourceFile: string;

Description

This property contains the file that the user needs to provide the location for.

Created with Doc-O-Matic.


See Also

TJvCopyError.NewPath, TJvCopyError.PathToSource


TJvCopyError.Style property

TJvCopyError	Edit topic

Flags used for modifying the dialog box.

Pascal

property Style: TJvDiskStyles;

Description

These flags modify how the dialog box is presented to the user.

Created with Doc-O-Matic.


TJvCopyError.TargetFile property

TJvCopyError	See Also	Edit topic

The target file for the copy operation.

Pascal

property TargetFile: string;

Description

This property contains the destination file of the copy operation.

Created with Doc-O-Matic.


See Also

TJvCopyError.Win32ErrorCode


TJvCopyError.Win32ErrorCode property

TJvCopyError	See Also	Edit topic

Error code from the copy operation.

Pascal

property Win32ErrorCode: Integer;

Description

This property contains the Windows error code that occurred in the copy operation.

Created with Doc-O-Matic.


See Also

TJvCopyError.TargetFile


TJvCopyError.Execute method

TJvCopyError	Edit topic

Shows the dialog box.

Pascal

function Execute: TJvDiskRes; override;

Return Value

This method returns dsSuccess if the file has been found, dsCancel if the user pressed "Cancel", dsSkipFile if the user pressed "Skip File", and dsError if an error occurred.

Description

This method shows the SetupCopyError dialog box.

Created with Doc-O-Matic.


TJvCPSStartupInfo
JEDI-VCL Reference

TJvCPSStartupInfo

Hierarchy	Properties	Methods	 Edit topic

Wrapper for the windows STARTUPINFO structure.

Pascal

TJvCPSStartupInfo = class(TPersistent);

File

JvCreateProcess

Description

TJvCPSStartupInfo is a wrapper for the windows STARTUPINFO structure.

Use TJvCPSStartupInfo to specify the window station, desktop, and appearance of the main window for a new process created with TJvCreateProcess.

Created with Doc-O-Matic.


TJvCPSStartupInfo Properties

TJvCPSStartupInfo	Legend

Properties

 DefaultPosition

 DefaultSize

 DefaultWindowState

 Desktop

 ForceOffFeedback

 ForceOnFeedback

 Height

 Left

 ShowWindow

 StartupInfo

 Title

 Top

 Width

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvCPSStartupInfo Methods

TJvCPSStartupInfo

Methods

Create

Created with Doc-O-Matic.


Legend

TJvCPSStartupInfo

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCPSStartupInfo


TJvCPSStartupInfo Members

TJvCPSStartupInfo	Legend

Members

Properties

 DefaultPosition

 DefaultSize

 DefaultWindowState

 Desktop

 ForceOffFeedback

 ForceOnFeedback

 Height

 Left

 ShowWindow

 StartupInfo

 Title

 Top

 Width

Methods

Create

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvCPSStartupInfo.DefaultPosition property

TJvCPSStartupInfo	See Also	Edit topic

Determines whether Left and Top are used when TJvCreateProcess creates a process.

Pascal

property DefaultPosition: Boolean;

Description

Set DefaultPosition to True, to ignore the Left and Top properties when TJvCreateProcess creates a process. Set DefaultPosition to False, to use the Left and Top properties when TJvCreateProcess creates a process.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.DefaultSize, TJvCPSStartupInfo.Height, TJvCPSStartupInfo.Left, TJvCPSStartupInfo.Top, TJvCPSStartupInfo.Width


TJvCPSStartupInfo.DefaultSize property

TJvCPSStartupInfo	See Also	Edit topic

Determines whether Height and Width are used when TJvCreateProcess creates a process.

Pascal

property DefaultSize: Boolean;

Description

Set DefaultSize to True, to ignore the Height and Width properties when TJvCreateProcess creates a process. Set DefaultSize to False, to use the Height and Width properties when TJvCreateProcess creates a process.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.DefaultPosition, TJvCPSStartupInfo.Height, TJvCPSStartupInfo.Left, TJvCPSStartupInfo.Top, TJvCPSStartupInfo.Width


TJvCPSStartupInfo.DefaultWindowState property

TJvCPSStartupInfo	See Also	Edit topic

Determines whether ShowWindow is used when TJvCreateProcess creates a process.

Pascal

property DefaultWindowState: Boolean;

Description

Set DefaultWindowState to True, to ignore the ShowWindow property when TJvCreateProcess creates a process. Set DefaultWindowState to False, to use property ShowWindow when TJvCreateProcess creates a process.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.ShowWindow


TJvCPSStartupInfo.Desktop property

TJvCPSStartupInfo	Edit topic

Specifies either the name of the desktop, or the name of both the desktop and window station for this process.

Pascal

property Desktop: string;

Description

Windows NT/2000/XP: Desktop specifies either the name of the desktop, or the name of both the desktop and window station for this process. A backslash in the string indicates that the string includes both the desktop and window station names. If Desktop is empty, then the new process inherits the desktop and window station of its parent process.

Created with Doc-O-Matic.


TJvCPSStartupInfo.ForceOffFeedback property

TJvCPSStartupInfo	See Also	Edit topic

Determines the feedback after TJvCreateProcess creates a process.

Pascal

property ForceOffFeedback: Boolean;

Description

Set ForceOffFeedback to True to force off the feedback cursor while the process starts. The 'Normal Select' cursor is displayed.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.ForceOnFeedback


TJvCPSStartupInfo.ForceOnFeedback property

TJvCPSStartupInfo	See Also	Edit topic

Determines the feedback after TJvCreateProcess creates a process.

Pascal

property ForceOnFeedback: Boolean;

Description

Set ForceOnFeedback to True to indicate that the cursor is in feedback mode for two seconds after TJvCreateProcess creates a process. The 'Working in Background' cursor is displayed (see the Pointers tab in the Mouse control panel utility). If during those two seconds the process makes the first GUI call, the system gives five more seconds to the process. If during those five seconds the process shows a window, the system gives five more seconds to the process to finish drawing the window.

The system turns the feedback cursor off after the first call to GetMessage, regardless of whether the process is drawing.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.ForceOffFeedback


TJvCPSStartupInfo.Height property

TJvCPSStartupInfo	See Also	Edit topic

Specifies the vertical size of the new window in pixels.

Pascal

property Height: Integer;

Description

Height specifies the height of the window if a new window is created, in pixels.

Set DefaultSize to True to ignore this property.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.DefaultPosition, TJvCPSStartupInfo.DefaultSize, TJvCPSStartupInfo.Left, TJvCPSStartupInfo.Top, TJvCPSStartupInfo.Width


TJvCPSStartupInfo.Left property

TJvCPSStartupInfo	See Also	Edit topic

Specifies the x offset of the upper left corner of the new window in pixels.

Pascal

property Left: Integer;

Description

Height specifies the x offset of the upper left corner of a window if a new window is created, in pixels. The offset is from the upper left corner of the screen.

Set DefaultPosition to True to ignore this property.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.DefaultPosition, TJvCPSStartupInfo.DefaultSize, TJvCPSStartupInfo.Height, TJvCPSStartupInfo.Top, TJvCPSStartupInfo.Width


TJvCPSStartupInfo.ShowWindow property

TJvCPSStartupInfo	Edit topic

Specifies how the launched application window appears.

Pascal

property ShowWindow: TJvCPSShowWindow;

Description

Use ShowWindow to indicate how you want the application window to appear when TJvCreateProcess creates a new process. Set DefaultWindowState to True to ignore this property.

Created with Doc-O-Matic.


TJvCPSStartupInfo.StartupInfo property

TJvCPSStartupInfo	Edit topic

Returns a windows STARTUPINFO structure.

Pascal

property StartupInfo: TStartupInfo;

Description

Read StartupInfo to get a windows STARTUPINFO structure filled with values specified by the properties of TJvCPSStartupInfo. This property is used by TJvCreateProcess to get a windows STARTUPINFO structure.

Created with Doc-O-Matic.


TJvCPSStartupInfo.Title property

TJvCPSStartupInfo	Edit topic

Specifies a text string that is displayed in the title bar if a new console window is created.

Pascal

property Title: string;

Description

For console processes, this is the title displayed in the title bar if a new console window is created. If Title is empty, the name of the executable file is used as the window title instead. Property Title must be empty for GUI or console processes that do not create a new console window.

Created with Doc-O-Matic.


TJvCPSStartupInfo.Top property

TJvCPSStartupInfo	See Also	Edit topic

Specifies the y offset of the upper left corner of the new window in pixels.

Pascal

property Top: Integer;

Description

Height specifies the y offset of the upper left corner of a window if a new window is created, in pixels. The offset is from the upper left corner of the screen.

Set DefaultPosition to True to ignore this property.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.DefaultPosition, TJvCPSStartupInfo.DefaultSize, TJvCPSStartupInfo.Height, TJvCPSStartupInfo.Left, TJvCPSStartupInfo.Width


TJvCPSStartupInfo.Width property

TJvCPSStartupInfo	See Also	Edit topic

Specifies the horizontal size of the new window in pixels.

Pascal

property Width: Integer;

Description

Width specifies the width of the window if a new window is created, in pixels.

Set DefaultSize to True to ignore this property.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo.DefaultPosition, TJvCPSStartupInfo.DefaultSize, TJvCPSStartupInfo.Height, TJvCPSStartupInfo.Left, TJvCPSStartupInfo.Top


TJvCPSStartupInfo.Create constructor

TJvCPSStartupInfo	Edit topic

Creates and initializes a new TJvCPSStartupInfo object.

Pascal

constructor Create;

Description

Use Create to create and initialize a new TJvCPSStartupInfo object.

Create calls the inherited Create method, then sets the initial values for the object as follows:

DefaultSize is set to True.

DefaultPosition is set to True.

DefaultWindowState is set to True.

ShowWindow is set to swNormal.

Created with Doc-O-Matic.


TJvCPUInfo
JEDI-VCL Reference

TJvCPUInfo

Hierarchy	Properties	Methods	 Edit topic

Encapsulates various CPU information.

Pascal

TJvCPUInfo = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

Use the properties of TJvCPUInfo to access CPU specific information, like make, model and speed.

This is a read only class.

Created with Doc-O-Matic.


TJvCPUInfo Properties

TJvCPUInfo	Legend

Properties

 _3DNow

 CPUType

 Ex3DNow

 ExMMX

 Family

Features

 HasCacheInfo

 HasExtendedInfo

 HasInstruction

 Is64Bits

 IsFDIVOK

 L1CodeCache

 L1DataCache

 L2Cache

 L3Cache

 Manufacturer

 MMX

 Model

 Name

 NormFreq

 ProcessorCount

 RawFreq

 SSE

 Stepping

TotalCycles

TotalTicks

 VendorIDString

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCPUInfo Methods

TJvCPUInfo

Methods

AMDSpecific

CyrixSpecific

IntelSpecific

TransmetaSpecific

ViaSpecific

Created with Doc-O-Matic.


Legend

TJvCPUInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvCPUInfo


TJvCPUInfo Members

TJvCPUInfo	Legend

Members

Properties

 _3DNow

 CPUType

 Ex3DNow

 ExMMX

 Family

Features

 HasCacheInfo

 HasExtendedInfo

 HasInstruction

 Is64Bits

 IsFDIVOK

 L1CodeCache

 L1DataCache

 L2Cache

 L3Cache

 Manufacturer

 MMX

 Model

 Name

 NormFreq

 ProcessorCount

 RawFreq

 SSE

 Stepping

TotalCycles

TotalTicks

 VendorIDString

Methods

AMDSpecific

CyrixSpecific

IntelSpecific

TransmetaSpecific

ViaSpecific

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCPUInfo._3DNow property

TJvCPUInfo	Edit topic

Not documented

Pascal

property _3DNow: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.CPUType property

TJvCPUInfo	Edit topic

Not documented

Pascal

property CPUType: TJvCPUType;

Description

Denotes the CPU vendor.

Created with Doc-O-Matic.


TJvCPUInfo.Ex3DNow property

TJvCPUInfo	Edit topic

Not documented

Pascal

property Ex3DNow: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.ExMMX property

TJvCPUInfo	Edit topic

Not documented

Pascal

property ExMMX: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.Family property

TJvCPUInfo	See Also	Edit topic

Indicates the processor family.

Pascal

property Family: Byte;

Description

Processor family. For example, for Intel processors a value of 4 denotes a 486, 5 a Pentium and 6 a Pentium Pro. The family and model members are used together to form a descriptive string in the Name property.

Created with Doc-O-Matic.


See Also

Model, Stepping


TJvCPUInfo.Features property

TJvCPUInfo	Edit topic

Not documented

Pascal

property Features: Cardinal;

Description

Contains a set of flags detailing the features of the processor. The possible flags are processor specific.

Created with Doc-O-Matic.


TJvCPUInfo.HasCacheInfo property

TJvCPUInfo	Edit topic

Not documented

Pascal

property HasCacheInfo: Boolean;

Description

True if the processor specific subrecords contain valid cache information data. If False the IntelSpecific, CyrixSpecific and AMDSpecific subrecords do not contain valid data.

Created with Doc-O-Matic.


TJvCPUInfo.HasExtendedInfo property

TJvCPUInfo	Edit topic

Not documented

Pascal

property HasExtendedInfo: Boolean;

Description

Denotes whether or not the AMD or Cyrix processors have the extended CPUID instruction. This affects the possible flags in the Features field. If False the Features member does not contain any of the extended Cyrix and AMD flags (the ones starting with an 'E').

Created with Doc-O-Matic.


TJvCPUInfo.HasInstruction property

TJvCPUInfo	Edit topic

Indicates whether the processor supports CPU identification instructions.

Pascal

property HasInstruction: Boolean;

Description

True if the processor supports CPU identification instructions. If False the MMX, Features and FrequencyInfo fields do not contain valid data.

Created with Doc-O-Matic.


TJvCPUInfo.Is64Bits property

TJvCPUInfo	Edit topic

Not documented

Pascal

property Is64Bits: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.IsFDIVOK property

TJvCPUInfo	Edit topic

Indicates whether the FDIV instruction is OK.

Pascal

property IsFDIVOK: Boolean;

Description

True if the FDIV instruction is OK, False if it's flawed.

Created with Doc-O-Matic.


TJvCPUInfo.L1CodeCache property

TJvCPUInfo	Edit topic

Not documented

Pascal

property L1CodeCache: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.L1DataCache property

TJvCPUInfo	Edit topic

Not documented

Pascal

property L1DataCache: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.L2Cache property

TJvCPUInfo	Edit topic

Not documented

Pascal

property L2Cache: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.L3Cache property

TJvCPUInfo	Edit topic

Not documented

Pascal

property L3Cache: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.Manufacturer property

TJvCPUInfo	Edit topic

Specifies the processor's manufacturer.

Pascal

property Manufacturer: string;

Description

Contains a string describing the processor's manufacturer.

Created with Doc-O-Matic.


TJvCPUInfo.MMX property

TJvCPUInfo	Edit topic

Indicates whether the processor supports the MMX extension instructions.

Pascal

property MMX: Boolean;

Description

True if the processor supports the MMX extension instructions.

Created with Doc-O-Matic.


TJvCPUInfo.Model property

TJvCPUInfo	See Also	Edit topic

Specifies the specific model within a processor family.

Pascal

property Model: Byte;

Description

The specific model within a processor family. For example, for an Intel processor with family 6 (Pentium Pro) a value of 1 denotes a Pentium Pro while a 3 denotes a Pentium II. The family and model members are used together to form a descriptive string in the CpuName member.

Created with Doc-O-Matic.


See Also

Family, Stepping


TJvCPUInfo.Name property

TJvCPUInfo	See Also	Edit topic

Specifies a descriptive string for the processor.

Pascal

property Name: string;

Description

Contains a descriptive string for the processor (for example "Pentium II Xeon").

Created with Doc-O-Matic.


See Also

Family, Model


TJvCPUInfo.NormFreq property

TJvCPUInfo	See Also	Edit topic

Indicates the normalized frequency of the CPU in MHz.

Pascal

property NormFreq: Cardinal;

Description

The normalized frequency of the CPU in MHz. For example, a raw frequency of 761 MHz is normalized to 760 MHz.

Created with Doc-O-Matic.


See Also

NormFreq


TJvCPUInfo.ProcessorCount property

TJvCPUInfo	Edit topic

Returns the number of processors in the system.

Pascal

property ProcessorCount: Integer;

Description

The number of processors in the system. Initialized during unit initialization.

Created with Doc-O-Matic.


TJvCPUInfo.RawFreq property

TJvCPUInfo	See Also	Edit topic

Indicates the raw frequency of the CPU in MHz.

Pascal

property RawFreq: Cardinal;

Description

The raw frequency of the CPU in MHz.

Created with Doc-O-Matic.


See Also

RawFreq


TJvCPUInfo.SSE property

TJvCPUInfo	Edit topic

Not documented

Pascal

property SSE: TJvSSEVersion;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.Stepping property

TJvCPUInfo	See Also	Edit topic

Indicates the processor's stepping number.

Pascal

property Stepping: Byte;

Description

A processor's Family, Model and Stepping numbers refer to the manufacturing process on which a processor was manufactured and can be useful in identifying a processor in a system.

Created with Doc-O-Matic.


See Also

Family, Model


TJvCPUInfo.TotalCycles property

TJvCPUInfo	See Also	Edit topic

Returns the elapsed, internal clock cycles during the speed test.

Pascal

property TotalCycles: Cardinal;

Description

The elapsed, internal clock cycles during the speed test.

Created with Doc-O-Matic.


See Also

TotalCycles


TJvCPUInfo.TotalTicks property

TJvCPUInfo	See Also	Edit topic

Returns the time, in microseconds, that elapsed during the speed test.

Pascal

property TotalTicks: Cardinal;

Description

The time, in microseconds, that elapsed during the speed test.

Created with Doc-O-Matic.


See Also

TotalCycles


TJvCPUInfo.VendorIDString property

TJvCPUInfo	Edit topic

Not documented

Pascal

property VendorIDString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCPUInfo.AMDSpecific method

TJvCPUInfo	See Also	Edit topic

Provides information specific to AMD.

Pascal

function AMDSpecific: TAMDSpecific;

Description

Use AMDSpecific when accessing AMD specific information. If the CPU is not an AMD, this property has no valid data.

Use CPUType to determine the type of CPU.

Created with Doc-O-Matic.


See Also

TJvCPUInfo.CPUType, TJvCPUInfo.CyrixSpecific, TJvCPUInfo.IntelSpecific


TJvCPUInfo.CyrixSpecific method

TJvCPUInfo	See Also	Edit topic

Provides information specific to Cyrix.

Pascal

function CyrixSpecific: TCyrixSpecific;

Description

Use CyrixSpecific when accessing Cyrix specific information. If the CPU is not a Cyrix, this property has no valid data.

Use CPUType to determine the type of CPU.

Created with Doc-O-Matic.


See Also

TJvCPUInfo.AMDSpecific, TJvCPUInfo.CPUType, TJvCPUInfo.IntelSpecific


TJvCPUInfo.IntelSpecific method

TJvCPUInfo	See Also	Edit topic

Provides information specific to Intel.

Pascal

function IntelSpecific: TIntelSpecific;

Description

Use IntelSpecific when accessing Intel specific information. If the CPU is not an Intel, this property has no valid data.

Use CPUType to determine the type of CPU.

Created with Doc-O-Matic.


See Also

TJvCPUInfo.AMDSpecific, TJvCPUInfo.CPUType, TJvCPUInfo.CyrixSpecific


TJvCPUInfo.TransmetaSpecific method

TJvCPUInfo	See Also	Edit topic

Provides information specific to Transmeta.

Pascal

function TransmetaSpecific: TTransmetaSpecific;

Description

Use TransmetaSpecific when accessing Transmeta specific information. If the CPU is not an Transmeta, this property has no valid data.

Use CPUType to determine the type of CPU.

Created with Doc-O-Matic.


See Also

TJvCPUInfo.AMDSpecific, TJvCPUInfo.CPUType, TJvCPUInfo.CyrixSpecific


TJvCPUInfo.ViaSpecific method

TJvCPUInfo	See Also	Edit topic

Provides information specific to Via.

Pascal

function ViaSpecific: TViaSpecific;

Description

Use ViaSpecific when accessing Via specific information. If the CPU is not an Via, this property has no valid data.

Use CPUType to determine the type of CPU.

Created with Doc-O-Matic.


See Also

TJvCPUInfo.AMDSpecific, TJvCPUInfo.CPUType, TJvCPUInfo.CyrixSpecific


TJvCreateProcess
JEDI-VCL Reference

 TJvCreateProcess

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Enables you to create processes and wait for them to end.

Pascal

TJvCreateProcess = class(TJvComponent);

File

JvCreateProcess

Description

Use TJvCreateProcess to start a process or application, and possibly wait for it to terminate.

First use the properties of TJvCreateProcess to specify how and which process must be created:

Set ApplicationName to a string to specify the module to execute.

Set CommandLine to a string to specify the command line to execute.

Use WaitForTerminate to specify whether TJvCreateProcess must wait for the process to end. If you set WaitForTerminate to True, specify an OnTerminate event handler to execute code after the process finishes executing.

TJvCreateProcess enables you to redirect the standard input and output of console processes it creates. Do this by including coRedirect in ConsoleOptions. After a console process is successfully created, the component will wait for the process to end whether you set WaitForTerminate to True or not.

You might also set the following properties:

Use StartupInfo to specify the window station, desktop, and appearance of the main window for the new process. Use this property for example to hide a console which standard input and output has been redirected.

Set CurrentDirectory to a drive and directory to specify another drive and directory for the new process than the current application.

Use Environment to specify another environment than the current application.

Set CreationFlags to control the creation of the process.

Set Priority to specify another priority class for the new process than the default ppNormal.

After setting these properties you can call Run to start the application or process. After successfully creating the new process, you can call CloseApplication or Terminate to stop the application.

If WaitForTerminate is set to True, or coRedirect is included in ConsoleOptions, the component waits for the process to end and then triggers an OnTerminate event.

If you have included coRedirect in ConsoleOptions, and thus the standard input and output of the console process is redirected, then you can call Write or WriteLn to write to the input of the console. Furthermore OnRawRead and OnRead events will be fired if the console outputs some data.

You can stop waiting for the process to end by calling StopWaiting, although this is not recommended if the component has redirected the standard input and output of the console process.

Created with Doc-O-Matic.


TJvCreateProcess Properties

TJvCreateProcess	Legend

Properties

 ApplicationName

 CommandLine

 ConsoleOptions

 ConsoleOutput

 CreationFlags

 CurrentDirectory

 Environment

 Priority

 ProcessInfo

 StartupInfo

 State

 WaitForTerminate

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvCreateProcess Events

TJvCreateProcess	Legend

Events

 OnRawRead

 OnRead

 OnTerminate

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCreateProcess Methods

TJvCreateProcess	Legend

Methods

 CheckNotWaiting

 CheckRunning

CloseApplication

 CloseProcessHandles

 Create

 Destroy

Run

StopWaiting

Terminate

 TerminateWaitThread

Write

WriteLn

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCreateProcess

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCreateProcess


TJvCreateProcess Members

TJvCreateProcess	Legend

Members

Properties

 ApplicationName

 CommandLine

 ConsoleOptions

 ConsoleOutput

 CreationFlags

 CurrentDirectory

 Environment

 Priority

 ProcessInfo

 StartupInfo

 State

 WaitForTerminate

TJvComponent

 AboutJVCL

Events

 OnRawRead

 OnRead

 OnTerminate

Methods

 CheckNotWaiting

 CheckRunning

CloseApplication

 CloseProcessHandles

 Create

 Destroy

Run

StopWaiting

Terminate

 TerminateWaitThread

Write

WriteLn

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

Cmp


TJvCreateProcess.ApplicationName property

TJvCreateProcess	See Also	Edit topic

Determines the module to execute.

Pascal

property ApplicationName: string;

Description

Set ApplicationName to a string to specify the module to execute.

The string can specify the full path and file name of the module to execute or it can specify a partial name. In the case of a partial name, TJvCreateProcess uses the current drive and current directory to complete the specification. TJvCreateProcess will not use the search path. If the file name does not contain an extension, .exe is assumed. Therefore, if the file name extension is .com, this parameter must include the .com extension.

The string specified by ApplicationName can be empty. In that case, the module name must be the first white space-delimited token in the string specified by CommandLine. If you are using a long file name that contains a space, use quoted strings to indicate where the file name ends and the arguments begin; otherwise, the file name is ambiguous. For example, consider the string "c:\program files\sub dir\program name". This string can be interpreted in a number of ways. The system tries to interpret the possibilities in the following order:

c:\program.exe files\sub dir\program name

c:\program files\sub.exe dir\program name

c:\program files\sub dir\program.exe name

c:\program files\sub dir\program name.exe

Created with Doc-O-Matic.


See Also

TJvCreateProcess.CommandLine, TJvCreateProcess.Run


TJvCreateProcess.CommandLine property

TJvCreateProcess	See Also	Edit topic

Determines the command line to execute.

Pascal

property CommandLine: string;

Description

Set CommandLine to a string to specify the command line to execute.

If the string is empty then TJvCreateProcess uses the string specified by ApplicationName as the command line.

If both ApplicationName and CommandLine are not empty, then ApplicationName specifies the module to execute, and CommandLine specifies the command line. Generally the module name is repeated as the first token in the command line.

If ApplicationName is empty, then the first white-space – delimited token of the command line specifies the module name. If you are using a long file name that contains a space, use quoted strings to indicate where the file name ends and the arguments begin. If the file name does not contain an extension, .exe is appended. Therefore, if the file name extension is .com, this parameter must include the .com extension. If the file name ends in a period (.) with no extension, or if the file name contains a path, .exe is not appended. If the file name does not contain a directory path, the system searches for the executable file in the following sequence:

The directory from which the application loaded.

The current directory for the parent process.

The Windows system directory.

The Windows directory.

The directories that are listed in the PATH environment variable.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.ApplicationName, TJvCreateProcess.Run


TJvCreateProcess.ConsoleOptions property

TJvCreateProcess	See Also	Edit topic

Specifies behavioral properties of the search component concerning console creation.

Pascal

property ConsoleOptions: TJvConsoleOptions;

Description

When the TJvCreateProcess creates a console process, it can redirect the standard input and output of that process. The component will then generate OnRawRead and OnRead events, that enables you to respond to the output of the console; Furthermore, you can send data directly to the consoles input by calling Write or WriteLn.

Use ConsoleOptions to specify whether to redirect the standard input and output of newly created console processes, and whether to log the console output.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.ConsoleOutput, TJvCreateProcess.OnRawRead, TJvCreateProcess.OnRead


TJvCreateProcess.ConsoleOutput property

TJvCreateProcess	See Also	Edit topic

Returns a string list that contains the output of the console process.

Pascal

property ConsoleOutput: TStrings;

Description

ConsoleOutput is a string list that contains the output of console processes created with the TJvCreateProcess component, which standard input and output is redirected.

The console output is pre-processed by TJvCreateProcess: It has the same format as it appears in a DOS box. To determine the raw output of a console process, you must respond to OnRawRead events.

coOwnerData must not be included in Options, but coRedirect must be included, otherwise ConsoleOutput stays empty.

Use properties and methods for string lists to traverse this list of directories and read individual items.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.ConsoleOptions, TJvCreateProcess.OnRawRead, TJvCreateProcess.OnRead


TJvCreateProcess.CreationFlags property

TJvCreateProcess	Edit topic

Controls the creation of the process.

Pascal

property CreationFlags: TJvCPSFlags;

Description

Use CreationFlags to control the creation of the process.

Created with Doc-O-Matic.


TJvCreateProcess.CurrentDirectory property

TJvCreateProcess	See Also	Edit topic

Determines the current drive and directory for the new process.

Pascal

property CurrentDirectory: string;

Description

Set CurrentDirectory to a drive and directory to specify the current drive and directory for the new process. The string must be a full path that includes a drive letter. If no value is specified, the new process will have the same current drive and directory as the calling process.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.Run


TJvCreateProcess.Environment property

TJvCreateProcess	See Also	Edit topic

Lists the environment block for the new process.

Pascal

property Environment: TStrings;

Description

Use Environment to access the environment block for the new process. Each string must be in the form:

name=value

Because the equal sign is used as a separator, it must not be used in the name of an environment variable.

If no environment is specified, the new process uses the environment of the calling process.

Note that it isn't allowed to add empty strings to Environment.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.Run


TJvCreateProcess.OnRawRead event

TJvCreateProcess	See Also	Edit topic

Occurs when a console process created with TJvCreateProcess outputs some data.

Pascal

TJvCPSRawReadEvent = procedure (Sender: TObject; const S: string) of object;
property OnRawRead: TJvCPSRawReadEvent;

Parameters

S

The data received from the console process.

Sender

The object that triggered this event.

Description

Write an OnRawRead event handler to respond when a console process outputs some data. The data isn't pre-processed; thus, it may contain back space (#8), tab (#9), line feed (#10) or carriage return (#13) chars.

It may be necessary to respond to OnRawRead events, when the console process updates the current line only and doesn't output a line feed char; for instance to indicate the progress of a process. In this case no OnRead event will be fired.

Notes

coRedirect must be included in ConsoleOptions, otherwise no OnRawRead event will be fired.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.ConsoleOptions, TJvCreateProcess.ConsoleOutput, TJvCreateProcess.OnRead


TJvCreateProcess.OnRead event

Examples	TJvCreateProcess	See Also	Edit topic

Occurs when a console process created with TJvCreateProcess outputs a line feed (#10) char.

Pascal

TJvCPSReadEvent = procedure (Sender: TObject; const S: string; const StartsOnNewLine: Boolean) of object;
property OnRead: TJvCPSReadEvent;

Parameters

StartsOnNewLine

Indicates whether parameter S starts on a new line or is on the same line as the last line read.

S

The data received from the console process.

Sender

The object that triggered this event.

Description

Write an OnRead event handler to respond when a console process outputs a new line. The data is pre-processed; thus, it won't contain back space (#8), tab (#9), line feed (#10) or carriage return (#13) chars.

Examples

  procedure TForm1.JvCreateProcess1Read(Sender: TObject; const S: string;

    const StartsOnNewLine: Boolean);

  begin

    // C is the Form Feed char.

    if S = #$C then

      // Clear screen

      ListBox1.Clear;

    else

    if StartsOnNewLine then

      // Add new line

      ListBox1.Items.Add(S);

    else

      // Change last line

      ListBox1.Items[ListBox1.Count - 1] := S

  end;

Notes

coRedirect must be included in ConsoleOptions, otherwise no OnRead event will be fired.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.ConsoleOptions, TJvCreateProcess.ConsoleOutput, TJvCreateProcess.OnRawRead


Examples

TJvCreateProcess.OnRead event

  procedure TForm1.JvCreateProcess1Read(Sender: TObject; const S: string;

    const StartsOnNewLine: Boolean);

  begin

    // C is the Form Feed char.

    if S = #$C then

      // Clear screen

      ListBox1.Clear;

    else

    if StartsOnNewLine then

      // Add new line

      ListBox1.Items.Add(S);

    else

      // Change last line

      ListBox1.Items[ListBox1.Count - 1] := S

  end;

Created with Doc-O-Matic.


TJvCreateProcess.OnTerminate event

TJvCreateProcess	See Also	Edit topic

Occurs after a process created with TJvCreateProcess has ended.

Pascal

TJvCPSTerminateEvent = procedure (Sender: TObject; ExitCode: DWORD) of object;
property OnTerminate: TJvCPSTerminateEvent;

Parameters

ExitCode

Indicates the termination status of the specified process.

Sender

The object that triggered this event.

Description

Write an OnTerminate event handler to execute code after the process finishes executing. WaitForTerminate must be set to True, otherwise OnTerminate will not be triggered.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.WaitForTerminate


TJvCreateProcess.Priority property

TJvCreateProcess	Edit topic

Controls the priority class of a process created with TJvCreateProcess.

Pascal

property Priority: TJvProcessPriority;

Description

Priority controls the new process's priority class, which is used to determine the scheduling priorities of the process's threads. The system schedules CPU cycles to each process based on a priority scale; the Priority property adjusts a process's priority higher or lower on the scale. Note that setting priority higher than normal is discouraged and may starve other applications in system.

Created with Doc-O-Matic.


TJvCreateProcess.ProcessInfo property

TJvCreateProcess	Edit topic

Contains identification information about a new process.

Pascal

property ProcessInfo: TProcessInformation;

Description

Read ProcessInfo after calling Run to get identification information about the new process.

Created with Doc-O-Matic.


TJvCreateProcess.StartupInfo property

TJvCreateProcess	See Also	Edit topic

Contains information about the process to be created with TJvCreateProcess.

Pascal

property StartupInfo: TJvCPSStartupInfo;

Description

Use StartupInfo to specify the window station, desktop, and appearance of the main window for a new process created with TJvCreateProcess. Access StartupInfo at runtime to view and set its properties dynamically (at design time use the object inspector to set the properties of StartupInfo).

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo


TJvCreateProcess.State property

TJvCreateProcess	See Also	Edit topic

Returns the current operating mode of the TJvCreateProcess component.

Pascal

property State: TJvCPSState;

Description

Examine State to determine the current operating mode of the TJvCreateProcess component. State determines what can be done with the component, such as starting a new process or closing a started process.

Initially the state of the component is psReady: it means that you can call Run to start an application, but you can't call CloseApplication or Terminate to stop a running application.

Starting an application with Run changes the state to psWaiting (if WaitForTerminate is set to True) or to psRunning (if WaitForTerminate is False).

If the state is psWaiting, it means that the component is waiting for a process to end. If the process ends an OnTerminate event is fired, and the state changes to psReady. You can call StopWaiting to stop waiting for the process to end, it will change the state from psWaiting to psReady. You can also call CloseApplication or Terminate to stop the running application, but you can not call Run to start a new application.

If the state is psRunning, it means that the component has started an application. You can call CloseApplication or Terminate to stop the running application; you can also call Run to start a new Application.

Created with Doc-O-Matic.


See Also

CloseApplication


TJvCreateProcess.WaitForTerminate property

TJvCreateProcess	See Also	Edit topic

Indicates whether the component waits for the process to terminate.

Pascal

property WaitForTerminate: Boolean;

Description

Set WaitForTerminate to True to specify that the component must wait for the process to terminate. After calling Run, property State will be set to psWaiting. If the process ends, the State will be set to psReady and the OnTerminate event will be fired. Note that you cannot call Run if the component is waiting for a process to end.

Set WaitForTerminate to False to specify that the component must not wait for the process to terminate. After calling Run, property State will be set to psRunning.

Setting WaitForTerminate to True is useful if you want to take action when the process ends, or if you want to prevent the user to call Run if a process started by TJvCreateProcess is still running. Otherwise set WaitForTerminate to False.

Note that you cannot change WaitForTerminate if State is psWaiting.

Notes

If coRedirect is included in ConsoleOptions, the value of WaitForTerminate is ignored. The component will then always wait for the process to terminate.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.OnTerminate, TJvCreateProcess.Run, TJvCreateProcess.State, TJvCreateProcess.StopWaiting, TJvCreateProcess.Terminate


TJvCreateProcess.CheckNotWaiting method

TJvCreateProcess	See Also	Edit topic

Raises an EJvProcessError exception if TJvCreateProcess is waiting for a process to end.

Pascal

procedure CheckNotWaiting;

Description

Applications can’t call this protected method. It is used internally in methods that affect the process, to check whether the change is permitted, and if not, raise an exception.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.CheckRunning


TJvCreateProcess.CheckRunning method

TJvCreateProcess	See Also	Edit topic

Raises an EJvProcessError exception if no process is running.

Pascal

procedure CheckRunning;

Description

Applications can’t call this protected method. It is used internally in methods that affect the process, to check whether the change is permitted, and if not, raise an exception.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.CheckNotWaiting


TJvCreateProcess.CloseApplication method

TJvCreateProcess	See Also	Edit topic

Closes the process.

Pascal

function CloseApplication(SendQuit: Boolean = False): Boolean;

Return Value

Returns True if a process with an ID equal to ProcessInfo.dwProcessId exists, otherwise returns False.

Parameters

SendQuit: Boolean = False

Indicates whether to close immediately.

Description

Call CloseApplication to close the process. If SendQuit is True then the application will terminate immediately after processing the request. If SendQuit is False then the application can prompt the user for confirmation, and close only if the user confirms the choice.

Calling CloseApplication when State is psReady, will raise an error.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.Terminate


TJvCreateProcess.CloseProcessHandles method

TJvCreateProcess	Edit topic

Closes used handles.

Pascal

procedure CloseProcessHandles;

Description

Applications can’t call the protected CloseProcessHandles method. It is used internally by TJvCreateProcess to close used handles.

Created with Doc-O-Matic.


TJvCreateProcess.Create constructor

TJvCreateProcess	See Also	Edit topic

Creates and initializes a new TJvCreateProcess object.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

A component, typically the form, that is responsible for freeing the component.

Description

Use Create to create and initialize a new TJvCreateProcess object.

Create calls the inherited Create method, then sets the initial values for the component as follows:

CreationFlags is set to [].

Priority is set to ppNormal.

State is set to psReady.

WaitForTerminate is set to True.

ConsoleOptions is set to [coOwnerData].

Created with Doc-O-Matic.


See Also

TJvCreateProcess.CreationFlags, TJvCreateProcess.Destroy, TJvCreateProcess.Priority, TJvCreateProcess.State, TJvCreateProcess.WaitForTerminate


TJvCreateProcess.Destroy destructor

TJvCreateProcess	See Also	Edit topic

Destroys an instance of TJvCreateProcess

Pascal

destructor Destroy; override;

Description

Do not call Destroy directly in an application. Instead, call Free. Free verifies that the TJvCreateProcess object is not nil and only then calls Destroy.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.Create


TJvCreateProcess.Run method

TJvCreateProcess	See Also	Edit topic

Creates a new process and its primary thread.

Pascal

procedure Run;

Description

Call Run to create a new process and its primary thread. Run uses the properties of TJvCreateProcess to create the new process.

If the creation fails an EOSError error is raised. If the creation succeeded, and WaitForTerminate is True, State is set to psWaiting, and TJvCreateProcess waits for the process to end. If the process ends an OnTerminate event is triggered. If the creation succeeded, and WaitForTerminate is False, State is set to psRunning. No event will be triggered if the process ends.

You can stop the created process by calling CloseApplication or Terminate.

Note that you cannot call Run if State is psWaiting.

Created with Doc-O-Matic.


See Also

CloseApplication


TJvCreateProcess.StopWaiting method

TJvCreateProcess	See Also	Edit topic

Stops waiting for the process to end.

Pascal

procedure StopWaiting;

Description

Call StopWaiting to stop waiting for a process created with TJvCreateProcess to end. Property State will be set to psReady, so you can call Run to create another process.

If the process ends, no OnTerminate event will be fired.

Calling StopWaiting when State is psReady, has no effect.

Notes

It is not recommended to call StopWaiting if TJvCreateProcess has redirected the standard input and output of a console process.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.Terminate, TJvCreateProcess.WaitForTerminate


TJvCreateProcess.Terminate method

TJvCreateProcess	See Also	Edit topic

Ends process execution.

Pascal

procedure Terminate;

Description

Call Terminate to terminate a process created with TJvCreateProcess. It will unconditionally cause the created process to exit. Use it only in extreme circumstances, otherwise use CloseApplication. Calling Terminate when State is psReady, will raise an error.

Notes

A case when calling Terminate is reasonable is when the component has redirected the standard input and output of a console process, and that process blocks.

Created with Doc-O-Matic.


See Also

CloseApplication


TJvCreateProcess.TerminateWaitThread method

TJvCreateProcess	See Also	Edit topic

Stops waiting for the process to end.

Pascal

procedure TerminateWaitThread;

Description

Applications can’t call this protected method. It is used internally by StopWaiting to stop waiting for the process to end.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.StopWaiting


TJvCreateProcess.Write method

TJvCreateProcess	See Also	Edit topic

Writes to the input of a console process.

Pascal

function Write(const S: string): Boolean;

Return Value

Returns True on success, otherwise returns False.

Parameters

const S: string

Data to be written to the input of a console process.

Description

Call Write to write to the input of a console process, created with TJvCreateProcess.

Notes

coRedirect must be included in ConsoleOptions otherwise Write will have no effect.

Created with Doc-O-Matic.


See Also

WriteLn


TJvCreateProcess.WriteLn method

TJvCreateProcess	See Also	Edit topic

Writes to the input of a console process and adds an end-of-line marker

Pascal

function WriteLn(const S: string): Boolean;

Return Value

Returns True on success, otherwise returns False.

Parameters

const S: string

Data to be written to the input of a console process.

Description

Call WriteLn to write to the input of a console process, created with TJvCreateProcess. The component will append an end-of-line marker (carriage return/line feed) to the data. If parameter S is an empty string, WriteLn an end-of-line marker to the input of a console process.

Notes

coRedirect must be included in ConsoleOptions otherwise WriteLn will have no effect.

Created with Doc-O-Matic.


See Also

Write


TJvCsvColumns
JEDI-VCL Reference

TJvCsvColumns

Hierarchy	Methods	 Edit topic

A TList based list of TJvCsvColumn records.

Pascal

TJvCsvColumns = class(TList);

File

JvCsvData

Description

A list of column records.

Created with Doc-O-Matic.


TJvCsvColumns Methods

TJvCsvColumns	Legend

Methods

AddColumn

 Clear

FindByFieldNo

FindByName

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCsvColumns

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TList
    TJvCsvColumns


TJvCsvColumns Members

TJvCsvColumns	Legend

Members

Methods

AddColumn

 Clear

FindByFieldNo

FindByName

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvCsvColumns.AddColumn method

TJvCsvColumns	Edit topic

Standard TList.Add Method.

Pascal

procedure AddColumn(Item: PCsvColumn);

Parameters

Item: PCsvColumn

New record.

Description

Insert a new TJvCsvColumn.

Created with Doc-O-Matic.


TJvCsvColumns.Clear method

TJvCsvColumns	Edit topic

Erase all Columns.

Pascal

procedure Clear; override;

Description

Erase all Columns.

Created with Doc-O-Matic.


TJvCsvColumns.FindByFieldNo method

TJvCsvColumns	Edit topic

Return the Column record for a particular field number.

Pascal

function FindByFieldNo(FieldNo: Integer): PCsvColumn;

Return Value

Returns associated TJvCsvColumn record, or Nil.

Parameters

FieldNo: Integer

Field index (0=first field in logical order defined in program)

Description

Return the Column record for a particular field number.

Created with Doc-O-Matic.


TJvCsvColumns.FindByName method

TJvCsvColumns	Edit topic

Return a column record for a particular field, search by field name.

Pascal

function FindByName(const FieldName: string): PCsvColumn;

Return Value

Returns associated TJvCsvColumn record, or Nil.

Parameters

const FieldName: string

Field name

Description

Return a column record for a particular field, search by field name.

Created with Doc-O-Matic.


TJvCsvDataSet
JEDI-VCL Reference

 TJvCsvDataSet

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

In-memory TDataSet component similar to TTable.

Pascal

TJvCsvDataSet = class(TJvCustomCsvDataSet);

File

JvCsvData

Description

An in-memory TDataSet component similar to TTable but with optional saving to CSV file, and which, unlike using TTable in CSV mode, does not utilize the BDE, or any external database access layers to do its work.

Since this component inherits from TDataSet, you can use it with any standard VCL data aware components. Remember to link to a DataSource, before you can link this to any data aware controls!

This component inherits from TJvCustomCsvDataSet. See TJvCustomCsvDataSet for more internal details.

To Use TJvCsvDataSet, and any other component that you create that inherits from TJvCustomCsvDataSet you *must* first set up the important Property called CsvFieldDef.

Note that rather than editing the CsvFieldDef yourself, you should click on the property editor button ([...]) on the right side of the CsvFieldDef field, in the Object Inspector.

Created with Doc-O-Matic.


TJvCsvDataSet Properties

TJvCsvDataSet	Legend

Properties

 AutoBackupCount

 CaseInsensitive

 Changed

 CsvFieldDef

 CsvKeyDef

 CsvUniqueKeys

 EnquoteBackslash

 ExtendedHeaderInfo

 FieldDefs

 FileName

 HasHeaderRow

 HeaderRow

 LoadsFromFile

 ReadOnly

 SavesChanges

 Separator

 StoreDefs

TableName

 TimeZoneCorrection

UserData

UserTag

 ValidateHeaderRow

TJvCustomCsvDataSet

 AppendedFieldCount

 AutoBackupCount

 CaseInsensitive

 Changed

 CreatePaths

CsvFieldDef

CsvKeyDef

CsvUniqueKeys

 EnquoteBackslash

 ExtendedHeaderInfo

 FileName

HasHeaderRow

 HeaderRow

 InternalData

 LoadsFromFile

 OpenFileName

 ReadOnly

SavesChanges

 Separator

 StoreDefs

 TableName

 TimeZoneCorrection

 UserData

 UserTag

 ValidateHeaderRow

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCsvDataSet Events

TJvCsvDataSet	Legend

Events

 OnGetFieldData

 OnSetFieldData

 OnSpecialData

TJvCustomCsvDataSet

 OnGetFieldData

 OnSetFieldData

 OnSpecialData

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCsvDataSet Methods

TJvCsvDataSet	Legend

Methods

TJvCustomCsvDataSet

_ClearFilter

AppendRowString

 AppendWith

 AssignFromStrings

 AssignToStrings

ClearFilter

CloneRow

CopyFromDataset

 CurrentRowAsString

CustomFilter

DeleteRows

EmptyTable

 ExportCsvFile

ExportRows

FindByCsvKey

 Flush

 GetAsString

GetAutoincrement

 GetColumnsAsString

GetCsvHeader

 GetRowAsString

GetUserData

GetUserTag

IsKeyUnique

LoadFromFile

 OpenWith

Refresh

SaveToFile

SetAllUserData

SetAllUserTags

SetFilter

SetFilterOnNull

SetUserData

SetUserTag

Sort

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCsvDataSet

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TDataSet
    TJvCustomCsvDataSet
        TJvCsvDataSet


TJvCsvDataSet Members

TJvCsvDataSet	Legend

Members

Properties

 AutoBackupCount

 CaseInsensitive

 Changed

 CsvFieldDef

 CsvKeyDef

 CsvUniqueKeys

 EnquoteBackslash

 ExtendedHeaderInfo

 FieldDefs

 FileName

 HasHeaderRow

 HeaderRow

 LoadsFromFile

 ReadOnly

 SavesChanges

 Separator

 StoreDefs

TableName

 TimeZoneCorrection

UserData

UserTag

 ValidateHeaderRow

TJvCustomCsvDataSet

 AppendedFieldCount

 AutoBackupCount

 CaseInsensitive

 Changed

 CreatePaths

CsvFieldDef

CsvKeyDef

CsvUniqueKeys

 EnquoteBackslash

 ExtendedHeaderInfo

 FileName

HasHeaderRow

 HeaderRow

 InternalData

 LoadsFromFile

 OpenFileName

 ReadOnly

SavesChanges

 Separator

 StoreDefs

 TableName

 TimeZoneCorrection

 UserData

 UserTag

 ValidateHeaderRow

Events

 OnGetFieldData

 OnSetFieldData

 OnSpecialData

TJvCustomCsvDataSet

 OnGetFieldData

 OnSetFieldData

 OnSpecialData

Methods

TJvCustomCsvDataSet

_ClearFilter

AppendRowString

 AppendWith

 AssignFromStrings

 AssignToStrings

ClearFilter

CloneRow

CopyFromDataset

 CurrentRowAsString

CustomFilter

DeleteRows

EmptyTable

 ExportCsvFile

ExportRows

FindByCsvKey

 Flush

 GetAsString

GetAutoincrement

 GetColumnsAsString

GetCsvHeader

 GetRowAsString

GetUserData

GetUserTag

IsKeyUnique

LoadFromFile

 OpenWith

Refresh

SaveToFile

SetAllUserData

SetAllUserTags

SetFilter

SetFilterOnNull

SetUserData

SetUserTag

Sort

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


See Also

TJvCsvDataSet.CsvFieldDef


Package

DB


TJvCsvDataSet.AutoBackupCount property

TJvCsvDataSet	Edit topic

If greater than zero, automatically numbered backups of the CSV file are kept. Backups go in the Backup subdirectory, below wherever the CSV file itself is located.

Pascal

property AutoBackupCount: Integer;

Description

The automatic backup feature of the TJvCsvDataSet is similar to the way the old VMS operating system used to work. Every time you saved a file, numbered backups are kept.

The reason for this feature is that disk space is cheap, and lost or even partially corrupt data is very very inconvenient. If you kept the last 10 (for example) versions of your CSV file in a Backup directory, directly underneath where your main CSV files go, then recovery from a bad edit, or a corrupt file, should be much easier. The only reason I can think of to set this to zero is if losing this file is a matter of no importance, or of the creation of the backup files is in some way causing a problem.

Created with Doc-O-Matic.


TJvCsvDataSet.CaseInsensitive property

TJvCsvDataSet	See Also	Edit topic

CSV Key Uniqueness and Key Comparisons are case insensitive mode if True, or else they are case sensitive.

Pascal

property CaseInsensitive: Boolean;

Description

If you have defined a Key for this table, and the keys are unique, then this property defines whether or not two keys that differ only by their case would be allowed. For example, if the key field was ID, and was a string, then having two records, one with key 'ABC' and one with key 'Abc', then adding the second would cause a key access violation.

Created with Doc-O-Matic.


See Also

CsvKeyDef CsvUniqueKeys FindByCsvKey


TJvCsvDataSet.Changed property

TJvCsvDataSet	See Also	Edit topic

This is the World-Famous 'Dirty Bit'.

Pascal

property Changed: Boolean;

Description

If anything in the data set (any field, on any row) has changed, and the changes have not been saved to disk (via Flush), then the current data has been changed. You can either call Flush to save the data, when it has changed, or you can set Active to false. (If the SavesChanges property is set.) It should get set True if you change anything or add or delete anything from the dataset. It gets set back to false when you call Flush.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.Flush


TJvCsvDataSet.CsvFieldDef property

TJvCsvDataSet	Edit topic

Comma separated list of field names.

Pascal

property CsvFieldDef: string;

Description

The CsvFieldDef property is the most important property in the CSVDataSet. You MUST set it up (using the property editor or by typing a valid CsvFieldDef string) before you can use the CSV Data Set.

A CsvFieldDef string is a comma separated list of field names. After each field name, an optional colon may be used to separate the field name from field options, which are described below.

Fieldname must start with a Letter (A-Z) and can contain Letters, Numbers and Underscores.

Field Types are described below. $ is a string. Other punctuation indicates other types.

Length ONLY applies to string fields.

Field Types	Meaning
$	string (ftString) - also used if no character is given. May be followed by the length, a length of 80 is assumed if "$" is used without a specific length (For example, ABC:$100 is a field named ABC, type string, string length 100).
%	whole integer value (ftInteger)
&	floating point value (ftFloat)
@	Ascii datetime value (ftDateTime) as YYYY/MM/DD HH:MM:SS (Component Specific)
#	Hex-Ascii Timestamp (A93F38C9) seconds since Jan 1, 1970 GMT (Component Specific)
^	Hex-Ascii Timestamp (A93F38CP) corrected to local timezone (Component Specific)
!	Boolean Field (0 in csv file=false, not 0 = true, blank = NULL)

CsvFieldDef string Example:

  NAME:$80,ADDRESS:$140,AGE:%,BIRTHDAY:@

Notes

You can use the built-in property editor (Click ...) Instead of manually typing the CsvFieldDef.

Created with Doc-O-Matic.


TJvCsvDataSet.CsvKeyDef property

TJvCsvDataSet	See Also	Edit topic

Primary Key Definition.

Pascal

property CsvKeyDef: string;

Description

Blank means no primary key. The main reason for setting a primary key is so you can enforce primary key uniqueness. You might also want to easily sort the file in primary key order. Primary Key fields MUST Be the first fields logically (and usually, physically) in the CSV file.

That is to say, the CsvKeyDef cannot be set to 'A,C' if the first line of the csv file is is 'A,B,C'. If you want fields 'A,C' to be the key, the CSV file fields themselves MUST be ordered 'A,C, .... ' logically.

Created with Doc-O-Matic.


See Also

CsvUniqueKeys CaseInsensitive FindByCsvKey IsKeyUnique


TJvCsvDataSet.CsvUniqueKeys property

TJvCsvDataSet	See Also	Edit topic

Are Unique Keys Enforced when rows are added or modified?

Pascal

property CsvUniqueKeys: Boolean;

Description

If CsvKeyDef is set, then this property defines whether or not two rows/records with the the same key can exist. If you want the dataset to enforce key uniqueness, you must set this.

Created with Doc-O-Matic.


See Also

CsvKeyDef CaseInsensitive FindByCsvKey


TJvCsvDataSet.EnquoteBackslash property

TJvCsvDataSet	Edit topic

Specifies whether the component supports enquoting using backslashes.

Pascal

property EnquoteBackslash: Boolean;

Description

A design time property which specifies whether the component supports enquoting using backslashes. This is NOT the default behavior. Most programs use doubling of quotes ("") instead of backslashes. Only set this to true if you know what you are doing.

If quotes appear inside a string, enquote them using backslash-quote sequence instead of quote-quote sequence. Nonstandard CSV extension.

Created with Doc-O-Matic.


TJvCsvDataSet.ExtendedHeaderInfo property

TJvCsvDataSet	See Also	Edit topic

Probably never used. Leave it false.

Pascal

property ExtendedHeaderInfo: Boolean;

Description

The original author of this component has no idea why you would set ExtendedHeaderInfo to true, but if you do, the user-specified CsvFieldDef is used as the first line of CSV files that are assigned as strings, otherwise, the GetColumnsAsString is used. Has no effect if HasHeaderRow is false.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.HasHeaderRow


TJvCsvDataSet.FieldDefs property

TJvCsvDataSet	See Also	Edit topic

Standard VCL Data Aware Component Feature.

Pascal

property FieldDefs;

Description

The FieldDefs property contains the field definition objects auto-generated by the Delphi IDE, or created dynamically when the table is opened.

Note that you MUST set up CsvFieldDef property before you can dynamically or statically create the FieldDefs.

Standard DataSet Field Definitions. The same field definitions as you would find in any other TDataSet descendant, such as TTable.FieldDefs, or TClientDataSet.FieldDefs.

Created with Doc-O-Matic.


See Also

TJvCsvDataSet.CsvFieldDef,TClientDataSet.FieldDefs,TTable.FieldDefs


TJvCsvDataSet.FileName property

TJvCsvDataSet	See Also	Edit topic

The filename that this dataset component loads its data from when opening, and saves it back to when closing.

Pascal

property FileName: string;

Description

Can be either a filename (with no path) which must be located in the current working directory, or can be a fully qualified filename (with a path) in which case it can be anywhere on your filesystem or network. Note that the component doesn't actually use the filename property, unless you have you set LoadsFromFile and/or SavesChanges properties to true.

Created with Doc-O-Matic.


See Also

TJvCsvDataSet.LoadsFromFile,TJvCsvDataSet.SavesChanges


TJvCsvDataSet.HasHeaderRow property

TJvCsvDataSet	Edit topic

Specifies whether the CSV file has a list of field names on the first line.

Pascal

property HasHeaderRow: Boolean;

Description

Set to true if this CSV file has a list of field names on the first line. This is normally how CSV files are stored. In the unusual case that you don't have any field names, set this to false.

If you set this property, the component expects CSV files will begin with a header row. If you set this to false, then we assume that the header row equals the CsvFieldDef property, in exactly the same field order, with no more and no less fields.

Created with Doc-O-Matic.


TJvCsvDataSet.HeaderRow property

TJvCsvDataSet	Edit topic

Not documented

Pascal

property HeaderRow: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCsvDataSet.LoadsFromFile property

TJvCsvDataSet	See Also	Edit topic

Specifies whether to automatically load contents of the CSV Filename when you set the table Active property to true.

Pascal

property LoadsFromFile: Boolean;

Description

Set this to true to automatically load contents of the CSV Filename when you set the table Active property to true. Leaving this set to true is generally helpful both at design time and run time, and should be only turned off if you really need to.

If the property Filename points to a valid file, then the component will load that file when you set the Active property to true. If you don't, it's up to you to load your component data up manually.

Created with Doc-O-Matic.


See Also

TJvCsvDataSet.FileName LoadFromFile


TJvCsvDataSet.OnGetFieldData event

TJvCsvDataSet	See Also	Edit topic

Event fired when field data is going to be provided to a data aware control.

Pascal

property OnGetFieldData: TJvCsvOnGetFieldData;

Parameters

Sender

Not documented

UserTag

The record's tag (integer) property

UserData

The record's data (pointer) property. Perhaps this is the custom object that contains the actual data?

FieldName

The field name we are being asked for?

Value

var parameter - This is where you put the actual value (encoded as a CSV string) to be provided to the data aware control.

Description

An OnGetFieldData event written by the end user allows the end user to create a Virtual DataSet where the data in the CSV rows is really just a cache which can be updated when displayed but which we really are fetching from somewhere else.

Created with Doc-O-Matic.


See Also

OnSetFieldData GetUserTag SetUserTag GetUserData SetUserData


TJvCsvDataSet.OnSetFieldData event

TJvCsvDataSet	See Also	Edit topic

Event fired when field data is going to be updated from data aware control back into our Dataset.

Pascal

property OnSetFieldData: TJvCsvOnSetFieldData;

Parameters

Sender

Not documented

UserTag

The record's tag (integer) property

UserData

The record's data (pointer) property. Perhaps this is the custom object that contains the actual data?

FieldName

The field name we are being asked for?

Value

This is the new changed field value (encoded as a CSV string) which is being put into the CSV file.

Description

An OnSetFieldData event written by the end user allows the end user to create a Virtual DataSet where the data in the CSV rows is really just a cache which can be updated when displayed and when a change is made to the cached data, the change can also automatically be written to the place where the data really came from.

Created with Doc-O-Matic.


See Also

OnGetFieldData GetUserTag SetUserTag GetUserData SetUserData SetAllUserData


TJvCsvDataSet.OnSpecialData event

TJvCsvDataSet	Edit topic

Occurs when metadata is embedded in a csv data file.

Pascal

property OnSpecialData: TJvCsvOnSpecialData;

Parameters

Sender

Component sending the event

Index

File line number

NonCsvData

The data that came in that is special metadata. ('> > DATESAVED: THIS DATA WAS SAVED ON MAY 3, 2003')

Description

This event fires, if metadata is embedded in a csv data file. The metadata escape sequence is '> > ' at the beginning of the file. This allows CSV files to have comments or metadata associated with them. Note that this is a proprietary extension to the CSV file format, and is not expected to be interoperable with other CSV reading/writing software, unless you strip the special data before sending it to these other files.

When we encounter a CSV data row that starts with '> > ', it is skipped, and this event fires.

Created with Doc-O-Matic.


TJvCsvDataSet.ReadOnly property

TJvCsvDataSet	Edit topic

Data is non-modifiable (read only).

Pascal

property ReadOnly: Boolean;

Description

Data is non-modifiable (read only). Only set this to true if the contents of the data are complete static once loaded from a CSV file. Mutually exclusive property: SavesChanges.

If you set this property to true, then no editing will be permitted by data aware components, and any direct writes to field values will cause an exception to be raised.

Created with Doc-O-Matic.


TJvCsvDataSet.SavesChanges property

TJvCsvDataSet	Edit topic

Specifies whether to write the contents of the data to the file.

Pascal

property SavesChanges: Boolean;

Description

If set to true, then the contents of the data set are written to the file, whenever you call Flush manually, and automatically, when the dataset Active property is set to false. Mutually exclusive property: ReadOnly. Permits writing the changes to the csv file. If you don't set this, then any changes are lost when you exit your program, or when you set the Active property to false. This can be handy if any modifications are only intended to be temporary and not persistent.

Created with Doc-O-Matic.


TJvCsvDataSet.Separator property

TJvCsvDataSet	Edit topic

Advanced Users Only. Specify Custom Separator Character.

Pascal

property Separator: Char;

Description

Default is ',' (comma). If you aren't sure what to do, leave this field alone. Normally CSV files use a comma to separate fields, but other ASCII delimited file types, such as TAB (Chr(9)) are possible. Set this to the character you wish to use to separate the fields. Some values are not valid, such as Carriage Return, Linefeed, Space, Quotes, Escape characters, etc. Also, using any alphanumeric character would be a very very bad idea.

Created with Doc-O-Matic.


TJvCsvDataSet.StoreDefs property

TJvCsvDataSet	Edit topic

Advanced Users Only. Leave it at Default value of true.

Pascal

property StoreDefs: Boolean;

Description

If true, we persist the FieldDefs in the Form/Datamodule's 'DFM' file. This property should ALWAYS be set to true, unless you don't want the Field Definitions stored in the Delphi TForm/TDataModule that you are using this component in. If your component will only ever use Dynamically Generated Field Definitions then you can set this to false.

Created with Doc-O-Matic.


TJvCsvDataSet.TableName property

TJvCsvDataSet	Edit topic

A read only property. Returns the same value as TJvCsvDataSet.Filename.

Pascal

property TableName: string;

Description

TableName property. An alias for TJvCsvDataSet.Filename. This property MUST be set before you can open a file from the disk. It can be set to a fully qualified path, or you can just put a filename here without a path, or you can specify a subdirectory path (relative pathname, beginning with a dot). This path name will be relative to the current working directory of your application, when it starts.

Created with Doc-O-Matic.


TJvCsvDataSet.TimeZoneCorrection property

TJvCsvDataSet	Edit topic

TimeZone Correction. Set to Zero to assume everyone is using UTC.

Pascal

property TimeZoneCorrection: Integer;

Description

If you are using data sets from multiple different time zones, you need to put the timezone correction data into the TimeZoneCorrection property. If all your TIME_T timestamps are in UTC (Greenwich Mean Time), then you should leave this property set to zero. This property has NO effect on ASCII datetime fields, which are assumed to be using the local timezone (as set up in your operating system's timezone configuration).

Created with Doc-O-Matic.


TJvCsvDataSet.UserData property

Examples	TJvCsvDataSet	See Also	Edit topic

A user-defined Pointer property for the currently active row in the dataset.

Pascal

property UserData: Pointer;

Description

The current row of the dataset can have a special user-data property, per row. This is helpful if you want to go through a dataset, and flag certain rows as 'selected', and for other user-defined purposes. This data is NOT stored as part of the CSV file and exists only in memory.

Examples

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserData := Pointer(MyObject) // Flag XYX rows.

    else

      MyCsvDataSet.UserData := nil;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


See Also

UserTag - same idea as UserData, but instead of a pointer, it's an integer.


Examples

TJvCsvDataSet.UserData property

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserData := Pointer(MyObject) // Flag XYX rows.

    else

      MyCsvDataSet.UserData := nil;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


TJvCsvDataSet.UserTag property

Examples	TJvCsvDataSet	See Also	Edit topic

A user-defined Integer property for the currently active row in the dataset.

Pascal

property UserTag: Integer;

Description

The current row of the dataset can have a special user-tag property, per row. This is helpful if you want to go through a dataset, and flag certain rows as 'selected', and for other user-defined purposes. This data is NOT stored as part of the CSV file and exists only in memory.

Examples

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserTag := 1;  // Flag XYX rows.

    else

      MyCsvDataSet.UserTag := 0;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


See Also

UserData - Same idea as UserTag, but it's a pointer.


Examples

TJvCsvDataSet.UserTag property

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserTag := 1;  // Flag XYX rows.

    else

      MyCsvDataSet.UserTag := 0;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


TJvCsvDataSet.ValidateHeaderRow property

TJvCsvDataSet	Edit topic

Checks if first row of CSV file is valid.

Pascal

property ValidateHeaderRow: Boolean;

Description

Checks if first row of CSV file is valid.

Created with Doc-O-Matic.


TJvCsvRows
JEDI-VCL Reference

TJvCsvRows

Hierarchy	Properties	Methods	 Edit topic

A TList of TJvCsvRow objects.

Pascal

TJvCsvRows = class(TList);

File

JvCsvData

Description

A TList of TJvCsvRow objects.

Created with Doc-O-Matic.


TJvCsvRows Properties

TJvCsvRows

Properties

EnquoteBackslash

UserData

UserTag

Created with Doc-O-Matic.


TJvCsvRows Methods

TJvCsvRows	Legend

Methods

AddRow

AddRowStr

 Clear

DeleteRow

GetARowItem

GetRowPtr

GetRowStr

InsertRow

SetARowItem

SetRowStr

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCsvRows

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TList
    TJvCsvRows


TJvCsvRows Members

TJvCsvRows	Legend

Members

Properties

EnquoteBackslash

UserData

UserTag

Methods

AddRow

AddRowStr

 Clear

DeleteRow

GetARowItem

GetRowPtr

GetRowStr

InsertRow

SetARowItem

SetRowStr

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvCsvRows.EnquoteBackslash property

TJvCsvRows	Edit topic

Specifies whether the component supports enquoting using backslashes.

Pascal

property EnquoteBackslash: Boolean;

Description

Advanced. A design time property which specifies whether the component supports enquoting using backslashes. This is NOT the default behavior. Most programs use doubling of quotes ("") instead of backslashes. Only set this to true if you know what you are doing.

If quotes appear inside a string, enquote them using backslash-quote sequence instead of quote-quote sequence. Nonstandard CSV extension.

Created with Doc-O-Matic.


TJvCsvRows.UserData property

TJvCsvRows	See Also	Edit topic

Provides indexed access to user data storage.

Pascal

property UserData [Index: Integer]: Pointer;

Parameters

Index

The 0-based index of the item to access or write to.

Description

UserData has no predefined meaning. It is provided for the convenience of developers.

Created with Doc-O-Matic.


See Also

TJvCsvRows.UserTag


TJvCsvRows.UserTag property

TJvCsvRows	See Also	Edit topic

Provides indexed access to user data storage.

Pascal

property UserTag [Index: Integer]: Integer;

Parameters

Index

The 0-based index of the item to access or write to.

Description

UserTag has no predefined meaning. It is provided for the convenience of developers.

Created with Doc-O-Matic.


See Also

TJvCsvRows.UserData


TJvCsvRows.AddRow method

TJvCsvRows	Edit topic

Adds a row.

Pascal

procedure AddRow(Item: PCsvRow);

Parameters

Item: PCsvRow

New row object.

Description

Call AddRow to add a row.

Created with Doc-O-Matic.


TJvCsvRows.AddRowStr method

TJvCsvRows	Edit topic

Converts from string to row, add it to rows list.

Pascal

procedure AddRowStr(const Item: string; Separator: Char);

Parameters

const Item: string

A Csv string.

Separator: Char

Not documented

Description

Call AddRowStr to convert from string to row, add it to rows list.

Created with Doc-O-Matic.


TJvCsvRows.Clear method

TJvCsvRows	Edit topic

Deletes all rows.

Pascal

procedure Clear; override;

Description

Call Clear to delete all rows.

Created with Doc-O-Matic.


TJvCsvRows.DeleteRow method

TJvCsvRows	Edit topic

Deletes one row.

Pascal

procedure DeleteRow(const RowIndex: Integer);

Parameters

const RowIndex: Integer

row number (record number) to be deleted.

Description

Call DeleteRow to Delete one row.

Created with Doc-O-Matic.


TJvCsvRows.GetARowItem method

TJvCsvRows	Edit topic

Get a single value from a certain row and certain column.

Pascal

function GetARowItem(const RowIndex: Integer; const ColumnIndex: Integer): string;

Return Value

The value for that row/column.

Parameters

const RowIndex: Integer

What row to read

const ColumnIndex: Integer

What column to read

Description

Get a single value from a certain row and certain column.

Created with Doc-O-Matic.


TJvCsvRows.GetRowPtr method

TJvCsvRows	Edit topic

Get pointer to a row object.

Pascal

function GetRowPtr(const RowIndex: Integer): PCsvRow;

Return Value

Pointer to a row object.

Parameters

const RowIndex: Integer

Record number to get.

Description

Get pointer to a row object.

Created with Doc-O-Matic.


TJvCsvRows.GetRowStr method

TJvCsvRows	Edit topic

Get a row as a csv string.

Pascal

function GetRowStr(const RowIndex: Integer): string;

Return Value

Returns row as a string.

Parameters

const RowIndex: Integer

Not documented

Description

Get a row as a csv string.

Created with Doc-O-Matic.


TJvCsvRows.InsertRow method

TJvCsvRows	Edit topic

Inserts a row in the dataset.

Pascal

procedure InsertRow(const Position: Integer; Item: PCsvRow);

Parameters

const Position: Integer

The 0-based index where the new item should be inserted.

Item: PCsvRow

The item to insert.

Description

Call InsertRow to insert a new row of data in the dataset.

Created with Doc-O-Matic.


TJvCsvRows.SetARowItem method

TJvCsvRows	Edit topic

Write a new value to a column in an existing row.

Pascal

procedure SetARowItem(const RowIndex: Integer; const ColumnIndex: Integer; Value: string);

Parameters

const RowIndex: Integer

What row to get.

const ColumnIndex: Integer

which column to modify.

Value: string

new value for that column.

Description

Store a new value to a single column in a single row, and update the dirty bit for that row.

Created with Doc-O-Matic.


TJvCsvRows.SetRowStr method

TJvCsvRows	Edit topic

Sets the value of all fields in an existing row, using a string value.

Pascal

procedure SetRowStr(const RowIndex: Integer; Value: string; Separator: Char);

Parameters

const RowIndex: Integer

What row.

Value: string

The csv data.

Separator: Char

Not documented

Description

Call SetRowStr to set the value of all fields in an existing row, using a string value.

Created with Doc-O-Matic.


TJvCursorImage
JEDI-VCL Reference

TJvCursorImage

Hierarchy	Properties	Methods	 Edit topic

A TGraphic descendant that can display cursors

Pascal

TJvCursorImage = class(TGraphic);

File

JvCursor

Description

Use TJvCursorImage when you need to display a cursor image on a Canvas.

Created with Doc-O-Matic.


TJvCursorImage Properties

TJvCursorImage	Legend

Properties

 Handle

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvCursorImage Methods

TJvCursorImage	Legend

Methods

 Assign

 LoadFromClipboardFormat

 LoadFromFile

 LoadFromResourceID

 LoadFromResourceName

 LoadFromStream

 SaveToClipboardFormat

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCursorImage

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TGraphic
    TJvCursorImage


TJvCursorImage Members

TJvCursorImage	Legend

Members

Properties

 Handle

Methods

 Assign

 LoadFromClipboardFormat

 LoadFromFile

 LoadFromResourceID

 LoadFromResourceName

 LoadFromStream

 SaveToClipboardFormat

 SaveToStream

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvCursorImage.Handle property

TJvCursorImage	Edit topic

Provides access to the cursor handle.

Pascal

property Handle: HCURSOR;

Description

Use Handle to call Windows API functions that require a cursor handle.

Created with Doc-O-Matic.


TJvCursorImage.Assign method

TJvCursorImage	Edit topic

Copies the content of another object into this object.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from.

Description

Assign copies the content of another image object into the internal image object. TJvCursorImage supports the following Source parameters:
Parameter type	Description
nil	Clears the image.
TJvCursorImage	Copies another cursor image into the internal image.
TIcon	Copies the image from a TIcon into the internal image.
TBitmap	Copies the image from a TBitmap into the internal image.
Created with Doc-O-Matic.


TJvCursorImage.LoadFromClipboardFormat method

TJvCursorImage	See Also	Edit topic

Unsupported method

Pascal

procedure LoadFromClipboardFormat(AFormat: Word; AData: THandle; APalette: HPALETTE); override;

Description

TJvCursorImage does not support this method and raises an Exception if you call it. "See Also" lists additional unsupported methods.

Created with Doc-O-Matic.


See Also

SaveToFile


TJvCursorImage.LoadFromFile method

TJvCursorImage	See Also	Edit topic

Loads a cursor from a file.

Pascal

procedure LoadFromFile(const FileName: string); override;

Parameters

const FileName: string

The file to load the image from.

Description

Loads a cursor from a cursor file. If the file is not a cursor, an Exception is raised.

Created with Doc-O-Matic.


See Also

SaveToFile


TJvCursorImage.LoadFromResourceID method

TJvCursorImage	Edit topic

Not documented

Pascal

procedure LoadFromResourceID(Instance: THandle; ResID: Integer); virtual;

Parameters

Instance: THandle

Not documented

ResID: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCursorImage.LoadFromResourceName method

TJvCursorImage	Edit topic

Not documented

Pascal

procedure LoadFromResourceName(Instance: THandle; const ResName: string); virtual;

Parameters

Instance: THandle

Not documented

const ResName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCursorImage.LoadFromStream method

TJvCursorImage	See Also	Edit topic

Unsupported method.

Pascal

procedure LoadFromStream(Stream: TStream); override;

Description

TJvCursorImage does not support this method and raises an Exception if you call it. "See Also" lists additional unsupported methods.

Created with Doc-O-Matic.


See Also

TJvCursorImage.LoadFromClipboardFormat, TJvCursorImage.LoadFromStream, TJvCursorImage.SaveToClipboardFormat, TJvCursorImage.SaveToStream


TJvCursorImage.SaveToClipboardFormat method

TJvCursorImage	See Also	Edit topic

Unsupported method

Pascal

procedure SaveToClipboardFormat(var AFormat: Word; var AData: THandle; var APalette: HPALETTE); override;

Description

TJvCursorImage does not support this method and raises an Exception if you call it. "See Also" lists additional unsupported methods.

Created with Doc-O-Matic.


See Also

SaveToFile


TJvCursorImage.SaveToStream method

TJvCursorImage	See Also	Edit topic

Unsupported method

Pascal

procedure SaveToStream(Stream: TStream); override;

Description

TJvCursorImage does not support this method and raises an Exception if you call it. "See Also" lists additional unsupported methods.

Created with Doc-O-Matic.


See Also

SaveToFile


TJvCustomAppDBStorage
JEDI-VCL Reference

TJvCustomAppDBStorage

Hierarchy	Properties	Methods	Events	 Edit topic

Storage component that reads and writes to a dataset.

Pascal

TJvCustomAppDBStorage = class(TJvCustomAppStorage);

File

JvAppDBStorage

Description

TJvCustomAppDBStorage is a data storage backend that reads and writes the data to a dataset.

As a descendant of TJvCustomAppStorage it provides the standard interface for storing data (such as settings, form positions and sizes, etc) in a dataset.

The component introduces and publishes several new properties: DataSource, to indicate the dataset used for storage, SectionField, KeyField and ValueField that indicates the fields in the dataset to use to read and write the data.

A dataset used with TJvCustomAppDBStorage must be updateable (i.e not readonly), support the TDataSet.Locate standard search method and support bookmarks. Although not required, it is recommended (if possible) to create an index on the fields used for the section and key name (SectionFiald and KeyField, respectively).

Created with Doc-O-Matic.


TJvCustomAppDBStorage Properties

TJvCustomAppDBStorage	Legend

Properties

 DataSource

 KeyField

 SectionField

 ValueField

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomAppDBStorage Events

TJvCustomAppDBStorage	Legend

Events

 OnRead

 OnWrite

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomAppDBStorage Methods

TJvCustomAppDBStorage	Legend

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomAppDBStorage

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvCustomAppDBStorage


TJvCustomAppDBStorage Members

TJvCustomAppDBStorage	Legend

Members

Properties

 DataSource

 KeyField

 SectionField

 ValueField

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

 OnRead

 OnWrite

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvCustomAppDBStorage.DataSource property

TJvCustomAppDBStorage	See Also	Edit topic

Links the storage to a dataset.

Pascal

property DataSource: TDataSource;

Description

Specify the data source component that identifies the dataset in which the target fields are found. To allow the storage to represent the data for the fields, both the DataSource and the SectionField, KeyField and ValueField properties must be set.

If DataSource is nil, use the OnRead and OnWrite events to read and write data.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.KeyField, TJvCustomAppDBStorage.OnRead, TJvCustomAppDBStorage.OnWrite, TJvCustomAppDBStorage.SectionField, TJvCustomAppDBStorage.ValueField


TJvCustomAppDBStorage.KeyField property

TJvCustomAppDBStorage	See Also	Edit topic

Identifies the field from which the storage reads and writes key names.

Pascal

property KeyField: string;

Description

Set KeyField to indicate which field in the dataset is used to store key names.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.DataSource, TJvCustomAppDBStorage.SectionField, TJvCustomAppDBStorage.ValueField


TJvCustomAppDBStorage.OnRead event

TJvCustomAppDBStorage	See Also	Edit topic

Occurs when data is read.

Pascal

TJvDBStorageReadEvent = procedure (Sender: TObject; const Section, Key: string; var Value: string) of object;
property OnRead: TJvDBStorageReadEvent;

Parameters

Key

The name of the key to read.

Value

The value that was read.

Sender

The TJvCustomAppDBStorage that called the event.

Section

The name of the section to read.

Description

Write a handler for the OnRead event to take specific action when data is read from storage. You can use OnRead even if DataSource or any of the fields are unassigned.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.OnWrite


TJvCustomAppDBStorage.OnWrite event

TJvCustomAppDBStorage	See Also	Edit topic

Occurs when data is written.

Pascal

TJvDBStorageWriteEvent = procedure (Sender: TObject; const Section, Key, Value: string) of object;
property OnWrite: TJvDBStorageWriteEvent;

Parameters

Key

The name of the key to write to. If it doesn't exist, it will be created.

Value

The value to write.

Sender

The TJvCustomAppDBStorage that called the event.

Section

The name of the section to write to. If it doesn't exist, it will be created.

Description

Write a handler for the OnWrite event to take specific action when data is written to storage. You can use OnWrite even if DataSource or any of the fields are unassigned.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.OnRead


TJvCustomAppDBStorage.SectionField property

TJvCustomAppDBStorage	See Also	Edit topic

Identifies the field from which the storage reads and writes the section name.

Pascal

property SectionField: string;

Description

Set SectionField to indicate which field the dataset is used to store section names.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.DataSource, TJvCustomAppDBStorage.KeyField, TJvCustomAppDBStorage.ValueField


TJvCustomAppDBStorage.ValueField property

TJvCustomAppDBStorage	See Also	Edit topic

Identifies the field from which the storage reads and writes value data.

Pascal

property ValueField: string;

Description

Set ValueField to indicate which field the dataset is used to store value data.

Created with Doc-O-Matic.


See Also

TJvCustomAppDBStorage.DataSource, TJvCustomAppDBStorage.KeyField, TJvCustomAppDBStorage.SectionField


TJvCustomAppIniStorage
JEDI-VCL Reference

TJvCustomAppIniStorage

Hierarchy	Properties	Methods	Events	 Edit topic

Abstract base class for application data storage in INI file format.

Pascal

TJvCustomAppIniStorage = class(TJvCustomAppMemoryFileStorage);

File

JvAppIniStorage

Description

TJvAppIniStorage is the abstract base class for application storage in INI file format. The base class provides the abstract interface to handle data in an INI file format. It does not refer to an INI file but implements the TJvCustomAppStorage methods to use an INI file format using a couple of simplified access methods.

As a descendant of TJvCustomAppMemoryFileStorage, it provides the standard interface for storing data (such as settings, form positions and sizes, etc).

The component introduces 4 abstract methods to read, write, delete and find values using the Section/Key combination.

All the abstract access methods are implemented to convert from/to one of the 4 new methods.

Created with Doc-O-Matic.


TJvCustomAppIniStorage Properties

TJvCustomAppIniStorage	Legend

Properties

 DefaultSection

 IniFile

 StorageOptions

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomAppIniStorage Methods

TJvCustomAppIniStorage	Legend

Methods

 ReadValue

 RemoveValue

 ValueExists

 WriteValue

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvCustomAppIniStorage Events

TJvCustomAppIniStorage	Legend

Events

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


Legend

TJvCustomAppIniStorage

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvCustomAppMemoryFileStorage
                TJvCustomAppIniStorage


TJvCustomAppIniStorage Members

TJvCustomAppIniStorage	Legend

Members

Properties

 DefaultSection

 IniFile

 StorageOptions

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Methods

 ReadValue

 RemoveValue

 ValueExists

 WriteValue

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Events

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvCustomAppIniStorage.DefaultSection property

TJvCustomAppIniStorage	Edit topic

The default section name

Pascal

property DefaultSection: string;

Description

When a property is to be stored and the section name for it is empty, then this value is used. You should always give a value to this property, or risk the creation of an invalid INI file with keys outside sections

Created with Doc-O-Matic.


TJvCustomAppIniStorage.IniFile property

TJvCustomAppIniStorage	See Also	Edit topic

Direct reference to the TCustomIniFile instance.

Pascal

property IniFile: TMemIniFile;

Description

IniFile holds a direct reference to the TCustomIniFile instance used. Since JVCL 3, this always is a TMemIniFile instance.

Created with Doc-O-Matic.


See Also

Buffered


TJvCustomAppIniStorage.StorageOptions property

TJvCustomAppIniStorage	Edit topic

Not documented

Pascal

property StorageOptions: TJvAppIniStorageOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppIniStorage.ReadValue method

TJvCustomAppIniStorage	See Also	Edit topic

Retrieves a value.

Pascal

function ReadValue(const Section: string; const Key: string): string; virtual;

Parameters

const Section: string

Section of the value to read.

const Key: string

Key of the value to read.

Description

ReadValue retrieves a value in string format from the INI based storage.

Created with Doc-O-Matic.


See Also

TJvCustomAppIniStorage.RemoveValue, TJvCustomAppIniStorage.WriteValue


TJvCustomAppIniStorage.RemoveValue method

TJvCustomAppIniStorage	See Also	Edit topic

Deletes a value.

Pascal

procedure RemoveValue(const Section: string; const Key: string); virtual;

Parameters

const Section: string

Section of the value to remove.

const Key: string

Key of the value to remove.

Description

RemoveValue deletes a value for the INI based storage.

Created with Doc-O-Matic.


See Also

TJvCustomAppIniStorage.ReadValue, TJvCustomAppIniStorage.WriteValue


TJvCustomAppIniStorage.ValueExists method

TJvCustomAppIniStorage	Edit topic

Determines if a value exists.

Pascal

function ValueExists(const Section: string; const Key: string): Boolean;

Parameters

const Section: string

Section of the value to check.

const Key: string

Key of the value to check.

Description

ValueExists determines if the specified value exists. If the Section and Key combination is found ValueExists returns True, otherwise False is returned.

Created with Doc-O-Matic.


TJvCustomAppIniStorage.WriteValue method

TJvCustomAppIniStorage	See Also	Edit topic

Stores a value.

Pascal

procedure WriteValue(const Section: string; const Key: string; const Value: string); virtual;

Parameters

const Section: string

Section of the value to write.

const Key: string

Key of the value to write.

const Value: string

Not documented

Description

WriteValue stores a value in string format in the INI based storage.

Created with Doc-O-Matic.


See Also

TJvCustomAppIniStorage.ReadValue, TJvCustomAppIniStorage.RemoveValue


TJvCustomAppMemoryFileStorage
JEDI-VCL Reference

TJvCustomAppMemoryFileStorage

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for all in memory file storage classes.

Pascal

TJvCustomAppMemoryFileStorage = class(TJvCustomAppStorage);

File

JvAppStorage

Description

Base class for all in memory file storage classes. All descendants implement a file storage, but all changes are left in memory until the Flush method is called. Flush is automatically called by the destructor, but you can override Flush to write the file on a support different from a disk, such as database record. Please note that in the derived class, if you use an object to represent the file in memory, this object MUST be freed AFTER the call to inherited in the destructor of your derived class or Flush would access a deleted object

Created with Doc-O-Matic.


TJvCustomAppMemoryFileStorage Properties

TJvCustomAppMemoryFileStorage	Legend

Properties

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomAppMemoryFileStorage Events

TJvCustomAppMemoryFileStorage	Legend

Events

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomAppMemoryFileStorage Methods

TJvCustomAppMemoryFileStorage	Legend

Methods

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomAppMemoryFileStorage

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvCustomAppMemoryFileStorage


TJvCustomAppMemoryFileStorage Members

TJvCustomAppMemoryFileStorage	Legend

Members

Properties

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvCustomAppMemoryFileStorage.AsString property

TJvCustomAppMemoryFileStorage	Edit topic

Not documented

Pascal

property AsString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppMemoryFileStorage.FileName property

TJvCustomAppMemoryFileStorage	Edit topic

The name of the file that the storage represents.

Pascal

property FileName: TFileName;

Description

Use FileName to get or set the name of the file that this storage represents. Note that Location is used to determine the path of the file. Read FullFileName to determine the actual name of the file.

When you set the value of FileName, the storage automatically loads (at runtime) the contents of that file.

Created with Doc-O-Matic.


TJvCustomAppMemoryFileStorage.FullFileName property

TJvCustomAppMemoryFileStorage	Edit topic

Indicates the path and name of the file that the storage represents.

Pascal

property FullFileName: TFileName;

Description

Use FullFileName to retrieve the actual path and name of the file that this storage represents. The value of FullFileName is determined by the value of the Location and FileName property.

Created with Doc-O-Matic.


TJvCustomAppMemoryFileStorage.Location property

TJvCustomAppMemoryFileStorage	Edit topic

Root folder for storage file

Pascal

property Location: TFileLocation;

Description

The "root" folder within the storage file will be created.

Remember that members of the "User" group may not have write permissions to the Windows and Program Files folders. Windows Programming Guidelines require that "per user" application data have to be written to <document and settings>\<user>\<application data>\<company>\<application> , while "generic" data should be written to <document and settings>\<All users>\<application data>\<company>\<application>. Remember also that <document and settings> , <All users> and <application data> actual names are operating system language specific, therefore do not hard encode them but use operating system APIs or JCL functions to obtain actual names.

Created with Doc-O-Matic.


TJvCustomAppMemoryFileStorage.OnGetFileName event

TJvCustomAppMemoryFileStorage	Edit topic

Not documented

Pascal

TJvAppStorageGetFileNameEvent = procedure (Sender: TJvCustomAppStorage; var FileName: TFileName) of object;
property OnGetFileName: TJvAppStorageGetFileNameEvent;

Parameters

FileName

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppMemoryFileStorage.ReadOnly property

TJvCustomAppMemoryFileStorage	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

Defines if the Storage-Component is readonly or not. If Readonly is true all Calls to an Write*-Procedure will be ignored. The property is calculated by a combination of setting the property ReadOnly and Result of the function GetPhysicalReadOnly

Created with Doc-O-Matic.


TJvCustomAppMemoryFileStorage.Reload method

TJvCustomAppMemoryFileStorage	See Also	Edit topic

Reloads the data in memory file from the file indicated by FileName.

Pascal

procedure Reload; override;

Description

Call Reload to explicitly load the data in memory file from the file indicated by FileName.

Created with Doc-O-Matic.


See Also

Flush, FileName


TJvCustomAppMemoryFileStorage.ReloadNeeded method

TJvCustomAppMemoryFileStorage	Edit topic

Not documented

Pascal

function ReloadNeeded: Boolean; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage
JEDI-VCL Reference

TJvCustomAppStorage

Hierarchy	Properties	Methods	Events	 Edit topic

Abstract base class for application data storage.

Pascal

TJvCustomAppStorage = class(TJvComponent);

File

JvAppStorage

Description

TJvCustomAppStorage is the abstract base class for application storage. The base class provides the abstract interface to read and write data in addition to some generic methods to manipulate or retrieve data.

The application storage components are used with various components in the JEDI-VCL library to provide a means to store their data to a user specified destination. Because all storages use this component interface, other components don't need to worry about how their information is stored or where it is stored.

Data is referenced much like a file on an Operating System. The storage system uses paths and uses the concept of folders and values (much like folders and files on an OS). The storage component can specify a root path that is to serve as the absolute root of the storage (i.e. the storage can not reference anything that is not a child of this root path). Components and user code can specify paths that are either relative to a previously set path or relative to the root folder.

Folder names consisting solely of '.' (dot) characters are used to reference folders above the current one. Using one dot refers to the current folder. Every additional dot goes up one level in the storage tree. Example: if the current path is set to 'MyFolder1\MyFolder1.1\MyFolder1.1.1', a path specified as '..\MyFolder1.1.2' would translate into 'MyFolder1\MyFolder1.1\MyFolder1.1.2' and a path specified as '...\MyFolder1.2\MyFolder1.2.1' or '..\..\MyFolder1.2\MyFolder1.2.1' would translate into 'MyFolder1\MyFolder1.2\MyFolder1.2.1'.

In addition you can link other storages into the storage tree, where each sub storage would be accessible through a specific path. This allows one to use a single storage to access both generic settings (common for the machine the application runs on, e.g. a registry backend pointing to HKEY_LOCAL_MACHINE) and user settings (unique for each user, e.g. an INI file backend pointing to an INI file in the current users home directory), making the access to the settings easier to use. Not all storages may surface this linking mechanism, but most do.

You should not instantiate a TJvCustomAppStorage but rather one of its descendants.

Created with Doc-O-Matic.


TJvCustomAppStorage Properties

TJvCustomAppStorage	Legend

Properties

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

read only

protected

published

Created with Doc-O-Matic.


Legend

read only

protected

published


TJvCustomAppStorage Events

TJvCustomAppStorage	Legend

Events

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCustomAppStorage Methods

TJvCustomAppStorage	Legend

Methods

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomAppStorage

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage


TJvCustomAppStorage Members

TJvCustomAppStorage	Legend

Members

Properties

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Events

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Methods

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Legend

read only

protected

published

virtual


TJvCustomAppStorage.AutoFlush property

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

property AutoFlush: Boolean;

Description

If set to True, the Flush method will be called whenever a modification has been made to the in memory file. If set to False, the disk file will only be updated when you call Flush or when the component is destroyed.

Created with Doc-O-Matic.


See Also

AutoReload, Flush


TJvCustomAppStorage.AutoReload property

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

property AutoReload: Boolean;

Description

If set to True, the Reload method will be called whenever an information is about to be read from the in memory file. If set to False, the disk file will only be read when you call Reload or when the FileName property is set.

Created with Doc-O-Matic.


See Also

AutoFlush, Reload


TJvCustomAppStorage.FlushOnDestroy property

TJvCustomAppStorage	Edit topic

Not documented

Pascal

property FlushOnDestroy: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.IsUpdating property

TJvCustomAppStorage	Edit topic

Not documented

Pascal

property IsUpdating: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.OnDecryptPropertyValue event

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

property OnDecryptPropertyValue: TJvAppStorageCryptEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvAppStorageCryptEvent


TJvCustomAppStorage.OnEncryptPropertyValue event

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

property OnEncryptPropertyValue: TJvAppStorageCryptEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvAppStorageCryptEvent


TJvCustomAppStorage.OnTranslatePropertyName event

Examples	TJvCustomAppStorage	See Also	Edit topic

Event to translate the names under which the values were stored with the backend engine.

Pascal

TJvAppStoragePropTranslateEvent = procedure (Sender: TJvCustomAppStorage; Instance: TPersistent; var Name: string; const Reading: Boolean) of object;
property OnTranslatePropertyName: TJvAppStoragePropTranslateEvent;

Parameters

Name

Name to be translated. The changed name is given back in the same parameter

Reading

Flag if the appstorage instance is reading or writing in this moment. This flag is mainly for information. It has no change on the implementation.

Sender

AppStorage Instance

Instance

Instance of the Parent object which is stored

Description

This event can be used to translate the names under which the values were stored in the backend engine. For example: Storing a published property object property "Custo" can be translated to "Customer Number", which is more readable.

Examples

  procedure TForm2.OptionsRegistryStorageTranslatePropertyName(

    Sender: TJvCustomAppStorage; Instance: TPersistent; var Name: String;

    const Reading: Boolean);

  begin

    if Name = 'DevNameEdit_Text' then

      Name := 'Developer_Name'

    else if Name = 'MyNameEdit_Text' then

      Name := 'My_Name'

    else if Name = 'BoolCheckBox_Checked' then

      Name := 'This_Is_Boolean'

    else if Name = 'IntUpDown_Position' then

      Name := 'This_Is_Integer';

  end;

Created with Doc-O-Matic.


See Also

TJvAppStoragePropTranslateEvent


Examples

TJvCustomAppStorage.OnTranslatePropertyName event

  procedure TForm2.OptionsRegistryStorageTranslatePropertyName(

    Sender: TJvCustomAppStorage; Instance: TPersistent; var Name: String;

    const Reading: Boolean);

  begin

    if Name = 'DevNameEdit_Text' then

      Name := 'Developer_Name'

    else if Name = 'MyNameEdit_Text' then

      Name := 'My_Name'

    else if Name = 'BoolCheckBox_Checked' then

      Name := 'This_Is_Boolean'

    else if Name = 'IntUpDown_Position' then

      Name := 'This_Is_Integer';

  end;

Created with Doc-O-Matic.


TJvCustomAppStorage.Path property

TJvCustomAppStorage	See Also	Edit topic

Specifies the current path.

Pascal

property Path: string;

Description

Path specified the current path. This paths is prepended to any of the accessing methods to determine the actual path. It can be used to simplify code dealing with storages. By setting the base path to use you can minimize the paths used in the calls to the Read* or Write* methods to sub folders.

Note that this path is relative to the absolute storage root specified by the Root property.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.Root


TJvCustomAppStorage.ReadOnly property

TJvCustomAppStorage	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

Defines if the Storage-Component is readonly or not. If Readonly is true all Calls to an Write*-Procedure will be ignored. The property is calculated by a combination of setting the property ReadOnly and Result of the function GetPhysicalReadOnly

Created with Doc-O-Matic.


TJvCustomAppStorage.Root property

TJvCustomAppStorage	See Also	Edit topic

Specifies absolute root.

Pascal

property Root: string;

Description

Root specifies the absolute root for the storage. It's primarily used for storages that are not application specific (like the registry) to determine the exact path under which all other values and folders will be located.

In contrast to the Path property, none of the methods are allowed to specify levels above this path, nor any siblings of this path.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.Path


TJvCustomAppStorage.StorageOptions property

TJvCustomAppStorage	Edit topic

Not documented

Pascal

property StorageOptions: TJvCustomAppStorageOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.SubStorages property

TJvCustomAppStorage	Edit topic

Not documented

Pascal

property SubStorages: TJvAppSubStorages;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.BeginUpdate method

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

procedure BeginUpdate;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

EndUpdate


TJvCustomAppStorage.ConcatPaths method

TJvCustomAppStorage	Edit topic

Combines paths into one (canonical) path.

Pascal

class function ConcatPaths(const Paths: array of string): string;

Parameters

const Paths: array of string

List of paths to combine into one.

Description

ConcatPaths will combine the specified paths into a single path. The resulting path will be in canonical form (relative folder specifications are resolved to their final path).

Below is a table of examples with different paths and their resulting value:
Paths	Result
'MyFolder1' and 'MyFolder2'	MyFolder1\MyFolder2
'MyFolder1\MyFolder2' and '..\MyFolder3'	MyFolder1\MyFolder3
'MyFolder1\MyFolder2' and '\MyFolder4'	MyFolder4
'MyFolder1\MyFolder2', '\MyFolder4', '\MyFolder5\MyFolder6\MyFolder7\MyFolder8', '...\MyFolder9\MyFolder10' and '..\MyFolder11'	MyFolder5\MyFolder9\MyFolder11
Created with Doc-O-Matic.


TJvCustomAppStorage.DeleteSubTree method

TJvCustomAppStorage	See Also	Edit topic

Deletes the specified folder/value and any sub folders.

Pascal

procedure DeleteSubTree(const Path: string);

Parameters

const Path: string

Path (relative to the current path) of the sub tree to delete.

Description

DeleteSubTree will remove the specified folder and its sub folders and all values. If the specified path refers to a value, the value will be deleted.

Created with Doc-O-Matic.


See Also

DeleteValue


TJvCustomAppStorage.DeleteValue method

TJvCustomAppStorage	See Also	Edit topic

Deletes the specified value.

Pascal

procedure DeleteValue(const Path: string);

Parameters

const Path: string

Path (relative to the current path) of the value to delete.

Description

DeleteValue will delete the specified value. If the specified path does not refer to a value the method will not do anything.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.DeleteSubTree


TJvCustomAppStorage.DisablePropertyValueCrypt method

TJvCustomAppStorage	See Also	Edit topic

Disables the Cryption of Property-Values (Only String-Values)

Pascal

procedure DisablePropertyValueCrypt;

Description

Disables the Cryption of Property-Values (Only String-Values)

Created with Doc-O-Matic.


See Also

EnablePropertyValueCrypt


TJvCustomAppStorage.EnablePropertyValueCrypt method

TJvCustomAppStorage	See Also	Edit topic

Enables the Cryption of Property-Values (Only String-Values)

Pascal

procedure EnablePropertyValueCrypt;

Description

Enables the Cryption of Property-Values (Only String-Values)

Created with Doc-O-Matic.


See Also

DisablePropertyValueCrypt


TJvCustomAppStorage.EndUpdate method

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

procedure EndUpdate;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

BeginUpdate


TJvCustomAppStorage.Flush method

TJvCustomAppStorage	See Also	Edit topic

Flushes the content of the in memory file into the file indicated by FileName.

Pascal

procedure Flush; virtual;

Description

Call Flush to explicitly flush the content of the in memory file into the file indicated by FileName.

Created with Doc-O-Matic.


See Also

FileName


TJvCustomAppStorage.FlushIfNeeded method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

procedure FlushIfNeeded;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.FlushNeeded method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

function FlushNeeded: Boolean; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.GetCharName method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

function GetCharName(Ch: Char): string; virtual;

Parameters

Ch: Char

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.GetIntName method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

function GetIntName(Value: Integer): string; virtual;

Parameters

Value: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.GetStoredValues method

TJvCustomAppStorage	See Also	Edit topic

Retrieves a list of values and folders in the storage.

Pascal

procedure GetStoredValues(const Path: string; const Strings: TStrings; const Options: TJvAppStorageEnumOptions = [aeoValues, aeoReportListAsValue, aeoRecursive]);

Parameters

const Path: string

Path (relative to the current path) of the folder to scan.

const Strings: TStrings

TStrings descendant to receive the list of values and or folders. Each item will refer to a folder and/or a value. The associated TObject is actually an Integer containing a combination of the aptFolder and aptValue flags.

const Options: TJvAppStorageEnumOptions = [aeoValues, aeoReportListAsValue, aeoRecursive]

Scanning options to use (see TJvAppStorageEnumOptions for more information).

Description

GetStoredValue will retrieve a list of values and/or folders in the storage. The scanning will start in the specified folder and returned in the TStrings list provided. The Options parameter will determine what will be returned and how, and whether or not sub folders are scanned.

Created with Doc-O-Matic.


See Also

TJvAppStorageEnumOptions


TJvCustomAppStorage.IsFolder method

TJvCustomAppStorage	Edit topic

Determines if the specified path is a folder.

Pascal

function IsFolder(const Path: string; ListIsValue: Boolean = True): Boolean;

Parameters

const Path: string

Path (relative to the current path) to check.

ListIsValue: Boolean = True

Flag to interpret a list as value or not.

Description

IsFolder determines if the specified path refers to a folder or a value. The specified path is considered to be a folder if:

It has sub folders or values

ListIsValue is False or if it's True the path does not refer to a list (a folder is considered a list if it contains the Count value and only Itemx values; if it contains other values as well it's considered to be a folder and a value).

If the specified path refers to a folder IsFolder returns True, otherwise False is returned.

Created with Doc-O-Matic.


TJvCustomAppStorage.IsPropertyValueCryptEnabled method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

function IsPropertyValueCryptEnabled: Boolean;

Description

Returns the current state if Property-Value Cryption is enabled

Created with Doc-O-Matic.


TJvCustomAppStorage.ListStored method

TJvCustomAppStorage	See Also	Edit topic

Determines if the specified path is a list.

Pascal

function ListStored(const Path: string): Boolean;

Parameters

const Path: string

Path (relative to the current path) to check.

Description

ListStored determines if the specified path is a list. A folder is considered to be a list if it contains the Count value and Itemx values (x being a 0-based index).

If the specified path refers to a list ListStored returns True, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.IsFolder, TJvCustomAppStorage.ValueStored


TJvCustomAppStorage.PathExists method

TJvCustomAppStorage	See Also	Edit topic

Determines if the specified path exists.

Pascal

function PathExists(const Path: string): Boolean;

Return Value

True if the path exists, otherwise false.

Parameters

const Path: string

Path (relative to the current path) to check.

Description

PathExists determines if the specified path exists.

Created with Doc-O-Matic.


See Also

ValueStored


TJvCustomAppStorage.ReadBinary method

TJvCustomAppStorage	See Also	Edit topic

Reads a binary value.

Pascal

function ReadBinary(const Path: string; Buf: TBytes; BufSize: Integer): Integer;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

Buf: TBytes

Buffer in which to put the data read.

BufSize: Integer

Size of the buffer. ReadBinary will return at most BufSize bytes.

Description

ReadBinary reads a value from the storage in a binary form. The method will read at most BufSize bytes and put it in the location pointed to by Buf. The result value indicates the number of bytes actually read.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.ReadInteger, TJvCustomAppStorage.ReadList, TJvCustomAppStorage.ReadString, TJvCustomAppStorage.ReadStringList, TJvCustomAppStorage.WriteBinary


TJvCustomAppStorage.ReadBoolean method

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

function ReadBoolean(const Path: string; Default: Boolean = True): Boolean;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

Default: Boolean = True

Value to return if the specified path does not exist.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

WriteBoolean


TJvCustomAppStorage.ReadCollection method

TJvCustomAppStorage	See Also	Edit topic

Not documented

Pascal

function ReadCollection(const Path: string; List: TCollection; const ClearFirst: Boolean = True; const ItemName: string = cItem): Integer;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

List: TCollection

Not documented

const ClearFirst: Boolean = True

Not documented

const ItemName: string = cItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

WriteCollection


TJvCustomAppStorage.ReadDateTime method

TJvCustomAppStorage	See Also	Edit topic

Reads a TDateTime value.

Pascal

function ReadDateTime(const Path: string; Default: TDateTime = 0): TDateTime;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

Default: TDateTime = 0

Value to return if the specified path does not exist.

Description

ReadDateTime reads date and time value from the storage. The result value is the value in the storage or the specified default value if it did not exist in the storage.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadBinary, TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.ReadInteger, TJvCustomAppStorage.ReadList, TJvCustomAppStorage.ReadString, TJvCustomAppStorage.ReadStringList, TJvCustomAppStorage.WriteDateTime


TJvCustomAppStorage.ReadEnumeration method

TJvCustomAppStorage	Edit topic

Reads an enumeration value.

Pascal

procedure ReadEnumeration(const Path: string; TypeInfo: PTypeInfo; const Default; out Value);

Parameters

const Path: string

Path (relative to the current path) of the value to read.

TypeInfo: PTypeInfo

Not documented

const Default

Value to return if the specified path does not exist.

out Value

Not documented

Description

Retrieves an enumeration. If the value is not found, the Default will be returned.

Created with Doc-O-Matic.


TJvCustomAppStorage.ReadFloat method

TJvCustomAppStorage	See Also	Edit topic

Reads a floating point value.

Pascal

function ReadFloat(const Path: string; Default: Extended = 0): Extended;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

Default: Extended = 0

Value to return if the specified path does not exist.

Description

ReadFloat reads a floating point value from the storage. The result value is the value in the storage or the specified default value if it did not exist in the storage.

If the value is not an Extended (or can't be converted to an Extended an EConvertError exception will be raised.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadBinary, TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.ReadInteger, TJvCustomAppStorage.ReadList, TJvCustomAppStorage.ReadString, TJvCustomAppStorage.ReadStringList, TJvCustomAppStorage.WriteFloat


TJvCustomAppStorage.ReadInteger method

TJvCustomAppStorage	See Also	Edit topic

Reads an integer value.

Pascal

function ReadInteger(const Path: string; Default: Integer = 0): Integer;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

Default: Integer = 0

Value to return if the specified path does not exist.

Description

ReadInteger reads an integer value from the storage. The result value is the value in the storage or the specified default value if it did not exist in the storage.

If the value is not an Integer (or can't be converted to an Integer an EConvertError exception will be raised.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadBinary, TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.ReadList, TJvCustomAppStorage.ReadString, TJvCustomAppStorage.ReadStringList, TJvCustomAppStorage.WriteInteger


TJvCustomAppStorage.ReadList method

TJvCustomAppStorage	See Also	Edit topic

Reads a list of items.

Pascal

function ReadList(const Path: string; const List: TObject; const OnReadItem: TJvAppStorageListItemEvent; const ItemName: string = cItem): Integer;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

const List: TObject

Not documented

const OnReadItem: TJvAppStorageListItemEvent

Method that will read each item from the storage.

const ItemName: string = cItem

Not documented

Description

ReadList reads a list of items from the storage. The result values is the number of items in the list or 0 if the list does not exist in the storage.

ReadList is a general purpose method that can read any list by means of the provided read method. The specified method will be called for each item individually, specifying the list path and the item index to read. The method should read the item (which can be as simple as reading in a single value to as complex as reading in an entire group of values and/or sub lists) and process the data immediately (e.g. store it in memory or display it in a control).

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadBinary, TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.ReadInteger, TJvCustomAppStorage.ReadString, TJvCustomAppStorage.ReadStringList, TJvCustomAppStorage.WriteList


TJvCustomAppStorage.ReadObjectList method (string, TList, Boolean, string)

TJvCustomAppStorage	See Also	Edit topic

Retrieves a list of objects.

Pascal

function ReadObjectList(const Path: string; List: TList; const ClearFirst: Boolean = True; const ItemName: string = cItem): Integer; overload;
function ReadObjectList(const Path: string; List: TList; ItemCreator: TJvAppStorageObjectListItemCreateEvent; const ClearFirst: Boolean = True; const ItemName: string = cItem): Integer; overload;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

List: TList

Not documented

const ClearFirst: Boolean = True

Not documented

const ItemName: string = cItem

Not documented

ItemCreator: TJvAppStorageObjectListItemCreateEvent

Not documented

Description

Retrieves a list of objects. The list is optionally cleared before before reading starts. The ObjectType of the Object is retrieved from the stored "Classname" value. The result value is the number of items read. Uses ReadList with internally provided methods to do the actual reading.

Retrieves a list of objects. The list is optionally cleared before before reading starts. The ObjectType of the Object is defined by the ItemCreator-Event. The result value is the number of items read. Uses ReadList with internally provided methods to do the actual reading.

Created with Doc-O-Matic.


See Also

ReadList


TJvCustomAppStorage.ReadPersistent method

TJvCustomAppStorage	See Also	Edit topic

Reads a TPersistent-Object with all of its published properties.

Pascal

procedure ReadPersistent(const Path: string; const PersObj: TPersistent; const Recursive: Boolean = True; const ClearFirst: Boolean = True; const IgnoreProperties: TStrings = nil);

Parameters

const Path: string

Path (relative to the current path) of the value to read.

const PersObj: TPersistent

Not documented

const Recursive: Boolean = True

Not documented

const ClearFirst: Boolean = True

Not documented

const IgnoreProperties: TStrings = nil

Not documented

Description

Call ReadPersistent to retrieve a TPersistent-Object with all of its published properties.

Created with Doc-O-Matic.


See Also

WritePersistent


TJvCustomAppStorage.ReadProperty method

TJvCustomAppStorage	See Also	Edit topic

Reads a property.

Pascal

procedure ReadProperty(const Path: string; const PersObj: TPersistent; const PropName: string; const Recursive: Boolean; const ClearFirst: Boolean);

Parameters

const Path: string

Path (relative to the current path) of the value to read.

const PersObj: TPersistent

Not documented

const PropName: string

Not documented

const Recursive: Boolean

Not documented

const ClearFirst: Boolean

Not documented

Description

Call ReadProperty to retrieve a property. If the value is not found, the property is not changed.

Created with Doc-O-Matic.


See Also

WriteProperty


TJvCustomAppStorage.ReadSet method

TJvCustomAppStorage	See Also	Edit topic

Reads a set.

Pascal

procedure ReadSet(const Path: string; ATypeInfo: PTypeInfo; const Default; out Value);

Parameters

const Path: string

Path (relative to the current path) of the value to read.

ATypeInfo: PTypeInfo

Not documented

const Default

Value to return if the specified path does not exist.

out Value

Not documented

Description

Call ReadSet to retrieve a set. If the value is not found, the Default will be returned.

Created with Doc-O-Matic.


See Also

WriteSet


TJvCustomAppStorage.ReadString method

TJvCustomAppStorage	See Also	Edit topic

Reads a string value.

Pascal

function ReadString(const Path: string; const Default: string = ''): string;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

const Default: string = ''

Value to return if the specified path does not exist.

Description

ReadString reads a string value from the storage. The result value is the value in the storage or the specified default value if it did not exist in the storage.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadBinary, TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.ReadInteger, TJvCustomAppStorage.ReadList, TJvCustomAppStorage.ReadStringList, TJvCustomAppStorage.WriteString


TJvCustomAppStorage.ReadStringList method

TJvCustomAppStorage	See Also	Edit topic

Reads a list of strings.

Pascal

function ReadStringList(const Path: string; const SL: TStrings; const ClearFirst: Boolean = True; const ItemName: string = cItem): Integer;

Parameters

const Path: string

Path (relative to the current path) of the value to read.

const SL: TStrings

String list in which to store the strings from the storage.

const ClearFirst: Boolean = True

Flag to indicate if the string list should be cleared before reading commences.

const ItemName: string = cItem

Not documented

Description

ReadStringList reads a list of strings from the storage. ReadStringList uses the ReadList method in combination with a specialized OnReadItem handler that will read the individual items in from the list. Items are expected to be stored in the Itemx format where x is the 0-based index of the item.

The returned value is the number of strings read.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadBinary, TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.ReadInteger, TJvCustomAppStorage.ReadList, TJvCustomAppStorage.ReadString, TJvCustomAppStorage.WriteStringList


TJvCustomAppStorage.ReadStringObjectList method (string, TStrings, Boolean, string)

TJvCustomAppStorage	See Also	Edit topic

Reads a string list with addition objects.

Pascal

function ReadStringObjectList(const Path: string; const SL: TStrings; const ClearFirst: Boolean = True; const ItemName: string = cItem): Integer; overload;
function ReadStringObjectList(const Path: string; const SL: TStrings; ItemCreator: TJvAppStorageObjectListItemCreateEvent; const ClearFirst: Boolean = True; const ItemName: string = cItem): Integer; overload;

Parameters

const Path: string

Not documented

const SL: TStrings

Not documented

const ClearFirst: Boolean = True

Not documented

const ItemName: string = cItem

Not documented

ItemCreator: TJvAppStorageObjectListItemCreateEvent

Not documented

Description

Retrieves a string list with addition objects. The ObjectType of the Object is retrieved from the stored "Classname" value. The string list is optionally cleared before reading starts. The result value is the number of items read. Uses ReadList with internally provided methods to do the actual reading.

Created with Doc-O-Matic.


See Also

WriteStringObjectList


TJvCustomAppStorage.Reload method

TJvCustomAppStorage	See Also	Edit topic

Reloads the data in memory file from the file indicated by FileName.

Pascal

procedure Reload; virtual;

Description

Call Reload to explicitly load the data in memory file from the file indicated by FileName.

Created with Doc-O-Matic.


See Also

Flush, FileName


TJvCustomAppStorage.ReloadIfNeeded method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

procedure ReloadIfNeeded;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.ReloadNeeded method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

function ReloadNeeded: Boolean; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.ResolvePath method

TJvCustomAppStorage	Edit topic

Resolves the specified path to a target storage and target path.

Pascal

procedure ResolvePath(const InPath: string; out TargetStore: TJvCustomAppStorage; out TargetPath: string);

Parameters

const InPath: string

The path to resolve. This may be any path specification, even one that's relative to the currently selected path.

out TargetStore: TJvCustomAppStorage

The target store to use. The returned store is guaranteed to be the store that should contain the specified path (ie. it can not reference any of its linked sub stores).

out TargetPath: string

The path to use in the target store. The returned path is always canonical and relative to the absolute root of the target store specified by TgtStore and will reference the path specified by InPath.

Description

ResolvePath will resolve the specified path into a storage backend and path to use. The storage returned might be itself, one of its sub stores or a sub store at an even deeper level. In any case, the returned store and path will no longer reference to any other sub store.

ResolvePath will take the specified path, prefixing it with the currently set path and canonicalize it (making it relative to the absolute root of the storage).

It will then scan the sub storages to see if the path refers to a linked storage. If it doesn't, this storage will be returned as the target store and the canonicalized path as the target path.

If it did find a sub store, the link path is removed from the canonical path (making it relative to the absolute root of the sub store) and ResolvePath is executed on the sub store. Eventually the sub store to use and the path relative to the absolute root of that store are returned.

Created with Doc-O-Matic.


TJvCustomAppStorage.TranslatePropertyName method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

function TranslatePropertyName(Instance: TPersistent; const AName: string; const Reading: Boolean): string;

Parameters

Instance: TPersistent

Not documented

const AName: string

Not documented

const Reading: Boolean

Not documented

Description

Translates between a property name and its storage name. If Reading is True, AName is interpreted as a storage name to be translated to a real property name. If Reading is False, AName is interpreted as a property name to be translated to a storage name. Will invoke the OnTranslatePropertyName event if one is assigned, or return AName if no handler is assigned.

Created with Doc-O-Matic.


TJvCustomAppStorage.ValueStored method

TJvCustomAppStorage	See Also	Edit topic

Determines if the specified path is a value.

Pascal

function ValueStored(const Path: string): Boolean;

Parameters

const Path: string

Path (relative to the current path) to check.

Description

ValueStored determines if the specified path is a value that is stored in the storage. If the path does not point to a value ValueStored returns False, otherwise True will be returned.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.IsFolder, TJvCustomAppStorage.ListStored


TJvCustomAppStorage.WriteBinary method

TJvCustomAppStorage	See Also	Edit topic

Stores the buffer in a binary form.

Pascal

procedure WriteBinary(const Path: string; const Buf: TBytes; BufSize: Integer);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

const Buf: TBytes

Data to write to the storage.

BufSize: Integer

Size of the buffer.

Description

WriteBinary will write BufSize bytes of the buffer indicated by Buf to the storage in a binary form.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadBinary, TJvCustomAppStorage.WriteDateTime, TJvCustomAppStorage.WriteFloat, TJvCustomAppStorage.WriteInteger, TJvCustomAppStorage.WriteList, TJvCustomAppStorage.WriteString, TJvCustomAppStorage.WriteStringList


TJvCustomAppStorage.WriteBoolean method

TJvCustomAppStorage	Edit topic

Stores an Boolean value.

Pascal

procedure WriteBoolean(const Path: string; Value: Boolean);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

Value: Boolean

Value to store.

Description

Stores an Boolean value. The value is stored as string TRUE/FALSE.

Created with Doc-O-Matic.


TJvCustomAppStorage.WriteCollection method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

procedure WriteCollection(const Path: string; List: TCollection; const ItemName: string = cItem);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

List: TCollection

Value to store.

const ItemName: string = cItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.WriteDateTime method

TJvCustomAppStorage	See Also	Edit topic

Stores a date and time value.

Pascal

procedure WriteDateTime(const Path: string; Value: TDateTime);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

Value: TDateTime

Value to store.

Description

WriteDateTime will store the specified date and time value in the specified location.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.WriteBinary, TJvCustomAppStorage.WriteFloat, TJvCustomAppStorage.WriteInteger, TJvCustomAppStorage.WriteList, TJvCustomAppStorage.WriteString, TJvCustomAppStorage.WriteStringList


TJvCustomAppStorage.WriteEnumeration method

TJvCustomAppStorage	Edit topic

Not documented

Pascal

procedure WriteEnumeration(const Path: string; TypeInfo: PTypeInfo; const Value);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

TypeInfo: PTypeInfo

Not documented

const Value

Value to store.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.WriteFloat method

TJvCustomAppStorage	See Also	Edit topic

Stores a floating point value.

Pascal

procedure WriteFloat(const Path: string; Value: Extended);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

Value: Extended

Value to store.

Description

WriteFloat will store the specified floating point value in the specified location.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.WriteBinary, TJvCustomAppStorage.WriteDateTime, TJvCustomAppStorage.WriteInteger, TJvCustomAppStorage.WriteList, TJvCustomAppStorage.WriteString, TJvCustomAppStorage.WriteStringList


TJvCustomAppStorage.WriteInteger method

TJvCustomAppStorage	See Also	Edit topic

Stores an integer value.

Pascal

procedure WriteInteger(const Path: string; Value: Integer);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

Value: Integer

Value to store.

Description

WriteInteger will store the specified integer value in the specified location.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadInteger, TJvCustomAppStorage.WriteBinary, TJvCustomAppStorage.WriteDateTime, TJvCustomAppStorage.WriteFloat, TJvCustomAppStorage.WriteList, TJvCustomAppStorage.WriteString, TJvCustomAppStorage.WriteStringList


TJvCustomAppStorage.WriteList method

TJvCustomAppStorage	See Also	Edit topic

Stores a list of items.

Pascal

procedure WriteList(const Path: string; const List: TObject; const ItemCount: Integer; const OnWriteItem: TJvAppStorageListItemEvent; const OnDeleteItems: TJvAppStorageListDeleteEvent = nil; const ItemName: string = cItem);

Parameters

const Path: string

Path (relative to the current path) where the list is to be stored.

const List: TObject

Value to store.

const ItemCount: Integer

Number of items to store.

const OnWriteItem: TJvAppStorageListItemEvent

Method that will write each item to the storage.

const OnDeleteItems: TJvAppStorageListDeleteEvent = nil

Method that will remove remaining items from a previous list.

const ItemName: string = cItem

Not documented

Description

WriteList stores a list of items in the storage.

WriteList is a general purpose method that can store any list by means of the provided write method. The specified write method will be called for each item individually, specifying the list path and the item index to store. The method should write the item (which can be as simple as writing a single value to as complex as writing an entire group of values and/or sub lists).

The specified delete method is called to clear out the remaining part of the list that is no longer to be stored (i.e. overwriting a larger list with a smaller list). The method is called only once, specifying the range of items to be removed. The method should then remove said items from the storage.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadList, TJvCustomAppStorage.WriteBinary, TJvCustomAppStorage.WriteDateTime, TJvCustomAppStorage.WriteFloat, TJvCustomAppStorage.WriteInteger, TJvCustomAppStorage.WriteString, TJvCustomAppStorage.WriteStringList


TJvCustomAppStorage.WriteObjectList method

TJvCustomAppStorage	Edit topic

Stores a list of objects.

Pascal

procedure WriteObjectList(const Path: string; List: TList; const ItemName: string = cItem);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

List: TList

Value to store.

const ItemName: string = cItem

Not documented

Description

Stores a list of objects. Uses WriteList with internally provided methods to do the actual storing.

Created with Doc-O-Matic.


TJvCustomAppStorage.WritePersistent method

TJvCustomAppStorage	Edit topic

Stores a TPersistent-Object with all of its published properties.

Pascal

procedure WritePersistent(const Path: string; const PersObj: TPersistent; const Recursive: Boolean = True; const IgnoreProperties: TStrings = nil);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

const PersObj: TPersistent

Object to store.

const Recursive: Boolean = True

Not documented

const IgnoreProperties: TStrings = nil

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.WriteProperty method

TJvCustomAppStorage	Edit topic

Stores a property.

Pascal

procedure WriteProperty(const Path: string; const PersObj: TPersistent; const PropName: string; const Recursive: Boolean);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

const PersObj: TPersistent

Not documented

const PropName: string

Not documented

const Recursive: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.WriteSet method

TJvCustomAppStorage	Edit topic

Stores a set (ignores sub stores).

Pascal

procedure WriteSet(const Path: string; ATypeInfo: PTypeInfo; const Value);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

ATypeInfo: PTypeInfo

Not documented

const Value

Value to store.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorage.WriteString method

TJvCustomAppStorage	See Also	Edit topic

Stores a string value.

Pascal

procedure WriteString(const Path: string; const Value: string);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

const Value: string

Value to store.

Description

WriteString will store the specified string value in the specified location.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadString, TJvCustomAppStorage.WriteBinary, TJvCustomAppStorage.WriteDateTime, TJvCustomAppStorage.WriteFloat, TJvCustomAppStorage.WriteInteger, TJvCustomAppStorage.WriteList, TJvCustomAppStorage.WriteStringList


TJvCustomAppStorage.WriteStringList method

TJvCustomAppStorage	See Also	Edit topic

Stores a list of strings.

Pascal

procedure WriteStringList(const Path: string; const SL: TStrings; const ItemName: string = cItem);

Parameters

const Path: string

Path (relative to the current path) where the strings are to be stored.

const SL: TStrings

String list to store.

const ItemName: string = cItem

Not documented

Description

WriteStringList stores a list of strings in the storage. WriteStringList uses the WriteList method in combination with specialized OnWriteItem and OnDeleteItems handlers that will write the individual items from the list in the storage and remove excessive items. Items are stored in the Itemx format where x is the 0-based index of the item.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadStringList, TJvCustomAppStorage.WriteBinary, TJvCustomAppStorage.WriteDateTime, TJvCustomAppStorage.WriteFloat, TJvCustomAppStorage.WriteInteger, TJvCustomAppStorage.WriteList, TJvCustomAppStorage.WriteString


TJvCustomAppStorage.WriteStringObjectList method

TJvCustomAppStorage	Edit topic

Stores a list of strings.

Pascal

procedure WriteStringObjectList(const Path: string; const SL: TStrings; const ItemName: string = cItem);

Parameters

const Path: string

Path (relative to the current path) where the value is to be stored.

const SL: TStrings

Not documented

const ItemName: string = cItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions
JEDI-VCL Reference

TJvCustomAppStorageOptions

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomAppStorageOptions = class(TPersistent);

File

JvAppStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions Properties

TJvCustomAppStorageOptions

Properties

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Created with Doc-O-Matic.


TJvCustomAppStorageOptions Methods

TJvCustomAppStorageOptions	Legend

Methods

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomAppStorageOptions

Legend

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomAppStorageOptions


TJvCustomAppStorageOptions Members

TJvCustomAppStorageOptions	Legend

Members

Properties

BooleanAsString

BooleanStringFalseValues

BooleanStringTrueValues

DateTimeAsString

DefaultIfReadConvertError

DefaultIfValueNotExists

EnumerationAsString

FloatAsString

SetAsString

TypedIntegerAsString

Methods

DefaultFalseString

DefaultTrueString

IsValueFalseString

 IsValueListString

IsValueTrueString

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvCustomAppStorageOptions.BooleanAsString property

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

property BooleanAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.BooleanStringFalseValues property

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

property BooleanStringFalseValues: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.BooleanStringTrueValues property

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

property BooleanStringTrueValues: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.DateTimeAsString property

TJvCustomAppStorageOptions	See Also	Edit topic

Specifies whether to store a datetime value as string.

Pascal

property DateTimeAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadDateTime, TJvCustomAppStorage.WriteDateTime


TJvCustomAppStorageOptions.DefaultIfReadConvertError property

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

property DefaultIfReadConvertError: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.DefaultIfValueNotExists property

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

property DefaultIfValueNotExists: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.EnumerationAsString property

TJvCustomAppStorageOptions	See Also	Edit topic

Specifies whether to store a enumeration as string.

Pascal

property EnumerationAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadEnumeration, TJvCustomAppStorage.WriteEnumeration


TJvCustomAppStorageOptions.FloatAsString property

TJvCustomAppStorageOptions	See Also	Edit topic

Specifies whether to store a float as string.

Pascal

property FloatAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadFloat, TJvCustomAppStorage.WriteFloat


TJvCustomAppStorageOptions.SetAsString property

TJvCustomAppStorageOptions	Edit topic

Specifies whether to store a set as string.

Pascal

property SetAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.TypedIntegerAsString property

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

property TypedIntegerAsString: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.DefaultFalseString method

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

function DefaultFalseString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.DefaultTrueString method

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

function DefaultTrueString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.IsValueFalseString method

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

function IsValueFalseString(Value: string): Boolean;

Parameters

Value: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.IsValueListString method

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

function IsValueListString(const AValue: string; const AList: string): Boolean; virtual;

Parameters

const AValue: string

Not documented

const AList: string

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomAppStorageOptions.IsValueTrueString method

TJvCustomAppStorageOptions	Edit topic

Not documented

Pascal

function IsValueTrueString(Value: string): Boolean;

Parameters

Value: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppXMLStorage
JEDI-VCL Reference

TJvCustomAppXMLStorage

Hierarchy	Properties	Methods	Events	 Edit topic

This is the ancestor for all XML storage backend

Pascal

TJvCustomAppXMLStorage = class(TJvCustomAppMemoryFileStorage);

File

JvAppXMLStorage

Description

This component provides the basis for an in memory XML storage backend. Derive a class from this one and implement the virtual methods to store the in memory XML file in the appropriate media (file, database...)

Created with Doc-O-Matic.


TJvCustomAppXMLStorage Fields

TJvCustomAppXMLStorage	Legend

Fields

 FXml

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomAppXMLStorage Events

TJvCustomAppXMLStorage	Legend

Events

 OnDecodeValue

 OnEncodeValue

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomAppXMLStorage Properties

TJvCustomAppXMLStorage	Legend

Properties

 RootNodeName

 StorageOptions

 Xml

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Legend

protected

published

read only

Created with Doc-O-Matic.


Legend

protected

published

read only


TJvCustomAppXMLStorage Methods

TJvCustomAppXMLStorage	Legend

Methods

 CreateAndSetNode

 GetAsString

 GetNodeFromPath

 GetRootNodeName

 SetAsString

 SetRootNodeName

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomAppXMLStorage

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomAppStorage
            TJvCustomAppMemoryFileStorage
                TJvCustomAppXMLStorage


TJvCustomAppXMLStorage Members

TJvCustomAppXMLStorage	Legend

Members

Fields

 FXml

Events

 OnDecodeValue

 OnEncodeValue

TJvCustomAppMemoryFileStorage

 OnGetFileName

TJvCustomAppStorage

 OnDecryptPropertyValue

 OnEncryptPropertyValue

 OnTranslatePropertyName

Properties

 RootNodeName

 StorageOptions

 Xml

TJvCustomAppMemoryFileStorage

 AsString

 FileName

 FullFileName

 Location

 ReadOnly

TJvCustomAppStorage

AutoFlush

AutoReload

FlushOnDestroy

 IsUpdating

Path

ReadOnly

 Root

 StorageOptions

 SubStorages

TJvComponent

 AboutJVCL

Methods

 CreateAndSetNode

 GetAsString

 GetNodeFromPath

 GetRootNodeName

 SetAsString

 SetRootNodeName

TJvCustomAppMemoryFileStorage

 Reload

 ReloadNeeded

TJvCustomAppStorage

BeginUpdate

ConcatPaths

DeleteSubTree

DeleteValue

DisablePropertyValueCrypt

EnablePropertyValueCrypt

EndUpdate

 Flush

FlushIfNeeded

 FlushNeeded

 GetCharName

 GetIntName

GetStoredValues

IsFolder

IsPropertyValueCryptEnabled

ListStored

PathExists

ReadBinary

ReadBoolean

ReadCollection

ReadDateTime

ReadEnumeration

ReadFloat

ReadInteger

ReadList

ReadObjectList

ReadPersistent

ReadProperty

ReadSet

ReadString

ReadStringList

ReadStringObjectList

 Reload

ReloadIfNeeded

 ReloadNeeded

ResolvePath

TranslatePropertyName

ValueStored

WriteBinary

WriteBoolean

WriteCollection

WriteDateTime

WriteEnumeration

WriteFloat

WriteInteger

WriteList

WriteObjectList

WritePersistent

WriteProperty

WriteSet

WriteString

WriteStringList

WriteStringObjectList

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Legend

protected

published

read only

virtual


TJvCustomAppXMLStorage.FXml field

TJvCustomAppXMLStorage	See Also	Edit topic

The in memory XML file

Pascal

FXml: TJvSimpleXML;

Description

This is protected if you require direct access, but you should use the XML property instead

Created with Doc-O-Matic.


See Also

TJvCustomAppXMLStorage.Xml


TJvCustomAppXMLStorage.OnDecodeValue event

TJvCustomAppXMLStorage	Edit topic

Surfaces the OnDecodeValue event from the internal XML object

Pascal

property OnDecodeValue: TJvSimpleXMLEncodeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppXMLStorage.OnEncodeValue event

TJvCustomAppXMLStorage	Edit topic

Surfaces the OnEncodeValue event from the internal XML object

Pascal

property OnEncodeValue: TJvSimpleXMLEncodeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppXMLStorage.RootNodeName property

TJvCustomAppXMLStorage	Edit topic

The name of the root node in the XML file

Pascal

property RootNodeName: string;

Description

If you try to set this value to an empty string, you will get an EPropertyError exception

Created with Doc-O-Matic.


TJvCustomAppXMLStorage.StorageOptions property

TJvCustomAppXMLStorage	Edit topic

Not documented

Pascal

property StorageOptions: TJvAppXMLStorageOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomAppXMLStorage.Xml property

TJvCustomAppXMLStorage	Edit topic

The in memory XML file object

Pascal

property Xml: TJvSimpleXML;

Description

This is provided if you want to access directly the XML file object, for instance if you share it with other components. Be very careful not to break anything while doing so.

Created with Doc-O-Matic.


TJvCustomAppXMLStorage.CreateAndSetNode method

TJvCustomAppXMLStorage	See Also	Edit topic

Creates the indicated node and sets FCurrentNode

Pascal

function CreateAndSetNode(Key: string): TJvSimpleXmlElem;

Parameters

Key: string

The key to create

Description

Reads the separated Key string and sets FCurrentNode to the last one, having created all the required XML nodes including the last one

Created with Doc-O-Matic.


See Also

FCurrentNode


TJvCustomAppXMLStorage.GetAsString method

TJvCustomAppXMLStorage	See Also	Edit topic

Property getter for the AsString property

Pascal

function GetAsString: string; override;

Return Value

The content of the in memory XML file as a string

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

AsString


TJvCustomAppXMLStorage.GetNodeFromPath method

TJvCustomAppXMLStorage	Edit topic

Returns a node from a given path

Pascal

function GetNodeFromPath(Path: string; StartNode: TJvSimpleXmlElem = nil): TJvSimpleXmlElem;

Return Value

Returns the last node in path, if it exists. Returns nil in all other cases

Parameters

Path: string

The path to consider

StartNode: TJvSimpleXmlElem = nil

Where to start in the XML document

Description

If StartNode is nil, then FCurrentNode is used as a starting point for Path

Created with Doc-O-Matic.


TJvCustomAppXMLStorage.GetRootNodeName method

TJvCustomAppXMLStorage	See Also	Edit topic

Property getter for RootNodeName

Pascal

function GetRootNodeName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppXMLStorage.RootNodeName


TJvCustomAppXMLStorage.SetAsString method

TJvCustomAppXMLStorage	See Also	Edit topic

Property setter for AsString

Pascal

procedure SetAsString(const Value: string); override;

Parameters

const Value: string

The new value for AsString

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

AsString


TJvCustomAppXMLStorage.SetRootNodeName method

TJvCustomAppXMLStorage	See Also	Edit topic

Property setter for RootNodeName

Pascal

procedure SetRootNodeName(const Value: string);

Parameters

const Value: string

The new value for RootNodeName

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomAppXMLStorage.RootNodeName


TJvCustomBehaviorLabel
JEDI-VCL Reference

TJvCustomBehaviorLabel

Hierarchy	Properties	Events	 Edit topic

Base class for a label that can exhibit different behaviors.

Pascal

TJvCustomBehaviorLabel = class(TJvExCustomLabel);

File

JvBehaviorLabel

Description

TJvCustomBehaviorLabel is the base class for labels that can be assigned different behaviors (through their Behavior property). Don't create instances of TJvCustomBehaviorLabel. To put a behavior label on a form, create instances of a descendant class, like TJvBehaviorLabel.

Created with Doc-O-Matic.


TJvCustomBehaviorLabel Properties

TJvCustomBehaviorLabel	Legend

Properties

 Behavior

 BehaviorOptions

EffectText

UseEffectText

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomBehaviorLabel Events

TJvCustomBehaviorLabel	Legend

Events

 OnStart

 OnStop

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomBehaviorLabel

Legend

protected

published

Created with Doc-O-Matic.


Hierarchy

TCustomLabel, IJvExControl
        TJvExCustomLabel
            TJvCustomBehaviorLabel


TJvCustomBehaviorLabel Members

TJvCustomBehaviorLabel	Legend

Members

Properties

 Behavior

 BehaviorOptions

EffectText

UseEffectText

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Events

 OnStart

 OnStop

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomBehaviorLabel.Behavior property

TJvCustomBehaviorLabel	See Also	Edit topic

Specifies a specific behavior for the label.

Pascal

property Behavior: TJvLabelBehaviorName;

Description

Use Behavior to select a specific effect for the label. You can select one of the following:

Appearing: Scrolls the label over the form.

Blinking: Blinks the text of the label.

Bouncing: Bounces the label over the form.

CodeBreaker: Simulates breaking a code.

Scrolling: Scrolls the text of the label.

Special: Makes individual letters of the label appear one after each other.

Typing: Type effect: makes individual letters of the label appear one after each other.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.BehaviorOptions


TJvCustomBehaviorLabel.BehaviorOptions property

TJvCustomBehaviorLabel	See Also	Edit topic

Controls the specific behavior (special effect) of the label.

Pascal

property BehaviorOptions: TJvLabelBehavior;

Description

Use the properties of BehaviorOptions to alter the specific behavior of the label. You can specify a specific behavior for the label by setting property Behavior. Different special effect have different options.

For example if you set Behavior to 'Scrolling', you can use BehaviorOptions to alter the interval between scrolling events.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.Behavior


TJvCustomBehaviorLabel.EffectText property

TJvCustomBehaviorLabel	Edit topic

Not documented

Pascal

property EffectText: TCaption;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomBehaviorLabel.OnStart event

TJvCustomBehaviorLabel	See Also	Edit topic

Occurs when the label effect starts.

Pascal

property OnStart: TNotifyEvent;

Description

Write an OnStart event handler to take specific actions when the label effect starts.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.OnStop, TJvLabelBehavior.Active


TJvCustomBehaviorLabel.OnStop event

TJvCustomBehaviorLabel	See Also	Edit topic

Occurs when the label effect stops.

Pascal

property OnStop: TNotifyEvent;

Description

Write an OnStart event handler to take specific actions when the label effect stops.

Created with Doc-O-Matic.


See Also

TJvCustomBehaviorLabel.OnStart, TJvLabelBehavior.Active


TJvCustomBehaviorLabel.UseEffectText property

TJvCustomBehaviorLabel	Edit topic

Not documented

Pascal

property UseEffectText: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomBmpAnimator
JEDI-VCL Reference

TJvCustomBmpAnimator

Hierarchy	Properties	 Edit topic

A component for playing a series of bitmaps.

Pascal

TJvCustomBmpAnimator = class(TJvGraphicControl);

File

JvBmpAnimator

Description

TJvCustomBmpAnimator is the base component for showing .BMP files in sequence, like the explorer logo in Internet Explorer. The animation runs in a loop. To use it you need an imagelist to hold the bitmaps, set the speed and the direction, and set the active property to true.

Do not use an instance of TJvCustomBmpAnimator directly but its descendant TJvBmpAnimator

Created with Doc-O-Matic.


TJvCustomBmpAnimator Properties

TJvCustomBmpAnimator	Legend

Properties

 Active

 AutoSize

 Centered

 Direction

 Images

 Max

 Min

 NumFrames

 Position

 Speed

 Transparent

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomBmpAnimator

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomBmpAnimator


TJvCustomBmpAnimator Members

TJvCustomBmpAnimator	Legend

Members

Properties

 Active

 AutoSize

 Centered

 Direction

 Images

 Max

 Min

 NumFrames

 Position

 Speed

 Transparent

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomBmpAnimator.Active property

TJvCustomBmpAnimator	Edit topic

Indicates whether the animation is running.

Pascal

property Active: Boolean;

Description

Set this property to True to start the animation.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.AutoSize property

TJvCustomBmpAnimator	Edit topic

Indicates whether the width and height of the imagelist should be used.

Pascal

property AutoSize: Boolean;

Description

Set this property to True to use the width and height of the imagelist component which holds the images for the animation.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.Centered property

TJvCustomBmpAnimator	Edit topic

Indicates whether the images should be painted in the center of the area of the component.

Pascal

property Centered: Boolean;

Description

Set this property to true if the images should be painted inside the area indicated by the component. Useful if the area is larger than the images are.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.Direction property

TJvCustomBmpAnimator	See Also	Edit topic

Sets the direction of the animation.

Pascal

property Direction: TJvAnimateDirection;

Description

Use this property to specify the direction of the animation.

Created with Doc-O-Matic.


See Also

TJvAnimateDirection


TJvCustomBmpAnimator.Images property

TJvCustomBmpAnimator	Edit topic

Property of type TImageList, to hold the images.

Pascal

property Images: TCustomImageList;

Description

Use this property to specify the TImageList component that holds the images for the animation.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.Max property

TJvCustomBmpAnimator	Edit topic

Property to indicate the last frame of the sequence.

Pascal

property Max: Integer;

Description

Use this property to set the last frame of the animation.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.Min property

TJvCustomBmpAnimator	Edit topic

Property to indicate the first frame of the sequence.

Pascal

property Min: Integer;

Description

Use this property to set the first frame of the animation.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.NumFrames property

TJvCustomBmpAnimator	Edit topic

Property to specify the number of frames.

Pascal

property NumFrames: Integer;

Description

Use this property to specify the number of frames in the animation. A value of 0 will show all the images.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.Position property

TJvCustomBmpAnimator	Edit topic

Property to specify the frame shown when the animation is stopped.

Pascal

property Position: Integer;

Description

Set this property to indicate which frame is shown when the animation is stopped.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.Speed property

TJvCustomBmpAnimator	Edit topic

Property to specify the speed of the animation.

Pascal

property Speed: Integer;

Description

Use this property to set the speed of the animation. The value indicates the number of frames per second.

Created with Doc-O-Matic.


TJvCustomBmpAnimator.Transparent property

TJvCustomBmpAnimator	Edit topic

Property for making the background of the component transparent.

Pascal

property Transparent: Boolean;

Description

Use this property to make the background of the component transparent.

Created with Doc-O-Matic.


TJvCustomButton
JEDI-VCL Reference

TJvCustomButton

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for buttons that have a window handle

Pascal

TJvCustomButton = class(TJvExButton);

File

JvButton

Description

Use TJvCustomButton as a base class when creating new button controls that should have a window handle.

Created with Doc-O-Matic.


TJvCustomButton Properties

TJvCustomButton	Legend

Properties

 DropArrow

 DropDownMenu

 ForceSameSize

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 WordWrap

TJvExButton

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomButton Events

TJvCustomButton	Legend

Events

 OnDropDownMenu

 OnParentColorChange

TJvExButton

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomButton Methods

TJvCustomButton	Legend

Methods

 Click

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomButton

Legend

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TButton, IJvExControl
        TJvExButton
            TJvCustomButton


TJvCustomButton Members

TJvCustomButton	Legend

Members

Properties

 DropArrow

 DropDownMenu

 ForceSameSize

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 WordWrap

TJvExButton

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnDropDownMenu

 OnParentColorChange

TJvExButton

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 Click

 DrawDropArrow

 SetBounds

Legend

protected

published

virtual

Created with Doc-O-Matic.


Legend

protected

published

virtual


TJvCustomButton.DropArrow property

TJvCustomButton	See Also	Edit topic

Determines whether a drop arrow is drawn on the control when a DropDownMenu is assigned

Pascal

property DropArrow: Boolean;

Description

Set DropArrow to true to automatically show an arrow in the button when the DropDownMenu property is assigned. The arrow is always displayed in a fixed position on the right side of the button. If the arrow interferes with the image or text of the button, either resize the button or change the values of Margin and Spacing until you are satisfied.

Created with Doc-O-Matic.


See Also

DropDownMenu, Margin, Spacing


TJvCustomButton.DropDownMenu property

TJvCustomButton	Edit topic

Specifies a TPopupMenu to display when the button is clicked

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu to display a menu when the button is clicked. The menu is displayed below the button. To control where the menu is displayed (right, left, center), use the menus Align property

Created with Doc-O-Matic.


TJvCustomButton.ForceSameSize property

TJvCustomButton	Edit topic

Specifies whether all buttons should have the same size.

Pascal

property ForceSameSize: Boolean;

Description

Set ForceSameSize to true for all buttons that should have the same size. When the size of one of the buttons changes, all the other buttons assume the same size.

ForceSameSize only affects buttons on the same form that either handle the CM_FORCESIZE message (VCL) or are of the same class (VisualCLX) and that also have their ForceSameSize property set to true.

Created with Doc-O-Matic.


TJvCustomButton.HintColor property

TJvCustomButton	Edit topic

Determines the color of the hint boxes for the Help Hints for the button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvCustomButton.HotTrack property

TJvCustomButton	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is False, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

HotTrackFont, HotGlyph, OnMouseEnter, OnMouseLeave


TJvCustomButton.HotTrackFont property

TJvCustomButton	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is True.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to True, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

HotTrack, HotGlyph


TJvCustomButton.HotTrackFontOptions property

TJvCustomButton	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

HotTrack, HotTrackFont


TJvCustomButton.OnDropDownMenu event

TJvCustomButton	See Also	Edit topic

Occurs just before the DropDownMenu is displayed

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when a DropDownMenu is about to be shown. For example, you can prevent the menu to be displayed by setting the Handled parameter to True.

Note that this event is only triggered if there is a DropDownMenu assigned to the button.

Created with Doc-O-Matic.


See Also

DropDownMenu, OnContextPopup


TJvCustomButton.OnParentColorChange event

TJvCustomButton	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvCustomButton.WordWrap property

TJvCustomButton	Edit topic

Specifies whether the text wraps when it is too long for the width of the button.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to True to allow the button to display multiple line of text. When WordWrap is True, text that is too wide for the control wraps at the right margin and continues in additional lines.

Set WordWrap to False to limit the text to a single line. When WordWrap is False, text that is too wide for the button appears truncated.

Notes

To control where lines are word wrapped, you can include '||' in the Caption. These are replaced at run-time with CRLF's to break the text.

Created with Doc-O-Matic.


TJvCustomButton.Click method

TJvCustomButton	See Also	Edit topic

Simulates a mouse click, as if the user had clicked the button.

Pascal

procedure Click; override;

Description

Calling Click calls the inherited Click method and then shows the DropDownMenu if assigned

Created with Doc-O-Matic.


See Also

DropDownMenu


TJvCustomButton.DrawDropArrow method

TJvCustomButton	Edit topic

Not documented

Pascal

procedure DrawDropArrow(Canvas: TCanvas; ArrowRect: TRect); virtual;

Parameters

Canvas: TCanvas

Not documented

ArrowRect: TRect

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomButton.SetBounds method

TJvCustomButton	See Also	Edit topic

Sets the size of the control

Pascal

procedure SetBounds(ALeft: Integer; ATop: Integer; AWidth: Integer; AHeight: Integer); override;

Description

SetBounds calls the inherited SetBounds method and then adjusts the size of all other buttons if ForceSameSize is True.

Created with Doc-O-Matic.


See Also

ForceSameSize


TJvCustomCalcEdit
JEDI-VCL Reference

TJvCustomCalcEdit

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for the TJvCalcEdit control.

Pascal

TJvCustomCalcEdit = class(TJvCustomNumEdit);

File

JvBaseEdits

Description

Use TJvCustomCalcEdit as a base class when creating custom combo edits that can be used for entering numbers. Do not create instances of TJvCustomCalcEdit. Instead, to put a combo edit control for entering numbers on a form, use a TJvCustomCalcEdit descendant such as TJvCalcEdit.

Created with Doc-O-Matic.


TJvCustomCalcEdit Properties

TJvCustomCalcEdit	Legend

Properties

TJvCustomNumEdit

 Alignment

AsInteger

 ButtonWidth

 CheckOnExit

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DisplayFormat

 DisplayText

 FormatOnEditing

 Formatting

 ImageKind

 MaxValue

 MinValue

PopupVisible

Value

 ZeroEmpty

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomCalcEdit Methods

TJvCustomCalcEdit	Legend

Methods

TJvCustomNumEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvCustomCalcEdit Events

TJvCustomCalcEdit	Legend

Events

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomCalcEdit

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvCustomNumEdit
            TJvCustomCalcEdit


TJvCustomCalcEdit Members

TJvCustomCalcEdit	Legend

Members

Properties

TJvCustomNumEdit

 Alignment

AsInteger

 ButtonWidth

 CheckOnExit

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DisplayFormat

 DisplayText

 FormatOnEditing

 Formatting

 ImageKind

 MaxValue

 MinValue

PopupVisible

Value

 ZeroEmpty

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Methods

TJvCustomNumEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Events

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomCharMap
JEDI-VCL Reference

TJvCustomCharMap

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for a component that displays characters in a character set in a grid.

Pascal

TJvCustomCharMap = class(TJvExCustomDrawGrid);

File

JvCharMap

Description

TJvCustomCharMap is the base class for TJvCharMap and defines all its properties and events as protected.

Created with Doc-O-Matic.


TJvCustomCharMap Properties

TJvCustomCharMap	Legend

Properties

 AutoSizeHeight

 AutoSizeWidth

 Character

 CharRange

 Columns

 HighlightInvalid

 Locale

 PanelVisible

 ShadowSize

 ShowShadow

 ShowZoomPanel

TJvExCustomDrawGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomCharMap Events

TJvCustomCharMap	Legend

Events

 OnSelectChar

 OnValidateChar

TJvExCustomDrawGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomCharMap Methods

TJvCustomCharMap

Methods

CellSize

Created with Doc-O-Matic.


Legend

TJvCustomCharMap

Legend

protected

read only

published

Created with Doc-O-Matic.


Hierarchy

TCustomDrawGrid, IJvExControl
        TJvExCustomDrawGrid
            TJvCustomCharMap


TJvCustomCharMap Members

TJvCustomCharMap	Legend

Members

Properties

 AutoSizeHeight

 AutoSizeWidth

 Character

 CharRange

 Columns

 HighlightInvalid

 Locale

 PanelVisible

 ShadowSize

 ShowShadow

 ShowZoomPanel

TJvExCustomDrawGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnSelectChar

 OnValidateChar

TJvExCustomDrawGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

CellSize

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomCharMap.AutoSizeHeight property

TJvCustomCharMap	See Also	Edit topic

Determines whether the component adjusts is height to match its content.

Pascal

property AutoSizeHeight: Boolean;

Description

Set AutoSizeHeight to true to make the control automatically adjust its Height property to display its content without using scrollbars.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.AutoSizeWidth


TJvCustomCharMap.AutoSizeWidth property

TJvCustomCharMap	See Also	Edit topic

Determines whether the component adjusts is width to match its content.

Pascal

property AutoSizeWidth: Boolean;

Description

Set AutoSizeWidth to true to make the control automatically adjust its Width property to display its content without using scrollbars.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.AutoSizeHeight


TJvCustomCharMap.Character property

TJvCustomCharMap	Edit topic

Determines the currently selected character in the grid.

Pascal

property Character: WideChar;

Description

Read Character to determine the currently selected character in the grid.

Created with Doc-O-Matic.


TJvCustomCharMap.CharRange property

TJvCustomCharMap	Edit topic

Defines what characters are displayed in the grid.

Pascal

property CharRange: TJvCharMapRange;

Description

Use the properties of CharRange to define what characters are displayed in the grid.

Created with Doc-O-Matic.


TJvCustomCharMap.Columns property

TJvCustomCharMap	See Also	Edit topic

Defines the number of columns to display in the gird.

Pascal

property Columns: Integer;

Description

Use Columns to read and change the number of columns in the grid. The number of rows is automatically adjusted to accommodate the currently selected character range.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.CharRange


TJvCustomCharMap.HighlightInvalid property

TJvCustomCharMap	See Also	Edit topic

Determines whether invalid cells are drawn in another style.

Pascal

property HighlightInvalid: Boolean;

Description

Use HighlightInvalid to define whether invalid cells are drawn using a background pattern in the cell. Invalid characters can be of three types:

Characters outside the currently selected range

Characters without character info as returned by GetStringTypeEx

Characters that have been marked as invalid by an event handler for the OnValidateChar event

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.CharRange, TJvCustomCharMap.OnValidateChar


TJvCustomCharMap.Locale property

TJvCustomCharMap	Edit topic

Determines the locale to use when extracting character info.

Pascal

property Locale: LCID;

Description

Use Locale to set the locale to use when the character map extracts character info. Character info is extracted using the GetStringTypeEx(W) function and, by default, only characters returning valid information is displayed in the grid.

Notes

This property has no function in Unicode enabled operating systems, like Windows 2000 and Windows XP, since the Locale parameter is ignored by GetStringTypeExW.

Created with Doc-O-Matic.


TJvCustomCharMap.OnSelectChar event

TJvCustomCharMap	Edit topic

Event that is called when a character is selected in the grid.

Pascal

TJvCharMapSelectedEvent = procedure (Sender: TObject; AChar: WideChar) of object;
property OnSelectChar: TJvCharMapSelectedEvent;

Parameters

AChar

The selected character.

Sender

The component that triggered the event.

Description

Write a handler for the OnSelectChar event to take specific actions when the user selects a character in the grid. For example, use this event to display information on the currently selected character.

Created with Doc-O-Matic.


TJvCustomCharMap.OnValidateChar event

TJvCustomCharMap	Edit topic

Event that is called when a character needs validating.

Pascal

TJvCharMapValidateEvent = procedure (Sender: TObject; AChar: WideChar; var Valid: Boolean) of object;
property OnValidateChar: TJvCharMapValidateEvent;

Parameters

Valid

Set to true to mark the character as valid or to false to mark it as invalid.

AChar

The character to validate.

Sender

The component that triggered the event.

Description

Write a handler for the OnValidateChar event to take specific action when a character needs validating. For example, to accept any character, write a handler that always returns true in the Valid parameter.

Created with Doc-O-Matic.


TJvCustomCharMap.PanelVisible property

TJvCustomCharMap	See Also	Edit topic

Shows or hides the zoom panel.

Pascal

property PanelVisible: Boolean;

Description

Use PanelVisible to programmatically show and hide the zoom panel. Note that ShowZoomPanel must be true for this setting to have any effect.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.ShowZoomPanel


TJvCustomCharMap.ShadowSize property

TJvCustomCharMap	See Also	Edit topic

Determines the offset of the zoom panel's background shadow.

Pascal

property ShadowSize: Integer;

Description

Use ShadowSize to set the top/left pixel offset of the shadow behind the zoom panel. Setting this value to 0, hides the shadow. The default value is 2 pixels.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.ShowShadow


TJvCustomCharMap.ShowShadow property

TJvCustomCharMap	See Also	Edit topic

Determines whether a shadow is drawn behind the zoom panel.

Pascal

property ShowShadow: Boolean;

Description

Set ShowShadow to true to show a drop shadow behind the zoom panel. On systems that supports it, the shadow is alpha blended. On other systems, it is drawn black.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.ShadowSize


TJvCustomCharMap.ShowZoomPanel property

TJvCustomCharMap	See Also	Edit topic

Determines whether clicking a cell in the grid shows a zoom panel or not.

Pascal

property ShowZoomPanel: Boolean;

Description

Use ShowZoomPanel to define whether a zoom panel is shown when the user selects a cell in the grid.

A zoom panel displays the currently selected character in a larger font and in a separate window overlaying the currently selected cell.

To show the zoom panel at run-time, ShowZoomPanel must be true. The zoom panel can then be displayed using any of the following methods:

Programmatically by setting PanelVisible to true.

By clicking the left mouse button in a valid cell.

By selecting a cell and pressing the Enter key.

Once the zoom panel is visible, the user can use the arrow keys or the mouse scroll wheel to move the zoom panel to another cell.

Notes

A user can toggle the zoom panel on and off using the Spacebar and hide it using by pressing the Escape key.

Created with Doc-O-Matic.


See Also

TJvCustomCharMap.PanelVisible


TJvCustomCharMap.CellSize method

TJvCustomCharMap	Edit topic

Returns the current size of a grid cell.

Pascal

function CellSize: TSize;

Return Value

A TSize value where cx is the width and cy is the height of a cell.

Description

Call CellSize to learn the current size of a grid cell. The size of a grid cell is automatically adjusted to accommodate the size of the currently selected font.

Created with Doc-O-Matic.


TJvCustomCipher
JEDI-VCL Reference

TJvCustomCipher

Hierarchy	Properties	Methods	 Edit topic

Abstract base class for simple ciphers which do not change the length of the data

Pascal

TJvCustomCipher = class(TJvComponent);

File

JvCipher

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCipher Properties

TJvCustomCipher	Legend

Properties

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCustomCipher Methods

TJvCustomCipher	Legend

Methods

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Legend

protected

abstract

Created with Doc-O-Matic.


Legend

protected

abstract


Legend

TJvCustomCipher

Legend

published

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomCipher


TJvCustomCipher Members

TJvCustomCipher	Legend

Members

Properties

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Methods

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Legend

published

protected

abstract

Created with Doc-O-Matic.


Legend

published

protected

abstract


TJvCustomCipher.Decoded property

TJvCustomCipher	See Also	Edit topic

The decoded counterpart of Encoded

Pascal

property Decoded: string;

Description

Set this value to get its encoded version in the Encoded property. This value is never stored in the DFM file.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Encoded, TJvCustomCipher.IsStored, TJvCustomCipher.Key


TJvCustomCipher.Encoded property

TJvCustomCipher	See Also	Edit topic

The encoded counterpart of Decoded

Pascal

property Encoded: string;

Description

Set this value to get the decoded version in the Decoded property. This property is stored in the DFM file only if IsStored is True

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Decoded, TJvCustomCipher.IsStored, TJvCustomCipher.Key


TJvCustomCipher.IsStored property

TJvCustomCipher	See Also	Edit topic

If True, the Key and Encoded properties are stored in the DFM file

Pascal

property IsStored: Boolean;

Description

For security reasons, you may not want to store the Encoded and Key values in the DFM file, and as result they wouldn't appear in the final exe file. If that is the case, set this property to False and the Encoded and Key values will not be stored. For backward compatibility, this property is True by default.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Decoded, TJvCustomCipher.Encoded, TJvCustomCipher.Key


TJvCustomCipher.Key property

TJvCustomCipher	See Also	Edit topic

The key used for encoding/decoding via the Encoded/Decoded properties

Pascal

property Key: string;

Description

This key will only be used by the Decoded and Encoded properties. It is stored in the DFM file only if IsStored is True.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Decoded, TJvCustomCipher.Encoded, TJvCustomCipher.IsStored


TJvCustomCipher.Decode method

TJvCustomCipher	See Also	Edit topic

Decodes the given buffer using the given key

Pascal

procedure Decode(const Key: string; Buf: PChar; Size: Cardinal); virtual; abstract;

Parameters

Buf: PChar

The buffer to be decoded. Its value will be replaced

Size: Cardinal

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Encode


TJvCustomCipher.DecodeFile method

TJvCustomCipher	See Also	Edit topic

Decodes the given file

Pascal

procedure DecodeFile(const Key: string; const FileName: string);

Parameters

const FileName: string

The name of the file to decode

Description

The content of the given file will be replaced by its decoded equivalent.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.EncodeFile


TJvCustomCipher.DecodeList method

TJvCustomCipher	See Also	Edit topic

Decodes the given TStrings

Pascal

procedure DecodeList(const Key: string; List: TStrings);

Parameters

List: TStrings

The string list to decode

Description

The content of the given string list will be replaced by its decoded equivalent.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.EncodeList


TJvCustomCipher.DecodeStream method

TJvCustomCipher	See Also	Edit topic

Decodes the given stream

Pascal

procedure DecodeStream(const Key: string; Stream: TStream);

Parameters

Stream: TStream

The stream to decode

Description

The content of the given stream will be replaced by its decoded equivalent.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.EncodeStream


TJvCustomCipher.DecodeString method

TJvCustomCipher	See Also	Edit topic

Decodes the given string

Pascal

function DecodeString(const Key: string; const Value: string): string;

Return Value

The decoded equivalent of the given string.

Parameters

const Value: string

The string to decode

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.EncodeString


TJvCustomCipher.Encode method

TJvCustomCipher	See Also	Edit topic

Encodes the given buffer using the given key

Pascal

procedure Encode(const Key: string; Buf: PChar; Size: Cardinal); virtual; abstract;

Parameters

const Key: string

The key to use to encode the buffer

Buf: PChar

The buffer to be encoded. Its value will be replaced

Size: Cardinal

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Decode


TJvCustomCipher.EncodeFile method

TJvCustomCipher	See Also	Edit topic

Encodes the given file

Pascal

procedure EncodeFile(const Key: string; const FileName: string);

Parameters

const FileName: string

The name of the file to encode

Description

The content of the given file will be replaced by its encoded equivalent.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.DecodeFile


TJvCustomCipher.EncodeList method

TJvCustomCipher	See Also	Edit topic

Encodes the given TStrings

Pascal

procedure EncodeList(const Key: string; List: TStrings);

Parameters

List: TStrings

The string list to encode

Description

The content of the given string list will be replaced by its encoded equivalent.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.DecodeList


TJvCustomCipher.EncodeStream method

TJvCustomCipher	See Also	Edit topic

Encodes the given stream

Pascal

procedure EncodeStream(const Key: string; Stream: TStream);

Parameters

Stream: TStream

The stream to encode

Description

The content of the given stream will be replaced by its encoded equivalent.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.DecodeStream, TJvCustomCipher.Key


TJvCustomCipher.EncodeString method

TJvCustomCipher	See Also	Edit topic

Encodes the given string

Pascal

function EncodeString(const Key: string; const Value: string): string;

Return Value

The encoded equivalent of the given string.

Parameters

const Value: string

The string to encode

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.DecodeString


TJvCustomComboEdit
JEDI-VCL Reference

TJvCustomComboEdit

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for edit controls with a button.

Pascal

TJvCustomComboEdit = class(TJvCustomComboEditBase);

File

JvToolEdit

Description

TJvCustomComboEdit encapsulates the behavior common to all components for editing text by introducing methods and properties that provide:

Basic text editing functions such as selecting text, modifying selected text, and case conversions.

Ability to respond to changes in the contents of the text.

Access control of the text for making it read-only or introducing a password character to hide the actual value.

Do not create instances of TJvCustomComboEdit. Use TJvCustomComboEdit as a base class when declaring control objects that permit the user to enter or modify text. Properties and methods of TJvCustomComboEdit provide basic behavior that descendant classes inherit as well as behavior that components can override to customize their behavior.

Created with Doc-O-Matic.


TJvCustomComboEdit Properties

TJvCustomComboEdit	Legend

Properties

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomComboEdit Events

TJvCustomComboEdit	Legend

Events

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomComboEdit Methods

TJvCustomComboEdit	Legend

Methods

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomComboEdit

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit


TJvCustomComboEdit Members

TJvCustomComboEdit	Legend

Members

Properties

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

 DefaultImageIndex

 DefaultImages

DoClick

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomComboEdit.Alignment property

TJvCustomComboEdit	Edit topic

Determines how the text in the edit component is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvCustomComboEdit.AlwaysEnableButton property

TJvCustomComboEdit	See Also	Edit topic

Specifies whether the button is always enabled.

Pascal

property AlwaysEnableButton: Boolean;

Description

If you set AlwaysEnableButton to true, a user can always click the button of the combo edit control, even if ReadOnly is set to true.

If AlwaysEnableButton is set to false, then no OnButtonClick event is fired when the user clicks the button.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.AlwaysShowPopup, TJvCustomComboEdit.ReadOnly


TJvCustomComboEdit.AlwaysShowPopup property

TJvCustomComboEdit	See Also	Edit topic

Specifies whether the pop-up is always shown.

Pascal

property AlwaysShowPopup: Boolean;

Description

If you set AlwaysShowPopup to true, a pop-up is always shown when the user clicks the button of the combo edit control, even if ReadOnly is set to true. Note that AlwaysEnableButton must also be true.

For data-aware controls the associated dataset does not immediately go to edit-mode when the pop-up is shown, when AlwaysShowPopup is set to true. If AlwaysShowPopup is set to false and either the associated dataset is read-only or the controls ReadOnly property is set to true, then no pop-up is shown.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.AlwaysEnableButton


TJvCustomComboEdit.AutoCompleteItems property

TJvCustomComboEdit	Edit topic

Not documented

Pascal

property AutoCompleteItems: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomComboEdit.AutoCompleteOptions property

TJvCustomComboEdit	Edit topic

Not documented

Pascal

property AutoCompleteOptions: TJvAutoCompleteOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomComboEdit.Button property

TJvCustomComboEdit	See Also	Edit topic

Gives access to the button object of the combo edit control.

Pascal

property Button: TJvEditButton;

Description

Use Button to access the combo edit control's button. Some properties of the button are accessible via the combo edit control's properties, such as ButtonFlat, ButtonWidth etc. But you may want to access property Button to get full access to the button object.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.ButtonFlat, TJvCustomComboEdit.ButtonHint, TJvCustomComboEdit.ButtonWidth


TJvCustomComboEdit.ButtonFlat property

TJvCustomComboEdit	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property ButtonFlat: Boolean;

Description

Set ButtonFlat to true to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected.

Created with Doc-O-Matic.


See Also

Button


TJvCustomComboEdit.ButtonHint property

TJvCustomComboEdit	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the button.

Pascal

property ButtonHint: string;

Description

Use the ButtonHint property to provide a string of help text as a Help Hint for the combo edit control's button.

Created with Doc-O-Matic.


See Also

Button


TJvCustomComboEdit.ButtonWidth property

TJvCustomComboEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the combo edit control's button. Note that changing property ImageKind can change the ButtonWidth. For example, ButtonWidth is set to the default width of a drop-down button if ImageKind is set to ikDropDown.

Created with Doc-O-Matic.


See Also

Button


TJvCustomComboEdit.ClickKey property

TJvCustomComboEdit	Edit topic

Specifies the key combination users can type to simulate a button click.

Pascal

property ClickKey: TShortCut;

Description

Use ClickKey to allow the user to type a key combination instead of clicking the control's button.

When setting shortcuts at design time, the Object Inspector provides a long list of key combinations to choose from. To create shortcuts at runtime, use the global ShortCut or TextToShortCut function from Menus.pas. For example, the following line creates a shortcut, Ctrl+C and assigns it to a combo edit control named JvComboEdit1.

  JvComboEdit1.ClickKey := ShortCut(Word('C'), [ssCtrl]);

Created with Doc-O-Matic.


TJvCustomComboEdit.DirectInput property

TJvCustomComboEdit	See Also	Edit topic

Specifies whether the user can use the edit box of the combo edit.

Pascal

property DirectInput: Boolean;

Description

Use DirectInput to read or change whether the user can use the edit box of the combo edit. By setting DirectInput to false, the edit box of the combo edit will become read-only, and the user can only use the button of the combo edit.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvCustomComboEdit.DisabledColor property

TJvCustomComboEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control isn't enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledTextColor


TJvCustomComboEdit.DisabledTextColor property

TJvCustomComboEdit	See Also	Edit topic

Specifies the color of the text when the control isn't enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledColor


TJvCustomComboEdit.Flat property

TJvCustomComboEdit	Edit topic

Determines whether the control has a three-dimensional (3-D) or two-dimensional (flat) look.

Pascal

property Flat: Boolean;

Description

When Flat is true, the control appears flat and does not have borders. When Flat is false, the control has a 3-D look.

Created with Doc-O-Matic.


TJvCustomComboEdit.Glyph property

TJvCustomComboEdit	Edit topic

Specifies the bitmap that appears on the button of the combo edit control. (Obsolete.)

Pascal

property Glyph: TBitmap;

Description

Glyph is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvCustomComboEdit.GlyphKind property

TJvCustomComboEdit	Edit topic

Specifies the kind of glyph for the edit button. (Obsolete.)

Pascal

property GlyphKind: TGlyphKind;

Description

GlyphKind is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvCustomComboEdit.GroupIndex property

TJvCustomComboEdit	Edit topic

Allows edit controls to work together as a group.

Pascal

property GroupIndex: Integer;

Description

When GroupIndex is set to -1, the edit control behaves as normal.

Edit controls with the same GroupIndex property value (other than -1), work together as a group. When the user enters one of these edit controls, the text on the other edits belonging to the same group will be cleared.

Created with Doc-O-Matic.


TJvCustomComboEdit.ImageIndex property

TJvCustomComboEdit	See Also	Edit topic

Indicates which image appears on the button.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to designate an image that should appear on the button of the edit button control. ImageIndex specifies a zero-offset index into the Images property. Set ImageKind to ikCustom, otherwise ImageIndex is not used.

Notes

This property is not stored if it is supplied by a TAction object.

Created with Doc-O-Matic.


See Also

Images, ImageKind


TJvCustomComboEdit.ImageKind property

TJvCustomComboEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvCustomComboEdit.Images property

TJvCustomComboEdit	See Also	Edit topic

Lists the images that can appear on the button.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the button of the combo button control. If Images is unassigned, no images are displayed on the button unless ImageKind is set to a value other than ikCustom.

Created with Doc-O-Matic.


See Also

ImageIndex, ImageKind


TJvCustomComboEdit.NumGlyphs property

TJvCustomComboEdit	Edit topic

Indicates the number of images that are in the graphic specified in the Glyph property. (Obsolete.)

Pascal

property NumGlyphs: TNumGlyphs;

Description

NumGlyphs is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvCustomComboEdit.OnButtonClick event

TJvCustomComboEdit	See Also	Edit topic

Occurs when the user clicks the button.

Pascal

property OnButtonClick: TNotifyEvent;

Description

Write an OnButtonClick handler to respond to the user clicking the button of the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.OnKeyDown


TJvCustomComboEdit.OnEnabledChanged event

TJvCustomComboEdit	Edit topic

Not documented

Pascal

property OnEnabledChanged: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomComboEdit.OnKeyDown event

TJvCustomComboEdit	See Also	Edit topic

Occurs when a user presses any key while the control has focus.

Pascal

property OnKeyDown: TKeyEvent;

Description

Use the OnKeyDown event handler to specify special processing to occur when a key is pressed. The OnKeyDown handler can respond to all keyboard keys, including function keys and keys combined with the Shift, Alt, and Ctrl keys, and pressed mouse buttons.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvCustomComboEdit.OnPopupHidden event

TJvCustomComboEdit	Edit topic

Not documented

Pascal

property OnPopupHidden: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomComboEdit.OnPopupShown event

TJvCustomComboEdit	Edit topic

Not documented

Pascal

property OnPopupShown: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomComboEdit.PopupAlign property

TJvCustomComboEdit	Edit topic

Specifies how the pop-up window is aligned relative to its edit box.

Pascal

property PopupAlign: TPopupAlign;

Description

Use PopupAlign to specify the position of the pop-up window relative to the edit region of the lookup combo box. The pop-up window can be aligned to the left or right, or centered with the edit box.

Created with Doc-O-Matic.


TJvCustomComboEdit.PopupVisible property

TJvCustomComboEdit	Edit topic

Indicates whether the pop-up window is visible.

Pascal

property PopupVisible: Boolean;

Description

Read PopupVisible to determine whether the pop-up window is visible.

The pop-up window is normally shown when the user clicks the button of the combo edit control.

Created with Doc-O-Matic.


TJvCustomComboEdit.ReadOnly property

TJvCustomComboEdit	See Also	Edit topic

Determines whether the user can change the text of the combo edit control.

Pascal

property ReadOnly: Boolean;

Description

To restrict the edit control to display only, set the ReadOnly property to true. Set ReadOnly to false to allow the contents of the edit control to be edited.

Setting ReadOnly to true ensures that the text is not altered, while still allowing the user to select text. The selected text can then be manipulated by the application, or copied to the Clipboard.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvCustomComboEdit.SettingCursor property

TJvCustomComboEdit	Edit topic

Not documented

Pascal

property SettingCursor: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomComboEdit.ShowButton property

TJvCustomComboEdit	Edit topic

Indicates whether the button should be shown.

Pascal

property ShowButton: Boolean;

Description

Set ShowButton to false to hide the button of the combo edit; set it to true to show it.

Created with Doc-O-Matic.


TJvCustomComboEdit.DefaultImageIndex method

TJvCustomComboEdit	Edit topic

Not documented

Pascal

class function DefaultImageIndex: TImageIndex; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomComboEdit.DefaultImages method

TJvCustomComboEdit	See Also	Edit topic

Returns the default image list used by all combo edits.

Pascal

class function DefaultImages: TCustomImageList; virtual;

Return Value

The default image list.

Description

Use the DefaultImages property to access the default image list used by all combo edits. Property DefaultImageIndex indicates which image from the default image list is used by the combo edit.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DefaultImageIndex


TJvCustomComboEdit.DoClick method

TJvCustomComboEdit	See Also	Edit topic

Simulates a mouse click, as if the user had clicked the button.

Pascal

procedure DoClick;

Description

Call DoClick to simulate a mouse click on the button. If the combo edit control has an OnButtonClick event handler, DoClick allows an application to simulate a click on the button.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvCustomControl
JEDI-VCL Reference

TJvCustomControl

Hierarchy	 Edit topic

The base class for custom controls.

Pascal

TJvCustomControl = class(TJvExCustomControl);

File

JvComponent

Description

TJvCustomControl is the base class for custom controls within the JEDI VCL. The class defines one published property, AboutJVCL, that is used to display information about the currently installed JEDI-VCL release.

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl


TJvCustomCsvDataSet
JEDI-VCL Reference

TJvCustomCsvDataSet

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base class for TJvCsvDataSet.

Pascal

TJvCustomCsvDataSet = class(TDataSet);

File

JvCsvData

Description

Normally, you would just use TJvCsvDataSet directly,and not use TJvCustomCsvDataSet.

If you read further, we'll assume you want to write a custom component and inherit from TJvCustomCsvDataSet. Okay then.

You can use this class as a base class for your own Comma Separated Variable File component. This base class is fully functional is the same as TJvCsvDataSet, except it has no published properties. See the documentation for TJvCsvDataSet if you want to see the version that has all properties published (for use at design time).

You can create your own custom component, inherit from TJvCustomCsvDataSet, publish the properties your users will need, then just drop the component onto a form, and Connect it to a DataSource, and use it just like a TTable or the MIDAS TClientDataSet.

No runtime files and no external database link required.

Created with Doc-O-Matic.


TJvCustomCsvDataSet Properties

TJvCustomCsvDataSet	Legend

Properties

 AppendedFieldCount

 AutoBackupCount

 CaseInsensitive

 Changed

 CreatePaths

CsvFieldDef

CsvKeyDef

CsvUniqueKeys

 EnquoteBackslash

 ExtendedHeaderInfo

 FileName

HasHeaderRow

 HeaderRow

 InternalData

 LoadsFromFile

 OpenFileName

 ReadOnly

SavesChanges

 Separator

 StoreDefs

 TableName

 TimeZoneCorrection

 UserData

 UserTag

 ValidateHeaderRow

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomCsvDataSet Events

TJvCustomCsvDataSet	Legend

Events

 OnGetFieldData

 OnSetFieldData

 OnSpecialData

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomCsvDataSet Methods

TJvCustomCsvDataSet	Legend

Methods

_ClearFilter

AppendRowString

 AppendWith

 AssignFromStrings

 AssignToStrings

ClearFilter

CloneRow

CopyFromDataset

 CurrentRowAsString

CustomFilter

DeleteRows

EmptyTable

 ExportCsvFile

ExportRows

FindByCsvKey

 Flush

 GetAsString

GetAutoincrement

 GetColumnsAsString

GetCsvHeader

 GetRowAsString

GetUserData

GetUserTag

IsKeyUnique

LoadFromFile

 OpenWith

Refresh

SaveToFile

SetAllUserData

SetAllUserTags

SetFilter

SetFilterOnNull

SetUserData

SetUserTag

Sort

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomCsvDataSet

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TDataSet
    TJvCustomCsvDataSet


TJvCustomCsvDataSet Members

TJvCustomCsvDataSet	Legend

Members

Properties

 AppendedFieldCount

 AutoBackupCount

 CaseInsensitive

 Changed

 CreatePaths

CsvFieldDef

CsvKeyDef

CsvUniqueKeys

 EnquoteBackslash

 ExtendedHeaderInfo

 FileName

HasHeaderRow

 HeaderRow

 InternalData

 LoadsFromFile

 OpenFileName

 ReadOnly

SavesChanges

 Separator

 StoreDefs

 TableName

 TimeZoneCorrection

 UserData

 UserTag

 ValidateHeaderRow

Events

 OnGetFieldData

 OnSetFieldData

 OnSpecialData

Methods

_ClearFilter

AppendRowString

 AppendWith

 AssignFromStrings

 AssignToStrings

ClearFilter

CloneRow

CopyFromDataset

 CurrentRowAsString

CustomFilter

DeleteRows

EmptyTable

 ExportCsvFile

ExportRows

FindByCsvKey

 Flush

 GetAsString

GetAutoincrement

 GetColumnsAsString

GetCsvHeader

 GetRowAsString

GetUserData

GetUserTag

IsKeyUnique

LoadFromFile

 OpenWith

Refresh

SaveToFile

SetAllUserData

SetAllUserTags

SetFilter

SetFilterOnNull

SetUserData

SetUserTag

Sort

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


See Also

TJvCsvDataSet.CsvFieldDef


TJvCustomCsvDataSet.AppendedFieldCount property

TJvCustomCsvDataSet	Edit topic

Returns number of fields that were automatically appended to the file-in-memory when the file was loaded from the disk.

Pascal

property AppendedFieldCount: Integer;

Description

This CSV data component solves a common problem of flat file data users, which is what to do when new fields need to be added to an existing program that uses CSV file data. The solution this component implements is to allow backwards compatibility with all CSV files that contain a subset of the fields defined by your CsvFieldDef.

For example, suppose you have a file called Users.csv, and it has two columns (NAME,ADDRESS), and you want to add PHONE_NUMBER. The TJvC vDataSet is smart enough to open the old file with only NAME,ADDRESS, and to fix up the CSV file in-memory, so that it now contains the PHONE_NUMBER field. In this case, you can check if this happened to you by getting AppendedFieldCount.

If you call Flush and save the new CSV file, the new field name will be appended to the CSV header (first line of the file), and the file may now be incompatible with other programs if they expect and can only accept the original file fields. Because this automatic upgrading may be a problem, your program may want to warn users before they overwrite a file with a new CSV file that now has more columns than it formerly had.

In practice, this makes database upgrades seamless, in most cases, it requires no special handling from the user.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.AutoBackupCount property

TJvCustomCsvDataSet	Edit topic

If greater than zero, automatically numbered backups of the CSV file are kept. Backups go in the Backup subdirectory, below wherever the CSV file itself is located.

Pascal

property AutoBackupCount: Integer;

Description

The automatic backup feature of the TJvCsvDataSet is similar to the way the old VMS operating system used to work. Every time you saved a file, numbered backups are kept.

The reason for this feature is that disk space is cheap, and lost or even partially corrupt data is very very inconvenient. If you kept the last 10 (for example) versions of your CSV file in a Backup directory, directly underneath where your main CSV files go, then recovery from a bad edit, or a corrupt file, should be much easier. The only reason I can think of to set this to zero is if losing this file is a matter of no importance, or of the creation of the backup files is in some way causing a problem.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.CaseInsensitive property

TJvCustomCsvDataSet	See Also	Edit topic

CSV Key Uniqueness and Key Comparisons are case insensitive mode if True, or else they are case sensitive.

Pascal

property CaseInsensitive: Boolean;

Description

If you have defined a Key for this table, and the keys are unique, then this property defines whether or not two keys that differ only by their case would be allowed. For example, if the key field was ID, and was a string, then having two records, one with key 'ABC' and one with key 'Abc', then adding the second would cause a key access violation.

Created with Doc-O-Matic.


See Also

CsvKeyDef CsvUniqueKeys FindByCsvKey


TJvCustomCsvDataSet.Changed property

TJvCustomCsvDataSet	See Also	Edit topic

This is the World-Famous 'Dirty Bit'.

Pascal

property Changed: Boolean;

Description

If anything in the data set (any field, on any row) has changed, and the changes have not been saved to disk (via Flush), then the current data has been changed. You can either call Flush to save the data, when it has changed, or you can set Active to false. (If the SavesChanges property is set.) It should get set True if you change anything or add or delete anything from the dataset. It gets set back to false when you call Flush.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.Flush


TJvCustomCsvDataSet.CreatePaths property

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

property CreatePaths: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.CsvFieldDef property

TJvCustomCsvDataSet	Edit topic

Comma separated list of field names.

Pascal

property CsvFieldDef: string;

Description

The CsvFieldDef property is the most important property in the CSVDataSet. You MUST set it up (using the property editor or by typing a valid CsvFieldDef string) before you can use the CSV Data Set.

A CsvFieldDef string is a comma separated list of field names. After each field name, an optional colon may be used to separate the field name from field options, which are described below.

Fieldname must start with a Letter (A-Z) and can contain Letters, Numbers and Underscores.

Field Types are described below. $ is a string. Other punctuation indicates other types.

Length ONLY applies to string fields.

Field Types	Meaning
$	string (ftString) - also used if no character is given. May be followed by the length, a length of 80 is assumed if "$" is used without a specific length (For example, ABC:$100 is a field named ABC, type string, string length 100).
%	whole integer value (ftInteger)
&	floating point value (ftFloat)
@	Ascii datetime value (ftDateTime) as YYYY/MM/DD HH:MM:SS (Component Specific)
#	Hex-Ascii Timestamp (A93F38C9) seconds since Jan 1, 1970 GMT (Component Specific)
^	Hex-Ascii Timestamp (A93F38CP) corrected to local timezone (Component Specific)
!	Boolean Field (0 in csv file=false, not 0 = true, blank = NULL)

CsvFieldDef string Example:

  NAME:$80,ADDRESS:$140,AGE:%,BIRTHDAY:@

Notes

You can use the built-in property editor (Click ...) Instead of manually typing the CsvFieldDef.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.CsvKeyDef property

TJvCustomCsvDataSet	See Also	Edit topic

Primary Key Definition.

Pascal

property CsvKeyDef: string;

Description

Blank means no primary key. The main reason for setting a primary key is so you can enforce primary key uniqueness. You might also want to easily sort the file in primary key order. Primary Key fields MUST Be the first fields logically (and usually, physically) in the CSV file.

That is to say, the CsvKeyDef cannot be set to 'A,C' if the first line of the csv file is is 'A,B,C'. If you want fields 'A,C' to be the key, the CSV file fields themselves MUST be ordered 'A,C, .... ' logically.

Created with Doc-O-Matic.


See Also

CsvUniqueKeys CaseInsensitive FindByCsvKey IsKeyUnique


TJvCustomCsvDataSet.CsvUniqueKeys property

TJvCustomCsvDataSet	See Also	Edit topic

Are Unique Keys Enforced when rows are added or modified?

Pascal

property CsvUniqueKeys: Boolean;

Description

If CsvKeyDef is set, then this property defines whether or not two rows/records with the the same key can exist. If you want the dataset to enforce key uniqueness, you must set this.

Created with Doc-O-Matic.


See Also

CsvKeyDef CaseInsensitive FindByCsvKey


TJvCustomCsvDataSet.EnquoteBackslash property

TJvCustomCsvDataSet	Edit topic

Specifies whether the component supports enquoting using backslashes.

Pascal

property EnquoteBackslash: Boolean;

Description

A design time property which specifies whether the component supports enquoting using backslashes. This is NOT the default behavior. Most programs use doubling of quotes ("") instead of backslashes. Only set this to true if you know what you are doing.

If quotes appear inside a string, enquote them using backslash-quote sequence instead of quote-quote sequence. Nonstandard CSV extension.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.ExtendedHeaderInfo property

TJvCustomCsvDataSet	See Also	Edit topic

Probably never used. Leave it false.

Pascal

property ExtendedHeaderInfo: Boolean;

Description

The original author of this component has no idea why you would set ExtendedHeaderInfo to true, but if you do, the user-specified CsvFieldDef is used as the first line of CSV files that are assigned as strings, otherwise, the GetColumnsAsString is used. Has no effect if HasHeaderRow is false.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.HasHeaderRow


TJvCustomCsvDataSet.FileName property

TJvCustomCsvDataSet	See Also	Edit topic

The filename that this dataset component loads its data from when opening, and saves it back to when closing.

Pascal

property FileName: string;

Description

Can be either a filename (with no path) which must be located in the current working directory, or can be a fully qualified filename (with a path) in which case it can be anywhere on your filesystem or network. Note that the component doesn't actually use the filename property, unless you have you set LoadsFromFile and/or SavesChanges properties to true.

Created with Doc-O-Matic.


See Also

TJvCsvDataSet.LoadsFromFile,TJvCsvDataSet.SavesChanges


TJvCustomCsvDataSet.HasHeaderRow property

TJvCustomCsvDataSet	Edit topic

Specifies whether the CSV file has a list of field names on the first line.

Pascal

property HasHeaderRow: Boolean;

Description

Set to true if this CSV file has a list of field names on the first line. This is normally how CSV files are stored. In the unusual case that you don't have any field names, set this to false.

If you set this property, the component expects CSV files will begin with a header row. If you set this to false, then we assume that the header row equals the CsvFieldDef property, in exactly the same field order, with no more and no less fields.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.HeaderRow property

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

property HeaderRow: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.InternalData property

TJvCustomCsvDataSet	See Also	Edit topic

Protected internal property

Pascal

property InternalData: TJvCsvRows;

Description

This property contains the actual Rows of CSV data. It is never manipulated directly by the end user.

Created with Doc-O-Matic.


See Also

FieldDefs


TJvCustomCsvDataSet.LoadsFromFile property

TJvCustomCsvDataSet	See Also	Edit topic

Specifies whether to automatically load contents of the CSV Filename when you set the table Active property to true.

Pascal

property LoadsFromFile: Boolean;

Description

Set this to true to automatically load contents of the CSV Filename when you set the table Active property to true. Leaving this set to true is generally helpful both at design time and run time, and should be only turned off if you really need to.

If the property Filename points to a valid file, then the component will load that file when you set the Active property to true. If you don't, it's up to you to load your component data up manually.

Created with Doc-O-Matic.


See Also

TJvCsvDataSet.FileName LoadFromFile


TJvCustomCsvDataSet.OnGetFieldData event

TJvCustomCsvDataSet	See Also	Edit topic

Event fired when field data is going to be provided to a data aware control.

Pascal

TJvCsvOnGetFieldData = procedure (Sender: TObject; UserTag: Integer; UserData: Pointer; FieldName: string; var Value: string) of object;
property OnGetFieldData: TJvCsvOnGetFieldData;

Parameters

FieldName

The field name we are being asked for?

Value

var parameter - This is where you put the actual value (encoded as a CSV string) to be provided to the data aware control.

UserData

The record's data (pointer) property. Perhaps this is the custom object that contains the actual data?

Sender

Not documented

UserTag

The record's tag (integer) property

Description

An OnGetFieldData event written by the end user allows the end user to create a Virtual DataSet where the data in the CSV rows is really just a cache which can be updated when displayed but which we really are fetching from somewhere else.

Created with Doc-O-Matic.


See Also

OnSetFieldData GetUserTag SetUserTag GetUserData SetUserData


TJvCustomCsvDataSet.OnSetFieldData event

TJvCustomCsvDataSet	See Also	Edit topic

Event fired when field data is going to be updated from data aware control back into our Dataset.

Pascal

TJvCsvOnSetFieldData = procedure (Sender: TObject; UserTag: Integer; UserData: Pointer; FieldName: string; Value: string) of object;
property OnSetFieldData: TJvCsvOnSetFieldData;

Parameters

FieldName

The field name we are being asked for?

Value

This is the new changed field value (encoded as a CSV string) which is being put into the CSV file.

UserData

The record's data (pointer) property. Perhaps this is the custom object that contains the actual data?

Sender

Not documented

UserTag

The record's tag (integer) property

Description

An OnSetFieldData event written by the end user allows the end user to create a Virtual DataSet where the data in the CSV rows is really just a cache which can be updated when displayed and when a change is made to the cached data, the change can also automatically be written to the place where the data really came from.

Created with Doc-O-Matic.


See Also

OnGetFieldData GetUserTag SetUserTag GetUserData SetUserData SetAllUserData


TJvCustomCsvDataSet.OnSpecialData event

TJvCustomCsvDataSet	Edit topic

Occurs when metadata is embedded in a csv data file.

Pascal

TJvCsvOnSpecialData = procedure (Sender: TObject; Index: Integer; NonCsvData: string) of object;
property OnSpecialData: TJvCsvOnSpecialData;

Parameters

NonCsvData

The data that came in that is special metadata. ('> > DATESAVED: THIS DATA WAS SAVED ON MAY 3, 2003')

Index

File line number

Sender

Component sending the event

Description

This event fires, if metadata is embedded in a csv data file. The metadata escape sequence is '> > ' at the beginning of the file. This allows CSV files to have comments or metadata associated with them. Note that this is a proprietary extension to the CSV file format, and is not expected to be interoperable with other CSV reading/writing software, unless you strip the special data before sending it to these other files.

When we encounter a CSV data row that starts with '> > ', it is skipped, and this event fires.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.OpenFileName property

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

property OpenFileName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.ReadOnly property

TJvCustomCsvDataSet	Edit topic

Data is non-modifiable (read only).

Pascal

property ReadOnly: Boolean;

Description

Data is non-modifiable (read only). Only set this to true if the contents of the data are complete static once loaded from a CSV file. Mutually exclusive property: SavesChanges.

If you set this property to true, then no editing will be permitted by data aware components, and any direct writes to field values will cause an exception to be raised.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.SavesChanges property

TJvCustomCsvDataSet	Edit topic

Specifies whether to write the contents of the data to the file.

Pascal

property SavesChanges: Boolean;

Description

If set to true, then the contents of the data set are written to the file, whenever you call Flush manually, and automatically, when the dataset Active property is set to false. Mutually exclusive property: ReadOnly. Permits writing the changes to the csv file. If you don't set this, then any changes are lost when you exit your program, or when you set the Active property to false. This can be handy if any modifications are only intended to be temporary and not persistent.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.Separator property

TJvCustomCsvDataSet	Edit topic

Advanced Users Only. Specify Custom Separator Character.

Pascal

property Separator: Char;

Description

Default is ',' (comma). If you aren't sure what to do, leave this field alone. Normally CSV files use a comma to separate fields, but other ASCII delimited file types, such as TAB (Chr(9)) are possible. Set this to the character you wish to use to separate the fields. Some values are not valid, such as Carriage Return, Linefeed, Space, Quotes, Escape characters, etc. Also, using any alphanumeric character would be a very very bad idea.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.StoreDefs property

TJvCustomCsvDataSet	Edit topic

Advanced Users Only. Leave it at Default value of true.

Pascal

property StoreDefs: Boolean;

Description

If true, we persist the FieldDefs in the Form/Datamodule's 'DFM' file. This property should ALWAYS be set to true, unless you don't want the Field Definitions stored in the Delphi TForm/TDataModule that you are using this component in. If your component will only ever use Dynamically Generated Field Definitions then you can set this to false.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.TableName property

TJvCustomCsvDataSet	Edit topic

A read only property. Returns the same value as TJvCsvDataSet.Filename.

Pascal

property TableName: string;

Description

TableName property. An alias for TJvCsvDataSet.Filename. This property MUST be set before you can open a file from the disk. It can be set to a fully qualified path, or you can just put a filename here without a path, or you can specify a subdirectory path (relative pathname, beginning with a dot). This path name will be relative to the current working directory of your application, when it starts.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.TimeZoneCorrection property

TJvCustomCsvDataSet	Edit topic

TimeZone Correction. Set to Zero to assume everyone is using UTC.

Pascal

property TimeZoneCorrection: Integer;

Description

If you are using data sets from multiple different time zones, you need to put the timezone correction data into the TimeZoneCorrection property. If all your TIME_T timestamps are in UTC (Greenwich Mean Time), then you should leave this property set to zero. This property has NO effect on ASCII datetime fields, which are assumed to be using the local timezone (as set up in your operating system's timezone configuration).

Created with Doc-O-Matic.


TJvCustomCsvDataSet.UserData property

Examples	TJvCustomCsvDataSet	See Also	Edit topic

A user-defined Pointer property for the currently active row in the dataset.

Pascal

property UserData: Pointer;

Description

The current row of the dataset can have a special user-data property, per row. This is helpful if you want to go through a dataset, and flag certain rows as 'selected', and for other user-defined purposes. This data is NOT stored as part of the CSV file and exists only in memory.

Examples

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserData := Pointer(MyObject) // Flag XYX rows.

    else

      MyCsvDataSet.UserData := nil;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


See Also

UserTag - same idea as UserData, but instead of a pointer, it's an integer.


Examples

TJvCustomCsvDataSet.UserData property

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserData := Pointer(MyObject) // Flag XYX rows.

    else

      MyCsvDataSet.UserData := nil;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


TJvCustomCsvDataSet.UserTag property

Examples	TJvCustomCsvDataSet	See Also	Edit topic

A user-defined Integer property for the currently active row in the dataset.

Pascal

property UserTag: Integer;

Description

The current row of the dataset can have a special user-tag property, per row. This is helpful if you want to go through a dataset, and flag certain rows as 'selected', and for other user-defined purposes. This data is NOT stored as part of the CSV file and exists only in memory.

Examples

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserTag := 1;  // Flag XYX rows.

    else

      MyCsvDataSet.UserTag := 0;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


See Also

UserData - Same idea as UserTag, but it's a pointer.


Examples

TJvCustomCsvDataSet.UserTag property

  MyCsvDataSet.First;

  while not  MyCsvDataSet.Eof do begin

    if  MyCsvDataSetMYFIELD.Value='XYZ' then

      MyCsvDataSet.UserTag := 1;  // Flag XYX rows.

    else

      MyCsvDataSet.UserTag := 0;

    MyCsvDataSet.Next;

  end;

Created with Doc-O-Matic.


TJvCustomCsvDataSet.ValidateHeaderRow property

TJvCustomCsvDataSet	Edit topic

Checks if first row of CSV file is valid.

Pascal

property ValidateHeaderRow: Boolean;

Description

Checks if first row of CSV file is valid.

Created with Doc-O-Matic.


TJvCustomCsvDataSet._ClearFilter method

TJvCustomCsvDataSet	See Also	Edit topic

Internal Use Only.

Pascal

procedure _ClearFilter;

Description

Internal Use Only.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.ClearFilter


TJvCustomCsvDataSet.AppendRowString method

TJvCustomCsvDataSet	See Also	Edit topic

This allows you to add a new row to an open dataset, in CSV string form.

Pascal

procedure AppendRowString(const RowAsString: string);

Parameters

const RowAsString: string

Not documented

Description

AppendRowString allows you to add a new dataset row in ONE LINE of code, instead of writing:

  DataSet.Append;

  DataSetFIELD1.Value := 'xxx';

  DataSetFIELD2.Value := 'xxx';

  .. one line for each field ...

  DataSet.Post;

Instead, if your dataset had three columns ('NAME,ADDRESS,PHONE'), you could write:

  DataSet.AppendRowString('BOB,10 FRONT STREET,555-1212');

One common way of using this is to call GetRowAsString from one dataset, and then adding that row to another dataset, like this:

  CsvDataSet2.AppendRowString(CsvDataSet1.GetRowAsString);

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.GetRowAsString


TJvCustomCsvDataSet.AppendWith method

TJvCustomCsvDataSet	See Also	Edit topic

Adds contents of a TStrings object to the existing rows in the database.

Pascal

procedure AppendWith(Strings: TStrings); virtual;

Parameters

Strings: TStrings

The CSV data as a list of Strings (object TStrings).

Description

Appends more data in CSV format. Useful for incrementally loading a large dataset from multiple files, a bit at a time. For example, you might have daily log files stored with the date as part of their filename,and you might want to load up all the data for a certain range of dates.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.AssignFromStrings, TJvCustomCsvDataSet.OpenWith


TJvCustomCsvDataSet.AssignFromStrings method

TJvCustomCsvDataSet	See Also	Edit topic

Opens the given TStrings list of strings as its data set.

Pascal

procedure AssignFromStrings(const Strings: TStrings); virtual;

Parameters

const Strings: TStrings

The CSV data as a list of Strings (object TStrings).

Description

Clear previous data, if any, and insert new data from the given TStrings list.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.AppendWith, TJvCustomCsvDataSet.AssignToStrings, TJvCustomCsvDataSet.OpenWith


TJvCustomCsvDataSet.AssignToStrings method

TJvCustomCsvDataSet	See Also	Edit topic

Gets the contents of the CSV table and adds them to a TStrings string list, which you provide.

Pascal

procedure AssignToStrings(Strings: TStrings); virtual;

Parameters

Strings: TStrings

The results in a string list (the string list you pass in will be cleared, and all rows from the table will be added)

Description

Gets the contents of the CSV table and adds them to a TStrings string list, which you provide. The string list you pass in will be cleared, and all rows from the table will be added.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.AssignFromStrings


TJvCustomCsvDataSet.ClearFilter method

TJvCustomCsvDataSet	See Also	Edit topic

Make all filtered rows visible again.

Pascal

procedure ClearFilter;

Description

Make all filtered rows visible again.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.SetFilter


TJvCustomCsvDataSet.CloneRow method

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

procedure CloneRow(DataSet: TJvCustomCsvDataSet);

Parameters

DataSet: TJvCustomCsvDataSet

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.CopyFromDataset method

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

function CopyFromDataset(DataSet: TDataSet): Integer;

Parameters

DataSet: TDataSet

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.CurrentRowAsString method

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

function CurrentRowAsString: string; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.CustomFilter method

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

procedure CustomFilter(FilterCallback: TJvCustomCsvDataSetFilterFunction);

Parameters

FilterCallback: TJvCustomCsvDataSetFilterFunction

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.DeleteRows method

TJvCustomCsvDataSet	Edit topic

Quickly zap a range of rows from a dataset.

Pascal

procedure DeleteRows(FromRow: Integer; ToRow: Integer);

Parameters

FromRow: Integer

Not documented

ToRow: Integer

Not documented

Description

If you loaded 1000+ lines from a file, and you only need the middle 300 lines, you can now quickly zap an entire range f rows. This is much faster (and has no dataset refresh-speed issues) than manually deleting row-by-row.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.EmptyTable method

TJvCustomCsvDataSet	Edit topic

Clears everything from the table.

Pascal

procedure EmptyTable;

Description

Call EmptyTable to erase all rows. WARNING: If SavesToDisk is true, it also erases the file on disk. That is, EmptyTable implies a call to Flush.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.ExportCsvFile method

TJvCustomCsvDataSet	See Also	Edit topic

Writes contents of memory to the disk as a csv file.

Pascal

procedure ExportCsvFile(const FileName: string); virtual;

Parameters

const FileName: string

The file to write to.

Description

Writes contents of memory to the disk as a csv file. Use this only if you want to save to a file other than the Filename property in the component. If you just want to save the table to the file that it was loaded from, call Flush instead.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.FileName, TJvCustomCsvDataSet.Flush


TJvCustomCsvDataSet.ExportRows method

TJvCustomCsvDataSet	Edit topic

Allows selective export of only a certain range of rows from a dataset.

Pascal

procedure ExportRows(const FileName: string; FromRow: Integer; ToRow: Integer);

Parameters

const FileName: string

Not documented

FromRow: Integer

Not documented

ToRow: Integer

Not documented

Description

If you have 1000 rows in memory and want to save only a certain range of them, you can do this easily with one line.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.FindByCsvKey method

TJvCustomCsvDataSet	See Also	Edit topic

Key lookup for datasets where CsvKeyDef is set.

Pascal

function FindByCsvKey(const Key: string): Boolean;

Return Value

Returns true if the record was found.

Parameters

const Key: string

The key values as Strings, separated by commas if there is more than one key field.

Description

If your key fields are defined as 'FOO,BAR' you can do a quick lookup for the record where FOO=Y and BAR=X, by calling FindByCsvKey('Y,X').

Created with Doc-O-Matic.


See Also

CsvKeyDef CaseInsensitive


TJvCustomCsvDataSet.Flush method

TJvCustomCsvDataSet	See Also	Edit topic

Save Changes.

Pascal

procedure Flush; virtual;

Description

Saves changes back to the file that they were originally loaded from (according to the Filename property).

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.ExportCsvFile, TJvCustomCsvDataSet.FileName


TJvCustomCsvDataSet.GetAsString method

TJvCustomCsvDataSet	Edit topic

For Experts Only. Return the string value of a particular field.

Pascal

function GetAsString(const Row: Integer; const Column: Integer): string; virtual;

Return Value

Returns a value in the raw format, exactly as it will be stored in in the CSV file.

Parameters

const Row: Integer

Not documented

const Column: Integer

Not documented

Description

Grab a particular field (by field index), for a particular row (by record number), and get its value as a String. The values are returned in the format they will be stored in, in the CSV file. So for example, a string field value that has a comma in it, will be returned with the quotes around it that must be used for string literal values in a CSV file.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.GetAutoincrement method

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

function GetAutoincrement(const FieldName: string): Integer;

Parameters

const FieldName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.GetColumnsAsString method

TJvCustomCsvDataSet	See Also	Edit topic

Returns CSV Column names in logical order.

Pascal

function GetColumnsAsString: string; virtual;

Return Value

Returns a string with all the columns names in a comma separated list. (For example, 'ABC,DEF,GHI,JKL,...')

Description

Returns string containing all the CSV Column names (usually the first line of the CSV file), and return as a string. Does the same thing as GetCsvHeader. The only difference is that GetColumnsAsString uses the order of the columns as we are using them in memory, and GetCsvHeader gets the columns in the order that they appear in the file.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.GetCsvHeader


TJvCustomCsvDataSet.GetCsvHeader method

TJvCustomCsvDataSet	See Also	Edit topic

Returns CSV header in File Order.

Pascal

function GetCsvHeader: string;

Return Value

Returns a string with all the columns names in a comma separated list. (For example, 'ABC,DEF,GHI,JKL,...')

Description

Does the same thing as GetColumnsAsString. The only difference is that GetColumnsAsString uses the order of the columns as we are using them in memory, and GetCsvHeader gets the columns in the order that they appear in the file.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.GetColumnsAsString


TJvCustomCsvDataSet.GetRowAsString method

TJvCustomCsvDataSet	See Also	Edit topic

Get currently selected row as a CSV string, as it would appear in the CSV file.

Pascal

function GetRowAsString(const Index: Integer): string; virtual;

Return Value

A data record in CSV format.

Parameters

const Index: Integer

The row to get.

Description

Returns a row as a comma separated variable string.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.GetColumnsAsString, TJvCustomCsvDataSet.GetCsvHeader


TJvCustomCsvDataSet.GetUserData method

TJvCustomCsvDataSet	See Also	Edit topic

Get the user data (pointer) value for a particular record (specified by record number)

Pascal

function GetUserData(RecNo: Integer): Pointer;

Return Value

Returns pointer. If UserData has not been set, or recno is out of range, returns nil.

Parameters

RecNo: Integer

Record number (0=first record, 1=next one, 2.., 3.., ... -1=last record)

Description

Retrieve a User data (pointer) value previously set by SetUserData. This value is NOT saved as part of the CSV file.

Created with Doc-O-Matic.


See Also

SetUserData SetAllUserData OnGetFieldData


TJvCustomCsvDataSet.GetUserTag method

TJvCustomCsvDataSet	See Also	Edit topic

Get the user tag (integer) value for a particular record (specified by record number)

Pascal

function GetUserTag(RecNo: Integer): Integer;

Return Value

Returns pointer. If UserTag has not been set, or recno is out of range, returns 0.

Parameters

RecNo: Integer

Record number (0=first record,1=next one,2..,3..,... -1=last record)

Description

Retrieve a User tag (integer) value previously set by SetUserTag. This value is NOT saved as part of the CSV file.

Created with Doc-O-Matic.


See Also

SetUserTag OnGetFieldData


TJvCustomCsvDataSet.IsKeyUnique method

TJvCustomCsvDataSet	See Also	Edit topic

Manually check key uniqueness.

Pascal

function IsKeyUnique: Boolean;

Return Value

Returns true if key is unique.

Description

This allows you to check key uniqueness before posting a record and generating a key uniqueness exception. It also allows for you to do warnings (but still allow) duplicate keys.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.CsvKeyDef


TJvCustomCsvDataSet.LoadFromFile method

TJvCustomCsvDataSet	See Also	Edit topic

Load (one time) from file, without needing the LoadsFromFile property to be set true.

Pascal

procedure LoadFromFile(const FileName: string);

Parameters

const FileName: string

The file to be loaded from

Description

This method is only useful if LoadsFromFile is normally set to false, and yet, for some reason, you want to load from a file, but not save back to that same file, or save at all.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.LoadsFromFile


TJvCustomCsvDataSet.OpenWith method

TJvCustomCsvDataSet	See Also	Edit topic

Open up any TStrings list of strings as a CSV data set.

Pascal

procedure OpenWith(Strings: TStrings); virtual;

Parameters

Strings: TStrings

The starting data.

Description

Calls AssignFromStrings and then sets Active to true. Allows you to open a data set from a string list in one line of code.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.AssignFromStrings


TJvCustomCsvDataSet.Refresh method

TJvCustomCsvDataSet	Edit topic

Refresh all data aware controls that are currently connected to this dataset.

Pascal

procedure Refresh;

Description

In the enabling and disabling of datasets and controls, it is possible for a refresh event to get lost, and in that case, a manual Refresh on a dataset will cause all data aware controls connected to this data source to be refreshed.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.SaveToFile method

TJvCustomCsvDataSet	See Also	Edit topic

Save entire contents to the specified filename.

Pascal

procedure SaveToFile(const FileName: string);

Parameters

const FileName: string

The filename to save to

Description

The property SavesToFile is ignored in this special case. NORMALLY, if SavesToFile property is set you call Flush instead, and you don't have to provide the filename, since you might usually be saving back to the file from which you loaded.

Created with Doc-O-Matic.


See Also

SavesToFile


TJvCustomCsvDataSet.SetAllUserData method

TJvCustomCsvDataSet	See Also	Edit topic

An easy way to set a default value, or clear all values, from all user data.

Pascal

procedure SetAllUserData(Data: Pointer);

Parameters

Data: Pointer

A pointer. Use nil here to clear all user data.

Description

Goes to each record, and sets its UserData.

Created with Doc-O-Matic.


See Also

SetUserData GetUserData


TJvCustomCsvDataSet.SetAllUserTags method

TJvCustomCsvDataSet	See Also	Edit topic

An easy way to set a default value, or clear all values, from all user tags.

Pascal

procedure SetAllUserTags(TagValue: Integer);

Parameters

TagValue: Integer

The value to set all user tags to.

Description

Goes to each record, and sets its UserTag.

Created with Doc-O-Matic.


See Also

SetUserTag GetUserTag


TJvCustomCsvDataSet.SetFilter method

TJvCustomCsvDataSet	See Also	Edit topic

Make only certain rows in a dataset visible.

Pascal

procedure SetFilter(const FieldName: string; Pattern: string);

Parameters

const FieldName: string

This must be a field name that exists in the file.

Pattern: string

This is a pattern, with optional wildcards, that the Field value must match.

Description

This allows simple master-detail or category-by-category behavior to be emulated, where changing rows in one dataset (scrolling) could be used to set filtering on a second dataset. To filter on more than one field, you first ClearFilter, then you call SetFilter several times, each time, the dataset is scanned once, and non-matching rows are marked hidden. When the user views the dataset, only the matching rows are viewed. The patterns can contain wildcards, such as '%' for AnyString, or '?' for matching any Single Character. These wildcards were chosen because they are similar to the wildcards used in SQL Databases.

A very specialized feature is the ability to check for several different values, by combining the values with a vertical-pipe (|) symbol. To match a string that starts with either A or B or C, use the pattern 'A%|B%|C%

Note that this feature is NOT API-compatible with or similar to the filtering feature that is normally found in VCL TTable component.

Created with Doc-O-Matic.


See Also

TJvCustomCsvDataSet.ClearFilter


TJvCustomCsvDataSet.SetFilterOnNull method

TJvCustomCsvDataSet	Edit topic

Not documented

Pascal

procedure SetFilterOnNull(const FieldName: string; NullFlag: Boolean);

Parameters

const FieldName: string

Not documented

NullFlag: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSet.SetUserData method

TJvCustomCsvDataSet	See Also	Edit topic

Set the user data (pointer) for a specified record, by record number (recno).

Pascal

procedure SetUserData(RecNo: Integer; NewValue: Pointer);

Parameters

RecNo: Integer

Not documented

NewValue: Pointer

new value (pointer)

Description

Each row has an internal user-data Pointer for GUI links. You can set it with this procedure. This value is NOT saved in the CSV file.

Created with Doc-O-Matic.


See Also

SetUserTag OnGetFieldData SetAllUserData


TJvCustomCsvDataSet.SetUserTag method

TJvCustomCsvDataSet	See Also	Edit topic

Set the user tag (integer) for a specified record, by record number (recno).

Pascal

procedure SetUserTag(RecNo: Integer; NewValue: Integer);

Parameters

RecNo: Integer

Not documented

NewValue: Integer

new value (pointer)

Description

Each row has an internal user-tag (integer) property for custom filtering or other end-user purposes. You can set it with this procedure. This value is NOT saved in the CSV file.

Created with Doc-O-Matic.


See Also

SetUserData OnGetFieldData


TJvCustomCsvDataSet.Sort method

TJvCustomCsvDataSet	Edit topic

Sort a dataset by one or more fields, in ascending or descending order.

Pascal

procedure Sort(const SortFields: string; Ascending: Boolean);

Parameters

const SortFields: string

What fields will be sorted, comma separated list in a string.

Ascending: Boolean

If true, the sort will be in ascending order, if false, descending order.

Description

Sort a dataset (reorder all the records), in ascending order or descending order, by one or more fields. After calling Sort, call Flush to write the reordered file to disk, if you want the change to be permanent.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList
JEDI-VCL Reference

TJvCustomDataConsumerViewList

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataConsumerViewList = class(TJvDataConsumerAggregatedObject, IJvDataConsumerViewList);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList Properties

TJvCustomDataConsumerViewList	Legend

Properties

AutoExpandLevel

ExpandOnNewItem

LevelIndent

IJvDataConsumerViewList

AutoExpandLevel

ExpandOnNewItem

LevelIndent

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomDataConsumerViewList Methods

TJvCustomDataConsumerViewList	Legend

Methods

 AddChildItem

 AddItem

 AddItems

 ChildIndexOfID

 ChildIndexOfItem

 ClearView

 ContextChanged

 Count

 DataProviderChanged

 DataProviderChanging

 DeleteItem

 DeleteItems

 ExpandTreeTo

 Get_AutoExpandLevel

 Get_ExpandOnNewItem

 Get_LevelIndent

 IndexOfID

 IndexOfItem

 InsertItem

 InternalItemSibling

 Item

 ItemGroupInfo

 ItemHasChildren

 ItemIsExpanded

 ItemLevel

 ItemParent

 ItemParentIndex

 ItemSibling

 ItemSiblingIndex

 KeepOnProviderChange

 ProviderChanged

 ProviderChanging

 RebuildView

 Set_AutoExpandLevel

 Set_ExpandOnNewItem

 Set_LevelIndent

 SubItem

 SubItemIndex

 ToggleItem

 UpdateItemFlags

 ViewChanged

IJvDataConsumerViewList

ChildIndexOfID

ChildIndexOfItem

Count

ExpandTreeTo

Get_AutoExpandLevel

Get_ExpandOnNewItem

Get_LevelIndent

IndexOfID

IndexOfItem

Item

ItemGroupInfo

ItemHasChildren

ItemIsExpanded

ItemLevel

ItemParent

ItemParentIndex

ItemSibling

ItemSiblingIndex

RebuildView

Set_AutoExpandLevel

Set_ExpandOnNewItem

Set_LevelIndent

SubItem

SubItemIndex

ToggleItem

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvCustomDataConsumerViewList Fields

TJvCustomDataConsumerViewList	Legend

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomDataConsumerViewList

Legend

protected

read only

abstract

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataConsumerAggregatedObject, IJvDataConsumerViewList
                    TJvCustomDataConsumerViewList


TJvCustomDataConsumerViewList Members

TJvCustomDataConsumerViewList	Legend

Members

Properties

AutoExpandLevel

ExpandOnNewItem

LevelIndent

IJvDataConsumerViewList

AutoExpandLevel

ExpandOnNewItem

LevelIndent

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 AddChildItem

 AddItem

 AddItems

 ChildIndexOfID

 ChildIndexOfItem

 ClearView

 ContextChanged

 Count

 DataProviderChanged

 DataProviderChanging

 DeleteItem

 DeleteItems

 ExpandTreeTo

 Get_AutoExpandLevel

 Get_ExpandOnNewItem

 Get_LevelIndent

 IndexOfID

 IndexOfItem

 InsertItem

 InternalItemSibling

 Item

 ItemGroupInfo

 ItemHasChildren

 ItemIsExpanded

 ItemLevel

 ItemParent

 ItemParentIndex

 ItemSibling

 ItemSiblingIndex

 KeepOnProviderChange

 ProviderChanged

 ProviderChanging

 RebuildView

 Set_AutoExpandLevel

 Set_ExpandOnNewItem

 Set_LevelIndent

 SubItem

 SubItemIndex

 ToggleItem

 UpdateItemFlags

 ViewChanged

IJvDataConsumerViewList

ChildIndexOfID

ChildIndexOfItem

Count

ExpandTreeTo

Get_AutoExpandLevel

Get_ExpandOnNewItem

Get_LevelIndent

IndexOfID

IndexOfItem

Item

ItemGroupInfo

ItemHasChildren

ItemIsExpanded

ItemLevel

ItemParent

ItemParentIndex

ItemSibling

ItemSiblingIndex

RebuildView

Set_AutoExpandLevel

Set_ExpandOnNewItem

Set_LevelIndent

SubItem

SubItemIndex

ToggleItem

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

protected

read only

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

read only

abstract

virtual


TJvCustomDataConsumerViewList.AutoExpandLevel property

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

property AutoExpandLevel: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ExpandOnNewItem property

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

property ExpandOnNewItem: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.LevelIndent property

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

property LevelIndent: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.AddChildItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure AddChildItem(ParentIndex: Integer; Item: IJvDataItem); virtual; abstract;

Parameters

ParentIndex: Integer

Not documented

Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.AddItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure AddItem(Index: Integer; Item: IJvDataItem; ExpandToLevel: Integer = 0); virtual; abstract;

Parameters

Index: Integer

Not documented

Item: IJvDataItem

Not documented

ExpandToLevel: Integer = 0

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.AddItems method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure AddItems(var Index: Integer; Items: IJvDataItems; ExpandToLevel: Integer = 0); virtual; abstract;

Parameters

var Index: Integer

Not documented

Items: IJvDataItems

Not documented

ExpandToLevel: Integer = 0

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ChildIndexOfID method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ChildIndexOfID(ID: TJvDataItemID): Integer; virtual; abstract;

Parameters

ID: TJvDataItemID

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ChildIndexOfItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ChildIndexOfItem(Item: IJvDataItem): Integer; virtual; abstract;

Parameters

Item: IJvDataItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ClearView method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ClearView; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ContextChanged method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ContextChanged; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Count method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function Count: Integer; virtual; abstract;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.DataProviderChanged method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure DataProviderChanged(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown); override;

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.DataProviderChanging method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure DataProviderChanging(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown); override;

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.DeleteItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure DeleteItem(Index: Integer); virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.DeleteItems method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure DeleteItems(Index: Integer); virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ExpandTreeTo method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ExpandTreeTo(Item: IJvDataItem); virtual;

Parameters

Item: IJvDataItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Get_AutoExpandLevel method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function Get_AutoExpandLevel: Integer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Get_ExpandOnNewItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function Get_ExpandOnNewItem: Boolean;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Get_LevelIndent method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function Get_LevelIndent: Integer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.IndexOfID method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function IndexOfID(ID: TJvDataItemID): Integer; virtual; abstract;

Parameters

ID: TJvDataItemID

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.IndexOfItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function IndexOfItem(Item: IJvDataItem): Integer; virtual; abstract;

Parameters

Item: IJvDataItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.InsertItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure InsertItem(InsertIndex: Integer; ParentIndex: Integer; Item: IJvDataItem); virtual; abstract;

Parameters

InsertIndex: Integer

Not documented

ParentIndex: Integer

Not documented

Item: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.InternalItemSibling method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function InternalItemSibling(ParentIndex: Integer; var ScanIndex: Integer): Integer;

Parameters

ParentIndex: Integer

Not documented

var ScanIndex: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Item method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function Item(Index: Integer): IJvDataItem; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemGroupInfo method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemGroupInfo(Index: Integer): TDynIntegerArray; virtual;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemHasChildren method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemHasChildren(Index: Integer): Boolean; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemIsExpanded method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemIsExpanded(Index: Integer): Boolean; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemLevel method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemLevel(Index: Integer): Integer; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemParent method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemParent(Index: Integer): IJvDataItem; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemParentIndex method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemParentIndex(Index: Integer): Integer; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemSibling method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemSibling(Index: Integer): IJvDataItem; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ItemSiblingIndex method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemSiblingIndex(Index: Integer): Integer; virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.KeepOnProviderChange method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function KeepOnProviderChange: Boolean; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ProviderChanged method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ProviderChanged; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ProviderChanging method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ProviderChanging; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.RebuildView method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure RebuildView; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Set_AutoExpandLevel method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure Set_AutoExpandLevel(Value: Integer);

Parameters

Value: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Set_ExpandOnNewItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure Set_ExpandOnNewItem(Value: Boolean);

Parameters

Value: Boolean

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.Set_LevelIndent method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure Set_LevelIndent(Value: Integer);

Parameters

Value: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.SubItem method (IJvDataItem, Integer)

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItem(Parent: IJvDataItem; Index: Integer): IJvDataItem; virtual; abstract; overload;

Parameters

Parent: IJvDataItem

Not documented

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.SubItem method (Integer, Integer)

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItem(Parent: Integer; Index: Integer): IJvDataItem; virtual; abstract; overload;

Parameters

Parent: Integer

Not documented

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.SubItemIndex method (IJvDataItem, Integer)

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItemIndex(Parent: IJvDataItem; Index: Integer): Integer; virtual; abstract; overload;

Parameters

Parent: IJvDataItem

Not documented

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.SubItemIndex method (Integer, Integer)

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItemIndex(Parent: Integer; Index: Integer): Integer; virtual; abstract; overload;

Parameters

Parent: Integer

Not documented

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ToggleItem method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ToggleItem(Index: Integer); virtual; abstract;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.UpdateItemFlags method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure UpdateItemFlags(Index: Integer; Value: Integer; Mask: Integer); virtual; abstract;

Parameters

Index: Integer

Not documented

Value: Integer

Not documented

Mask: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataConsumerViewList.ViewChanged method

TJvCustomDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ViewChanged(AExtension: TJvDataConsumerAggregatedObject); override;

Parameters

AExtension: TJvDataConsumerAggregatedObject

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemRenderer
JEDI-VCL Reference

TJvCustomDataItemRenderer

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataItemRenderer = class(TJvBaseDataItemRenderer);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemRenderer Methods

TJvCustomDataItemRenderer	Legend

Methods

 Draw

 Measure

TJvBaseDataItemRenderer

 Draw

 Measure

IJvDataItemRenderer

Draw

Measure

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvCustomDataItemRenderer Properties

TJvCustomDataItemRenderer	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvCustomDataItemRenderer

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemRenderer
                    TJvBaseDataItemRenderer
                        TJvCustomDataItemRenderer


TJvCustomDataItemRenderer Members

TJvCustomDataItemRenderer	Legend

Members

Methods

 Draw

 Measure

TJvBaseDataItemRenderer

 Draw

 Measure

IJvDataItemRenderer

Draw

Measure

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvCustomDataItemRenderer.Draw method

TJvCustomDataItemRenderer	Edit topic

Not documented

Pascal

procedure Draw(ACanvas: TCanvas; var ARect: TRect; State: TProviderDrawStates); override;

Parameters

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

State: TProviderDrawStates

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemRenderer.Measure method

TJvCustomDataItemRenderer	Edit topic

Not documented

Pascal

function Measure(ACanvas: TCanvas): TSize; override;

Parameters

ACanvas: TCanvas

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsImages
JEDI-VCL Reference

TJvCustomDataItemsImages

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataItemsImages = class(TJvBaseDataItemsImagesImpl);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemsImages Properties

TJvCustomDataItemsImages	Legend

Properties

 DisabledImages

 HotImages

 Images

IJvDataItemsImages

DisabledImages

HotImages

Images

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCustomDataItemsImages Methods

TJvCustomDataItemsImages	Legend

Methods

 GetDisabledImages

 GetHotImages

 GetImages

 SetDisabledImages

 SetHotImages

 SetImages

TJvBaseDataItemsImagesImpl

 GetDisabledImages

 GetHotImages

 GetImages

 SetDisabledImages

 SetHotImages

 SetImages

IJvDataItemsImages

GetDisabledImages

GetHotImages

GetImages

SetDisabledImages

SetHotImages

SetImages

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


Legend

TJvCustomDataItemsImages

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject, IJvDataItemsImages
                    TJvBaseDataItemsImagesImpl
                        TJvCustomDataItemsImages


TJvCustomDataItemsImages Members

TJvCustomDataItemsImages	Legend

Members

Properties

 DisabledImages

 HotImages

 Images

IJvDataItemsImages

DisabledImages

HotImages

Images

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 GetDisabledImages

 GetHotImages

 GetImages

 SetDisabledImages

 SetHotImages

 SetImages

TJvBaseDataItemsImagesImpl

 GetDisabledImages

 GetHotImages

 GetImages

 SetDisabledImages

 SetHotImages

 SetImages

IJvDataItemsImages

GetDisabledImages

GetHotImages

GetImages

SetDisabledImages

SetHotImages

SetImages

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual

abstract


TJvCustomDataItemsImages.DisabledImages property

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

property DisabledImages: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemsImages.HotImages property

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

property HotImages: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemsImages.Images property

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

property Images: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemsImages.GetDisabledImages method

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

function GetDisabledImages: TCustomImageList; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsImages.GetHotImages method

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

function GetHotImages: TCustomImageList; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsImages.GetImages method

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

function GetImages: TCustomImageList; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsImages.SetDisabledImages method

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

procedure SetDisabledImages(const Value: TCustomImageList); override;

Parameters

const Value: TCustomImageList

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsImages.SetHotImages method

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

procedure SetHotImages(const Value: TCustomImageList); override;

Parameters

const Value: TCustomImageList

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsImages.SetImages method

TJvCustomDataItemsImages	Edit topic

Not documented

Pascal

procedure SetImages(const Value: TCustomImageList); override;

Parameters

const Value: TCustomImageList

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsRenderer
JEDI-VCL Reference

TJvCustomDataItemsRenderer

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataItemsRenderer = class(TJvBaseDataItemsRenderer);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemsRenderer Methods

TJvCustomDataItemsRenderer	Legend

Methods

 AvgItemSize

 DoDrawItem

 DoMeasureItem

TJvBaseDataItemsRenderer

 AvgItemSize

 DoDrawItem

 DoMeasureItem

 DrawItem

 DrawItemByIndex

 MeasureItem

 MeasureItemByIndex

IJvDataItemsRenderer

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvCustomDataItemsRenderer Properties

TJvCustomDataItemsRenderer	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvCustomDataItemsRenderer

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject, IJvDataItemsRenderer
                    TJvBaseDataItemsRenderer
                        TJvCustomDataItemsRenderer


TJvCustomDataItemsRenderer Members

TJvCustomDataItemsRenderer	Legend

Members

Methods

 AvgItemSize

 DoDrawItem

 DoMeasureItem

TJvBaseDataItemsRenderer

 AvgItemSize

 DoDrawItem

 DoMeasureItem

 DrawItem

 DrawItemByIndex

 MeasureItem

 MeasureItemByIndex

IJvDataItemsRenderer

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvCustomDataItemsRenderer.AvgItemSize method

TJvCustomDataItemsRenderer	Edit topic

Not documented

Pascal

function AvgItemSize(ACanvas: TCanvas): TSize; override;

Parameters

ACanvas: TCanvas

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsRenderer.DoDrawItem method

TJvCustomDataItemsRenderer	Edit topic

Not documented

Pascal

procedure DoDrawItem(ACanvas: TCanvas; var ARect: TRect; Item: IJvDataItem; State: TProviderDrawStates); override;

Parameters

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

Item: IJvDataItem

Not documented

State: TProviderDrawStates

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsRenderer.DoMeasureItem method

TJvCustomDataItemsRenderer	Edit topic

Not documented

Pascal

function DoMeasureItem(ACanvas: TCanvas; Item: IJvDataItem): TSize; override;

Parameters

ACanvas: TCanvas

Not documented

Item: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemStates
JEDI-VCL Reference

TJvCustomDataItemStates

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataItemStates = class(TJvBaseDataItemStates);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemStates Properties

TJvCustomDataItemStates	Legend

Properties

 Checked

 Enabled

 Visible

IJvDataItemStates

Checked

Enabled

Visible

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvCustomDataItemStates Methods

TJvCustomDataItemStates	Legend

Methods

 Get_Checked

 Get_Enabled

 Get_Visible

 InitStatesUsage

 Set_Checked

 Set_Enabled

 Set_Visible

TJvBaseDataItemStates

 Get_Checked

 Get_Enabled

 Get_Visible

 Set_Checked

 Set_Enabled

 Set_Visible

IJvDataItemStates

Get_Checked

Get_Enabled

Get_Visible

Set_Checked

Set_Enabled

Set_Visible

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


Legend

TJvCustomDataItemStates

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemStates
                    TJvBaseDataItemStates
                        TJvCustomDataItemStates


TJvCustomDataItemStates Members

TJvCustomDataItemStates	Legend

Members

Properties

 Checked

 Enabled

 Visible

IJvDataItemStates

Checked

Enabled

Visible

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 Get_Checked

 Get_Enabled

 Get_Visible

 InitStatesUsage

 Set_Checked

 Set_Enabled

 Set_Visible

TJvBaseDataItemStates

 Get_Checked

 Get_Enabled

 Get_Visible

 Set_Checked

 Set_Enabled

 Set_Visible

IJvDataItemStates

Get_Checked

Get_Enabled

Get_Visible

Set_Checked

Set_Enabled

Set_Visible

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual

abstract


TJvCustomDataItemStates.Checked property

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

property Checked: TDataItemState;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemStates.Enabled property

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

property Enabled: TDataItemState;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemStates.Visible property

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

property Visible: TDataItemState;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemStates.Get_Checked method

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

function Get_Checked: TDataItemState; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemStates.Get_Enabled method

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

function Get_Enabled: TDataItemState; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemStates.Get_Visible method

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

function Get_Visible: TDataItemState; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemStates.InitStatesUsage method

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

procedure InitStatesUsage(UseEnabled: Boolean; UseChecked: Boolean; UseVisible: Boolean);

Parameters

UseEnabled: Boolean

Not documented

UseChecked: Boolean

Not documented

UseVisible: Boolean

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemStates.Set_Checked method

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

procedure Set_Checked(Value: TDataItemState); override;

Parameters

Value: TDataItemState

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemStates.Set_Enabled method

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

procedure Set_Enabled(Value: TDataItemState); override;

Parameters

Value: TDataItemState

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemStates.Set_Visible method

TJvCustomDataItemStates	Edit topic

Not documented

Pascal

procedure Set_Visible(Value: TDataItemState); override;

Parameters

Value: TDataItemState

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsTextRenderer
JEDI-VCL Reference

TJvCustomDataItemsTextRenderer

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataItemsTextRenderer = class(TJvBaseDataItemsRenderer);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemsTextRenderer Methods

TJvCustomDataItemsTextRenderer	Legend

Methods

 AvgItemSize

 DoDrawItem

 DoMeasureItem

TJvBaseDataItemsRenderer

 AvgItemSize

 DoDrawItem

 DoMeasureItem

 DrawItem

 DrawItemByIndex

 MeasureItem

 MeasureItemByIndex

IJvDataItemsRenderer

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvCustomDataItemsTextRenderer Properties

TJvCustomDataItemsTextRenderer	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvCustomDataItemsTextRenderer

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject, IJvDataItemsRenderer
                    TJvBaseDataItemsRenderer
                        TJvCustomDataItemsTextRenderer


TJvCustomDataItemsTextRenderer Members

TJvCustomDataItemsTextRenderer	Legend

Members

Methods

 AvgItemSize

 DoDrawItem

 DoMeasureItem

TJvBaseDataItemsRenderer

 AvgItemSize

 DoDrawItem

 DoMeasureItem

 DrawItem

 DrawItemByIndex

 MeasureItem

 MeasureItemByIndex

IJvDataItemsRenderer

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

TJvDataItemsAggregatedObject

 ContextDestroying

 Items

 ItemsImpl

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvCustomDataItemsTextRenderer.AvgItemSize method

TJvCustomDataItemsTextRenderer	Edit topic

Not documented

Pascal

function AvgItemSize(ACanvas: TCanvas): TSize; override;

Parameters

ACanvas: TCanvas

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsTextRenderer.DoDrawItem method

TJvCustomDataItemsTextRenderer	Edit topic

Not documented

Pascal

procedure DoDrawItem(ACanvas: TCanvas; var ARect: TRect; Item: IJvDataItem; State: TProviderDrawStates); override;

Parameters

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

Item: IJvDataItem

Not documented

State: TProviderDrawStates

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemsTextRenderer.DoMeasureItem method

TJvCustomDataItemsTextRenderer	Edit topic

Not documented

Pascal

function DoMeasureItem(ACanvas: TCanvas; Item: IJvDataItem): TSize; override;

Parameters

ACanvas: TCanvas

Not documented

Item: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemTextRenderer
JEDI-VCL Reference

TJvCustomDataItemTextRenderer

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataItemTextRenderer = class(TJvBaseDataItemRenderer);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataItemTextRenderer Methods

TJvCustomDataItemTextRenderer	Legend

Methods

 Draw

 Measure

TJvBaseDataItemRenderer

 Draw

 Measure

IJvDataItemRenderer

Draw

Measure

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvCustomDataItemTextRenderer Properties

TJvCustomDataItemTextRenderer	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvCustomDataItemTextRenderer

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemRenderer
                    TJvBaseDataItemRenderer
                        TJvCustomDataItemTextRenderer


TJvCustomDataItemTextRenderer Members

TJvCustomDataItemTextRenderer	Legend

Members

Methods

 Draw

 Measure

TJvBaseDataItemRenderer

 Draw

 Measure

IJvDataItemRenderer

Draw

Measure

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvCustomDataItemTextRenderer.Draw method

TJvCustomDataItemTextRenderer	Edit topic

Not documented

Pascal

procedure Draw(ACanvas: TCanvas; var ARect: TRect; State: TProviderDrawStates); override;

Parameters

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

State: TProviderDrawStates

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataItemTextRenderer.Measure method

TJvCustomDataItemTextRenderer	Edit topic

Not documented

Pascal

function Measure(ACanvas: TCanvas): TSize; override;

Parameters

ACanvas: TCanvas

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider
JEDI-VCL Reference

TJvCustomDataProvider

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvCustomDataProvider = class(TJvComponent, IUnknown, IJvDataProvider);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataProvider Properties

TJvCustomDataProvider	Legend

Properties

 Contexts

 DataContextsImpl

 DataItemsImpl

 Items

TJvComponent

 AboutJVCL

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomDataProvider Methods

TJvCustomDataProvider	Legend

Methods

 AddToArray

 AllowContextManager

 AllowProviderDesigner

 BeforeDestruction

 Changed

 Changing

 ConsumerClasses

 ConsumerDestroying

 ContextAdded

 ContextDestroying

 ContextsClass

 ContextsManagerClass

 DefineProperties

 DeleteFromArray

 GetDataItemsImpl

 GetImplementer

 GetInterface

 GetItems

 GetNotifier

 GetNotifierCount

 IndexOfClass

 IsTreeProvider

 ItemsClass

 PersistentDataItems

 QueryInterface

 ReadContext

 ReadContexts

 ReadRoot

 RegisterChangeNotify

 ReleaseConsumer

 ReleaseContext

 RemoveFromArray

 SelectConsumer

 SelectContext

 SelectedConsumer

 SelectedContext

 UnregisterChangeNotify

 WriteContext

 WriteContexts

 WriteRoot

IJvDataProvider

AllowContextManager

AllowProviderDesigner

Changed

Changing

ConsumerClasses

ConsumerDestroying

ContextDestroying

GetImplementer

GetItems

GetNotifier

GetNotifierCount

RegisterChangeNotify

ReleaseConsumer

ReleaseContext

SelectConsumer

SelectContext

SelectedConsumer

SelectedContext

UnregisterChangeNotify

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomDataProvider

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent, IUnknown, IJvDataProvider
                TJvCustomDataProvider


TJvCustomDataProvider Members

TJvCustomDataProvider	Legend

Members

Properties

 Contexts

 DataContextsImpl

 DataItemsImpl

 Items

TJvComponent

 AboutJVCL

Methods

 AddToArray

 AllowContextManager

 AllowProviderDesigner

 BeforeDestruction

 Changed

 Changing

 ConsumerClasses

 ConsumerDestroying

 ContextAdded

 ContextDestroying

 ContextsClass

 ContextsManagerClass

 DefineProperties

 DeleteFromArray

 GetDataItemsImpl

 GetImplementer

 GetInterface

 GetItems

 GetNotifier

 GetNotifierCount

 IndexOfClass

 IsTreeProvider

 ItemsClass

 PersistentDataItems

 QueryInterface

 ReadContext

 ReadContexts

 ReadRoot

 RegisterChangeNotify

 ReleaseConsumer

 ReleaseContext

 RemoveFromArray

 SelectConsumer

 SelectContext

 SelectedConsumer

 SelectedContext

 UnregisterChangeNotify

 WriteContext

 WriteContexts

 WriteRoot

IJvDataProvider

AllowContextManager

AllowProviderDesigner

Changed

Changing

ConsumerClasses

ConsumerDestroying

ContextDestroying

GetImplementer

GetItems

GetNotifier

GetNotifierCount

RegisterChangeNotify

ReleaseConsumer

ReleaseContext

SelectConsumer

SelectContext

SelectedConsumer

SelectedContext

UnregisterChangeNotify

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvCustomDataProvider.Contexts property

TJvCustomDataProvider	Edit topic

Not documented

Pascal

property Contexts: TJvDataProviderContexts;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataProvider.DataContextsImpl property

TJvCustomDataProvider	Edit topic

Not documented

Pascal

property DataContextsImpl: TJvBaseDataContexts;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataProvider.DataItemsImpl property

TJvCustomDataProvider	Edit topic

Not documented

Pascal

property DataItemsImpl: TJvBaseDataItems;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataProvider.Items property

TJvCustomDataProvider	Edit topic

Not documented

Pascal

property Items: TJvDataProviderTree;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataProvider.AddToArray method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure AddToArray(var ClassArray: TClassArray; AClass: TClass);

Parameters

var ClassArray: TClassArray

Not documented

AClass: TClass

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.AllowContextManager method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function AllowContextManager: Boolean; dynamic;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.AllowProviderDesigner method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function AllowProviderDesigner: Boolean; dynamic;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.BeforeDestruction method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure BeforeDestruction; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataProvider.Changed method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure Changed(ChangeReason: TDataProviderChangeReason; Source: IUnknown = nil);

Parameters

ChangeReason: TDataProviderChangeReason

Not documented

Source: IUnknown = nil

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.Changing method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure Changing(ChangeReason: TDataProviderChangeReason; Source: IUnknown = nil);

Parameters

ChangeReason: TDataProviderChangeReason

Not documented

Source: IUnknown = nil

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ConsumerClasses method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function ConsumerClasses: TClassArray; dynamic;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ConsumerDestroying method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ConsumerDestroying(Consumer: IJvDataConsumer); dynamic;

Parameters

Consumer: IJvDataConsumer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ContextAdded method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ContextAdded(Context: IJvDataContext); dynamic;

Parameters

Context: IJvDataContext

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ContextDestroying method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ContextDestroying(Context: IJvDataContext); dynamic;

Parameters

Context: IJvDataContext

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ContextsClass method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

class function ContextsClass: TJvDataContextsClass; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ContextsManagerClass method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

class function ContextsManagerClass: TJvDataContextsManagerClass; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.DefineProperties method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure DefineProperties(Filer: TFiler); override;

Parameters

Filer: TFiler

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.DeleteFromArray method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure DeleteFromArray(var ClassArray: TClassArray; Index: Integer);

Parameters

var ClassArray: TClassArray

Not documented

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.GetDataItemsImpl method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function GetDataItemsImpl: TJvBaseDataItems;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.GetImplementer method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function GetImplementer: TObject;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.GetInterface method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function GetInterface(const IID: TGUID; out Obj): Boolean; virtual;

Parameters

const IID: TGUID

Not documented

out Obj

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDataProvider.GetItems method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function GetItems: IJvDataItems; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.GetNotifier method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function GetNotifier(Index: Integer): IJvDataProviderNotify;

Parameters

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.GetNotifierCount method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function GetNotifierCount: Integer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.IndexOfClass method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function IndexOfClass(AClassArray: TClassArray; AClass: TClass): Integer;

Parameters

AClassArray: TClassArray

Not documented

AClass: TClass

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.IsTreeProvider method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function IsTreeProvider: Boolean; dynamic;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ItemsClass method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

class function ItemsClass: TJvDataItemsClass; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.PersistentDataItems method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

class function PersistentDataItems: Boolean; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.QueryInterface method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function QueryInterface(const IID: TGUID; out Obj): HRESULT; override;

Parameters

const IID: TGUID

Not documented

out Obj

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ReadContext method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ReadContext(Reader: TReader; Index: Integer);

Parameters

Reader: TReader

Not documented

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ReadContexts method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ReadContexts(Reader: TReader);

Parameters

Reader: TReader

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ReadRoot method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ReadRoot(Reader: TReader);

Parameters

Reader: TReader

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.RegisterChangeNotify method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure RegisterChangeNotify(ANotify: IJvDataProviderNotify); dynamic;

Parameters

ANotify: IJvDataProviderNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ReleaseConsumer method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ReleaseConsumer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.ReleaseContext method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure ReleaseContext;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.RemoveFromArray method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure RemoveFromArray(var ClassArray: TClassArray; AClass: TClass);

Parameters

var ClassArray: TClassArray

Not documented

AClass: TClass

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.SelectConsumer method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure SelectConsumer(Consumer: IJvDataConsumer);

Parameters

Consumer: IJvDataConsumer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.SelectContext method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure SelectContext(Context: IJvDataContext);

Parameters

Context: IJvDataContext

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.SelectedConsumer method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function SelectedConsumer: IJvDataConsumer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.SelectedContext method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

function SelectedContext: IJvDataContext;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.UnregisterChangeNotify method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure UnregisterChangeNotify(ANotify: IJvDataProviderNotify); dynamic;

Parameters

ANotify: IJvDataProviderNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.WriteContext method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure WriteContext(Writer: TWriter; AContext: IJvDataContext);

Parameters

Writer: TWriter

Not documented

AContext: IJvDataContext

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.WriteContexts method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure WriteContexts(Writer: TWriter);

Parameters

Writer: TWriter

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDataProvider.WriteRoot method

TJvCustomDataProvider	Edit topic

Not documented

Pascal

procedure WriteRoot(Writer: TWriter);

Parameters

Writer: TWriter

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvCustomDateEdit
JEDI-VCL Reference

TJvCustomDateEdit

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for the TJvDateEdit control.

Pascal

TJvCustomDateEdit = class(TJvCustomComboEdit);

File

JvToolEdit

Description

Use TJvCustomDateEdit as a base class when creating custom combo edits that can be used for entering dates. Do not create instances of TJvCustomDateEdit. Instead, to put a combo edit control for entering dates on a form, use a TJvCustomDateEdit descendant such as TJvDateEdit.

Created with Doc-O-Matic.


TJvCustomDateEdit Properties

TJvCustomDateEdit	Legend

Properties

 BlanksChar

 CalendarHints

 CalendarStyle

 CheckOnExit

Date

DateAutoBetween

 DefaultToday

 DialogTitle

 Formatting

 ImageKind

MaxDate

MinDate

 PopupColor

PopupVisible

 StartOfWeek

 WeekendColor

 Weekends

 YearDigits

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomDateEdit Events

TJvCustomDateEdit	Legend

Events

 OnAcceptDate

 OnInvalidDate

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomDateEdit Methods

TJvCustomDateEdit	Legend

Methods

CheckValidDate

 DefaultImageIndex

GetDateMask

 UpdateMask

 ValidateEdit

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomDateEdit

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvCustomDateEdit


TJvCustomDateEdit Members

TJvCustomDateEdit	Legend

Members

Properties

 BlanksChar

 CalendarHints

 CalendarStyle

 CheckOnExit

Date

DateAutoBetween

 DefaultToday

 DialogTitle

 Formatting

 ImageKind

MaxDate

MinDate

 PopupColor

PopupVisible

 StartOfWeek

 WeekendColor

 Weekends

 YearDigits

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnAcceptDate

 OnInvalidDate

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

CheckValidDate

 DefaultImageIndex

GetDateMask

 UpdateMask

 ValidateEdit

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomDateEdit.BlanksChar property

TJvCustomDateEdit	See Also	Edit topic

Specifies the character used to represent unentered characters in the date mask.

Pascal

property BlanksChar: Char;

Description

Use BlanksChar to specify the character used to represent unentered characters in the date mask.

The default value of BlanksChar is the space.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.GetDateMask


TJvCustomDateEdit.CalendarHints property

TJvCustomDateEdit	Edit topic

Provides a way to customize the Help Hints for the buttons on the pop-up calendar window.

Pascal

property CalendarHints: TStrings;

Description

Use the CalendarHints property to supply Help Hints of your choosing for the individual buttons. Each button has a default Help Hint. CalendarHints allow the values of any or all of these default Help Hints to be replaced by customized hints.

CalendarHints is a string list. Each hint is a string. The first string in the string list becomes the Help Hint for the first button on the navigator (the Previous Year button). The fourth hint becomes the Help Hint for the fourth button (the Next Year button).

When specifying CalendarHints at runtime, enter an empty string for any Help Hint that should keep the default value. Simply leave the line blank when using the string list property editor of the Object Inspector for the CalendarHints property.

Created with Doc-O-Matic.


TJvCustomDateEdit.CalendarStyle property

TJvCustomDateEdit	See Also	Edit topic

Specifies the style of the pop-up calendar.

Pascal

property CalendarStyle: TCalendarStyle;

Description

Use CalendarStyle to specify the style of the pop-up calendar, that is displayed when the user clicks the button of the combo edit control. The calendar can either be a pop-up window or a modal dialog.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.PopupAlign, TJvCustomDateEdit.DialogTitle, TJvCustomDateEdit.PopupColor


TJvCustomDateEdit.CheckOnExit property

TJvCustomDateEdit	See Also	Edit topic

Specifies whether to check the control's text when the user attempts to leave the control.

Pascal

property CheckOnExit: Boolean;

Description

Use CheckOnExit to specify whether to validate the control's text when the user attempts to leave the combo control. If set to true, the control calls CheckValidDate on exit of the control.

Created with Doc-O-Matic.


See Also

CheckValidDate, Date


TJvCustomDateEdit.Date property

TJvCustomDateEdit	See Also	Edit topic

Indicates the date displayed in the edit portion of the combo edit control.

Pascal

property Date: TDateTime;

Description

Use Date to get or set the date that is entered in the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.CheckValidDate, TJvCustomDateEdit.DateAutoBetween


TJvCustomDateEdit.DateAutoBetween property

TJvCustomDateEdit	See Also	Edit topic

Specifies whether to automatically alter the entered date to ensure it is between MinDate and MaxDate.

Pascal

property DateAutoBetween: Boolean;

Description

Set DateAutoBetween to true to let the control alter the entered date to ensure it is between MinDate and MaxDate. Set DateAutoBetween to false to let the control raise an exception when the entered date is not between MinDate and MaxDate.

Notes

If you specify the value 0 for MinDate, then the control won't check whether the entered date is equal or after the MinDate. Same for MaxDate.

Created with Doc-O-Matic.


See Also

Date


TJvCustomDateEdit.DefaultToday property

TJvCustomDateEdit	See Also	Edit topic

Specifies whether to use today's day as default.

Pascal

property DefaultToday: Boolean;

Description

Set DefaultToday to true to use today's date as default. For example, if the Text of the control is empty then Date will return today's date. Set DefaultToday to false to use the null value (12/30/1899 12:00 am) as default.

Created with Doc-O-Matic.


See Also

Date


TJvCustomDateEdit.DialogTitle property

TJvCustomDateEdit	See Also	Edit topic

Specifies the text in the dialog’s title bar.

Pascal

property DialogTitle: string;

Description

Use Title to specify the text that appears in the dialog’s title bar.

Notes

Only used if CalendarStyle is csDialog.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.PopupAlign, TJvCustomDateEdit.CalendarStyle, TJvCustomDateEdit.PopupColor


TJvCustomDateEdit.Formatting property

TJvCustomDateEdit	Edit topic

Indicates whether the control is setting its text.

Pascal

property Formatting: Boolean;

Description

The control checks Formatting internally to determine whether it is busy formatting its text.

Created with Doc-O-Matic.


TJvCustomDateEdit.ImageKind property

TJvCustomDateEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvCustomDateEdit.MaxDate property

TJvCustomDateEdit	See Also	Edit topic

Indicates the maximum date the user can enter.

Pascal

property MaxDate: TDateTime;

Description

Use MaxDate to get or set the maximum date the user can enter in the edit box and to which users can scroll the calendar. The value of the Date property cannot exceed MaxDate.

Created with Doc-O-Matic.


See Also

Date


TJvCustomDateEdit.MinDate property

TJvCustomDateEdit	See Also	Edit topic

Indicates the minimum date the user can enter.

Pascal

property MinDate: TDateTime;

Description

Use MinDate to get or set the maximum date the user can enter in the edit box and to which users can scroll the calendar. The value of the Date property cannot be before MaxDate.

Created with Doc-O-Matic.


See Also

Date


TJvCustomDateEdit.OnAcceptDate event

TJvCustomDateEdit	Edit topic

Occurs after the user has selected a date in the calendar.

Pascal

TExecDateDialog = procedure (Sender: TObject; var ADate: TDateTime; var Action: Boolean) of object;
property OnAcceptDate: TExecDateDialog;

Parameters

Action

Determines whether the date specified by ADate is accepted.

ADate

The date the user selected.

Sender

The object that represents the date button control.

Description

Write an OnAcceptDate event handler to conditionally prevent the user from selecting specific dates from the calendar.

Set Action to false (Action is initially true) to make the control act as if the user canceled the date selection from the calendar.

Alter ADate to make the control act as if the user selected that new value.

Created with Doc-O-Matic.


TJvCustomDateEdit.OnInvalidDate event

TJvCustomDateEdit	Edit topic

Not documented

Pascal

TJvInvalidDateEvent = procedure (Sender: TObject; const DateString: string; var NewDate: TDateTime; var Accept: Boolean) of object;
property OnInvalidDate: TJvInvalidDateEvent;

Parameters

NewDate

Not documented

Accept

Not documented

Sender

Not documented

DateString

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDateEdit.PopupColor property

TJvCustomDateEdit	See Also	Edit topic

Specifies the color of the pop-up calendar.

Pascal

property PopupColor: TColor;

Description

Use PopupColor to specify the color of the pop-up calendar.

Notes

Only used if CalendarStyle is csPopup.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.PopupAlign, TJvCustomDateEdit.CalendarStyle, TJvCustomDateEdit.DialogTitle


TJvCustomDateEdit.PopupVisible property

TJvCustomDateEdit	Edit topic

Indicates whether the pop-up window is visible.

Pascal

property PopupVisible: Boolean;

Description

Read PopupVisible to determine whether the pop-up window is visible.

The pop-up window is normally shown when the user clicks the button of the combo edit control.

Created with Doc-O-Matic.


TJvCustomDateEdit.StartOfWeek property

TJvCustomDateEdit	See Also	Edit topic

Specifies the day of the leftmost column in the pop-up calendar.

Pascal

property StartOfWeek: TDayOfWeekName;

Description

Use StartOfWeek to specify the day of the leftmost column in the pop-up calendar.

The default value of StartOfWeek is "Mon" (Monday).

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.Weekends


TJvCustomDateEdit.WeekendColor property

TJvCustomDateEdit	See Also	Edit topic

The text color of weekend days in the calendar.

Pascal

property WeekendColor: TColor;

Description

WeekendColor determines the text color of weekend days in the calendar.

Use Weekends to specify the days that are marked as weekend days.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.Weekends


TJvCustomDateEdit.Weekends property

TJvCustomDateEdit	See Also	Edit topic

Specifies the days marked as weekend days in the pop-up calendar.

Pascal

property Weekends: TDaysOfWeek;

Description

Use Weekends to specify the days marked as weekend days in the pop-up calendar.

Weekend days are displayed in the color specified by WeekendColor. The default value of Weekends is [Sun] (i.e., only Sunday)

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.StartOfWeek, TJvCustomDateEdit.WeekendColor


TJvCustomDateEdit.YearDigits property

TJvCustomDateEdit	See Also	Edit topic

Specifies the number of digits used for the year.

Pascal

property YearDigits: TYearDigits;

Description

Use YearDigits to specify the number of digits used for the year part of the date displayed in combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.GetDateMask


TJvCustomDateEdit.CheckValidDate method

TJvCustomDateEdit	See Also	Edit topic

Validates the text of the combo control against the current date mask.

Pascal

procedure CheckValidDate;

Description

CheckValidDate validates the combo control's text. If the text does not match the specifications of the date mask, CheckValidDate raises an exception.

Call GetDateMask to retrieve the date mask. Use CheckOnExit to specify whether to check the text on exit of the control.

Created with Doc-O-Matic.


See Also

Date


TJvCustomDateEdit.DefaultImageIndex method

TJvCustomDateEdit	Edit topic

Not documented

Pascal

class function DefaultImageIndex: TImageIndex; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomDateEdit.GetDateMask method

TJvCustomDateEdit	See Also	Edit topic

Returns the mask that represents what text is valid for the control.

Pascal

function GetDateMask: string;

Return Value

Returns the mask that represents what text is valid for the control.

Description

Call GetDateMask to retrieve the mask that represents what text is valid for the control.

The value of the mask depends on the values of BlanksChar and YearDigits, and on the date format specified in the Windows control panel.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.BlanksChar, TJvCustomDateEdit.YearDigits


TJvCustomDateEdit.UpdateMask method

TJvCustomDateEdit	See Also	Edit topic

Updates the current mask.

Pascal

procedure UpdateMask; virtual;

Description

Call UpdateMask to update the current date mask. UpdateMask is automatically called if BlanksChar or YearDigits is changed.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.ValidateEdit


TJvCustomDateEdit.ValidateEdit method

TJvCustomDateEdit	See Also	Edit topic

Validates the text of the combo control against the current date mask.

Pascal

procedure ValidateEdit; override;

Description

ValidateEdit validates the combo control's text. If the text does not match the specifications of the date mask, ValidateEdit raises an exception.

Call GetDateMask to retrieve the date mask. Use CheckOnExit to specify whether to check the text on exit of the control.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.GetDateMask


TJvCustomDBTreeView
JEDI-VCL Reference

TJvCustomDBTreeView

Hierarchy	Properties	Methods	Events	 Edit topic

Specifies the interface for a data-aware tree view component.

Pascal

TJvCustomDBTreeView = class(TJvCustomTreeView);

File

JvDBTreeView

Description

TJvCustomDBTreeView is a TJvCustomTreeView descendant that specifies the interface for a data-aware tree view component. TJvCustomDBTreeView introduces properties, methods, and events needed to render a tree-structured view using values loaded from a linked data source.

Values rendered in the treeview are provided using the DataSource introduced in the component. The tree structure is derived by using the field names specified in the MasterField and DetailField properties.

MasterField provides a unique identifier for a node in the treeview. ParentField is provided as a simple alias for the MasterField property.

Values in DetailField are used to indicate the relationship to the master (or parent) node.

The content for nodes in Items for the treeview are derived and rendered using the values specified in the ItemField, IconField, ImageIndex, and SelectedIdex properties. The contents of the data-aware treeview are updated when the linked DataSource scrolls or when nodes in the treeview are interactively changed using mouse and keyboard events.

Use the Items property to access TJvDBTreeNode instances created in the data-aware treeview component.

Editing is permitted in the treeview when the underlying dataset for the DataSource is not in read-only mode.

TJvCustomDBTreeView also implements support for Drag-and-Drop operations; values in the MasterField and DetailField in the datas t are updated to reflect the new parent / child relationship in the treeview following the Drag-and-Drop operation.

Applications should use instances of the TJvDBTreeView descendant class which publishes properties introduced in TJvCustomDBTreeView.

Created with Doc-O-Matic.


TJvCustomDBTreeView Properties

TJvCustomDBTreeView	Legend

Properties

 DataLink

DataSource

DetailField

GetDetailValue

IconField

ItemField

KeyField

MasterField

Mirror

ParentField

PersistentNode

SelectedIndex

StartMasterValue

UseFilter

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvCustomDBTreeView Methods

TJvCustomDBTreeView	Legend

Methods

AddChildNode

DeleteNode

 DragDrop

FindNextNode

FindNode

 LinkActive

RefreshChild

SelectNode

UpdateLock

UpdateLocked

UpdateTree

UpdateUnLock

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvCustomDBTreeView Events

TJvCustomDBTreeView	Legend

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomDBTreeView

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomTreeView
                TJvCustomDBTreeView


TJvCustomDBTreeView Members

TJvCustomDBTreeView	Legend

Members

Properties

 DataLink

DataSource

DetailField

GetDetailValue

IconField

ItemField

KeyField

MasterField

Mirror

ParentField

PersistentNode

SelectedIndex

StartMasterValue

UseFilter

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Methods

AddChildNode

DeleteNode

 DragDrop

FindNextNode

FindNode

 LinkActive

RefreshChild

SelectNode

UpdateLock

UpdateLocked

UpdateTree

UpdateUnLock

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Legend

read only

published

protected

virtual


TJvCustomDBTreeView.DataLink property

TJvCustomDBTreeView	Edit topic

Manages the link and event responses for the data source in the data-aware treeview component.

Pascal

property DataLink: TJvDBTreeViewDataLink;

Description

DataLink is a TJvDBTreeViewDataLink property used to help the data-aware treeview manage its link to the data source and respond to data events.

DataLink helps TJvCustomDBTreeView to:

Resolve field bindings for the treeview with fields in the dataset.

Respond to changes in the values of fields.

Respond to changes in record currency.

Respond to changes in the editing state of the dataset.

Keep track of unposted edits.

Applications should not need to use the DataLink property. It is exposed as a public property so that component writers can use descendant classes to respond to additional data events.

Use DataSource to access the underlying dataset for the data-aware treeview component.

Created with Doc-O-Matic.


TJvCustomDBTreeView.DataSource property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property DataSource: TDataSource;

Created with Doc-O-Matic.


TJvCustomDBTreeView.DetailField property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property DetailField: string;

Created with Doc-O-Matic.


TJvCustomDBTreeView.GetDetailValue property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

TGetDetailValue = function (const AMasterValue: Variant; var DetailValue: Variant): Boolean;
property GetDetailValue: TGetDetailValue;

Parameters

DetailValue

Not documented

AMasterValue

Not documented

Description

Write a GetDetailValue event handler to return one or more detail values for a node selected in the TJvDBTreeView data-aware treeview component.

Created with Doc-O-Matic.


TJvCustomDBTreeView.IconField property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property IconField: string;

Created with Doc-O-Matic.


TJvCustomDBTreeView.ItemField property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property ItemField: string;

Created with Doc-O-Matic.


TJvCustomDBTreeView.KeyField property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property KeyField: string;

Created with Doc-O-Matic.


TJvCustomDBTreeView.MasterField property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property MasterField: string;

Created with Doc-O-Matic.


TJvCustomDBTreeView.Mirror property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property Mirror: Boolean;

Created with Doc-O-Matic.


TJvCustomDBTreeView.ParentField property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property ParentField: string;

Created with Doc-O-Matic.


TJvCustomDBTreeView.PersistentNode property

TJvCustomDBTreeView	Edit topic

Indicates if child nodes are stored in the tree, or recreated when the parent node is expanded.

Pascal

property PersistentNode: Boolean;

Description

PersistentNode is a Boolean property that indicates if child nodes are stored in the tree, or recreated when the parent node is expanded.

When PersistentNode contains False, collapsing a node causes its' child nodes to be removed from the tree structure. Expanding the node will cause its children to be derived by calling RefreshChild.

When PersistentNode contains True, child nodes are unaffected by actions that collapse the parent node.

Created with Doc-O-Matic.


TJvCustomDBTreeView.SelectedIndex property

TJvCustomDBTreeView	Edit topic

Represents an image index offset to use for items in the data-aware treeview when the item is selected.

Pascal

property SelectedIndex: Integer;

Description

SelectedIndex is an Integer property that represents an image index offset to use for items in the data-aware treeview when the item is selected. The value in selected is added to the field value retrieved from the IconField in the underlying dataset.

The default value for SelectedIndex is 1, as assigned in the constructor for the object instance.

As an example, let's assume the treeview has four images and four selected images.

Position	Description	Use In IconField
0	RootNode (Unselected)	Yes
1	RootNode (Selected)	No
2	ChildLevel0 (Unselected)	Yes
3	ChildLevel0 (Selected)	No
4	ChildLevel1 (Unselected)	Yes
5	ChildLevel1 (Selected)	No
6	ChildLevel2 (Unselected)	Yes
7	ChildLevel2 (Selected)	No

When SelectIndex contains 1, values returned from IconField should contain either 0, 2, 4, or 6.

Another way to store and access the images includes:

Position	Description	Use In IconField
0	RootNode (Unselected)	Yes
1	ChildLevel0 (Unselected)	Yes
2	ChildLevel1 (Unselected)	Yes
3	ChildLevel2 (Unselected)	Yes
4	RootNode (Selected)	No
5	ChildLevel0 (Selected)	No
6	ChildLevel1 (Selected)	No
7	ChildLevel2 (Selected)	No

When SelectIndex contains 4, values returned from IconField should contain either 0, 1, 2, or 3.

Set SelecteIndex to 0 to use the same ImageIndex for both selected and unselected items in the treeview.

Created with Doc-O-Matic.


TJvCustomDBTreeView.StartMasterValue property

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

property StartMasterValue: string;

Description

StartMasterValue is a String property.

Created with Doc-O-Matic.


TJvCustomDBTreeView.UseFilter property

TJvCustomDBTreeView	Edit topic

Indicates if a filter should be use on the dataset when building the tree structure in the data-aware treeview.

Pascal

property UseFilter: Boolean;

Description

UseFilter is a Boolean property that indicates if a filter on the underlying dataset for the DataSource can be used when building the tree structure in the data-aware treeview.

Setting UseFilter to True indicates that the underlying TDataSet should use a filter when building child nodes for the current node in the treeview. The filter will consist of a statement that compares the current value in MasterField to values found in DetailField. An existing filter expression for the dataset is retained, and any new content for the expression is appended using a logical AND to support both conditions. The filter is enabled prior to scanning the dataset for rows having a value in DetailField that matches the current value of MasterField.

When UseFilter contains False, data in the underlying dataset must already be ordered to produce the desired tree structure based on values in MasterField and DetailField.

Do not set UseFilter to True if the dataset does not support use of filters expressions.

UseFilter is used in the RefreshChild method when building and displaying nodes in the tree structure.

Created with Doc-O-Matic.


TJvCustomDBTreeView.AddChildNode method

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

function AddChildNode(const Node: TTreeNode; const Select: Boolean): TJvDBTreeNode;

Parameters

const Node: TTreeNode

Not documented

const Select: Boolean

Not documented

Created with Doc-O-Matic.


TJvCustomDBTreeView.DeleteNode method

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

procedure DeleteNode(Node: TTreeNode);

Parameters

Node: TTreeNode

Not documented

Created with Doc-O-Matic.


TJvCustomDBTreeView.DragDrop method

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

procedure DragDrop(Source: TObject; X: Integer; Y: Integer); override;

Parameters

Source: TObject

Not documented

X: Integer

Not documented

Y: Integer

Not documented

Created with Doc-O-Matic.


TJvCustomDBTreeView.FindNextNode method

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

function FindNextNode(const Node: TTreeNode): TTreeNode;

Parameters

const Node: TTreeNode

Not documented

Created with Doc-O-Matic.


TJvCustomDBTreeView.FindNode method

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

function FindNode(AMasterValue: Variant): TJvDBTreeNode;

Parameters

AMasterValue: Variant

Not documented

Created with Doc-O-Matic.


TJvCustomDBTreeView.LinkActive method

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

procedure LinkActive(Value: Boolean); virtual;

Parameters

Value: Boolean

Not documented

Created with Doc-O-Matic.


TJvCustomDBTreeView.RefreshChild method

TJvCustomDBTreeView	Edit topic

Ensures that child nodes for a specified tree node are calculated and refreshed.

Pascal

procedure RefreshChild(ANode: TJvDBTreeNode);

Parameters

ANode: TJvDBTreeNode

Node needing to refresh its' list of child nodes.

Description

RefreshChild is a method used to ensure that the child nodes for the tree node specified in ANode are calculated and refreshed. When ANode contains the value Nil, the entire tree is refreshed.

RefreshChild requires that an active dataset be attached to the DataSource for the data-aware treeview. If the dataset is not active, or the treeview is already in the process of rebuilding its' nodes, no additional action is performed.

RefreshChild calls UpdateLock to signal that an update is in progress, and removes any existing child nodes for the tree node specified in ANode.

RefreshChild iterates over rows in the DataLink starting with the value specified in MasterField for the node in ANode. When a value is located in DetailField that matches the MasterValue for the node in ANode, it is added as a child node. It is also considered a child node if the string content for DetailField returns a value stating with '-' ('-' for string fields or a negative value for numeric fields).

Set UseFilter to True to indicate that a dataset filter expression can be used to located rows having data related to the current node. When UseFilter contains False, the data in the dataset must be ordered in the manner required to build the tree using values in MasterField and DetailField.

The values in the field specified by IconField is used in the ImageIndex property, and incremented by an existing SelectIndex value for use when a tree node is selected.

RefreshChild calls UpdateUnLock to signal that the update is complete prior to exiting from the method.

RefreshChild is called in the implementation of other methods in TJvDBTreeView, including:

Changing the value in MasterField, DetailField, ItemField, or IconField properties.

Expanding tree nodes.

DragAndDrop operations.

Adding nodes in the tree.

Created with Doc-O-Matic.


TJvCustomDBTreeView.SelectNode method

TJvCustomDBTreeView	Edit topic

Finds a tree node with the specified value in the Items for the data-aware treeview.

Pascal

function SelectNode(AMasterValue: Variant): TTreeNode;

Return Value

TTreeNode - Node located for the specified value, or Nil.

Parameters

AMasterValue: Variant

Value for the node to locate in the tree.

Description

SelectNode is a TreeNode function used to find a tree node with the value specified in AMasterValue in the Items for the data-aware treeview.

SelectNode calls FindNode to locate the TJvDBTreeNode in Items having a value in MasterValue that matches the value in AMasterValue. When a node cannot be located with the requested value, SelectNode tries to locate a child node in the tree with the value requested in AMasterValue in the DetailField for the component.

SelectNode cause the node to set its' selected property to True. If a node cannot be located with requested value, no action is performed.

SelectNode can be used to force the node that matched value in the underlying dataset to become the selected node.

Created with Doc-O-Matic.


TJvCustomDBTreeView.UpdateLock method

TJvCustomDBTreeView	Edit topic

Counts the number of times the treeview has been asked to update itself since the initial update request.

Pascal

procedure UpdateLock;

Description

UpdateLock is a procedure used to increment the internal byte member that reflects the number of updates performed for the data-aware treeview component.

UpdateLock is used to prevent the component from repainting while the data in the treeview changes. When UpdateLock returns to 0, the data-aware treeview can repaint its Items. When UpdateLock is greater than 0, the treeview defers repaints. UpdateLock prevents the component from flickering when the treeview is resized or the user scrolls through the data.

Created with Doc-O-Matic.


TJvCustomDBTreeView.UpdateLocked method

TJvCustomDBTreeView	Edit topic

Not documented

Pascal

function UpdateLocked: Boolean;

Return Value

Boolean - True when an update is in progress for the component.

Description

UpdateLocked is a Boolean function used to indicate if UpdateLock has been called and the corresponding UpdateUnlo k call has not been performed. UpdateLocked returns Tree when an update is in progress for the data-aware treeview component.

UpdateLocked is used to prevent updates to the component when the tree structure or child nodes are being updated from the underlying data.

Created with Doc-O-Matic.


TJvCustomDBTreeView.UpdateTree method

TJvCustomDBTreeView	Edit topic

Forces the treeview to be updated following changes to node(s) or the dataset for the data-aware treeview component.

Pascal

procedure UpdateTree;

Description

UpdateTree is the method used to force the content in the treeview to be updated following changes to node(s) or the dataset for the data-aware treeview component. UpdateTree is called from the UpdateUnLock method when UpdateLock reaches the value zero (0).

UpdateTree calls CheckDataset to ensure that a valid dataset is available for access values used in building and rendering the tree in the data-aware treeview component.

When UpdateLock has been called previously, or a nested call to UpdateTree has been performed, no additional action is taken in the method.

UpdateTree visits rows in the underlying dataset for the DataSource to ensure that TJvDBTreeNode instances in the Items property match the values present in the dataset. This includes visiting any child nodes and their associated data as represented in Items.

When data is located that does not exist in the Items for the tree structure, the node (or child node) is added using the values indicated by the MasterField, DetailField, and ItemField properties.

Applications do not normally call UpdateTree; it is called automatically in UpdateUnLock and when the dataset performs event notifications for scroll, browse, or data changed events.

Created with Doc-O-Matic.


TJvCustomDBTreeView.UpdateUnLock method

TJvCustomDBTreeView	Edit topic

Maintains the update lock count for the treeview.

Pascal

procedure UpdateUnLock(const AUpdateTree: Boolean);

Parameters

const AUpdateTree: Boolean

Indicates if the treeview is redrawn when no other update locks exist.

Description

UpdateUnLock is a method used to maintain the UpdateLock count following completion of changes to nodes or the data for data-aware treeview component.

UpdateUnLock decrements the value in UpdateLock when previous calls to UpdateLock have been made. When UpdateLock reaches zero (0), the value in AUpdateTree is used to determine if content in the tree needs to be updated.

Notes

Not currently used in the implementation.

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler
JEDI-VCL Reference

TJvCustomDesktopAlertStyleHandler

Hierarchy	Properties	Methods	 See Also	Edit topic

Base class for desktop animation style handlers.

Pascal

TJvCustomDesktopAlertStyleHandler = class(TPersistent);

File

JvDesktopAlert

Description

To create a new animation style handler for the TJvDesktopAlert class, derive it from TJvCustomDesktopAlertStyleHandler and add code to implement the required functionality. TJvDesktopAlert already has two styles implemented by TJvCenterGrowAlertStyleHandler and TJvFadeAlertStyleHandler.

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler Properties

TJvCustomDesktopAlertStyleHandler	Legend

Properties

 Active

 AnimTimer

 CurrentStep

 DisplayDuration

 EndInterval

 EndSteps

OwnerForm

 StartInterval

 StartSteps

 Status

Legend

read only

protected

published

Created with Doc-O-Matic.


Legend

read only

protected

published


TJvCustomDesktopAlertStyleHandler Methods

TJvCustomDesktopAlertStyleHandler	Legend

Methods

 AbortAnimation

 DoDisplay

 DoEndAnimation

 DoStartAnimation

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomDesktopAlertStyleHandler

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomDesktopAlertStyleHandler


TJvCustomDesktopAlertStyleHandler Members

TJvCustomDesktopAlertStyleHandler	Legend

Members

Properties

 Active

 AnimTimer

 CurrentStep

 DisplayDuration

 EndInterval

 EndSteps

OwnerForm

 StartInterval

 StartSteps

 Status

Methods

 AbortAnimation

 DoDisplay

 DoEndAnimation

 DoStartAnimation

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Legend

read only

protected

published

virtual


See Also

TJvCenterGrowAlertStyleHandler, TJvFadeAlertStyleHandler


TJvCustomDesktopAlertStyleHandler.Active property

TJvCustomDesktopAlertStyleHandler	Edit topic

Returns the value of AnimTimer.Enabled

Pascal

property Active: Boolean;

Description

Call Active to determine whether the animation timer is active or not.

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler.AnimTimer property

TJvCustomDesktopAlertStyleHandler	Edit topic

Provides access to the internal animation timer.

Pascal

property AnimTimer: TTimer;

Description

Use AnimTimer to access the timer used to drive the animation.

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler.CurrentStep property

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Provides access to the current animation step.

Pascal

property CurrentStep: Cardinal;

Description

Use CurrentStep to access the current animation step. The number of animation steps are determined by the values of StartSteps and EndSteps.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndSteps, TJvCustomDesktopAlertStyleHandler.StartSteps


TJvCustomDesktopAlertStyleHandler.DisplayDuration property

TJvCustomDesktopAlertStyleHandler	Edit topic

Specifies how long the window is displayed after it is fully visible.

Pascal

property DisplayDuration: Cardinal;

Description

DisplayDuration specifies how long (in milliseconds) the window is displayed after the start animation has finished (the so called "wait" stage).

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler.EndInterval property

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Specifies the duration between each step of the end animation.

Pascal

property EndInterval: Cardinal;

Description

Use EndInterval to specify the duration of each step in the end animation sequence. This value is expressed in milliseconds.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndSteps, TJvCustomDesktopAlertStyleHandler.StartInterval


TJvCustomDesktopAlertStyleHandler.EndSteps property

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the end animation sequence.

Pascal

property EndSteps: Cardinal;

Description

Use EndSteps to specify the number of steps in the end animation sequence. If EndSteps is 0, no end animation is performed.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndInterval


TJvCustomDesktopAlertStyleHandler.OwnerForm property

TJvCustomDesktopAlertStyleHandler	Edit topic

Provides access to the form that this animation handler is operating on.

Pascal

property OwnerForm: TJvFormDesktopAlert;

Description

Use OwnerForm to access the desktop alert window that this handler is operating on. Note that this value MUST NOT be nil when any of the DoXXXX function is called!

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler.StartInterval property

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the start animation.

Pascal

property StartInterval: Cardinal;

Description

Use StartInterval to specify the duration of each step in the start animation sequence. This value is expressed in milliseconds.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndInterval, TJvCustomDesktopAlertStyleHandler.StartSteps


TJvCustomDesktopAlertStyleHandler.StartSteps property

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the start animation sequence.

Pascal

property StartSteps: Cardinal;

Description

Use StartSteps to specify the number of steps in the start animation sequence. If StartSteps is 0, no start animation is performed.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.StartInterval


TJvCustomDesktopAlertStyleHandler.Status property

TJvCustomDesktopAlertStyleHandler	Edit topic

Specifies the current animation status of the handler.

Pascal

property Status: TJvStyleHandlerStatus;

Description

Use Status to access the current animation status of the handler.

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler.AbortAnimation method

TJvCustomDesktopAlertStyleHandler	Edit topic

Aborts the current animation, if any.

Pascal

procedure AbortAnimation; virtual;

Description

Will call the proper Finalize function as applicable. The middle wait is NOT aborted by a call to this function

Created with Doc-O-Matic.


TJvCustomDesktopAlertStyleHandler.DoDisplay method

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Called when the alert window is to be displayed.

Pascal

procedure DoDisplay; virtual;

Description

DoDisplay is called by the internal logic when the alert window is to be displayed. The base implementation starts the internal display timer unless DisplayDuration is set to 0.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.DisplayDuration, TJvCustomDesktopAlertStyleHandler.DoEndAnimation, TJvCustomDesktopAlertStyleHandler.DoStartAnimation


TJvCustomDesktopAlertStyleHandler.DoEndAnimation method

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Initiates the end animation sequence.

Pascal

procedure DoEndAnimation; virtual;

Description

DoEndAnimation is called by the internal logic to start the end animation sequence. If EndSteps is 0 the window is hidden directly.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.DoDisplay, TJvCustomDesktopAlertStyleHandler.DoStartAnimation, TJvCustomDesktopAlertStyleHandler.EndSteps, TJvCustomDesktopAlertStyleHandler.StartSteps


TJvCustomDesktopAlertStyleHandler.DoStartAnimation method

TJvCustomDesktopAlertStyleHandler	See Also	Edit topic

Initiates the start animation sequence.

Pascal

procedure DoStartAnimation; virtual;

Description

DoStartAnimation is called by the internal logic to start the start animation sequence. If StartSteps is 0, the window is displayed directly.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.DoDisplay, TJvCustomDesktopAlertStyleHandler.DoEndAnimation, TJvCustomDesktopAlertStyleHandler.EndSteps, TJvCustomDesktopAlertStyleHandler.StartSteps


TJvCustomDropButton
JEDI-VCL Reference

TJvCustomDropButton

Hierarchy	Properties	 Edit topic

A button that can display a drop-down arrow at the side of the button.

Pascal

TJvCustomDropButton = class(TJvCustomControl);

File

JvColorBox

Description

The TJvCustomDropButton is used as the basis for the TJvColorButton component. Derive a new control from TJvCustomDropButton when you need a button that can draw a drop-arrow and react to both button clicks as well as drop arrow clicks.

Created with Doc-O-Matic.


TJvCustomDropButton Properties

TJvCustomDropButton	Legend

Properties

 ArrowWidth

 DropDown

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomDropButton

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomDropButton


TJvCustomDropButton Members

TJvCustomDropButton	Legend

Members

Properties

 ArrowWidth

 DropDown

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomDropButton.ArrowWidth property

TJvCustomDropButton	Edit topic

Specifies the width of the arrow part of the button.

Pascal

property ArrowWidth: Integer;

Description

Use ArrowWidth to specify the width of the arrow part of the button. The arrow image will be sized accordingly.

Created with Doc-O-Matic.


TJvCustomDropButton.DropDown property

TJvCustomDropButton	Edit topic

Specifies a pop up menu that is used as the drop down for the arrow.

Pascal

property DropDown: TPopupMenu;

Description

Use DropDown to assign a popup menu to use as the drop down menu for the button. When the user clicks the arrow part of the button, the menu is displayed below the button.

Created with Doc-O-Matic.


TJvCustomEdit
JEDI-VCL Reference

TJvCustomEdit

Hierarchy	Properties	Methods	Events	 Edit topic

Base class from which all enhanced edit-box and memo controls are derived.

Pascal

TJvCustomEdit = class(TJvExCustomEdit);

File

JvEdit

Description

TJvCustomEdit encapsulates new behavior common to all enhanced components for editing text by introducing methods and properties that provide ability to:

Align the text in the edit box.

Limit the maximum text size in pixels.

Specify a disabled color and text color.

Disable specific clipboard commands.

Provide custom caret shapes.

Do not create instances of TJvCustomEdit. Use TJvCustomEdit as a base class when declaring control objects that permit the user to enter or modify text, that will use the new behavior introduced in TJvCustomEdit.

Created with Doc-O-Matic.


TJvCustomEdit Properties

TJvCustomEdit	Legend

Properties

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomEdit Events

TJvCustomEdit	Legend

Events

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomEdit Methods

TJvCustomEdit

Methods

IsEmpty

Created with Doc-O-Matic.


Legend

TJvCustomEdit

Legend

protected

published

Created with Doc-O-Matic.


Hierarchy

TCustomEdit, IJvExControl
        TJvExCustomEdit
            TJvCustomEdit


TJvCustomEdit Members

TJvCustomEdit	Legend

Members

Properties

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

IsEmpty

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomEdit.Alignment property

TJvCustomEdit	Edit topic

Determines how the text in the edit component is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvCustomEdit.AutoHint property

TJvCustomEdit	See Also	Edit topic

Specifies whether the control's hint is set to the current text.

Pascal

property AutoHint: Boolean;

Description

Use AutoHint to indicate whether the text of the control is automatically displayed as the control's hint.

If AutoHint is true, the hint is changed according to the following rules:

If the original hint is non-empty, it is only set if the text doesn't fit in the control. The original hint is automatically restored when the text fits.

If the original hint is empty, it is always set to be equivalent to the text.

Notes

To store a default hint value, AutoUpdate must be set to false.

Created with Doc-O-Matic.


See Also

Hint, ShowHint, Text


TJvCustomEdit.Caret property

TJvCustomEdit	Edit topic

Specifies the caret settings for the edit control.

Pascal

property Caret: TJvCaret;

Description

Caret holds the settings for the custom caret.

Created with Doc-O-Matic.


TJvCustomEdit.DisabledColor property

TJvCustomEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control is not enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control is not enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.DisabledTextColor


TJvCustomEdit.DisabledTextColor property

TJvCustomEdit	See Also	Edit topic

Specifies the color of the text when the control is not enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control is not enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.DisabledColor


TJvCustomEdit.EmptyFontColor property

TJvCustomEdit	See Also	Edit topic

The font color to use when the EmptyValue is displayed.

Pascal

property EmptyFontColor: TColor;

Description

Set EmptyFontColor to a color to use for the text when the edit control displays the EmptyValue hint in the edit field. If EmptyValue is an empty string, this property has no effect.

Created with Doc-O-Matic.


See Also

EmptyValue


TJvCustomEdit.EmptyValue property

TJvCustomEdit	See Also	Edit topic

A text to display when the Text property is empty.

Pascal

property EmptyValue: string;

Description

Use EmptyValue if you want to display a hint to the user when the Text property is empty. As soon as the user selects the edit or types some text into the control, the EmptyValue is removed and replaced by the new text. If the user clears the content of the edit, the EmptyValue is displayed again.

Set EmptyValue to an empty string (the default) to disable this feature.

Created with Doc-O-Matic.


See Also

EmptyFontColor


TJvCustomEdit.Flat property

TJvCustomEdit	Edit topic

Determines whether the control appears flat.

Pascal

property Flat: Boolean;

Description

When Flat is false, the control has raised borders, which create a three-dimensional look. Setting Flat to true gives the control flat borders.

Created with Doc-O-Matic.


TJvCustomEdit.GroupIndex property

TJvCustomEdit	Edit topic

Allows edit controls to work together as a group.

Pascal

property GroupIndex: Integer;

Description

When GroupIndex is set to -1, the edit control behaves as normal.

Edit controls with the same GroupIndex property value (other than -1), work together as a group. When the user enters one of these edit controls, the text on the other edits belonging to the same group will be cleared.

Created with Doc-O-Matic.


TJvCustomEdit.HintColor property

TJvCustomEdit	See Also	Edit topic

Determines the color of the hint boxes for the Help Hints for the edit control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.HotTrack


TJvCustomEdit.HotTrack property

TJvCustomEdit	Edit topic

Specifies whether the edit control is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback about which item is under the mouse. When HotTrack is false, there is no visual feedback when the mouse passes over the edit control.

Notes

The HotTrack property only works if BorderStyle is set to bsSingle and BevelKind is set to bvNone.

Created with Doc-O-Matic.


TJvCustomEdit.MaxPixel property

TJvCustomEdit	Edit topic

Limits the text of the edit control to a specific size in pixels.

Pascal

property MaxPixel: TJvMaxPixel;

Description

Use MaxPixel to limit the text of the edit control to a specific size in pixels.

Created with Doc-O-Matic.


TJvCustomEdit.OnParentColorChange event

TJvCustomEdit	Edit topic

Occurs when the color property for the parent of the edit control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvCustomEdit.ProtectPassword property

TJvCustomEdit	Edit topic

Specifies whether to protect the text of the edit control.

Pascal

property ProtectPassword: Boolean;

Description

Setting ProtectPassword to true will prevent other programs from access to the text of this edit control, and disable altering the PasswordChar.

This is useful if you want the user to enter a password in this edit control, but want to prevent possible trojans from retrieving the typed password.

Created with Doc-O-Matic.


TJvCustomEdit.ThemedPassword property

TJvCustomEdit	Edit topic

Not documented

Pascal

property ThemedPassword: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomEdit.UseFixedPopup property

TJvCustomEdit	Edit topic

Specifies whether to replace the default system popup menu.

Pascal

property UseFixedPopup: Boolean;

Description

Use the UseFixedPopup property to specify whether to replace the default system popup menu with a fixed popup menu.

The fixed popup menu fixes problems such as incorrectly displaying the Paste command as enabled even when the edit is set to read-only, and works in combination with the ClipboardCommands property.

Set UseFixedPopup to true (the default) to use the fixed popup menu, or set it to false to use the default implementation.

Created with Doc-O-Matic.


TJvCustomEdit.IsEmpty method

TJvCustomEdit	Edit topic

Indicates whether the text of the edit control is empty.

Pascal

function IsEmpty: Boolean;

Description

Call IsEmpty to determine whether the text of the edit control is empty.

Created with Doc-O-Matic.


TJvCustomGraphicButton
JEDI-VCL Reference

TJvCustomGraphicButton

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for button controls that doesn't need a windows handle.

Pascal

TJvCustomGraphicButton = class(TJvGraphicControl);

File

JvButton

Description

Use TJvCustomGraphicButton as a base class when you creating a button control that doesn't need a window handle. TJvCustomGraphicButton implements the basic behavior of a button and have methods and events to simplify creating a derived button with special features.

Created with Doc-O-Matic.


TJvCustomGraphicButton Properties

TJvCustomGraphicButton	Legend

Properties

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomGraphicButton Events

TJvCustomGraphicButton	Legend

Events

 OnDropDownClose

 OnDropDownMenu

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomGraphicButton Methods

TJvCustomGraphicButton	Legend

Methods

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomGraphicButton

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomGraphicButton


TJvCustomGraphicButton Members

TJvCustomGraphicButton	Legend

Members

Properties

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Events

 OnDropDownClose

 OnDropDownMenu

Methods

 DrawDropArrow

 SetBounds

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomGraphicButton.AllowAllUp property

TJvCustomGraphicButton	See Also	Edit topic

Specifies whether all buttons in a group can be unselected at the same time.

Pascal

property AllowAllUp: Boolean;

Description

Use AllowAllUp with a group of buttons that belong to the same group. Buttons belong to the same group if they have the same value on their GroupIndex property. Buttons in the same group behave in a mutually exclusive fashion: when one button in the group is selected (down), all other buttons in the group become unselected (up).

If AllowAllUp is True, all of the buttons in a group can be unselected at the same time. Clicking the single selected button in the group will deselect that button without selecting another. If AllowAllUp is False, exactly one of the buttons in the group must be selected at any time. Clicking a down button won't return the button to its up state.

Changing the value of the AllowAllUp property for one button in a group changes the AllowAllUp value for all buttons in the group.

Notes

If GroupIndex is zero, AllowAllUp has no effect.

Created with Doc-O-Matic.


See Also

Down, GroupIndex


TJvCustomGraphicButton.Down property

TJvCustomGraphicButton	See Also	Edit topic

Specifies whether the button is selected (down) or unselected (up).

Pascal

property Down: Boolean;

Description

Read Down to determine whether a button is selected. The Down property only applies if the GroupIndex property of the button is nonzero.

When GroupIndex is greater than 0, set Down to True to select a button. When the user clicks on a button in the unselected (up) state, the button is selected and Down is set to True. When the user clicks on a button in the selected (down) state, if AllowAllUp is True, the button becomes unselected and Down is set to False.

At design time, specify which button in a group is the initially selected button by setting the Down property of the selected button to True.

Notes

When GroupIndex is 0, buttons do not remain in the selected state when clicked.

Created with Doc-O-Matic.


See Also

AllowAllUp, GroupIndex


TJvCustomGraphicButton.DropArrow property

TJvCustomGraphicButton	See Also	Edit topic

Determines whether a drop arrow is drawn on the control when a DropDownMenu is assigned

Pascal

property DropArrow: Boolean;

Description

Set DropArrow to true to automatically show an arrow in the button when the DropDownMenu property is assigned. The arrow is always displayed in a fixed position on the right side of the button. If the arrow interferes with the image or text of the button, either resize the button or change the values of Margin and Spacing until you are satisfied.

Created with Doc-O-Matic.


See Also

DropDownMenu


TJvCustomGraphicButton.DropDownMenu property

TJvCustomGraphicButton	See Also	Edit topic

Specifies a TPopupMenu to display when the button is clicked

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu to display a menu when the button is clicked. The menu is displayed below the button. To control where the menu is displayed (right, left, center), use the menus Align property.

Created with Doc-O-Matic.


See Also

OnDropDownMenu


TJvCustomGraphicButton.Flat property

TJvCustomGraphicButton	Edit topic

Determines whether the button has a 3D or flat border.

Pascal

property Flat: Boolean;

Description

Set Flat to True to change the normal thick 3D border into a thinner and flatter looking border. When Flat is True, the border is only shown when the mouse is within the control's client area.

Created with Doc-O-Matic.


TJvCustomGraphicButton.ForceSameSize property

TJvCustomGraphicButton	Edit topic

Specifies whether all buttons should have the same size.

Pascal

property ForceSameSize: Boolean;

Description

Set ForceSameSize to true for all buttons that should have the same size. When the size of one of the buttons changes, all the other buttons assume the same size.

ForceSameSize only affects buttons on the same form that either handle the CM_FORCESIZE message (VCL) or are of the same class (VisualCLX) and that also have their ForceSameSize property set to true.

Created with Doc-O-Matic.


TJvCustomGraphicButton.GroupIndex property

TJvCustomGraphicButton	See Also	Edit topic

Allows buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state, unless AllowAllUp is False. Setting the G oupIndex property of a single button to a value greater than 0 causes the button to behave as a two-state button when AllowAllUp is True.

Buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another button in the same group. Buttons used in this way can present mutually exclusive choices to the user, much like radiobuttons.

Created with Doc-O-Matic.


See Also

AllowAllUp, Down


TJvCustomGraphicButton.HotTrack property

TJvCustomGraphicButton	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is False, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

HotTrackFont, HotGlyph, OnMouseEnter, OnMouseLeave


TJvCustomGraphicButton.HotTrackFont property

TJvCustomGraphicButton	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is True.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to True, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

HotTrack, HotGlyph


TJvCustomGraphicButton.HotTrackFontOptions property

TJvCustomGraphicButton	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

HotTrack, HotTrackFont


TJvCustomGraphicButton.MouseStates property

TJvCustomGraphicButton	Edit topic

Specifies the current state of the mouse

Pascal

property MouseStates: TJvButtonMouseStates;

Description

Read MouseStates to determine the current state of the mouse.

Created with Doc-O-Matic.


TJvCustomGraphicButton.OnDropDownClose event

TJvCustomGraphicButton	Edit topic

Not documented

Pascal

property OnDropDownClose: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomGraphicButton.OnDropDownMenu event

TJvCustomGraphicButton	See Also	Edit topic

Occurs just before the DropDownMenu is displayed

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when a DropDownMenu is about to be shown. For example, you can prevent the menu to be displayed by setting the Handled parameter to True.

Note that this event is only triggered if there is a DropDownMenu assigned to the button.

Created with Doc-O-Matic.


See Also

DropDownMenu, OnContextPopup


TJvCustomGraphicButton.Pattern property

TJvCustomGraphicButton	See Also	Edit topic

Specifies the background pattern to use on pressed buttons.

Pascal

property Pattern: TBitmap;

Description

Pattern holds an image that is used as the brush in the control when the button is pressed or when the Down property is true.

Do not modify this bitmap.

Created with Doc-O-Matic.


See Also

Down, MouseStates


TJvCustomGraphicButton.DrawDropArrow method

TJvCustomGraphicButton	Edit topic

Not documented

Pascal

procedure DrawDropArrow(Canvas: TCanvas; ArrowRect: TRect); virtual;

Parameters

Canvas: TCanvas

Not documented

ArrowRect: TRect

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomGraphicButton.SetBounds method

TJvCustomGraphicButton	See Also	Edit topic

Sets the size of the control

Pascal

procedure SetBounds(ALeft: Integer; ATop: Integer; AWidth: Integer; AHeight: Integer); override;

Description

SetBounds calls the inherited SetBounds method and then adjusts the size of all other buttons if ForceSameSize is True.

Created with Doc-O-Matic.


See Also

ForceSameSize


TJvCustomHTComboBox
JEDI-VCL Reference

TJvCustomHTComboBox

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Specifies the interface for an HTML-enabled ComboBox control.

Pascal

TJvCustomHTComboBox = class(TJvExCustomComboBox);

File

JvHtControls

Description

TJvCustomHTComboBox is a TJvExCustomComboBox descendant that specifies the interface for an HTML-enabled ComboBox control. TJvCustomHTComboBox provides the ability to render HTML tags and attributes in the Items for the component, and to trigger events when an HTML anchor is clicked.

TJvCustomHTComboBox overrides methods in the ancestor class to provide sizing of HTML content based on changes in font size.

TJvCustomHTComboBox recognizes the following HTML tags and attributes:

Tags

<A></A>

<B></B>

<I></I>

<U></U>

<S></S>

<FONT></FONT>

<HR>

<BR>

Attribute	Usage
HREF	Valid URL for anchor tags.
ALIGN	"CENTER" or "RIGHT" ("LEFT" is the default)
COLOR	String representation of TColor values.
BGCOLOR	"clRED", "clGREEN", "clBLUE", etc.
SIZE	Font size in points (1/72 inch).
IND	Indent in pixels.

HTML Character entities are recognized in the content for the control. The following character entities are rendered as the indicated characters or symbols:

Entity	Character or Symbol
&lt;	< (Less-than character)
&gt;	> (Greater-than character)
&amp;	& (Ampersand character)
&quot;	" (Double Quote character)
&reg;	® (Registered symbol)
&copy;	© (Copyright symbol)
&trade;	™ (Trademark symbol)
&euro;	€ (Euro symbol)
&nbsp;	(Non-breaking space character)

Use the OnHyperLinkClick event handler to respond to mouse clicks on Anchor tags found in the content for the control.

Use the ColorHighlight, ColorHighlightText, and ColorDisabledText properties to set the TColor values applied to the control when selected or disabled.

Created with Doc-O-Matic.


TJvCustomHTComboBox Properties

TJvCustomHTComboBox	Legend

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 DropWidth

 HideSel

 PlainItems

TJvExCustomComboBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomHTComboBox Methods

TJvCustomHTComboBox

Methods

GetHeight

SetHeight

Created with Doc-O-Matic.


TJvCustomHTComboBox Events

TJvCustomHTComboBox	Legend

Events

TJvExCustomComboBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomHTComboBox

Legend

protected

read only

published

Created with Doc-O-Matic.


Hierarchy

TCustomComboBox, IJvExControl
        TJvExCustomComboBox
            TJvCustomHTComboBox


TJvCustomHTComboBox Members

TJvCustomHTComboBox	Legend

Members

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 DropWidth

 HideSel

 PlainItems

TJvExCustomComboBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Methods

GetHeight

SetHeight

Events

TJvExCustomComboBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


See Also

ColorHighlight, ColorHighlightText, ColorDisabledText, OnHyperLinkClick


TJvCustomHTComboBox.ColorDisabledText property

TJvCustomHTComboBox	See Also	Edit topic

Color used to draw text in the control when not Enabled.

Pascal

property ColorDisabledText: TColor;

Description

ColorDisabledText is a TColor property that represents the color used to draw text in the control when not Enabled. The default value for ColorDisabledText is clGrayText as assigned in the constructor for the control.

ColorDisabledText is used to set the font color in the DrawItem method when the Enabled property contains False. Use ColorHighlight and ColorHighlightText to set the values for the canvas brush and font colors for items when the control is Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorHighlightText


TJvCustomHTComboBox.ColorHighlight property

TJvCustomHTComboBox	See Also	Edit topic

Color used when highlighting a selected item in the control.

Pascal

property ColorHighlight: TColor;

Description

ColorHighlight is a TColor property that represents the color used when highlighting a selected item in the control. The default value for ColorHilight is clHighlight as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlightText, ColorDisabled


TJvCustomHTComboBox.ColorHighlightText property

TJvCustomHTComboBox	See Also	Edit topic

Color used when drawing highlighted text for the selected item in the control.

Pascal

property ColorHighlightText: TColor;

Description

ColorHighlightText is a TColor property that represents the color used when drawing highlighted text for the selected item in the control. The default value for ColorHilightText is clHighlightText as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorDisabled


TJvCustomHTComboBox.DropWidth property

TJvCustomHTComboBox	Edit topic

Width of the drop-down area for the ComboBox control.

Pascal

property DropWidth: Integer;

Description

DropWidth is an Integer property that represents the width of the drop-down area for the ComboBox control. DropWidth is updated when the control is created to ensure that the drop-down area is sized to match the width of the associated edit control.

Changing the value in DropWidth causes the WIndows CB_SETDROPPEDWIDTH message to be performed using the new value for the drop-down area.

Created with Doc-O-Matic.


TJvCustomHTComboBox.HideSel property

TJvCustomHTComboBox	Edit topic

Influences redrawing of the control following changes in the focused selection.

Pascal

property HideSel: Boolean;

Description

HideSel is a Boolean property that influences redrawing of the control following changes in the focused selection. Changing the value of the HideSel property force the control to be redrawn by calling Invalidate.

Please note that HideSel has relationship to or bearing upon the HideSelection property inherited from TCustomEdit.

Created with Doc-O-Matic.


TJvCustomHTComboBox.PlainItems property

TJvCustomHTComboBox	See Also	Edit topic

Provides access to items in the control as plain text instead of HTML tags.

Pascal

property PlainItems [Index: Integer]: string;

Parameters

Index

Ordinal position of the plain text item.

Description

PlainItems is an indexed String property that provides access to the Items in the control as plain text instead of HTML tags. Using PlainItems is very much like using values in the Items property, except all HTML tags and attributes are removed from the contents of the item.

Created with Doc-O-Matic.


See Also

Items


TJvCustomHTComboBox.GetHeight method

TJvCustomHTComboBox	Edit topic

Not documented

Pascal

function GetHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomHTComboBox.SetHeight method

TJvCustomHTComboBox	Edit topic

Not documented

Pascal

procedure SetHeight(Value: Integer);

Parameters

Value: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomHTLabel
JEDI-VCL Reference

TJvCustomHTLabel

Hierarchy	Properties	Events	 See Also	Edit topic

Specifies the interface for an HTML-enabled label control.

Pascal

TJvCustomHTLabel = class(TJvExCustomLabel);

File

JvHtControls

Description

TJvCustomHTLabel is a TJvExCustomLabel descendant that specifies the interface for an HTML-enabled label component. TJvCustomHTLabel adds the capability to render HTML tags in the caption for the component and to trigger events when an HTML anchor is clicked.

TJvCustomHTLabel overrides methods in the ancestor class to provide sizing of HTML content based on changes in font size.

TJvCustomHTLabel recognizes the following HTML tags and attributes:

Tags

<A></A>

<B></B>

<I></I>

<U></U>

<S></S>

<FONT></FONT>

<HR>

<BR>

Attribute	Usage
HREF	Valid URL for anchor tags.
ALIGN	"CENTER" or "RIGHT" ("LEFT" is the default)
COLOR	String representation of TColor values.
BGCOLOR	"clRED", "clGREEN", "clBLUE", etc.
SIZE	Font size in points (1/72 inch).
IND	Indent in pixels.

HTML Character entities are recognized in the content for the control. The following character entities are rendered as the indicated characters or symbols:

Entity	Character or Symbol
&lt;	< (Less-than character)
&gt;	> (Greater-than character)
&amp;	& (Ampersand character)
&quot;	" (Double Quote character)
&reg;	® (Registered symbol)
&copy;	© (Copyright symbol)
&trade;	™ (Trademark symbol)
&euro;	€ (Euro symbol)
&nbsp;	(Non-breaking space character)

Use the OnHyperLinkClick event handler to respond to mouse clicks on Anchor tags found in the content for the control.

Use the ColorHighlight, ColorHighlightText, and ColorDisabledText properties to set the TColor values applied to the control when selected or disabled.

Created with Doc-O-Matic.


TJvCustomHTLabel Events

TJvCustomHTLabel	Legend

Events

 OnHyperLinkClick

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomHTLabel Properties

TJvCustomHTLabel	Legend

Properties

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvCustomHTLabel

Legend

protected

published

Created with Doc-O-Matic.


Hierarchy

TCustomLabel, IJvExControl
        TJvExCustomLabel
            TJvCustomHTLabel


TJvCustomHTLabel Members

TJvCustomHTLabel	Legend

Members

Events

 OnHyperLinkClick

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Properties

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


See Also

ColorHighlight, ColorHighlightText, ColorDisabledText, OnHyperLinkClick, TJvHTLabel


TJvCustomHTLabel.OnHyperLinkClick event

TJvCustomHTLabel	See Also	Edit topic

Event handler signaled when an HTML anchor in the control is clicked.

Pascal

property OnHyperLinkClick: THyperLinkClick;

Description

OnHyperLinkClick is a THyperLinkClick property that represents the event handler signaled when the user clicks on an HTML <A> tag found in the caption for the control.

OnHyperLinkClick is used during execution of the MouseUp event when the Item has been rendered using the colors specified in ColorHighlight and ColorHighlightText. The event handler is fired immediately after calling ShellExecute with the URL specified in the HREF attribute for the tag.

Applications must assign a procedure to the OnHyperLinkClick event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

Caption, ColorHighlight, ColorHighlightText


TJvCustomHTListBox
JEDI-VCL Reference

TJvCustomHTListBox

Hierarchy	Properties	Events	 See Also	Edit topic

Specifies the interface for an HTML-enabled list box.

Pascal

TJvCustomHTListBox = class(TJvExCustomListBox);

File

JvHtControls

Description

TJvCustomHTListBox is a TJvExCustomListBox descendant that implements an HTML-enabled list box component.

TJvCustomHTListBox provides the ability to render HTML tags found in the Items property, and includes the following tags and attributes:

Tags

<A></A>

<B></B>

<I></I>

<U></U>

<S></S>

<FONT></FONT>

<HR>

<BR>

Attribute	Usage
HREF	Valid URL for anchor tags.
ALIGN	"CENTER" or "RIGHT" ("LEFT" is the default)
COLOR	String representation of TColor values.
BGCOLOR	"clRED", "clGREEN", "clBLUE", etc.
SIZE	Font size in points (1/72 inch).
IND	Indent in pixels.

HTML Character entities are recognized in the content for the control. The following character entities are rendered as the indicated characters or symbols:

Entity	Character or Symbol
&lt;	< (Less-than character)
&gt;	> (Greater-than character)
&amp;	& (Ampersand character)
&quot;	" (Double Quote character)
&reg;	® (Registered symbol)
&copy;	© (Copyright symbol)
&trade;	™ (Trademark symbol)
&euro;	€ (Euro symbol)
&nbsp;	(Non-breaking space character)

Use the OnHyperLinkClick event handler to respond to mouse clicks on Anchor tags found in the content for the control.

Use PlainItems to access the content of the control as plain text instead of HTML tagged content.

Use the ColorHighlight, ColorHighlightText, and ColorDisabledText properties to set the TColor values applied to the control when selected or disabled.

Created with Doc-O-Matic.


TJvCustomHTListBox Properties

TJvCustomHTListBox	Legend

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 HideSel

 PlainItems

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomHTListBox Events

TJvCustomHTListBox	Legend

Events

 OnHyperLinkClick

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomHTListBox

Legend

protected

read only

published

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomHTListBox


TJvCustomHTListBox Members

TJvCustomHTListBox	Legend

Members

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 HideSel

 PlainItems

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnHyperLinkClick

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


See Also

OnHyperLinkClick, PlainItems, ColorHighlight, ColorHighlightText, ColorDisabledText


TJvCustomHTListBox.ColorDisabledText property

TJvCustomHTListBox	See Also	Edit topic

Color used to draw text in the control when not Enabled.

Pascal

property ColorDisabledText: TColor;

Description

ColorDisabledText is a TColor property that represents the color used to draw text in the control when not Enabled. The default value for ColorDisabledText is clGrayText as assigned in the constructor for the control.

ColorDisabledText is used to set the font color in the DrawItem method when the Enabled property contains False. Use ColorHighlight and ColorHighlightText to set the values for the canvas brush and font colors for items when the control is Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorHighlightText


TJvCustomHTListBox.ColorHighlight property

TJvCustomHTListBox	See Also	Edit topic

Color used when highlighting a selected item in the control.

Pascal

property ColorHighlight: TColor;

Description

ColorHighlight is a TColor property that represents the color used when highlighting a selected item in the list. The default value for ColorHilight is clHighlight as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlightText, ColorDisabled


TJvCustomHTListBox.ColorHighlightText property

TJvCustomHTListBox	See Also	Edit topic

Color used when drawing highlighted text for the selected item in the control.

Pascal

property ColorHighlightText: TColor;

Description

ColorHighlightText is a TColor property that represents the color used when drawing highlighted text for the selected item in the control. The default value for ColorHilightText is clHighlightText as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorDisabled


TJvCustomHTListBox.HideSel property

TJvCustomHTListBox	Edit topic

Influences redrawing of the control following changes in the focused selection.

Pascal

property HideSel: Boolean;

Description

HideSel is a Boolean property that influences redrawing of the control following changes in the focused selection. Changing the value of the HideSel property force the control to be redrawn by calling Invalidate.

Please note that HideSel has relationship to or bearing upon the HideSelection property inherited from TCustomEdit.

Created with Doc-O-Matic.


TJvCustomHTListBox.OnHyperLinkClick event

TJvCustomHTListBox	See Also	Edit topic

Event handler signaled when an anchor in the list is clicked.

Pascal

property OnHyperLinkClick: THyperLinkClick;

Description

OnHyperLinkClick is a THyperLinkClick property that represents the event handler signaled when the user clicks on an HTML <A> tag found in the Items for the control.

OnHyperLinkClick is used during execution of the MouseUp event when the Item has been rendered using the colors specified in ColorHighlight and ColorHighlightText. The event handler is fired immediately after calling ShellExecute with the URL specified in the HREF attribute for the tag.

Applications must assign a procedure to the OnHyperLinkClick event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

Items, ColorHighlight, ColorHighlightText


TJvCustomHTListBox.PlainItems property

TJvCustomHTListBox	See Also	Edit topic

Provides access to items in the control as plain text instead of HTML tags.

Pascal

property PlainItems [Index: Integer]: string;

Parameters

Index

Ordinal position of the plain text item.

Description

PlainItems is an indexed String property that provides access to the Items in the control as plain text instead of HTML tags. Using PlainItems is very much like using values in the Items property, except all HTML tags and attributes are removed from the contents of the item.

Created with Doc-O-Matic.


See Also

Items


TJvCustomImageButton
JEDI-VCL Reference

TJvCustomImageButton

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base class for button controls with a window handle.

Pascal

TJvCustomImageButton = class(TJvCustomButton);

File

JvCtrls

Description

Use TJvCustomImageButton as a base class when creating new button controls with a handle. TJvCustomImageButton introduces support for new functionality not available in a standard TButton, like Wordwrap, a DropDownMenu and hottracking.

Several button controls in JVCL derives from TJvCustomImageButton, among them TJvImgBtn

Created with Doc-O-Matic.


TJvCustomImageButton Properties

TJvCustomImageButton	Legend

Properties

 Alignment

 Animate

 AnimateFrames

 AnimateInterval

 Canvas

 CurrentAnimateFrame

 Flat

 ImageIndex

 Images

 ImageVisible

 Kind

 Layout

 Margin

 MouseInControl

 OwnerDraw

 Spacing

TJvCustomButton

 DropArrow

 DropDownMenu

 ForceSameSize

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 WordWrap

TJvExButton

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomImageButton Events

TJvCustomImageButton	Legend

Events

 OnButtonDraw

 OnGetAnimateIndex

TJvCustomButton

 OnDropDownMenu

 OnParentColorChange

TJvExButton

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomImageButton Methods

TJvCustomImageButton	Legend

Methods

 Click

DrawButtonFocusRect

DrawButtonFrame

DrawButtonImage

DrawButtonText

TJvCustomButton

 Click

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomImageButton

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TButton, IJvExControl
        TJvExButton
            TJvCustomButton
                TJvCustomImageButton


TJvCustomImageButton Members

TJvCustomImageButton	Legend

Members

Properties

 Alignment

 Animate

 AnimateFrames

 AnimateInterval

 Canvas

 CurrentAnimateFrame

 Flat

 ImageIndex

 Images

 ImageVisible

 Kind

 Layout

 Margin

 MouseInControl

 OwnerDraw

 Spacing

TJvCustomButton

 DropArrow

 DropDownMenu

 ForceSameSize

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 WordWrap

TJvExButton

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnButtonDraw

 OnGetAnimateIndex

TJvCustomButton

 OnDropDownMenu

 OnParentColorChange

TJvExButton

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 Click

DrawButtonFocusRect

DrawButtonFrame

DrawButtonImage

DrawButtonText

TJvCustomButton

 Click

 DrawDropArrow

 SetBounds

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


See Also

TJvImgBtn


TJvCustomImageButton.Alignment property

TJvCustomImageButton	Edit topic

Controls the horizontal placement of the text within the control.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text of the control is justified within the ClientRect.

The effect of the Alignment property is more obvious if the WordWrap property is True and the control includes more than one line of text.

Created with Doc-O-Matic.


TJvCustomImageButton.Animate property

TJvCustomImageButton	See Also	Edit topic

Specifies if the image on the button is animated

Pascal

property Animate: Boolean;

Description

Set Animate to true to start an animation of the image on the button. To set up the animation, use the properties AnimateFrames and AnimateInterval.

Created with Doc-O-Matic.


See Also

AnimateFrames, AnimateInterval, CurrentAnimateFrame


TJvCustomImageButton.AnimateFrames property

TJvCustomImageButton	See Also	Edit topic

Specifies how many images are animated when Animate is True.

Pascal

property AnimateFrames: Integer;

Description

Use AnimateFrames to specify how many images in the imagelist are displayed before restarting the animation. The animation always starts at the image indicated by the ImageIndex property.

For example, if ImageIndex is set to 0 and AnimateFrames is set to 3, the images with index 0, 1 and 3 are animated.

Created with Doc-O-Matic.


See Also

Animate, AnimateInterval, ImageIndex, Images


TJvCustomImageButton.AnimateInterval property

TJvCustomImageButton	See Also	Edit topic

Specifies the interval between the animations.

Pascal

property AnimateInterval: Cardinal;

Description

Use AnimateInterval to set the number of milliseconds that should pass before a new image is displayed on the button when animation is active.

Created with Doc-O-Matic.


See Also

Animate, AnimateFrames


TJvCustomImageButton.Canvas property

TJvCustomImageButton	Edit topic

Provides access to the drawing surface of the control.

Pascal

property Canvas: TCanvas;

Description

Use the methods of the Canvas property to draw directly on the buttons surface.

Created with Doc-O-Matic.


TJvCustomImageButton.CurrentAnimateFrame property

TJvCustomImageButton	See Also	Edit topic

Specifies the index of the current animation frame displayed in the button.

Pascal

property CurrentAnimateFrame: Byte;

Description

To find the index of the actual image displayed, add CurrentAnimateFrame and ImageIndex together

Created with Doc-O-Matic.


See Also

ImageIndex


TJvCustomImageButton.Flat property

TJvCustomImageButton	Edit topic

Determines whether the button has a 3D or flat border.

Pascal

property Flat: Boolean;

Description

Set Flat to True to change the normal thick 3D border into a thinner and flatter looking border. When Flat is True, the border is only shown when the button has focus or when the mouse is within the control's client area.

Created with Doc-O-Matic.


TJvCustomImageButton.ImageIndex property

TJvCustomImageButton	See Also	Edit topic

Identifies the image associated with the control.

Pascal

property ImageIndex: Integer;

Description

Set ImageIndex to specify the image that appears in the control. ImageIndex is an index into the Images property of the control.

Created with Doc-O-Matic.


See Also

Images


TJvCustomImageButton.Images property

TJvCustomImageButton	See Also	Edit topic

Specifies the imagelist containing the image displayed in the control.

Pascal

property Images: TCustomImageList;

Description

Use Images to specify the imagelist that contains the image you want to display in the control. To select an image from the list, set the ImageIndex property to a valid value.

Created with Doc-O-Matic.


See Also

ImageIndex


TJvCustomImageButton.ImageVisible property

TJvCustomImageButton	See Also	Edit topic

Specifies if an image is shown in the control.

Pascal

property ImageVisible: Boolean;

Description

Use ImageVisible to quickly turn on and off the display of the image in the control without having to change any image related settings.

To display an image, you must first set up the Images and ImageIndex properties. To animate the image, you must also set up the AnimateInterval and AnimateFrames properties as well as set Animate to true.

Created with Doc-O-Matic.


See Also

Animate, AnimateFrames, AnimateInterval, ImageIndex, Images


TJvCustomImageButton.Kind property

TJvCustomImageButton	See Also	Edit topic

Specifies the kind of image the button displays.

Pascal

property Kind: TJvImgBtnKind;

Description

Use Kind to specify the appearance of the image button and the value of ModalResult when the user clicks the button.

The images (such as the green check mark on the OK button) appear on the button when using this version of TBitBtn.

Created with Doc-O-Matic.


See Also

ModalResult


TJvCustomImageButton.Layout property

TJvCustomImageButton	See Also	Edit topic

Specifies where the image appears on the image button.

Pascal

property Layout: TJvImgBtnLayout;

Description

Layout indicates whether the text appears on the left of the button (blImageLeft) or the right of the button (blImageRight).

Created with Doc-O-Matic.


See Also

List here other properties, methods (comma seperated)


TJvCustomImageButton.Margin property

TJvCustomImageButton	See Also	Edit topic

Specifies the number of pixels between the edge of the image and the edge of the button.

Pascal

property Margin: Integer;

Description

The margin is the space between the image edge and the button edge. The format of the edges depends on the layout of the image and text (specified in the Layout property). For example, if Layout is blImageLeft, the margin appears between the left edge of the image and the left edge of the button. If Margin is 3, three pixels separate the image and the button edges. If Margin is 0, there is no space between the image and the button edges.

If Margin is -1 (the default value), the image and text (specified in the Caption property) are centered. The number of pixels between the image and button edge is equal to the number of pixels between the opposite edge of the button and the text.

Created with Doc-O-Matic.


See Also

ImageIndex, Images, Layout


TJvCustomImageButton.MouseInControl property

TJvCustomImageButton	See Also	Edit topic

Indicates whether the mouse is over the button.

Pascal

property MouseInControl: Boolean;

Description

Read MouseInControl to determine whether the mouse is over the button.

Created with Doc-O-Matic.


See Also

List here other properties, methods (comma seperated)


TJvCustomImageButton.OnButtonDraw event

TJvCustomImageButton	See Also	Edit topic

Occurs when the button needs to be drawn

Pascal

TJvImgBtnDrawEvent = procedure (Sender: TObject; const DrawItemStruct: TDrawItemStruct) of object;
property OnButtonDraw: TJvImgBtnDrawEvent;

Parameters

DrawItemStruct

Holds information about the current state of the control

Sender

The object that triggered the event

Description

Write a handler for this event to draw the button yourself. To activate this event, you must set OwnerDraw to true.

Created with Doc-O-Matic.


See Also

OwnerDraw


TJvCustomImageButton.OnGetAnimateIndex event

TJvCustomImageButton	Edit topic

Occurs just before a new image is to be displayed in an animation sequence

Pascal

TJvImgBtnAnimIndexEvent = procedure (Sender: TObject; CurrentAnimateFrame: Byte; var ImageIndex: Integer) of object;
property OnGetAnimateIndex: TJvImgBtnAnimIndexEvent;

Parameters

ImageIndex

The index of the next image to display

CurrentAnimateFrame

The index of the currently displayed image

Sender

The object that triggered the event

Description

Assign a handler to this event if you want to be notified when the image is changed in the button or if you want to handle image transitions yourself. Assign a new value to ImageIndex to change the next image that is displayed.

Created with Doc-O-Matic.


TJvCustomImageButton.OwnerDraw property

TJvCustomImageButton	See Also	Edit topic

Specifies whether the control receives an OnButtonDraw event.

Pascal

property OwnerDraw: Boolean;

Description

Set OwnerDraw to True to allow the button to receive the OnButtonDraw event. If OwnerDraw is true, the button is not drawn automatically, instead you will have to provide the drawing logic in the event handler.

Created with Doc-O-Matic.


See Also

OnButtonDraw


TJvCustomImageButton.Spacing property

TJvCustomImageButton	See Also	Edit topic

Determines where the image and text appear on an image button.

Pascal

property Spacing: Integer;

Description

Spacing determines the number of pixels between the image and the text. The default value is 4 pixels.

Created with Doc-O-Matic.


See Also

ImageIndex, Images, Layout


TJvCustomImageButton.Click method

TJvCustomImageButton	See Also	Edit topic

Simulates a mouse click, as if the user had clicked the button.

Pascal

procedure Click; override;

Description

Use Click to simulate a mouse click. Click performs the following tasks:

1.	If the value of the Kind property is bkClose, Click closes the form. If the value of Kind is

bkHelp, Click displays the Help screen assigned with the HelpContext property. 2. Any associated action fires, or, if there is no associated action, any code attached to the OnClick event is executed.

Created with Doc-O-Matic.


See Also

Action, Kind, ModalResult, OnClick


TJvCustomImageButton.DrawButtonFocusRect method

TJvCustomImageButton	See Also	Edit topic

Draws a focus rect in the button if it has the focus

Pascal

procedure DrawButtonFocusRect(const RectContent: TRect);

Parameters

const RectContent: TRect

The rect to draw the focus rect within

Description

Call this method in derived classes to draw a focus rect on the button

Created with Doc-O-Matic.


See Also

DrawButtonImage, DrawButtonFrame, DrawButtonText


TJvCustomImageButton.DrawButtonFrame method

TJvCustomImageButton	See Also	Edit topic

Draws the frame of the button

Pascal

procedure DrawButtonFrame(const DrawItemStruct: TDrawItemStruct; var RectContent: TRect);

Parameters

const DrawItemStruct: TDrawItemStruct

Contains the state of the button

var RectContent: TRect

The bounds to draw within

Description

Call this method in derived classes when you need to draw the frame of the button

Created with Doc-O-Matic.


See Also

DrawButtonFocusRect, DrawButtonImage, DrawButtonText


TJvCustomImageButton.DrawButtonImage method

TJvCustomImageButton	See Also	Edit topic

Draws the image in the button

Pascal

procedure DrawButtonImage(ImageBounds: TRect);

Parameters

ImageBounds: TRect

The bounds of the image

Description

Call this method in derived classes when you need to draw the current image in the button

Created with Doc-O-Matic.


See Also

DrawButtonFocusRect, DrawButtonFrame, DrawButtonText


TJvCustomImageButton.DrawButtonText method

TJvCustomImageButton	See Also	Edit topic

Draws the caption in the button

Pascal

procedure DrawButtonText(TextBounds: TRect; TextEnabled: Boolean);

Parameters

TextBounds: TRect

The bounds to draw the text within

TextEnabled: Boolean

Specifies if the text should be drawn as enabled or disabled

Description

Call this method in derived classes when you need to draw text (like the Caption) on the button

Created with Doc-O-Matic.


See Also

DrawButtonFocusRect, DrawButtonFrame, DrawButtonImage


TJvCustomInspector
JEDI-VCL Reference

TJvCustomInspector

Hierarchy	Properties	Methods	Events	 Edit topic

Base inspector control.

Pascal

TJvCustomInspector = class(TJvCustomInspectorBase);

File

JvInspector

Description

TJvCustomInspector is the base inspector control. You should never create an instance of this class, but rather one of the descendants.

Created with Doc-O-Matic.


TJvCustomInspector Events

TJvCustomInspector	Legend

Events

 AfterDataCreate

 AfterItemCreate

 BeforeEdit

 BeforeItemCreate

 BeforeSelection

 OnDataValueChanged

 OnEditorContextPopup

 OnEditorKeyDown

 OnEditorKeyPress

 OnEditorKeyUp

 OnEditorMouseDown

 OnItemDoubleClicked

 OnItemEdit

 OnItemSelected

 OnItemValueChanged

 OnItemValueChanging

 OnItemValueError

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomInspector Properties

TJvCustomInspector	Legend

Properties

 AutoComplete

 AutoDropDown

 BandSizing

 BandSizingBand

 BandStarts

 BandWidth

 CollapseButton

 Divider

 DividerAbs

 DividerDragBandX

 DraggingDivider

 ExpandButton

 ImageHeight

 InspectObject

 ItemHeight

 LockCount

 NeedRebuild

 NeedRedraw

 Painter

 PaintGeneration

 ReadOnly

 RelativeDivider

 Root

 RowSizing

 RowSizingItem

 Selected

 SelectedIndex

 Selecting

 SortNotificationList

 TopIndex

 UseBands

 VisibleCount

 VisibleItems

 WantTabs

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomInspector Methods

TJvCustomInspector	Legend

Methods

AddComponent

 BeginUpdate

 CalcImageHeight

 CalcItemIndex

 CalcItemRect

Clear

 DoAfterDataCreate

 DoAfterItemCreate

 DoBeforeItemCreate

 DoBeforeItemSelect

 DoItemSelected

 EndUpdate

 Focused

 FocusedItem

 GetBandFor

 GetButtonRect

 GetLastFullVisible

 HandleBandResize

 IdxToY

 IncPaintGeneration

 InvalidateHeight

 InvalidateItem

 InvalidateList

 NotifySort

 Paint

 RebuildVisible

RefreshValues

 RemoveNotifySort

SaveValues

 ScrollFactorV

 UpdateScrollBars

 ViewHeight

 ViewRect

 ViewWidth

 VisibleIndex

 YToIdx

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvCustomInspector

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomInspectorBase
    TJvCustomInspector


TJvCustomInspector Members

TJvCustomInspector	Legend

Members

Events

 AfterDataCreate

 AfterItemCreate

 BeforeEdit

 BeforeItemCreate

 BeforeSelection

 OnDataValueChanged

 OnEditorContextPopup

 OnEditorKeyDown

 OnEditorKeyPress

 OnEditorKeyUp

 OnEditorMouseDown

 OnItemDoubleClicked

 OnItemEdit

 OnItemSelected

 OnItemValueChanged

 OnItemValueChanging

 OnItemValueError

Properties

 AutoComplete

 AutoDropDown

 BandSizing

 BandSizingBand

 BandStarts

 BandWidth

 CollapseButton

 Divider

 DividerAbs

 DividerDragBandX

 DraggingDivider

 ExpandButton

 ImageHeight

 InspectObject

 ItemHeight

 LockCount

 NeedRebuild

 NeedRedraw

 Painter

 PaintGeneration

 ReadOnly

 RelativeDivider

 Root

 RowSizing

 RowSizingItem

 Selected

 SelectedIndex

 Selecting

 SortNotificationList

 TopIndex

 UseBands

 VisibleCount

 VisibleItems

 WantTabs

Methods

AddComponent

 BeginUpdate

 CalcImageHeight

 CalcItemIndex

 CalcItemRect

Clear

 DoAfterDataCreate

 DoAfterItemCreate

 DoBeforeItemCreate

 DoBeforeItemSelect

 DoItemSelected

 EndUpdate

 Focused

 FocusedItem

 GetBandFor

 GetButtonRect

 GetLastFullVisible

 HandleBandResize

 IdxToY

 IncPaintGeneration

 InvalidateHeight

 InvalidateItem

 InvalidateList

 NotifySort

 Paint

 RebuildVisible

RefreshValues

 RemoveNotifySort

SaveValues

 ScrollFactorV

 UpdateScrollBars

 ViewHeight

 ViewRect

 ViewWidth

 VisibleIndex

 YToIdx

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomInspector.AfterDataCreate event

TJvCustomInspector	Edit topic

Event called when the data instance has been created

Pascal

property AfterDataCreate: TInspectorDataEvent;

Parameters

Sender

The inspector control that fired the event

Data

The data instance belonging to the event

Description

The AfterDataCreate event is called right after the data instance has been created.

Created with Doc-O-Matic.


TJvCustomInspector.AfterItemCreate event

TJvCustomInspector	Edit topic

Event called when the item has been created.

Pascal

property AfterItemCreate: TInspectorItemEvent;

Parameters

Item

The item that has just been created.

Sender

Inspector that fired the event

Description

The AfterItemCreate event is called after the item has been constructed.

Created with Doc-O-Matic.


TJvCustomInspector.AutoComplete property

TJvCustomInspector	Edit topic

Not documented

Pascal

property AutoComplete: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.AutoDropDown property

TJvCustomInspector	Edit topic

Not documented

Pascal

property AutoDropDown: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.BandSizing property

TJvCustomInspector	See Also	Edit topic

Internal band resizing flag.

Pascal

property BandSizing: Boolean;

Description

BandSizing indicates whether the control is resizing band on mouse movements. The flag is used internally to keep track of band resizing.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandSizingBand


TJvCustomInspector.BandSizingBand property

TJvCustomInspector	See Also	Edit topic

Indicates which band is being resized.

Pascal

property BandSizingBand: Integer;

Description

BandSizingBand indicates which band is being resized by the user. It's used internally during band resizing.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandSizing


TJvCustomInspector.BandStarts property

TJvCustomInspector	Edit topic

A list of items that start a new band.

Pascal

property BandStarts: TList;

Description

BandStarts is a list containing the items that are displayed on a new band. The list is used internally by the control for rendering and navigation.

Created with Doc-O-Matic.


TJvCustomInspector.BandWidth property

TJvCustomInspector	See Also	Edit topic

Width of a band.

Pascal

property BandWidth: Integer;

Description

BandWidth holds the width of a band. Read BandWith to determine the current width of a band or set it to a new value.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.UseBands


TJvCustomInspector.BeforeEdit event

TJvCustomInspector	Edit topic

Not documented

Pascal

TInspectorBeforeEditEvent = procedure (Sender: TObject; Item: TJvCustomInspectorItem; Edit: TCustomEdit) of object;
property BeforeEdit: TInspectorBeforeEditEvent;

Parameters

Edit

Not documented

Item

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.BeforeItemCreate event

TJvCustomInspector	Edit topic

Event fired before an item is constructed.

Pascal

TInspectorItemBeforeCreateEvent = procedure (Sender: TObject; Data: TJvCustomInspectorData; var ItemClass: TJvInspectorItemClass) of object;
property BeforeItemCreate: TInspectorItemBeforeCreateEvent;

Parameters

ItemClass

The item to be constructed for this data object.

Data

A reference to the data instance

Sender

The inspector that fired the event

Description

The BeforeItemCreate event is called after the data has been constructed and right before the item is constructed. The Data parameter references the Data instance just created. The ItemClass parameter can be set to an item class or nil to prevent the item from being created.

Created with Doc-O-Matic.


TJvCustomInspector.BeforeSelection event

TJvCustomInspector	See Also	Edit topic

Event fired before an item is selected.

Pascal

TInspectorItemBeforeSelectEvent = procedure (Sender: TObject; NewItem: TJvCustomInspectorItem; var Allow: Boolean) of object;
property BeforeSelection: TInspectorItemBeforeSelectEvent;

Parameters

Allow

When set to True, the selection will happen, otherwise the selection is aborted.

NewItem

The item about to be selected.

Sender

The inspector that fired the event

Description

The BeforeSelection event is called just before an item is selected.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.OnItemSelected


TJvCustomInspector.CollapseButton property

TJvCustomInspector	Edit topic

Bitmap to use as a collapse button.

Pascal

property CollapseButton: TBitmap;

Description

CollapseButton holds the TBitmap to use as a collapse button for an item. By default it uses the image used in Borlands Object Inspector.

Created with Doc-O-Matic.


TJvCustomInspector.Divider property

TJvCustomInspector	See Also	Edit topic

Divider position.

Pascal

property Divider: Integer;

Description

Divider is the position of the divider between the name and the value part.

Depending on the value of RelativeDivider, this is either an actual position in pixels (RelativeDivider set to False) or the percentage (RelativeDivider set to True) of the width of a band (UseBands set to True) or the width of the inspector (UseBands set to False).

To obtain or modify the actual position is pixels, regardless of the state of RelativeDivider you can read or set DividerAbs.

Read Divider to determine its current location or set it to a new position.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandWidth, TJvCustomInspector.DividerAbs, TJvCustomInspector.RelativeDivider, TJvCustomInspector.UseBands


TJvCustomInspector.DividerAbs property

TJvCustomInspector	See Also	Edit topic

Absolute divider position.

Pascal

property DividerAbs: Integer;

Description

DividerAbs is the X-position (in actual pixels) of the divider between the name and the value part.

Depending on the state of RelativeDivider, DividerAbs is either identical to Divider (RelativeDivider set to False) or is the calculated X-offset (RelativeDivider set to True) based on the value of Divider and the BandWidth (UseBand set to True) or ClientWidth (UseBands set to False).

Read DividerAbs to determine the X-position in pixels of the Divider bar or set it to a new position.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandWidth, TJvCustomInspector.Divider, TJvCustomInspector.RelativeDivider, TJvCustomInspector.UseBands


TJvCustomInspector.DividerDragBandX property

TJvCustomInspector	Edit topic

Not documented

Pascal

property DividerDragBandX: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.DraggingDivider property

TJvCustomInspector	Edit topic

Flag to indicate the dragging of the divider bar.

Pascal

property DraggingDivider: Boolean;

Description

DraggingDivider is an internal flag to indicate if the user is dragging the divider bar with the mouse.

Created with Doc-O-Matic.


TJvCustomInspector.ExpandButton property

TJvCustomInspector	Edit topic

Bitmap to use as an expand button.

Pascal

property ExpandButton: TBitmap;

Description

ExpandButton holds the TBitmap to use as an expand button for an item. By default it uses the image used in Borlands Object Inspector.

Created with Doc-O-Matic.


TJvCustomInspector.ImageHeight property

TJvCustomInspector	Edit topic

Current image height.

Pascal

property ImageHeight: Integer;

Description

ImageHeight returns the total height of all visible inspector items. This is the height that would be necessary to render all currently displayable items in a single band, even if the Inspector is in bands mode.

Created with Doc-O-Matic.


TJvCustomInspector.InspectObject property

TJvCustomInspector	See Also	Edit topic

Inspects the specified object.

Pascal

property InspectObject: TObject;

Description

Use InspectObject to specify a single object. The value of InspectObject is not reset when the items of the inspector is manually modified (e.g. after clearing the inspector or manually adding items).

Setting InspectObject to a new value will clear the inspector and add all published properties of the object to the root of the inspector.

Read InspectObject to determine the instance last inspected or set it to a new instance.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.AddComponent


TJvCustomInspector.ItemHeight property

TJvCustomInspector	See Also	Edit topic

Standard item height.

Pascal

property ItemHeight: Integer;

Description

ItemHeight is the standard items height. Although each item can have its own height, this property determines the default height for all non-resized items. In addition, this value could be used to determine the resize increments of an item.

When you change this property, all non-resizable items are resized accordingly. In addition the items that resize in increments of ItemHeight or need a minimum height of ItemHeight are adjusted as well.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.InvalidateHeight


TJvCustomInspector.LockCount property

TJvCustomInspector	Edit topic

Number of BeginUpdates not ended.

Pascal

property LockCount: Integer;

Description

LockCount is the number of BeginUpdates that have been issued but have not been matched with an EndUpdate.

Created with Doc-O-Matic.


TJvCustomInspector.NeedRebuild property

TJvCustomInspector	See Also	Edit topic

Indicates if the visible item list needs to be rebuild.

Pascal

property NeedRebuild: Boolean;

Description

NeedRebuild indicates if the visible item list needs to be rebuild. NeedRebuild is set when InvalidateList is called and updates are blocked by a call to BeginUpdate. As soon as EndUpdate is called, the list will be rebuild.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BeginUpdate, TJvCustomInspector.EndUpdate, TJvCustomInspector.NeedRedraw, TJvCustomInspector.RebuildVisible


TJvCustomInspector.NeedRedraw property

TJvCustomInspector	See Also	Edit topic

Indicates if the control should redraw all items.

Pascal

property NeedRedraw: Boolean;

Description

NeedRedraw indicates if the items should be redrawn when EndUpdate is called. NeedRedraw is set by InvalidateItem when update are blocked by a call to BeginUpdate.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BeginUpdate, TJvCustomInspector.EndUpdate, TJvCustomInspector.NeedRebuild


TJvCustomInspector.OnDataValueChanged event

TJvCustomInspector	See Also	Edit topic

Event fired after the data value is changed.

Pascal

property OnDataValueChanged: TInspectorDataEvent;

Parameters

Sender

The inspector that fired the event. Data - Reference to the data instance who's value has changed.

Description

Write an OnDataValueChanged to perform additional actions when the value of a data instance is changed.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.OnItemValueChanged


TJvCustomInspector.OnEditorContextPopup event

TJvCustomInspector	Edit topic

Not documented

Pascal

property OnEditorContextPopup: TContextPopupEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnEditorKeyDown event

TJvCustomInspector	Edit topic

Not documented

Pascal

property OnEditorKeyDown: TKeyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnEditorKeyPress event

TJvCustomInspector	Edit topic

Not documented

Pascal

property OnEditorKeyPress: TKeyPressEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnEditorKeyUp event

TJvCustomInspector	Edit topic

Not documented

Pascal

property OnEditorKeyUp: TKeyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnEditorMouseDown event

TJvCustomInspector	Edit topic

Not documented

Pascal

TOnJvInspectorMouseDown = procedure (Sender: TJvCustomInspector; Item: TJvCustomInspectorItem; Button: TMouseButton; Shift: TShiftState; X, Y: Integer) of object;
property OnEditorMouseDown: TOnJvInspectorMouseDown;

Parameters

Shift

Not documented

X

Not documented

Y

Not documented

Sender

Not documented

Item

Not documented

Button

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnItemDoubleClicked event

TJvCustomInspector	Edit topic

Not documented

Pascal

property OnItemDoubleClicked: TInspectorItemEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnItemEdit event

TJvCustomInspector	Edit topic

Not documented

Pascal

TOnJvInspectorItemEdit = procedure (Sender: TJvCustomInspector; Item: TJvCustomInspectorItem; var DisplayStr: string) of object;
property OnItemEdit: TOnJvInspectorItemEdit;

Parameters

DisplayStr

Not documented

Item

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnItemSelected event

TJvCustomInspector	See Also	Edit topic

Event fired after an item is selected.

Pascal

property OnItemSelected: TNotifyEvent;

Parameters

Sender

The inspector that fired the event.

Description

The OnItemSelected event is fired when a new item is selected.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BeforeSelection


TJvCustomInspector.OnItemValueChanged event

TJvCustomInspector	Edit topic

Not documented

Pascal

property OnItemValueChanged: TInspectorItemEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnItemValueChanging event

TJvCustomInspector	Edit topic

Not documented

Pascal

TInspectorValueChangingEvent = procedure (Sender: TObject; Item: TJvCustomInspectorItem; var NewValue: string; var AllowChange: Boolean) of object;
property OnItemValueChanging: TInspectorValueChangingEvent;

Parameters

NewValue

Not documented

AllowChange

Not documented

Sender

Not documented

Item

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.OnItemValueError event

TJvCustomInspector	Edit topic

Not documented

Pascal

TInspectorValueErrorEvent = procedure (Sender: TObject; Item: TJvCustomInspectorItem; ExceptObject: Exception) of object;
property OnItemValueError: TInspectorValueErrorEvent;

Parameters

ExceptObject

Not documented

Item

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspector.Painter property

TJvCustomInspector	See Also	Edit topic

Reference to the painter object.

Pascal

property Painter: TJvInspectorPainter;

Description

Painter is a reference to the painter object currently assigned. Painter are responsible for painting the control in different styles. By assigning a different painter to the inspector you can switch the viewing style.

Read Painter to find out which painter is currently used to render the inspector or set it to another painter to change styles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter


TJvCustomInspector.PaintGeneration property

TJvCustomInspector	See Also	Edit topic

Counter of paints issued.

Pascal

property PaintGeneration: Integer;

Description

PaintGeneration holds the number of times the inspector has rendered its image. It's primary goal is to keep track which items have been painted during the last iteration. For that purpose, each item has a LastPaintGeneration property. If the two values are equal, the item has been displayed during the last render.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.LastPaintGeneration


TJvCustomInspector.ReadOnly property

TJvCustomInspector	See Also	Edit topic

Indicates whether the inspector is in read-only mode.

Pascal

property ReadOnly: Boolean;

Description

ReadOnly indicates the read-only state of the inspector. When ReadOnly is True, the inspector is locked and items can not be edited. When ReadOnly is False, items can be edited (provided their ReadOnly property is True).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.ReadOnly


TJvCustomInspector.RelativeDivider property

TJvCustomInspector	See Also	Edit topic

Determines whether the divider bar is a percentage of the width or an absolute position.

Pascal

property RelativeDivider: Boolean;

Description

RelativeDivider determines whether the value represented by the Divider property is an absolute position is pixels or a percentage of either the width of a band (UseBands set to True) or the control (UseBands set to False).

When RelativeDivider is set to True, the Divider property is percentage and the divider bar will adjust when the width of the band or control changes. The DividerAbs property will hold the calculated absolute position in pixels.

When RelativeDivider is set to False, the Divider property is an absolute position in pixels and the divider bar will remain at it's set position when the band or control is resized (although the bar will be adjusted if the minimum width to the right of bar becomes to small). The DividerAbs property will be the same as the Divider property.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandWidth, TJvCustomInspector.Divider, TJvCustomInspector.UseBands


TJvCustomInspector.Root property

TJvCustomInspector	Edit topic

References the root item.

Pascal

property Root: TJvCustomInspectorItem;

Description

Root is a reference to the inspector's root item. The root item is a hidden item that functions as a place holder for the actual items to be inspected.

Created with Doc-O-Matic.


TJvCustomInspector.RowSizing property

TJvCustomInspector	See Also	Edit topic

Tracks if a row is being resized.

Pascal

property RowSizing: Boolean;

Description

RowSizing indicates if the user is resizing an item with the mouse. If RowSizing is set to True, mouse movements will be interpreted as changing the height of the item indicated by RowSizingItem. If RowSizing is False, mouse movements are not resizing an item (however, RowSizingItem might still point to the last resized item).

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandSizing, TJvCustomInspector.BandSizingBand, TJvCustomInspector.RowSizingItem


TJvCustomInspector.RowSizingItem property

TJvCustomInspector	Edit topic

Holds the item being resized.

Pascal

property RowSizingItem: TJvCustomInspectorItem;

Description

RowSizingItem indicates which item is being resized by the user. RowSizingItem is used internally to find out which row is being resized, and gives valid results only if RowSizing is True.

Created with Doc-O-Matic.


TJvCustomInspector.Selected property

TJvCustomInspector	See Also	Edit topic

Reference to the selected item

Pascal

property Selected: TJvCustomInspectorItem;

Description

Selected is the current selected item. If no item is selected, nil will be returned. Reading Selected is the same as:

  if SelectedIndex > -1 then

    Selected := VisibleItems[SelectedIndex]

  else

    Selected := nil;

When you set Selected to a new item, and that item is not visible, Selected and SelectedIndex will not be changed.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.SelectedIndex, TJvCustomInspector.VisibleItems


TJvCustomInspector.SelectedIndex property

TJvCustomInspector	See Also	Edit topic

Index of selected item.

Pascal

property SelectedIndex: Integer;

Description

SelectedIndex indicates which item in the VisibleItems array is currently selected. If no item is selected, -1 will be returned, otherwise the 0-based index into the VisibleItems property is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Selected, TJvCustomInspector.VisibleItems


TJvCustomInspector.Selecting property

TJvCustomInspector	Edit topic

Tracks if the user is selecting items.

Pascal

property Selecting: Boolean;

Description

Selecting indicates if the user is selecting items with the mouse. If the user presses the left mouse button and moves the mouse, the item where mouse moves over will be selected, until the user releases the left mouse button.

Created with Doc-O-Matic.


TJvCustomInspector.SortNotificationList property

TJvCustomInspector	Edit topic

List of items that need to be resorted.

Pascal

property SortNotificationList: TList;

Description

SortNotificationList holds a list of items that need to be resorted when updates are no longer blocked. An item is added to this list when NotifySort is called, updates are blocked, and the item isn't already in the list. When EndUpdate decreases the LockCount to 0, the items will be resorted, after which the VisibleItems array will be rebuild.

Created with Doc-O-Matic.


TJvCustomInspector.TopIndex property

TJvCustomInspector	See Also	Edit topic

Index of the first displayed item.

Pascal

property TopIndex: Integer;

Description

TopIndex indicates which item is displayed first (the item in the top left corner). Read TopIndex to find out which item is in the top left corner of the view or set it to a new index to scroll the view.

Notes

Although you can change this value, it will be adjusted to display the selected item as soon as the user presses a key.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Selected, TJvCustomInspector.SelectedIndex, TJvCustomInspector.VisibleItems


TJvCustomInspector.UseBands property

TJvCustomInspector	See Also	Edit topic

Indicates if inspector bands are used.

Pascal

property UseBands: Boolean;

Description

UseBands indicates if inspector bands are used. Bands are resizable inspector columns, where each column will contain a number of items. The number of bands and items per band are calculated on each resize.

When using bands (UseBands is True), the inspector will never show a vertical scroll bar, but a horizontal scroll bar can appear if more bands are shown than actually fit in the control.

When not using bands (UseBands is False), the inspector will never show a horizontal scroll bar, but a vertical scroll bar may appear if more items are shown than actually fit in the control.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandWidth


TJvCustomInspector.VisibleCount property

TJvCustomInspector	See Also	Edit topic

Number of visible items.

Pascal

property VisibleCount: Integer;

Description

VisibleCount indicates the number of items that are visible. This does not mean that the items are actually displayed at the moment, it means that that number of items are displayable using the current settings.

Use VisibleItems to find out which items are visible.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.VisibleItems


TJvCustomInspector.VisibleItems property

TJvCustomInspector	See Also	Edit topic

Array of displayable items

Pascal

property VisibleItems [const I: Integer]: TJvCustomInspectorItem;

Description

VisibleItems is a 0-based array of displayable items. Read VisibleItems to find out which items are being displayed and in what order. Use VisibleCount to find out how many items are displayable.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.VisibleCount


TJvCustomInspector.WantTabs property

TJvCustomInspector	Edit topic

Indicates if TABs are wanted as alternative navigation keys.

Pascal

property WantTabs: Boolean;

Description

WantTabs indicates whether the TAB and Shift-TAB keys will function as a "Next" and "Prior" item respectively. If WantTabs is True, TAB and Shift-TAB will function as navigation keys in addition to the standard up and down keys.

Created with Doc-O-Matic.


TJvCustomInspector.AddComponent method

TJvCustomInspector	See Also	Edit topic

Adds an object to the inspector.

Pascal

procedure AddComponent(Instance: TObject; const CategoryName: string = ''; Expanded: Boolean = True);

Parameters

Instance: TObject

Instance to be added to the inspector.

const CategoryName: string = ''

Name of the category to create. If no name is given, no category will be created and the object will be added to the root.

Expanded: Boolean = True

Specifies whether the newly created category should be expanded when the object is added. When set to True the category will be expanded. If no category is created (because CategoryName is an empty string) the parameter will be ignored.

Description

AddComponent will add the published properties of an object to the inspector.

If the CategoryName parameter is an empty string, the properties are added to the root of the inspector, otherwise a new category is created and the properties are added to that category.

The Expanded parameter is only used if CategoryName is a non-empty string and determines if the new category should be expanded.

Created with Doc-O-Matic.


See Also

TJvInspectorPropData.New


TJvCustomInspector.BeginUpdate method

TJvCustomInspector	See Also	Edit topic

Prevents updating of the inspector until the EndUpdate method is called.

Pascal

function BeginUpdate: Integer; virtual;

Description

Call BeginUpdate before making multiple changes to the inspector. When all changes are complete, call EndUpdate so that the changes can be reflected on screen. BeginUpdate and EndUpdate prevent excessive redraws and speed processing time when items are added, deleted, inserted or otherwise modified.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.EndUpdate


TJvCustomInspector.CalcImageHeight method

TJvCustomInspector	Edit topic

Determines the total size of the visible items.

Pascal

function CalcImageHeight: Integer; virtual;

Description

CalcImageHeight determines the total size of the visible items. This means that the height will be calculated as if there are no bands (this value will be returned) and the number of bands and band starts are calculated.

CalcImageHeight is called when you read the ImageHeight property as well as by the rendering methods.

Created with Doc-O-Matic.


TJvCustomInspector.CalcItemIndex method

TJvCustomInspector	Edit topic

Determines which item is at the specified position.

Pascal

function CalcItemIndex(X: Integer; Y: Integer; var Rect: TRect): Integer; virtual;

Return Value

Index of the item found at the given position or -1 if no item is displayed at the given position.

Parameters

X: Integer

X-position to check

Y: Integer

Y-position to check

var Rect: TRect

Rectangle of item found. If no item was found, Rect will be undefined.

Description

CalcItemIndex determines which item is displayed at the given position. In addition it will return the rectangle for that item. If the specified position has no item, the function will return -1 and the Rect parameter will be undefined.

Created with Doc-O-Matic.


TJvCustomInspector.CalcItemRect method

TJvCustomInspector	Edit topic

Determines the displaying rectangle for the given item.

Pascal

function CalcItemRect(const Item: TJvCustomInspectorItem): TRect; virtual;

Parameters

const Item: TJvCustomInspectorItem

Not documented

Description

CalcItemRect determines the displaying rectangle of the given item. Since this value is stored in the item itself, CalcItemRect can be replaced with:

    ItemRect := Item.Rects[iprItem];

Created with Doc-O-Matic.


TJvCustomInspector.Clear method

TJvCustomInspector	See Also	Edit topic

Clears the inspector.

Pascal

procedure Clear;

Description

Clear will remove all items from the inspector. Clear is implemented as:

  BeginUpdate;

  Root.Clear;

  EndUpdate;

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Clear


TJvCustomInspector.DoAfterDataCreate method

TJvCustomInspector	Edit topic

Executes the event handler assigned to AfterDataCreate.

Pascal

procedure DoAfterDataCreate(const Data: TJvCustomInspectorData); virtual;

Description

DoAfterDataCreate calls the event handler assigned to AfterDataCreate, if any.

Created with Doc-O-Matic.


TJvCustomInspector.DoAfterItemCreate method

TJvCustomInspector	Edit topic

Executes the event handler assigned to AfterItemCreate.

Pascal

procedure DoAfterItemCreate(const Item: TJvCustomInspectorItem); virtual;

Description

DoAfterItemCreate calls the event handler assigned to AfterItemCreate, if any.

Created with Doc-O-Matic.


TJvCustomInspector.DoBeforeItemCreate method

TJvCustomInspector	Edit topic

Executes the event handler assigned to BeforeItemCreate.

Pascal

procedure DoBeforeItemCreate(const Data: TJvCustomInspectorData; var ItemClass: TJvInspectorItemClass); virtual;

Parameters

var ItemClass: TJvInspectorItemClass

class of the item to be created for this data instance.

Description

DoBeforeItemCreate calls the event handler assigned to BeforeItemCreate, if any.

Created with Doc-O-Matic.


TJvCustomInspector.DoBeforeItemSelect method

TJvCustomInspector	Edit topic

Executes the event handler assigned to BeforeSelection.

Pascal

function DoBeforeItemSelect(const NewItem: TJvCustomInspectorItem): Boolean; virtual;

Parameters

const NewItem: TJvCustomInspectorItem

Item to be selected.

Description

DoBeforeItemSelect calls the event handler assigned to BeforeSelection, if any. Returns True if the selection is allowed or no handler was assigned to BeforeSelection.

Created with Doc-O-Matic.


TJvCustomInspector.DoItemSelected method

TJvCustomInspector	Edit topic

Executes the event handler assigned to OnItemSelected.

Pascal

procedure DoItemSelected; virtual;

Description

DoItemSelected calls the event handler assigned to OnItemSelected, if any.

Created with Doc-O-Matic.


TJvCustomInspector.EndUpdate method

TJvCustomInspector	See Also	Edit topic

Reenables screen repainting that was turned off with the BeginUpdate method.

Pascal

function EndUpdate: Integer; virtual;

Description

Call EndUpdate after completing changes to the inspector that were begun with a call to the BeginUpdate method. When every call to BeginUpdate is matched by a subsequent call to EndUpdate, the inspector view image updates to reflect all changes that occurred while repaints were disabled.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BeginUpdate


TJvCustomInspector.Focused method

TJvCustomInspector	Edit topic

Determines whether the control has input focus.

Pascal

function Focused: Boolean; override;

Description

Use the Focused method to see if the control is the active control. When Focused returns True, the control has the input focus. If Focused returns False, the user cannot interact with the control.

Because the inspector might have an edit control that has focus, Focused is reimplemented to check the active edit control as well as the inspector.

Created with Doc-O-Matic.


TJvCustomInspector.FocusedItem method

TJvCustomInspector	See Also	Edit topic

The currently focused item.

Pascal

function FocusedItem: TJvCustomInspectorItem; virtual;

Description

FocusedItem returns the item that has input focus. Usually this will be same as Selected, unless the selected item is a compound item, in which case it will be set to the item of the currently selected column.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Selected, TJvInspectorCustomCompoundItem, TJvInspectorCustomCompoundItem.SelectedColumn


TJvCustomInspector.GetBandFor method

TJvCustomInspector	Edit topic

Determines in which band a given item is displayed.

Pascal

function GetBandFor(const ItemIdx: Integer): Integer; virtual;

Parameters

const ItemIdx: Integer

Index into the VisibleItems list of the item to retrieve the band index for.

Description

GetBandFor retrieves the band index in which the given item is displayed or -1 if it's not displayed at all.

GetBandFor is used in determining the scrollbar settings for a horizontal scrollbar and is called from UpdateScrollBars.

Created with Doc-O-Matic.


TJvCustomInspector.GetButtonRect method

TJvCustomInspector	Edit topic

Retrieves the expand/collapse button rectangle.

Pascal

function GetButtonRect(const ItemIndex: Integer): TRect; virtual;

Parameters

const ItemIndex: Integer

Index into the VisibleItems list of the item to retrieve the button rectangle for.

Description

GetButtonRect retrieves the items expand/collapse button rectangle. If the item has no expand/collapse button, an empty rectangle will be returned.

Created with Doc-O-Matic.


TJvCustomInspector.GetLastFullVisible method

TJvCustomInspector	Edit topic

Retrieves the index of the last item that is completely visible.

Pascal

function GetLastFullVisible: Integer; virtual;

Description

GetLastFullVisible retrieves the index of the last completely visible item. GetLastFullVisible is used for navigational purposes. When scrolling a page down, the selection is first moved to the last completely visible item or, if it's already selected, scrolls an entire page.

Created with Doc-O-Matic.


TJvCustomInspector.HandleBandResize method

TJvCustomInspector	Edit topic

Resizes the band.

Pascal

procedure HandleBandResize(X: Integer); virtual;

Parameters

X: Integer

current X-position of the mouse

Description

HandleBandResize will calculate the size of the band that is currently being resized. HandleBandResize is called when the user is resizing the bands with the mouse.

Created with Doc-O-Matic.


TJvCustomInspector.IdxToY method

TJvCustomInspector	See Also	Edit topic

Calculates the Y offset of a given item index

Pascal

function IdxToY(const Index: Integer): Integer; virtual;

Parameters

const Index: Integer

Item index to retrieve the Y position for.

Description

IdxToY will determine the top of the item rectangle if the items would be rendered in a single band.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.YToIdx


TJvCustomInspector.IncPaintGeneration method

TJvCustomInspector	Edit topic

Increases the paint generation counter.

Pascal

procedure IncPaintGeneration; virtual;

Description

IncPaintGeneration increases the PaintGeneration property by 1. You should never need to call this method, as it is called automatically by the painting methods.

Created with Doc-O-Matic.


TJvCustomInspector.InvalidateHeight method

TJvCustomInspector	See Also	Edit topic

Invalidates the cached virtual height of the inspector.

Pascal

procedure InvalidateHeight; virtual;

Description

InvalidateHeight will clear the cached virtual height of the inspector. This will lead to a new size determination of the inspector image.

InvalidateHeight is automatically called when items are resized (either through the user interface or in code) or the ItemHeight property of the inspector is changed.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.ItemHeight


TJvCustomInspector.InvalidateItem method

TJvCustomInspector	Edit topic

Signals that an item has been changed and the image should be redrawn.

Pascal

procedure InvalidateItem; virtual;

Description

InvalidateItem will make sure that the inspector will redraw the items. If LockCount is non-zero, NeedRedraw will be set, otherwise the scrollbar settings will be update, which in turn will lead to a repaint.

InvalidateItem is called whenever an item has changed a visible property (e.g. its value, name or height).

Created with Doc-O-Matic.


TJvCustomInspector.InvalidateList method

TJvCustomInspector	Edit topic

Signals that the list of visible items should be redetermined.

Pascal

procedure InvalidateList; virtual;

Description

InvalidateList will make sure that the list of visible items will be rebuild before a new redraw will take place. If LockCount is non-zero, NeedRebuild will be set, otherwise RebuildVisible will be called.

InvalidateList is called whenever an item is made visible or invisible (either through the items Visible or Hidden property, or because a parent item is expanded or collapsed).

Created with Doc-O-Matic.


TJvCustomInspector.NotifySort method

TJvCustomInspector	See Also	Edit topic

Places an item into the sort request list.

Pascal

procedure NotifySort(const Item: TJvCustomInspectorItem); virtual;

Parameters

const Item: TJvCustomInspectorItem

Not documented

Description

NotifySort adds the specified item to the list of sort requests if it's not in the list already and LockCount <> 0. If LockCount is 0, the item's Sort method is called.

The sort requests are handled when EndUpdate is called and the lock count reaches 0.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BeginUpdate, TJvCustomInspector.EndUpdate, TJvCustomInspector.RemoveNotifySort, TJvCustomInspector.SortNotificationList, TJvCustomInspectorItem.Sort


TJvCustomInspector.Paint method

TJvCustomInspector	Edit topic

Will paint the inspector control.

Pascal

procedure Paint; override;

Description

Paint will increase the PaintGeneration counter and tell the Painter to paint the image.

Created with Doc-O-Matic.


TJvCustomInspector.RebuildVisible method

TJvCustomInspector	Edit topic

Rebuilds the VisibleItems list.

Pascal

procedure RebuildVisible; virtual;

Description

RebuildVisible will clear the VisibleItems array and fill it up with the currently visible items. It will not change the Selected property, unless the previously selected item is no longer visible, in which case the Selected property will be set to nil.

Created with Doc-O-Matic.


TJvCustomInspector.RefreshValues method

TJvCustomInspector	See Also	Edit topic

Refreshes the items of the inspector.

Pascal

procedure RefreshValues;

Description

RefreshValues will refresh all items of the inspector. If any item is being edited, the edit operation is canceled (losing any change not yet committed) and reinitialized.

Use RefreshValues if you know one or more of the items in the inspector have been modified outside the inspector (e.g. you changed a property from code and this property is displayed in the inspector).

Created with Doc-O-Matic.


See Also

TJvCustomInspector.SaveValues


TJvCustomInspector.RemoveNotifySort method

TJvCustomInspector	See Also	Edit topic

Removes an item from the sort request list.

Pascal

procedure RemoveNotifySort(const Item: TJvCustomInspectorItem); virtual;

Parameters

const Item: TJvCustomInspectorItem

Not documented

Description

RemoveNotifySort removes the specified item from the list of sort requests. If the item does not exist, RemoveNotifySort does nothing.

Notes

This method is usually called by the destructor of an item.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.NotifySort


TJvCustomInspector.SaveValues method

TJvCustomInspector	See Also	Edit topic

Refreshes the items of the inspector.

Pascal

procedure SaveValues;

Description

SaveValues will refresh all items of the inspector. If any item is being edited, the value of the editor is applied to the data instance.

Use SaveValues if you know one or more of the items in the inspector have been modified outside the inspector (e.g. you changed a property from code and this property is displayed in the inspector) but you don't want to lose the data being edited.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.RefreshValues


TJvCustomInspector.ScrollFactorV method

TJvCustomInspector	Edit topic

Determines the multiply/division factor for vertical scrollbar settings.

Pascal

function ScrollFactorV: Extended; virtual;

Description

ScrollfactorV determines the multiplication/division factor for setting the vertical scrollbar.

Because the windows scrollbar can only handle 16 bit values for thumbtracking messages, all values should be within -32768 .. 32767. The ImageHeight could be larger than that. To circumvent that, a factor is determined if the ImageHeight is to large such that the ImageHeight can be expressed as 32767.

Created with Doc-O-Matic.


TJvCustomInspector.UpdateScrollBars method

TJvCustomInspector	Edit topic

Updates the scrollbar settings.

Pascal

procedure UpdateScrollBars; virtual;

Description

UpdateScrollBars will update the scrollbar settings to reflect the current control state.

Created with Doc-O-Matic.


TJvCustomInspector.ViewHeight method

TJvCustomInspector	Edit topic

Displayable height of the control.

Pascal

function ViewHeight: Integer;

Description

ViewHeight returns the height of the controls ViewRect.

Created with Doc-O-Matic.


TJvCustomInspector.ViewRect method

TJvCustomInspector	Edit topic

Displayable rectangle of the control.

Pascal

function ViewRect: TRect; virtual;

Description

ViewRect returns the rectangle in which items can be rendered. The current implementation returns ClientRect. Descendants could override this method to return a smaller rectangle if additional borders are needed.

Created with Doc-O-Matic.


TJvCustomInspector.ViewWidth method

TJvCustomInspector	Edit topic

Displayable width of the control.

Pascal

function ViewWidth: Integer;

Description

ViewWidth returns the width of the controls ViewRect.

Created with Doc-O-Matic.


TJvCustomInspector.VisibleIndex method

TJvCustomInspector	See Also	Edit topic

View index of an item.

Pascal

function VisibleIndex(const AItem: TJvCustomInspectorItem): Integer; virtual;

Parameters

const AItem: TJvCustomInspectorItem

Not documented

Description

VisibleIndex returns the index (row number) at which the item is displayed. If the item is not displayed at all (ie. the parent is not expanded or visible or the item is hidden or not visible) the function will return -1. Otherwise its a 0-based index into the VisibleItems property.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.VisibleItems


TJvCustomInspector.YToIdx method

TJvCustomInspector	See Also	Edit topic

Calculates the item index of a given Y offset.

Pascal

function YToIdx(const Y: Integer): Integer; virtual;

Parameters

const Y: Integer

Y-position to retrieve the item index of.

Description

YToIdx will determine the index of the item for the given Y-position if the items would be rendered in a single band. If no item is at the given position, -1 will be returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.IdxToY


TJvCustomInspectorData
JEDI-VCL Reference

TJvCustomInspectorData

Hierarchy	Properties	Methods	Events	 Edit topic

Base inspector data class.

Pascal

TJvCustomInspectorData = class(TPersistent);

File

JvInspector

Description

TJvCustomInspectorData is the abstract base data class. It's the interface between the inspector and the data it inspects. The base class provides properties and method to access the data in various forms (much like a TField).

In addition, each data class can have its own item registration database. This will provide a way to register different types based on the metadata the data instance can provide.

Created with Doc-O-Matic.


TJvCustomInspectorData Properties

TJvCustomInspectorData	Legend

Properties

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvCustomInspectorData Events

TJvCustomInspectorData

Events

OnValueChanged

Created with Doc-O-Matic.


TJvCustomInspectorData Methods

TJvCustomInspectorData	Legend

Methods

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


Legend

TJvCustomInspectorData

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorData


TJvCustomInspectorData Members

TJvCustomInspectorData	Legend

Members

Properties

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Events

OnValueChanged

Methods

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

protected

virtual

abstract


TJvCustomInspectorData.AsFloat property

TJvCustomInspectorData	Edit topic

Access the value as a float.

Pascal

property AsFloat: Extended;

Description

AsFloat tries to access the data as an extended value. If the data can not be accessed as a float (because the TypeInfo property does not point to the RTTI of a floating point type) an exception will occur. Before the data is read CheckReadAccess is called to check read access, before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvCustomInspectorData.AsInt64 property

TJvCustomInspectorData	Edit topic

Access the value as a 64-bit integer.

Pascal

property AsInt64: Int64;

Description

AsInt64 tries to access the data as an Int64 value. If the data can not be accessed as an Int64 (because the TypeInfo property does not point to the RTTI of an Int64 type) an exception will occur. Before the data is read CheckReadAccess is called to check read access, before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvCustomInspectorData.AsMethod property

TJvCustomInspectorData	Edit topic

Access the value as a TMethod integer.

Pascal

property AsMethod: TMethod;

Description

AsMethod tries to access the data as a TMethod value. If the data can not be accessed as a TMethod (because the TypeInfo property does not point to the RTTI of a TMethod type) an exception will occur. Before the data is read CheckReadAccess is called to check read access, before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvCustomInspectorData.AsOrdinal property

TJvCustomInspectorData	Edit topic

Access the value as an ordinal.

Pascal

property AsOrdinal: Int64;

Description

AsOrdinal tries to access the data as an ordinal value. If the data can not be accessed as an ordinal (because the TypeInfo property does not point to the RTTI of an ordinal type) an exception will occur. Before the data is read CheckReadAccess is called to check read access, before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvCustomInspectorData.AsString property

TJvCustomInspectorData	Edit topic

Access the value as a string.

Pascal

property AsString: string;

Description

AsString tries to access the data as a string value. If the data can not be accessed as a string (because the TypeInfo property does not point to the RTTI of a string type) an exception will occur. Before the data is read CheckReadAccess is called to check read access, before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvCustomInspectorData.ItemCount property

TJvCustomInspectorData	See Also	Edit topic

The number of items attached to this data instance.

Pascal

property ItemCount: Integer;

Description

ItemCount holds the number of items attached to this data instance. Use Items to retrieve the individual items.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.Items


TJvCustomInspectorData.Items property

TJvCustomInspectorData	See Also	Edit topic

List of items attached to this data instance.

Pascal

property Items [I: Integer]: TJvCustomInspectorItem;

Description

Items is a list of references to the inspector item this data object is assigned to. This list is filled automatically when new items are added to this data instance.

Items is 0-based.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.ItemCount


TJvCustomInspectorData.Name property

TJvCustomInspectorData	Edit topic

The name of the data object

Pascal

property Name: string;

Description

Name holds the name of the data object. Depending on the actual class implementation, its value is preset to the data it holds. The value of Name is used to display the item's name. Read Name to determine its current value or set Name to a new name.

Created with Doc-O-Matic.


TJvCustomInspectorData.OnValueChanged event

TJvCustomInspectorData	Edit topic

Notifies you whenever the value has changed.

Pascal

property OnValueChanged: TNotifyEvent;

Description

Write an OnValueChanged event handler to react to changes in the value. Changes done through an inspector control are always detected and reported. For some data layers (like the TJvInspectorDBData data layer) you will also receive notifications for changes done outside an inspector control.

Created with Doc-O-Matic.


TJvCustomInspectorData.TypeInfo property

TJvCustomInspectorData	Edit topic

Points to the RTTI for this data object.

Pascal

property TypeInfo: PTypeInfo;

Description

TypeInfo points to the RTTI for this data object. Depending on the implementation class, TypeInfo is preset to a default value for the data it represents. Read TypeInfo to determine the current RTTI pointer or set TypeInfo to another RTTI pointer.

Created with Doc-O-Matic.


TJvCustomInspectorData.CheckReadAccess method

TJvCustomInspectorData	See Also	Edit topic

Checks if the data can be read.

Pascal

procedure CheckReadAccess; virtual;

Description

CheckReadAccess checks if the data can be read. If the data can't be read, an exception will be generated.

CheckReadAccess will check if IsInitialized, IsAssigned and HasValue (in that order) return True. If any check fails, an exception will be generated, stating the reason why the data can't be read.

CheckReadAccess should be called from all GetAsxxxxxx methods before any data is read. Descendants can optionally provide additional checks by overriding this method.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.CheckWriteAccess, TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsAssigned, TJvCustomInspectorData.IsInitialized


TJvCustomInspectorData.CheckWriteAccess method

TJvCustomInspectorData	See Also	Edit topic

Checks if the data can be written.

Pascal

procedure CheckWriteAccess; virtual;

Description

CheckWriteAccess checks if the data can be written. If the data can't be written, an exception will be generated.

CheckWriteAccess will check if IsInitialized and HasValue (in that order) return True. If any check fails, an exception will be generated, stating the reason why the data can't be written.

CheckWriteAccess should be called from all SetAsxxxxxx methods before any data is written. Descendants can optionally provide additional checks by overriding this method.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.CheckReadAccess, TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsInitialized


TJvCustomInspectorData.DoDataChanged method

TJvCustomInspectorData	See Also	Edit topic

Generates an OnValueChanged event.

Pascal

procedure DoDataChanged;

Description

DoDataChanged generates an OnValueChanged event if a handler is assigned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.OnValueChanged


TJvCustomInspectorData.DoneEdits method

TJvCustomInspectorData	See Also	Edit topic

Sets all attached inspector items in browse mode.

Pascal

procedure DoneEdits(const CancelEdits: Boolean = False);

Parameters

const CancelEdits: Boolean = False

Not documented

Description

DoneEdits will iterate over all inspector items and call their DoneEdit method.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.InitEdits


TJvCustomInspectorData.GetAsSet method

TJvCustomInspectorData	Edit topic

Retrieve the data as a set value.

Pascal

procedure GetAsSet(var Buf); virtual; abstract;

Parameters

var Buf

A set variable to retrieve the value in

Description

GetAsSet will try to retrieve the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is read CheckReadAccess is called to check read access.

Created with Doc-O-Matic.


TJvCustomInspectorData.HasValue method

TJvCustomInspectorData	See Also	Edit topic

Determines if the data object actually represents a value.

Pascal

function HasValue: Boolean; virtual; abstract;

Description

HasValue determines if the data object represents a value. This is dependent on the data the object is representing and therefor changes for each data class. If the data object represents a value, HasValue returns True, otherwise False is returned. If HasValue is False, data can not be read or written and the inspector will show (no value).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned, TJvCustomInspectorData.IsInitialized


TJvCustomInspectorData.InitEdits method

TJvCustomInspectorData	See Also	Edit topic

Sets all attached inspector items in edit mode.

Pascal

procedure InitEdits;

Description

InitEdits will iterate over all inspector items and call their InitEdit method, but only if the item is the currently selected item of its inspector.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.DoneEdits


TJvCustomInspectorData.Invalidate method

TJvCustomInspectorData	Edit topic

Invalidates the item.

Pascal

procedure Invalidate; virtual;

Description

Invalidate tells the item that something in the data instance has changed since it was last displayed/edited. Call Invalidate whenever something in the data instance is changed (this is done automatically when the data is changed through one of its access properties but you might need to call it when the data has changed through other means).

Created with Doc-O-Matic.


TJvCustomInspectorData.InvalidateData method

TJvCustomInspectorData	Edit topic

Invalidates the data.

Pascal

procedure InvalidateData; virtual;

Description

InvalidateData will notify all attached inspectors and items the value has changed. In addition it will trigger the OnValueChanged events of the data instance, all attached items and all attached Inspectors.

Created with Doc-O-Matic.


TJvCustomInspectorData.IsAssigned method

TJvCustomInspectorData	See Also	Edit topic

Determines if the data object has been assigned a value.

Pascal

function IsAssigned: Boolean; virtual; abstract;

Description

IsAssigned determines if the data object has a value assigned to it. This is dependent on the data the object is representing and therefor changes for each data class. If a value is assigned, IsAssigned returns True, otherwise False is returned. If IsAssigned is False, data can not be read and the inspector will show (unassigned).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsInitialized


TJvCustomInspectorData.IsEqualReference method

TJvCustomInspectorData	See Also	Edit topic

Determines if the specified data instance references the same data.

Pascal

function IsEqualReference(const Ref: TJvCustomInspectorData): Boolean; virtual;

Parameters

const Ref: TJvCustomInspectorData

The data instance to check.

Description

IsEqualReference determines if the specified data instance references the same physical data as Self does.

If the specified instance references the same data True will be returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.NotifyRemoveData, TJvCustomInspectorData.RegisterInstance


TJvCustomInspectorData.IsInitialized method

TJvCustomInspectorData	See Also	Edit topic

Determines if the data object is properly initialized.

Pascal

function IsInitialized: Boolean; virtual; abstract;

Description

IsInitialized determines if the data object has been properly initialized. This is dependent on the data the object is representing and therefor changes for each data class. If the data is properly initialized, IsIntialized returns True, otherwise False is returned. If IsInitialized is False, the data object can not be used and the inspector will show (uninitialized)

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsAssigned


TJvCustomInspectorData.IsReadOnlyProperty method

TJvCustomInspectorData	Edit topic

Not documented

Pascal

function IsReadOnlyProperty: Boolean; virtual; abstract;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspectorData.ItemRegister method

TJvCustomInspectorData	Edit topic

ItemRegister returns the item registration database.

Pascal

class function ItemRegister: TJvInspectorRegister; virtual;

Description

ItemRegister returns the item registration database. Each data class can have its own database but is not required to. The function will return the first registration database it finds within the data class hierarchy.

The root database is located in TJvCustomInspectorData and usually contains items to map specific RTTI pointers or type kinds to an inspector item.

When an item class needs to be determined all item registration databases will be searched until a perfect match is found or until the root database has been searched. Whichever item has scored highest, automatically wins and will determine the actual item class.

Created with Doc-O-Matic.


TJvCustomInspectorData.New method

TJvCustomInspectorData	Edit topic

Instantiate a data instance and attaches an item to it.

Pascal

class function New: TJvCustomInspectorData;

Description

New instantiates a new data instance with the given parameters. If the data referred to by the given parameters already exists, the item will be attached to that data instance, instead of creating a new data instance.

Some classes will provide multiple New class functions to aid in proper initialization for the data it is to be representing. Some of the New functions might create a group of data and items.

Created with Doc-O-Matic.


TJvCustomInspectorData.NewItem method

TJvCustomInspectorData	Edit topic

Creates a new child item for this data object.

Pascal

function NewItem(const AParent: TJvCustomInspectorItem): TJvCustomInspectorItem; virtual;

Parameters

const AParent: TJvCustomInspectorItem

The parent to which the new item should be added.

Description

NewItem can be used to add new items to an existing data instance. NewItem is called by New to create the item for a new data instance.

NewItem uses the registration databases and/or the BeforeCreateItem event to determine what kind of item should be generated.

Created with Doc-O-Matic.


TJvCustomInspectorData.NotifyRemoveData method

TJvCustomInspectorData	See Also	Edit topic

Called whenever a data instance is about to be removed.

Pascal

procedure NotifyRemoveData(const Instance: TJvCustomInspectorData); virtual;

Parameters

const Instance: TJvCustomInspectorData

The data instance about to be removed.

Description

NotifyRemoveData gets called whenever a data instance is about to be removed. This allows for other data instances that depend on the instance to be removed as well or to block the removal entirely.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsEqualReference, TJvCustomInspectorData.RegisterInstance


TJvCustomInspectorData.RefreshEdits method

TJvCustomInspectorData	Edit topic

Cancels and reactivates all attached inspector items.

Pascal

procedure RefreshEdits;

Description

RefreshEdits will iterate over all inspector items and if the item is in edit mode will call its DoneEdit method, canceling the edit, and InitEdit method, to set the item back in edit mode.

This will effectively refresh all items to any changes in the value, regardless where the change occurred and whether or not an item is being edited.

Created with Doc-O-Matic.


TJvCustomInspectorData.RegisterInstance method

TJvCustomInspectorData	See Also	Edit topic

Registers data instance globally to the application.

Pascal

class function RegisterInstance(const Instance: TJvCustomInspectorData): TJvCustomInspectorData;

Parameters

const Instance: TJvCustomInspectorData

The data instance to register.

Description

RegisterInstance registers the specified data instance in an application global list of known data instances. This assures that multiple references to the same data are only created once. Instead of duplicating the data instance, a new inspector item is created.

The big advantage is that if data is changed in one item, it will immediately change in the other item as well, even if it's in another inspector.

The return value will either hold the specified instance if no other instance references the same physical data or a previously registered instance that references the same physical data.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsEqualReference, TJvCustomInspectorData.NotifyRemoveData


TJvCustomInspectorData.RemoveItem method

TJvCustomInspectorData	Edit topic

Detaches an item from the data instance.

Pascal

procedure RemoveItem(const Item: TJvCustomInspectorItem);

Parameters

const Item: TJvCustomInspectorItem

Not documented

Description

RemoveItem will remove the specified item from the list of attached items for this data layer.

Created with Doc-O-Matic.


TJvCustomInspectorData.SetAsSet method

TJvCustomInspectorData	Edit topic

Set the data as a set value.

Pascal

procedure SetAsSet(const Buf); virtual; abstract;

Parameters

const Buf

The value to set the data to.

Description

SetAsSet will try to change the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvCustomInspectorData.SupportsMethodPointers method

TJvCustomInspectorData	Edit topic

Determines if the data instance supports method pointers.

Pascal

function SupportsMethodPointers: Boolean; virtual;

Description

SupportsMethodPointers determines if the data instance supports method pointers. Items have to check this value before attempting to access the data instance with the AsMethod property.

If the function returns False the data instance does not support AsMethod directly and the item should access the data instance using the AsString property and convert strings from/to method pointers.

If the function returns True the data instance supports AsMethod directly.

Created with Doc-O-Matic.


TJvCustomInspectorItem
JEDI-VCL Reference

TJvCustomInspectorItem

Hierarchy	Properties	Methods	Events	 Edit topic

Base inspector item.

Pascal

TJvCustomInspectorItem = class(TPersistent);

File

JvInspector

Description

TJvCustomInspectorItem is the base inspector item. An item is responsible for drawing and editing the underlying data object, as well as managing the sub items. The base class introduces methods and properties to:

display and edit the data object

manage child items

The base class itself can be used as a read only item with no underlying data object. An instance of this class is used as the root item for the inspector. The standard package provides various item classes to edit the different types of data:

Ordinals

Enumerations

Sets

Strings

Floats

In addition it provides an item class that functions as a category holder. A category holder also has no data instance to provide values. Categories can be nested, but each item can belong to only one category.

Created with Doc-O-Matic.


TJvCustomInspectorItem Properties

TJvCustomInspectorItem	Legend

Properties

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomInspectorItem Events

TJvCustomInspectorItem	Legend

Events

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomInspectorItem Methods

TJvCustomInspectorItem	Legend

Methods

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomInspectorItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem


TJvCustomInspectorItem Members

TJvCustomInspectorItem	Legend

Members

Properties

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Methods

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomInspectorItem.AutoUpdate property

TJvCustomInspectorItem	Edit topic

Indicates if item auto updates the data during edit.

Pascal

property AutoUpdate: Boolean;

Description

AutoUpdate indicates if the item automatically applies the edit value during editing. Read AutoUpdate to determine if the changes are updated immediately or set AutoUpdate to set/reset this state.

Notes

AutoUpdate maps onto the iifAutoUpdate flag in the Flags property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.BaseCategory property

TJvCustomInspectorItem	See Also	Edit topic

References the root category for this item.

Pascal

property BaseCategory: TJvCustomInspectorItem;

Description

BaseCategory references the top-level category for this item, if any. If the item is in no category, BaseCategory will be nil.

The value of BaseCategory is used by the DotNET/Visual Studio paint style to determine if a category bar should be painted to the left of the item.

Note that any item can represent a category, not just TJvInspectorCustomCategoryItem or descendants.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Category, TJvCustomInspectorItem.IsCategory


TJvCustomInspectorItem.Category property

TJvCustomInspectorItem	See Also	Edit topic

References the nearest category for this item.

Pascal

property Category: TJvCustomInspectorItem;

Description

Category references the nearest category for this item, if any. If the item is in no category, Category will be nil. Note that any item can represent a category, not just TJvInspectorCustomCategoryItem or descendants.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.BaseCategory, TJvCustomInspectorItem.IsCategory


TJvCustomInspectorItem.Count property

TJvCustomInspectorItem	See Also	Edit topic

Indicates the number of child items.

Pascal

property Count: Integer;

Description

Count indicates how many child items this item has. Use the Items property to retrieve the child items.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Items


TJvCustomInspectorItem.Data property

TJvCustomInspectorItem	Edit topic

References the data layer instance.

Pascal

property Data: TJvCustomInspectorData;

Description

Data is a reference to the data layer instance providing the item with its values.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DisplayIndex property

TJvCustomInspectorItem	See Also	Edit topic

Sorted index in the display parent.

Pascal

property DisplayIndex: Integer;

Description

DisplayIndex indicates the index after sorting this item is at in its display parent. Read DisplayIndex to determine the position at which the item is displayed or set it to a new index.

Notes

Setting DisplayIndex to a new value will result in the display parent's SortKind property being set to iskManual.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.GetDisplayParent, TJvCustomInspectorItem.Sort, TJvCustomInspectorItem.SortKind


TJvCustomInspectorItem.DisplayName property

TJvCustomInspectorItem	Edit topic

Holds the name that is displayed.

Pascal

property DisplayName: string;

Description

DisplayName holds the name that is displayed. Depending on the state of the QualifiedNames property of its parent, this name could include the name of the parent.

DisplayName is initialized to the Data.Name property. If no data instance is linked to the item when it's created, DisplayName is initialized to an empty string.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DisplayValue property

TJvCustomInspectorItem	Edit topic

Holds the current display value.

Pascal

property DisplayValue: string;

Description

DisplayValue holds the current value to be displayed. Read DisplayValue to retrieve the current value as it is displayed or set it to a new value.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DropDownCount property

TJvCustomInspectorItem	Edit topic

Not documented

Pascal

property DropDownCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DroppedDown property

TJvCustomInspectorItem	Edit topic

Indicates if the value list is dropped down.

Pascal

property DroppedDown: Boolean;

Description

DroppedDown determines if the drop down list is currently displayed. This flag is set automatically when the user drops down the value list and reset when the list is closed.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditCtrl property

TJvCustomInspectorItem	Edit topic

Reference to the current edit control.

Pascal

property EditCtrl: TCustomEdit;

Description

EditCtrl holds a reference to the current edit control or nil if the value is not being edited.

EditCtrl is initialized by InitEdit and finalized by DoneEdit.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditCtrlDestroying property

TJvCustomInspectorItem	Edit topic

Not documented

Pascal

property EditCtrlDestroying: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Editing property

TJvCustomInspectorItem	Edit topic

Editing state.

Pascal

property Editing: Boolean;

Description

Editing indicates if the item is being edited. After a call to the InitEdit method, this property is set to True (provided the item is editable). After a call to DoneEdit the property is reset to False.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditWndPrc event

TJvCustomInspectorItem	Edit topic

Holds the address of the official WindowProc for the edit control.

Pascal

property EditWndPrc: TWndMethod;

Description

EditWndProc points to the WindowProc of the edit control as it was on creation.

The edit controls WindowProc is changed to allow for drop down lists. Because the original WindowProc must be called, its value is saved into this property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Expanded property

TJvCustomInspectorItem	Edit topic

Indicates if item is expanded.

Pascal

property Expanded: Boolean;

Description

Expanded indicates if the item is expanded. Read Expanded to determine if the item is expanded or set Expanded to a new state.

Notes

Expanded maps onto the iifExpanded flag in the Flags property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Flags property

TJvCustomInspectorItem	Edit topic

Item flags.

Pascal

property Flags: TInspectorItemFlags;

Description

Flags are the item's flags. Depending on the descendant, some of the possible flags are filtered out or explicitly set when setting a new value. Read Flags to determine the current flags or set Flags to a new value.

Notes

Some of the flags are aliased through the properties of the item.

Created with Doc-O-Matic.


TJvCustomInspectorItem.FullName property

TJvCustomInspectorItem	Edit topic

Not documented

Pascal

property FullName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Height property

TJvCustomInspectorItem	See Also	Edit topic

Item's height.

Pascal

property Height: Integer;

Description

Height holds the actual item height in pixels. The inspector uses this property to determine the current height or set it to a new value. Because the height depends on various other properties, the value will be adjusted if it's not exactly the value it should be.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.HeightFactor, TJvCustomInspectorItem.RowSizing


TJvCustomInspectorItem.HeightFactor property

TJvCustomInspectorItem	See Also	Edit topic

Item's sizing factor.

Pascal

property HeightFactor: Integer;

Description

HeightFactor holds the number of increments specified by the RowSizing property. The Height property will be RowSizing.MinHeight+HeightFactor* RowSizing.SizingFactor.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Height, TJvCustomInspectorItem.RowSizing


TJvCustomInspectorItem.Hidden property

TJvCustomInspectorItem	Edit topic

Indicates if item is hidden.

Pascal

property Hidden: Boolean;

Description

Hidden indicates if the item is hidden. When an item is hidden, it's never visible in the inspector, but child items are (provided the item is expanded and visible).

Read Hidden to determine if the item is hidden or set Hidden to a new state.

Notes

Hidden maps onto the iifHidden flag in the Flags property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Inspector property

TJvCustomInspectorItem	Edit topic

Item's assigned inspector.

Pascal

property Inspector: TJvCustomInspector;

Description

Inspector holds a reference to the inspector the item is assigned to. The property is properly initialized when the item is created and added to an existing item.

Created with Doc-O-Matic.


TJvCustomInspectorItem.IsCompoundColumn property

TJvCustomInspectorItem	See Also	Edit topic

Determines if the item a column of a compound row item.

Pascal

property IsCompoundColumn: Boolean;

Description

IsCompountColumn determines if the item is a column of a compound row item. If the item is a column, the function returns True, otherwise it returns False.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem


TJvCustomInspectorItem.Items property

TJvCustomInspectorItem	See Also	Edit topic

List of child items.

Pascal

property Items [const I: Integer]: TJvCustomInspectorItem;

Description

Items is a 0-base array of assigned child items. When items are added or deleted, the list is updated automatically. Use Count to find out how many items are in the list.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Count


TJvCustomInspectorItem.LastPaintGeneration property

TJvCustomInspectorItem	See Also	Edit topic

Indicates the last time this item was painted.

Pascal

property LastPaintGeneration: Integer;

Description

LastPaintGeneration holds the paint generation value of the last time the item was painted.

The value is updated by a call to UpdateLastPaintGeneration which is called whenever the item's rectangles are changed (this usually happens just before the item is painted).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.UpdateLastPaintGeneration


TJvCustomInspectorItem.Level property

TJvCustomInspectorItem	Edit topic

The item level in the view tree.

Pascal

property Level: Integer;

Description

Level indicates the (0-based) level at which the item is displayed. This is determined by checking how many parent items are shown. Because items could be hidden (like root item of the inspector), this is not the same as the actual tree level.

Created with Doc-O-Matic.


TJvCustomInspectorItem.ListBox property

TJvCustomInspectorItem	Edit topic

Reference to the current list box control.

Pascal

property ListBox: TCustomListBox;

Description

ListBox holds a reference to the current list box control or nil if the list box is not dropped down.

ListBox is initialized by DropDown and finalized by CloseUp.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Multiline property

TJvCustomInspectorItem	Edit topic

Indicates if the item is multiline.

Pascal

property Multiline: Boolean;

Description

Multiline indicates if the item uses a multiline edit.

Read Multiline to determine if the item uses a multiline edit or set Multiline to a new state.

Notes

Multiline maps onto the iifMultiLine flag in the Flags property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Name property

TJvCustomInspectorItem	Edit topic

Not documented

Pascal

property Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspectorItem.OnCompare event

TJvCustomInspectorItem	See Also	Edit topic

Event to compare items for sorting purposes.

Pascal

TInspectorItemSortCompare = function (Item1, Item2: TJvCustomInspectorItem): Integer of object;
property OnCompare: TInspectorItemSortCompare;

Parameters

Item2

Second inspector item to compare.

Item1

First inspector item to compare.

Description

OnCompare is the event that is called during sorting when SortKind = iskCustom. The result of the function should positive if Item1 > Item2, negative if Item1 < Item2 or 0 if Item1 = Item2.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.SortKind


TJvCustomInspectorItem.OnGetValueList event

TJvCustomInspectorItem	Edit topic

Event to retrieve a value list.

Pascal

TInspectorItemGetValueListEvent = procedure (Item: TJvCustomInspectorItem; Values: TStrings) of object;
property OnGetValueList: TInspectorItemGetValueListEvent;

Parameters

Values

TStrings instance to receive the value list. If you assign objects to the values, they will not be freed when the list is freed.

Item

The item requesting the value list.

Description

OnGetValueList is the event that is called when the GetValueList is called.

Created with Doc-O-Matic.


TJvCustomInspectorItem.OnValueChanged event

TJvCustomInspectorItem	Edit topic

Not documented

Pascal

property OnValueChanged: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Parent property

TJvCustomInspectorItem	Edit topic

The item's parent item.

Pascal

property Parent: TJvCustomInspectorItem;

Description

Parent references the item's parent item. Except for the inspector root, all items will have a parent.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Pressed property

TJvCustomInspectorItem	See Also	Edit topic

Indicates if the edit button is pressed.

Pascal

property Pressed: Boolean;

Description

Pressed is used to by the edit button to track its pressed state. The property is controlled through the mouse handling methods.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Tracking


TJvCustomInspectorItem.QualifiedNames property

TJvCustomInspectorItem	Edit topic

Indicates if the child items will have qualified names.

Pascal

property QualifiedNames: Boolean;

Description

QualifiedNames indicates if the child items' names will include the item's name. This flag is usually used on hidden items. The child items will then be named as <Hidden name>.<child name> where hidden name is the name of the hidden item and child name is the name of the child item.

Read QualifiedNames to determine if the names of the child items will be qualified or set QualifiedNames to a new state.

Notes

QualifiedNames maps onto the iifQualifiedNames flag in the Flags property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.ReadOnly property

TJvCustomInspectorItem	Edit topic

Indicates if item is read only.

Pascal

property ReadOnly: Boolean;

Description

ReadOnly indicates if the item is read only. When an item is read only, it cannot be put in edit mode and therefor not be changed from the inspector.

Read ReadOnly to determine if the item is read-only or set ReadOnly to a new state.

Notes

ReadOnly maps onto the iifReadonly flag in the Flags property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Rects property

TJvCustomInspectorItem	Edit topic

The item's painting rectangles.

Pascal

property Rects [const RectKind: TInspectorPaintRect]: TRect;

Description

Rects is an array of painting rectangles.

When reading, empty rects are returned if the item has not been painted during the last paint cycle of the inspector. This is determined by comparing the inspector's paint generation value against the item's paint generation value. When they are equal, the item has been painted during the last paint cycle.

Setting a rectangle will update the item's paint generation value to be equal to the inspector's paint generation value.

Created with Doc-O-Matic.


TJvCustomInspectorItem.RowSizing property

TJvCustomInspectorItem	See Also	Edit topic

Item's row sizing settings.

Pascal

property RowSizing: TJvInspectorItemSizing;

Description

RowSizing holds the row sizing settings. These settings determine if the item can be resized or not, and it can be resized, what the minimum height should be and what increments are to be used.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Height, TJvCustomInspectorItem.HeightFactor


TJvCustomInspectorItem.SortKind property

TJvCustomInspectorItem	See Also	Edit topic

Indicates how sub items are to be sorted.

Pascal

property SortKind: TInspectorItemSortKind;

Description

SortKind indicates the sort order for sub items. Read SortKind to determine the current order or set SortKind to change the sort order.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.DisplayIndex, TJvCustomInspectorItem.OnCompare, TJvCustomInspectorItem.Sort


TJvCustomInspectorItem.Tracking property

TJvCustomInspectorItem	See Also	Edit topic

Indicates if mouse events are meant for the edit button.

Pascal

property Tracking: Boolean;

Description

Tracking is used to by the edit button to track if mouse events should be processed by the button. The property is controlled through the mouse handling methods.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Pressed


TJvCustomInspectorItem.UserData property

TJvCustomInspectorItem	Edit topic

Not documented

Pascal

property UserData: Pointer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Visible property

TJvCustomInspectorItem	Edit topic

Indicates if item is visible.

Pascal

property Visible: Boolean;

Description

Visible indicates if the item is visible. When an item is visible, neither the item nor its child items are visible in the inspector.

Read Visible to determine if the item is visible or set Visible to a new state.

Notes

Visible maps onto the iifVisible flag in the Flags property.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Add method

TJvCustomInspectorItem	Edit topic

Adds an item.

Pascal

function Add(const Item: TJvCustomInspectorItem): Integer;

Parameters

const Item: TJvCustomInspectorItem

Item to add.

Description

Add adds a child item to this item. Under normal circumstances Add will be called automatically by the Create constructor of the child item. There is no need to call Add in your application. Add uses Insert to do the actual insertion.

Created with Doc-O-Matic.


TJvCustomInspectorItem.AlphaSort method

TJvCustomInspectorItem	See Also	Edit topic

Sorts the sub items alphabetically by their DisplayName.

Pascal

procedure AlphaSort;

Description

AlphaSort will sort the sub items alphabetically by their DisplayName. AlphaSort is called by Sort when SortKind = iskName.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.DisplayName, TJvCustomInspectorItem.SortKind


TJvCustomInspectorItem.Apply method

TJvCustomInspectorItem	Edit topic

Applies the current edit value to the data layer.

Pascal

procedure Apply; virtual;

Description

Apply applies the current edit value to the data layer. After applying the value, it is reread from the data layer, the edit controls SelectAll method will be called and the undo buffer and modified flag cleared.

Created with Doc-O-Matic.


TJvCustomInspectorItem.ApplyDisplayIndices method

TJvCustomInspectorItem	See Also	Edit topic

Set the DisplayIndex of all items in the given list to their index in the list.

Pascal

procedure ApplyDisplayIndices(const ItemList: TList); virtual;

Parameters

const ItemList: TList

The list of items for which to set the DisplayIndex.

Description

ApplyDisplayIndices will iterate over all items in the specified list and sets the DisplayIndex of these items to their index in the list.

ApplyDisplayIndices is used by all sorting mechanism to change/update the sort order of sub items (eg. AlphaSort calls BuildDisplayableList to retrieve a list of displayable items, sort the list alphabetically by name and calls ApplyDisplayIndices to save that order).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.BuildDisplayableList


TJvCustomInspectorItem.BuildDisplayableList method

TJvCustomInspectorItem	See Also	Edit topic

Retrieves a list of displayable sub items.

Pascal

procedure BuildDisplayableList(const ItemList: TList); virtual;

Parameters

const ItemList: TList

The list to retrieve the items in.

Description

BuildDisplayableList will fill the specified list with sub items that have this items as their DisplayParent. On entry the list is not cleared.

BuildDisplayableList is used by all sorting mechanism to retrieve the list of items to be sorted (eg. AlphaSort calls BuildDisplayableList to retrieve a list of displayable items, sort the list alphabetically by name and calls ApplyDisplayIndices to save that order).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.ApplyDisplayIndices


TJvCustomInspectorItem.ButtonClick method

TJvCustomInspectorItem	Edit topic

Event handler for the edit buttons OnClick event.

Pascal

procedure ButtonClick(Sender: TObject); virtual;

Parameters

Sender: TObject

A reference to the items edit control.

Description

ButtonClick handles the clicking of the edit button with the left mouse button or the Ctrl+Enter key combination. This leads to the calling of the Edit method.

Created with Doc-O-Matic.


TJvCustomInspectorItem.CanEdit method

TJvCustomInspectorItem	Edit topic

Determines if the item can be edited.

Pascal

function CanEdit: Boolean; virtual;

Description

CanEdit determines if the item can be edited and returns True if that's the case. An item can be edited if all of the following conditions apply:

It's not a read-only item (ReadOnly = False)

The inspector is not read-only (Inspector.ReadOnly = False)

The data instance has been initialized ( Data.IsInitialized returns True)

The data instance has a value (Data.HasValue returns True).

Can edit is used by InitEdit before the item is set to edit mode.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Clear method

TJvCustomInspectorItem	See Also	Edit topic

Clears the list of sub items.

Pascal

procedure Clear;

Description

Clear will empty the list of sub items of this item.

Created with Doc-O-Matic.


See Also

Delete


TJvCustomInspectorItem.CloseUp method

TJvCustomInspectorItem	See Also	Edit topic

Closes the drop down list.

Pascal

procedure CloseUp(Accept: Boolean); virtual;

Parameters

Accept: Boolean

Indicates if the selected item in the list box should be applied. Set this parameter to True to accept the selected item, otherwise set it to False.

Description

CloseUp closes the drop down list. In addition if the Accept parameter is set to True, the selected item will be applied to the data layer.

If the list is not dropped down, CloseUp will do nothing.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.DropDown


TJvCustomInspectorItem.Create constructor

TJvCustomInspectorItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); virtual;

Parameters

const AParent: TJvCustomInspectorItem

Parent item to which the new item is to be added. This can never be nil

const AData: TJvCustomInspectorData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DataSort method

TJvCustomInspectorItem	See Also	Edit topic

Sorts the sub items by the result of the OnCompare event

Pascal

procedure DataSort;

Description

DataSort will sort the sub items by the result of the OnCompare event. DataSort is called by Sort when SortKind = iskCustom.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.OnCompare, TJvCustomInspectorItem.SortKind


TJvCustomInspectorItem.Deactivate method

TJvCustomInspectorItem	Edit topic

Called whenever the application is deactivated.

Pascal

procedure Deactivate; dynamic;

Description

Deactivate is called when the user switches to another application. This gives you the opportunity to remove any additional windows that might be open.

The implementation of TJvCustomInspectorItem will close the drop down box if it's still open.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Delete method (Integer)

TJvCustomInspectorItem	Edit topic

Deletes an item.

Pascal

procedure Delete(const Index: Integer); virtual; overload;
procedure Delete(const Item: TJvCustomInspectorItem); virtual; overload;
procedure Delete(const Data: TJvCustomInspectorData); virtual; overload;

Parameters

const Index: Integer

Index of child item to delete.

const Item: TJvCustomInspectorItem

Item to delete.

const Data: TJvCustomInspectorData

Data instance to delete.

Description

Delete removes an item from the list of child items. The item and data layer instance will be freed as well.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DoAfterItemCreate method

TJvCustomInspectorItem	See Also	Edit topic

Triggers the AfterItemCreate event.

Pascal

procedure DoAfterItemCreate; virtual;

Description

DoAfterItemCreate will call the Inspector.DoAfterItemCreate method if an inspector is assigned.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.DoAfterItemCreate


TJvCustomInspectorItem.DoCompare method

TJvCustomInspectorItem	See Also	Edit topic

Compares this item with another using the OnCompare event.

Pascal

function DoCompare(const Item: TJvCustomInspectorItem): Integer; virtual;

Parameters

const Item: TJvCustomInspectorItem

Not documented

Description

DoCompare uses the handler assigned to the OnCompare event to compare the item with a specified other item.

If no handler is assigned, the method will return 0. Otherwise the result of the OnCompare handler is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.DataSort, TJvCustomInspectorItem.OnCompare, TJvCustomInspectorItem.SortKind


TJvCustomInspectorItem.DoDrawListItem method

TJvCustomInspectorItem	Edit topic

Event handler for the drop down list box.

Pascal

procedure DoDrawListItem(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState); virtual;

Description

DoDrawListItem is the OnDrawListItem event handler of the drop down list box. By default, the method will just output the items text to the Canvas.

Descendants can override this method to provide owner draw list box drawing, tailored to the data it represents.

See the VCL help on TCustomListBox.OnDrawListItem for information on the parameters.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DoDropDownKeys method

TJvCustomInspectorItem	See Also	Edit topic

Key handler for the drop down list.

Pascal

procedure DoDropDownKeys(var Key: Word; Shift: TShiftState); virtual;

Parameters

var Key: Word

Not documented

Shift: TShiftState

Not documented

Description

DoDropDownKeys handles the editor keys to handle the value list (ie. drop down or accept with Alt+Up/Down, accept on Enter or cancel on Escape).

DoDropDownKeys is called from Edit_WndProc when the item has a value list and a key has been pressed.

Created with Doc-O-Matic.


See Also

Edit_WndProc


TJvCustomInspectorItem.DoGetValueList method

TJvCustomInspectorItem	Edit topic

Calls the OnGetValueList event handler.

Pascal

procedure DoGetValueList(const Strings: TStrings); virtual;

Parameters

const Strings: TStrings

Instance of a TStrings descendant to receive the list. This list is not cleared on entry, although the event handler called might.

Description

DoGetValueList will call the OnGetValueList event handler if one is assigned. If no event handler has been assigned, the method does nothing.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DoMeasureListItem method

TJvCustomInspectorItem	Edit topic

Event handler for the drop down list box

Pascal

procedure DoMeasureListItem(Control: TWinControl; Index: Integer; var Height: Integer); virtual;

Description

DoMeasureListItem is the OnMeasureItem event handler of the drop down list box.

By default, DoMeasureListItem does not change the initial item height, which results in fixed item heights. Descendants can override this method to allow for variable item heights.

See the VCL help on TCustomListBox.OnMeasureItem for information on the parameters.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DoMeasureListItemWidth method

TJvCustomInspectorItem	Edit topic

Determines the drop down items drawing width.

Pascal

procedure DoMeasureListItemWidth(Control: TWinControl; Index: Integer; var Width: Integer); virtual;

Parameters

Control: TWinControl

The control in which the item is to be drawn. Use the specified controls Canvas to base the calculations on.

Index: Integer

Index of the list item to calculate the width for.

var Width: Integer

The width of the specified item. On entry this parameter is set to the TextWidth of the items text.

Description

DoMeasureListItemWidth determines the width of the drop down item. On entry to this method, the Width parameter is set to the TextWidth of the items text.

By default, DoMeasureListItemWidth does not change the initial item width. Descendants can override this method to provide additional width calculations.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DoneEdit method

TJvCustomInspectorItem	Edit topic

Sets the item in browse mode.

Pascal

procedure DoneEdit(const CancelEdits: Boolean = False); dynamic;

Parameters

const CancelEdits: Boolean = False

Flag to indicate if changes should discarded or applied. If set to True, modifications done in the editor are discarded, otherwise they are applied.

Description

DoneEdit sets the item in browse mode, provided the item is in edit mode. The current edit value can be either applied or discarded before returning to browse mode.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DrawEditor method

TJvCustomInspectorItem	Edit topic

Draws the editor.

Pascal

procedure DrawEditor(const ACanvas: TCanvas); virtual;

Parameters

const ACanvas: TCanvas

Canvas to draw on.

Description

DrawEditor draws the editor. The implementation of TJvCustomInspectorItem will check if an edit control has been generated and paint the edit's image onto the inspector's canvas, including any edit buttons (drop-down or ellipses). This will reduce the flickering when dragging the divider bar.

Descendants can override this method to paint a state / value to be used while editing. For example, TJvInspectorBooleanItem overrides DrawEditor to draw the image of a checkbox (no actual checkbox is used).

DrawEditor is called by DrawValue when the item is in edit mode.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DrawName method

TJvCustomInspectorItem	Edit topic

Draws the item name.

Pascal

procedure DrawName(const ACanvas: TCanvas); virtual;

Parameters

const ACanvas: TCanvas

Canvas to draw on.

Description

DrawName draws the item's name. The default implementation simply draws the name using the current font and brush.

Descendants should override this method to provide other means of painting the name. Note: the fact that category names are painted bold is not determined by the DrawName method, but rather by the painter object.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DrawValue method

TJvCustomInspectorItem	Edit topic

Draws the item value.

Pascal

procedure DrawValue(const ACanvas: TCanvas); virtual;

Parameters

const ACanvas: TCanvas

Canvas to draw on.

Description

DrawValue draws the item's value. The default implementation either calls the DrawEditor method (if the item is in edit mode) or draws the current value using the current font and brush.

Descendants should override this method to provide other means of painting the value. Note: the font color for values is determined by the painter object, not by the DrawValue method.

Created with Doc-O-Matic.


TJvCustomInspectorItem.DropDown method

TJvCustomInspectorItem	See Also	Edit topic

Drops down the value list.

Pascal

procedure DropDown; dynamic;

Description

DropDown will drop down the value list. This involves in creating a drop down list box, retrieving the list values, determining the maximum width of the items, determining the correct position and size of the list box and finally showing it on screen.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifValueList, TJvCustomInspectorItem.CloseUp, TJvCustomInspectorItem.DoMeasureListItem, TJvCustomInspectorItem.DoMeasureListItemWidth, TJvCustomInspectorItem.DroppedDown


TJvCustomInspectorItem.Edit method

TJvCustomInspectorItem	See Also	Edit topic

Non-inline editing of the item.

Pascal

procedure Edit; virtual;

Description

Edit allows for non-inline editing of the item. This usually is the case for items with the iifEditButton flag, which often use a dialog box to change the value.

Edit is called automatically when the button is clicked, but can be called from code if needed.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifEditButton, TJvCustomInspectorItem.ButtonClick


TJvCustomInspectorItem.Edit_WndProc method

TJvCustomInspectorItem	Edit topic

Window procedure for the edit control.

Pascal

procedure Edit_WndProc(var Msg: TMessage); virtual;

Parameters

var Msg: TMessage

Not documented

Description

Edit_WndProc is a replacement window procedure for the edit control. The handler will reroute key messages to the DoDropDownKeys method and if the list is dropped down, also to the list box.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditChange method

TJvCustomInspectorItem	Edit topic

Handler for the OnChange event of the edit control.

Pascal

procedure EditChange(Sender: TObject); virtual;

Parameters

Sender: TObject

Reference to the edit control.

Description

EditChange is the handler for the edit controls OnChange event. The handler will apply the value of the edit if the AutoUpdate property is set to True.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditFocused method

TJvCustomInspectorItem	Edit topic

Determines if the edit control has focus.

Pascal

function EditFocused: Boolean; dynamic;

Description

EditFocused determines if the edit control has focus. If the item is in edit mode, has an edit control and the control has focus, the function will return True, otherwise False is returned.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditKeyDown method

TJvCustomInspectorItem	Edit topic

OnKeyDown handler for the edit control.

Pascal

procedure EditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState); dynamic;

Parameters

Sender: TObject

Originator of the call. This is either the edit control or the inspector.

var Key: Word

The key on the keyboard. For non-alphanumeric keys, you must use WinAPI virtual key codes to determine the key pressed. For more information, search for virtual key codes in the Win32 Developer's Reference (WIN32.HLP).

Shift: TShiftState

Indicates whether the Shift, Alt, or Ctrl keys are combined with the keystroke.

Description

EditKeyDown is the OnKeyDown handler for the edit control. On entry to the method the Sender property is checked. If it is not set to the inspector, the method was indeed called from the edit control. Execution is transferred to the inspector.

If the call originated from the inspector (Sender is set to Inspector), the item editor keys are processed. This means the keys for Apply, Undo, select prior value, select next value and to invoke the Edit method are checked.

Descendants that override this should call inherited and only process special keys if Sender is set to Inspector (so that the inspector had a change to process its own keys first).

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditMouseDown method

TJvCustomInspectorItem	Edit topic

OnMouseDown handler for the edit control.

Pascal

procedure EditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Sender: TObject

Reference to the edit control.

Button: TMouseButton

The mouse button that is held down.

Shift: TShiftState

Indicates the shift state at the time the button was pressed.

X: Integer

X-position of the mouse in the client area of the sender.

Y: Integer

Y-position of the mouse in the client area of the sender.

Description

EditMouseDown is the OnMouseDown handler for the edit control.

The base implementation handles double clicks to select the next value from the value list. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditMouseMove method

TJvCustomInspectorItem	Edit topic

OnMouseMove handler for the edit control.

Pascal

procedure EditMouseMove(Sender: TObject; Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Sender: TObject

Reference to the edit control.

Shift: TShiftState

Indicates the shift state at the time the mouse was moved.

X: Integer

X-position of the mouse in the client area of the sender.

Y: Integer

Y-position of the mouse in the client area of the sender.

Description

EditMouseMove is the OnMouseMove handler for the edit control.

The base implementation does nothing. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvCustomInspectorItem.EditMouseUp method

TJvCustomInspectorItem	Edit topic

OnMouseUp handler for the edit control.

Pascal

procedure EditMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Sender: TObject

Reference to the edit control.

Button: TMouseButton

The mouse button that is held down.

Shift: TShiftState

Indicates the shift state at the time the mouse was moved.

X: Integer

X-position of the mouse in the client area of the sender.

Y: Integer

Y-position of the mouse in the client area of the sender.

Description

EditMouseUp is the OnMouseUp handler for the edit control.

The base implementation does nothing. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvCustomInspectorItem.GetDisplayParent method

TJvCustomInspectorItem	Edit topic

Retrieves the visual parent.

Pascal

function GetDisplayParent: TJvCustomInspectorItem; virtual;

Description

GetDisplayParent retrieves the visual parent of the item. Most of the time this will be equal to the Parent property.

If the parent item, however, has its Hidden property set to True, GetDisplayParent will go up the parent hierarchy until it reaches the root, or an item is found who's Hidden property is set to False.

GetDisplayParent is used when items are added/deleted to request a resort of the display parent.

Created with Doc-O-Matic.


TJvCustomInspectorItem.GetEditorText method

TJvCustomInspectorItem	See Also	Edit topic

Retrieves the text of the editor.

Pascal

function GetEditorText: string;

Description

GetEditorText retrieves the text of the editor (provided the item is currently being edited). The resulting string represents the display representation of the value before it is applied to the underlying data object.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Editing


TJvCustomInspectorItem.GetNextSibling method

TJvCustomInspectorItem	Edit topic

Finds the next sibling of this item.

Pascal

function GetNextSibling: TJvCustomInspectorItem; virtual;

Description

GetNextSibling will locate and return the next sibling of this item. If this item has no more siblings, the method will return nil.

Created with Doc-O-Matic.


TJvCustomInspectorItem.GetValueList method

TJvCustomInspectorItem	See Also	Edit topic

Retrieves the list of selectable values.

Pascal

procedure GetValueList(const Strings: TStrings); virtual;

Parameters

const Strings: TStrings

Instance of a TStrings descendant to receive the list. This list is not cleared on entry, although the event handler called might.

Description

GetValueList retrieves the list of selectable values.

GetValueList simply calls DoGetValueList. However, descendants might override GetValueList to bypass or augment the event handler, without overriding the DoGetValueList method, which is the wrapper method for the OnGetValueList event.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifValueList, TJvCustomInspectorItem.DoGetValueList, TJvCustomInspectorItem.OnGetValueList


TJvCustomInspectorItem.HasViewableItems method

TJvCustomInspectorItem	Edit topic

Determines if the item has viewable sub items.

Pascal

function HasViewableItems: Boolean; virtual;

Description

HasViewableItems determines if the item has viewable sub items. An item has viewable sub items if:

There are sub items with Visible property set to True.

Either the item is not hidden (Hidden set to False), or if it's hidden, it must be expanded and have viewable items.

Created with Doc-O-Matic.


TJvCustomInspectorItem.IndexOf method (TJvCustomInspectorData)

TJvCustomInspectorItem	Edit topic

Locates an item or data instance.

Pascal

function IndexOf(const Item: TJvCustomInspectorItem): Integer; virtual; overload;
function IndexOf(const Data: TJvCustomInspectorData): Integer; virtual; overload;

Parameters

const Item: TJvCustomInspectorItem

Item to locate.

const Data: TJvCustomInspectorData

Data instance to locate.

Description

IndexOf determines the index of an item or a data instance. If the item is not in the child list, IndexOf returns -1, otherwise the 0-based index is returned.

Created with Doc-O-Matic.


TJvCustomInspectorItem.InitEdit method

TJvCustomInspectorItem	Edit topic

Sets the item in edit mode.

Pascal

procedure InitEdit; dynamic;

Description

InitEdit sets the item in edit mode, provided the item can be edited (CanEdit returns True).

Created with Doc-O-Matic.


TJvCustomInspectorItem.Insert method

TJvCustomInspectorItem	Edit topic

Inserts an item.

Pascal

procedure Insert(const Index: Integer; const Item: TJvCustomInspectorItem);

Parameters

const Index: Integer

0-based index at which to insert. The new item will be inserted before the specified index.

const Item: TJvCustomInspectorItem

Item to insert.

Description

Insert inserts a child item to this item. Under normal circumstances Insert will be called automatically by the Create constructor of the child item. There is no need to call Insert in your application.

Created with Doc-O-Matic.


TJvCustomInspectorItem.InvalidateItem method

TJvCustomInspectorItem	Edit topic

Signals the inspector the item has changed.

Pascal

procedure InvalidateItem; virtual;

Description

InvalidateItem notifies the inspector that the item has changed appearance.

In its current implementation this means the Inspector.InvalidateItem method will be called.

Created with Doc-O-Matic.


TJvCustomInspectorItem.InvalidateList method

TJvCustomInspectorItem	Edit topic

Signals the inspector the list of visible items has changed.

Pascal

procedure InvalidateList; virtual;

Description

InvalidateList notifies the inspector that the list of visible items has changed.

In its current implementation this means the Inspector.InvalidateList method will be called.

Created with Doc-O-Matic.


TJvCustomInspectorItem.InvalidateMetaData method

TJvCustomInspectorItem	Edit topic

Signals the inspector the item's meta data has changed.

Pascal

procedure InvalidateMetaData; virtual;

Description

InvalidateMetaData notifies the inspector that the item's meta data has changed.

Because as far the inspector is concerned, there is no difference between a data change and meta data change, the current implementation will call InvalidateItem. However, this might change in the future and descendants can override this method to take appropriate action when meta data has changed.

Created with Doc-O-Matic.


TJvCustomInspectorItem.InvalidateSort method

TJvCustomInspectorItem	Edit topic

Invalidates the sort order.

Pascal

procedure InvalidateSort; virtual;

Description

InvalidateSort is called whenever the sort order might have changed. If the inspector's LockCount is 0, the Sort method will be called, followed by an InvalidateList. If the inspector's LockCount > 0, its NotifySort will be called.

Created with Doc-O-Matic.


TJvCustomInspectorItem.IsCategory method

TJvCustomInspectorItem	See Also	Edit topic

Determines if the item represents a category item.

Pascal

function IsCategory: Boolean; virtual;

Description

IsCategory determines if the item represents a category item.

If the item represents a category the method will return True, otherwise False is returned.

TJvCustomInspectorItem implements this method to always return False. There are currently two descendants that override this method: TJvInspectorCustomCategoryItem and TJvInspectorSetItem.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCategoryItem, TJvInspectorSetItem


TJvCustomInspectorItem.ListExit method

TJvCustomInspectorItem	Edit topic

OnExit handler for the list control.

Pascal

procedure ListExit(Sender: TObject); virtual;

Parameters

Sender: TObject

Reference to the list control.

Description

ListExit is the OnExit handler for the list box control.

The base implementation closes the list, canceling the user selection.

Created with Doc-O-Matic.


TJvCustomInspectorItem.MouseDown method

TJvCustomInspectorItem	Edit topic

Handles mouse clicks on the item.

Pascal

procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Button: TMouseButton

The mouse button that is held down.

Shift: TShiftState

Indicates the shift state at the time the button was pressed.

X: Integer

X-position of the mouse in the client area of the sender.

Y: Integer

Y-position of the mouse in the client area of the sender.

Description

MouseDown handles mouse clicks that occur on the item.

The base implementation handles double clicks to select the next value from the value list as well as begin tracking the edit button. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvCustomInspectorItem.MouseMove method

TJvCustomInspectorItem	Edit topic

Handles mouse movements over the item.

Pascal

procedure MouseMove(Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Shift: TShiftState

Indicates the shift state at the time the mouse was moved.

X: Integer

X-position of the mouse in the client area of the sender.

Y: Integer

Y-position of the mouse in the client area of the sender.

Description

MouseMove handles mouse movements over the item.

The base implementation handles tracking the edit button as well as transferring control to the dropped down value list. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvCustomInspectorItem.MouseUp method

TJvCustomInspectorItem	Edit topic

Handles mouse up events on the item.

Pascal

procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); virtual;

Parameters

Button: TMouseButton

The mouse button that is held down.

Shift: TShiftState

Indicates the shift state at the time the mouse was moved.

X: Integer

X-position of the mouse in the client area of the sender.

Y: Integer

Y-position of the mouse in the client area of the sender.

Description

MouseUp handles the mouse up events that occur on the item.

The base implementation end tracking the edit button, as well as clicking the edit button. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvCustomInspectorItem.NaturalSort method

TJvCustomInspectorItem	See Also	Edit topic

Sorts the sub items by the order in which they are added.

Pascal

procedure NaturalSort;

Description

NaturalSort will sort the sub items by their index into the Items array. NaturalSort is called by Sort when SortKind = iskNone.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Items, TJvCustomInspectorItem.SortKind


TJvCustomInspectorItem.ScrollInView method

TJvCustomInspectorItem	Edit topic

Scrolls the item into view.

Pascal

procedure ScrollInView;

Description

ScrollInView scrolls the inspector in such a way the item will be visible completely. If the item is already visible, ScrollInView does nothing. Otherwise it will scroll until the item is completely visible (unless the item if to large to be shown completely, in which case it is scrolled in such a way that as much of the item is visible).

ScrollInView is used by the inspector control to scroll the current selected item into view if it's in edit mode and the edit is being changed (ie. a key is pressed).

Created with Doc-O-Matic.


TJvCustomInspectorItem.SelectValue method

TJvCustomInspectorItem	Edit topic

Selects next or previous values.

Pascal

procedure SelectValue(const Delta: Integer); virtual;

Parameters

const Delta: Integer

Number of items to advance forwards or backwards. When Delta < 0, the list is traversed backwards, when Delta > 0 the list is traversed forwards.

Description

SelectValue will advance a number of items in the value list and select that value for the item. The Delta parameter determines the number of items to go forward or backward. SelectValue will handle the value list cyclic, ie. when either the beginning or the end of list has been reached, SelectValue will wrap around to the other side of the list.

Created with Doc-O-Matic.


TJvCustomInspectorItem.SetFocus method

TJvCustomInspectorItem	Edit topic

Moves focus to the item.

Pascal

procedure SetFocus; virtual;

Description

SetFocus moves window focus to this item. If the item is in edit mode and the edit control can receive focus, the edit control will receive focus. Otherwise, the inspector will receive focus.

Created with Doc-O-Matic.


TJvCustomInspectorItem.Sort method

TJvCustomInspectorItem	See Also	Edit topic

Sorts the sub items.

Pascal

procedure Sort;

Description

Sort will sort the sub items. The result depends on the SortKind property. If SortKind = iskManual, nothing will happen, otherwise one of the internal sorting methods will be called.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.AlphaSort, TJvCustomInspectorItem.DataSort, TJvCustomInspectorItem.NaturalSort, TJvCustomInspectorItem.OnCompare, TJvCustomInspectorItem.SortKind


TJvCustomInspectorItem.StopTracking method

TJvCustomInspectorItem	See Also	Edit topic

End the tracking of mouse events for the edit button.

Pascal

procedure StopTracking; dynamic;

Description

StopTracking will end tracking mouse events for the edit button.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Pressed, TJvCustomInspectorItem.TrackButton, TJvCustomInspectorItem.Tracking


TJvCustomInspectorItem.TrackButton method

TJvCustomInspectorItem	See Also	Edit topic

Tracks the mouse events for the edit button.

Pascal

procedure TrackButton(X: Integer; Y: Integer); dynamic;

Parameters

X: Integer

X-position of the mouse

Y: Integer

Y-position of the mouse

Description

TrackButton checks the position of the mouse and updates the Pressed property and the visual indication for the edit button accordingly.

The method will be called for all mouse movements while the Tracking property is True.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Pressed, TJvCustomInspectorItem.StopTracking, TJvCustomInspectorItem.Tracking


TJvCustomInspectorItem.Undo method

TJvCustomInspectorItem	See Also	Edit topic

Cancels changes made to the editor.

Pascal

procedure Undo; virtual;

Description

Undo cancels any changes made to the editor and refetches the value from the data layer.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.Apply


TJvCustomInspectorItem.UpdateDisplayOrder method

TJvCustomInspectorItem	Edit topic

Moves the item to another position.

Pascal

procedure UpdateDisplayOrder(const Item: TJvCustomInspectorItem; const NewIndex: Integer); virtual;

Parameters

const Item: TJvCustomInspectorItem

Item to change the DisplayIndex of.

const NewIndex: Integer

New index at which the item is to be displayed.

Description

UpdateDisplayOrder moves the item to another place in its visibility order. All items between the old and new index will be moved accordingly.

UpdateDisplayOrder is called whenever the DisplayIndex property of the item is changed.

Created with Doc-O-Matic.


TJvCustomInspectorItem.UpdateLastPaintGeneration method

TJvCustomInspectorItem	Edit topic

Updates the LastPaintGeneration to inspectors PaintGeneration value.

Pascal

procedure UpdateLastPaintGeneration;

Description

UpdateLastPaintGenerations sets the item's LastPaintGeneration value to the Inspector.PaintGeneration value.

Notes

Do not call this method directly. It is called whenever one of the display rectangles are modified, which usually signals the item is to be repainted.

Created with Doc-O-Matic.


TJvCustomInspectorRegItem
JEDI-VCL Reference

TJvCustomInspectorRegItem

Hierarchy	Properties	Methods	 Edit topic

Base registration item.

Pascal

TJvCustomInspectorRegItem = class(TPersistent);

File

JvInspector

Description

TJvCustomInspectorRegItem is the abstract base registration item. You should never add an instance of this class to the registration database but rather one of the descendant types.

Created with Doc-O-Matic.


TJvCustomInspectorRegItem Properties

TJvCustomInspectorRegItem	Legend

Properties

 ItemClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvCustomInspectorRegItem Methods

TJvCustomInspectorRegItem	Legend

Methods

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


Legend

TJvCustomInspectorRegItem

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorRegItem


TJvCustomInspectorRegItem Members

TJvCustomInspectorRegItem	Legend

Members

Properties

 ItemClass

Methods

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvCustomInspectorRegItem.ItemClass property

TJvCustomInspectorRegItem	Edit topic

Inspector item class to use on a match

Pascal

property ItemClass: TJvInspectorItemClass;

Description

ItemClass holds the inspector item class to use if this item is a match for a data instance. This value is used in the CreateChild method of a data object.

Created with Doc-O-Matic.


TJvCustomInspectorRegItem.ApplyDefaults method

TJvCustomInspectorRegItem	Edit topic

Applies defaults to an inspector item

Pascal

procedure ApplyDefaults(const Item: TJvCustomInspectorItem); virtual;

Parameters

const Item: TJvCustomInspectorItem

Inspector item to assign the defaults to.

Description

AppliesTo assigns default values to an inspector item. ApplyDefaults is called by the data layers' CreateChild method after the inspector item is created.

Created with Doc-O-Matic.


TJvCustomInspectorRegItem.Compare method

TJvCustomInspectorRegItem	See Also	Edit topic

Compares the item with another

Pascal

function Compare(const ADataObj: TJvCustomInspectorData; const Item: TJvCustomInspectorRegItem): Integer; virtual;

Return Value

If the specified item is a better match than this item, the negated match value is returned, otherwise the match value of this item is returned. If the items could not be compared, not the match value will be returned but the match percentages using the same rules as for the match value (ie. a negative number means the specified item is a better match, a positive number means this item is the better match).

Parameters

const ADataObj: TJvCustomInspectorData

Data layer instance use for comparison

const Item: TJvCustomInspectorRegItem

Registration item to compare with

Description

Compare compares the item with the specified item. The registration item uses two compare methods, Compare and CompareTo, which work in a similar way as Assign and AssignTo: if Compare doesn't know how to compare the two items, It swaps the items and calls CompareTo.

The Compare method in TJvCustomInspectorRegItem will call the specified items' CompareTo method with itself as a parameter. The result of this call will be negated (because the order of the items was swapped) and returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorRegItem.CompareTo


TJvCustomInspectorRegItem.CompareTo method

TJvCustomInspectorRegItem	See Also	Edit topic

Compares the item to another

Pascal

function CompareTo(const ADataObj: TJvCustomInspectorData; const Item: TJvCustomInspectorRegItem): Integer; virtual;

Return Value

If the specified Item is a better match than this item, the negated match percentage of that item is returned, otherwise the match percentage of this item is returned.

Parameters

const ADataObj: TJvCustomInspectorData

Data layer instance use for comparison

const Item: TJvCustomInspectorRegItem

Registration item to compare to

Description

CompareTo compares the item to the specified item. The registration item uses two compare methods, Compare and CompareTo, which work in a similar way as Assign and AssignTo: if Compare doesn't know how to compare the two items, It swaps the items and calls CompareTo.

The CompareTo method in TJvCustomInspectorRegItem will return the match percentage of the one that matched highest.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorRegItem.Compare


TJvCustomInspectorRegItem.Create constructor

TJvCustomInspectorRegItem	Edit topic

Instantiates a registration item

Pascal

constructor Create(const AItemClass: TJvInspectorItemClass);

Parameters

const AItemClass: TJvInspectorItemClass

Inspector item class to assign to the registration item.

Description

Create instantiates a registration item and assigns it the inspector item it should use if this item matches a data instance.

Created with Doc-O-Matic.


TJvCustomInspectorRegItem.IsMatch method

TJvCustomInspectorRegItem	Edit topic

Determines if the item matches for the given data instance.

Pascal

function IsMatch(const ADataObj: TJvCustomInspectorData): Boolean; virtual;

Parameters

const ADataObj: TJvCustomInspectorData

Data layer instance use for comparison

Description

IsMatch checks if the given item is a match for the given data layer. It returns the result of the expression MatchValue(ADataObj) <> 0.

Created with Doc-O-Matic.


TJvCustomInspectorRegItem.MatchPercent method

TJvCustomInspectorRegItem	Edit topic

Determines the match percentage for the given data instance.

Pascal

function MatchPercent(const ADataObj: TJvCustomInspectorData): Integer; virtual; abstract;

Parameters

const ADataObj: TJvCustomInspectorData

Data layer instance use for comparison

Description

MatchPercent determines the percentage of matching the registration item to the given data instance. MatchPercent in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value (this usually involves in translating the MatchValue to a percentage).

Created with Doc-O-Matic.


TJvCustomInspectorRegItem.MatchValue method

TJvCustomInspectorRegItem	Edit topic

Determines the match value for the given data instance.

Pascal

function MatchValue(const ADataObj: TJvCustomInspectorData): Integer; virtual; abstract;

Parameters

const ADataObj: TJvCustomInspectorData

Data layer instance use for comparison

Description

MatchValue determines if and how good the registration item matches for the given data instance. MatchValue in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value.

Created with Doc-O-Matic.


TJvCustomItemViewer
JEDI-VCL Reference

TJvCustomItemViewer

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for visual components that can display its content in a grid like fashion.

Pascal

TJvCustomItemViewer = class(TJvExScrollingWinControl);

File

JvCustomItemViewer

Description

Use TJvCustomItemViewer as a base class when defining components that represent information in a grid like format. TJvCustomItemViewer introduces properties and methods to control the appearance and behavior of the viewer, including responses to mouse, keyboard and wheel actions, handling of multiselect, dragging, edge scrolling and memory conservation.

Do not create instances of TJvCustomItemViewer. Instead, put a viewer control in a form by instantiating a descendant of TJvCustomItemViewer. Use TJvImagesViewer to display images from graphic files in a folder. Use a TJvImageListViewer to display items from a TCustomImageList. Use TJvOwnerDrawViewer to display arbitrary data where you are responsible for drawing each item.

Created with Doc-O-Matic.


TJvCustomItemViewer Properties

TJvCustomItemViewer	Legend

Properties

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomItemViewer Events

TJvCustomItemViewer	Legend

Events

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomItemViewer Methods

TJvCustomItemViewer	Legend

Methods

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomItemViewer

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TScrollingWinControl, IJvExControl
        TJvExScrollingWinControl
            TJvCustomItemViewer


TJvCustomItemViewer Members

TJvCustomItemViewer	Legend

Members

Properties

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvCustomItemViewer.BorderStyle property

TJvCustomItemViewer	Edit topic

Determines whether the control has a single line border around the client area.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to affect the sharpness with which the client area of the control stands out. BorderStyle can have a value of either bsSingle or bsNone. If BorderStyle is bsSingle, the control has a single-line border around the client area. If BorderStyle is bsNone, there will be no border.

Created with Doc-O-Matic.


TJvCustomItemViewer.BottomRightIndex property

TJvCustomItemViewer	See Also	Edit topic

Specifies the index of the last visible item.

Pascal

property BottomRightIndex: Integer;

Description

Read BottomRightIndex to determine the last visible item at the bottom right corner.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.TopLeftIndex


TJvCustomItemViewer.Canvas property

TJvCustomItemViewer	See Also	Edit topic

Provides access to the drawing surface for the control.

Pascal

property Canvas: TCanvas;

Description

Use Canvas as the drawing surface for the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnDrawItem


TJvCustomItemViewer.Count property

TJvCustomItemViewer	See Also	Edit topic

Specifies the number of items in the control.

Pascal

property Count: Integer;

Description

Use Count to read and change the number of items in the control. Changing Count will change the upper bound of the Items array. Calling Add, Delete and Clear automatically changes Count.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Add, TJvCustomItemViewer.Clear, TJvCustomItemViewer.Delete, TJvCustomItemViewer.Items


TJvCustomItemViewer.Items property

TJvCustomItemViewer	See Also	Edit topic

Provides indexed access to the items in the control.

Pascal

property Items [Index: Integer]: TJvViewerItem;

Description

Use Items to read or modify an item at a particular position. Index gives the position of the item, where 0 is the position of the first item, 1 is the position of the second item, and so on. To locate a particular item in the list, call the IndexOf method.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.IndexOf


TJvCustomItemViewer.ItemSize property

TJvCustomItemViewer	Edit topic

Stores the height and width of an item in a single variable.

Pascal

property ItemSize: TSize;

Description

Read ItemSize to determine the height and width of an item in the list. The size of an item is determined by Options.Width and Options.Height as well Options.VertSpacing and Options HorzSpacing.

ItemSize.cx stores the width of an item and ItemSize.cy stores the height.

Created with Doc-O-Matic.


TJvCustomItemViewer.OnDeletion event

TJvCustomItemViewer	See Also	Edit topic

Occurs when an item is deleted in the list.

Pascal

property OnDeletion: TJvViewerItemChangedEvent;

Description

Write a handler for this event to take specific action when an item is deleted from the list.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnInsertion


TJvCustomItemViewer.OnDrawItem event

TJvCustomItemViewer	See Also	Edit topic

Called whenever an item needs to be drawn.

Pascal

TJvViewerItemDrawEvent = procedure (Sender: TObject; Index: Integer; State: TCustomDrawState; Canvas: TCanvas; ItemRect, TextRect: TRect) of object;
property OnDrawItem: TJvViewerItemDrawEvent;

Parameters

Canvas

The control's canvas to draw on.

ItemRect

The bounding rect of the item to draw, excluding the text area.

TextRect

The bounding rect of the text area for the item.

Sender

The object that triggered the event.

Index

The index of the item to draw.

State

The state of the item to draw.

Description

Assign an event handler to the OnDrawItem to control the way an item is drawn in the control. DrawItem calls OnDrawItem for each item in the Items array as needed.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.DrawItem


TJvCustomItemViewer.OnInsertion event

TJvCustomItemViewer	See Also	Edit topic

Occurs when a new item is added to the list.

Pascal

property OnInsertion: TJvViewerItemChangedEvent;

Description

Write a handler for this event to take specific action when an item is added to the list.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnDeletion


TJvCustomItemViewer.OnItemChanged event

TJvCustomItemViewer	See Also	Edit topic

Called when an item has changed.

Pascal

TJvViewerItemChangedEvent = procedure (Sender: TObject; Item: TJvViewerItem) of object;
property OnItemChanged: TJvViewerItemChangedEvent;

Parameters

Item

The item that has changed.

Sender

The object that triggered the event.

Description

Write an event handler for the OnItemChanged event to take specific action when an item in the Items array has changed. For example, you might want to update a status display whenever a property of an item has been modified.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanging


TJvCustomItemViewer.OnItemChanging event

TJvCustomItemViewer	See Also	Edit topic

Called when an item is about to change.

Pascal

TJvViewerItemChangingEvent = procedure (Sender: TObject; Item: TJvViewerItem; var Allow: Boolean) of object;
property OnItemChanging: TJvViewerItemChangingEvent;

Parameters

Allow

Set to false to disallow the change. Default value is true.

Item

The item that is about to change.

Sender

The object that triggered the event.

Description

Write an event handler for the OnItemChanging event to take specific action when an item in the Items array is about to change. For example, you might want to prohibit changes to items under certain circumstances.

To disallow an item to change, set the Allow parameter to false. By default, Allow is true.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanged


TJvCustomItemViewer.OnItemHint event

TJvCustomItemViewer	Edit topic

Occurs when the hint for an item is about to be displayed.

Pascal

TJvViewerItemHintEvent = procedure (Sender: TObject; Index: Integer; var HintInfo: THintInfo; var Handled: Boolean) of object;
property OnItemHint: TJvViewerItemHintEvent;

Parameters

HintInfo

Provides access to the hint info.

Handled

Set this to true if your code handles the hint itself.

Sender

The item viewer that triggered the event.

Index

The index of the item for which a hint is to be displayed

Description

Write a handler for this event to take specific action when the hint for an item is about to be displayed.

Created with Doc-O-Matic.


TJvCustomItemViewer.OnOptionsChanged event

TJvCustomItemViewer	See Also	Edit topic

Called when an option has changed.

Pascal

property OnOptionsChanged: TNotifyEvent;

Description

Write an event handler for the OnOptionsChanged event to take specific action whenever an option has changed.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OptionsChanged


TJvCustomItemViewer.OnScroll event

TJvCustomItemViewer	Edit topic

Called when the control is scrolled.

Pascal

property OnScroll: TNotifyEvent;

Description

Write an event handler for the OnScroll event to take specific action when the control is scrolled using the scroll bar.

Created with Doc-O-Matic.


TJvCustomItemViewer.Options property

TJvCustomItemViewer	Edit topic

Provides access to the control's options.

Pascal

property Options: TJvCustomItemViewerOptions;

Description

Use Options to read and modify the options for the control. The class type of the Options property is determined by the value returned by the GetOptionsClass protected method. Descendant classes might override this method to return an options class better tailored to the specific control.

Created with Doc-O-Matic.


TJvCustomItemViewer.Selected property

TJvCustomItemViewer	See Also	Edit topic

Provides access to the selected state of the items in the Items array.

Pascal

property Selected [Item: TJvViewerItem]: Boolean;

Parameters

Item

The item to read/write.

Description

Read Selected to determine whether an item is selected. Change Selected to specify whether an item is selected or not.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.SelectedIndex


TJvCustomItemViewer.SelectedIndex property

TJvCustomItemViewer	See Also	Edit topic

Specifies the index of the currently or last selected item.

Pascal

property SelectedIndex: Integer;

Description

Read SelectedIndex to determine the index of the currently selected item. If SelectedIndex is -1, no item is selected. If Options.MultiSelect is true, SelectedIndex returns the index of the item that was selected most recently.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Selected


TJvCustomItemViewer.TopLeftIndex property

TJvCustomItemViewer	See Also	Edit topic

Specifies the index of the first visible item.

Pascal

property TopLeftIndex: Integer;

Description

Read TopLeftIndex to determine the first visible item at the top left corner.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.BottomRightIndex


TJvCustomItemViewer.UpdateCount property

TJvCustomItemViewer	See Also	Edit topic

Counts the number of times BeginUpdate was called without a corresponding call to EndUpdate.

Pascal

property UpdateCount: Integer;

Description

UpdateCount keeps track of calls to BeginUpdate and EndUpdate so that they can be nested. Every call to BeginUpdate increments UpdateCount. Every call to EndUpdate decrements it. When UpdateCount returns to 0, the control updates itself to reflect all changes that occurred since the first call to BeginUpdate.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.BeginUpdate, TJvCustomItemViewer.EndUpdate


TJvCustomItemViewer.Add method

TJvCustomItemViewer	See Also	Edit topic

Adds an existing item to the Items list.

Pascal

function Add(AItem: TJvViewerItem): Integer;

Return Value

The index of the newly added item.

Parameters

AItem: TJvViewerItem

The item to add.

Description

Call Add to add an existing item to the Items list. The item is added as the last item to the list. If you want to create a new item and add it to the list, change the Count property instead.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Clear, TJvCustomItemViewer.Delete, TJvCustomItemViewer.Insert


TJvCustomItemViewer.BeginUpdate method

TJvCustomItemViewer	See Also	Edit topic

Suspends screen repainting.

Pascal

procedure BeginUpdate;

Description

The BeginUpdate method suspends screen repainting until the EndUpdate method is called. Use BeginUpdate to speed processing and avoid flicker while items are added to, modified or deleted from the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.EndUpdate, TJvCustomItemViewer.UpdateCount


TJvCustomItemViewer.CalcIndices method

TJvCustomItemViewer	See Also	Edit topic

Calculates the range of visible items in the control.

Pascal

procedure CalcIndices;

Description

Call CalcIndices to recalculate the TopLeftIndex and BottomRightIndex. Normally, you do not need to call this procedure since it is called automatically when the control is resized, scrolled or when the Count property changes.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.BottomRightIndex, TJvCustomItemViewer.TopLeftIndex


TJvCustomItemViewer.Changed method

TJvCustomItemViewer	See Also	Edit topic

Responds when Count or Items changes.

Pascal

procedure Changed;

Description

Changed is called automatically when Items change or when the EndUpdate method signals that an update is complete. It checks the value of UpdateCount, and if it is 0, calls the UpdateAll method, which performs any necessary updates.

When writing a viewer descendant, there is no need to call Changed. Instead, bracket any changes by calls to BeginUpdate and EndUpdate.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.BeginUpdate, TJvCustomItemViewer.EndUpdate, TJvCustomItemViewer.UpdateCount


TJvCustomItemViewer.CheckHotTrack method

TJvCustomItemViewer	See Also	Edit topic

Determines the item that should be hot tracked.

Pascal

procedure CheckHotTrack;

Description

CheckHotTrack is called automatically by the base control when it needs to determine what item should be drawn in the hot track state. An item is only hottracked when the mouse is hovering over it and the Options.HotTrack property is true.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Options


TJvCustomItemViewer.Clear method

TJvCustomItemViewer	See Also	Edit topic

Clears the Items array.

Pascal

procedure Clear;

Description

Clear empties the Items array and frees the items.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Add, TJvCustomItemViewer.Delete, TJvCustomItemViewer.Items


TJvCustomItemViewer.ColRowToIndex method

TJvCustomItemViewer	Edit topic

Converts a column row index to an Items array index.

Pascal

function ColRowToIndex(ACol: Integer; ARow: Integer): Integer;

Return Value

The corresponding Items index. This is 0-based.

Parameters

ACol: Integer

The column index to convert. This is 0-based.

ARow: Integer

The row index to convert. This is 0-based.

Description

ColRowToIndex converts a column and row index to the corresponding Items index. This function does not check ACol and ARow, so if the column and row index are invalid, so is the result.

Created with Doc-O-Matic.


TJvCustomItemViewer.Delete method

TJvCustomItemViewer	Edit topic

Deletes an item.

Pascal

procedure Delete(Index: Integer);

Parameters

Index: Integer

The 0-based index of the item to remove.

Description

Call delete to remove an item from the Items array. The item is freed when it is removed.

Created with Doc-O-Matic.


TJvCustomItemViewer.DoReduceMemory method

TJvCustomItemViewer	Edit topic

Reduces memory usage.

Pascal

procedure DoReduceMemory;

Description

You don't have to call DoReduceMemory since TJvCustomItemViewer calls this method as needed. DoReduceMemory calls each item's ReduceMemoryUsage procedure if Options.ReduceMemoryUsage is true. The base item class does nothing in its ReduceMemoryUsage procedure but descendant classes might implement this differently.

Created with Doc-O-Matic.


TJvCustomItemViewer.DrawItem method

TJvCustomItemViewer	Edit topic

Called when an item needs to be visually updated.

Pascal

procedure DrawItem(Index: Integer; State: TCustomDrawState; Canvas: TCanvas; ItemRect: TRect; TextRect: TRect); virtual;

Parameters

Index: Integer

The index of the item in the Items array.

State: TCustomDrawState

The current state of the item to draw.

Canvas: TCanvas

The canvas to draw on.

ItemRect: TRect

The rect of the item to draw excluding TextRect.

TextRect: TRect

The rect of the text (if any) to draw. This rect is adjusted according to Options.Layout and Options.Alignment.

Description

DrawItem is called for each item when it needs to be redrawn. Override this method in a descendant class to change the way items are drawn. Depending on the value of Options.LazyRead, DrawItem is called differently. If LazyRead is true, DrawItem is called for each visible item. If LazyRead is false, DrawItem is called for all items.

Created with Doc-O-Matic.


TJvCustomItemViewer.EndUpdate method

TJvCustomItemViewer	See Also	Edit topic

Re-enables screen repainting.

Pascal

procedure EndUpdate;

Description

Use EndUpdate to re-enable screen repainting that was turned off with the BeginUpdate method.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.BeginUpdate, TJvCustomItemViewer.UpdateCount


TJvCustomItemViewer.FindFirstSelected method

TJvCustomItemViewer	See Also	Edit topic

Finds and returns the index of the first selected item.

Pascal

function FindFirstSelected: Integer;

Description

Call FindFirstSelected to find and return the first selected item in the control. If Options.MultiSelect is false, this is the same as SelectedIndex.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.FindLastSelected, TJvCustomItemViewer.SelectedIndex


TJvCustomItemViewer.FindLastSelected method

TJvCustomItemViewer	See Also	Edit topic

Finds and returns the index of the last selected item.

Pascal

function FindLastSelected: Integer;

Description

Call FindLastSelected to find and return the last selected item in the control. If Options.MultiSelect is false, this is the same as SelectedIndex.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.FindFirstSelected, TJvCustomItemViewer.SelectedIndex


TJvCustomItemViewer.GetDragImages method

TJvCustomItemViewer	Edit topic

Returns the image list to be displayed during drag operations.

Pascal

function GetDragImages: TDragImageList; override;

Return Value

An imagelist containing one image representing the currently selected item.

Description

GetDragImages is called automatically during drag-and-drop operations to allow the control to supply an image that is displayed while the one of the items is dragged. If an item is being dragged, GetDragImages returns the image for the item that was selected when the DoStartDrag method was called.

Notes

GetDragImages only returns the item under the cursor even if multiple items are selected.

Created with Doc-O-Matic.


TJvCustomItemViewer.GetItemClass method

TJvCustomItemViewer	Edit topic

Returns the class type of the items in the Items list.

Pascal

function GetItemClass: TJvViewerItemClass; virtual;

Description

Override GetItemClass in descendant classes to return the class type of the items in the Items array.

Created with Doc-O-Matic.


TJvCustomItemViewer.GetItemState method

TJvCustomItemViewer	Edit topic

Returns the current state of the specified item.

Pascal

function GetItemState(Index: Integer): TCustomDrawState; virtual;

Return Value

The state of the specified item or an empty set if Index is out of bounds.

Parameters

Index: Integer

The index of the item in the Items array to return the state for.

Description

Call GetItemState to return the current state of an item in the Items array. Calling GetItemState is safer than accessing the State property of an item in the Items array directly since GetItemState first checks that Index is valid. If Index is out of bounds, this method returns an empty set.

Created with Doc-O-Matic.


TJvCustomItemViewer.GetOptionsClass method

TJvCustomItemViewer	Edit topic

Returns the class type of the class used for the Options property.

Pascal

function GetOptionsClass: TJvItemViewerOptionsClass; virtual;

Return Value

The class type of the Options property.

Description

Override GetOptionsClass in descendant classes to return the class type for the control's Options property.

Created with Doc-O-Matic.


TJvCustomItemViewer.GetTextHeight method

TJvCustomItemViewer	Edit topic

Returns the height of text in the control.

Pascal

function GetTextHeight: Integer; virtual;

Return Value

The single line height of a text string using the current Font.

Description

Override GetTextHeight to return the text height of an item in the control. The base implementation calculates the height of the text as a single line string.

Created with Doc-O-Matic.


TJvCustomItemViewer.GetTextRect method

TJvCustomItemViewer	Edit topic

Adjusts a rect so it encloses the passed in string.

Pascal

function GetTextRect(const S: WideString; var ItemRect: TRect): TRect; virtual;

Return Value

A TRect adjusted according to the value of Options.Layout.

Parameters

const S: WideString

The string to calculate the rect for.

var ItemRect: TRect

The rect to adjust.

Description

Call GetTextRect with a string and a rect to have the rect adjusted to enclose the string S. The rect is adjusted according to the value of Options.Layout. ItemRect must contain the correct values for Left and Right before calling this method.

Created with Doc-O-Matic.


TJvCustomItemViewer.IndexOf method

TJvCustomItemViewer	Edit topic

Returns the index of the first occurrence in the list of a specified item.

Pascal

function IndexOf(Item: TJvViewerItem): Integer;

Return Value

The index of the item if found or -1 if Item is not in the Items array.

Parameters

Item: TJvViewerItem

The item to find.

Description

Call IndexOf to get the index for an item in the Items array. The first item in the array has index 0, the second item has index 1, and so on.

If an item is not in the list, IndexOf returns -1. If an item appears more than once in the list, IndexOf returns the index of the first appearance.

Created with Doc-O-Matic.


TJvCustomItemViewer.IndexToColRow method

TJvCustomItemViewer	Edit topic

Converts an index in the list to a Column/Row value.

Pascal

procedure IndexToColRow(Index: Integer; var ACol: Integer; var ARow: Integer);

Parameters

Index: Integer

The index of the item to convert.

var ACol: Integer

The column index is returned in this parameter.

var ARow: Integer

The row index is returned in this parameter.

Description

Call IndexToColRow to convert an Items index into its corresponding column and row index.

Created with Doc-O-Matic.


TJvCustomItemViewer.Insert method

TJvCustomItemViewer	See Also	Edit topic

Inserts an existing item into the list.

Pascal

procedure Insert(Index: Integer; AItem: TJvViewerItem);

Parameters

Index: Integer

The position where the item should be inserted.

AItem: TJvViewerItem

The item to insert.

Description

Call Insert to insert an existing item in the list at a specified position.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Add, TJvCustomItemViewer.Clear, TJvCustomItemViewer.Count


TJvCustomItemViewer.ItemAtPos method

TJvCustomItemViewer	See Also	Edit topic

Returns the index of the item indicated by the coordinates of a point on the control.

Pascal

function ItemAtPos(X: Integer; Y: Integer; Existing: Boolean): Integer; virtual;

Return Value

The index of the control at X/Y or -1 if not found or the last item + 1 if Existing is false.

Parameters

X: Integer

The horizontal position of the item.

Y: Integer

The vertical position of the item.

Existing: Boolean

Determines if the method should return -1 or the last item plus one if there is no item at X, Y.

Description

Use ItemAtPos to detect if an item exists at a particular point in the control.

The X and Y parameters is the point in the control in window coordinates. If C and Y is beyond the last item in the control, the value of the Existing variable determines the returned value. If Existing is set to True, ItemAtPos returns -1, indicating that no item exists at that point. If Existing is set to False, ItemAtPos returns the index of the last item in the control plus one.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.IndexOf


TJvCustomItemViewer.ItemChanged method

TJvCustomItemViewer	See Also	Edit topic

Called whenever an item property has changed.

Pascal

procedure ItemChanged(Item: TJvViewerItem); virtual;

Parameters

Item: TJvViewerItem

The item that has changed. This parameter can be nil.

Description

ItemChanged is called whenever an item (or one of its properties) in the Items array has changed. ItemChanged calls the OnItemChanged event.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanged


TJvCustomItemViewer.ItemChanging method

TJvCustomItemViewer	See Also	Edit topic

Called when an item is about to change.

Pascal

procedure ItemChanging(Item: TJvViewerItem; var AllowChange: Boolean); virtual;

Parameters

Item: TJvViewerItem

The item that is about to change.

var AllowChange: Boolean

Determines if the item is allowed to change.

Description

ItemChanging is called before an item is changed. This method calls the OnItemChanging event. When AllowChange is set to false, the change is canceled.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanging


TJvCustomItemViewer.ItemRect method

TJvCustomItemViewer	Edit topic

Calculates the bounding rect of an item.

Pascal

function ItemRect(Index: Integer; IncludeSpacing: Boolean): TRect;

Return Value

The TRect that bounds the item.

Parameters

Index: Integer

Index of the item to calculate.

IncludeSpacing: Boolean

If true, spacing is included in the returned rect.

Description

ItemRect calculates the bounding rect of an item and return the result. If IncludeSpacing is true, the values of Options.VertSpacing and Options.HorzSpacing is included in the result.

Created with Doc-O-Matic.


TJvCustomItemViewer.OptionsChanged method

TJvCustomItemViewer	See Also	Edit topic

Triggers the OnOptionsChanged event.

Pascal

procedure OptionsChanged;

Description

OptionsChanged is called when a property in the Options class is changed. OptionsChanged triggers the OnOptionsChanged event.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnOptionsChanged


TJvCustomItemViewer.ScrollBy method

TJvCustomItemViewer	See Also	Edit topic

Scroll control contents.

Pascal

procedure ScrollBy(DeltaX: Integer; DeltaY: Integer);

Parameters

DeltaX: Integer

The number of pixels to scroll the control horizontally. This value can be negative.

DeltaY: Integer

The number of pixels to scroll the control vertically. This value can be negative.

Description

Call ScrollBy to scroll the contents within the control.

Applications seldom need to call the ScrollBy method unless they implement their own scrolling interface rather than relying on a scroll bar.

The DeltaX parameter is the change in pixels along the X axis. A positive DeltaX value scrolls the contents to the right; a negative value scrolls the contents to the left. The DeltaY parameter is the change in pixels along the Y axis. A positive DeltaY value scrolls the contents down; a negative value scrolls the contents up.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.ScrollIntoView


TJvCustomItemViewer.ScrollIntoView method

TJvCustomItemViewer	See Also	Edit topic

Scrolls a specific item into view.

Pascal

procedure ScrollIntoView(Index: Integer);

Parameters

Index: Integer

The index of the item to make visible.

Description

Use ScrollIntoView to make a specific item visible in the item viewer.

Notes

Do not confuse this method with ScrollInView. ScrollInView performs another tasks altogether.

Created with Doc-O-Matic.


See Also

ScrollInView


TJvCustomItemViewer.SelectAll method

TJvCustomItemViewer	See Also	Edit topic

Selects all items in the control.

Pascal

procedure SelectAll;

Description

Call SelectAll to select all the items in the Items array. SelectAll is functionally equivalent to calling SelectItems with 0 and Count - 1 as parameters.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.SelectItems, TJvCustomItemViewer.UnselectItems


TJvCustomItemViewer.SelectItems method

TJvCustomItemViewer	See Also	Edit topic

Selects a range of items.

Pascal

procedure SelectItems(StartIndex: Integer; EndIndex: Integer; AppendSelection: Boolean);

Parameters

StartIndex: Integer

Index of the first item in the range.

EndIndex: Integer

Index of the last item in the range.

AppendSelection: Boolean

If true, already selected items are left selected. If false, the current selection is first removed.

Description

Call SelectItems to select a range of items in one go. SelectItems calls BeginUpdate/EndUpdate to speed the selection process.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.SelectAll, TJvCustomItemViewer.UnselectItems


TJvCustomItemViewer.ToggleSelection method

TJvCustomItemViewer	Edit topic

Toggles the selection state of an item.

Pascal

procedure ToggleSelection(Index: Integer; SetSelection: Boolean);

Parameters

Index: Integer

Index of the item to toggle.

SetSelection: Boolean

Set to true to change the SelectedIndex if the item's selection state is toggled on.

Description

Call ToggleSelection to toggle the selection state of an item.

Created with Doc-O-Matic.


TJvCustomItemViewer.UnselectItems method

TJvCustomItemViewer	See Also	Edit topic

Unselects a range of items.

Pascal

procedure UnselectItems(StartIndex: Integer; EndIndex: Integer);

Parameters

StartIndex: Integer

Index of the first item in the range.

EndIndex: Integer

Index of the last item in the range.

Description

Call UnselectItems to unselect a range of items in one go. UnselectItems calls BeginUpdate/EndUpdate to speed the unselection process.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.SelectAll, TJvCustomItemViewer.SelectItems


TJvCustomItemViewer.UpdateAll method

TJvCustomItemViewer	See Also	Edit topic

Recalculates and updates all internal variables to reflect the current state.

Pascal

procedure UpdateAll;

Description

Call UpdateAll to recalculate all internal variables and offsets as well as scrollbar information. UpdateAll is called as needed and developers seldom need to call it directly.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.UpdateOffset


TJvCustomItemViewer.UpdateOffset method

TJvCustomItemViewer	See Also	Edit topic

Recalculates the internal offset values.

Pascal

procedure UpdateOffset;

Description

Call UpdateOffset to recalculate the internal offset values. UpdateOffset is called as needed and developers seldom need to call it directly.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.UpdateAll


TJvCustomItemViewerOptions
JEDI-VCL Reference

TJvCustomItemViewerOptions

Hierarchy	Properties	Methods	 Edit topic

Base class for the Options property.

Pascal

TJvCustomItemViewerOptions = class(TPersistent);

File

JvCustomItemViewer

Description

TJvCustomItemViewerOptions is the base class for Options property of TJvCustomItemViewer descendants. When developing a new item viewer that needs options not available in this class, derive a new class from TJvCustomItemViewerOptions, add the properties and methods needed. Finally, override the GetOptionsClass method of your TJvCustomItemViewer descendant to return the new class.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions Properties

TJvCustomItemViewerOptions	Legend

Properties

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomItemViewerOptions Methods

TJvCustomItemViewerOptions	Legend

Methods

 Change

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomItemViewerOptions

Legend

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomItemViewerOptions


TJvCustomItemViewerOptions Members

TJvCustomItemViewerOptions	Legend

Members

Properties

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Methods

 Change

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvCustomItemViewerOptions.Alignment property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies how text is aligned within an item.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to specify whether values should be left-justified, right-justified, or centered in an item.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Layout


TJvCustomItemViewerOptions.AutoCenter property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies whether items are centered within the control.

Pascal

property AutoCenter: Boolean;

Description

Set AutoCenter to true to center the visible items in the control. Centering is done differently depending on the value of ScrollBar. If ScrollBar is tvHorizontal, the visible items are center vertically in the control, otherwise they are centered horizontally.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.ScrollBar


TJvCustomItemViewerOptions.BrushPattern property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies the background brush pattern to use for a selected item.

Pascal

property BrushPattern: TJvBrushPattern;

Description

BrushPattern provides access to properties that control the appearance of the background pattern used for selected items in a TJvCustomItemViewer.

Created with Doc-O-Matic.


See Also

TJvBrushPattern


TJvCustomItemViewerOptions.DragAutoScroll property

TJvCustomItemViewerOptions	Edit topic

Specifies whether the control scrolls automatically when needed in a drag drop event.

Pascal

property DragAutoScroll: Boolean;

Description

Set DragAutoScroll to true to make the TJvCustomItemViewer scroll automatically when the mouse is near an edge in a drag and drop process. SetAutoDragScroll to false, to disable or handle the scrolling manually.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.Height property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies the vertical size of an item in the control in pixels.

Pascal

property Height: Integer;

Description

Use the Height property to read or change the height of an item in the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Width


TJvCustomItemViewerOptions.HorzSpacing property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies the horizontal spacing between items.

Pascal

property HorzSpacing: Integer;

Description

Use the HorzSpacing property to read or change the horizontal distance between two items in the control. The distance is expressed in pixels.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.VertSpacing


TJvCustomItemViewerOptions.HotTrack property

TJvCustomItemViewerOptions	Edit topic

Specifies whether items are highlighted when the mouse passes over them.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse. When HotTrack is False, there is no visual feedback when the mouse passes over the item.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.Layout property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies the vertical placement of the text within an item.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of an item is placed within the bounds of the item. Layout is the vertical analog to the Alignment property.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Alignment


TJvCustomItemViewerOptions.LazyRead property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies how and when items are created.

Pascal

property LazyRead: Boolean;

Description

Use the LazyRead property to specify how and when items are created by the control. If LazyRead is true, items are created and initialized when needed. If LazyRead is false, items are created as soon as they are added to the Items array.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Add, TJvCustomItemViewer.Count, TJvCustomItemViewer.Insert, TJvCustomItemViewer.Items


TJvCustomItemViewerOptions.MultiSelect property

TJvCustomItemViewerOptions	Edit topic

Specifies whether the user can select more than one item at a time.

Pascal

property MultiSelect: Boolean;

Description

Use the MultiSelect property to specify whether the users can select more than one item at a time in the control.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.ReduceMemoryUsage property

TJvCustomItemViewerOptions	Edit topic

Specifies whether memory usage should be kept to a minimum.

Pascal

property ReduceMemoryUsage: Boolean;

Description

Set ReduceMemoryUsage to minimize the memory usage of the items in the control. Note that reducing memory usage might affect the update speed of the control.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.RightClickSelect property

TJvCustomItemViewerOptions	Edit topic

Determines whether items that are clicked using the right mouse button are also selected.

Pascal

property RightClickSelect: Boolean;

Description

Use RightClickSelect to allow the user to select items using the right mouse button. If RightClickSelect is True, the value of Selected is the value of the node last clicked with either the right or left mouse button. If RightClickSelect is False, the value of Selected is the node last clicked using the left mouse button.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.ScrollBar property

TJvCustomItemViewerOptions	Edit topic

Specifies which scrollbar is displayed when items cannot fit within the client rect of the control.

Pascal

property ScrollBar: TJvItemViewerScrollBar;

Description

Set ScrollBar to tvHorizontal to display a horizontal scrollbar when the items cannot fit inside the client area of the control. Set ScrollBar to tvVertical to display a vertical scrollbar when the items cannot fit.

Notes

Although the control publishes the HorzScrollBar and VertScrollBar properties, do not use these to set the Visible property of the scrollbars since it will be changed immediately by the control. HorzScrollBar and VertScrollBar are published by the ancestor TScrollingWinControl and thus cannot be unpublished again.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.ShowCaptions property

TJvCustomItemViewerOptions	Edit topic

Specifies whether items display text or not.

Pascal

property ShowCaptions: Boolean;

Description

Use the ShowCaptions property to specify whether items show their captions or not. This property affects the calculation of the ItemRect and TextRect parameters passed to TJvCustomItemViewer.DrawItem.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.Smooth property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies whether the amount the associated control scrolls is dynamically computed.

Pascal

property Smooth: Boolean;

Description

Set Smooth to True to specify that the scroll bar should dynamically adjust its scrolling increment based on the size of the associated control’s client area.

When Smooth is True, clicking the end arrows of the scrollbar scrolls the associated control by approximately one tenth of its client area, and clicking the scrollbar beside the thumb tab scrolls the control by the length of the client area minus the amount scrolled by the end arrows. When Smooth is False, the Increment property controls the amount of scrolling when the user clicks the end arrows, and clicking beside the thumb tab scrolls the control by the entire length of the client area.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Tracking


TJvCustomItemViewerOptions.Tracking property

TJvCustomItemViewerOptions	Edit topic

Determines whether the scroll box moves before the thumb tab is released.

Pascal

property Tracking: Boolean;

Description

Use Tracking to control whether the scrollbar and associated control repaint while the thumb tab is dragged with the mouse. If Tracking is True, the image moves as the user drags the thumb tab. If Tracking is False, the image remains static until the thumb tab is released.

Repainting while the thumb tab is dragged can provide useful feedback to the user about how far the control has scrolled, but slows performance.

Created with Doc-O-Matic.


TJvCustomItemViewerOptions.VertSpacing property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies the vertical spacing between items.

Pascal

property VertSpacing: Integer;

Description

Use the VertSpacing property to read or change the vertical distance between two items in the control. The distance is expressed in pixels.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.HorzSpacing


TJvCustomItemViewerOptions.Width property

TJvCustomItemViewerOptions	See Also	Edit topic

Specifies the horizontal size of an item the control in pixels.

Pascal

property Width: Integer;

Description

Use the Width property to read or change the width of an item in the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Height


TJvCustomItemViewerOptions.Change method

TJvCustomItemViewerOptions	Edit topic

Called when an option has changed.

Pascal

procedure Change; virtual;

Description

Change is called automatically when an option property has changed. Change notifies the TJvCustomItemViewer owning the class that an option has changed. If you derive a new class from TJvCustomItemViewerOptions, do not forget to call Change in the property setters for new properties.

Created with Doc-O-Matic.


TJvCustomLED
JEDI-VCL Reference

TJvCustomLED

Hierarchy	Properties	 Edit topic

Displays a LED in various colors.

Pascal

TJvCustomLED = class(TJvGraphicControl);

File

JvLED

Description

Use a TJvCustomLED descendant to display LED's in various colors.

The LED component has the following capabilities:

Display the LED in any color.

Emulates a reflective highlight.

Has separate on and off colors.

Can automatically blink with a specified interval.

Created with Doc-O-Matic.


TJvCustomLED Properties

TJvCustomLED	Legend

Properties

 Active

 Color

 ColorOff

 ColorOn

 Interval

 Status

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomLED

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomLED


TJvCustomLED Members

TJvCustomLED	Legend

Members

Properties

 Active

 Color

 ColorOff

 ColorOn

 Interval

 Status

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomLED.Active property

TJvCustomLED	Edit topic

Determines if blinking is enabled.

Pascal

property Active: Boolean;

Description

Active determines if blinking is enabled. Read Active to determine if blinking is enabled or set Active to enable or disable blinking.

If Active is True, blinking is enabled.

If Active is False, blinking is not enabled.

Blinking will toggle the Status property at every Interval.

Created with Doc-O-Matic.


TJvCustomLED.Color property

TJvCustomLED	Edit topic

Determines the color of the LED.

Pascal

property Color;

Description

Color determines the color of the LED. This value can be one of the constants defined in the Graphics unit (such as clBlue), or an explicit RGB integer value.

Note that the Color property changes to the color specified by ColorOn or ColorOff depending on the value of Status.

Created with Doc-O-Matic.


TJvCustomLED.ColorOff property

TJvCustomLED	Edit topic

Color of the LED when it's dimmed.

Pascal

property ColorOff: TColor;

Description

ColorOff determines the color of the LED when Status is False.

Created with Doc-O-Matic.


TJvCustomLED.ColorOn property

TJvCustomLED	Edit topic

Color of the LED when it's lit.

Pascal

property ColorOn: TColor;

Description

ColorOn determines the color of the LED when Status is True.

Created with Doc-O-Matic.


TJvCustomLED.Interval property

TJvCustomLED	Edit topic

Blinking interval.

Pascal

property Interval: Cardinal;

Description

Interval specifies the time in milliseconds between toggling the Status property. Interval is only used when Active is True (and blinking is on).

Created with Doc-O-Matic.


TJvCustomLED.Status property

TJvCustomLED	Edit topic

Status of the LED.

Pascal

property Status: Boolean;

Description

Status determines if the LED is on or off. Read Status to retrieve the current status or set it to a new value.

If Status is set to True, the LED is on and rendered in the color specified by ColorOn.

If Status is set to False, the LED is off and rendered in the color specified by ColorOff.

If blinking is enabled (Active = True), Status will be toggled every Interval milliseconds.

Created with Doc-O-Matic.


TJvCustomListBox
JEDI-VCL Reference

TJvCustomListBox

Hierarchy	Properties	Methods	Events	 Edit topic

Base class from which all enhanced list box controls are derived.

Pascal

TJvCustomListBox = class(TJvExCustomListBox);

File

JvListBox

Description

TJvCustomListBox encapsulates new behavior common to all enhanced list boxes by introducing methods and properties that provide ability to:

Align the strings in the list box.

Display a string on more than one row.

Searching for items by prefix, sub-string or by exact match, optionally case-sensitive.

Alter the selection in various ways.

Specify the horizontally scrollable width of the list box.

Respond when the user scrolls the list box

horizontally or vertically.

Display a background image.

Provider-aware.

Provider awareness

Provider-awareness for this control is done in the same way as for other provider-aware controls: a Provider property is added.

When a provider is selected, the component behaves slightly different from the normal case:

If the Style property is not set to an owner draw style, the list box is created as a variable height list box (i.e. only lbOwnerDrawFixed results in a fixed height list box).

If the Style property is set to an owner draw style and the OnMeasureItem or OnDrawItem events are assigned, these events will execute in favor of the provider based measuring/rendering. In all other cases, the provider based measuring/rendering will be used.

Do not create instances of TJvCustomListBox. Use TJvCustomListBox as a base class when declaring list boxes, that will use the new behavior introduced in TJvCustomListBox.

Created with Doc-O-Matic.


TJvCustomListBox Properties

TJvCustomListBox	Legend

Properties

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomListBox Events

TJvCustomListBox	Legend

Events

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomListBox Methods

TJvCustomListBox	Legend

Methods

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomListBox

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomListBox


TJvCustomListBox Members

TJvCustomListBox	Legend

Members

Properties

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvCustomListBox.Alignment property

TJvCustomListBox	Edit topic

Determines how the text is aligned within the list box control.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to change the way the text is aligned within the list box control. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the list box control.
taCenter	Center the text in the list box control.
taRightJustify	Align text on the right side in the list box control.
Created with Doc-O-Matic.


TJvCustomListBox.Background property

TJvCustomListBox	See Also	Edit topic

Specifies the bitmap and fill mode to use for the background of the list box.

Pascal

property Background: TJvListBoxBackground;

Description

Use Background to specify the bitmap, fill mode used as background for the list box, and whether the bitmap should actually be drawn.

Created with Doc-O-Matic.


See Also

TJvListBoxBackground.FillMode, TJvListBoxBackground.Image, TJvListBoxBackground.Visible


TJvCustomListBox.ConsumerStrings property

TJvCustomListBox	Edit topic

Not documented

Pascal

property ConsumerStrings: TJvConsumerStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomListBox.DisabledTextColor property

TJvCustomListBox	Edit topic

Specifies the color of the text when the control isn't enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control isn't enabled. If DisabledTextColor is set to a dithered color, the text appears in the closest non-dithered value.

Set Enabled to False to disable the control.

Created with Doc-O-Matic.


TJvCustomListBox.DragImages property

TJvCustomListBox	See Also	Edit topic

Provides access to the control's image list containing the image to be displayed while dragging.

Pascal

property DragImages: TDragImageList;

Description

Use DragImages to access the list of drag images used by the list box during drag operations.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.DragIndex


TJvCustomListBox.DragIndex property

TJvCustomListBox	See Also	Edit topic

Indicates the item that is being dragged.

Pascal

property DragIndex: Integer;

Description

Read DragIndex to determine the index of the item in the list box that is being dragged.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.DragImages


TJvCustomListBox.HotTrack property

TJvCustomListBox	Edit topic

Specifies whether the list box is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the list box text. When HotTrack is False, there is no visual feedback when the mouse passes over the list box.

Created with Doc-O-Matic.


TJvCustomListBox.LimitToClientWidth property

TJvCustomListBox	Edit topic

Not documented

Pascal

property LimitToClientWidth: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomListBox.MaxWidth property

TJvCustomListBox	Edit topic

Specifies the horizontally scrollable width of the list box, in pixels.

Pascal

property MaxWidth: Integer;

Description

Use MaxWidth to specify the number of pixels by which the list box can be scrolled horizontally. If the actual width of the list box is smaller than MaxWidth, and ScrollBars equals ssHorizontal or ssBoth, the list box displays the horizontal scroll bar. If the actual width of the list box is equal to or greater than MaxWidth, the horizontal scroll bar is hidden.

Created with Doc-O-Matic.


TJvCustomListBox.MultiLine property

TJvCustomListBox	See Also	Edit topic

Determines whether the list box items can appear on more than one row.

Pascal

property MultiLine: Boolean;

Description

Use MultiLine to determine how the list box items are displayed. If MultiLine is True, an item is displayed on more than one row if that item contains a carriage return (#13) symbol. If ScrollBars is set to ssNone or ssVertical then the lines are wrapped if they are longer than the client width of the list box.

If MultiLine is False, the items are displayed on one row only.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.ScrollBars


TJvCustomListBox.OnAddString event

TJvCustomListBox	See Also	Edit topic

Occurs when a new string is added.

Pascal

property OnAddString: TJvListboxChange;

Description

Write an OnAddString event handler to respond when a new string is added to the list box.

Parameter Item indicates the string that has been added.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnChange, TJvCustomListBox.OnDeleteString


TJvCustomListBox.OnChange event

TJvCustomListBox	See Also	Edit topic

Occurs when a new string is added or a string in the list box is deleted.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to respond when a new string is added to the list box or when a string is deleted from the list box.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnAddString, TJvCustomListBox.OnDeleteString


TJvCustomListBox.OnDeleteString event

TJvCustomListBox	See Also	Edit topic

Occurs when a string in the list box is deleted.

Pascal

property OnDeleteString: TJvListboxChange;

Description

Write an OnDeleteString event handler to respond when a string is deleted from the list box.

Parameter Item indicates the string that has been deleted.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnAddString, TJvCustomListBox.OnChange


TJvCustomListBox.OnGetText event

TJvCustomListBox	Edit topic

Not documented

Pascal

TJvListBoxDataEvent = procedure (Sender: TWinControl; Index: Integer; var Text: string) of object;
property OnGetText: TJvListBoxDataEvent;

Parameters

Text

Not documented

Index

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomListBox.OnHorizontalScroll event

TJvCustomListBox	See Also	Edit topic

Occurs when the user scrolls the horizontal scroll bar with the mouse or keyboard.

Pascal

property OnHorizontalScroll: TJvScrollEvent;

Description

Write an OnHorizontalScroll event handler to respond when the user scrolls the horizontal scroll bar. Set parameter DontScroll to False to prevent the list box's horizontal scroll bar to scroll in response of this event. Set DontScroll to True to allow the list box's horizontal scroll bar to scroll.

Use parameter Msg to determine whether to set DontScroll to True or False.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnVerticalScroll


TJvCustomListBox.OnSelectCancel event

TJvCustomListBox	Edit topic

Occurs when the selection in the list box is canceled.

Pascal

property OnSelectCancel: TNotifyEvent;

Description

Write an OnSelectCancel event handler to respond when the selection in the list box is canceled. For example, if you change property MultiSelect or Sorted, the list box cancels the selection in the list box, and triggers an OnSelectCancel event.

Created with Doc-O-Matic.


TJvCustomListBox.OnVerticalScroll event

TJvCustomListBox	See Also	Edit topic

Occurs when the user scrolls the vertical scroll bar with the mouse or keyboard.

Pascal

property OnVerticalScroll: TJvScrollEvent;

Description

Write an OnVerticalScroll event handler to respond when the user scrolls the vertical scroll bar. Set parameter DontScroll to False to prevent the list box's vertical scroll bar to scroll in response of this event. Set DontScroll to True to allow the list box's vertical scroll bar to scroll.

Use parameter Msg to determine whether to set DontScroll to True or False.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnHorizontalScroll


TJvCustomListBox.Provider property

TJvCustomListBox	See Also	Edit topic

Used to select a provider as the control's source of data.

Pascal

property Provider: TJvDataConsumer;

Description

The Provider property is used to link a data provider to the control.

Although you can select a provider directly in the Object Inspector, in code you should use the methods and/or properties provided by the consumer service the Provider property actually refers to.

If the selected provider (in combination with the attributes that apply for control) generates consumer services extensions (such as the IJvDataConsumerViewList but also provider specific settings for the control), any published properties for those will be added as sub properties of the Provider property in the Object Inspector. In code you should query for the extensions interface:

  if Supports(Provider as IJvDataConsumer, <interface GUID or type>, <variable>) then

  begin

    ...

  end;

or:

  if Provider.GetInterface(<interface GUID or type>, <variable>) then

  begin

    ...

  end;

You should first declare a variable of the type of interface you will request. Within the begin/end block you can then use that variable which will contain a reference to the interface requested.

When a provider has been selected, the Items property will retain its list of strings. Once you manipulate them (i.e. add or delete strings) the provider will be deselected automatically. Note that the Items property is also manipulated when you use DeleteExactString. You can read the Items property without the provider being deselected.

Besides the Items property, you can also use the ItemsShowing method to retrieve a reference to either the normal Items (if no provider is selected) or a dummy list that references the provider items.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.ItemsShowing


TJvCustomListBox.ScrollBars property

TJvCustomListBox	See Also	Edit topic

Determines whether the list box control has scroll bars.

Pascal

property ScrollBars: TScrollStyle;

Description

Use ScrollBars to give a list box control horizontal or vertical scroll bars. ScrollBars can take one of the following values:
Value	Meaning
ssNone	The control has no scroll bars. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssHorizontal	The control may have a single scroll bar on the bottom edge.
ssVertical	The control has a single scroll bar on the right edge. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssBoth	The control may have a scroll bar on both the bottom and right edges.
Created with Doc-O-Matic.


See Also

TJvCustomListBox.MultiLine


TJvCustomListBox.SelectedColor property

TJvCustomListBox	See Also	Edit topic

Background color for selected items.

Pascal

property SelectedColor: TColor;

Description

SelectedColor indicates the background color for selected items. Read SelectedColor to find out which color is used as a background when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.SelectedTextColor, TJvCustomListBox.ShowFocusRect


TJvCustomListBox.SelectedTextColor property

TJvCustomListBox	See Also	Edit topic

Font color for selected items.

Pascal

property SelectedTextColor: TColor;

Description

SelectedTextColor indicates the font color for selected items. Read SelectedTextColor to find out which color is used for the font when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.SelectedColor, TJvCustomListBox.ShowFocusRect


TJvCustomListBox.ShowFocusRect property

TJvCustomListBox	See Also	Edit topic

Indicates whether to draw a focus rectangle around the current item in the list box when it has input focus.

Pascal

property ShowFocusRect: Boolean;

Description

Set ShowFocusRect to True to have TJvCustomListBox draw a focus rectangle around the item when it has input focus. Set ShowFocusRect to False when providing visual feedback of focus in some other manner.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.SelectedColor, TJvCustomListBox.SelectedTextColor


TJvCustomListBox.Sorted property

TJvCustomListBox	Edit topic

Not documented

Pascal

property Sorted: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomListBox.CreateDragImage method

TJvCustomListBox	See Also	Edit topic

Creates a drag image of the specified string.

Pascal

procedure CreateDragImage(const S: string);

Parameters

const S: string

Specifies the item being dragged.

Description

CreateDragImage is called whenever the user begins to drag an item in the list box by left-clicking on that item and holding the mouse button down, and no OnStartDrag handler is specified.

It creates a drag image of the string specified by the S parameter. The image will appear next to the mouse cursor during the drag operation.

You can call CreateDragImage in an OnStartDrag event handler to let the list box handle the start drag event in a default way.

Created with Doc-O-Matic.


See Also

DefaultDragDrop, DefaultDragOver, DefaultStartDrag


TJvCustomListBox.DefaultDragDrop method

TJvCustomListBox	See Also	Edit topic

Handles a drop event.

Pascal

procedure DefaultDragDrop(Source: TObject; X: Integer; Y: Integer); virtual;

Parameters

Source: TObject

The object being dropped.

X: Integer

Horizon screen coordinate of the mouse in pixels.

Y: Integer

Vertical screen coordinate of the mouse in pixels.

Description

DefaultDragDrop is called whenever the user drops an object being dragged, and no OnDragDrop handler is specified.

It moves the item being dragged to its drop position.

You can call DefaultDragDrop in an OnDragDrop event handler to let the list box handle the drop event in a default way.

Created with Doc-O-Matic.


See Also

CreateDragImage, DefaultDragOver, DefaultStartDrag, TControl.OnDragDrop


TJvCustomListBox.DefaultDragOver method

TJvCustomListBox	See Also	Edit topic

Handles a drag over event.

Pascal

procedure DefaultDragOver(Source: TObject; X: Integer; Y: Integer; State: TDragState; var Accept: Boolean); virtual;

Parameters

Source: TObject

The object being dragged.

X: Integer

Horizon screen coordinate of the mouse in pixels.

Y: Integer

Vertical screen coordinate of the mouse in pixels.

State: TDragState

Specifies how the dragged object is moving over the control.

var Accept: Boolean

Specifies whether to accept the dragged object.

Description

DefaultDragOver is called whenever the user drags an object over the list box, and no OnDragOver handler is specified.

You can call DefaultDragOver in an OnDragOver event handler to let the list box handle the drag over event in a default way.

Created with Doc-O-Matic.


See Also

CreateDragImage, DefaultDragDrop, DefaultStartDrag, TControl.OnDragOver


TJvCustomListBox.DefaultDrawItem method

TJvCustomListBox	See Also	Edit topic

Draws an item in the list box.

Pascal

procedure DefaultDrawItem(Index: Integer; ARect: TRect; State: TOwnerDrawState); virtual;

Parameters

Index: Integer

The index of the item.

ARect: TRect

The rectangle of the item.

State: TOwnerDrawState

Indicates the state of the item.

Description

DefaultDrawItem is called whenever a visual aspect of the list box changes. The list box calls DefaultDrawItem for each visible item in its list, passing the index of the item in the Index parameter.

By default, the list box calls any event handler attached to the component's OnDrawItem event. If there is no handler attached, it calls DefaultDrawItem.

You can call DefaultDrawItem in your own OnDrawItem event handler.

Created with Doc-O-Matic.


See Also

TControl.OnDrawItem


TJvCustomListBox.DefaultStartDrag method

TJvCustomListBox	See Also	Edit topic

Handles a start drag event.

Pascal

procedure DefaultStartDrag(var DragObject: TDragObject); virtual;

Parameters

var DragObject: TDragObject

Not used.

Description

DefaultStartDrag is called whenever user begins to drag an item in the list box by left-clicking on that item and holding the mouse button down, and no OnStartDrag handler is specified.

DefaultStartDrag calls CreateDragImage to create a drag image of the item being dragged. The image will appear next to the mouse cursor during the drag operation.

You can call DefaultStartDrag in an OnStartDrag event handler to let the list box handle the start drag event in a default way.

Created with Doc-O-Matic.


See Also

CreateDragImage, DefaultDragDrop, DefaultDragOver, TControl.OnStartDrag


TJvCustomListBox.DeleteAllButSelected method

TJvCustomListBox	See Also	Edit topic

Deletes all strings that are not selected from the list box.

Pascal

procedure DeleteAllButSelected;

Description

Call DeleteAllButSelected to delete all strings, that are not selected from the list box.

Notes

MultiSelect must be set to True.

Created with Doc-O-Matic.


See Also

DeleteExactString, DeleteSelected, SelectAll


TJvCustomListBox.DeleteExactString method

TJvCustomListBox	See Also	Edit topic

Deletes specific strings from the list box.

Pascal

function DeleteExactString(const Value: string; All: Boolean; CaseSensitive: Boolean = True): Integer;

Parameters

const Value: string

The string value to be removed from the list box.

All: Boolean

Specifies whether to delete all strings that match Value.

CaseSensitive: Boolean = True

Specifies whether the strings in the list box must be compared case-sensitive with Value.

Description

Call DeleteExactString to remove strings from the list box that are equal to Value.

Created with Doc-O-Matic.


See Also

DeleteSelected, SelectAll


TJvCustomListBox.InvertSelection method

TJvCustomListBox	See Also	Edit topic

Invert item selection.

Pascal

procedure InvertSelection;

Description

If the MultiSelect property is True, InvertSelection selects all items that are current deselected, and deselects all items that are currently selected.

If the MultiSelect property is False, InvertSelection does nothing.

Created with Doc-O-Matic.


See Also

DeleteExactString, DeleteSelected, SelectAll


TJvCustomListBox.ItemRect method

TJvCustomListBox	Edit topic

Not documented

Pascal

function ItemRect(Index: Integer): TRect;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomListBox.ItemsShowing method

TJvCustomListBox	See Also	Edit topic

The list of strings the list box currently displays.

Pascal

function ItemsShowing: TStrings; virtual;

Description

ItemsShowing contains all the strings of the items the list box will display. The method either returns the same reference as the Items property or a reference to a virtual TStrings instance that references the currently selected provider.

If a provider is selected, ItemsShowing should be considered read-only (and in fact does not allow any changes at all), otherwise it's the same as using the Items property.

Created with Doc-O-Matic.


See Also

Items


TJvCustomListBox.MeasureProviderItem method

TJvCustomListBox	Edit topic

Not documented

Pascal

procedure MeasureProviderItem(Index: Integer; WidthAvail: Integer; var ASize: TSize);

Parameters

Index: Integer

Not documented

WidthAvail: Integer

Not documented

var ASize: TSize

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomListBox.MeasureString method

TJvCustomListBox	Edit topic

Not documented

Pascal

procedure MeasureString(const S: string; WidthAvail: Integer; var ASize: TSize);

Parameters

const S: string

Not documented

WidthAvail: Integer

Not documented

var ASize: TSize

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomListBox.MoveSelectedDown method

TJvCustomListBox	See Also	Edit topic

Moves the selected strings one position down in the list box.

Pascal

procedure MoveSelectedDown; virtual;

Description

Use the MoveSelectedDown method to move all selected strings one position down in the list box. If the last item in the list box is selected then no items are moved.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.MoveSelectedUp


TJvCustomListBox.MoveSelectedUp method

TJvCustomListBox	See Also	Edit topic

Moves the selected strings one position up in the list box.

Pascal

procedure MoveSelectedUp; virtual;

Description

Use the MoveSelectedUp method to move all selected strings one position up in the list box. If the first item in the list box is selected then no items are moved.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.MoveSelectedDown


TJvCustomListBox.SearchExactString method

TJvCustomListBox	See Also	Edit topic

Returns the position of a string in the list.

Pascal

function SearchExactString(const Value: string; CaseSensitive: Boolean = True; StartIndex: Integer = -1): Integer;

Parameters

const Value: string

The string to search for.

CaseSensitive: Boolean = True

Indicates whether the match must be case-sensitive.

StartIndex: Integer = -1

Not documented

Description

Call SearchExactString to obtain the position of the first occurrence of a string that matches Value. A string matches Value if it is identical to Value or, if CaseSensitive is False, if it differs only in case.

Created with Doc-O-Matic.


See Also

SearchPrefix, SearchSubString


TJvCustomListBox.SearchPrefix method

TJvCustomListBox	See Also	Edit topic

Returns the position of a string in the list.

Pascal

function SearchPrefix(const Value: string; CaseSensitive: Boolean = True; StartIndex: Integer = -1): Integer;

Parameters

const Value: string

The prefix to search for.

CaseSensitive: Boolean = True

Indicates whether the match must be case-sensitive.

StartIndex: Integer = -1

Not documented

Description

Call SearchPrefix to obtain the position of the first occurrence of a string that has a prefix that matches Value. A prefix matches Value if it is identical to Value or, if CaseSensitive is False, if it differs only in case.

Created with Doc-O-Matic.


See Also

SearchExactString, SearchSubString


TJvCustomListBox.SearchSubString method

TJvCustomListBox	See Also	Edit topic

Returns the position of a string in the list.

Pascal

function SearchSubString(const Value: string; CaseSensitive: Boolean = True; StartIndex: Integer = -1): Integer;

Parameters

const Value: string

The substring to search for.

CaseSensitive: Boolean = True

Indicates whether the match must be case-sensitive.

StartIndex: Integer = -1

Not documented

Description

Call SearchSubString to obtain the position of the first occurrence of a string that has a substring that matches Value. A substring matches Value if it is identical to Value or, if CaseSensitive is False, if it differs only in case.

Created with Doc-O-Matic.


See Also

SearchExactString, SearchPrefix


TJvCustomListBox.UnselectAll method

TJvCustomListBox	See Also	Edit topic

Deselects all items in the list box.

Pascal

procedure UnselectAll;

Description

Use UnselectAll to deselect all items in the list box.

Created with Doc-O-Matic.


See Also

DeleteExactString, DeleteSelected, SelectAll


TJvCustomListBox.UpdateHorizontalExtent method

TJvCustomListBox	See Also	Edit topic

Updates the horizontally scrollable width of the list box.

Pascal

procedure UpdateHorizontalExtent;

Description

UpdateHorizontalExtent is called automatically when the list box's horizontally scrollable width is changed. Call UpdateHorizontalExtent to explicitly set the list box's horizontally scrollable width.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.MaxWidth


TJvCustomLookOutButton
JEDI-VCL Reference

TJvCustomLookOutButton

Hierarchy	Properties	Methods	Events	 Edit topic

A button that can display images from an imagelist as well as text.

Pascal

TJvCustomLookOutButton = class(TJvGraphicControl);

File

JvLookOut

Description

TJvCustomLookOutButton is the base class for buttons used in a TJvLookOutPage but can also be used stand-alone on a form. To put a lookout button on a form, use a derived class like TJvLookOutButton that exposes most of the properties an events of TJvCustomLookOutButton.

Created with Doc-O-Matic.


TJvCustomLookOutButton Properties

TJvCustomLookOutButton	Legend

Properties

 ButtonBorder

 Centered

 Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomLookOutButton Events

TJvCustomLookOutButton	Legend

Events

 OnEdited

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomLookOutButton Methods

TJvCustomLookOutButton

Methods

EditCaption

Created with Doc-O-Matic.


Legend

TJvCustomLookOutButton

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomLookOutButton


TJvCustomLookOutButton Members

TJvCustomLookOutButton	Legend

Members

Properties

 ButtonBorder

 Centered

 Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

Events

 OnEdited

Methods

EditCaption

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomLookOutButton.ButtonBorder property

TJvCustomLookOutButton	Edit topic

Specifies the border style of the button.

Pascal

property ButtonBorder: TJvButtonBorder;

Description

Use ButtonBorder to specify the visual appearance of the button's border.

Created with Doc-O-Matic.


TJvCustomLookOutButton.Centered property

TJvCustomLookOutButton	Edit topic

Specifies if the button is to be centered on its container.

Pascal

property Centered: Boolean;

Description

Set Centered to true to center the button on its container. This property only has effect if the Parent of the button is a TJvLookOutPage.

Created with Doc-O-Matic.


TJvCustomLookOutButton.Data property

TJvCustomLookOutButton	Edit topic

Specifies any application-specific data associated with the button.

Pascal

property Data: Pointer;

Description

Use Data to associate any arbitrary data structure with the button. When the user selects or deletes the button, Data allows the application to quickly access information about the meaning of the button to implement the appropriate response.

Created with Doc-O-Matic.


TJvCustomLookOutButton.Down property

TJvCustomLookOutButton	See Also	Edit topic

Specifies if the button appears pressed.

Pascal

property Down: Boolean;

Description

Use the Down property to specify whether the button is displayed as being in its down state or in its up state. Setting the value of Down to true affects other buttons with the same GroupIndex.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.GroupIndex


TJvCustomLookOutButton.FillColor property

TJvCustomLookOutButton	Edit topic

Specifies the color used to fill the interior of the button.

Pascal

property FillColor: TColor;

Description

Use FillColor to specify a color to use to fill the interior of the button when the mouse hovers over it. By default, a button is transparent and the color of the underlying control shows through the button. By setting FillCilor to something else than clNone, the button will be filled with the specified color when the user hovers the mouse over the button.

Created with Doc-O-Matic.


TJvCustomLookOutButton.GroupIndex property

TJvCustomLookOutButton	See Also	Edit topic

Allows lookout buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state. Setting the GroupIndex property of a single button to a value greater than 0 causes the button to behave as a two-state button.

Buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another button belonging to the same group. Buttons used in this way can present mutually exclusive choices to the user.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.Down


TJvCustomLookOutButton.HighlightFont property

TJvCustomLookOutButton	Edit topic

Specifies the font to use when the button is highlighted.

Pascal

property HighlightFont: TFont;

Description

Use the properties of HighlightFont to specify different text options for the button when the user hovers the mouse above the button as compared to when the button is in its default state.

Created with Doc-O-Matic.


TJvCustomLookOutButton.ImageIndex property

TJvCustomLookOutButton	See Also	Edit topic

Specifies the image to display on the button.

Pascal

property ImageIndex: TImageIndex;

Description

ImageIndex is used to set the image to display on the button. Depending on the value of ImageSize, the button displays an image either from LargeImages or from SmallImages.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageSize, TJvCustomLookOutButton.LargeImages, TJvCustomLookOutButton.SmallImages


TJvCustomLookOutButton.ImageSize property

TJvCustomLookOutButton	See Also	Edit topic

Specifies the imagelist to retrieve images from.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify which image list to display images from. If ImageSize is isSmall, images are retrieved from the SmallImages list. If ImageSize is isLarge, images are retrieved from the LargeImages list instead.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageIndex, TJvCustomLookOutButton.LargeImages, TJvCustomLookOutButton.SmallImages


TJvCustomLookOutButton.LargeImages property

TJvCustomLookOutButton	Edit topic

Specifies an imagelist containing the large images to use on the button.

Pascal

property LargeImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomLookOutButton.Offset property

TJvCustomLookOutButton	See Also	Edit topic

Specifies the number of pixels to shift the button's image and text when it is in its down state.

Pascal

property Offset: Integer;

Description

Use Offset to specify how much the image and text of the button is shifted when the button is in its down state. If Offset is set to 0, the image and text will not be moved at all, making it appear as if the user didn't click the button.

Created with Doc-O-Matic.


See Also

Click


TJvCustomLookOutButton.OnEdited event

TJvCustomLookOutButton	See Also	Edit topic

Occurs after the user has edited the Caption at run-time and accepted the changes.

Pascal

property OnEdited: TJvLookOutEditedEvent;

Description

Write a handler for the OnEdited event to take specific action after the user has edited the button's Caption and accepted the changes. For example, you can check the Caption for invalid characters and change it if they are not accepted.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.EditCaption


TJvCustomLookOutButton.ParentImageSize property

TJvCustomLookOutButton	See Also	Edit topic

Specifies where the button gets its ImageSize information from.

Pascal

property ParentImageSize: Boolean;

Description

Use ParentImageSize to specify where the button reads its ImageSize from. If ParentImageSize is true, the button's ImageSize is set to match the parent's ImageSize property. When the ImageSize property of the button is changed, the ParentImageSize property is automatically set to false.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageSize


TJvCustomLookOutButton.PopupMenu property

TJvCustomLookOutButton	Edit topic

Identifies the pop-up menu associated with the control.

Pascal

property PopupMenu: TPopupMenu;

Description

Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu’s AutoPopup property is true, the pop-up menu appears automatically. If the menu’s AutoPopup property is false, display the menu with a call to its Popup method from the control’s OnContextPopup event handler.

Created with Doc-O-Matic.


TJvCustomLookOutButton.SmallImages property

TJvCustomLookOutButton	Edit topic

Specifies an imagelist containing the small images to use on the button.

Pascal

property SmallImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomLookOutButton.Spacing property

TJvCustomLookOutButton	See Also	Edit topic

Determines where the image and text appear on a speed button.

Pascal

property Spacing: Integer;

Description

Set Spacing to the number of pixels that should appear between the image and the text.

If Spacing is a positive number, its value is the number of pixels between the image and text. If Spacing is 0, the image and text appear flush with each other. If Spacing is -1, the text appears centered between the image and the button edge.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.Offset


TJvCustomLookOutButton.EditCaption method

TJvCustomLookOutButton	See Also	Edit topic

Allows runtime editing of the button's Caption property.

Pascal

procedure EditCaption;

Description

Call EditCaption to set the button into edit mode. When in edit mode, the user can type directly into the button to change the Caption. When the user presses Enter, the OnEdited event is called and the Caption is changed. If the user presses Escape, or clicks outside the button, editing ends without changing the Caption.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.OnEdited


TJvCustomMenuItemPainter
JEDI-VCL Reference

TJvCustomMenuItemPainter

Hierarchy	Properties	Methods	Events	 Edit topic

This painter is the ancestor of all menu item painters.

Pascal

TJvCustomMenuItemPainter = class(TComponent);

File

JvMenus

Description

Starting with JVCL3, the concept of menu item painters has been introduced. Each JvMainMenu or JvPopupMenu is assigned an internal item painter according to the Style property. It can also use a separate painter by setting the ItemPainter property and setting Style to msItemPainter. When a menu item is about to be painted, the painter is called and does the painting job. Do not instantiate a TJvCustomMenuItemPainter but use one of its descendants.

Created with Doc-O-Matic.


TJvCustomMenuItemPainter Properties

TJvCustomMenuItemPainter	Legend

Properties

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomMenuItemPainter Events

TJvCustomMenuItemPainter	Legend

Events

 OnDrawLeftMargin

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomMenuItemPainter Methods

TJvCustomMenuItemPainter	Legend

Methods

 Measure

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomMenuItemPainter

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomMenuItemPainter


TJvCustomMenuItemPainter Members

TJvCustomMenuItemPainter	Legend

Members

Properties

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Events

 OnDrawLeftMargin

Methods

 Measure

 Paint

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomMenuItemPainter.Canvas property

TJvCustomMenuItemPainter	See Also	Edit topic

The canvas in which the menu items will be painted.

Pascal

property Canvas: TCanvas;

Description

Returns the canvas from the TJvMainMenu or TJvPopupMenu to which this painter is assigned.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Paint


TJvCustomMenuItemPainter.CheckMarkHeight property

TJvCustomMenuItemPainter	See Also	Edit topic

The height of a check mark.

Pascal

property CheckMarkHeight: Integer;

Description

Returns the system size for a check mark if ShowCheckMarks is true. Returns 0 otherwise. Some descendants may change the values returned by this method.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.CheckMarkWidth


TJvCustomMenuItemPainter.CheckMarkWidth property

TJvCustomMenuItemPainter	See Also	Edit topic

The width of a check mark.

Pascal

property CheckMarkWidth: Integer;

Description

Returns the system size for a check mark if ShowCheckMarks is true. Returns 0 otherwise. Some descendants may change the values returned by this method.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.CheckMarkHeight


TJvCustomMenuItemPainter.ComponentState property

TJvCustomMenuItemPainter	Edit topic

Returns the ComponentState property of the associated menu.

Pascal

property ComponentState: TComponentState;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.ComponentState. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.ComponentState. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


TJvCustomMenuItemPainter.DisabledImages property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the DisabledImages property of the associated menu

Pascal

property DisabledImages: TCustomImageList;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.DisabledImages. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.DisabledImages. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.HotImages, TJvCustomMenuItemPainter.Images, TJvMainMenu.DisabledImages, TJvPopupMenu.DisabledImages


TJvCustomMenuItemPainter.DrawHighlight property

TJvCustomMenuItemPainter	Edit topic

Returns true if we must draw highlight on the current item

Pascal

property DrawHighlight: Boolean;

Description

Returns true if we must draw highlight on the current item

Created with Doc-O-Matic.


TJvCustomMenuItemPainter.GrayColor property

TJvCustomMenuItemPainter	Edit topic

Returns the Gray color to be used for the current Item

Pascal

property GrayColor: TColor;

Description

Returns clGrayText if the item is selected, returns clBtnShadow otherwise

Created with Doc-O-Matic.


TJvCustomMenuItemPainter.HotImages property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the HotImages property of the associated menu

Pascal

property HotImages: TCustomImageList;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.HotImages. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.HotImages. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.DisabledImages, TJvCustomMenuItemPainter.Images, TJvMainMenu.HotImages, TJvPopupMenu.HotImages


TJvCustomMenuItemPainter.ImageBackgroundColor property

TJvCustomMenuItemPainter	See Also	Edit topic

The color to use to draw the background of an image for all menu items

Pascal

property ImageBackgroundColor: TColor;

Description

When a menu item has an image associated with it, the area of the image may be filled with this color before actually rendering the image, this creating a background of that color. By default, this value isn't used, but it can be used by descendants.

Created with Doc-O-Matic.


See Also

DrawImageBackground


TJvCustomMenuItemPainter.ImageHeight property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the height of the images

Pascal

property ImageHeight: Integer;

Description

If Images is assigned, then returns Images.Height Else, returns ImageSize.Height

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Images, TJvCustomMenuItemPainter.ImageSize, TJvCustomMenuItemPainter.ImageWidth


TJvCustomMenuItemPainter.ImageMargin property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the ImageMargin property of the associated menu

Pascal

property ImageMargin: TJvImageMargin;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.ImageMargin. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.ImageMargin. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvMainMenu.ImageMargin, TJvPopupMenu.ImageMargin


TJvCustomMenuItemPainter.Images property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the Images property of the associated menu

Pascal

property Images: TCustomImageList;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.Images. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.Images. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvMainMenu.Images, TJvPopupMenu.Images


TJvCustomMenuItemPainter.ImageSize property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the ImageSize property of the associated menu

Pascal

property ImageSize: TJvMenuImageSize;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.ImageSize. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.ImageSize. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvMainMenu.ImageSize, TJvPopupMenu.ImageSize


TJvCustomMenuItemPainter.ImageWidth property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the width of the images

Pascal

property ImageWidth: Integer;

Description

If Images is assigned, returns Images.Width Else, returns ImageSize.Width

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.ImageHeight, TJvCustomMenuItemPainter.Images, TJvCustomMenuItemPainter.ImageSize


TJvCustomMenuItemPainter.IsPopup property

TJvCustomMenuItemPainter	Edit topic

Returns true if the current item is from a popup menu

Pascal

property IsPopup: Boolean;

Description

Returns true if the current item is from a popup menu

Created with Doc-O-Matic.


TJvCustomMenuItemPainter.IsRightToLeft property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns true if the Item is to be shown in RightToLeft mode

Pascal

property IsRightToLeft: Boolean;

Description

Returns true if the Item is to be shown in RightToLeft mode

Created with Doc-O-Matic.


See Also

BiDiMode


TJvCustomMenuItemPainter.LeftMargin property

TJvCustomMenuItemPainter	See Also	Edit topic

This is the size of the margin to be drawn on the left side of the menu

Pascal

property LeftMargin: Cardinal;

Description

Most derived painters will publish this property, thus allowing you to specify that you want a colored margin to be drawn on the side of your menu items. By default, this is a gradient from clBlue to clBlack but you can provide an event handler for OnDrawLeftMargin and do your own rendering in it.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.OnDrawLeftMargin


TJvCustomMenuItemPainter.Menu property

TJvCustomMenuItemPainter	Edit topic

Not documented

Pascal

property Menu: TMenu;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomMenuItemPainter.OnDrawLeftMargin event

TJvCustomMenuItemPainter	See Also	Edit topic

This is the event called when the margin is to be drawn

Pascal

TJvDrawLeftMarginEvent = procedure (Sender: TMenu; Rect: TRect) of object;
property OnDrawLeftMargin: TJvDrawLeftMarginEvent;

Description

Most derived painters will publish this property, thus allowing you to provide an event handler for OnDrawLeftMargin and do your own rendering in it. If LeftMargin is equal to 0, the event is never fired.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.LeftMargin


TJvCustomMenuItemPainter.ShowCheckMarks property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the ShowCheckMarks property of the associated menu

Pascal

property ShowCheckMarks: Boolean;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.ShowCheckMarks. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.ShowCheckMarks. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvMainMenu.ShowCheckMarks, TJvPopupMenu.ShowCheckMarks


TJvCustomMenuItemPainter.TextMargin property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the TextMargin property of the associated menu

Pascal

property TextMargin: Integer;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.TextMargin. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.TextMargin. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvMainMenu.TextMargin, TJvPopupMenu.TextMargin


TJvCustomMenuItemPainter.TextVAlignment property

TJvCustomMenuItemPainter	See Also	Edit topic

Returns the TextVAlignment property of the associated menu

Pascal

property TextVAlignment: TJvVerticalAlignment;

Description

If the painter is associated to a TJvMainMenu, returns FMainMenu.TextVAlignment. If the painter is associated to a TJvPopupMenu, returns FPopupMenu.TextVAlignment. This has been done to allow an easy access to that property.

Created with Doc-O-Matic.


See Also

TJvMainMenu.TextVAlignment, TJvPopupMenu.TextVAlignment


TJvCustomMenuItemPainter.Measure method

TJvCustomMenuItemPainter	See Also	Edit topic

Calculates the desired width and height for the given menu item

Pascal

procedure Measure(Item: TMenuItem; var Width: Integer; var Height: Integer); virtual;

Parameters

Item: TMenuItem

The item for which to calculate the dimensions

var Width: Integer

On return, must contain the width of the item

var Height: Integer

On return, must contain the height of the item

Description

You have to override this method along with Paint to render a new style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Paint


TJvCustomMenuItemPainter.Paint method

TJvCustomMenuItemPainter	See Also	Edit topic

Does the painting of the given item

Pascal

procedure Paint(Item: TMenuItem; ItemRect: TRect; State: TMenuOwnerDrawState); virtual;

Parameters

Item: TMenuItem

The item to paint

ItemRect: TRect

The rectangle in which the item is to be drawn. Drawing outside the rectangle isn't forbidden but every drawing done outside isn't considered to be part of the item and will get discarded sooner or later.

State: TMenuOwnerDrawState

The state of the item (selected, active...)

Description

This is the method you want to override along with Measure to create a new rendering style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Measure


TJvCustomMonthCalendar
JEDI-VCL Reference

TJvCustomMonthCalendar

Hierarchy	Properties	Methods	Events	 Edit topic

Base component that serves as a wrapper around the MicroSoft® MonthCalendar control.

Pascal

TJvCustomMonthCalendar = class(TJvWinControl);

File

JvCalendar

Description

TJvCustomMonthCalendar is the base component for MicroSoft® MonthCalendar control wrappers. Never use a TJvCustomMonthCalendar control directly but rather one of its descendants. Currently JEDI-VCL provides you with one descendant: TJvMonthCalendar2.

Created with Doc-O-Matic.


TJvCustomMonthCalendar Properties

TJvCustomMonthCalendar	Legend

Properties

 Bold

 BoldDays

 BorderStyle

 CircleToday

 Colors

 DateFirst

 DateLast

 DateMax

 DateMin

 Days

 Entering

 FirstDayOfWeek

 Leaving

 MaxSelCount

 MinSize

 MonthDelta

 MultiSelect

 ShowToday

 Today

 TodayWidth

 WeekNumbers

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomMonthCalendar Events

TJvCustomMonthCalendar	Legend

Events

 OnGetDayState

 OnKillFocus

 OnSelChange

 OnSelect

 OnSetFocus

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomMonthCalendar Methods

TJvCustomMonthCalendar	Legend

Methods

 Change

 CheckDayState

CreateWithAppearance

 DoDateSelChange

 DoDateSelect

 DoGetDayState

FirstVisibleDate

LastVisibleDate

SetDayStates

VisibleMonths

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomMonthCalendar

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExWinControl
    TJvWinControl
        TJvCustomMonthCalendar


TJvCustomMonthCalendar Members

TJvCustomMonthCalendar	Legend

Members

Properties

 Bold

 BoldDays

 BorderStyle

 CircleToday

 Colors

 DateFirst

 DateLast

 DateMax

 DateMin

 Days

 Entering

 FirstDayOfWeek

 Leaving

 MaxSelCount

 MinSize

 MonthDelta

 MultiSelect

 ShowToday

 Today

 TodayWidth

 WeekNumbers

Events

 OnGetDayState

 OnKillFocus

 OnSelChange

 OnSelect

 OnSetFocus

Methods

 Change

 CheckDayState

CreateWithAppearance

 DoDateSelChange

 DoDateSelect

 DoGetDayState

FirstVisibleDate

LastVisibleDate

SetDayStates

VisibleMonths

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomMonthCalendar.Bold property

TJvCustomMonthCalendar	See Also	Edit topic

Sets and retrieves bold information for a date.

Pascal

property Bold [Year, Month, Day: Word]: Boolean;

Parameters

Year

The year part of the date to set or retrieve bold information for.

Month

The month part of the date to set or retrieve bold information for.

Day

The day part of the date to set or retrieve bold information for.

Description

Bold holds bold day state information. Using the three array indices you can set or retrieve the bold state of specific date.

When setting the bold state for a date where the Year index is set to 0, the bold state applies for every year on the given day and month.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.BoldDays, TJvCustomMonthCalendar.Days


TJvCustomMonthCalendar.BoldDays property

TJvCustomMonthCalendar	See Also	Edit topic

A list of bold dates.

Pascal

property BoldDays: TStrings;

Description

BoldDays is a list of dates that have a bold state. The items in this list should be in one of two formats:

1.	0000mm=daylist

2.	yyyymm=daylist

daylist is a comma separated string denoting the days to be set to the bold state.

The first format denotes a recurring item, for which the specified days are set to the bold state for every year accessed.

The second format denotes a single item, for which the specified days are set to the bold state in the specified year only.

Adding a date already in the list, replaces the old item.

Use the Days and Bold properties to simplify adding and removing bolding info.

Created with Doc-O-Matic.


See Also

StringToDayStates


TJvCustomMonthCalendar.BorderStyle property

TJvCustomMonthCalendar	Edit topic

Indicates the border type to place around the control.

Pascal

property BorderStyle: TBorderStyle;

Description

BorderStyle indicates what kind of border should be drawn around the control. By default it is set to bsNone.

bsSingle: a single border is drawn around the control.

bsNone: no border is drawn around the control.

Created with Doc-O-Matic.


TJvCustomMonthCalendar.CircleToday property

TJvCustomMonthCalendar	See Also	Edit topic

Indicates if today should be circled.

Pascal

property CircleToday: Boolean;

Description

CircleToday indicates whether or not today's date should be circled in the control.

When set to True today's date will be circled in the control if the today's date is visible.

When set to False today's date will not be circled in the control.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.ShowToday, TJvCustomMonthCalendar.Today


TJvCustomMonthCalendar.Colors property

TJvCustomMonthCalendar	See Also	Edit topic

Determines the various colors for the control.

Pascal

property Colors: TJvMonthCalColors;

Description

Colors determine the various colors used by the control.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors


TJvCustomMonthCalendar.DateFirst property

TJvCustomMonthCalendar	See Also	Edit topic

Determines the first date selected.

Pascal

property DateFirst: TDateTime;

Description

DateFirst indicates the first date selected if MultiSelect is set to True. If MultiSelect is set to False, DateFirst indicates the currently selected date.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateLast, TJvCustomMonthCalendar.MaxSelCount, TJvCustomMonthCalendar.MultiSelect


TJvCustomMonthCalendar.DateLast property

TJvCustomMonthCalendar	See Also	Edit topic

Determines the last date selected for multiselect controls.

Pascal

property DateLast: TDateTime;

Description

DateLast indicates the last date selected. If MultiSelect is set to False, this property has no effect when changing its value.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateFirst, TJvCustomMonthCalendar.MaxSelCount, TJvCustomMonthCalendar.MultiSelect


TJvCustomMonthCalendar.DateMax property

TJvCustomMonthCalendar	See Also	Edit topic

Indicates the maximum date.

Pascal

property DateMax: TDateTime;

Description

DateMax indicates the maximum allowed date the user can scroll to. When set to 0, no limit is imposed.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateMin


TJvCustomMonthCalendar.DateMin property

TJvCustomMonthCalendar	See Also	Edit topic

Indicates the minimum date.

Pascal

property DateMin: TDateTime;

Description

DateMin indicates the minimum allowed date the user can scroll to. When set to 0, no limit is imposed.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateMax


TJvCustomMonthCalendar.Days property

TJvCustomMonthCalendar	See Also	Edit topic

Sets and retrieves bold information for a month.

Pascal

property Days [Year, Month: Word]: string;

Parameters

Year

The year part of the date to set or retrieve bold information for.

Month

The month part of the date to set or retrieve bold information for.

Description

Days holds bold day state information for a whole month. The string should be a comma separated list of day numbers.

When setting the Days value for a year set to 0, the state is set for every year.

Created with Doc-O-Matic.


See Also

StringToDayStates


TJvCustomMonthCalendar.Entering property

TJvCustomMonthCalendar	See Also	Edit topic

Indicates whether the control is receiving keyboard focus.

Pascal

property Entering: Boolean;

Description

Read Entering to determine whether the control is receiving keyboard focus.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Leaving, TJvCustomMonthCalendar.OnKillFocus, TJvCustomMonthCalendar.OnSetFocus


TJvCustomMonthCalendar.FirstDayOfWeek property

TJvCustomMonthCalendar	See Also	Edit topic

Determines which day of the week is shown first.

Pascal

property FirstDayOfWeek: TJvMonthCalWeekDay;

Description

FirstDayOfWeek determines which day of the week is shown as the first day in the calendar control.

Setting FirstDayOfWeek to mcLocale will use the system's settings for first day of the week.

Created with Doc-O-Matic.


See Also

TJvMonthCalWeekDay


TJvCustomMonthCalendar.Leaving property

TJvCustomMonthCalendar	See Also	Edit topic

Indicates whether the control is losing the keyboard focus.

Pascal

property Leaving: Boolean;

Description

Read Leaving to determine whether the control is losing the keyboard focus.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Entering, TJvCustomMonthCalendar.OnKillFocus, TJvCustomMonthCalendar.OnSetFocus


TJvCustomMonthCalendar.MaxSelCount property

TJvCustomMonthCalendar	See Also	Edit topic

Determines the maximum numbers of days allowed to be selected.

Pascal

property MaxSelCount: Word;

Description

MaxSelcCount determines the number of days that can be selected.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateFirst, TJvCustomMonthCalendar.DateLast, TJvCustomMonthCalendar.MultiSelect


TJvCustomMonthCalendar.MinSize property

TJvCustomMonthCalendar	Edit topic

Determines the minimum required size.

Pascal

property MinSize: TRect;

Description

MinSize determines the minimum required size of the control to display the current month.

Created with Doc-O-Matic.


TJvCustomMonthCalendar.MonthDelta property

TJvCustomMonthCalendar	Edit topic

Determines how many months are scrolled.

Pascal

property MonthDelta: Integer;

Description

MonthDelta determines how many months are scrolled when the scroll buttons are clicked.

Created with Doc-O-Matic.


TJvCustomMonthCalendar.MultiSelect property

TJvCustomMonthCalendar	See Also	Edit topic

Determines if multiple days can be selected.

Pascal

property MultiSelect: Boolean;

Description

MultiSelect determines if multiple days at a time can be selected. When set to True, up to MaxSelCount days can be selected in the control.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateFirst, TJvCustomMonthCalendar.DateLast, TJvCustomMonthCalendar.MaxSelCount


TJvCustomMonthCalendar.OnGetDayState event

TJvCustomMonthCalendar	See Also	Edit topic

Responds when the control needs to get the day states.

Pascal

TJvMonthCalStateEvent = procedure (Sender: TObject; Date: TDateTime; Count: Integer; var DayStateArray: array of TMonthDayState) of object;
property OnGetDayState: TJvMonthCalStateEvent;

Parameters

Count

The number of days requested.

DayStateArray

An array to retrieve the day states in.

Sender

Reference to the object generating the event. Usually this will be a TJvCustomMonthCalendar descendant.

Date

The starting date for the request. This will always be the first day of a month

Description

Write an OnGetDayState event handler to set day states that are not set by the Bold, BoldDays and/or Days properties.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Bold, TJvCustomMonthCalendar.BoldDays, TJvCustomMonthCalendar.Days


TJvCustomMonthCalendar.OnKillFocus event

TJvCustomMonthCalendar	See Also	Edit topic

Occurs immediately before the control loses the keyboard focus.

Pascal

property OnKillFocus: TJvFocusChangeEvent;

Description

Use the OnKillFocus event to respond when the the control loses the keyboard focus.

Parameter AFocusControl is the control that receives the keyboard focus. This parameter can be nil.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Entering, TJvCustomMonthCalendar.Leaving, TJvCustomMonthCalendar.OnSetFocus


TJvCustomMonthCalendar.OnSelChange event

TJvCustomMonthCalendar	See Also	Edit topic

Responds to changes in the control.

Pascal

property OnSelChange: TJvMonthCalSelEvent;

Description

Write an OnSelChange event handler to respond to changes, such as scrolling or selecting, in the control.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.OnSelect


TJvCustomMonthCalendar.OnSelect event

TJvCustomMonthCalendar	See Also	Edit topic

Responds to changes in the selection.

Pascal

property OnSelect: TJvMonthCalSelEvent;

Description

Write an OnSelect event handler to respond to the user selecting dates.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.OnSelChange


TJvCustomMonthCalendar.OnSetFocus event

TJvCustomMonthCalendar	See Also	Edit topic

Occurs when the control gets keyboard focus.

Pascal

property OnSetFocus: TJvFocusChangeEvent;

Description

Use the OnSetFocus event to respond when the control gets keyboard focus.

Parameter AFocusControl is the control that has lost the keyboard focus. This parameter can be nil.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Entering, TJvCustomMonthCalendar.Leaving, TJvCustomMonthCalendar.OnKillFocus


TJvCustomMonthCalendar.ShowToday property

TJvCustomMonthCalendar	See Also	Edit topic

Determines if today's date should be displayed at the bottom of the control.

Pascal

property ShowToday: Boolean;

Description

ShowToday indicates if today's date should be displayed at the bottom of the control. When set to True, today's date will be displayed at the bottom of the control, otherwise it will not.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.CircleToday, TJvCustomMonthCalendar.Today


TJvCustomMonthCalendar.Today property

TJvCustomMonthCalendar	See Also	Edit topic

Sets today's date for the control.

Pascal

property Today: TDateTime;

Description

Today sets today's date for the calendar control. If either CircleToday or ShowToday is set to True, the value set in Today will be reflected in the display.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.CircleToday, TJvCustomMonthCalendar.ShowToday


TJvCustomMonthCalendar.TodayWidth property

TJvCustomMonthCalendar	See Also	Edit topic

Determines the width of the today text.

Pascal

property TodayWidth: Integer;

Description

TodayWidth determines the maximum width needed to display the today's date text at the bottom. The value returned will allow any date to be fully visible and is not related to the date set by the Today property.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.ShowToday, TJvCustomMonthCalendar.Today


TJvCustomMonthCalendar.WeekNumbers property

TJvCustomMonthCalendar	Edit topic

Specifies whether week numbers should be displayed.

Pascal

property WeekNumbers: Boolean;

Description

Use WeekNumbers to specify whether week numbers should be displayed to the left of each week. When set to True week numbers will be visible.

Created with Doc-O-Matic.


TJvCustomMonthCalendar.Change method

TJvCustomMonthCalendar	Edit topic

Updates the MicroSoft MonthCalendar control to the current settings.

Pascal

procedure Change; virtual;

Description

Change will apply the current state of the control to the underlying MS MonthCalendar control. Change is automatically called whenever properties of the control are changed. There should be no need to call Change from an application.

Created with Doc-O-Matic.


TJvCustomMonthCalendar.CheckDayState method

TJvCustomMonthCalendar	Edit topic

Retrieves the day states value for a given year and month.

Pascal

procedure CheckDayState(Year: Word; Month: Word; var DayState: TMonthDayState); virtual;

Parameters

Year: Word

The year to retrieve the TMonthDayState value for.

Month: Word

The month to retrieve the TMonthDayState value for.

var DayState: TMonthDayState

The variable to retrieve the TMonthDayState value in.

Description

CheckDayStates will retrieve a TMonthDayState value for a given year and month combination. Specifying 0 for the year parameter will retrieve the TMonthDayState value for a recurring item only.

Created with Doc-O-Matic.


TJvCustomMonthCalendar.CreateWithAppearance constructor

TJvCustomMonthCalendar	See Also	Edit topic

Create and instantiates a month calender with the specified appearance.

Pascal

constructor CreateWithAppearance(AOwner: TComponent; const AAppearance: TJvMonthCalAppearance; const AOwnsAppearance: Boolean = False);

Parameters

AOwner: TComponent

The owner component of the calendar.

const AAppearance: TJvMonthCalAppearance

The appearance instance. This instance will determine how the calendar will be shown.

const AOwnsAppearance: Boolean = False

Determines if the passed appearance instance is owned by the calendar control. If set to True, the passes instance will be owned by the calendar (and subsequently freed when the calendar is destroyed). If set to False the caller is responsible of the instance. WARNING: The passed instance should not be freed before the calendar is disposed.

Description

CreateWithAppearance will create a month calendar with a given appearance instance. The normal Create constructor will call this method with a new appearance instance and sets the AOwnsAppearance parameter to True.

Other controls that use this calendar as drop down or popup call this constructor to specify the appearance.

Created with Doc-O-Matic.


See Also

TJvMonthCalAppearance


TJvCustomMonthCalendar.DoDateSelChange method

TJvCustomMonthCalendar	See Also	Edit topic

Generates an OnSelChange event.

Pascal

procedure DoDateSelChange(StartDate: TDateTime; EndDate: TDateTime); virtual;

Parameters

StartDate: TDateTime

The start date of the selection

EndDate: TDateTime

The end date of the selection

Description

DoDateChange will generate an OnSelChange event. DoDateChange is called each time the user changes the month calendar (selecting, scrolling, etc). If an OnSelChange event handler has been assigned it will be triggered.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.OnSelChange


TJvCustomMonthCalendar.DoDateSelect method

TJvCustomMonthCalendar	See Also	Edit topic

Generates an OnSelect event.

Pascal

procedure DoDateSelect(StartDate: TDateTime; EndDate: TDateTime); virtual;

Parameters

StartDate: TDateTime

The start date of the selection

EndDate: TDateTime

The end date of the selection

Description

DoDateSelect will generate an OnSelect event. DoDateSelect is called each time the user selects a date. If an OnSelect event handler has been assigned it will be triggered.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.OnSelect


TJvCustomMonthCalendar.DoGetDayState method

TJvCustomMonthCalendar	See Also	Edit topic

Called when the control needs day state information.

Pascal

procedure DoGetDayState(var DayState: TNMDayState; var StateArray: TMonthDayStateArray); virtual;

Parameters

var DayState: TNMDayState

Variable to retrieve the day states in

var StateArray: TMonthDayStateArray

An array to retrieve the day states in.

Description

DoGetDayState is called whenever the MicroSoft MonthCalendar control needs day state info.

DoGetDayState will fill the day state list with the values as set by the Bold, BoldDays and/or Days properties.

If an OnGetDayState event handler has been assigned it will be triggered.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Bold, TJvCustomMonthCalendar.BoldDays, TJvCustomMonthCalendar.Days, TJvCustomMonthCalendar.OnGetDayState


TJvCustomMonthCalendar.FirstVisibleDate method

TJvCustomMonthCalendar	See Also	Edit topic

Determines the first visible date.

Pascal

function FirstVisibleDate(Partial: Boolean): TDateTime;

Parameters

Partial: Boolean

Flag to include partially visible months. When set to True partially visible months are included.

Description

FirstVisibleDate determines the first visible date. If the Partial parameter is set to True, partially visible months are included, otherwise it's the first day of the first fully visible month.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.LastVisibleDate


TJvCustomMonthCalendar.LastVisibleDate method

TJvCustomMonthCalendar	See Also	Edit topic

Determines the last visible date.

Pascal

function LastVisibleDate(Partial: Boolean): TDateTime;

Parameters

Partial: Boolean

Flag to include partially visible months. When set to True partially visible months are included.

Description

LastVisibleDate determines the last visible date. If the Partial parameter is set to True, partially visible months are included, otherwise it's the last day of the last fully visible month.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.FirstVisibleDate


TJvCustomMonthCalendar.SetDayStates method

TJvCustomMonthCalendar	Edit topic

Sets the bold state for the currently visible days.

Pascal

procedure SetDayStates(MonthCount: Integer; DayStates: array of TMonthDayState);

Parameters

MonthCount: Integer

Number of months to pass to the control

DayStates: array of TMonthDayState

Array with day states for each month. Must be large enough to hold MonthCount elements or the number of partially visible months, whichever is the largest. The first element is assumed to be the first (partially) visible month.

Description

SetDayStates sets the bold state for the currently visible days.

The method assumes the given array is at least the same size as the number of months currently visible (including partially visible months).

It also assumes the first month in the array is the first (partially) visible month of the control.

Created with Doc-O-Matic.


TJvCustomMonthCalendar.VisibleMonths method

TJvCustomMonthCalendar	Edit topic

The number of visible months, including partially visible months.

Pascal

function VisibleMonths: Integer;

Description

VisibleMonths returns the number of months visible in the control, including any partially visible months at the beginning or end of the control.

Created with Doc-O-Matic.


TJvCustomNavigationPane
JEDI-VCL Reference

TJvCustomNavigationPane

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for navigation pane controls.

Pascal

TJvCustomNavigationPane = class(TJvCustomPageList);

File

JvNavigationPane

Description

TJvCustomNavigationPane is the base class for navigation pane style components. Do not create instances of TJvCustomNavigationPane. Instead, drop a component, like TJvNavigationPane, on the form.

A navigation pane has one or more pages, just like a page control, but to display a page, the user clicks on the buttons at the bottom of the control instead of on tabs. To add a page t design-time, right-click the control and select "New page" from the menu. To create a page at run-time, create an instance of TJvNavPage and assign the TJvCustomNavigationPane to the PageList property.

Buttons can be either maximized or minimized (iconic). When a button is iconic, it appears on an icon panel at the bottom of the control. This panel is always visible. The icon panel can also have a drop-down menu. If it does, the drop-down menu button appears at the far right of the icon panel.

To minimize and maximize the page buttons, the user can drag a splitter located above the topmost button. You can programmatically control the number of maximized buttons with the MaximizedCount property or, if you need more detailed control, with each page's Iconic property.

The navigation pane (and all other Nav Pane related visual controls), has a StyleManager property. You can assign a TJvNavPaneStyleManager to this property and then control the color themes used from one single point.

Created with Doc-O-Matic.


TJvCustomNavigationPane Properties

TJvCustomNavigationPane	Legend

Properties

 Alignment

 AutoHeaders

 Background

 ButtonHeight

 ButtonWidth

 Colors

 DropDownMenu

 IconPanel

 LargeImages

 MaximizedCount

 NavPages

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

 ParentStyleManager

 Resizable

 SmallImages

 Splitter

 SplitterHeight

 StyleManager

 WordWrap

TJvCustomPageList

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomNavigationPane Events

TJvCustomNavigationPane	Legend

Events

 OnDropDownMenu

 OnSplitterCanResize

 OnSplitterClick

 OnSplitterDblClick

 OnSplitterMouseDown

 OnSplitterMouseEnter

 OnSplitterMouseLeave

 OnSplitterMouseMove

 OnSplitterMouseUp

 OnSplitterMoved

 OnSplitterPaint

TJvCustomPageList

 OnChange

 OnChanging

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomNavigationPane Methods

TJvCustomNavigationPane	Legend

Methods

 HidePage

 ShowPage

UpdatePositions

TJvCustomPageList

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvCustomNavigationPane

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl, IUnknown, IPageList
                TJvCustomPageList
                    TJvCustomNavigationPane


TJvCustomNavigationPane Members

TJvCustomNavigationPane	Legend

Members

Properties

 Alignment

 AutoHeaders

 Background

 ButtonHeight

 ButtonWidth

 Colors

 DropDownMenu

 IconPanel

 LargeImages

 MaximizedCount

 NavPages

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

 ParentStyleManager

 Resizable

 SmallImages

 Splitter

 SplitterHeight

 StyleManager

 WordWrap

TJvCustomPageList

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Events

 OnDropDownMenu

 OnSplitterCanResize

 OnSplitterClick

 OnSplitterDblClick

 OnSplitterMouseDown

 OnSplitterMouseEnter

 OnSplitterMouseLeave

 OnSplitterMouseMove

 OnSplitterMouseUp

 OnSplitterMoved

 OnSplitterPaint

TJvCustomPageList

 OnChange

 OnChanging

Methods

 HidePage

 ShowPage

UpdatePositions

TJvCustomPageList

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomNavigationPane.Alignment property

TJvCustomNavigationPane	Edit topic

Specifies how text is aligned within the control.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to specify whether text on the control is left-justified, right-justified, or centered.

Created with Doc-O-Matic.


TJvCustomNavigationPane.AutoHeaders property

TJvCustomNavigationPane	Edit topic

Specifies whether headers are added to pages automatically.

Pascal

property AutoHeaders: Boolean;

Description

Use AutoHeaders to specify whether headers (TJvNavPanelHeader instances) are automatically added to the nav pages.

Created with Doc-O-Matic.


TJvCustomNavigationPane.Background property

TJvCustomNavigationPane	Edit topic

Manages the properties of the background image of the control.

Pascal

property Background: TJvNavPaneBackgroundImage;

Description

Use the properties of Background to set and modify the background image shown in the control.

Notes

The background image of a navigation pane is shown only when:

There are no pages

The currently active page doesn't have a background image of its own.

Created with Doc-O-Matic.


TJvCustomNavigationPane.ButtonHeight property

TJvCustomNavigationPane	See Also	Edit topic

Specifies the height of the nav pane buttons.

Pascal

property ButtonHeight: Integer;

Description

Use ButtonHeight to set the height of the nav pane buttons.

Created with Doc-O-Matic.


See Also

Buttons


TJvCustomNavigationPane.ButtonWidth property

TJvCustomNavigationPane	See Also	Edit topic

Specifies the width of the nav pane icon button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to set the width of the nav pane icon button. Changing this value does not affect the size of the normal nav pane button.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.ButtonHeight


TJvCustomNavigationPane.Colors property

TJvCustomNavigationPane	See Also	Edit topic

Contains the color settings of the control.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control. Colors has several different sub colors. Since Colors is a general color class, it may contain colors not used by the control.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager


TJvCustomNavigationPane.DropDownMenu property

TJvCustomNavigationPane	Edit topic

Specifies the menu to display when the user clicks the menu button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu property to show a menu button on the icon panel (at the bottom of the control) that, when clicked by the user, shows the menu. If no menu is assigned, the menu button is hidden.

Created with Doc-O-Matic.


TJvCustomNavigationPane.IconPanel property

TJvCustomNavigationPane	Edit topic

Provides access to the internal icon panel control.

Pascal

property IconPanel: TJvIconPanel;

Description

Use IconPanel to access the internal icon panel (the panel where the icon buttons are displayed). Normally, you should not modify any properties of this control as it is handled automatically by the navigation pane itself.

Created with Doc-O-Matic.


TJvCustomNavigationPane.LargeImages property

TJvCustomNavigationPane	See Also	Edit topic

Provides a list of images to display for each maximized button.

Pascal

property LargeImages: TCustomImageList;

Description

Assign a TCustomImageList or descendant to this property to use as the images for maximized buttons

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.SmallImages


TJvCustomNavigationPane.MaximizedCount property

TJvCustomNavigationPane	See Also	Edit topic

Specifies the number of buttons that are maximized.

Pascal

property MaximizedCount: Integer;

Description

Use MaximizedCount to programmatically set the number of pages that have a maximized button. Pages that are minimized (or iconic), displays a smaller button in the icon panel at the bottom of the control.

Users can change the number of maximized buttons at run-time by adjusting the splitter (provided Resizable is true). When they do, the value of MaximizedCount is updated as well.

Created with Doc-O-Matic.


See Also

Resizeable, TJvNavPage.Iconic


TJvCustomNavigationPane.NavPages property

TJvCustomNavigationPane	See Also	Edit topic

Provides indexed access to the pages in the control.

Pascal

property NavPages [Index: Integer]: TJvNavPanelPage;

Parameters

Index

The index of the page in the control. The first page has the index 0 and the last page has the index PageCount - 1

Description

Use NavPages to access the pages in the control as an array.

Created with Doc-O-Matic.


See Also

PageCount


TJvCustomNavigationPane.NavPanelFont property

TJvCustomNavigationPane	See Also	Edit topic

Specifies the font used on the buttons.

Pascal

property NavPanelFont: TFont;

Description

Use NavPanelFont to set the font used on the buttons in the control. The button font is separate from the normal font. The normal font is used to specify the font settings for the page itself.

Created with Doc-O-Matic.


See Also

Font


TJvCustomNavigationPane.NavPanelHotTrackFont property

TJvCustomNavigationPane	See Also	Edit topic

Specifies the font used when the mouse passes over a nav pane button.

Pascal

property NavPanelHotTrackFont: TFont;

Description

When the mouse passes over the button, NavPanelHotTrackFont is used as the font for the button text. To change the font, change the value of the Charset, Color, Height, Name, Pitch, Size, and/or Style of the NavPanelHotTrackFont property.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.NavPanelHotTrackFontOptions


TJvCustomNavigationPane.NavPanelHotTrackFontOptions property

TJvCustomNavigationPane	See Also	Edit topic

Specifies how changes to the Font affects NavPanelHotTrackFont.

Pascal

property NavPanelHotTrackFontOptions: TJvTrackFontOptions;

Description

NavPanelHotTrackFontOptions defines a set of options that controls how changes to the Font property affects the NavPanelHotTrackFont object. For example, when NavPanelHotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to NavPanelHotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

Created with Doc-O-Matic.


See Also

Font


TJvCustomNavigationPane.OnDropDownMenu event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the drop down menu is about to be displayed.

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when the drop down menu of the control is about to be displayed. For example, you can use this event to display another dialog or form instead of the assigned DropDownMenu. Set Handled to true to suppress the default menu.

Created with Doc-O-Matic.


See Also

OnContextPopup


TJvCustomNavigationPane.OnSplitterCanResize event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the user tries to move the splitter with the mouse.

Pascal

property OnSplitterCanResize: TCanResizeEvent;

Description

Write an OnSplitterCanResize event handler to conditionally prevent the user from resizing neighboring components using the splitter.

The NewSize parameter indicates the size the associated control will have if the splitter is allowed to perform the resize. This value can be changed if the attempted resize can be partially allowed. The Accept parameter indicates whether the resize should be permitted at all. Set Accept to False to disallow any movement of the splitter.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMoved


TJvCustomNavigationPane.OnSplitterClick event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the user clicks the splitter.

Pascal

property OnSplitterClick: TNotifyEvent;

Description

Use the OnSplitterClick event handler to respond when the user clicks the splitter.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterDblClick, TJvCustomNavigationPane.OnSplitterMouseDown, TJvCustomNavigationPane.OnSplitterMouseMove, TJvCustomNavigationPane.OnSplitterMouseUp


TJvCustomNavigationPane.OnSplitterDblClick event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the user double-clicks the left mouse button when the mouse pointer is over the splitter.

Pascal

property OnSplitterDblClick: TNotifyEvent;

Description

Use the OnSplitterDblClick event to respond to mouse double-clicks.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterClick


TJvCustomNavigationPane.OnSplitterMouseDown event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the user presses a mouse button with the mouse pointer over the splitter.

Pascal

property OnSplitterMouseDown: TMouseEvent;

Description

Use the OnSplitterMouseDown event handler to implement any special processing that should occur as a result of pressing a mouse button.

The OnSplitterMouseDown event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseMove, TJvCustomNavigationPane.OnSplitterMouseUp


TJvCustomNavigationPane.OnSplitterMouseEnter event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the mouse pointer moves over the splitter.

Pascal

property OnSplitterMouseEnter: TNotifyEvent;

Description

Write an OnSplitterMouseEnter event handler to take specific action when the user moves the mouse over the splitter.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseLeave


TJvCustomNavigationPane.OnSplitterMouseLeave event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the mouse pointer moves off from over the splitter.

Pascal

property OnSplitterMouseLeave: TNotifyEvent;

Description

Write an OnSplitterMouseLeave event handler to take specific action when the user moves the mouse off the splitter. For example, you can use this event to undo changes that were made in an OnSplitterMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseEnter


TJvCustomNavigationPane.OnSplitterMouseMove event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the user moves the mouse pointer while the mouse pointer is over the splitter.

Pascal

property OnSplitterMouseMove: TMouseMoveEvent;

Description

Use the OnSplitterMouseMove event handler to respond when the mouse pointer moves after the control has captured the mouse.

Use the Shift parameter of the OnSplitterMouseMove event handler, to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are pixel coordinates of the new location of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseDown, TJvCustomNavigationPane.OnSplitterMouseUp


TJvCustomNavigationPane.OnSplitterMouseUp event

TJvCustomNavigationPane	See Also	Edit topic

Occurs when the user releases a mouse button that was pressed with the mouse pointer over the splitter.

Pascal

property OnSplitterMouseUp: TMouseEvent;

Description

Use an OnSplitterMouseUp event handler to implement special processing when the user releases a mouse button.

The OnSplitterMouseUp event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseDown, TJvCustomNavigationPane.OnSplitterMouseMove


TJvCustomNavigationPane.OnSplitterMoved event

TJvCustomNavigationPane	See Also	Edit topic

Occurs after the user has retiled the navigation pane using the splitter.

Pascal

property OnSplitterMoved: TNotifyEvent;

Description

Write an OnSplitterMoved event handler to take specific action when the user finishes dragging the edge of the neighboring control using the splitter.

Created with Doc-O-Matic.


See Also

OnCanResize


TJvCustomNavigationPane.OnSplitterPaint event

TJvCustomNavigationPane	Edit topic

Occurs when the splitter needs to draw itself.

Pascal

property OnSplitterPaint: TNotifyEvent;

Description

Write an OnSplitterPaint event handler to customize the appearance of the splitter. For example, use an OnSplitterPaint event handler to give a splitter the appearance of the splitters that appear in cool bar objects. Use the Canvas property as a drawing surface for painting the splitter. Use the ClientRect property to determine the coordinates of the canvas on which to paint the splitter.

When a splitter object receives a WM_PAINT message, it paints its background before generating the OnSplitterPaint event.

Created with Doc-O-Matic.


TJvCustomNavigationPane.ParentStyleManager property

TJvCustomNavigationPane	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.StyleManager


TJvCustomNavigationPane.Resizable property

TJvCustomNavigationPane	See Also	Edit topic

Specifies whether the user can change the number of maximized buttons by dragging the splitter.

Pascal

property Resizable: Boolean;

Description

Use Resizable to control whether the user can change the number of visible buttons by dragging the splitter bar. If Resizable is false, the user cannot drag the splitter. This is indicated visually by the splitter not having any dots in its client area.

To resize programmatically, use the MaximizedCount property.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.MaximizedCount


TJvCustomNavigationPane.SmallImages property

TJvCustomNavigationPane	See Also	Edit topic

Provides a list of images to display for each iconic button.

Pascal

property SmallImages: TCustomImageList;

Description

Assign a TCustomImageList or descendant to this property to use as the images for iconic buttons

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.LargeImages


TJvCustomNavigationPane.Splitter property

TJvCustomNavigationPane	Edit topic

Provides access to the splitter used by the nav pane control.

Pascal

property Splitter: TJvOutlookSplitter;

Description

Use the Splitter property to access the internal splitter of the nav pane. Note that the navigation pane assigns its own event handlers and sets up the properties of the splitter for its own use. If you change or replace this functionality, it can lead to unexpected results.

Created with Doc-O-Matic.


TJvCustomNavigationPane.SplitterHeight property

TJvCustomNavigationPane	Edit topic

Specifies the height of the splitter.

Pascal

property SplitterHeight: Integer;

Description

Use SplitterHeight to set the height, in pixels, of the splitter.

Created with Doc-O-Matic.


TJvCustomNavigationPane.StyleManager property

TJvCustomNavigationPane	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.ParentStyleManager


TJvCustomNavigationPane.WordWrap property

TJvCustomNavigationPane	Edit topic

Determines whether the control inserts soft carriage returns so text wraps at the right margin.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to True to make the control wrap the text on buttons at the right margin so it fits in the client area. Set WordWrap to False to have the button text display on a single line.

Created with Doc-O-Matic.


TJvCustomNavigationPane.HidePage method

TJvCustomNavigationPane	See Also	Edit topic

Hides the specified page in the page list.

Pascal

function HidePage(Page: TJvCustomPage): TJvCustomPage; override;

Return Value

TJvCustomPage - Updated page or Nil when not owned by the current page list.

Parameters

Page

Not documented

Description

HidePage is a TJvCustomPage function that moves the page specified in Page to the internal list of hidden (non-visible) pages.

When Page has been assigned, and is owned by the current page list, the return value for the method is the page instance after clearing the owner of the page instance. Otherwise the return value is Nil.

HidePage tries to select the next visible page in the list when ActivePage contains the page instance to be hidden. If no other page is available, ActivePage is set to the value Nil.

After calling HidePage, the page can no longer be accessed using the PrevPage and NextPage navigation methods.

Use ShowPage to move a page to the list of visible pages in the page list.

Created with Doc-O-Matic.


See Also

TJvCustomPage, ShowPage, PrevPage, NextPage


TJvCustomNavigationPane.ShowPage method

TJvCustomNavigationPane	See Also	Edit topic

Updates the display order and visibility of a page in the list.

Pascal

function ShowPage(Page: TJvCustomPage; PageIndex: Integer = -1): TJvCustomPage; override;

Return Value

TJvCustomPage - The updated page object, or Nil when the page or page list does not exist.

Parameters

Page

Page to display in the page list.

PageIndex

Position for the specified page in the page list, or -1 when not found.

Description

ShowPage is a function used to activate the specified page in the page list.

Page is the TJvCustomPage instance to activate in the page list. When Page is Nil, or when Page has already been assigned to another page list, the return value for the method is Nil. Otherwise, the Page is updated to reflect the current page list as the owner of the TJvCustomPage instance.

PageIndex indicates the position the page should occupy in the page list. When PageIndex contains -1 (an unassigned index value), an existing page index is retained.

ShowPage causes the Page instance to be removed from the internal list of hidden (or non-visible) pages in the page list.

Use HidePage to move the specified page to the list of hidden (non-visible) pages.

Use ActivePage to access the page that currently has focus in the page list.

Use the navigation methods PrevPage and NextPage to access visible pages in the page list.

Created with Doc-O-Matic.


See Also

TJvCustomPage, HidePage, ActivePage, PrevPage, NextPage


TJvCustomNavigationPane.UpdatePositions method

TJvCustomNavigationPane	Edit topic

Iterates the pages and buttons and updates their appearance.

Pascal

procedure UpdatePositions;

Description

UpdatePositions iterates the buttons in the control and updates their appearance. Normally, there is no need to call this method.

Created with Doc-O-Matic.


TJvCustomNavPaneToolPanel
JEDI-VCL Reference

TJvCustomNavPaneToolPanel

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base class for tool panel components

Pascal

TJvCustomNavPaneToolPanel = class(TJvCustomControl);

File

JvNavigationPane

Description

Use TJvCustomNavPaneToolPanel as a base class when you want to create a tool panel with the look and functionality of the "task" or "tool" panel in Office 2003.

The TJvCustomNavPaneToolPanel control has built in support for displaying a caption area with a caption text, a drop down menu and a close button. It also has support for a row of tool buttons beneath its caption area. The rest of the client area can be used to place additional controls.

Do not create instances of TJvCustomNavPaneToolPanel. Instead, use a descendant like TJvNavPaneToolPanel by dropping it on a form and setting its properties.

Created with Doc-O-Matic.


TJvCustomNavPaneToolPanel Properties

TJvCustomNavPaneToolPanel	Legend

Properties

 Background

 ButtonHeight

 Buttons

 ButtonWidth

 CloseButton

 Colors

 DrawPartialMenuFrame

 DropDownMenu

 EdgeRounding

 HeaderHeight

 HeaderVisible

 Images

 ParentStyleManager

 ShowGrabber

 StyleManager

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomNavPaneToolPanel Events

TJvCustomNavPaneToolPanel	Legend

Events

 OnButtonClick

 OnClose

 OnDropDownMenu

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomNavPaneToolPanel Methods

TJvCustomNavPaneToolPanel

Methods

GetHitTestInfoAt

Created with Doc-O-Matic.


Legend

TJvCustomNavPaneToolPanel

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomNavPaneToolPanel


TJvCustomNavPaneToolPanel Members

TJvCustomNavPaneToolPanel	Legend

Members

Properties

 Background

 ButtonHeight

 Buttons

 ButtonWidth

 CloseButton

 Colors

 DrawPartialMenuFrame

 DropDownMenu

 EdgeRounding

 HeaderHeight

 HeaderVisible

 Images

 ParentStyleManager

 ShowGrabber

 StyleManager

Events

 OnButtonClick

 OnClose

 OnDropDownMenu

Methods

GetHitTestInfoAt

Legend

protected

Created with Doc-O-Matic.


Legend

protected


See Also

TJvNavPaneToolPanel


TJvCustomNavPaneToolPanel.Background property

TJvCustomNavPaneToolPanel	Edit topic

Manages the properties of the background image of the control.

Pascal

property Background: TJvNavPaneBackgroundImage;

Description

Use the properties of Background to set and modify the background image shown in the control.

Created with Doc-O-Matic.


TJvCustomNavPaneToolPanel.ButtonHeight property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies the height of the toolbar buttons on the panel.

Pascal

property ButtonHeight: Integer;

Description

Use ButtonHeight to set the height of the buttons in the toolbar.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.Buttons, TJvCustomNavPaneToolPanel.ButtonWidth


TJvCustomNavPaneToolPanel.Buttons property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Provides access to the buttons in the toolbar.

Pascal

property Buttons: TJvNavPaneToolButtons;

Description

Use the properties and methods of Buttons to add, delete and modify the buttons on the toolbar.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.ButtonHeight, TJvCustomNavPaneToolPanel.ButtonWidth


TJvCustomNavPaneToolPanel.ButtonWidth property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies the width of the buttons on the toolbar.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to set and retrieve the width of the buttons on the toolbar.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.ButtonHeight, TJvCustomNavPaneToolPanel.Buttons


TJvCustomNavPaneToolPanel.CloseButton property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies whether a close button is displayed.

Pascal

property CloseButton: Boolean;

Description

Set CloseButton to true to display a close button (a button with an 'X') on the panel header. When a close button is visible, clicking it triggers the OnClose event but does not actually hide the panel (you will have to implement this behavior yourself).

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.OnClose


TJvCustomNavPaneToolPanel.Colors property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Contains the color settings of the control.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control. Colors has several different sub colors. Since Colors is a general color class, it may contain colors not used by the control.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager


TJvCustomNavPaneToolPanel.DrawPartialMenuFrame property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies how the drop-down button is drawn.

Pascal

property DrawPartialMenuFrame: Boolean;

Description

DrawPartialMenuFrame determines how the DropDownMenu button is drawn when the drop down is displayed. When DrawPartialMenuFrame is true, only the top,left and right edge of the button is drawn. When DrawPartialMenuFrame is false, all four edges are drawn. If you are using an XP style menu component (like TJvPopupMenu), you might want to set this property to true to make it appear as if the button and menu is a single control.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.DropDownMenu


TJvCustomNavPaneToolPanel.DropDownMenu property

TJvCustomNavPaneToolPanel	Edit topic

Specifies the menu to display when the user clicks the drop-down button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu property to show a menu button on the panel (at the top of the control) that, when clicked by the user, shows the menu. If no menu is assigned, the menu button is hidden.

Created with Doc-O-Matic.


TJvCustomNavPaneToolPanel.EdgeRounding property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies the rounding of various edges.

Pascal

property EdgeRounding: Integer;

Description

Use EdgeRounding to specify the rounding of the toolbar buttons background as well as the rounding below the caption area. This value is directly compatible with the curve value specified in a call to TCanvas.RoundRect.

Created with Doc-O-Matic.


See Also

TCanvas.RoundRect


TJvCustomNavPaneToolPanel.HeaderHeight property

TJvCustomNavPaneToolPanel	Edit topic

Specifies the height of the header area of the panel.

Pascal

property HeaderHeight: Integer;

Description

Use HeaderHeight to set and retrieve the height of the header area of the panel (where the grabber, drop-down button and close button are displayed).

Created with Doc-O-Matic.


TJvCustomNavPaneToolPanel.HeaderVisible property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies whether the header is visible or not.

Pascal

property HeaderVisible: Boolean;

Description

Use HeaderVisible to set and retrieve whether the header area is visible or not. If HeaderVisible is false, too buttons are placed at the top of the panel.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.Buttons


TJvCustomNavPaneToolPanel.Images property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Provides a list of images to display for each toolbar button.

Pascal

property Images: TCustomImageList;

Description

Assign a TCustomImageList or descendant to this property to use as the images for toolbar buttons. The actual image used is determined by each button's ImageIndex property

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.Buttons


TJvCustomNavPaneToolPanel.OnButtonClick event

TJvCustomNavPaneToolPanel	See Also	Edit topic

Occurs when the user clicks one of the toolbar buttons.

Pascal

TJvNavPaneToolButtonClick = procedure (Sender: TObject; Index: Integer) of object;
property OnButtonClick: TJvNavPaneToolButtonClick;

Parameters

Index

The button that was clicked.

Sender

The panel that triggered the event.

Description

Write a handler for this event to handle user clicks on the toolbar buttons.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.Buttons


TJvCustomNavPaneToolPanel.OnClose event

TJvCustomNavPaneToolPanel	See Also	Edit topic

Occurs when the user clicks the close button.

Pascal

property OnClose: TNotifyEvent;

Description

Write a handler for the OnClose event to take specific action when the user clicks the close button. For example, use this event to hide the panel.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.CloseButton


TJvCustomNavPaneToolPanel.OnDropDownMenu event

TJvCustomNavPaneToolPanel	See Also	Edit topic

Occurs when the user clicks the drop-down button.

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when the user clicks the drop-down button.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.DropDownMenu


TJvCustomNavPaneToolPanel.ParentStyleManager property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.StyleManager


TJvCustomNavPaneToolPanel.ShowGrabber property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies whether a grabber is visible in the caption area or not.

Pascal

property ShowGrabber: Boolean;

Description

Use ShowGrabber to set or retrieve whether a grabber is shown in the caption area of the panel. If HeaderVisible is false, this property has no effect.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.HeaderVisible


TJvCustomNavPaneToolPanel.StyleManager property

TJvCustomNavPaneToolPanel	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.ParentStyleManager


TJvCustomNavPaneToolPanel.GetHitTestInfoAt method

TJvCustomNavPaneToolPanel	See Also	Edit topic

Returns information about the location of a point relative to the client area of the control.

Pascal

function GetHitTestInfoAt(X: Integer; Y: Integer): TJvToolPanelHitTestInfos;

Return Value

GetHitTestInfoAt returns a TJvToolPanelHitTestInfos. This set describes the possible elements under the mouse.

Parameters

X: Integer

Horizontal location of mouse in client coordinates.

Y: Integer

Vertical location of mouse in client coordinates.

Description

Call GetHitTestInfoAt to determine what portion of the control, if any, sits under the point specified by the X and Y parameters. For example, use GetHitTestInfoAt to provide feedback about whether the panel can be drag and docked or not when the mouse is over the relevant portions of the control.

Created with Doc-O-Matic.


See Also

TJvToolPanelHitTestInfo, TJvToolPanelHitTestInfos


TJvCustomNumEdit
JEDI-VCL Reference

TJvCustomNumEdit

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for the TJvCalcEdit control.

Pascal

TJvCustomNumEdit = class(TJvCustomComboEdit);

File

JvBaseEdits

Description

Use TJvCustomNumEdit as a base class when creating custom combo edits that can be used for entering numbers. Do not create instances of TJvCustomNumEdit. Instead, to put a combo edit control for entering numbers on a form, use a TJvCustomNumEdit descendant such as TJvCalcEdit.

Created with Doc-O-Matic.


TJvCustomNumEdit Properties

TJvCustomNumEdit	Legend

Properties

 Alignment

AsInteger

 ButtonWidth

 CheckOnExit

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DisplayFormat

 DisplayText

 FormatOnEditing

 Formatting

 ImageKind

 MaxValue

 MinValue

PopupVisible

Value

 ZeroEmpty

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomNumEdit Methods

TJvCustomNumEdit	Legend

Methods

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvCustomNumEdit Events

TJvCustomNumEdit	Legend

Events

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomNumEdit

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvCustomNumEdit


TJvCustomNumEdit Members

TJvCustomNumEdit	Legend

Members

Properties

 Alignment

AsInteger

 ButtonWidth

 CheckOnExit

 DecimalPlaceRound

 DecimalPlaces

 DecimalPlacesAlwaysShown

 DisplayFormat

 DisplayText

 FormatOnEditing

 Formatting

 ImageKind

 MaxValue

 MinValue

PopupVisible

Value

 ZeroEmpty

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Methods

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Events

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomNumEdit.Alignment property

TJvCustomNumEdit	Edit topic

Determines how the text in the edit is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvCustomNumEdit.AsInteger property

TJvCustomNumEdit	See Also	Edit topic

Represents the value of the entered floating-point value as an integer value.

Pascal

property AsInteger: Longint;

Description

AsInteger converts floating point values to integers by truncating the decimal portion. If a value assigned to the number edit is not within the range established by the MinValue and the MaxValue properties, the value is cropped.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.Value


TJvCustomNumEdit.ButtonWidth property

TJvCustomNumEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the combo edit control's button. Note that changing property ImageKind can change the ButtonWidth. For example, ButtonWidth is set to the default width of a drop-down button if ImageKind is set to ikDropDown.

Created with Doc-O-Matic.


See Also

Button


TJvCustomNumEdit.CheckOnExit property

TJvCustomNumEdit	See Also	Edit topic

Specifies whether the entered value should be checked on exit of the number edit control.

Pascal

property CheckOnExit: Boolean;

Description

If a MinValue or MaxValue is specified, then the user can enter an invalid number (i.e., an out of range value). Set CheckOnExit to true to let the control check (on exit of the control) whether the value the user entered is in the range specified by MinValue and MaxValue. If the value is not in the range, an exception is raised.

Set CheckOnExit to false, to let the control automatically crop invalid values on exit of the control, so its value is in the range specified by MinValue and MaxValue.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.MaxValue, TJvCustomNumEdit.MinValue, TJvCustomNumEdit.Value


TJvCustomNumEdit.DecimalPlaceRound property

TJvCustomNumEdit	See Also	Edit topic

Specifies how the floating-point value is rounded.

Pascal

property DecimalPlaceRound: Boolean;

Description

The control rounds the internal stored value after the number of digits beyond the decimal point as specified by DecimalPlaces.

Set DecimalPlaceRound to true to round to the nearest. If two are equally near then rounding is done away from zero. Set DecimalPlaceRound to false to use the default Round-like rounding:

If DecimalPlaces equals 2, then:
Value	False	True
0,124	0,12	0,12
0,125	0,12	0,13
0,126	0,13	0,13
0,135	0,14	0,14
0,145	0,14	0,15
-0,124	-0,12	-0,12
-0,125	-0,12	-0,12
-0,126	-0,13	-0,13
Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.DecimalPlaces


TJvCustomNumEdit.DecimalPlaces property

TJvCustomNumEdit	See Also	Edit topic

Specifies the precision for the floating-point value.

Pascal

property DecimalPlaces: Cardinal;

Description

Use DecimalPlaces to set the number of digits beyond the decimal point that the floating-point value of the control should be formatted to before rounding begins. Use DecimalPlaceRound to alter the way the value is rounded after the number of the digits beyond the decimal point specified by DecimalPlaces.

Use DisplayFormat to change the format of the floating-point value when it is displayed as a text string in the edit box, but note that DecimalPlaces may also affect that displayed text string:

Entered value	DisplayFormat	DecimalPlaces	Displayed text string	Stored value
0.1234	0.###	2	0.12	0.12
0.1234	0.###	3	0.123	0.123
0.1234	0.###	4	0.123	0.1234
0.1234	0.####	4	0.1234	0.1234
Notes

DecimalPlaces affects the actual floating-point value that is stored in the control.

Created with Doc-O-Matic.


See Also

DisplayFormat


TJvCustomNumEdit.DecimalPlacesAlwaysShown property

TJvCustomNumEdit	Edit topic

Not documented

Pascal

property DecimalPlacesAlwaysShown: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomNumEdit.DisplayFormat property

TJvCustomNumEdit	See Also	Edit topic

Specifies the format for the displayed number.

Pascal

property DisplayFormat: string;

Description

Use DisplayFormat to specify a custom format string for the number display. Note that DisplayFormat is only used when the popup calculator is not showing and the user is not entering a number in the edit box (i.e., the control has no focus).

The value of DisplayFormat does not affect the actual stored floating-point value. See Delphi help at FormatFloat to view which format specifiers are supported in the format string.

Notes

Ensure that DecimalPlaces is large enough for the DisplayFormat. For example, if DisplayFormat is '0.###' then DecimalPlaces must be minimal 3.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.DecimalPlaces, TJvCustomNumEdit.DisplayText


TJvCustomNumEdit.DisplayText property

TJvCustomNumEdit	See Also	Edit topic

Returns the text as displayed in the edit box.

Pascal

property DisplayText: string;

Description

Call DisplayText to retrieve the text as displayed in the edit box. Note that the text may be different depending on whether the popup calculator is showing or not.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.DecimalPlaces, TJvCustomNumEdit.DisplayFormat, TJvCustomNumEdit.FormatOnEditing


TJvCustomNumEdit.FormatOnEditing property

TJvCustomNumEdit	Edit topic

Specifies whether text should be formatted while editing.

Pascal

property FormatOnEditing: Boolean;

Description

Set FormatOnEditing to true to let the control format the text while the user enters a number in the edit box. For example, the control will automatically insert thousand symbols while the user enters a number, if FormatOnEditing is set to true.

Created with Doc-O-Matic.


TJvCustomNumEdit.Formatting property

TJvCustomNumEdit	Edit topic

Indicates whether the control is formatting the display text.

Pascal

property Formatting: Boolean;

Description

Formatting is an internal flag that indicates whether the control is formatting the display text.

Created with Doc-O-Matic.


TJvCustomNumEdit.ImageKind property

TJvCustomNumEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvCustomNumEdit.MaxValue property

TJvCustomNumEdit	See Also	Edit topic

Specifies the maximum value the user can enter into the number edit control.

Pascal

property MaxValue: Extended;

Description

MaxValue specifies the maximum for the Value property. Use CheckOnExit to specify what should happen if the user enters a number greater than MaxValue.

Notes

No check is done if MinValue equals MaxValue.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.CheckOnExit, TJvCustomNumEdit.MinValue


TJvCustomNumEdit.MinValue property

TJvCustomNumEdit	See Also	Edit topic

Specifies the minimum value the user can enter into the number edit control.

Pascal

property MinValue: Extended;

Description

The MinValue property specifies the minimum for the Value property. Use CheckOnExit to specify what should happen if the user enters a number less than MinValue.

Notes

No check is done if MinValue equals MaxValue.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.CheckOnExit, TJvCustomNumEdit.MaxValue


TJvCustomNumEdit.PopupVisible property

TJvCustomNumEdit	Edit topic

Indicates whether the pop-up window is visible.

Pascal

property PopupVisible: Boolean;

Description

Read PopupVisible to determine whether the pop-up window is visible.

The pop-up window is normally shown when the user clicks the button of the combo edit control.

Created with Doc-O-Matic.


TJvCustomNumEdit.Value property

TJvCustomNumEdit	See Also	Edit topic

Indicates the numeric value of the number edit control.

Pascal

property Value: Extended;

Description

The Value property determines the current numeric value of the control.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.AsInteger


TJvCustomNumEdit.ZeroEmpty property

TJvCustomNumEdit	See Also	Edit topic

Specifies whether the edit box is cleared when Value is 0.

Pascal

property ZeroEmpty: Boolean;

Description

Set ZeroEmpty to true to specify that the number edit control should empty the edit box when Value equals 0.

Created with Doc-O-Matic.


See Also

TJvCustomNumEdit.Value


TJvCustomNumEdit.DefaultImageIndex method

TJvCustomNumEdit	Edit topic

Not documented

Pascal

class function DefaultImageIndex: TImageIndex; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomOutlookBar
JEDI-VCL Reference

TJvCustomOutlookBar

Hierarchy	Properties	Methods	Events	 Edit topic

TJvCustomOutlookBar is the base class for a control that displays pages and buttons in the style of the button bar in Microsoft(R) Outlook(R).

Pascal

TJvCustomOutlookBar = class(TJvCustomControl);

File

JvOutlookBar

Description

Use TJvCustomOutlookBar as a base class when defining a control that should contain a series of pages which in turn has buttons in a list in the style of Microsoft Outlook.

Do not create instances of TJvCustomOutlookBar. To put an outlook bar on a form, use a descendant of TJvCustomOutlookBar, such as TJvOutlookBar.

Created with Doc-O-Matic.


TJvCustomOutlookBar Properties

TJvCustomOutlookBar	Legend

Properties

 ActivePage

 ActivePageIndex

 BorderStyle

 ButtonSize

 Color

 Font

 LargeImages

 PageButtonHeight

 PageImages

 Pages

 PopUpObject

 SmallImages

 ThemedBackground

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvCustomOutlookBar Events

TJvCustomOutlookBar	Legend

Events

 OnButtonClick

 OnCustomDraw

 OnEditButton

 OnEditPage

 OnPageChange

 OnPageChanging

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomOutlookBar Methods

TJvCustomOutlookBar

Methods

GetButtonAtPos

GetPageButtonAtPos

Created with Doc-O-Matic.


Legend

TJvCustomOutlookBar

Legend

read only

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomOutlookBar


TJvCustomOutlookBar Members

TJvCustomOutlookBar	Legend

Members

Properties

 ActivePage

 ActivePageIndex

 BorderStyle

 ButtonSize

 Color

 Font

 LargeImages

 PageButtonHeight

 PageImages

 Pages

 PopUpObject

 SmallImages

 ThemedBackground

Events

 OnButtonClick

 OnCustomDraw

 OnEditButton

 OnEditPage

 OnPageChange

 OnPageChanging

Methods

GetButtonAtPos

GetPageButtonAtPos

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvCustomOutlookBar.ActivePage property

TJvCustomOutlookBar	See Also	Edit topic

Specifies the page currently displayed by the control.

Pascal

property ActivePage: TJvOutlookBarPage;

Description

Read ActivePage to determine which page is selected by the user. The user selects a page by clicking the mouse on its button. ActivePage is readonly and cannot be used to change the currently active page. To change the active page or determine the active page by index, use ActivePageIndex instead.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.ActivePageIndex


TJvCustomOutlookBar.ActivePageIndex property

TJvCustomOutlookBar	See Also	Edit topic

Specifies the page currently displayed by the control.

Pascal

property ActivePageIndex: Integer;

Description

Use ActivePageIndex to get or set the active page by index rather than by object. The value of ActivePageIndex identifies a page in the Pages property array. Changing the value of ActivePageIndex changes the ActivePage property.

If there is no active page, reading ActivePageIndex gives a value of –1.

Setting ActivePageIndex to a value that is out of bounds (less than 0 or greater than Pages.Count - 1) results in the control not changing the active page.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.ActivePage


TJvCustomOutlookBar.BorderStyle property

TJvCustomOutlookBar	Edit topic

Determines whether the control has a single line border around the client area or a flat style.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to affect the sharpness with which the client area of the control stands out. BorderStyle can have a value of either bsSingle or bsNone. If BorderStyle is bsSingle, the control has a single-line border around the client area. If BorderStyle is bsNone, there will be a flat style border.

Created with Doc-O-Matic.


TJvCustomOutlookBar.ButtonSize property

TJvCustomOutlookBar	See Also	Edit topic

Specifies the size and look of the buttons on the pages.

Pascal

property ButtonSize: TJvBarButtonSize;

Description

Use ButtonSize to determine the current default size of buttons on a page. Change ButtonSize to change the button sizes of all pages in the outlook bar. Only pages having their ParentButtonSize property set to true will be affected.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.ParentButtonSize


TJvCustomOutlookBar.Color property

TJvCustomOutlookBar	See Also	Edit topic

Specifies the background color of the control.

Pascal

property Color;

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.

Created with Doc-O-Matic.


See Also

TControl.ParentColor


TJvCustomOutlookBar.Font property

TJvCustomOutlookBar	See Also	Edit topic

Controls the attributes of text written on or in the control.

Pascal

property Font;

Description

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object. If a control's ParentFont property is true, then changing the Font property of the control's parent automatically changes the Font property of the control. When the value of the Font property is changed, the control's ParentFont property is automatically set to false.

Created with Doc-O-Matic.


See Also

TControl.ParentFont


TJvCustomOutlookBar.LargeImages property

TJvCustomOutlookBar	See Also	Edit topic

Provides a list of icon images to display for each button when ButtonSize is set to olbsLarge.

Pascal

property LargeImages: TCustomImageList;

Description

Set LargeImages to specify the bitmaps that should be displayed in the buttons when ButtonSize is olbsLarge. Each button on a page can be associated with a bitmap in this image list by setting its ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.ButtonSize, TJvCustomOutlookBar.SmallImages


TJvCustomOutlookBar.OnButtonClick event

TJvCustomOutlookBar	Edit topic

Occurs when the user clicks a button using the left mouse button.

Pascal

TOutlookBarButtonClick = procedure (Sender: TObject; Index: Integer) of object;
property OnButtonClick: TOutlookBarButtonClick;

Parameters

Index

The index of the button that was clicked. The button is always located on the currently active page.

Sender

The object that triggered the event

Description

Write a handler for the OnButtonClick event to take specific action when the user clicks a button. The clicked button is always located on the active page.

Created with Doc-O-Matic.


TJvCustomOutlookBar.OnCustomDraw event

TJvCustomOutlookBar	Edit topic

Event handler for custom drawing

Pascal

TJvOutlookBarCustomDrawEvent = procedure (Sender: TObject; ACanvas: TCanvas; ARect: TRect; AStage: TJvOutlookBarCustomDrawStage; AIndex: Integer; ADown, AInside: Boolean; var DefaultDraw: Boolean) of object;
property OnCustomDraw: TJvOutlookBarCustomDrawEvent;

Parameters

ADown

Depends on the stage. For pages, indicates whether the page button is pressed, For buttons, indicates whether the button is down.

AIndex

Depends on the stage. If AStage is odsPage or odsPageButton, AIndex refers to the page index. If AStage is odsButton or odsButtonFrame, AIndex refers to the button's index on the active page.

DefaultDraw

Set to true (the default) if you want the control to perform it's default drawing.

AInside

Only used with button stages. Specifies whether the mouse is inside the button.

ACanvas

The Canvas to draw on

Sender

The TJvOutlookBar that triggered the event.

AStage

The current draw stage.

ARect

The area to draw in.

Description

Write a handler for this event if you want to custom draw the outlook bar. You can selectively draw only the parts you are interested in and let the control handle the drawing of other elements.

Created with Doc-O-Matic.


TJvCustomOutlookBar.OnEditButton event

TJvCustomOutlookBar	See Also	Edit topic

Occurs when the user has changed the text of a button.

Pascal

property OnEditButton: TOutlookBarEditCaption;

Description

Write a handler for the OnEditButton event to take specific action when the user has changed the caption of a button.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnEditPage, TJvOutlookBarButton.EditCaption


TJvCustomOutlookBar.OnEditPage event

TJvCustomOutlookBar	See Also	Edit topic

Occurs when the user has changed the text of a page button.

Pascal

property OnEditPage: TOutlookBarEditCaption;

Description

Write a handler for the OnEditPage event to take specific action when the user has changed the caption of a page button.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnEditButton, TJvOutlookBarPage.Caption


TJvCustomOutlookBar.OnPageChange event

TJvCustomOutlookBar	See Also	Edit topic

Occurs after the active page has changed.

Pascal

TOutlookBarPageChange = procedure (Sender: TObject; Index: Integer) of object;
property OnPageChange: TOutlookBarPageChange;

Parameters

Index

The index of the new active page.

Sender

The object that triggered the event.

Description

Write a handler for the OnPageChange event to take specific actions when the user has changed to a new active page.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnPageChanging


TJvCustomOutlookBar.OnPageChanging event

TJvCustomOutlookBar	See Also	Edit topic

Occurs just before the active page is to be changed.

Pascal

TOutlookBarPageChanging = procedure (Sender: TObject; Index: Integer; var AllowChange: Boolean) of object;
property OnPageChanging: TOutlookBarPageChanging;

Parameters

AllowChange

Set this parameter to false to disallow changing to the new page.

Index

The page index of the page that is to be made active.

Sender

The object that triggered the event.

Description

Write a handler for the OnPageChanging event to take specific actions before the currently active page is changed. For example, you can use this event to prevent the user from changing to another page.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnPageChange


TJvCustomOutlookBar.PageButtonHeight property

TJvCustomOutlookBar	Edit topic

Specifies the height of a page button.

Pascal

property PageButtonHeight: Integer;

Description

Read PageButtonHeight to determine the height of the buttons on the pages. Change PageButtonHeight to modify the height of all page buttons.

Created with Doc-O-Matic.


TJvCustomOutlookBar.PageImages property

TJvCustomOutlookBar	See Also	Edit topic

Provides a list of icon images to display for each page button.

Pascal

property PageImages: TCustomImageList;

Description

Set PageImages to specify the bitmaps that should be displayed on the page buttons. Each page button can be associated with a bitmap in this image list by setting its ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.LargeImages, TJvCustomOutlookBar.Pages, TJvOutlookBarPage.ImageIndex


TJvCustomOutlookBar.Pages property

TJvCustomOutlookBar	See Also	Edit topic

Provides indexed access to the pages in the bar.

Pascal

property Pages: TJvOutlookBarPages;

Description

Use Pages to access individual pages in the bar. Valid values of the Index parameter are in the interval 0 to Pages.Count - 1.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPages.Count


TJvCustomOutlookBar.PopUpObject property

TJvCustomOutlookBar	See Also	Edit topic

Indicates the component that last displayed the popup menu in response to a right mouse click.

Pascal

property PopUpObject: TObject;

Description

Read PopUpObject to determine which control is currently using the popup menu. Since the pages and button in the outlook bar are no real components, reading PopupMenu.PopupComponent always returns the outlook bar control. To access the real object that activated the popup menu, use PopUpObject instead.

To determine what object displayed the popup, you should check it against the three possible values:

    if (JvOutlookBar1.PopUpObject is TJvOutlookBar) then

      HandleBarPopup

    else if (JvOutlookBar1.PopUpObject is TJvOutlookBarPage) then

      HandlePagePopup

    else if (JvOutlookBar1.PopUpObject is TJvOutlookBarButton) then

      HandleBarButton;

Created with Doc-O-Matic.


See Also

PopupMenu


TJvCustomOutlookBar.SmallImages property

TJvCustomOutlookBar	See Also	Edit topic

Provides a list of icon images to display for each button when ButtonSize is set to olbsSmall.

Pascal

property SmallImages: TCustomImageList;

Description

Set SmallImages to specify the bitmaps that should be displayed in the buttons when ButtonSize is olbsSmall. Each button on a page can be associated with a bitmap in this image list by setting its ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.ButtonSize, TJvCustomOutlookBar.LargeImages


TJvCustomOutlookBar.ThemedBackground property

TJvCustomOutlookBar	Edit topic

Specifies whether to paint the background of the outlook bar themed.

Pascal

property ThemedBackground: Boolean;

Description

Use ThemedBackground to specify whether to paint the background of the outlook bar themed or non themed. This only applies to themed applications on windows XP systems.

Notes

Only for delphi 7.

Created with Doc-O-Matic.


TJvCustomOutlookBar.GetButtonAtPos method

TJvCustomOutlookBar	See Also	Edit topic

Returns the button in the control indicated by the coordinates of a point on the control.

Pascal

function GetButtonAtPos(P: TPoint): TJvOutlookBarButton;

Return Value

The button at P or nil if no button is located at P.

Parameters

P: TPoint

A point in the control in window coordinates that should be enclosed by a button rectangle.

Description

Call GetButtonAtPos to retrieve the button located at the coordinates given by P. If no button encloses the P.X and P.Y coordinates, nil is returned. This function can only return a button in the visible part of the active page.

Created with Doc-O-Matic.


See Also

GetPageButtonAtPos


TJvCustomOutlookBar.GetPageButtonAtPos method

TJvCustomOutlookBar	See Also	Edit topic

Returns the page button (the button at the top of the page) in the control indicated by the coordinates of a point on the control.

Pascal

function GetPageButtonAtPos(P: TPoint): TJvOutlookBarPage;

Return Value

The page button at P or nil if no page button is located at P.

Parameters

P: TPoint

A point in the control in window coordinates that should be enclosed by a page button rectangle.

Description

Call GetPageButtonAtPos to retrieve the page button located at the coordinates given by P. If no page button encloses the P.X and P.Y coordinates, nil is returned.

Created with Doc-O-Matic.


See Also

GetButtonAtPos


TJvCustomPage
JEDI-VCL Reference

TJvCustomPage

Hierarchy	Properties	Events	 Edit topic

Base class for a page used by a page list component.

Pascal

TJvCustomPage = class(TJvCustomControl);

File

JvPageList

Description

Don't create instances of TJvCustomPage. Instead, use it as a base class to derive new page classes from when you implement your own TJvCustomPageList descendant. TJvCustomPage defines and implements the basic behavior for a page in a TJvCustomPageList.

Created with Doc-O-Matic.


TJvCustomPage Properties

TJvCustomPage	Legend

Properties

 Height

 Left

PageIndex

PageList

 Top

 Width

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomPage Events

TJvCustomPage	Legend

Events

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomPage

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomPage


TJvCustomPage Members

TJvCustomPage	Legend

Members

Properties

 Height

 Left

PageIndex

PageList

 Top

 Width

Events

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomPage.Height property

TJvCustomPage	See Also	Edit topic

Specifies the vertical size of the page in pixels.

Pascal

property Height;

Description

Use the Height property to read or change the height of the page. Pages are ordinarily client aligned to the parent page list control and changing the height has no effect. In page list descendants that doesn't client align the pages, changing the height will probably have effect on the page.

Created with Doc-O-Matic.


See Also

Left, Top, Width


TJvCustomPage.Left property

TJvCustomPage	See Also	Edit topic

Specifies the horizontal coordinate of the left edge of the page relative to its parent.

Pascal

property Left;

Description

Use the Left property to determine where the left side of the page begins or to reposition the left side of the page. Pages are ordinarily client aligned to the parent page list control and changing the Left property has no effect. In page list descendants that doesn't client align the pages, changing the Left property will have effect on the page. The Left and Top properties are relative to the parent page list control.

Created with Doc-O-Matic.


See Also

Height, Top, Width


TJvCustomPage.OnAfterPaint event

TJvCustomPage	See Also	Edit topic

Called after the page has been painted.

Pascal

property OnAfterPaint: TJvPagePaintEvent;

Description

OnAfterPaint is of type TJvPagePaintEvent and is called after the control has painted itself. Assign an event handler to this event to perform any special drawing after the default painting has completed.

Created with Doc-O-Matic.


See Also

OnBeforePaint


TJvCustomPage.OnBeforePaint event

TJvCustomPage	Edit topic

Called before the page is painted.

Pascal

TJvPageCanPaintEvent = procedure (Sender: TObject; ACanvas: TCanvas; ARect: TRect; var DefaultDraw: Boolean) of object;
property OnBeforePaint: TJvPageCanPaintEvent;

Parameters

ARect

The rect area to draw within.

DefaultDraw

Variable that determines if the default drawing is to be performed after the event returns. Set this to false to suppress normal drawing of the page.

Sender

The control that is calling this event.

ACanvas

The canvas to draw on.

Description

OnBeforePaint is of type TJvPageCanPaintEvent and is called just prior to painting. Assign an event handler to this event to perform any special drawing before the default painting has started. To suppress normal drawing, set the DefaultDraw parameter to false.

Created with Doc-O-Matic.


TJvCustomPage.OnHide event

TJvCustomPage	Edit topic

Occurs when the page is hidden.

Pascal

property OnHide: TNotifyEvent;

Description

Write an OnHide event handler to take specific action when the control is hidden.

Created with Doc-O-Matic.


TJvCustomPage.OnPaint event

TJvCustomPage	Edit topic

Occurs when the control is painted.

Pascal

property OnPaint: TJvPagePaintEvent;

Description

Write an OnPaint event handler to take specific action when the control is painted.

Created with Doc-O-Matic.


TJvCustomPage.OnShow event

TJvCustomPage	Edit topic

Occurs when the page is shown.

Pascal

property OnShow: TNotifyEvent;

Description

Write an OnShow event handler to take specific action when the page is shown.

Created with Doc-O-Matic.


TJvCustomPage.PageIndex property

TJvCustomPage	See Also	Edit topic

The index of this page.

Pascal

property PageIndex: Integer;

Description

Read PageIndex to determine where the page is placed in the parents Pages array. Set PageIndex to change the place of the page in the Pages array. PageIndex is 0-based, that is, the first page in the Pages array has Index 0 and the last page has index PageCount - 1

Created with Doc-O-Matic.


See Also

TJvCustomPageList.PageCount, TJvCustomPageList.Pages


TJvCustomPage.PageList property

TJvCustomPage	Edit topic

Reference to the PageList that owns this page.

Pascal

property PageList: TJvCustomPageList;

Description

Specifies the PageList that owns this page. Change PageList to move the page to another page list control.

To create and add a page to a page list at run-time, create the page and set its PageList property to the page list control that should contain it.

Created with Doc-O-Matic.


TJvCustomPage.Top property

TJvCustomPage	See Also	Edit topic

Specifies the Y coordinate of the upper left corner of a page, relative to its parent or containing control in pixels.

Pascal

property Top;

Description

Use Top to locate the top of the control or reposition the page to a different Y coordinate. The Top property, like the Left property, is the position of the page relative to its container. Thus, if a control is contained in a TPanel, the Left and Top properties are relative to the panel. Please note when the page is client aligned (the default), changing the Top property will have no effect.

Created with Doc-O-Matic.


See Also

Height, Left, Width


TJvCustomPage.Width property

TJvCustomPage	See Also	Edit topic

Specifies the horizontal size of the control or form in pixels.

Pascal

property Width;

Description

Use the Width property to read or change the width of the control. Please note that when the page is client aligned (the default), changing its width will have no effect.

Created with Doc-O-Matic.


See Also

Height, Left, Top


TJvCustomPageList
JEDI-VCL Reference

TJvCustomPageList

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base class for page list components.

Pascal

TJvCustomPageList = class(TJvCustomControl, IUnknown, IPageList);

File

JvPageList

Description

Use TJvCustomPageList as a base class when defining a control that should contain a series of pages where only one page is visible at a time. A page list is very similar to a TPageControl but its pages do not have any tabs.

Do not create instances of TJvCustomPageList. To put a page list on a form, use a descendant of TJvCustomPageList, such as TJvPageList.

Created with Doc-O-Matic.


TJvCustomPageList Properties

TJvCustomPageList	Legend

Properties

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomPageList Events

TJvCustomPageList	Legend

Events

 OnChange

 OnChanging

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomPageList Methods

TJvCustomPageList	Legend

Methods

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvCustomPageList

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl, IUnknown, IPageList
                TJvCustomPageList


TJvCustomPageList Members

TJvCustomPageList	Legend

Members

Properties

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Events

 OnChange

 OnChanging

Methods

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


See Also

TJvPageList, TJvCustomPage


TJvCustomPageList.ActivePage property

TJvCustomPageList	See Also	Edit topic

Specifies the page currently displayed by the page list control.

Pascal

property ActivePage: TJvCustomPage;

Description

Read ActivePage to determine which page is selected by the user. Set ActivePage to bring a page to the foreground. Only one page can be active at a time. To change the ActivePage to the page that precedes or follows the active page, use the FindNextPage method.

Created with Doc-O-Matic.


See Also

ActivePageIndex, FindNextPage


TJvCustomPageList.ActivePageIndex property

TJvCustomPageList	See Also	Edit topic

Specifies the page currently displayed by the page list control.

Pascal

property ActivePageIndex: Integer;

Description

Use ActivePageIndex to get or set the active page by index rather than by object. The value of ActivePageIndex identifies a page in the Pages property array. Changing the value of ActivePageIndex changes the ActivePage property, and vice versa.

If there is no active page, reading ActivePageIndex gives a value of –1.

Setting ActivePageIndex to a value that is out of bounds (less than 0 or greater than PageCount - 1) results in the page list control having no active page.

Created with Doc-O-Matic.


See Also

ActivePage


TJvCustomPageList.HiddenPageList property

TJvCustomPageList	See Also	Edit topic

Not documented

Pascal

property HiddenPageList: TList;

Description

HiddenPageList is a protected read-only TList property that stores pages in the list that are currently visible or accessible using page navigation methods.

HiddenPageList is maintained during calls to the HidePage and ShowPage methods. TJvCustomPage instances are added to HiddenPageList in HidePage. The page instances are removed from the hidden page list in ShowPage.

Created with Doc-O-Matic.


See Also

TJvCustomPage, HidePage, ShowPage, PrevPage, NextPage


TJvCustomPageList.OnChange event

TJvCustomPageList	See Also	Edit topic

Occurs immediately after a new page has been selected.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to take specific actions when the active page has changed. To access the new active page, access either the ActivePage or ActivePageIndex properties.

Created with Doc-O-Matic.


See Also

ActivePage, ActivePageIndex, OnChanging


TJvCustomPageList.OnChanging event

TJvCustomPageList	See Also	Edit topic

Occurs immediately before a new page is selected.

Pascal

TJvPageChangingEvent = procedure (Sender: TObject; PageIndex: Integer; var AllowChange: Boolean) of object;
property OnChanging: TJvPageChangingEvent;

Parameters

AllowChange

Set to false to disallow the change. This parameter is true by default.

PageIndex

The index of the page that is to become selected.

Sender

The page list that triggered the event.

Description

Write an OnChanging event handler to take specific action immediately before the selected page changes. Set the AllowChange parameter to false to prevent the change.

Use an OnChanging event handler to prevent the user from leaving a page until certain conditions have been met. An OnChanging event handler can also be used to save information about the current state of the page before it is changed by a new page selection.

To access the currently active page, access either the ActivePage or ActivePageIndex properties.

Created with Doc-O-Matic.


See Also

ActivePage, ActivePageIndex, OnChange


TJvCustomPageList.PageCount property

TJvCustomPageList	See Also	Edit topic

Indicates the number of pages in the Pages array.

Pascal

property PageCount: Integer;

Description

Use PageCount to determine the number of pages listed by the Pages property. PageCount is read-only.

To add a new page at design-time, right-click the page list and select "New page". To delete a page at design-time, right-click the control and select "Delete".

To add a new page at run-time, create the page dynamically and set its PageList property to the page list control that should contain it. To remove a page at run-time, set its PageList property to nil and then Free the page.

Created with Doc-O-Matic.


See Also

Pages


TJvCustomPageList.PageList property

TJvCustomPageList	See Also	Edit topic

Specifies the internal TList that holds the page instances at run-time.

Pascal

property PageList: TList;

Description

PageList is a reference to the internal TList that at run-time holds the TJvCustomPage instances that are owned by the control. You should normally not use this property. Instead, use the Pages property to directly access the pages in the list.

Created with Doc-O-Matic.


See Also

Pages, TJvCustomPage


TJvCustomPageList.Pages property

TJvCustomPageList	See Also	Edit topic

Lists all the pages in the page list control.

Pascal

property Pages [Index: Integer]: TJvCustomPage;

Description

Use Pages to gain direct access to a particular page in the page list control. For example, use Pages to disable individual pages. Specify which page to access using Index, where an Index of 0 specifies the first page, an Index of 1 specifies the second page, and so on. Each page is a TJvCustomPage or descendant object.

To locate a page in the page list by its position relative to another page, use the FindNextPage method. Please note that Pages is a read-only property. To add a page to a page control at design time, right click and select "New Page". To add a page to a page list control at runtime, create the page and set its PageList property to the page list control. To delete a page at design time, right click and selected "Delete". To delete a page at runtime, set its PageList property to nil and then destroy it by calling its Free method.

Created with Doc-O-Matic.


See Also

ActivePage, FindNextPage, PageList, TJvCustomPage


TJvCustomPageList.PropagateEnable property

TJvCustomPageList	See Also	Edit topic

Specifies if changes to the Enabled property is propagated to the controls parented by the page list.

Pascal

property PropagateEnable: Boolean;

Description

Use PropagateEnable to read or specify if child controls are disabled and enabled automatically when the Enabled property of the page list changes.

You cannot access child controls when the parent control is disabled but this is not normally reflected visually in Delphi controls. By setting PropagateEnabled to true, the Enabled property of the child controls is automatically changed in sync with the Parent component, making it visually obvious that the control is disabled or enabled.

Created with Doc-O-Matic.


See Also

Enabled


TJvCustomPageList.ShowDesignCaption property

TJvCustomPageList	Edit topic

Specifies if page captions are visible at design-time.

Pascal

property ShowDesignCaption: TJvShowDesignCaption;

Description

Use ShowDesignCaption to specify how the caption of contained pages are shown at design-time. Showing the caption can help keep track of which page is currently active without having to select the page list and look at its ActivePage property in the Object Inspector.

Page captions are always hidden at run-time.

Created with Doc-O-Matic.


TJvCustomPageList.AddPage method

TJvCustomPageList	Edit topic

Not documented

Pascal

procedure AddPage(const ACaption: string);

Parameters

ACaption

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.CanChange method

TJvCustomPageList	Edit topic

Not documented

Pascal

function CanChange(AIndex: Integer): Boolean; virtual;

Parameters

AIndex

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.DeletePage method

TJvCustomPageList	Edit topic

Not documented

Pascal

procedure DeletePage(Index: Integer);

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.FindNextPage method

TJvCustomPageList	See Also	Edit topic

Returns the page in the page list control before or after a specified page.

Pascal

function FindNextPage(CurPage: TJvCustomPage; GoForward: Boolean; IncludeDisabled: Boolean): TJvCustomPage;

Return Value

Returns the found page or nil if no matching page was found.

Parameters

CurPage: TJvCustomPage

The page where the search starts.

GoForward: Boolean

Set to true to search forward or to false to search backwards in the Pages array.

IncludeDisabled: Boolean

Set to true if you want to include disabled pages in the search, set to false to only include enabled pages.

Description

Call FindNextPage to locate a page in the page list control by its position relative to the page specified by the CurPage parameter. If the GoForward parameter is true, FindNextPage returns the next page in the page list control after CurPage. If GoForward is false, FindNextPage returns the previous page.

If CurPage is not a page in the page list control, FindNextPage returns the first page when GoForward is true or the last page when GoForward is false. If GoForward is true and CurPage is the last page in the page list control, FindNextPage returns the first page. If GoForward is false and CurPage is the first page in the page list control, FindNextPage returns the last page.

When IncludeDisabled is true, FindNextPage returns the next page even if it is disabled, if IncludeDisabled is false, FindNextPage returns the next enabled page.

Created with Doc-O-Matic.


See Also

Pages


TJvCustomPageList.GetPageCaption method

TJvCustomPageList	Edit topic

Not documented

Pascal

function GetPageCaption(AIndex: Integer): string; virtual;

Parameters

AIndex

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.GetPageClass method

TJvCustomPageList	Edit topic

Returns the class type for the pages in the page list control.

Pascal

function GetPageClass: TJvCustomPageClass;

Return Value

The class type of pages created by the page list.

Description

GetPageClass returns the class used to create pages in the page list. Override this method to return your own TJvCustomPage class in descendants of TJvCustomPageList.

Created with Doc-O-Matic.


TJvCustomPageList.GetPageCount method

TJvCustomPageList	Edit topic

Not documented

Pascal

function GetPageCount: Integer; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.HidePage method

TJvCustomPageList	See Also	Edit topic

Hides the specified page in the page list.

Pascal

function HidePage(Page: TJvCustomPage): TJvCustomPage; virtual;

Return Value

TJvCustomPage - Updated page or Nil when not owned by the current page list.

Parameters

Page: TJvCustomPage

Not documented

Description

HidePage is a TJvCustomPage function that moves the page specified in Page to the internal list of hidden (non-visible) pages.

When Page has been assigned, and is owned by the current page list, the return value for the method is the page instance after clearing the owner of the page instance. Otherwise the return value is Nil.

HidePage tries to select the next visible page in the list when ActivePage contains the page instance to be hidden. If no other page is available, ActivePage is set to the value Nil.

After calling HidePage, the page can no longer be accessed using the PrevPage and NextPage navigation methods.

Use ShowPage to move a page to the list of visible pages in the page list.

Created with Doc-O-Matic.


See Also

TJvCustomPage, ShowPage, PrevPage, NextPage


TJvCustomPageList.MovePage method

TJvCustomPageList	Edit topic

Not documented

Pascal

procedure MovePage(CurIndex: Integer; NewIndex: Integer);

Parameters

CurIndex

Not documented

NewIndex

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.NextPage method

TJvCustomPageList	See Also	Edit topic

Activates the page after the active page.

Pascal

procedure NextPage;

Description

Call NextPage to activate the next page after the active page. If the last page is active, NextPage moves to the first page. If there are no pages in the list or only one page, NextPage does nothing.

Created with Doc-O-Matic.


See Also

PrevPage


TJvCustomPageList.PageCaptionChanged method

TJvCustomPageList	Edit topic

Not documented

Pascal

procedure PageCaptionChanged(Index: Integer; const NewCaption: string); virtual;

Parameters

Index

Not documented

NewCaption

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.PrevPage method

TJvCustomPageList	See Also	Edit topic

Activates the page preceding the active page.

Pascal

procedure PrevPage;

Description

Call PrevPage to activate the page preceding the currently active page. If the first page is active, PrevPage moves to the last page. If there are no pages in the list or only one page, PrevPage does nothing.

Created with Doc-O-Matic.


See Also

FindNextPage, NextPage


TJvCustomPageList.SetActivePageIndex method

TJvCustomPageList	Edit topic

Not documented

Pascal

procedure SetActivePageIndex(AIndex: Integer); virtual;

Parameters

AIndex

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageList.ShowPage method

TJvCustomPageList	See Also	Edit topic

Updates the display order and visibility of a page in the list.

Pascal

function ShowPage(Page: TJvCustomPage; PageIndex: Integer = -1): TJvCustomPage; virtual;

Return Value

TJvCustomPage - The updated page object, or Nil when the page or page list does not exist.

Parameters

Page: TJvCustomPage

Page to display in the page list.

PageIndex: Integer = -1

Position for the specified page in the page list, or -1 when not found.

Description

ShowPage is a function used to activate the specified page in the page list.

Page is the TJvCustomPage instance to activate in the page list. When Page is Nil, or when Page has already been assigned to another page list, the return value for the method is Nil. Otherwise, the Page is updated to reflect the current page list as the owner of the TJvCustomPage instance.

PageIndex indicates the position the page should occupy in the page list. When PageIndex contains -1 (an unassigned index value), an existing page index is retained.

ShowPage causes the Page instance to be removed from the internal list of hidden (or non-visible) pages in the page list.

Use HidePage to move the specified page to the list of hidden (non-visible) pages.

Use ActivePage to access the page that currently has focus in the page list.

Use the navigation methods PrevPage and NextPage to access visible pages in the page list.

Created with Doc-O-Matic.


See Also

TJvCustomPage, HidePage, ActivePage, PrevPage, NextPage


TJvCustomPageListTreeView
JEDI-VCL Reference

TJvCustomPageListTreeView

Hierarchy	Properties	Events	 Edit topic

Base class for treeviews that has a PageList property of type IPageList.

Pascal

TJvCustomPageListTreeView = class(TJvExCustomTreeView);

File

JvPageListTreeView

Description

Use TJvCustomPageListTreeView as a base class when developing treeview components that should have the ability to be associated with an IPageList implementation.

TJvCustomPageListTreeView has the same functionality as a normal treeview but in addition it can also automatically change the active page of an IPageList implementation when the selected node changes. Internally, the TJvCustomPageListTreeView component creates its tree nodes as TJvPageIndexNodes. A TJvPageIndexNode has a PageIndex property that specifies which page in the PageList to active when the node is selected.

Since the nodes in the treeview is surfaced as normal TTreeNodes, you must typecast the TTreeNode to TJvPageIndexNode in code to access the PageIndex property.

To put a PageList enabled treeview on a form, don't create instances of TJvCustomPageListTreeView. Use the TJvPageListTreeView component instead. TJvPageListTreeView only publishes the properties of TJvCustomPageListTreeView without adding any new functionality.

Created with Doc-O-Matic.


TJvCustomPageListTreeView Properties

TJvCustomPageListTreeView	Legend

Properties

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomPageListTreeView Events

TJvCustomPageListTreeView	Legend

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomPageListTreeView

Legend

protected

published

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomPageListTreeView


TJvCustomPageListTreeView Members

TJvCustomPageListTreeView	Legend

Members

Properties

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomPageListTreeView.Items property

TJvCustomPageListTreeView	See Also	Edit topic

Lists the individual nodes that appear in the tree view control.

Pascal

property Items: TJvPageIndexNodes;

Description

Individual nodes in this tree view are TJvPageIndexNode objects but they are surfaced as standard TTreeNode objects. To access the additional properties and methods of the TJvPageIndexNode class, you must type cast the node to a TJvPageIndexNode. The individual nodes can be accessed by using the Items property along with the item's index into the tree view. For example, to access the second item in the tree view, you could use the following code.

    (Delphi)

      MyTreeNode := TreeView1.Items[1];

    (C++Builder)

      MyTreeNode = TreeView1->Items[1];

When setting this property at design-time in the Object Inspector the Tree View Items Editor appears. Use the New Item and New SubItem buttons to add items to the tree view. Use the Text property to modify what text is displayed in the label of the item.

At run-time nodes can be added and inserted by using the TTreeNodes methods AddChildFirst, AddChild, AddChildObjectFirst, AddChildObject, AddFirst, Add, AddObjectFirst, AddObject, and Insert.

Notes

Accessing tree view items by index can be time-intensive, particularly when the tree view contains many items. For optimal performance, try to design your application so that it has as few dependencies on the tree view’s item index as possible.

Created with Doc-O-Matic.


See Also

AddChildFirst, AddChild, AddChildObjectFirst, AddChildObject, AddFirst, Add, AddObjectFirst, AddObject, Insert


TJvCustomPageListTreeView.PageDefault property

TJvCustomPageListTreeView	See Also	Edit topic

Specifies the index of the default page.

Pascal

property PageDefault: Integer;

Description

Use DefaultPage to specify the value of the PageIndex property for new nodes. For example, settings this property to 0 will set the PageIndex of new nodes to 0, setting it to 1 will set the PageIndex to 1, etc.

Created with Doc-O-Matic.


See Also

TJvCustomPageListTreeView.PageLinks, TJvCustomPageListTreeView.PageList


TJvCustomPageListTreeView.PageLinks property

TJvCustomPageListTreeView	See Also	Edit topic

Used at design-time to set up the association between tree nodes and pages in a PageList.

Pascal

property PageLinks: TJvPageLinks;

Description

This property is only used at design-time to set up the association between a node and the page that should be displayed y the IPageList implementation when that node is selected. To set up a page link association at run-time, type cast the tree node to TJvPageIndexNode and set its PageIndex property.

Example:

    TJvPageIndexNode(JvCustomPageListTreeView1.Items[SomeIndex]).PageIndex := SomePageIndex;

The linking will only have effect if the PageList property has been assigned.

Created with Doc-O-Matic.


See Also

TJvCustomPageListTreeView.PageList, TJvPageIndexNode.PageIndex


TJvCustomPageListTreeView.PageList property

TJvCustomPageListTreeView	Edit topic

Specifies the IPageList implementation.

Pascal

property PageList: IPageList;

Description

Use the PageList property to associate an IPageList implementation with the treeview. If a PageList is assigned, the active page of the page list will change automatically when the user selects a new node in the treeview. The page that is activated is determined by the value of the selected nodes PageIndex property.

Created with Doc-O-Matic.


TJvCustomPanel
JEDI-VCL Reference

TJvCustomPanel

Hierarchy	Properties	Events	 Edit topic

The base class for custom panels.

Pascal

TJvCustomPanel = class(TJvExCustomPanel);

File

JvComponent

Description

TJvCustomPanel is the base class for custom panels within the JEDI VCL. The class defines one published property, AboutJVCL, that is used to display information about the currently installed JEDI-VCL release.

Created with Doc-O-Matic.


TJvCustomPanel Properties

TJvCustomPanel	Legend

Properties

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCustomPanel Events

TJvCustomPanel	Legend

Events

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomPanel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel


TJvCustomPanel Members

TJvCustomPanel	Legend

Members

Properties

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCustomPreviewControl
JEDI-VCL Reference

TJvCustomPreviewControl

Hierarchy	Properties	Methods	Events	 Edit topic

Control that can display a print preview window, simulating how a document would look if it was sent to a printing device.

Pascal

TJvCustomPreviewControl = class(TJvCustomControl);

File

JvPrvwDoc

Description

TJvCustomPreviewControl is the base class for controls that can display a print preview, zoom and scroll between pages. TJvCustomPreviewControl implements the basic behavior and descendant classes expose and extend it. Don't put a TJvCustomPreviewControl on a form. Instead, use one of the derived classes that publishes many of the properties of TJvCustomPreviewControl, like TJvPreviewControl.

Created with Doc-O-Matic.


TJvCustomPreviewControl Properties

TJvCustomPreviewControl	Legend

Properties

 BorderStyle

 DeviceInfo

 HideScrollBars

 OnHorzScroll

 OnVertScroll

 Options

 PageCount

 Pages

 ScrollBars

 SelectedPage

 Selection

 TopRow

 TotalCols

 TotalRows

 VisibleRows

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomPreviewControl Events

TJvCustomPreviewControl	Legend

Events

 OnAddPage

 OnAfterScroll

 OnChange

 OnDeviceInfoChange

 OnDrawPreviewPage

 OnOptionsChange

 OnScaleModeChange

 OnScrollHint

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomPreviewControl Methods

TJvCustomPreviewControl

Methods

Add

BeginUpdate

Clear

Delete

EndUpdate

First

IsUpdating

ItemAtPos

Last

Next

PrintRange

Prior

Created with Doc-O-Matic.


Legend

TJvCustomPreviewControl

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomPreviewControl


TJvCustomPreviewControl Members

TJvCustomPreviewControl	Legend

Members

Properties

 BorderStyle

 DeviceInfo

 HideScrollBars

 OnHorzScroll

 OnVertScroll

 Options

 PageCount

 Pages

 ScrollBars

 SelectedPage

 Selection

 TopRow

 TotalCols

 TotalRows

 VisibleRows

Events

 OnAddPage

 OnAfterScroll

 OnChange

 OnDeviceInfoChange

 OnDrawPreviewPage

 OnOptionsChange

 OnScaleModeChange

 OnScrollHint

Methods

Add

BeginUpdate

Clear

Delete

EndUpdate

First

IsUpdating

ItemAtPos

Last

Next

PrintRange

Prior

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomPreviewControl.BorderStyle property

TJvCustomPreviewControl	Edit topic

Specifies if the control has a single line border or not.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to control the appearance of the control's border.

Created with Doc-O-Matic.


TJvCustomPreviewControl.DeviceInfo property

TJvCustomPreviewControl	Edit topic

Provides information about the output device the preview is simulating.

Pascal

property DeviceInfo: TJvDeviceInfo;

Description

Use DeviceInfo to access information about the device that the preview is simulating. Change the ReferenceHandle property to change the device the preview is simulating. For example, to preview how a document would look on the currently selected printer, you could write:

    JvPrintPreview1.DeviceInfo.ReferenceHandle := Printer.Handle;

    // Update the rich edit preview

    JvPreviewRenderRichEdit1.CreatePreview(false);

Created with Doc-O-Matic.


TJvCustomPreviewControl.HideScrollBars property

TJvCustomPreviewControl	See Also	Edit topic

Indicates if scrollbars are hidden when not used.

Pascal

property HideScrollBars: Boolean;

Description

Use HideScrollBars to indicate whether scrollbars are hidden or disabled when not needed. If HideScrollBars is true, the scroll bars are hidden when they are not used. If HideScrollBars is false, the scrollbars are just disabled. Disabling scroll bars causes less flicker when the state of the scroll bars changes often.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.ScrollBars


TJvCustomPreviewControl.OnAddPage event

TJvCustomPreviewControl	See Also	Edit topic

Occurs when Add is called.

Pascal

TJvDrawPageEvent = procedure (Sender: TObject; PageIndex: Integer; Canvas: TCanvas; PageRect, PrintRect: TRect; var NeedMorePages: Boolean) of object;
property OnAddPage: TJvDrawPageEvent;

Parameters

PageRect

The coordinates of the entire page.

PrintRect

The coordinates of the printable area of the page.

NeedMorePages

Set this to true to automatically add more pages (OnAddPage is called repeatedly until NeedMorePages is set to false).

Sender

The object that called the event.

PageIndex

The index of the new page.

Canvas

The canvas to draw to.

Description

Write a handler for the OnAddPage event to draw the content of a newly added page. If you don't assign a handler to this event, nothing will be drawn on the page that was added by Add.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.Add, TJvCustomPreviewControl.OnDrawPreviewPage


TJvCustomPreviewControl.OnAfterScroll event

TJvCustomPreviewControl	Edit topic

Occurs after the preview has been scrolled,

Pascal

property OnAfterScroll: TNotifyEvent;

Description

Write a handler for the OnAfterScroll event to take specific actions after the preview has been scrolled.

Created with Doc-O-Matic.


TJvCustomPreviewControl.OnChange event

TJvCustomPreviewControl	Edit topic

Occurs when the content of the preview has changed.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler to take specific actions when the content of the preview has changed.

Created with Doc-O-Matic.


TJvCustomPreviewControl.OnDeviceInfoChange event

TJvCustomPreviewControl	See Also	Edit topic

Occurs when DeviceInfo has changed.

Pascal

property OnDeviceInfoChange: TNotifyEvent;

Description

Write a handler for OnDeviceInfoChange to take specific actions when DeviceInfo changes. For example, you can use this event to update the preview when the ReferenceHandle changes.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.DeviceInfo


TJvCustomPreviewControl.OnDrawPreviewPage event

TJvCustomPreviewControl	See Also	Edit topic

Occurs when a page is drawn in the preview.

Pascal

TJvDrawPreviewEvent = procedure (Sender: TObject; PageIndex: Integer; Canvas: TCanvas; PageRect, PrintRect: TRect) of object;
property OnDrawPreviewPage: TJvDrawPreviewEvent;

Parameters

PageRect

The coordinates of the entire page.

PrintRect

The coordinates of the printable area of the page.

Canvas

The canvas to draw to.

Sender

The object that called the event.

PageIndex

The index of the new page.

Description

Write a handler for the OnDrawPreviewPage to take specific actions when a page needs to be drawn in the preview.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnAddPage


TJvCustomPreviewControl.OnHorzScroll property

TJvCustomPreviewControl	See Also	Edit topic

Occurs when the user scrolls the preview horizontally.

Pascal

property OnHorzScroll: TScrollEvent;

Description

Write a handler for the OnHorzScroll to take specific actions when the user scrolls the preview using the horizontal scrollbar.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnVertScroll


TJvCustomPreviewControl.OnOptionsChange event

TJvCustomPreviewControl	See Also	Edit topic

Occurs when Options changes.

Pascal

property OnOptionsChange: TNotifyEvent;

Description

Write a handler for the OnOptionsChange event to take specific actions when Options changes.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnScaleModeChange, TJvCustomPreviewControl.Options


TJvCustomPreviewControl.OnScaleModeChange event

TJvCustomPreviewControl	See Also	Edit topic

Occurs when ScaleMode changes.

Pascal

property OnScaleModeChange: TNotifyEvent;

Description

Write a handler for the OnScaleModeChange event to take specific actions when the ScaleMode in Options changes.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnOptionsChange, TJvCustomPreviewControl.Options


TJvCustomPreviewControl.OnScrollHint event

TJvCustomPreviewControl	Edit topic

Occurs when the control needs to update its scrollbar hint window content.

Pascal

TJvScrollHintEvent = procedure (Sender: TObject; AScrollPos: Integer; var AHint: string) of object;
property OnScrollHint: TJvScrollHintEvent;

Parameters

AHint

The Hint to display.

AScrollPos

The current scroll bar position.

Sender

The object that called the event.

Description

Write a handler for the OnScrollHint event to update the scrollbar hint.

Created with Doc-O-Matic.


TJvCustomPreviewControl.OnVertScroll property

TJvCustomPreviewControl	See Also	Edit topic

Occurs when the user scrolls the preview vertically.

Pascal

property OnVertScroll: TScrollEvent;

Description

Write a handler for the OnVertScroll to take specific actions when the user scrolls the preview using the vertical scrollbar.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnHorzScroll


TJvCustomPreviewControl.Options property

TJvCustomPreviewControl	Edit topic

Specifies the available options for the control.

Pascal

property Options: TJvPreviewPageOptions;

Description

Use Options to specify options regarding shadows, page appearance and scaling behavior.

Created with Doc-O-Matic.


TJvCustomPreviewControl.PageCount property

TJvCustomPreviewControl	See Also	Edit topic

Indicates the number of pages in the control.

Pascal

property PageCount: Integer;

Description

Read PageCount to determine how many pages are in the control. Use PageCount along with Pages to access the individual pages using an index.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.Pages


TJvCustomPreviewControl.Pages property

TJvCustomPreviewControl	See Also	Edit topic

Provides access to the internal meta file pages using an index.

Pascal

property Pages [Index: Integer]: TMetafile;

Description

Use Pages for indexed access to the internal TMetafile pages. Meta files are device independent and are used to draw the content of the pages the same way regardless of the device context.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.PageCount


TJvCustomPreviewControl.ScrollBars property

TJvCustomPreviewControl	See Also	Edit topic

Determines whether the control has scroll bars.

Pascal

property ScrollBars: TScrollStyle;

Description

Use ScrollBars to give the control horizontal or vertical scroll bars.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.HideScrollBars


TJvCustomPreviewControl.SelectedPage property

TJvCustomPreviewControl	Edit topic

Specifies the currently highlighted page.

Pascal

property SelectedPage: Integer;

Description

Use SelectedPage to determine the currently selected page. Change SelectedPage to select another page. When a page is selected, the page is highlighted with a blue frame.

Created with Doc-O-Matic.


TJvCustomPreviewControl.Selection property

TJvCustomPreviewControl	Edit topic

Not documented

Pascal

property Selection: TJvPreviewSelection;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPreviewControl.TopRow property

TJvCustomPreviewControl	Edit topic

Specifies the current topmost visible row of pages.

Pascal

property TopRow: Integer;

Description

Use TopRow to specify which row of pages to display at the top of the control. TopRow is dynamically changed when the user scrolls the control using the scroll bars.

Notes

TopRow acts on a row basis, that is, if Cols is 2 and you TopRow is 2, the topmost displayed pages would be 4 and 5 (TopRow is 0-based) but if Cols is 1 and TopRow is 2, the top page would be 2 as well.

Created with Doc-O-Matic.


TJvCustomPreviewControl.TotalCols property

TJvCustomPreviewControl	See Also	Edit topic

Indicates the total number of columns in the preview.

Pascal

property TotalCols: Integer;

Description

Read TotalCols to determine the total number of columns currently in the preview.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.TotalRows


TJvCustomPreviewControl.TotalRows property

TJvCustomPreviewControl	See Also	Edit topic

Indicates the total number of rows in the preview.

Pascal

property TotalRows: Integer;

Description

Read TotalRows to determine the total number of rows currently in the preview.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.TotalCols


TJvCustomPreviewControl.VisibleRows property

TJvCustomPreviewControl	Edit topic

Indicates the total number of visible rows in the preview.

Pascal

property VisibleRows: Integer;

Description

Read VisibleRows to determine the total number of visible rows currently in the preview.

Created with Doc-O-Matic.


TJvCustomPreviewControl.Add method

TJvCustomPreviewControl	See Also	Edit topic

Adds a new page to the preview.

Pascal

function Add: TMetafile;

Return Value

True if the page was added, false otherwise.

Description

Call Add to add a new page to the preview. Add calls OnAddPage which in turn must be handled so it draws the page content on the new page.

You don't need to call Add if you are using a renderer to create the preview. Only use Add when creating custom previews.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnAddPage


TJvCustomPreviewControl.BeginUpdate method

TJvCustomPreviewControl	See Also	Edit topic

Suspends update processing.

Pascal

procedure BeginUpdate;

Description

Call BeginUpdate when making a series changes to the control's appearance or state. When all changes have been made, call EndUpdate to resume processing. Bracketing control changes with BeginUpdate and EndUpdate minimizes screen flicker and makes the application more efficient. Calls to BeginUpdate and EndUpdate can be nested.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.EndUpdate, TJvCustomPreviewControl.IsUpdating


TJvCustomPreviewControl.Clear method

TJvCustomPreviewControl	See Also	Edit topic

Remove all pages in the preview.

Pascal

procedure Clear;

Description

Call Clear to delete all pages in the preview.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.Delete


TJvCustomPreviewControl.Delete method

TJvCustomPreviewControl	See Also	Edit topic

Deletes a page in the preview.

Pascal

procedure Delete(Index: Integer);

Parameters

Index: Integer

The index of the page to delete.

Description

Call Delete to delete a single page.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.Clear


TJvCustomPreviewControl.EndUpdate method

TJvCustomPreviewControl	See Also	Edit topic

Re-enables update processing.

Pascal

procedure EndUpdate;

Description

EndUpdate terminates a sequence of control changes initiated by BeginUpdate.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.BeginUpdate, TJvCustomPreviewControl.IsUpdating


TJvCustomPreviewControl.First method

TJvCustomPreviewControl	See Also	Edit topic

Moves to the first page in the preview.

Pascal

procedure First;

Description

Call First to move to the first page in the preview.

Created with Doc-O-Matic.


See Also

Prior, TJvCustomPreviewControl.Last, TJvCustomPreviewControl.Next


TJvCustomPreviewControl.IsUpdating method

TJvCustomPreviewControl	See Also	Edit topic

Indicates if BeginUpdate has been called without a corresponding call to EndUpdate.

Pascal

function IsUpdating: Boolean;

Return Value

True if the control is in an update cycle.

Description

Read IsUpdating to determine if BeginUpdate has been called without the matching call to EndUpdate.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.BeginUpdate, TJvCustomPreviewControl.EndUpdate


TJvCustomPreviewControl.ItemAtPos method

TJvCustomPreviewControl	Edit topic

Returns the page at the specified position.

Pascal

function ItemAtPos(Pos: TPoint; Existing: Boolean): Integer;

Return Value

The index of the page or -1 if not found.

Parameters

Pos: TPoint

The position of the page in client coordinates.

Existing: Boolean

Set to true to only return existing pages. Set to false to return the index of the page that should have been at Pos if the preview contained that many pages

Description

Use ItemAtPos to find the page that is located on a specific position.

Created with Doc-O-Matic.


TJvCustomPreviewControl.Last method

TJvCustomPreviewControl	See Also	Edit topic

Moves to the last page in the preview.

Pascal

procedure Last;

Description

Call Last to move to the last page in the preview.

Created with Doc-O-Matic.


See Also

Prior, TJvCustomPreviewControl.First, TJvCustomPreviewControl.Next


TJvCustomPreviewControl.Next method

TJvCustomPreviewControl	See Also	Edit topic

Select the next page in the preview.

Pascal

procedure Next;

Description

Call Next to move to the next page in the preview.

Created with Doc-O-Matic.


See Also

Prior, TJvCustomPreviewControl.First, TJvCustomPreviewControl.Last


TJvCustomPreviewControl.PrintRange method

TJvCustomPreviewControl	See Also	Edit topic

Sends a range of pages to the IJvPrinter implementation.

Pascal

procedure PrintRange(const APrinter: IJvPrinter; StartPage: Integer; EndPage: Integer; Copies: Integer; Collate: Boolean);

Parameters

const APrinter: IJvPrinter

The IJvPrinter implementer. If this parameter is nil, no printing is performed.

StartPage: Integer

The first page of the print job. 0-based.

EndPage: Integer

The last page of the print job. 0-based.

Copies: Integer

The number of copies to print

Collate: Boolean

Set to true to collate (sort) the pages, false otherwise.

Description

Call PrintRange to send the preview pages to an IJvPrinter implementer with options. Depending on the implementer of IJvPrinter, the pages could be printed to any device like a printer but it could also be sent to other devices, like PDF files etc.

If you are using the TJvPreviewPrinter (it implements IJvPrinter), you do not need to call PrintRange. Instead, set the properties of TJvPreviewPrinter and call its Print method. Print will call PrintRange with the correct parameters, sending a pointer to itself in the APrinter parameter.

Notes

TJvCustomPreviewControl implements its own routines for StartPage, EndPage, Copies and Collate so the output device does not have to support this since it is handled internally.

Created with Doc-O-Matic.


See Also

IJvPrinter


TJvCustomPreviewControl.Prior method

TJvCustomPreviewControl	See Also	Edit topic

Select the previous page in the preview.

Pascal

procedure Prior;

Description

Call Prior to select the previous page in the preview.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.First, TJvCustomPreviewControl.Last, TJvCustomPreviewControl.Next


TJvCustomPreviewRenderer
JEDI-VCL Reference

TJvCustomPreviewRenderer

Hierarchy	Properties	Methods	 Edit topic

Base class for components that can render a print preview on a TJvCustomPreviewControl.

Pascal

TJvCustomPreviewRenderer = class(TJvComponent);

File

JvPrvwRender

Description

Use TJvCustomPreviewRenderer as a base class to derive from when you want to create components that can render a print preview. Override the abstract DoAddPage to create a print preview page by page.

Created with Doc-O-Matic.


TJvCustomPreviewRenderer Properties

TJvCustomPreviewRenderer	Legend

Properties

 PrintPreview

TJvComponent

 AboutJVCL

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomPreviewRenderer Methods

TJvCustomPreviewRenderer	Legend

Methods

 CreatePreview

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomPreviewRenderer

Legend

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomPreviewRenderer


TJvCustomPreviewRenderer Members

TJvCustomPreviewRenderer	Legend

Members

Properties

 PrintPreview

TJvComponent

 AboutJVCL

Methods

 CreatePreview

Legend

protected

published

virtual

Created with Doc-O-Matic.


Legend

protected

published

virtual


TJvCustomPreviewRenderer.PrintPreview property

TJvCustomPreviewRenderer	Edit topic

Specifies the print preview component that is associated with this renderer.

Pascal

property PrintPreview: TJvCustomPreviewControl;

Description

Read PrintPreview to determine the TJvCustomPreviewControl or descendant that displays the preview created by the renderer.

Created with Doc-O-Matic.


TJvCustomPreviewRenderer.CreatePreview method

TJvCustomPreviewRenderer	Edit topic

Called when a preview should be created.

Pascal

function CreatePreview(Append: Boolean): Boolean; virtual;

Return Value

True if the preview could be created, false otherwise.

Parameters

Append: Boolean

True if the preview should be appended to the existing preview or false if a new preview should be created

Description

CreatePreview is called by a TJvCustomPreviewControl when the user wants to create a preview.

Created with Doc-O-Matic.


TJvCustomRichEdit
JEDI-VCL Reference

TJvCustomRichEdit

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base type for rich edit controls such as TJvRichEdit.

Pascal

TJvCustomRichEdit = class(TJvExCustomMemo);

File

JvRichEdit

Description

TJvCustomRichEdit introduces new properties and methods to expand the capabilities of TCustomMemo for rich text.

Created with Doc-O-Matic.


TJvCustomRichEdit Properties

TJvCustomRichEdit	Legend

Properties

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 CanFindNext

 CanPaste

 CanRedo

DefAttributes

DefaultConverter

 ForceUndo

 HideScrollBars

 HideSelection

 LangOptions

 Lines

 OLEDragDrop

PageRect

 Paragraph

 PlainText

 RedoName

SelAttributes

 SelectionBar

 SelectionType

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UndoName

 UseFixedPopup

WordAttributes

 WordSelection

 Zoom

TJvExCustomMemo

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomRichEdit Events

TJvCustomRichEdit	Legend

Events

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvExCustomMemo

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomRichEdit Methods

TJvCustomRichEdit	Legend

Methods

AddFormatText

ClearUndo

CloseActiveObject

Filter

FindDialog

FindNext

FindText

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetTextRange

InsertFormatText

InsertGraphic

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

 Print

Redo

RegisterConversionFormat

RegisterMSTextConverters

ReplaceDialog

SaveToImage

SetSelection

StopGroupTyping

WordAtCursor

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomRichEdit

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomMemo, IJvExControl
        TJvExCustomMemo
            TJvCustomRichEdit


TJvCustomRichEdit Members

TJvCustomRichEdit	Legend

Members

Properties

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 CanFindNext

 CanPaste

 CanRedo

DefAttributes

DefaultConverter

 ForceUndo

 HideScrollBars

 HideSelection

 LangOptions

 Lines

 OLEDragDrop

PageRect

 Paragraph

 PlainText

 RedoName

SelAttributes

 SelectionBar

 SelectionType

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UndoName

 UseFixedPopup

WordAttributes

 WordSelection

 Zoom

TJvExCustomMemo

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvExCustomMemo

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

AddFormatText

ClearUndo

CloseActiveObject

Filter

FindDialog

FindNext

FindText

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetTextRange

InsertFormatText

InsertGraphic

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

 Print

Redo

RegisterConversionFormat

RegisterMSTextConverters

ReplaceDialog

SaveToImage

SetSelection

StopGroupTyping

WordAtCursor

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


See Also

TJvRichEdit


TJvCustomRichEdit.AdvancedTypography property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether the advanced typography option for line breaking and display is on.

Pascal

property AdvancedTypography: Boolean;

Description

Rich Edit 3.0 can use an advanced typography option for line breaking and display. This elegant option was added primarily to facilitate handling complex scripts (bidirectional, Indic, and Thai). In addition, a number of improvements occur for simple scripts. Examples are:

Center, right, decimal tabs (See TabLeader and TabAlignment).

Fully justified text (See Alignment).

Underline averaging, which provides a uniform underline even when adjacent text runs have different font sizes.

Notes

RichEdit 3.0

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AutoAdvancedTypography


TJvCustomRichEdit.AllowInPlace property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether to support in-place activation of objects.

Pascal

property AllowInPlace: Boolean;

Description

Set AllowInPlace to true to support in-place activation of objects.

In-place activation allows an object within a container application to be edited without leaving the application. For instance, in a rich edit control's document you might want to open a spreadsheet and a little window opens up allowing you to edit the numerical cells. In-Place Activation bring editing tools into the container instead of having to return to the editor to modify the object.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects


TJvCustomRichEdit.AllowObjects property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether the rich edit control can include embedded COM objects.

Pascal

property AllowObjects: Boolean;

Description

Use AllowObjects to specify whether the rich edit control can include embedded Component Object Model (COM) objects.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowInPlace, TJvCustomRichEdit.Title


TJvCustomRichEdit.AutoAdvancedTypography property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether to automatically turn on AdvancedTypography when needed.

Pascal

property AutoAdvancedTypography: Boolean;

Description

If AutoAdvancedTypography is true, AdvancedTypography is turned on in the following situations:

Property TabAlignment of Paragraph is set to a value other than taOrdinary.

Property TabLeader of Paragraph is set to a value other than tlNone.

Property Alignment of Paragraph is set to paJustify.

Notes

RichEdit 3.0

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AdvancedTypography


TJvCustomRichEdit.AutoURLDetect property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether the auto URL detection is turned on in the rich edit control.

Pascal

property AutoURLDetect: Boolean;

Description

Use AutoURLDetect to turn the auto URL detection on or off in the rich edit control.

When auto URL detection is on, the rich edit control is constantly checking typed text for a valid URL. The control recognizes URLs that start with these prefixes:

http:

file:

mailto:

ftp:

https:

gopher:

nntp:

prospero:

telnet:

news:

wais:

outlook:

The control also recognizes standard path names that start with \.

You can not set the Link property to true of specific text when AutoURLDetect is set to true.

Notes

RichEdit 2.0.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnURLClick


TJvCustomRichEdit.AutoVerbMenu property

TJvCustomRichEdit	See Also	Edit topic

Indicates whether to automatically display a verb menu when the user right-clicks an object.

Pascal

property AutoVerbMenu: Boolean;

Description

Set AutoVerbMenu to true, to automatically display a menu listing the verbs available for an object if the user right-clicks or otherwise invokes a popup menu for that object in the rich edit control.

If the user selects a verb from the popup menu, the rich edit control executes the action associated with that verb.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects


TJvCustomRichEdit.CanFindNext property

TJvCustomRichEdit	See Also	Edit topic

Indicates whether the performed search can be repeated.

Pascal

property CanFindNext: Boolean;

Description

Read CanFindNext to determine whether the search, initiated by a call to FindDialog, can be repeated. For example, you can use CanFindNext to disable or enable a 'Find Next' menu item.

Created with Doc-O-Matic.


See Also

FindText


TJvCustomRichEdit.CanPaste property

TJvCustomRichEdit	Edit topic

Indicates whether the rich edit control can paste.

Pascal

property CanPaste: Boolean;

Description

Read CanPaste to determine whether the control can paste any format currently on the clipboard.

Created with Doc-O-Matic.


TJvCustomRichEdit.CanRedo property

TJvCustomRichEdit	See Also	Edit topic

Indicates whether there are any actions in the control's redo queue.

Pascal

property CanRedo: Boolean;

Description

If CanRedo is true, there are actions in the control's redo queue. If CanRedo is false, the redo queue is empty.

To redo the most recent undo operation, call Redo.

Created with Doc-O-Matic.


See Also

TCustomMemo.Undo


TJvCustomRichEdit.DefAttributes property

TJvCustomRichEdit	See Also	Edit topic

Describes the rich text characteristics of the default font for the rich edit control.

Pascal

property DefAttributes: TJvTextAttributes;

Description

See Delphi help for more info.

DefAttributes is a TJvTextAttributes object, that works the same as the VCL's TTextAttributes object, and introduces some more properties. See TJvTextAttributes for an overview of these new properties.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.SelAttributes, TJvCustomRichEdit.WordAttributes, TJvTextAttributes


TJvCustomRichEdit.DefaultConverter property

TJvCustomRichEdit	See Also	Edit topic

Specifies the TJvConversion object that is used to convert between native file format and the internal format of a rich text control when working with files that do not have a registered extension.

Pascal

property DefaultConverter: TJvConversion;

Description

Use DefaultConverter to specify the type of conversion to use when streaming text to or from files that do not have a registered extension. If DefaultConverter is not set, TJvCustomRichEdit uses TJvConversion, which performs no actual conversion. TJvCustomRichEdit encodes text attributes in rich-text format (RTF); thus, unrecognized file extensions lead to no conversion, which works for files that contain plain text or any subset of RTF format.

To support streaming to or from files that encode rich text characteristics in some other format, register a conversion format with the file extension used by those files. Use DefaultConverter only to change the conversion that is used for unrecognized file extensions.

Notes

Use the Lines property to stream the text to or from a file.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.Lines, TJvCustomRichEdit.RegisterConversionFormat, TJvCustomRichEdit.RegisterMSTextConverters


TJvCustomRichEdit.ForceUndo property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether undo should be active for all types of text changes in the control.

Pascal

property ForceUndo: Boolean;

Description

Use ForceUndo to specify whether undo should be activated even for replacements in selection. When ForceUndo is false, changing the text of the control by assigning to the SelText property or by using the built-in text replace functions cannot be undone. Set ForceUndo to true to make undo available in these circumstances.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.ReplaceDialog, TJvCustomRichEdit.SelText


TJvCustomRichEdit.HideScrollBars property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether to hide or disable scroll bars when they are not needed.

Pascal

property HideScrollBars: Boolean;

Description

Set HideScrollBars to true to hide the scroll bars when they are not needed. Set HideScrollBars to false to disable them when they are not needed.

HideScrollBars is default set to true.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideSelection, TJvCustomRichEdit.SelectionBar


TJvCustomRichEdit.HideSelection property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether to hide the selection when the control loses the input focus.

Pascal

property HideSelection: Boolean;

Description

The default behavior of a rich edit control is to hide the selection when the control loses the input focus and to invert the selection when the control receives the input focus.

Set HideSelection to false, to override this default behavior and to keep the selected text inverted, if the control does not have the focus.

HideSelection is default set to true.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideScrollBars, TJvCustomRichEdit.SelectionBar


TJvCustomRichEdit.LangOptions property

TJvCustomRichEdit	Edit topic

Specifies the current language option settings.

Pascal

property LangOptions: TRichLangOptions;

Description

Use LangOptions to retrieve or set the options for Input Method Editor (IME) and Asian language support in the rich edit control.

Property LangOptions controls the following:

Automatic font binding.

Automatic keyboard switching.

Automatic font size adjustment.

Use of user-interface default fonts instead of document default fonts.

Notifications to client during IME composition.

How IME aborts composition mode.

The IMF_AUTOFONT flag is set by default. The IMF_AUTOKEYBOARD and IMF_IMECANCELCOMPLETE flags are clear by default.

Notes

RichEdit 2.0.

Created with Doc-O-Matic.


TJvCustomRichEdit.Lines property

TJvCustomRichEdit	See Also	Edit topic

Contains the individual lines of text in the rich text edit control.

Pascal

property Lines: TStrings;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.SelText


TJvCustomRichEdit.OLEDragDrop property

TJvCustomRichEdit	See Also	Edit topic

Indicates whether to allow OLE drag and drop.

Pascal

property OLEDragDrop: Boolean;

Description

Use OLEDragDrop to specify whether to allow OLE drag and drop.

OLE drag and drop allows the user to drag data (such as text or graphics) from one control or application to another (or the same) control or application.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.InsertGraphic


TJvCustomRichEdit.OnCloseFindDialog event

TJvCustomRichEdit	See Also	Edit topic

Occurs when the Find Text or Replace Text dialog box closes.

Pascal

TRichEditFindCloseEvent = procedure (Sender: TObject; Dialog: TFindDialog) of object;
property OnCloseFindDialog: TRichEditFindCloseEvent;

Parameters

Dialog

Specifies the Find Text or Replace Text dialog box.

Sender

Rich Edit control that has fired this event.

Description

Write an OnCloseFindDialog event handler to perform special processing when the Find Text or Replace Text dialog box closes.

The Find dialog can be displayed by a call to FindDialog. The Replace Text dialog can be displayed by a call to ReplaceDialog.

Example:

  procedure TForm1.JvRichEdit1CloseFindDialog(Sender: TObject; Dialog: TFindDialog);

  begin

    with JvRichEdit1 do

      if CanFocus then

        SetFocus;

  end;

Created with Doc-O-Matic.


See Also

CanFindNext, FindDialog, ReplaceDialog


TJvCustomRichEdit.OnConversionProgress event

TJvCustomRichEdit	Edit topic

Occurs when a rich edit control is importing or exporting.

Pascal

TRichEditProgressEvent = procedure (Sender: TObject; PercentDone: Integer) of object;
property OnConversionProgress: TRichEditProgressEvent;

Parameters

PercentDone

PercentDone is an approximation of how much of the operation has completed. Use PercentDone to update the position of a progress bar or other indicator.

Sender

Rich Edit control that has fired this event.

Description

For certain descendants of TJvConversion, OnConversionProgress occurs during import or export operations. OnConversionProgress allows applications to provide feedback to the user about the progress of the slow process.

Created with Doc-O-Matic.


TJvCustomRichEdit.OnHorizontalScroll event

TJvCustomRichEdit	See Also	Edit topic

Occurs when the user scrolls the horizontal scroll bar with the mouse or keyboard.

Pascal

property OnHorizontalScroll: TNotifyEvent;

Description

Write an OnHorizontalScroll event handler to respond when the user scrolls the horizontal scroll bar.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnVerticalScroll


TJvCustomRichEdit.OnInPlaceActivate event

TJvCustomRichEdit	Edit topic

Not documented

Pascal

property OnInPlaceActivate: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomRichEdit.OnInPlaceDeactivate event

TJvCustomRichEdit	Edit topic

Not documented

Pascal

property OnInPlaceDeactivate: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomRichEdit.OnProtectChange event

TJvCustomRichEdit	See Also	Edit topic

Occurs when a user attempts to modify text that is marked as protected.

Pascal

property OnProtectChange: TRichEditProtectChange;

Description

Write an OnProtectChange event handler to allow modification of text with the protected attribute. The StartPos and EndPos parameters indicate the beginning and end of the range of text that would be affected by the modification, where 0 is the first character in the text. To allow modification of protected text, set AllowChange to true.

To set or unset the protected attribute for a section of text, select the text and use the Protected property of the rich edit control’s SelAttributes property. To cause text to have the protected attribute by default, use the Protected property of the rich edit object’s DefAttributes property.

Notes

Obsolete, use OnProtectChangeEx

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnProtectChangeEx


TJvCustomRichEdit.OnProtectChangeEx event

TJvCustomRichEdit	See Also	Edit topic

Occurs when a user attempts to modify text that is marked as protected.

Pascal

TRichEditProtectChangeEx = procedure (Sender: TObject; const Msg: TMessage; StartPos, EndPos: Integer; var AllowChange: Boolean) of object;
property OnProtectChangeEx: TRichEditProtectChangeEx;

Parameters

EndPos

Indicates the end of the range of text, that would be affected by the modification, where 0 is the first character in the text.

AllowChange

Specifies whether to allow modification of protected text.

StartPos

Indicates the beginning of the range of text, that would be affected by the modification, where 0 is the first character in the text.

Sender

Rich Edit control that has fired this event.

Msg

Message that triggered the notification.

Description

Write an OnProtectChange event handler to allow modification of text with the protected attribute.

To allow modification of protected text, set AllowChange to true.

To set or unset the protected attribute for a section of text, select the text and use the Protected property of the rich edit control’s SelAttributes property. To cause text to have the protected attribute by default, use the Protected property of the rich edit object’s DefAttributes property.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Protected


TJvCustomRichEdit.OnResizeRequest event

TJvCustomRichEdit	Edit topic

Occurs when the text has grown either smaller or larger than the control's window size.

Pascal

property OnResizeRequest: TRichEditResizeEvent;

Description

Write an OnResizeRequest event handler to respond to notifications that the rich edit control is trying to resize due to changes in the text. The Rect parameter gives the desired bounding rectangle that will display all the text, in screen coordinates.

Created with Doc-O-Matic.


TJvCustomRichEdit.OnSaveClipboard event

TJvCustomRichEdit	Edit topic

Occurs when the window of the rich edit control is about to be destroyed and the control has delayed rendering of text copied to the clipboard.

Pascal

property OnSaveClipboard: TRichEditSaveClipboard;

Description

Write an OnSaveClipboard event handler to respond to notifications that the window of the rich edit control is about to be destroyed and the Clipboard needs information from the control. The parameter NumObjects is the number of objects on the Clipboard, and NumChars is the number of characters on the Clipboard. To clear all information about the rich edit control from the Clipboard, set SaveClipboard to false.

Created with Doc-O-Matic.


TJvCustomRichEdit.OnSelectionChange event

TJvCustomRichEdit	See Also	Edit topic

Occurs when the current selection changes.

Pascal

property OnSelectionChange: TNotifyEvent;

Description

Write an OnSelectionChange event handler to respond to changes in the selected text. Changes in selection can occur when the user changes the selection using the mouse or keyboard, or when the selection is changed through the SelText property. Portions of the selection can be changed through the Lines property.

Created with Doc-O-Matic.


See Also

TCustomMemo.SelStart, TCustomMemo.SelText


TJvCustomRichEdit.OnTextNotFound event

TJvCustomRichEdit	See Also	Edit topic

Occurs when the text entered by a user in a Find or Replace dialog could not be found.

Pascal

TRichEditFindErrorEvent = procedure (Sender: TObject; const FindText: string) of object;
property OnTextNotFound: TRichEditFindErrorEvent;

Parameters

FindText

Specifies the text the user entered.

Sender

Rich Edit control that has fired this event.

Description

Write an OnTextNotFound event handler to respond when the text entered by a user - specified by parameter FindText - in a Find or Replace dialog could not be found.

Example:

  procedure TForm1.JvRichEdit1TextNotFound(Sender: TObject;

    const FindText: string);

  begin

    MessageDlg(Format('Text "%s" not found.', [FindText]), mtWarning, [mbOK], 0); end;

Created with Doc-O-Matic.


See Also

FindDialog, ReplaceDialog


TJvCustomRichEdit.OnURLClick event

TJvCustomRichEdit	See Also	Edit topic

Occurs when the user clicks the mouse when the mouse pointer is over text that is a link.

Pascal

TRichEditURLClickEvent = procedure (Sender: TObject; const URLText: string; Button: TMouseButton) of object;
property OnURLClick: TRichEditURLClickEvent;

Parameters

Button

Identifies the mouse button the user used to click the text.

URLText

Specifies the text with the link attribute the user clicked.

Sender

Rich Edit control that has fired this event.

Description

Write an OnURLClick event handler to respond when the user clicks the mouse when the mouse pointer is over text that is marked as a link. Text that is marked as a link typically identifies a range of text that contains an URL. Applications can handle the OnURLClick event by For example starting a browser to view the location identified by the URL as specified by parameter URLText.

To set or unset the link attribute for a section of text, select the text and use the Link property of the rich edit control’s SelAttributes property.

If you set AutoURLDetect to true to enable automatic URL detection, the rich edit control automatically sets the link attribute for modified text that it identifies as a URL.

Example:

  procedure TForm1.JvRichEdit1URLClick(Sender: TObject; const URLText: string;

    Button: TMouseButton);

  begin

    if Button = mbLeft then

      ShellExecute(Handle, nil, PChar(URLText), nil, nil, SW_SHOW);

  end;

Notes

Rich Edit 2.0

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AutoURLDetect, TJvTextAttributes.Link


TJvCustomRichEdit.OnVerticalScroll event

TJvCustomRichEdit	See Also	Edit topic

Occurs when the user scrolls the vertical scroll bar with the mouse or keyboard.

Pascal

property OnVerticalScroll: TNotifyEvent;

Description

Write an OnVerticalScroll event handler to respond when the user scrolls the vertical scroll bar.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnHorizontalScroll


TJvCustomRichEdit.PageRect property

TJvCustomRichEdit	See Also	Edit topic

Specifies the dimensions, in pixels, of the logical page size used when printing the contents of a rich text edit control.

Pascal

property PageRect: TRect;

Description

Use PageRect to specify the logical page size used when formatting the contents of the rich edit control for printing. Specify the dimensions in pixels.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.Print


TJvCustomRichEdit.Paragraph property

TJvCustomRichEdit	See Also	Edit topic

Specifies the formatting information for the current paragraphs.

Pascal

property Paragraph: TJvParaAttributes;

Description

Paragraph is a TJvParaAttributes object, that works the same as the VCL's TParaAttributes object, and introduces some more properties. See TJvParaAttributes for an overview of these new properties.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnSelectionChange, TJvParaAttributes


TJvCustomRichEdit.PlainText property

TJvCustomRichEdit	See Also	Edit topic

Indicates whether the rich edit control's text is formatted or not.

Pascal

property PlainText: Boolean;

Description

Set PlainText to true to transform the rich edit control's text to plain unformatted text.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.StreamFormat, TJvCustomRichEdit.StreamMode


TJvCustomRichEdit.RedoName property

TJvCustomRichEdit	See Also	Edit topic

Indicates the type of the next action, if any, in the control's redo queue.

Pascal

property RedoName: TUndoName;

Description

Read RedoName to retrieve the type of the next action, if any, in the control's redo queue.

The types of actions that can be undone or redone include typing, delete, drag-drop, cut, and paste operations. This information can be useful for applications that provide an extended user interface for undo and redo operations, such as a drop-down list box of redoable actions.

Created with Doc-O-Matic.


See Also

TCustomMemo.Undo


TJvCustomRichEdit.SelAttributes property

TJvCustomRichEdit	See Also	Edit topic

Describes the rich text characteristics of the selected text in the rich edit control.

Pascal

property SelAttributes: TJvTextAttributes;

Description

Use SelAttributes to discover or set the font characteristics of the currently selected text. If no text is selected, SelAttributes represents the attributes of the cursor position.

When inserting new text, the font characteristics of the new text will match SelAttributes.

SelAttributes is a TJvTextAttributes object, that works the same as the VCL's TTextAttributes object, and introduces some more properties. See TJvTextAttributes for an overview of these new properties.

Notes

SelAttributes is available only at runtime.

Example:

  function TForm1.CurrText: TJvTextAttributes;

  begin

    if JvRichEdit1.SelLength > 0 then

      Result := JvRichEdit1.SelAttributes

    else

      Result := JvRichEdit1.WordAttributes;

  end;

  procedure TForm1.Button1Click(Sender: TObject);

  begin

    CurrText.Style := CurrText.Style + [fsBold];

  end;

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.DefAttributes, TJvCustomRichEdit.WordAttributes, TJvTextAttributes


TJvCustomRichEdit.SelectionBar property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether to show the selection bar.

Pascal

property SelectionBar: Boolean;

Description

The selection bar is an unmarked area to the left of each paragraph that when clicked, selects the line. Set SelectionBar to true to show the selection bar, set it to false, to hide it.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideScrollBars, TJvCustomRichEdit.HideSelection


TJvCustomRichEdit.SelectionType property

TJvCustomRichEdit	Edit topic

Indicates the selection type for the rich edit control.

Pascal

property SelectionType: TRichSelectionType;

Description

Use SelectionType to determine whether one or more COM objects are selected.

Created with Doc-O-Matic.


TJvCustomRichEdit.SelText property

TJvCustomRichEdit	See Also	Edit topic

Denotes the selected portion of the edit control’s text.

Pascal

property SelText: string;

Description

Read SelText to determine the value of the selected text. Set SelText to replace the selected text with a new string. If there is no selection, but the edit control has focus, set SelText to insert a new string into the text at the cursor.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.SelectionType, TJvCustomRichEdit.SetSelection


TJvCustomRichEdit.StreamFormat property

TJvCustomRichEdit	See Also	Edit topic

Specifies the format of the text when streaming to or from a file.

Pascal

property StreamFormat: TRichStreamFormat;

Description

Use StreamFormat to specify the format of the text when streaming to or from a file. The format can be either Rich Text Format (RTF) or plain text.

If you set StreamFormat to sfDefault, then property PlainText determines whether the format is RTF or plain text.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.PlainText, TJvCustomRichEdit.StreamMode


TJvCustomRichEdit.StreamMode property

TJvCustomRichEdit	See Also	Edit topic

Controls how the text is treated when streaming to or from a file.

Pascal

property StreamMode: TRichStreamModes;

Description

Use StreamMode to specify whether to

Only replace the contents of the current selection when loading a stream, and to only stream out the contents of the current selection, when saving to a stream.

Stream only keywords common to all languages in and out, i.e., ignore all language-specific RTF keywords.

Replace COM objects with spaces when streaming out.

Stream unicode text in and out.

Some flags are ignored depending on the value of StreamFormat. For example you must set StreamFormat to sfPlainText, or PlainText to true and StreamFormat to sfDefault to be able to stream unicode text in or out.)

Notes

Rich edit controls do not directly support streaming. Use the Lines property to stream to or from a file, For example to save the selected text as unicode to a file:

  with JvRichEdit1 do

  try

    StreamFormat := sfPlainText;

    StreamMode := [smSelection, smUnicode];

    Lines.SaveToFile(AFileName);

  finally

    StreamMode := [];

  end;

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.PlainText, TJvCustomRichEdit.StreamFormat


TJvCustomRichEdit.Title property

TJvCustomRichEdit	See Also	Edit topic

Specifies the caption of the window, that is displayed when a user selects to edit an embedded object.

Pascal

property Title: string;

Description

Use Title to specify a string that is displayed in the title bar of the window, displayed when a user opens an object for editing.

Notes

Property AllowObjects must be set to true, otherwise setting Title has no effect.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects


TJvCustomRichEdit.UndoLimit property

TJvCustomRichEdit	See Also	Edit topic

Specifies the maximum number of actions that can stored in the undo queue.

Pascal

property UndoLimit: Integer;

Description

Specifies the maximum number of actions that can be stored in the undo queue. The return value is the new maximum number of undo actions for the rich edit control. This value may be less than the value specified by UndoLimit if memory is limited.

By default, the maximum number of actions in the undo queue is 100. If you increase this number, there must be enough available memory to accommodate the new number. For better performance, set the limit to the smallest possible value.

Setting the limit to zero disables the Undo feature.

Created with Doc-O-Matic.


See Also

CanRedo, RedoName, UndoName, Redo, TCustomMemo.Undo


TJvCustomRichEdit.UndoName property

TJvCustomRichEdit	See Also	Edit topic

Indicates the type of the next undo action, if any.

Pascal

property UndoName: TUndoName;

Description

Read UndoName to retrieve the type of the next undo action, if any.

The types of actions that can be undone or redone include typing, delete, drag, drop, cut, and paste operations. This information can be useful for applications that provide an extended user interface for undo and redo operations, such as a drop-down list box of actions that can be undone.

This example changes the Caption and Enabled properties of 2 TMenuItem's in the OnChange event handler of a rich edit control named JvRichEdit1.

  procedure TForm1.JvRichEdit1Change(Sender: TObject);

  const

    UndoNames: array [TUndoName] of string =

      ('', 'typing', 'delete', 'drag and drop', 'cut', 'paste');

  begin   { Undo }

    UndoMenuItem.Enabled := JvRichEdit1.CanUndo;

    UndoMenuItem.Caption := '&Undo ' + UndoNames[JvRichEdit1.UndoName];

    { Redo }

    RedoMenuItem.Enabled := JvRichEdit1.CanRedo;

    RedoMenuItem.Caption := '&Redo ' + UndoNames[JvRichEdit1.RedoName];

  end;

Notes

Rich Edit 2.0

Created with Doc-O-Matic.


See Also

TCustomMemo.Undo


TJvCustomRichEdit.UseFixedPopup property

TJvCustomRichEdit	Edit topic

Not documented

Pascal

property UseFixedPopup: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomRichEdit.WordAttributes property

TJvCustomRichEdit	See Also	Edit topic

Describes the rich text characteristics of the selected text in the rich edit control.

Pascal

property WordAttributes: TJvTextAttributes;

Description

WordAttributes works the same way as SelAttributes, except if no text is selected, and the cursor position is inside a word, WordAttributes represents the attributes of that word at the cursor position.

WordAttributes is a TJvTextAttributes object, that works the same as the VCL's TTextAttributes object, and introduces some more properties. See TJvTextAttributes for an overview of these new properties.

Notes

WordAttributes is available only at runtime.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.DefAttributes, TJvCustomRichEdit.SelAttributes, TJvTextAttributes


TJvCustomRichEdit.WordSelection property

TJvCustomRichEdit	See Also	Edit topic

Specifies whether automatic selection of word on double-click is enabled.

Pascal

property WordSelection: Boolean;

Description

Set WordSelection to true, to enable automatic selection of word on double-click. Set WordSelection to false to disable it.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideSelection, TJvCustomRichEdit.SelectionBar


TJvCustomRichEdit.Zoom property

TJvCustomRichEdit	Edit topic

Specifies the zoom percentage.

Pascal

property Zoom: Integer;

Description

Use property Zoom to get or set the zoom percentage for the rich edit control. Set Zoom to 100 to turn off zooming.

Notes

RichEdit 3.0.

Created with Doc-O-Matic.


TJvCustomRichEdit.AddFormatText method (string, TFont)

TJvCustomRichEdit	See Also	Edit topic

Appends formatted text.

Pascal

procedure AddFormatText(const S: string; const AFont: TFont = nil); overload;
procedure AddFormatText(const S: string; FontStyle: TFontStyles; const FontName: string = ''; const FontColor: TColor = clDefault; FontHeight: Integer = 0); overload;

Parameters

const S: string

Specifies the string to insert.

const AFont: TFont = nil

Specifies the font to use. If AFont = nil, then the current attributes at the insertion point are used.

FontStyle: TFontStyles

Not documented

const FontName: string = ''

Not documented

const FontColor: TColor = clDefault

Not documented

FontHeight: Integer = 0

Not documented

Description

Call AddFormatText to append formatted text to the content of the rich edit control.

Notes

This procedure does not reset the attributes after the call, i.e if you change the text color it will remain that color until you change it again.

Created with Doc-O-Matic.


See Also

InsertGraphic , InsertFormatText


TJvCustomRichEdit.ClearUndo method

TJvCustomRichEdit	See Also	Edit topic

Empties all undo and redo buffers.

Pascal

procedure ClearUndo;

Description

Call ClearUndo to empty all undo and redo buffers.

Created with Doc-O-Matic.


See Also

TCustomMemo.CanUndo, TCustomMemo.Undo


TJvCustomRichEdit.CloseActiveObject method

TJvCustomRichEdit	Edit topic

Not documented

Pascal

procedure CloseActiveObject;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomRichEdit.Filter method

TJvCustomRichEdit	See Also	Edit topic

Returns the file masks of the registered converters.

Pascal

class function Filter(const AKind: TJvConversionKind): string;

Return Value

Returns the file masks of the registered converters.

Parameters

const AKind: TJvConversionKind

Indicates whether to retrieve a file mask for an import operation or an export operation.

Description

Call Filter to retrieve a file mask of the files that can be imported or exported by the registered converters. For example, you can use the return value of a Filter call to set the Filter property of a TOpenDialog component.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.RegisterConversionFormat


TJvCustomRichEdit.FindDialog method

TJvCustomRichEdit	See Also	Edit topic

Displays the Find Text dialog box.

Pascal

function FindDialog(const SearchStr: string): TFindDialog;

Return Value

Returns a reference to the created Find Text dialog.

Parameters

const SearchStr: string

Default search string that appears in the edit box when the dialog opens.

Description

Call FindDialog to display the Find Text dialog box, that prompts the user for a search string. If the user presses the Find Next button, a search for the entered search string is performed. If the search string is found the rich edit control selects the found string. If the search string is not found an OnTextNotFound event is fired. If the user closes the dialog an OnCloseFindDialog is fired.

Notes

If HideSelection is set to true (as is the default), you won't see the highlighted string, because the Find Text dialog will have the focus. You might want to set HideSelection to false before calling FindDialog, and set it to its old value in an OnCloseFindDialog event handler.

Created with Doc-O-Matic.


See Also

CanFindNext, FindText, ReplaceDialog


TJvCustomRichEdit.FindNext method

TJvCustomRichEdit	See Also	Edit topic

Searches again for the string specified by the user in the Find Text or Replace Text dialog.

Pascal

function FindNext: Boolean;

Return Value

Returns true if the search text could be found, otherwise returns false.

Description

Call FindNext to search for the next string - specified by the user in the Find Text or Replace Text dialog - in the text of the rich edit control.

For example, you can call this method when the user presses a 'Find Next' menu item. You can check CanFindNext, to check whether a find next operation can be performed. Note that if a Replace Text dialog is displayed, calling FindNext doesn't perform a replace operation, it just searches for the next string. Also note that if the user closes the dialog, a find next operation can still be performed.

Created with Doc-O-Matic.


See Also

CanFindNext, FindDialog, FindText, ReplaceDialog


TJvCustomRichEdit.FindText method

TJvCustomRichEdit	See Also	Edit topic

Searches a given range in the text for a target string.

Pascal

function FindText(const SearchStr: string; StartPos: Integer; Length: Integer; Options: TRichSearchTypes): Integer;

Return Value

Returns the position of the search string, where 0 is the position of the first character in the rich edit control (as opposed to the first position n the search range). If the search string does not appear in the indicated range, FindText returns -1.

Parameters

const SearchStr: string

Specifies the string to find.

StartPos: Integer

Indicates the beginning of the range of text that should be searched, where 0 is the first character in the text.

Length: Integer

Indicates the length of the text that should be searched.

Options: TRichSearchTypes

Specifies the parameters of the search operation.

Description

Use FindText to search a range of text in the rich edit control for the string specified by the SearchStr parameter. Only the text in the range starting at the position StartPos and continuing through the next Length positions will be searched.

Use FindText rather than programmatically searching through the text of the control, to keep from being thrown off by the encoding of rich text characteristics.

Use Options to specify whether to

Search only for whole words that match the search string.

Perform a case-sensitive or case-insensitive search operation.

Search backward or forward.

Select the found text, and scroll it into view.

Created with Doc-O-Matic.


See Also

CanFindNext, FindDialog


TJvCustomRichEdit.GetCharPos method

TJvCustomRichEdit	Edit topic

Retrieves the client area coordinates of a specified character in the rich edit control.

Pascal

function GetCharPos(CharIndex: Integer): TPoint;

Return Value

Return value is of type TPoint, and contains the client area coordinates of the character.

Parameters

CharIndex: Integer

Specifies the zero-based index of the character.

Description

A returned coordinate can be a negative value if the specified character is not displayed in the edit control's client area. The coordinates are truncated to integer values.

If the character is a line delimiter, the returned coordinates indicate a point just beyond the last visible character in the line. If the specified index is greater than the index of the last character in the control, the returned coordinates indicate the position just past the last character in the control.

Created with Doc-O-Matic.


TJvCustomRichEdit.GetLineIndex method

TJvCustomRichEdit	See Also	Edit topic

Retrieves the character index of the first character of a specific line.

Pascal

function GetLineIndex(LineNo: Integer): Integer;

Return Value

Returns the character index of the line specified in the LineNo parameter, or –1 if the specified line number is greater than the number of lines in the rich edit control.

Parameters

LineNo: Integer

Specifies the zero-based line number. A value of –1 specifies the current line number (the line that contains the caret).

Description

Call GetLineIndex to retrieve the character index of the first character of the line specified by the LineNo parameter in the rich edit control. A character index is the zero-based index of the character from the beginning of the control.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.GetLineLength


TJvCustomRichEdit.GetLineLength method

TJvCustomRichEdit	See Also	Edit topic

Retrieves the length, in characters, of a specific line.

Pascal

function GetLineLength(CharIndex: Integer): Integer;

Return Value

Returns the length, in characters, of the line specified by the CharIndex parameter. It does not include the carriage-return character at the end of the line. If CharIndex is greater than the number of characters in the control, the return value is zero.

Parameters

CharIndex: Integer

Specifies the character index of a character in the line whose length is to be retrieved. This parameter can be –1. In this case, GetLineLength returns the number of unselected characters on lines containing selected characters.

Description

Call GetLineLength to retrieve the length, in characters, of a line in the rich edit control. Alternatively, call GetLineIndex to retrieve a character index for a given line number.

If you set parameter CharIndex to -1, GetLineLength returns the number of unselected characters on lines containing selected characters. For example, if the selection extended from the fourth character of one line through the eighth character from the end of the next line, the return value would be 10 (three characters on the first line and seven on the next).

Retrieve the length of the current line:

    LengthCurrentLine := JvRichEdit1.GetLineLength(JvRichEdit1.GetLineIndex(-1));

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.GetLineIndex


TJvCustomRichEdit.GetSelection method

TJvCustomRichEdit	Edit topic

Retrieves the starting and ending character positions of the selection.

Pascal

function GetSelection: TCharRange;

Return Value

Return value is of type TCharRange and contains the selection range.

Description

Call GetSelection to retrieve the starting and ending character positions of the selection in the rich edit control.

Created with Doc-O-Matic.


TJvCustomRichEdit.GetTextRange method

TJvCustomRichEdit	See Also	Edit topic

Retrieves a specified range of characters from the rich edit control.

Pascal

function GetTextRange(StartPos: Longint; EndPos: Longint): string;

Return Value

Returns the specified range of characters as a string.

Parameters

StartPos: Longint

Indicates the beginning of the range of text, where 0 is the first character in the text.

EndPos: Longint

Indicates the end of the range of text, where 0 is the first character in the text.

Description

Call GetTextRange to retrieve a specified range of characters from the rich edit control.

Created with Doc-O-Matic.


See Also

TCustomMemo.CaretPos


TJvCustomRichEdit.InsertFormatText method (Integer, string, TFont)

TJvCustomRichEdit	See Also	Edit topic

Inserts formatted text at a specific position.

Pascal

procedure InsertFormatText(Index: Integer; const S: string; const AFont: TFont = nil); overload;
procedure InsertFormatText(Index: Integer; const S: string; FontStyle: TFontStyles; const FontName: string = ''; const FontColor: TColor = clDefault; FontHeight: Integer = 0); overload;

Parameters

Index: Integer

The cursor position where the text will be inserted. If Index < 0, the text is inserted at the current SelStart position.

const S: string

Specifies the string to insert.

const AFont: TFont = nil

Specifies the font to use. If AFont = nil, then the current attributes at the insertion point are used.

FontStyle: TFontStyles

Not documented

const FontName: string = ''

Not documented

const FontColor: TColor = clDefault

Not documented

FontHeight: Integer = 0

Not documented

Description

Call InsertFormatText to insert formatted text at the cursor position given by parameter Index.

Notes

This procedure does not reset the attributes after the call, i.e if you change the text color it will remain that color until you change it again.

Created with Doc-O-Matic.


See Also

AddFormatText, InsertGraphic


TJvCustomRichEdit.InsertGraphic method

TJvCustomRichEdit	See Also	Edit topic

Inserts a graphic at the current cursor position.

Pascal

procedure InsertGraphic(AGraphic: TGraphic; const Sizeable: Boolean);

Parameters

AGraphic: TGraphic

Specifies the graphic to insert.

const Sizeable: Boolean

Specifies whether the graphic can be resized by the user.

Description

Call InsertGraphic to insert a graphic at the current cursor position.

If parameter Sizeable is set to false, but property OLEDragDrop is true, then the user can drag and drop the image, and then resize the image. Set OLEDragDrop to false to completely prevent the user from resizing the image. Another way is to set ReadOnly to true.

Code example:

  procedure AddImageToRichEdit(AImageList: TImageList; const AImageIndex: Integer);

  var

    Bitmap: TBitmap;

  begin

    Bitmap := TBitmap.Create;

    try

      AImageList.GetBitmap(AImageIndex, Bitmap);

      JvRichEdit1.InsertGraphic(Bitmap, False);

      { Move cursor }

      with JvRichEdit1.GetSelection do

        JvRichEdit1.SetSelection(cpMin + 1, cpMin + 1, False);

    finally

      Bitmap.Free;

    end;

  end;

Notes

InsertGraphic is slower than BitmapToRTF and BitmapToRTF2, but only with InsertGraphic you can stream out RTF content that includes the inserted graphics.

Created with Doc-O-Matic.


See Also

BitmapToRTF, BitmapToRTF2, InsertFormatText


TJvCustomRichEdit.InsertObjectDialog method

TJvCustomRichEdit	See Also	Edit topic

Displays the standard Insert Object dialog box.

Pascal

function InsertObjectDialog: Boolean;

Return Value

Returns true if the dialog could be displayed and the user pressed the OK button, otherwise returns false.

Description

Call InsertObjectDialog to display the standard Insert Object dialog box, which allows the user to select an object source and class name, as well as the option of displaying the object as itself or as an icon.

Notes

Property AllowObjects must be set to true, otherwise no dialog will be displayed.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects, TJvCustomRichEdit.ObjectPropertiesDialog, TJvCustomRichEdit.PasteSpecialDialog


TJvCustomRichEdit.LineFromChar method

TJvCustomRichEdit	Edit topic

Returns which line contains the specified character.

Pascal

function LineFromChar(CharIndex: Integer): Integer;

Return Value

Returns the zero-based index of the line.

Parameters

CharIndex: Integer

Zero-based index of the character.

Description

Call LineFromChar to retrieve which line contains the character specified by parameter CharIndex in the rich edit control.

Created with Doc-O-Matic.


TJvCustomRichEdit.ObjectPropertiesDialog method

TJvCustomRichEdit	See Also	Edit topic

Displays the Object Properties dialog box.

Pascal

function ObjectPropertiesDialog: Boolean;

Return Value

Returns true if the dialog could be displayed and the user pressed the OK button, otherwise returns false.

Description

Call ObjectPropertiesDialog to display the Object Properties dialog box, which displays General, View, and Link information about an object.

Notes

Property AllowObjects must be set to true, otherwise no dialog will be displayed.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects, TJvCustomRichEdit.InsertObjectDialog, TJvCustomRichEdit.PasteSpecialDialog


TJvCustomRichEdit.PasteSpecialDialog method

TJvCustomRichEdit	See Also	Edit topic

Displays the standard Paste Special dialog box.

Pascal

function PasteSpecialDialog: Boolean;

Return Value

Returns true if the dialog could be displayed and the user pressed the OK button, otherwise returns false.

Description

Call PasteSpecialDialog to display the standard Paste Special dialog box, allowing the user to select the format of the clipboard object to be pasted or paste-linked.

The following formats are accepted:

Embedded object.

Linked Object.

Rich Text Format (RTF).

Rich Text Format without objects.

Unformatted text.

Windows bitmap.

With applications that support OLE, the user can initiate the transfer from either the server or the container. For example, the server can copy data to the clipboard in the server application, then switch to the container application and choose Paste Special/Embedded Object or an equivalent menu command to create a new embedded object from the selected data. Or the user can drag the data from one application to the other. The process is similar for creating a linked object.

Notes

Property AllowObjects must be set to true, otherwise no dialog will be displayed.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects, TJvCustomRichEdit.InsertObjectDialog, TJvCustomRichEdit.ObjectPropertiesDialog


TJvCustomRichEdit.Print method

TJvCustomRichEdit	See Also	Edit topic

Formats and prints the contents of the rich edit control.

Pascal

procedure Print(const Caption: string); virtual;

Parameters

const Caption: string

Specifies the title that appears in the print manager and on network title pages.

Description

Use Print to print the contents of the rich edit control.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.PageRect


TJvCustomRichEdit.Redo method

TJvCustomRichEdit	See Also	Edit topic

Redoes the next action in the control's redo queue.

Pascal

procedure Redo;

Description

Call Redo to redo the next action in the control's redo queue.

To determine whether there are any actions in the control's redo queue, check property CanRedo.

Created with Doc-O-Matic.


See Also

TCustomMemo.Undo


TJvCustomRichEdit.RegisterConversionFormat method

TJvCustomRichEdit	See Also	Edit topic

Registers an association between a file extension and a TJvConversion object that can convert between the native file format and rich text format (RTF) or plain text.

Pascal

class procedure RegisterConversionFormat(AConverter: TJvConversion);

Parameters

AConverter: TJvConversion

The converter to register.

Description

Rich edit controls encode text attributes in RTF format or plain text. To read from or write to files that encode text attributes in some other format, a converter is required. The converter is a descendant of TJvConversion that translates between the native file format and RTF or plain text when the text is streamed in or out. RegisterConversionFormat sets up an association between a file extension and a converter, so that all attempts to stream between a file with that extension and a rich edit control automatically invoke the appropriate converter.

Notes

Use the Lines property to stream the text to or from a file.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.DefaultConverter, TJvCustomRichEdit.Lines, TJvCustomRichEdit.PlainText, TJvCustomRichEdit.RegisterMSTextConverters


TJvCustomRichEdit.RegisterMSTextConverters method

TJvCustomRichEdit	See Also	Edit topic

Registers the text converters supplied by Microsoft.

Pascal

class procedure RegisterMSTextConverters;

Description

Call RegisterMSTextConverters to register the text converters supplied by Microsoft. These converters can import or export RTF from or to some other format, for example Word documents or html pages.

RegisterMSTextConverters sets up associations between file extension and MS converters, so that all attempts to stream between a file with that extension and a rich edit control automatically invoke the appropriate converter.

RegisterMSTextConverters registers a TJvMSTextConversion instance for each item found in:

  HKEY_LOCAL_MACHINE\Software\Microsoft\Shared Tools\Text Converters

Notes

Registered converters apply to all rich edit controls.

Created with Doc-O-Matic.


See Also

RegisterConversionFormat


TJvCustomRichEdit.ReplaceDialog method

TJvCustomRichEdit	See Also	Edit topic

Displays the Replace Text dialog box.

Pascal

function ReplaceDialog(const SearchStr: string; const ReplaceStr: string): TReplaceDialog;

Return Value

Returns a reference to the created Replace Text dialog.

Parameters

const SearchStr: string

Default search string that appears in the edit box when the dialog opens.

const ReplaceStr: string

Default replacement string that appears in the edit box when the dialog opens.

Description

Call ReplaceDialog to display the Replace Text dialog box, that prompts the user for both a search string and a replace string. If the user presses the Find Next button, a search for the entered search string is performed. If the search string is found the rich edit control selects the found string. If the search string is not found an OnTextNotFound event is fired. If the user closes the dialog an OnCloseFindDialog is fired.

Notes

If HideSelection is set to true (as is the default), you won't see the highlighted string, because the Replace Text dialog will have the focus. You might want to set HideSelection To false before calling ReplaceDialog, and set it to its old value in an OnCloseFindDialog event handler.

Created with Doc-O-Matic.


See Also

FindDialog


TJvCustomRichEdit.SaveToImage method

TJvCustomRichEdit	Edit topic

Copies the complete text in the rich edit control to an image.

Pascal

procedure SaveToImage(Picture: TPicture);

Parameters

Picture: TPicture

The image to copy the text in the rich edit control to.

Description

Call SaveToImage to copy the complete text in the rich edit control to an image.

Created with Doc-O-Matic.


TJvCustomRichEdit.SetSelection method

TJvCustomRichEdit	Edit topic

Selects a range of characters and/or Component Object Model (COM) objects in the rich edit control.

Pascal

procedure SetSelection(StartPos: Longint; EndPos: Longint; ScrollCaret: Boolean);

Parameters

StartPos: Longint

Indicates the beginning of the range of text, where 0 is the first character in the text.

EndPos: Longint

Indicates the end of the range of text, where 0 is the first character in the text.

ScrollCaret: Boolean

Specifies whether to scroll the caret into view in an edit control.

Description

Call SetSelection to select the indicated range of characters in the rich edit control. If StartPos is the same as EndPos, SetSelection positions the cursor at the StartPos character.

For example, call:

  SetSelection(0, 0, True);

to scroll to the first position of the rich edit control

Created with Doc-O-Matic.


TJvCustomRichEdit.StopGroupTyping method

TJvCustomRichEdit	See Also	Edit topic

Stops the control from collecting additional typing actions into the current undo action.

Pascal

procedure StopGroupTyping;

Description

Call StopGroupTyping to stop the control from collecting additional typing actions into the current undo action. The control stores the next typing action, if any, into a new action in the undo queue.

A rich edit control groups consecutive typing actions, including characters deleted by using the BackSpace key, into a single undo action until one of the following events occurs:

StopGroupTyping is called.

The control loses focus.

The user moves the current selection, either by using the arrow keys or by clicking the mouse.

The user presses the delete key.

The user performs any other action, such as a paste operation that does not involve typing.

You can call StopGroupTyping to break consecutive typing actions into smaller undo groups. For example, you could call it after each character or at each word break.

Notes

Rich Edit 2.0.

Created with Doc-O-Matic.


See Also

TCustomMemo.Undo


TJvCustomRichEdit.WordAtCursor method

TJvCustomRichEdit	See Also	Edit topic

Returns the word at the current position in the rich edit control.

Pascal

function WordAtCursor: string;

Return Value

The word at the current position in the rich edit control.

Description

Read WordAtCursor to retrieve the word at the current position in the rich edit control.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.GetSelection, TJvCustomRichEdit.GetTextRange


TJvCustomRollOut
JEDI-VCL Reference

TJvCustomRollOut

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for panels that can have their size collapsed and expanded.

Pascal

TJvCustomRollOut = class(TJvCustomPanel);

File

JvRollOut

Description

Derive a new control from TJvCustomRollOut when you need a panel-like control that can be easily expanded and collapsed. To drop a control on a form, don't use TJvCustomRollOut. Instead, use a control that publishes all properties and events of TJvCustomRollOut, like TJvRollOut.

Created with Doc-O-Matic.


TJvCustomRollOut Properties

TJvCustomRollOut	Legend

Properties

 ButtonHeight

 ChildOffset

 Collapsed

 Colors

 GroupIndex

 ImageOptions

 Placement

 ShowFocus

 ToggleAnywhere

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomRollOut Events

TJvCustomRollOut	Legend

Events

 OnCollapse

 OnExpand

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomRollOut Methods

TJvCustomRollOut	Legend

Methods

 Collapse

 Expand

MouseIsOnButton

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomRollOut

Legend

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel
                TJvCustomRollOut


TJvCustomRollOut Members

TJvCustomRollOut	Legend

Members

Properties

 ButtonHeight

 ChildOffset

 Collapsed

 Colors

 GroupIndex

 ImageOptions

 Placement

 ShowFocus

 ToggleAnywhere

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnCollapse

 OnExpand

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 Collapse

 Expand

MouseIsOnButton

Legend

protected

published

virtual

Created with Doc-O-Matic.


Legend

protected

published

virtual


TJvCustomRollOut.ButtonHeight property

TJvCustomRollOut	See Also	Edit topic

Specifies the size of the button at the top (left) of the rollout.

Pascal

property ButtonHeight: Integer;

Description

Use ButtonHeight to specify the size of the button at the top (left) of the rollout. The size is applied to the button depending on the value of the Placement property. If the button is displayed at the top, ButtonHeight adjusts the height, if the button is displayed on the left, ButtonHeight adjusts the width of the button instead.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Placement


TJvCustomRollOut.ChildOffset property

TJvCustomRollOut	Edit topic

Specifies the top/left margin of the control.

Pascal

property ChildOffset: Integer;

Description

Use ChildOffset to specify the top/left edge of the control. Child controls placed outside this edge, will be realigned to be placed inside the edge.

Created with Doc-O-Matic.


TJvCustomRollOut.Collapsed property

TJvCustomRollOut	See Also	Edit topic

Specifies whether the rollout is collapsed or not.

Pascal

property Collapsed: Boolean;

Description

Use Collapsed to specify if the rollout is collapsed or not. Setting Collapsed to true is the same as calling Collapse.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Expand


TJvCustomRollOut.Colors property

TJvCustomRollOut	Edit topic

Specifies the colors for various parts of the control.

Pascal

property Colors: TJvRollOutColors;

Description

Use Colors to customize the way the rollout looks. Colors controls such aspects of the rollout as the colors of the edges, the color of the button and the background color of the control.

Created with Doc-O-Matic.


TJvCustomRollOut.GroupIndex property

TJvCustomRollOut	Edit topic

Index of the group this rollout belongs to.

Pascal

property GroupIndex: Integer;

Description

GroupIndex holds the index of the group this rollout is part of. If several rollouts have a GroupIndex > 0, they will behave as a radio group: when one rollout is expanded, the others are collapsed. To disable the radio group behavior, set GroupIndex to 0.

Created with Doc-O-Matic.


TJvCustomRollOut.ImageOptions property

TJvCustomRollOut	Edit topic

Specifies options acting on the images on the button.

Pascal

property ImageOptions: TJvRollOutImageOptions;

Description

Use ImageOptions to specify settings regarding the image display on the rollout button.

Created with Doc-O-Matic.


TJvCustomRollOut.OnCollapse event

TJvCustomRollOut	See Also	Edit topic

Occurs when the rollout is collapsed.

Pascal

property OnCollapse: TNotifyEvent;

Description

Write a handler for OnCollapse to take specific action when the rollout is collapsed.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Collapsed, TJvCustomRollOut.Expand, TJvCustomRollOut.OnExpand


TJvCustomRollOut.OnExpand event

TJvCustomRollOut	See Also	Edit topic

Occurs when the rollout is expanded.

Pascal

property OnExpand: TNotifyEvent;

Description

Write a handler for OnCollapse to take specific action when the rollout is expanded.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Collapsed, TJvCustomRollOut.Expand, TJvCustomRollOut.OnCollapse


TJvCustomRollOut.Placement property

TJvCustomRollOut	See Also	Edit topic

Specifies where the button is located and how the rollout is expanded and collapsed.

Pascal

property Placement: TJvPlacement;

Description

Use Placement to control how the rollout expands and collapses as you call Collapse and Expand. To place the button on the left edge and make the rollout expand and collapse its width, set Placement to plLeft. To place the button at the top and make the rollout expand and collapse its height, set Placement to plTop.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Collapsed, TJvCustomRollOut.Expand


TJvCustomRollOut.ShowFocus property

TJvCustomRollOut	Edit topic

Not documented

Pascal

property ShowFocus: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomRollOut.ToggleAnywhere property

TJvCustomRollOut	Edit topic

Not documented

Pascal

property ToggleAnywhere: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomRollOut.Collapse method

TJvCustomRollOut	See Also	Edit topic

Collapses the rollout.

Pascal

procedure Collapse; virtual;

Description

Call Collapse to collapse the rollout to its collapsed height or width (depending on the value of Placement). The height or width of the collapsed rollout is controlled by the height or width set when it is collapsed, that is, if you change the height or width when the rollout is collapsed, the new values are used as the height and width for the collapsed state.

When you all Collapse, Collapsed is set to true.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapsed, TJvCustomRollOut.Expand


TJvCustomRollOut.Expand method

TJvCustomRollOut	See Also	Edit topic

Expands the rollout.

Pascal

procedure Expand; virtual;

Description

Call Expand to expand the rollout if it was collapsed. When you call Expand, Collapsed is set to false.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Collapsed


TJvCustomRollOut.MouseIsOnButton method

TJvCustomRollOut	Edit topic

Not documented

Pascal

function MouseIsOnButton: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScheduledEvents
JEDI-VCL Reference

TJvCustomScheduledEvents

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base class for the TJvScheduleEvents component.

Pascal

TJvCustomScheduledEvents = class(TComponent);

File

JvScheduledEvents

Description

TJvCustomScheduledEvents is the base class for the TJvScheduledEvents component. It provides the base functionality but does not publish anything.

You should not create an instance of this class. Use one of the descendants instead.

Created with Doc-O-Matic.


TJvCustomScheduledEvents Properties

TJvCustomScheduledEvents	Legend

Properties

 AppStorage

 AppStoragePath

 AutoSave

Events

 Handle

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomScheduledEvents Events

TJvCustomScheduledEvents	Legend

Events

 OnEndEvent

 OnStartEvent

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomScheduledEvents Methods

TJvCustomScheduledEvents

Methods

LoadEventStates

PauseAll

SaveEventStates

StartAll

StopAll

Created with Doc-O-Matic.


Legend

TJvCustomScheduledEvents

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomScheduledEvents


TJvCustomScheduledEvents Members

TJvCustomScheduledEvents	Legend

Members

Properties

 AppStorage

 AppStoragePath

 AutoSave

Events

 Handle

Events

 OnEndEvent

 OnStartEvent

Methods

LoadEventStates

PauseAll

SaveEventStates

StartAll

StopAll

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


See Also

TJvScheduledEvents


TJvCustomScheduledEvents.AppStorage property

TJvCustomScheduledEvents	Edit topic

Not documented

Pascal

property AppStorage: TJvCustomAppStorage;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.AppStoragePath property

TJvCustomScheduledEvents	Edit topic

Not documented

Pascal

property AppStoragePath: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.AutoSave property

TJvCustomScheduledEvents	See Also	Edit topic

Specifies if the component should save the event states when it is destroyed.

Pascal

property AutoSave: Boolean;

Description

AutoSave determines if the component stores all event states and last execution times in the registry when the component is destroyed (usually when the application terminates).

When set to True, all event states and last execution times are saved to the location specified by the SaveTo property when the component is destroyed and are read back in from that location when the component is created.

When set to False, no information is saved.

Created with Doc-O-Matic.


See Also

SaveTo


TJvCustomScheduledEvents.Events property

TJvCustomScheduledEvents	Edit topic

Holds a collection of events and their schedules.

Pascal

property Events: TJvEventCollection;

Description

Events is a collection of events and their schedules.

At run time you can iterate over the items to retrieve information on each of the event or add new events on the fly.

At design time you can use the editor to add events and set the schedule for each of them.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.Handle property

TJvCustomScheduledEvents	Edit topic

Window handle used by background thread to signal the execution of an event.

Pascal

property Handle: THandle;

Description

Handle is the window handle to receives messages from the background thread to signal when an event should be executed.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.OnEndEvent event

TJvCustomScheduledEvents	See Also	Edit topic

Event called when a scheduled events has been completed.

Pascal

property OnEndEvent: TNotifyEvent;

Description

Write an OnEndEvent handler to take special action when a scheduled event has just been executed.

Created with Doc-O-Matic.


See Also

TJvCustomScheduledEvents.OnStartEvent


TJvCustomScheduledEvents.OnStartEvent event

TJvCustomScheduledEvents	See Also	Edit topic

Event called when a scheduled event is about to be executed.

Pascal

property OnStartEvent: TNotifyEvent;

Description

Write an OnStartEvent handler to take special action when a scheduled event is about to be executed.

Created with Doc-O-Matic.


See Also

OnEndEvent


TJvCustomScheduledEvents.LoadEventStates method

TJvCustomScheduledEvents	Edit topic

Not documented

Pascal

procedure LoadEventStates(const ClearBefore: Boolean = True);

Parameters

const ClearBefore: Boolean = True

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.PauseAll method

TJvCustomScheduledEvents	Edit topic

Not documented

Pascal

procedure PauseAll;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.SaveEventStates method

TJvCustomScheduledEvents	Edit topic

Not documented

Pascal

procedure SaveEventStates;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.StartAll method

TJvCustomScheduledEvents	Edit topic

Not documented

Pascal

procedure StartAll;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScheduledEvents.StopAll method

TJvCustomScheduledEvents	Edit topic

Not documented

Pascal

procedure StopAll;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomScrollPanel
JEDI-VCL Reference

TJvCustomScrollPanel

Hierarchy	Properties	Events	 Edit topic

Base class for TJvScrollingWindow.

Pascal

TJvCustomScrollPanel = class(TJvExToolWindow);

File

JvScrollPanel

Description

TJvCustomScrollPanel is the base class for TJvScrollingWindow, a scrollable panel.

Do not create instances of TJvCustomScrollPanel. Use the generic descendant TJvScrollingWindow, or create your own descendant class.

Created with Doc-O-Matic.


TJvCustomScrollPanel Properties

TJvCustomScrollPanel	Legend

Properties

 AutoArrange

 AutoHide

 AutoRepeat

 Flat

 ScrollAmount

 ScrollDirection

TJvExToolWindow

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomScrollPanel Events

TJvCustomScrollPanel	Legend

Events

 OnScrolled

 OnScrolling

TJvExToolWindow

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomScrollPanel

Legend

protected

published

Created with Doc-O-Matic.


Hierarchy

TToolWindow, IJvExControl
        TJvExToolWindow
            TJvCustomScrollPanel


TJvCustomScrollPanel Members

TJvCustomScrollPanel	Legend

Members

Properties

 AutoArrange

 AutoHide

 AutoRepeat

 Flat

 ScrollAmount

 ScrollDirection

TJvExToolWindow

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnScrolled

 OnScrolling

TJvExToolWindow

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomScrollPanel.AutoArrange property

TJvCustomScrollPanel	See Also	Edit topic

Determines whether the controls on the scrolling panel are automatically rearranged if ScrollDirection changes.

Pascal

property AutoArrange: Boolean;

Description

If AutoArrange is True and ScrollDirection changes then the control swaps the Left and Top values, and the Width and Height values of all controls in the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.ScrollDirection


TJvCustomScrollPanel.AutoHide property

TJvCustomScrollPanel	See Also	Edit topic

Indicates whether the scroll buttons hide automatically on the scrolling panel control if it is large enough to display all of its controls.

Pascal

property AutoHide: Boolean;

Description

If AutoHide is True the scroll bars hide automatically when necessary. For example, if the user scrolls the control so that all of its controls are visible, the scroll buttons hide.

If AutoHide is False, the scroll buttons don’t hide automatically.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.AutoRepeat, TJvCustomScrollPanel.ScrollAmount


TJvCustomScrollPanel.AutoRepeat property

TJvCustomScrollPanel	See Also	Edit topic

Determines whether the scroll panel continues to be scrolled at regular intervals while a scroll button is in the depressed state.

Pascal

property AutoRepeat: Boolean;

Description

If AutoRepeat is set to False, the scroll panel scrolls only once while a scroll button is depressed. If AutoRepeat is set to True, the scroll panel continues to be scrolled at regular intervals while a scroll button is in the depressed state.

The default value is False

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.AutoHide, TJvCustomScrollPanel.ScrollAmount


TJvCustomScrollPanel.Flat property

TJvCustomScrollPanel	Edit topic

Determines whether the scroll buttons have a three-dimensional (3-D) look with borders or two-dimensional look without borders.

Pascal

property Flat: Boolean;

Description

When Flat is True, the scroll buttons appear flat and do not have borders separating them. When Flat is False, the buttons are clearly defined.

Created with Doc-O-Matic.


TJvCustomScrollPanel.OnScrolled event

TJvCustomScrollPanel	See Also	Edit topic

Occurs after the user has scrolled the scrolling panel.

Pascal

TJvScrolledEvent = procedure (Sender: TObject; Kind: TJvScrollKind) of object;
property OnScrolled: TJvScrolledEvent;

Parameters

Kind

Specifies the kind of scroll.

Sender

The scrolling panel control that has been scrolled.

Description

Write an OnScrolled event handler to take specific action when the user finishes scrolling the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.OnScrolling, TJvCustomScrollPanel.ScrollAmount


TJvCustomScrollPanel.OnScrolling event

TJvCustomScrollPanel	See Also	Edit topic

Occurs when the user tries to scroll the scrolling panel by pressing a scroll button.

Pascal

TJvScrollingEvent = procedure (Sender: TObject; var AllowChange: Boolean; Kind: TJvScrollKind) of object;
property OnScrolling: TJvScrollingEvent;

Parameters

Kind

Specifies the kind of scroll.

AllowChange

Indicates whether the scroll should be permitted.

Sender

The scrolling panel control the user tries to scroll.

Description

Write an OnScrolling event handler to conditionally prevent the user from scrolling the scrolling panel.

Set AllowChange to False to disallow any scrolling of the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.OnScrolled, TJvCustomScrollPanel.ScrollAmount


TJvCustomScrollPanel.ScrollAmount property

TJvCustomScrollPanel	See Also	Edit topic

Determines how much the position of controls in the scrolling panel changes when the user clicks the scroll buttons on the scrolling panel.

Pascal

property ScrollAmount: Word;

Description

Set ScrollAmount to specify how much to change the position of controls in the scrolling panel, when the user clicks on the scroll buttons.

Property ScrollDirection determines whether the scroll is horizontally or vertically.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.ScrollDirection


TJvCustomScrollPanel.ScrollDirection property

TJvCustomScrollPanel	See Also	Edit topic

Specifies how the user can scroll the scrolling panel.

Pascal

property ScrollDirection: TJvScrollDirection;

Description

Set ScrollDirection to specify how the user can scroll the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.AutoHide, TJvCustomScrollPanel.ScrollAmount


TJvCustomSegmentedLEDDigit
JEDI-VCL Reference

TJvCustomSegmentedLEDDigit

Hierarchy	Properties	Methods	 Edit topic

Base segmented LED digit.

Pascal

TJvCustomSegmentedLEDDigit = class(TCollectionItem);

File

JvSegmentedLEDDisplay

Description

TJvCustomSegmentedLEDDigit is the base segmented LED digit class. It provides a common interface for communication between the display and it's digits as well as basic rendering and sizing.

You should not use TJvCustomSegmentedLEDDigit as a digit class, but rather use one of it's descendants.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDigit Properties

TJvCustomSegmentedLEDDigit	Legend

Properties

 BaseTop

 Height

 Left

 RecalcNeeded

 Text

 VertAdjust

 Width

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomSegmentedLEDDigit Methods

TJvCustomSegmentedLEDDigit	Legend

Methods

GetHitInfo

 GetSegmentIndex

 GetSegmentName

GetSegmentStates

 GetSegmentString

 PtInSegment

 SegmentCount

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvCustomSegmentedLEDDigit

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvCustomSegmentedLEDDigit


TJvCustomSegmentedLEDDigit Members

TJvCustomSegmentedLEDDigit	Legend

Members

Properties

 BaseTop

 Height

 Left

 RecalcNeeded

 Text

 VertAdjust

 Width

Methods

GetHitInfo

 GetSegmentIndex

 GetSegmentName

GetSegmentStates

 GetSegmentString

 PtInSegment

 SegmentCount

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

read only

virtual

abstract


TJvCustomSegmentedLEDDigit.BaseTop property

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Determine base top of the digit.

Pascal

property BaseTop: Integer;

Description

BaseTop specifies the vertical position of the top main segment.

BaseTop is used to properly align the digits vertically. Some digit types may require additional markings above the main digit segments. Those classes will set BaseTop to a value > 0 to have it line up properly.

The default behavior of BaseTop is to always return 0. Classes that require a different BaseTop will override GetBaseTop to return another value.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.Height, TJvCustomSegmentedLEDDigit.VertAdjust


TJvCustomSegmentedLEDDigit.Height property

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Determines the height of the digit.

Pascal

property Height: Integer;

Description

Height is the height of the digit, excluding anything above BaseTop.

Height is used to help auto sizing the display control vertically. Some digit types may require additional markings below the main digit segments. Those classes will set Height to a value larger than the default value (Display.DigitHeight).

The default behavior for Height is to return Display.DigitHeight. Classes that require a different Height will override GetHeight to return another value.

Created with Doc-O-Matic.


See Also

Display


TJvCustomSegmentedLEDDigit.Left property

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Determines the left position of the digit.

Pascal

property Left: Integer;

Description

Left is the left position of the digit.

Left is determined by the display control and cannot be changed. Changes in this value made by the display control will automatically invalidate the calculated segment renderings, causing them to be recalculated upon the first redraw.

Created with Doc-O-Matic.


See Also

Display


TJvCustomSegmentedLEDDigit.RecalcNeeded property

TJvCustomSegmentedLEDDigit	Edit topic

Flags if a recalculation of the segments is required.

Pascal

property RecalcNeeded: Boolean;

Description

RecalcNeeded determines if the layout and position of the segments needs to be recalculated.

To speed up the rendering of digits, each segment's layout and position is precalculated and stored internally. Whenever a digit needs to render it self, it will first check if the layout and positions should be recalculated. After that the rendering of the segments takes places according the calculated values.

Recalculation is needed if at least one of the following conditions apply:

Display.DigitHeight is changed

Display.DigitSpacing is changed

Display.DigitWidth is changed

Display.DotSize is changed

Display.SegmentSpacing is changed

Display.SegmentThickness is changed

Display.Slant is changed

Based on the digit class in use other conditions may apply as well.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDigit.Text property

TJvCustomSegmentedLEDDigit	See Also	Edit topic

String representation of the digit contents.

Pascal

property Text: string;

Description

Text is the string representation of the digit contents. Read Text to determine which character and/or segments are rendered or set it to a new value.

The value of Text is used to calculate the Display.Text property value.

If Display.CharacterMapper is assigned, setting Text will pass to the value to the character mapper. The resulting value of this mapping is then placed into the property.

If a mapper is not assigned, setting Text will store the new value without parsing it. Assigning a character mapper later will then execute the mapping and the result will be stored in this property.

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.MapText, TJvCustomSegmentedLEDDisplay.CharacterMapper


TJvCustomSegmentedLEDDigit.VertAdjust property

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Indicates the vertical adjustment.

Pascal

property VertAdjust: Integer;

Description

VertAdjust indicates the vertical adjustment used to align the BaseTop of all digits in the display to the same position.

VertAdjust is calculated and adjusted by the display control.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.BaseTop, TJvCustomSegmentedLEDDigit.Height


TJvCustomSegmentedLEDDigit.Width property

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Determines the width of the digit.

Pascal

property Width: Integer;

Description

Width determines the width of digit.

Width is used to help auto sizing the display control horizontally. Some digit types may require additional markings to the left or right of the main digit segments. Those classes will set Width to a value larger than the default value (Display.DigitDigitWidth).

The default behavior for Width is to return Display.DigitWidth. Classes that require a different Width will override GetWidth to return another value.

Created with Doc-O-Matic.


See Also

Display


TJvCustomSegmentedLEDDigit.GetHitInfo method (Integer, Integer)

TJvCustomSegmentedLEDDigit	Edit topic

Not documented

Pascal

function GetHitInfo(X: Integer; Y: Integer): TSLDHitInfo; overload;

Parameters

X: Integer

Not documented

Y: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDigit.GetHitInfo method (Integer, Integer, Integer)

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Retrieve information about a specified point in the digit.

Pascal

function GetHitInfo(X: Integer; Y: Integer; out SegmentIndex: Integer): TSLDHitInfo; overload;

Parameters

X: Integer

X-coordinate of the point to retrieve information from.

Y: Integer

Y-coordinate of the point to retrieve information from.

out SegmentIndex: Integer

Receives the segment index involved (if applicable; i.e. when the result indicates a segment is at the specified position).

Description

GetHitInfo retrieves information about a specified point in the digit. Besides reporting the area type, it will also report which segment is involved if applicable.

GetHitInfo will determine if the position lies within the digit in which case it will iterate over the segments until it finds a hit or no more segments are present.

There are two overloaded versions of GetHitInfo: one that will only return the area type and one that will additionally return the segment involved.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.GetHitInfo


TJvCustomSegmentedLEDDigit.GetSegmentIndex method

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Retrieves the index of a named segment.

Pascal

class function GetSegmentIndex(Name: string): Integer; virtual;

Parameters

Name: string

Name of the segment to retrieve the index of.

Description

GetSegmentIndex retrieves the index of the segment indicated by the Name property. The resulting value is a 0-based index or -1 if the specified name is not the name of a segment.

If certain segments are not used (due to property settings) they are still searchable with this method.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentName, TJvCustomSegmentedLEDDigit.SegmentCount


TJvCustomSegmentedLEDDigit.GetSegmentName method

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Retrieves the name of a segment.

Pascal

class function GetSegmentName(Index: Integer): string; virtual;

Parameters

Index: Integer

0-based index of segment to retrieve the name for.

Description

GetSegmentName retrieves the name of the specified segment.

Each segment (individually controllable shapes) has a name assigned to it. For the main segments the names are usually A through Z (depending on the number of segments). Additional markers are named differently.

This method will return the proper name for any segment.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentIndex, TJvCustomSegmentedLEDDigit.SegmentCount


TJvCustomSegmentedLEDDigit.GetSegmentStates method

TJvCustomSegmentedLEDDigit	Edit topic

Retrieves a bit mask representing the states of the segments.

Pascal

function GetSegmentStates: Int64;

Description

GetSegmentStates retrieves a bit mask representing the states of all segments. Bits set to '1' represent lit segments. The segment's index is also the bit position (i.e. segment 0 = bit 0).

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDigit.GetSegmentString method

TJvCustomSegmentedLEDDigit	Edit topic

Not documented

Pascal

function GetSegmentString: string; virtual; abstract;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDigit.PtInSegment method

TJvCustomSegmentedLEDDigit	Edit topic

Determines if a coordinate belongs to a segment.

Pascal

function PtInSegment(SegmentIndex: Integer; Pt: TPoint): Boolean; virtual;

Parameters

SegmentIndex: Integer

0-based index of the segment to check.

Pt: TPoint

Coordinate to check.

Description

PtInSegment determines if the specified coordinate belongs to the specified segment. If it does the function will return True, otherwise False will be returned.

Although the index parameter may refer to any segment the digit may support, segments that are not rendered are not considered and the function will return False for these segments.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDigit.SegmentCount method

TJvCustomSegmentedLEDDigit	See Also	Edit topic

Indicates the number of available segments.

Pascal

class function SegmentCount: Integer; virtual;

Description

SegmentCount indicates the number of segments the digit supports. It ignores any settings that would hide segments and will thus always return the same value, regardless of any property settings.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.GetSegmentName, TJvCustomSegmentedLEDDigit.GetSegmentIndex


TJvCustomSegmentedLEDDisplay
JEDI-VCL Reference

TJvCustomSegmentedLEDDisplay

Hierarchy	Properties	Methods	 See Also	Edit topic

Base segmented LED display control.

Pascal

TJvCustomSegmentedLEDDisplay = class(TJvGraphicControl);

File

JvSegmentedLEDDisplay

Description

TJvCustomSegmentedLEDDisplay is the base control for segmented LED display. It provides the basic functionality of a segmented LED display (as used in classic calculators, VCR displays, car radio displays, etc).

A segmented LED display allows to display numbers, characters and/or symbols. It does so by controlling a number of individual leds. Each LED is covered by a glass bar or dot to give it a proper orientation and layout. Each such LED is called a segment (hence the name 'segmented LED display').

The control simulates this by rendering the bars. It allows to use any color for the segments and allows to render both lit and unlit segments in two different colors (conventional LED displays often show unlit segments due to a backlight is being used (as sometimes used with LCD displays) or because a neighboring segment is lit and the optical separation is not good enough). The unlit segments are generally the same color as the lit segment but a lot darker.

The control allows to use any layout by specifying a digit class. Each digit class can provide it's own layout and number of segments as well as specifying how to map characters to these segments.

You should not instantiate a TJvCustomSegmentedLEDDisplay control, but rather one of it's descendants.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDisplay Properties

TJvCustomSegmentedLEDDisplay	Legend

Properties

 CharacterMapper

 DigitClass

 DigitClassName

 DigitHeight

 Digits

 DigitSpacing

 DigitWidth

 DotSize

 SegmentLitColor

 SegmentSpacing

 SegmentThickness

 SegmentUnlitColor

 Slant

 Text

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomSegmentedLEDDisplay Methods

TJvCustomSegmentedLEDDisplay

Methods

GetHitInfo

RemapText

Created with Doc-O-Matic.


Legend

TJvCustomSegmentedLEDDisplay

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomSegmentedLEDDisplay


TJvCustomSegmentedLEDDisplay Members

TJvCustomSegmentedLEDDisplay	Legend

Members

Properties

 CharacterMapper

 DigitClass

 DigitClassName

 DigitHeight

 Digits

 DigitSpacing

 DigitWidth

 DotSize

 SegmentLitColor

 SegmentSpacing

 SegmentThickness

 SegmentUnlitColor

 Slant

 Text

Methods

GetHitInfo

RemapText

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


See Also

TJvSegmentedLEDDisplay


TJvCustomSegmentedLEDDisplay.CharacterMapper property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies which character mapper to use.

Pascal

property CharacterMapper: TJvSegmentedLEDCharacterMapper;

Description

CharacterMapper indicates which mapper is used to translate characters into the proper segments. Read CharacterMapper to retrieve which mapper is used or set it to a different mapper.

Not all mappers can be used for any digit type. Which mappers can be used depend on the currently set digit style and which mapper class it specifies. Setting CharacterMapper to a new mapper will result in Text being reparsed and remapped. Setting it to nil will have no effect other than removing the mapper from the display.

Note that you need to specify the digit style before specifying the mapper to use.

If you do not specify a mapper you can't change which segments are lit of any digit. Setting the Text property of the control or a single digit will have no effect until a mapper is assigned.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.Text


TJvCustomSegmentedLEDDisplay.DigitClass property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies which digit style to use.

Pascal

property DigitClass: TJvSegmentedLEDDigitClass;

Description

DigitClass specifies which digit style to use. Read DigitClass to determine which class (and thus style) is used or set it to another class.

If no digit style is specified you can't add new digits to the display nor can you specify which character mapper to use. Changing DigitClass will recreate the same number of digits currently present (unless the new class is set to nil in which case any digits present are removed). If the active character mapper is not allowed for the new digit style it will be set to nil, otherwise the Text property will be remapped.

Notes

The Object Inspector does not allow class references to be edited. To circumvent that problem an additional property, DigitClassName, has been added. DigitClassName is the property you should publish on any derivative, not DigitClass. The property editor for DigitClassName will fake the actual property name by removing the 'Name' part of the actual property name used.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.CharacterMapper, TJvCustomSegmentedLEDDisplay.DigitClassName, TJvCustomSegmentedLEDDisplay.Text


TJvCustomSegmentedLEDDisplay.DigitClassName property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the digit style to use.

Pascal

property DigitClassName: TJvSegmentedLEDDigitClassName;

Description

DigitClassName specifies which digit style to use. Read DigitClassName to determine which class (and thus style) is used or set it to another class name.

If no digit style is specified you can't add new digits to the display nor can you specify which character mapper to use. Changing DigitClassName will recreate the same number of digits currently present (unless the new class name is set to an empty string in which case any digits present are removed). If the active character mapper is not allowed for the new digit style it will be set to nil, otherwise the Text property will be remapped.

The sole purpose of this property is to overcome a problem at design time: the Object Inspector does not allow class references to be edited. To circumvent that problem this property has been added. DigitClassName is the property you should publish on any derivative, not DigitClass. The property editor for DigitClassName will fake the actual property name by removing the 'Name' part of the actual property name used.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.CharacterMapper, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.Text


TJvCustomSegmentedLEDDisplay.DigitHeight property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the height of the digits.

Pascal

property DigitHeight: Integer;

Description

DigitHeight specifies the height of each digit's main segments. Read DigitHeight to determine the currently used height or set it to a new value.

DigitHeight only refers to the main segments of a digit (the ones that make up the characters), not it's actual height. Some digit styles may add additional markings above or below the main character segments. The height needed for these markings are added to this height to determine the actual height.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.Height, TJvCustomSegmentedLEDDisplay.DigitSpacing, TJvCustomSegmentedLEDDisplay.DigitWidth, TJvCustomSegmentedLEDDisplay.Slant


TJvCustomSegmentedLEDDisplay.Digits property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Collection of digits.

Pascal

property Digits: TJvSegmentedLEDDigits;

Description

Digits is the collection of digits displayable. As a TCollection derivative it allows you to use the normal TCollection methods to add or remove digits.

At design time it allows you to add or remove digits or select the individual digits and control their appearance (provided the digit style allows such control).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit, TJvCustomSegmentedLEDDisplay.DigitClass


TJvCustomSegmentedLEDDisplay.DigitSpacing property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the spacing between digits.

Pascal

property DigitSpacing: Integer;

Description

DigitSpacing specifies the spacing between two adjacent digits. Read DigitSpacing to determine how far apart two adjacent digits are or set it to a new value.

A DigitSpacing of 0 means each digit is placed directly next to it's predecessor with no spacing between them. Depending on the digit style this is usually to close to each other.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitHeight, TJvCustomSegmentedLEDDisplay.DigitWidth, TJvCustomSegmentedLEDDisplay.Slant


TJvCustomSegmentedLEDDisplay.DigitWidth property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the width of the digits.

Pascal

property DigitWidth: Integer;

Description

DigitWidth specifies the width of each digit's main segments. Read DigitWidth to determine the currently used width or set it to a new value.

DigitWidth only refers to the main segments of a digit (the ones that make up the characters), not it's actual width. Some digit styles may add additional markings to the left or right of the main character segments. The width needed for these markings are added to this width to determine the actual width.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.Width, TJvCustomSegmentedLEDDisplay.DigitHeight, TJvCustomSegmentedLEDDisplay.DigitSpacing, TJvCustomSegmentedLEDDisplay.Slant


TJvCustomSegmentedLEDDisplay.DotSize property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the size of dot type segments.

Pascal

property DotSize: Integer;

Description

DotSize specifies the size of dot type segments. Read DotSize to determine the current size of dot type segments or set it to a new value.

A digit is made up of different type of segments: polygons, rectangles and/or dots. The size of dot type segments (generally filled circles) is controlled by this property (often you'll specify a slightly larger value for dot type segments than you do for polygon type segments).

DotSize will be rounded down to an even value (i.e. 3 will become 2, 5 will become 4, ...).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.SegmentSpacing, TJvCustomSegmentedLEDDisplay.SegmentThickness


TJvCustomSegmentedLEDDisplay.SegmentLitColor property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the color to use for lit segments.

Pascal

property SegmentLitColor: TColor;

Description

SegmentLitColor specifies the color to use for lit segments. Read SegmentLitColor to determine which color is used for segments that are lit or set it to a new value.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.SegmentUnlitColor


TJvCustomSegmentedLEDDisplay.SegmentSpacing property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the spacing between segments.

Pascal

property SegmentSpacing: Integer;

Description

SegmentSpacing specifies the distance between two adjacent segments. Read SegmentSpacing to determine the current distance between segments or set it to a new value.

SegmentSpacing will be rounded down to an even value (i.e. 3 will become 2, 5 will become 4, ...).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DotSize, TJvCustomSegmentedLEDDisplay.SegmentThickness


TJvCustomSegmentedLEDDisplay.SegmentThickness property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the width of the normal type segments.

Pascal

property SegmentThickness: Integer;

Description

SegmentThickness determines the width of the normal type (polygon) segments. Read SegmentThickness to retrieve the current width used or set it to a new value.

A digit is made up of different type of segments: polygons, rectangles and/or dots. The size of polygon type segments (generally filled polygon shapes) is controlled by this property.

SegmentThickness will be rounded down to an even value (i.e. 3 will become 2, 5 will become 4, ...).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DotSize, TJvCustomSegmentedLEDDisplay.SegmentSpacing


TJvCustomSegmentedLEDDisplay.SegmentUnlitColor property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the color to use for unlit segments.

Pascal

property SegmentUnlitColor: TUnlitColor;

Description

SegmentUnlitColor specifies the color to use for unlit segments. Read SegmentUnlitColor to retrieve which color is used for segments that are not lit or set it to a new value.

SegmentUnlitColor can be set to any color value. In addition two extra color constants are added and the meaning of one predefined constant has changed:

Constant	Value	Meaning
clDefaultBackground	$20100001	Unlit color is calculated based on the current background color.
clDefaultLitColor	$20100002	Unlit color is calculated based on the difference between the lit color and background color.
clNone	$1FFFFFFF	Unlit color is not used; unlit segments are not rendered.
Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.SegmentLitColor


TJvCustomSegmentedLEDDisplay.Slant property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the slant angle of the digits.

Pascal

property Slant: TSlantAngle;

Description

Slant specifies how much the digit slants (hangs over) to the right. Read Slant to determine the angle at which the digit slants or set it to a new value.

Changing the slant may affect the width of the digits, making them wider than DigitWidth.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.Width, TJvCustomSegmentedLEDDisplay.DigitHeight, TJvCustomSegmentedLEDDisplay.DigitSpacing, TJvCustomSegmentedLEDDisplay.DigitWidth


TJvCustomSegmentedLEDDisplay.Text property

TJvCustomSegmentedLEDDisplay	See Also	Edit topic

Specifies the text of the display.

Pascal

property Text: string;

Description

Text specifies the text to render. Read Text to determine the currently rendered text or set it to a new value.

If CharacterMapper is not assigned changing Text will just store the new value, otherwise the new value is parsed by the mapper and the resulting value is stored.

If the Text property of a digit is changed, this property will be updated accordingly.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit, TJvCustomSegmentedLEDDisplay.CharacterMapper, TJvCustomSegmentedLEDDisplay.Digits


TJvCustomSegmentedLEDDisplay.GetHitInfo method (Integer, Integer)

TJvCustomSegmentedLEDDisplay	Edit topic

Not documented

Pascal

function GetHitInfo(X: Integer; Y: Integer): TSLDHitInfo; overload;

Parameters

X: Integer

Not documented

Y: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDisplay.GetHitInfo method (Integer, Integer, TJvCustomSegmentedLEDDigit, Integer)

TJvCustomSegmentedLEDDisplay	Edit topic

Not documented

Pascal

function GetHitInfo(X: Integer; Y: Integer; out Digit: TJvCustomSegmentedLEDDigit; out SegmentIndex: Integer): TSLDHitInfo; overload;

Parameters

X: Integer

Not documented

Y: Integer

Not documented

out Digit: TJvCustomSegmentedLEDDigit

Not documented

out SegmentIndex: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomSegmentedLEDDisplay.RemapText method

TJvCustomSegmentedLEDDisplay	Edit topic

Not documented

Pascal

procedure RemapText;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomSettingsTreeView
JEDI-VCL Reference

TJvCustomSettingsTreeView

Hierarchy	Properties	Events	 Edit topic

A treeview that behaves like the tree view in the Options Dialog in VS.net.

Pascal

TJvCustomSettingsTreeView = class(TJvCustomPageListTreeView);

File

JvPageListTreeView

Description

TJvCustomSettingsTreeView is a base class for treeviews that behave like the treeview in the Settings Dialog in Visual Studio: When a node in the treeview is selected, a new page of settings is shown on a panel to the right.

Specifically, the following is true:

The normal ImageIndex/SelectedIndex is ignored for nodes - use PageNodeImages instead. You still need to assign a TImageList to the Images property

When a node is expanded, it is assigned the expanded image until it is collapsed, regardless whether it's selected or not

When a parent folder is selected, the first non-folder child has its normal image set as the selected image

By default, AutoExpand and ReadOnly is true, ShowButtons and ShowLines are false

Other than that, it should work like a normal TreeView. Note that the treeview was designed with AutoExpand = true in mind but should work with AutoExpand = false

To get the VS look, Images should contain:

Image 0: Closed Folder

Image 1: Open Folder

Image 2: Right-pointing teal-colored arrow

PageNodeImages should then be set to (the defaults):

ClosedFolder = 0;

ImageIndex = -1; (no image)

OpenFolder = 1;

SelectedIndex = 2;

Created with Doc-O-Matic.


TJvCustomSettingsTreeView Events

TJvCustomSettingsTreeView	Legend

Events

 OnGetImageIndex

 OnGetSelectedIndex

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomSettingsTreeView Properties

TJvCustomSettingsTreeView	Legend

Properties

 PageNodeImages

TJvCustomPageListTreeView

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


Legend

TJvCustomSettingsTreeView

Legend

protected

published

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomPageListTreeView
                TJvCustomSettingsTreeView


TJvCustomSettingsTreeView Members

TJvCustomSettingsTreeView	Legend

Members

Events

 OnGetImageIndex

 OnGetSelectedIndex

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Properties

 PageNodeImages

TJvCustomPageListTreeView

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomSettingsTreeView.OnGetImageIndex event

TJvCustomSettingsTreeView	See Also	Edit topic

Occurs when the tree view looks up the ImageIndex of a node.

Pascal

property OnGetImageIndex: TTVExpandedEvent;

Description

Write an OnGetImageIndex event handler to change the image index for the particular node before it is drawn. For example, the bitmap of a node can be changed to indicate a different state for the node.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvCustomSettingsTreeView.OnGetSelectedIndex event

TJvCustomSettingsTreeView	See Also	Edit topic

Occurs when the tree view looks up the SelectedIndex of a node.

Pascal

property OnGetSelectedIndex: TTVExpandedEvent;

Description

Write an OnGetSelectedIndex event handler to change the selected image index of a node before it is drawn.

Created with Doc-O-Matic.


See Also

Images, ImageIndex


TJvCustomSettingsTreeView.PageNodeImages property

TJvCustomSettingsTreeView	See Also	Edit topic

Specifies the images to use for the different states of the nodes.

Pascal

property PageNodeImages: TJvSettingsTreeImages;

Description

Use PageNodeImages to specify what images to use for the different states a node can be in. The recognized states are normal, selected, expanded and collapsed.

Created with Doc-O-Matic.


See Also

Images


TJvCustomSpeedButton
JEDI-VCL Reference

TJvCustomSpeedButton

Hierarchy	Properties	Methods	 Edit topic

Base class for enhanced speed buttons.

Pascal

TJvCustomSpeedButton = class(TJvGraphicControl, IJvHotTrack);

File

JvSpeedButton

Description

TJvCustomSpeedButton is the base class for enhanced speed buttons. It introduces the following properties:

For altering the display of the button:
Property	Meaning
Alignment	Determines how text is aligned within the button.
DoubleBuffered	Determines whether the control’s image is rendered directly to the window or painted to an in-memory bitmap first.
GrayedInactive	Indicates whether to display the image of the button grayed when the button is inactive.
GrayNewStyle	Specifies the graying style of the image when the button is not enabled.
HintColor	Determines the color of the hint boxes for the Help Hints for the button.
Style	Determines the appearance of a button.
WordWrap	Specifies whether the button text wraps to fit the width of the control.

For hot tracking:
Propery	Meaning
HotTrack	Specifies whether the button is highlighted when the mouse passes over it.
HotTrackFont	Specifies the font used when the mouse passes over the button and HotTrack is true.
HotTrackFontOptions	Specifies how changes to the Font affects HotTrackFont.

For automatically repeating clicks when the button is pressed:
Propery	Meaning
AllowTimer	Determines whether the OnClick event occurs at regular intervals while the button is in the depressed state.
InitPause	Determines the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.
RepeatInterval	Determines the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

For working with a drop-down menu:
Propery	Meaning
DropDownMenu	Identifies a pop-up menu associated with the speed button.
MarkDropDown	Specifies whether the button displays a downward-pointing arrow.
MenuPosition	Specifies the position where the pop-up menu will appear.

TJvCustomSpeedButton has two direct descendants: TJvImageSpeedButton and TJvSpeedButton.

Created with Doc-O-Matic.


TJvCustomSpeedButton Properties

TJvCustomSpeedButton	Legend

Properties

 Alignment

 AllowAllUp

 AllowTimer

 ButtonGlyph

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackOptions

 InitPause

 IsDragging

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvCustomSpeedButton Methods

TJvCustomSpeedButton	Legend

Methods

ButtonClick

CheckBtnMenuDropDown

 Click

UpdateTracking

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomSpeedButton

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl, IJvHotTrack
            TJvCustomSpeedButton


TJvCustomSpeedButton Members

TJvCustomSpeedButton	Legend

Members

Properties

 Alignment

 AllowAllUp

 AllowTimer

 ButtonGlyph

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackOptions

 InitPause

 IsDragging

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

Methods

ButtonClick

CheckBtnMenuDropDown

 Click

UpdateTracking

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvCustomSpeedButton.Alignment property

TJvCustomSpeedButton	Edit topic

Determines how text is aligned within the button.

Pascal

property Alignment: TAlignment;

Description

The possible values of Alignment are

Value	Meaning
taLeftJustify	Text is aligned at the left of the control.
taCenter	Text is centered in the control.
taRightJustify	Text is aligned at the right of the control.
Created with Doc-O-Matic.


TJvCustomSpeedButton.AllowAllUp property

TJvCustomSpeedButton	See Also	Edit topic

Specifies whether all speed buttons in the group that contains this speed button can be unselected at the same time.

Pascal

property AllowAllUp: Boolean;

Description

See Delphi help at TSpeedButton.AllowAllUp for more info.

Created with Doc-O-Matic.


See Also

Down


TJvCustomSpeedButton.AllowTimer property

TJvCustomSpeedButton	See Also	Edit topic

Determines whether the OnClick event occurs at regular intervals while the button is in the depressed state.

Pascal

property AllowTimer: Boolean;

Description

Use AllowTimer to specify whether an OnClick event continues to be generated at regular intervals while the button is in the depressed state. If AllowTimer is set to false, a single OnClick event is generated when the button is released. If AllowTimer is set to true, the OnClick event continues to be generated at regular intervals while the button is in the depressed state.

Use InitPause and RepeatInterval to specify the amount of time, in milliseconds that passes before the first OnClick event is fired and before another OnClick event is fired, resp.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.InitPause, TJvCustomSpeedButton.RepeatInterval


TJvCustomSpeedButton.ButtonGlyph property

TJvCustomSpeedButton	Edit topic

Gives access to the internal button render object.

Pascal

property ButtonGlyph: TJvxButtonGlyph;

Description

Use ButtonGlyph to access the internal button render object.

Created with Doc-O-Matic.


TJvCustomSpeedButton.DoubleBuffered property

TJvCustomSpeedButton	Edit topic

Determines whether the control’s image is rendered directly to the window or painted to an in-memory bitmap first.

Pascal

property DoubleBuffered: Boolean;

Description

When DoubleBuffered is false, the windowed control paints itself directly to the window. When DoubleBuffered is true, the windowed control paints itself to an in-memory bitmap that is then used to paint the window. Double buffering reduces the amount of flicker when the control repaints, but is more memory intensive.

Created with Doc-O-Matic.


TJvCustomSpeedButton.Down property

TJvCustomSpeedButton	See Also	Edit topic

Specifies whether the button is selected (down) or unselected (up).

Pascal

property Down: Boolean;

Description

See Delphi help at TSpeedButton.Down for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowAllUp, TJvCustomSpeedButton.GroupIndex


TJvCustomSpeedButton.DropDownMenu property

TJvCustomSpeedButton	See Also	Edit topic

Identifies a pop-up menu associated with the speed button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a value to DropDownMenu to make a menu appear when the button is pressed. (To display the menu programmatically, call the speed button’s Click or ButtonClickmethod.) If the menu’s AutoPopup property is set to true, the menu appears automatically. If AutoPopup is false, display the menu by calling the menu’s Popup method in the speed button’s OnClick event handler.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Click, TJvCustomSpeedButton.MarkDropDown, TJvCustomSpeedButton.MenuPosition


TJvCustomSpeedButton.Flat property

TJvCustomSpeedButton	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property Flat: Boolean;

Description

See Delphi help at TSpeedButton.Flat for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.GrayedInactive


TJvCustomSpeedButton.GrayedInactive property

TJvCustomSpeedButton	See Also	Edit topic

Indicates whether to display the image of the button grayed when the button is inactive.

Pascal

property GrayedInactive: Boolean;

Description

Set GrayedInactive to true to render the image of the button grayed, when the button is flat and the mouse pointer is not on the button (i.e., the button is inactive)

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Flat, TJvCustomSpeedButton.GrayNewStyle


TJvCustomSpeedButton.GrayNewStyle property

TJvCustomSpeedButton	Edit topic

Specifies the graying style of the image when the button is not enabled.

Pascal

property GrayNewStyle: Boolean;

Description

Set GrayNewStyle to false to render the image of a disabled button the same way as TSpeedButton does. Set GrayNewStyle to true to render the image of a disabled button the same way as TImageList does.

Created with Doc-O-Matic.


TJvCustomSpeedButton.GroupIndex property

TJvCustomSpeedButton	See Also	Edit topic

Allows speed buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

See Delphi help at TSpeedButton.GroupIndex for more info.

Created with Doc-O-Matic.


See Also

Down


TJvCustomSpeedButton.HotTrack property

TJvCustomSpeedButton	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is false, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvCustomSpeedButton.HotTrackFont property

TJvCustomSpeedButton	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is true.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to true, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.HotTrack, TJvImageSpeedButton.HotTrackImageIndex, TJvSpeedButton.HotTrackGlyph


TJvCustomSpeedButton.HotTrackFontOptions property

TJvCustomSpeedButton	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.HotTrack, TJvCustomSpeedButton.HotTrackFont


TJvCustomSpeedButton.HotTrackOptions property

TJvCustomSpeedButton	Edit topic

Not documented

Pascal

property HotTrackOptions: TJvHotTrackOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomSpeedButton.InitPause property

TJvCustomSpeedButton	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Pascal

property InitPause: Word;

Description

Use InitPause to set the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Property RepeatInterval determines the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Notes

AllowTimer must be set to true.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowTimer, TJvCustomSpeedButton.RepeatInterval


TJvCustomSpeedButton.IsDragging property

TJvCustomSpeedButton	See Also	Edit topic

Indicates whether the user left-clicked the button and is still holding the mouse button down.

Pascal

property IsDragging: Boolean;

Description

Read IsDragging to determine whether the user is 'dragging' the button, ie the user left-clicked on the speed button and is still holding the mouse button down.

Created with Doc-O-Matic.


See Also

Down


TJvCustomSpeedButton.Layout property

TJvCustomSpeedButton	See Also	Edit topic

Specifies where the image appears on the button.

Pascal

property Layout: TButtonLayout;

Description

Layout indicates whether the text appears on the left of the button (blGlyphLeft), the right of the button (blGlyphRight), the top (blGlyphTop) or the bottom (blGlyphBottom).

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Margin


TJvCustomSpeedButton.Margin property

TJvCustomSpeedButton	See Also	Edit topic

Specifies the number of pixels between the edge of the image (specified in the Glyph property) and the edge of the button.

Pascal

property Margin: Integer;

Description

The margin is the space between the image edge and the button edge. The format of the edges depends on the layout of the image and text (specified in the Layout property). For example, if Layout is blGlyphLeft, the margin appears between the left edge of the image and the left edge of the button. If Margin is 3, three pixels separate the image and the button edges. If Margin is 0, there is no space between the image and the button edges.

If Margin is -1 (the default value), the image and text (specified in the Caption property) are centered. The number of pixels between the image and button edge is equal to the number of pixels between the opposite edge of the button and the text.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Spacing


TJvCustomSpeedButton.MarkDropDown property

TJvCustomSpeedButton	See Also	Edit topic

Specifies whether the button displays a downward-pointing arrow.

Pascal

property MarkDropDown: Boolean;

Description

Use MarkDropDown to get or set whether the button displays a downward-pointing arrow. MarkDropDown is typically set to true when a pop-up menu is associated with the speed button (via property DropDownMenu)

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.DropDownMenu, TJvCustomSpeedButton.MenuPosition


TJvCustomSpeedButton.MenuPosition property

TJvCustomSpeedButton	See Also	Edit topic

Specifies the position where the pop-up menu will appear.

Pascal

property MenuPosition: TJvDropDownMenuPos;

Description

Use MenuPosition to set the position where the pop-up menu will appear. Use property DropDownMenu to associate a pop-up menu with the speed button.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.DropDownMenu, TJvCustomSpeedButton.MarkDropDown


TJvCustomSpeedButton.ModalResult property

TJvCustomSpeedButton	Edit topic

Determines whether and how the button closes its (modal) parent form.

Pascal

property ModalResult: TModalResult;

Description

Setting the button’s ModalResult property is an easy way to make clicking the button close a modal form. When a button is clicked, the ModalResult property of its parent form is set to the same value as the button’s ModalResult property.

For example, if a dialog box has OK and Cancel buttons, their ModalResult properties could be set at design time to mrOk and mrCancel, respectively. At runtime, clicking the OK button then changes the dialog’s ModalResult property to mrOk, and clicking the Cancel button changes the dialog’s ModalResult property to mrCancel. Unless further processing is required, no OnClick event handlers are required for the buttons.

Created with Doc-O-Matic.


TJvCustomSpeedButton.RepeatInterval property

TJvCustomSpeedButton	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Pascal

property RepeatInterval: Word;

Description

Use RepeatInterval to set the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Property InitPause determines the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Notes

AllowTimer must be set to true.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowTimer, TJvCustomSpeedButton.InitPause


TJvCustomSpeedButton.Spacing property

TJvCustomSpeedButton	See Also	Edit topic

Determines where the image and text appear on a speed button.

Pascal

property Spacing: Integer;

Description

See Delphi help at TSpeedButton.Spacing for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Layout, TJvCustomSpeedButton.Margin


TJvCustomSpeedButton.Style property

TJvCustomSpeedButton	Edit topic

Determines the appearance of a button.

Pascal

property Style: TButtonStyle;

Description

Style indicates whether the speed button uses the modern button look, or reflects the look of a 16-bit Windows pushbutton.

Created with Doc-O-Matic.


TJvCustomSpeedButton.Transparent property

TJvCustomSpeedButton	See Also	Edit topic

Specifies whether the background of the button is transparent.

Pascal

property Transparent: Boolean;

Description

Use Transparent to specify whether the background of the button is transparent.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Flat


TJvCustomSpeedButton.WordWrap property

TJvCustomSpeedButton	Edit topic

Specifies whether the button text wraps to fit the width of the control.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to true to allow the speed button to display multiple line of text. When WordWrap is true, text that is too wide for the control wraps at the right margin.

Set WordWrap to false to limit the button to a single line. When WordWrap is false, text that is too wide for the button appears truncated.

Created with Doc-O-Matic.


TJvCustomSpeedButton.ButtonClick method

TJvCustomSpeedButton	See Also	Edit topic

Simulates a mouse click, as if the user had clicked the button.

Pascal

procedure ButtonClick;

Description

Call Buttonclick to simulate a mouse click. For a short time the button will be displayed as pressed. Otherwise this method functions the same as Click.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Click


TJvCustomSpeedButton.CheckBtnMenuDropDown method

TJvCustomSpeedButton	See Also	Edit topic

Displays a button’s drop-down menu.

Pascal

function CheckBtnMenuDropDown: Boolean;

Return Value

Returns true and displays the menu if the speed button has an associated menu, otherwise returns false.

Description

Call CheckMenuDropdown to manually display a button’s pop-up menu.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.DropDownMenu


TJvCustomSpeedButton.Click method

TJvCustomSpeedButton	See Also	Edit topic

Generates an OnClick event or triggers the associated action.

Pascal

procedure Click; override;

Description

Calling Click generates an OnClick event, or triggers the associated action. Then, if ModalResult isn't equal to mrNone, it assigns the value of the button s ModalResult property to the ModalResult property of its parent form. Otherwise it checks if a pop-up menu is associated with the button. If so, it pops up that pop-up menu.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.ButtonClick, TJvCustomSpeedButton.ModalResult


TJvCustomSpeedButton.UpdateTracking method

TJvCustomSpeedButton	See Also	Edit topic

Updates the MouseInControl property.

Pascal

procedure UpdateTracking;

Description

UpdateTracking is used internally by the speed button to resync the MouseInControl property.

Created with Doc-O-Matic.


See Also

MouseInControl


TJvCustomSpinEdit
JEDI-VCL Reference

TJvCustomSpinEdit

Hierarchy	Properties	Events	 Edit topic

Base class for spin boxes that enable users to choose a number.

Pascal

TJvCustomSpinEdit = class(TJvExCustomMaskEdit);

File

JvSpin

Description

Use TJvCustomSpinEdit as a base class for defining spin box controls. Spin boxes allow the user to choose from a range of numeric values by clicking on special "spin buttons", or by pressing vertical arrow keys. Users can also enter the value in a text box, as with an edit control.

Do not create instance of TJvCustomSpinEdit. Use its generic descendant, TJvSpinEdit, or create your own descendant class.

Created with Doc-O-Matic.


TJvCustomSpinEdit Properties

TJvCustomSpinEdit	Legend

Properties

Alignment

ArrowKeys

AsInteger

ButtonKind

 ButtonWidth

CheckMaxValue

CheckMinValue

CheckOptions

Decimal

 DisplayFormat

EditorEnabled

Increment

MaxValue

MinValue

ShowButton

Thousands

Value

ValueType

TJvExCustomMaskEdit

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomSpinEdit Events

TJvCustomSpinEdit	Legend

Events

OnBottomClick

OnTopClick

TJvExCustomMaskEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomSpinEdit

Legend

protected

read only

published

Created with Doc-O-Matic.


Hierarchy

TCustomMaskEdit, IJvExControl
        TJvExCustomMaskEdit
            TJvCustomSpinEdit


TJvCustomSpinEdit Members

TJvCustomSpinEdit	Legend

Members

Properties

Alignment

ArrowKeys

AsInteger

ButtonKind

 ButtonWidth

CheckMaxValue

CheckMinValue

CheckOptions

Decimal

 DisplayFormat

EditorEnabled

Increment

MaxValue

MinValue

ShowButton

Thousands

Value

ValueType

TJvExCustomMaskEdit

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

OnBottomClick

OnTopClick

TJvExCustomMaskEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomSpinEdit.Alignment property

TJvCustomSpinEdit	Edit topic

Determines how the text in the spin edit is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvCustomSpinEdit.ArrowKeys property

TJvCustomSpinEdit	Edit topic

Indicates whether the up and down keys spin the entered number.

Pascal

property ArrowKeys: Boolean;

Description

Use ArrowKeys to specify whether the user can use the up and down keys to spin the entered number.

Created with Doc-O-Matic.


TJvCustomSpinEdit.AsInteger property

TJvCustomSpinEdit	See Also	Edit topic

Represents the value of the entered floating-point value as an integer value.

Pascal

property AsInteger: Longint;

Description

AsInteger converts floating point values to integers by truncating the decimal portion. If a value assigned to the number edit is not within the range established by the MinValue and the MaxValue properties, the value is cropped.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.Value


TJvCustomSpinEdit.ButtonKind property

TJvCustomSpinEdit	Edit topic

Determines the appearance of the spin buttons.

Pascal

property ButtonKind: TSpinButtonKind;

Description

Use ButtonKind to determine the appearance of the control's spin buttons.

Created with Doc-O-Matic.


TJvCustomSpinEdit.ButtonWidth property

TJvCustomSpinEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the spin edit control's button. Note that changing property ButtonKind can change the ButtonWidth.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.ButtonKind


TJvCustomSpinEdit.CheckMaxValue property

TJvCustomSpinEdit	See Also	Edit topic

Specifies whether to use the MaxValue as maximum value the user can enter into the spin edit control.

Pascal

property CheckMaxValue: Boolean;

Description

Use CheckMaxValue to specify whether to use the MaxValue as maximum value the user can enter into the spin edit control.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMinValue, TJvCustomSpinEdit.CheckOptions


TJvCustomSpinEdit.CheckMinValue property

TJvCustomSpinEdit	See Also	Edit topic

Specifies whether to use the MinValue as minimum value the user can enter into the spin edit control.

Pascal

property CheckMinValue: Boolean;

Description

Use CheckMinValue to specify whether to use the MinValue as minimum value the user can enter into the spin edit control.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMaxValue, TJvCustomSpinEdit.CheckOptions


TJvCustomSpinEdit.CheckOptions property

TJvCustomSpinEdit	See Also	Edit topic

Specifies range check options for the spin edit.

Pascal

property CheckOptions: TJvCheckOptions;

Description

Use CheckOptions to alter the range check behavior of the spin edit.

The range is specified by the MinValue, MaxValue, CheckMinValue and CheckMaxValue properties.

Notes

If coCropBeyondLimit is not included in CheckOptions, an exception is raised when the value of the spin edit is out of range. (But either coCheckOnChange or coCheckOnExit must be included, otherwise no checking is done at all)

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMaxValue, TJvCustomSpinEdit.CheckMinValue, TJvCustomSpinEdit.MaxValue, TJvCustomSpinEdit.MinValue


TJvCustomSpinEdit.Decimal property

TJvCustomSpinEdit	See Also	Edit topic

Specifies the precision for the floating-point value.

Pascal

property Decimal: Byte;

Description

Use Decimal to set the number of digits beyond the decimal point that the floating-point value of the control should be formatted to before rounding begins.

Use DisplayFormat to change the format of the floating-point value when it is displayed as a text string in the edit box, but note that Decimal may also affect that displayed text string:

Entered value	DisplayFormat	Decimal	Displayed text string	Stored value
0.1234	0.###	2	0.12	0.12
0.1234	0.###	3	0.123	0.123
0.1234	0.###	4	0.123	0.1234
0.1234	0.####	4	0.1234	0.1234
Notes

Decimal affects the actual floating-point value that is stored in the control.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.DisplayFormat


TJvCustomSpinEdit.DisplayFormat property

TJvCustomSpinEdit	See Also	Edit topic

Specifies the format for the displayed number.

Pascal

property DisplayFormat: string;

Description

Use DisplayFormat to specify a custom format string for the number display. Note that DisplayFormat is only used when the control has no focus.

The value of DisplayFormat does not affect the actual stored floating-point value. See Delphi help at FormatFloat to view which format specifiers are supported in the format string.

Notes

Ensure that Decimal is large enough for the DisplayFormat. For example, if DisplayFormat is '0.###' then Decimal must be minimal 3.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.Decimal


TJvCustomSpinEdit.EditorEnabled property

TJvCustomSpinEdit	Edit topic

Determines whether the user can use the edit box of the spin edit.

Pascal

property EditorEnabled: Boolean;

Description

Use EditorEnabled to read or change whether the user can use the edit box of the spin edit. By setting EditorEnabled to false, the edit box of the spin edit will become read-only, and the user can only use the spin buttons.

Created with Doc-O-Matic.


TJvCustomSpinEdit.Increment property

TJvCustomSpinEdit	See Also	Edit topic

Specifies the amount by which the number increments or decrements when the user clicks the buttons on the spin edit control.

Pascal

property Increment: Extended;

Description

Increment specifies the value that is added or subtracted from Value when the user spins the control.

Created with Doc-O-Matic.


See Also

AsInteger


TJvCustomSpinEdit.MaxValue property

TJvCustomSpinEdit	See Also	Edit topic

Specifies the maximum value the user can enter into the spin edit control.

Pascal

property MaxValue: Extended;

Description

MaxValue specifies the maximum for the Value property. If the user enters a number greater than MaxValue, the number is changed to MaxValue. This also happens if the user attempts to spin past MaxValue.

Notes

CheckMaxValue must be set to true, otherwise MaxValue is ignored.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMaxValue, TJvCustomSpinEdit.CheckOptions, TJvCustomSpinEdit.MinValue


TJvCustomSpinEdit.MinValue property

TJvCustomSpinEdit	See Also	Edit topic

Specifies the minimum value the user can enter into the spin edit control.

Pascal

property MinValue: Extended;

Description

The MinValue property specifies the minimum for the Value property. If the user enters a number less than MinValue, the number is changed to MinValue. This also happens if the user attempts to spin past MinValue.

Notes

CheckMinValue must be set to true, otherwise MinValue is ignored.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMinValue, TJvCustomSpinEdit.CheckOptions, TJvCustomSpinEdit.MaxValue


TJvCustomSpinEdit.OnBottomClick event

TJvCustomSpinEdit	See Also	Edit topic

Occurs when the user clicks the bottom arrow button.

Pascal

property OnBottomClick: TNotifyEvent;

Description

Write an OnBottomClick event handler to take specific action when the user clicks the bottom arrow button.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.OnTopClick


TJvCustomSpinEdit.OnTopClick event

TJvCustomSpinEdit	See Also	Edit topic

Occurs when the user clicks the top arrow button.

Pascal

property OnTopClick: TNotifyEvent;

Description

Write an OnTopClick event handler to take specific action when the user clicks the top arrow button.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.OnBottomClick


TJvCustomSpinEdit.ShowButton property

TJvCustomSpinEdit	Edit topic

Not documented

Pascal

property ShowButton: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomSpinEdit.Thousands property

TJvCustomSpinEdit	See Also	Edit topic

Determines whether a thousands separator appears between every three digits of a decimal string.

Pascal

property Thousands: Boolean;

Description

Use Thousands to control the formatting of the text of spin edit control. If Thousands is true, a separator appears between every three digits. The numeric value that is displayed is given by the Value property.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.Value


TJvCustomSpinEdit.Value property

TJvCustomSpinEdit	See Also	Edit topic

Indicates the numeric value of the spin edit control.

Pascal

property Value: Extended;

Description

The Value property determines the current numeric value of the control.

Created with Doc-O-Matic.


See Also

AsInteger


TJvCustomSpinEdit.ValueType property

TJvCustomSpinEdit	See Also	Edit topic

Specifies the type of the spin edit.

Pascal

property ValueType: TValueType;

Description

Use the ValueType property to specify the type of the data the spin edit contains. Depending on the value of ValueType, the user can use specific keys. For example, if ValueType is vtHex the user can use the 'a' to 'f' keys to enter hexadecimal values.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.Value


TJvCustomStaticText
JEDI-VCL Reference

TJvCustomStaticText

Hierarchy	Properties	 Edit topic

TJvCustomStaticText is the base class for TJvStaticText.

Pascal

TJvCustomStaticText = class(TJvWinControl);

File

JvStaticText

Description

TJvCustomStaticText is the base class for TJvStaticText, a windowed control that displays text on a form. This component functions like TStaticText, but supports extended features such as hot tracking.

Created with Doc-O-Matic.


TJvCustomStaticText Properties

TJvCustomStaticText	Legend

Properties

 Alignment

 AutoSize

 BorderStyle

 FocusControl

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 ShowAccelChar

 TextMargins

 WordWrap

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomStaticText

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExWinControl
    TJvWinControl
        TJvCustomStaticText


TJvCustomStaticText Members

TJvCustomStaticText	Legend

Members

Properties

 Alignment

 AutoSize

 BorderStyle

 FocusControl

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 ShowAccelChar

 TextMargins

 WordWrap

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomStaticText.Alignment property

TJvCustomStaticText	See Also	Edit topic

Determines how text is aligned within the component.

Pascal

property Alignment: TAlignment;

Description

The possible values of Alignment are

Value	Meaning
taLeftJustify	Text is aligned at the left of the control.
taCenter	Text is centered in the control.
taRightJustify	Text is aligned at the right of the control.
Created with Doc-O-Matic.


See Also

TJvCustomStaticText.Layout


TJvCustomStaticText.AutoSize property

TJvCustomStaticText	Edit topic

Determines whether the component is automatically resized to accommodate its text.

Pascal

property AutoSize: Boolean;

Description

If AutoSize is true, the component is automatically resized—at runtime and design time—whenever the font size or Caption text changes.

Created with Doc-O-Matic.


TJvCustomStaticText.BorderStyle property

TJvCustomStaticText	Edit topic

Determines the appearance of the control’s border.

Pascal

property BorderStyle: TStaticBorderStyle;

Description

The possible values of BorderStyle are

Value	Meaning
sbsNone	No visible border.
sbsSingle	Single-line border.
sbsSunken	Raised border.
Created with Doc-O-Matic.


TJvCustomStaticText.FocusControl property

TJvCustomStaticText	Edit topic

Links the component with another windowed control.

Pascal

property FocusControl: TWinControl;

Description

Use the FocusControl property to link the TJvCustomStaticText instance with another windowed control. If the text of Caption includes an accelerator key, the component specified by FocusControl receives focus when the accelerator is pressed.

Created with Doc-O-Matic.


TJvCustomStaticText.HotTrack property

TJvCustomStaticText	See Also	Edit topic

Specifies whether the control is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the control's text. When HotTrack is false, there is no visual feedback when the mouse passes over this control.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvCustomStaticText.HotTrackFont property

TJvCustomStaticText	See Also	Edit topic

Specifies the font used when the mouse passes over the control, and HotTrack is true.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the control and HotTrack is set to true, HotTrackFont is used as the font for the control text.

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvCustomStaticText.HotTrack


TJvCustomStaticText.HotTrackFontOptions property

TJvCustomStaticText	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFOntOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

TJvCustomStaticText.HotTrack, TJvCustomStaticText.HotTrackFont


TJvCustomStaticText.Layout property

TJvCustomStaticText	See Also	Edit topic

Specifies the vertical placement of the text within the control.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of the control is placed within the ClientRect of the control. Layout is the vertical analog to the Alignment property.

Layout can be one of the following values:
Value	Meaning
tlTop	The text appears at the top of the control.
tlCenter	The text is vertically centered in the control.
tlBottom	The text appears along the bottom of the control.
Created with Doc-O-Matic.


See Also

TJvCustomStaticText.Alignment


TJvCustomStaticText.ShowAccelChar property

TJvCustomStaticText	Edit topic

Enables accelerator characters.

Pascal

property ShowAccelChar: Boolean;

Description

If ShowAccelChar is true, an ampersand in the component’s Caption text appears as an underline and makes the character after it into an accelerator key. If ShowAccelChar is false, ampersands appear as ampersands.

Created with Doc-O-Matic.


TJvCustomStaticText.TextMargins property

TJvCustomStaticText	See Also	Edit topic

Controls the indentation of the text on the control.

Pascal

property TextMargins: TJvTextMargins;

Description

Use TextMargins to specify the indentation of the text on a control.

Created with Doc-O-Matic.


See Also

TJvTextMargins, TJvTextMargins.X, TJvTextMargins.Y


TJvCustomStaticText.WordWrap property

TJvCustomStaticText	Edit topic

Specifies whether the control's text wraps when it is too long for the width of the control.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to true to allow the control to display multiple line of text. When WordWrap is true, text that is too wide for the control wraps at the right margin and continues in additional lines.

Set WordWrap to false to limit the control to a single line. When WordWrap is false, text that is too wide for the control appears truncated.

Created with Doc-O-Matic.


TJvCustomTabBar
JEDI-VCL Reference

TJvCustomTabBar

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Specifies the interface for a tab bar control.

Pascal

TJvCustomTabBar = class(TCustomControl);

File

JvTabBar

Description

TJvCustomTabBar is a TCustomControl descendant that specifies the interface for a tab bar control. TJvCustomTabBar implements methods that provide the default behavior for the tabbed-bar control.

TJvCustomTabBar is a visual control that can arrange the items defined in the Tabs property on a scrollable drawing surface. Use AddTab to create a new Tab for the tabbed-bar control. Use FindTab to locate a tab in the control with the desired caption. Use MakeVisible to display a specific item in the Tabs property.

The Images property stores graphic images that can be displayed for items in the Tabs property.

Use the Painter property to specify the rendering mechanism to use for both the control and the Tabs defined for the control.

TJvCustomTabBar can have an associated list of TJvCustomPage instances in the Pages property that are displayed when a Tab is selected using the control.

Use Orientation to specify whether tabs are oriented toward the top or bottom of the tabbed-bar control. Use Align to specify the display alignment of the tabbed-bar control in its' parent control.

Additional display options applied to all tabs in the tabbed-bar control can be specified using the following properties:

CloseButton

HotTacking

RightClickSelect

AllowUnselected

AllowTabMoving

SelectBeforeClose

Margin

Use SelectedTab, LeftTab, HotTab, and ClosingTab to access status and state information for tabs the tabbed-bar control.

Use AutoFreeClosed to indicate if items in the Tabs property are automatically freed when the close button is clicked.

TJvCustomTabBar introduces the following event handler properties used to perform specific processing required when an item in the Tabs collection is (or will be) selected or closed:

OnTabClosing

OnTabClosed

OnTabSelecting

OnTabSelected

Use OnChange to implement processing required when an item in the Tabs collection is updated.

Created with Doc-O-Matic.


TJvCustomTabBar Properties

TJvCustomTabBar	Legend

Properties

AllowTabMoving

AllowUnselected

AutoFreeClosed

CloseButton

 ClosingTab

FlatScrollButtons

Hint

 HotTab

HotTracking

Images

LeftTab

Margin

Orientation

PageList

PageListTabLink

Painter

RightClickSelect

SelectBeforeClose

SelectedTab

Tabs

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvCustomTabBar Events

TJvCustomTabBar

Events

OnChange

OnScrollButtonClick

OnTabClosed

OnTabClosing

OnTabMoved

OnTabSelected

OnTabSelecting

Created with Doc-O-Matic.


TJvCustomTabBar Methods

TJvCustomTabBar

Methods

AddTab

FindData

FindTab

MakeVisible

TabAt

Created with Doc-O-Matic.


Legend

TJvCustomTabBar

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvCustomTabBar


TJvCustomTabBar Members

TJvCustomTabBar	Legend

Members

Properties

AllowTabMoving

AllowUnselected

AutoFreeClosed

CloseButton

 ClosingTab

FlatScrollButtons

Hint

 HotTab

HotTracking

Images

LeftTab

Margin

Orientation

PageList

PageListTabLink

Painter

RightClickSelect

SelectBeforeClose

SelectedTab

Tabs

Events

OnChange

OnScrollButtonClick

OnTabClosed

OnTabClosing

OnTabMoved

OnTabSelected

OnTabSelecting

Methods

AddTab

FindData

FindTab

MakeVisible

TabAt

Legend

read only

Created with Doc-O-Matic.


Legend

read only


See Also

TJvTabBar, TJvStandardPage, TJvCustomPage, TJvTabBarPainter, TJvModernTabBarPainter


TJvCustomTabBar.AllowTabMoving property

TJvCustomTabBar	See Also	Edit topic

Indicates if the order of tabs can be changed using Drag-and-Drop.

Pascal

property AllowTabMoving: Boolean;

Description

AllowTabMoving is a Boolean property that indicates if the order of tabs in the control can be changed using Drag-and-Drop. When AllowTabMoving contains True, dragging a tab using the left mouse button causes items in the Tabs collection to be reordered. If there is a value in SelectedTab, the tab under the mouse pointer is assigned to the SelectedTab property prior to reordering tabs.

The default value for AllowTabMoving is False, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

Tabs, SelectedTab


TJvCustomTabBar.AllowUnselected property

TJvCustomTabBar	See Also	Edit topic

Indicates if the selected tab can be omitted for the tabbed-bar control.

Pascal

property AllowUnselected: Boolean;

Description

AllowUnselected is a Boolean property that indicates if a selected tab can be omitted when updates are performed for the tabbed-bar control.

When AllowUnselected contains True, the value in SelectedTab can contain Nil if the selected tab is hidden, disabled, or the selection is cleared. When AllowUnselected contains False, any change that causes the control to be updated with attempt to find a selectable tab item in the Tabs collection for assignment to the SelectedTab property.

The default value for AllowUnselected is False, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

SelectedTab


TJvCustomTabBar.AutoFreeClosed property

TJvCustomTabBar	See Also	Edit topic

Indicates if a tab is automatically freed when its' close button is clicked.

Pascal

property AutoFreeClosed: Boolean;

Description

AutoFreeClosed is a Boolean property that indicates if a tab item in the Tabs collection is automatically freed when its' close button is clicked.

AutoFreeClosed is used following a mouse up event on the close button. When AutoFreeClosed contains True, the affected tab is hidden prior to signaling the OnTabClosed event handler and freeing the TJvTabBarItem instance. When AutoFreeClosed contains False, the affected tab is neither hidden nor freed but the OnTabClosed event handler is still signaled.

The default value for AutoFreeClosed is True, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

Tabs, OnTabClosed, TJvTabBarItems, TJvTabBarItem


TJvCustomTabBar.CloseButton property

TJvCustomTabBar	See Also	Edit topic

Indicates if the close button is drawn and handled for tabs on the control.

Pascal

property CloseButton: Boolean;

Description

CloseButton is a Boolean property that indicates if a close button should be drawn when rendering tab items defined in the Tabs collection.

When CloseButton contains True, the close button will be drawn using the style defined in the Painter for the control. In addition, mouse movement and click operations examine the property value to determine if handling must be provided for the close button during navigation.

When CloseButton contains False, the close button is not drawn and mouse handling for the close button is not provided.

The default value for CloseButton is True, as assigned in the constructor for the control. Changing the value in the CloseButton property causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

Tabs


TJvCustomTabBar.ClosingTab property

TJvCustomTabBar	See Also	Edit topic

Tab that is in the process of Closing after clicking on its' close button.

Pascal

property ClosingTab: TJvTabBarItem;

Description

ClosingTab is a read-only TJvTabBarItem property that indicates a tab that is the process of Closing after clicking on the close button for the tab. ClosingTab is updated during handling of mouse events for the control.

Use OnTabClosing and OnTabClosed to implement application-specific processing required when before and after assignment of the tab in ClosingTab.

Use AutoFreeClosed to indicate if the tab item in Tabs is automatically free after closing.

Created with Doc-O-Matic.


See Also

TJvTabBarItem, OnTabClosing, OnTabClosed, AutoFreeClosed


TJvCustomTabBar.FlatScrollButtons property

TJvCustomTabBar	Edit topic

Indicates if scroll buttons are drawn using the flat button style.

Pascal

property FlatScrollButtons: Boolean;

Description

FlatScrollButtons is a Boolean property that indicates if scroll buttons on the tabbed-bar control are drawn using the flat button style. Scroll buttons are drawn along the right-hand edge of the tabbed-bar control, and are active when the cumulative width of all items in Tabs exceeds the display area for the control.

The default value for FlatScrollButtons is True, as assigned in the constructor for the control. Changing the value in FlatScrollButtons causes existing scroll buttons to be recreated using the specified drawing style.

Created with Doc-O-Matic.


TJvCustomTabBar.Hint property

TJvCustomTabBar	See Also	Edit topic

Contains the text that can appear when the user moves the mouse over the control.

Pascal

property Hint: TCaption;

Description

Hint is a TCaption property that contains the text that can appear when the user moves the mouse over the control. Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The application’s OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar “or” symbol).

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Please note that if the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.

Use the TJvTabBarItem.Hint property to specify hints for items defined in the Tabs collection.

Created with Doc-O-Matic.


See Also

OnHint, TJvTabBarItem.Hint


TJvCustomTabBar.HotTab property

TJvCustomTabBar	See Also	Edit topic

Tab under the mouse pointer when HotTracking is enabled.

Pascal

property HotTab: TJvTabBarItem;

Description

HotTab is a read-only TJvTabBarItem property that represents the tab under the mouse pointer when HotTracking is enabled for the control. HotTab is updated when the mouse pointer enters the control, and HotTracking contains True. When the mouse pointer exits the control, HotTab is set to the value Nil.

Assigning a new value from Tabs to the HotTab property causes the control to be redrawn.

Use SelectedTab to determine the item in Tabs that is current selected.

Use ClosingTab to detect the item in Tabs that is currently being closed.

Use LeftTab to determine the leftmost visible tab item in the scrollable area for the tabbed-bar control.

Created with Doc-O-Matic.


See Also

TJvTabBarItem, Tabs, SelectedTab, ClosingTab, LeftTab


TJvCustomTabBar.HotTracking property

TJvCustomTabBar	See Also	Edit topic

Specifies whether tabs are highlighted when the mouse passes over them.

Pascal

property HotTracking: Boolean;

Description

HotTracking is a Boolean property that specifies whether tabs are highlighted when the mouse passes over them.

Set HotTracking to True to provide visual feedback about which item in the Tabs collection is under the mouse pointer. When HotTracking contains True, the HotTab property is updated during mouse movements to indicate the TJvTabBarItem that lies under the mouse pointer. When HotTracking contains False, there is no visual feedback when the mouse passes over tabs and HotTabs will contain the value Nil.

Created with Doc-O-Matic.


See Also

HotTab, Tabs, TJvTabBarItems, TJvTabBarItem.Hot


TJvCustomTabBar.Images property

TJvCustomTabBar	See Also	Edit topic

Specifies the images that appear next to captions on tabs in the control.

Pascal

property Images: TCustomImageList;

Description

Images is a TImageList property used to provide a list of bitmaps that are drawn on the tab items defined in the Tabs collection. Each TJvTabBarItem in Tabs has an ImageIndex property that identifies an image in this list. Applications must create and populate a TImageList for the Images property when images should be drawn on tabs in the control.

Images are used in the DrawTab method for the Painter assigned to the control to access the bitmap for a tab using the value in its' ImageIndex property. When Images is unassigned or when ImageIndex contains -1, no image can be drawn on the tab.

Assigning a new value to the Images property causes the tabbed-bar control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvTabBarItem.ImageIndex, TJvTabBarPainter, TJvModernTabBarPainter


TJvCustomTabBar.LeftTab property

TJvCustomTabBar	See Also	Edit topic

Indicates the leftmost item in the Tabs collection seen on the scrollable drawing area for the control.

Pascal

property LeftTab: TJvTabBarItem;

Description

LeftTab is a TJvTabBarItem property that indicates the leftmost item in the Tabs collection seen on the scrollable drawing area for the control.

LeftTab is updated when a new value is assigned to the SelectedTab property as a result of mouse events or an assignment in program code. Assigning a new value to LeftTab causes the control to be redrawn with the specified item displayed of the left-hand edge of the scrollable drawing area.

Created with Doc-O-Matic.


See Also

Tabs, TJvTabBarItems, TJvTabBarItem, SelectedTab


TJvCustomTabBar.Margin property

TJvCustomTabBar	See Also	Edit topic

Offset in pixels for tabs drawn on the scrollable drawing area for the control.

Pascal

property Margin: Integer;

Description

Margin is an Integer property that represents the offset in pixels the scrollable drawing area in the control. When drawing items in the Tabs collection, Margin is used to indent the drawing area on the left- and right-hand edges.

The default value for Margin is 6, as assigned in the constructor for the control. Changing the value in Margin causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

Tabs


TJvCustomTabBar.OnChange event

TJvCustomTabBar	Edit topic

Event signaled when control properties or tab definitions have been changed.

Pascal

property OnChange: TNotifyEvent;

Description

OnChange is a TNotifyEvent property that represents the event handler signaled when tabbed-bar control has been changed. OnChange is triggered when properties in the control are updated, and when values in Tabs collection have been modified.

Applications must assign a procedure to the event handler to allow responding to the notification.

Created with Doc-O-Matic.


TJvCustomTabBar.OnScrollButtonClick event

TJvCustomTabBar	Edit topic

Not documented

Pascal

TJvTabBarScrollButtonClickEvent = procedure (Sender: TObject; Button: TJvTabBarScrollButtonKind) of object;
property OnScrollButtonClick: TJvTabBarScrollButtonClickEvent;

Parameters

Button

The TJvTabBarScrollButtonKind values that represents the kind of scroll button for the notification.

Sender

The tabbed-bar control generating the event notification.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTabBar.OnTabClosed event

TJvCustomTabBar	See Also	Edit topic

Event signaled when a tab on the control has been closed.

Pascal

property OnTabClosed: TJvTabBarItemEvent;

Description

OnTabClosed is a TJvTabBarItemEvent property that represents the event handler signaled when an item in the Tabs collection has been marked as the ClosingTab.

OnTabClosed is signaled after the TJvTabBarItem instance has updated its' Visible property, and before it is freed when AutoFreeClosed contains True.

Use OnTabClosing to perform processing required before the tab is assigned as the ClosingTab for the control.

Created with Doc-O-Matic.


See Also

OnTabClosing, AutoFreeClosed, TJvTabBarItem.Visible, Tabs, ClosingTab


TJvCustomTabBar.OnTabClosing event

TJvCustomTabBar	See Also	Edit topic

Event handler signaled when a tab on the control is about to be closed.

Pascal

TJvTabBarClosingEvent = procedure (Sender: TObject; Item: TJvTabBarItem; var AllowClose: Boolean) of object;
property OnTabClosing: TJvTabBarClosingEvent;

Parameters

AllowClose

Indicates the item can continue closing.

Item

Tab for the event.

Sender

Control for the event.

Description

OnTabClosing is a TJvTabBarClosingEvent property that represents the event handler signaled when the Item in the Tabs collection is about to be closed.

OnTabClosing is normally triggered when CloseButton contains True and a mouse click occurs on the close button for the tab specified in Item. Applications can assign a procedure to the event handler to determine if Item can continue closing. Set the value in AllowClose to False to prevent the item in the Tabs collection from being closed and assigned to the ClosingTab property.

Use OnTabClosed to implement an event handler triggered after ClosingTab has been assigned and the control has been redrawn.

Created with Doc-O-Matic.


See Also

TJvTabBarClosingEvent, CloseButton, Tabs, ClosingTab, OnTabClosed


TJvCustomTabBar.OnTabMoved event

TJvCustomTabBar	Edit topic

Not documented

Pascal

property OnTabMoved: TJvTabBarItemEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTabBar.OnTabSelected event

TJvCustomTabBar	See Also	Edit topic

Event handler signaled after a tab becomes the selected tab.

Pascal

property OnTabSelected: TJvTabBarItemEvent;

Parameters

Sender

Control for the event.

Item

Tab for the event.

Description

OnTabSelected is a TJvTabBarItemEvent property that represents the event handler signaled after a tab has been assigned as the selected tab for the control.

OnTabSelected is triggered during processing that occurs after a new value has been assigned for the SelectedTab property as a result of a mouse click event or through assignment in code. OnTabSelected can be used to perform application-specific processing required when the tab in Item has become the selected tab in the control.

Applications must assign a procedure for the event handler to allow responding to the notification.

Use OnTabSelecting to perform processing required before a new value is assigned for the SelectedTab property.

Created with Doc-O-Matic.


See Also

TJvTabBarSelectingEvent, SelectedTab, OnTabSelecting


TJvCustomTabBar.OnTabSelecting event

TJvCustomTabBar	See Also	Edit topic

Event handler signaled before a tab becomes the selected tab.

Pascal

TJvTabBarSelectingEvent = procedure (Sender: TObject; Item: TJvTabBarItem; var AllowSelect: Boolean) of object;
property OnTabSelecting: TJvTabBarSelectingEvent;

Parameters

AllowSelect

Indicates the tab can become the selected tab.

Item

Tab for the event.

Sender

Control generating the event.

Description

OnTabSelecting is a TJvTabBarSelectingEvent property that represents the event handler signaled before a tab becomes the selected tab on the control.

OnTabSelecting is triggered during processing that occurs when a new value has been assigned for the SelectedTab property as a result of a mouse click event or through assignment in code. OnTabSelecting can be used to perform application-specific processing required to determine if the tab in Item can become the selected tab in the control. Set AllowSelect to False to indicate that the tab cannot be used as the SelectedTab value.

Applications must assign a procedure for the event handler to allow responding to the notification.

Use OnTabSelected to perform processing required after a new value has determined and assigned for the SelectedTab property.

Created with Doc-O-Matic.


See Also

TJvTabBarSelectingEvent, SelectedTab, OnTabSelected


TJvCustomTabBar.Orientation property

TJvCustomTabBar	Edit topic

Not documented

Pascal

property Orientation: TJvTabBarOrientation;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTabBar.PageList property

TJvCustomTabBar	Edit topic

Not documented

Pascal

property PageList: TCustomControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTabBar.PageListTabLink property

TJvCustomTabBar	Edit topic

Not documented

Pascal

property PageListTabLink: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTabBar.Painter property

TJvCustomTabBar	See Also	Edit topic

Measures and renders tabs defined for the control.

Pascal

property Painter: TJvTabBarPainter;

Description

Painter is a TJvTabBarPainter property that represents the rendering mechanism used to measure and draw the tabbed-bar control and the items defined in the Tabs collection.

Nearly all of the procedures and functions in TJvTabBarPainter are declared as abstract virtual methods. Applications do not create instances of TJvTabBarPainter; use a descendant class like TJvModernTabBarPainter which implements the abstract virtual methods as well as additional properties required for the specific rendering style.

Each TJvTabBarPainter descendant implements a specific drawing style and may include properties for the fonts and colors for Selected and Disabled tabs on the control. Its' capabilities include drawing close buttons on tabs using different colors for modified versus unmodified tabs. The drawing style is defined using the properties introduced in the renderer.

Assign a TJvTabBarPainter instance to the Painter property to use the measuring and rendering capabilities specific to the class. Changing the value in Painter causes an assigned Painter to be removed before storing the new Painter value and redrawing the control.

The class instance in Painter will be notified when changes are made to items in the Images property for the control.

Created with Doc-O-Matic.


See Also

TJvTabBarPainter, TJvModernTabBarPainter, Images, Tabs


TJvCustomTabBar.RightClickSelect property

TJvCustomTabBar	See Also	Edit topic

Indicates if right mouse button clicks can be used to select a tab on the control.

Pascal

property RightClickSelect: Boolean;

Description

RightClickSelect is a Boolean property that indicates if right mouse button clicks can be used to select a tab on the control. When RightClickSelect contains True, the tab under the mouse event will become the SelectedTab. If the TJvTabBarItem in SelectedTab has an assigned PopupMenu, the menu will be displayed at the mouse coordinates.

Please note that there is a potential conflict in handling right mouse button events when RightClickSelect for the TabBar control contains True and PopupMenu has been assigned for the control. In this situation, a right mouse button event occurring on the Tab cannot be properly resolved so no action is performed.

The default value for RightClickSelect is True, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

TJvTabBarItem, SelectedTab, PopupMenu


TJvCustomTabBar.SelectBeforeClose property

TJvCustomTabBar	See Also	Edit topic

Indicates if a tab must be selected before it can be closed using the close button.

Pascal

property SelectBeforeClose: Boolean;

Description

SelectBeforeClose is a Boolean property that indicates if a tab must be selected before it can be closed using the close button.

SelectBeforeClose is used when handling a mouse down event that occurs over the close button for an item in the Tabs property. When SelectBeforeClose contains True, the SelectedTab must be the same as the tab where the mouse click occurs or no action is performed. When SelectBeforeClose contains False, the tab will be closed even if it is not the item stored in the SelectedTab property.

CloseButton must contain True in order for close buttons to be drawn on items in the Tabs collection.

The default value for SelectBeforeClose is False, as assigned in the constructor for the control.

Use the event handlers in OnTabClosing, OnTabClosed, OnTabSelecting, OnTabSelected, and OnChange perform application-specific actions required for items in the Tabs property.

Created with Doc-O-Matic.


See Also

Tabs, CloseButton, SelectedTab, OnTabClosing, OnTabClosed, OnTabSelecting, OnTabSelected, OnChange


TJvCustomTabBar.SelectedTab property

TJvCustomTabBar	See Also	Edit topic

Represents the currently selected tab in the tabbed-bar control.

Pascal

property SelectedTab: TJvTabBarItem;

Description

SelectedTab is a TJvTabBarItem property that represents the current tab item selected on the tabbed-bar control. SelectedTab is updated when the control handles mouse movement and click operations.

Assigning a new tab item to the SelectedTab property causes the TJvTabBarItem instance to be scrolled into view on the control. When PageList is assigned and populated, the page with the same index value as the current tab is selected. If a page cannot be located for the TJvTabBarItem.Index value, no page is selected.

The OnTabSelected event handler is signaled after setting the selected tab and the optional page from the PageList using the newly selected tab item.

Created with Doc-O-Matic.


See Also

TJvTabBarItem, TJvTabBarItem.Index, PageList, OnTabSelected


TJvCustomTabBar.Tabs property

TJvCustomTabBar	Edit topic

Contains tabs defined for the tabbed-bar control.

Pascal

property Tabs: TJvTabBarItems;

Description

Tabs is a TJvTabBarItems property that stores tabs defined for the tabbed-bar control. Tabs is a collection for TJvTabItem instances created at design-time or at run-time using the AddTab method.

Values in Tabs are used when methods in the Painter for the control are called during Paint and PaintTab operations, and when mouse movement and click operations are performed. Applications can use Tabs to access and maintain tabs items for the control, and to perform specific actions in event handlers like OnTabClosing, OnTabClosed, OnTabSelecting, OnTabSelected, and OnChange.

Use AddTab to create a new Tab for the tabbed-bar control. Use FindTab to locate a tab in the control with the desired caption. Use FindData to locate a tab item with a specific Data object. Use MakeVisible to display a specific tab item in the Tabs property.

Use SelectedTab to read or write the currently selected tab item in the Tabs collection.

Use LeftTab to determine the leftmost visible tab item in the scrollable area for the tabbed-bar control.

Use HotTab to determine the tab item in Tabs that lies under the mouse pointer when HotTracking contains True.

Use ClosingTab to determine the tab item in Tabs that is in the process of Closing after clicking the close button on the tab.

Use PageList to access TJvCustomPage instances associated with tab items stored in the Tabs collection.

Use Images to access and maintain images drawn on tab items in the Tabs collection.

Created with Doc-O-Matic.


TJvCustomTabBar.AddTab method

TJvCustomTabBar	See Also	Edit topic

Creates a new tab on the tabbed-bar control.

Pascal

function AddTab(const Caption: string): TJvTabBarItem;

Return Value

TJvTabBarItem - Tab definition created with the specified caption text.

Parameters

const Caption: string

Text to display on the tab.

Description

AddTab is a TJvTabBarItem function used to create a new tab definition with the specified caption text in the Tabs collection. AddTab calls the TJvTabBarItems.Add method to create the TJvTabBarItem instance in the return value. The value in its' Caption property is set to the argument passed to the method.

Use properties in the TJvTabBarItem instance to access additional information about the tab definition, including:

Caption

Closing

Data

DisplayRect

Enabled

Hint

Hot

ImageIndex

Modified

PopupMenu

Selected

ShowHint

Tag

Visible

Use Tabs to access properties and methods for tabs already defined in the control.

Use FindTab to locate a specific tab defined in the Tabs collection.

Use FindData to locate a tab with a specific Data object in the Tabs collection.

Created with Doc-O-Matic.


See Also

Tabs, FindTab, FindData, TJvTabBarItems.Add, TJvTabBarItem


TJvCustomTabBar.FindData method

TJvCustomTabBar	See Also	Edit topic

Locates a tab in the control with the specified data object.

Pascal

function FindData(Data: TObject): TJvTabBarItem;

Return Value

TJvTabBarItem - Tab item with the specified data object, or nil.

Parameters

Data: TObject

Data object to locate in the Tabs collection.

Description

FindData is a TJvTabBarItem function used to locate the tab with the data object specified in Data in the defined Tabs for the control.

FindData performs a sequential search of the TJvTabBarItem instances in Tabs to locate the item with the specified object instance. When a match is found, the return value is the tab definition from the Tabs collection. If a match is not found, the return value for the method is Nil.

Use Find to locate the item in Tabs with a specific caption.

Created with Doc-O-Matic.


See Also

Find, Tabs, TJvTabBarItem.Data, TJvTabBarItems


TJvCustomTabBar.FindTab method

TJvCustomTabBar	Edit topic

Not documented

Pascal

function FindTab(const Caption: string): TJvTabBarItem;

Parameters

const Caption: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTabBar.MakeVisible method

TJvCustomTabBar	See Also	Edit topic

Ensures the specified Tab is visible on the scrollable drawing are for the tabbed-bar control.

Pascal

function MakeVisible(Tab: TJvTabBarItem): Boolean;

Return Value

Boolean - Always returns False.

Parameters

Tab: TJvTabBarItem

Item to scroll into view on the control.

Description

MakeVisible is a Boolean function used to ensure that the TJvTabBarItem specified in Tab is visible on the scrollable drawing are for the tabbed-bar control. Tab must contain a valid object instance and its' Visible property must contain True or no action is preformed.

MakeVisibile is used when the control is redrawn after assigning a new value to the SelectedTab property. This includes recalculating the display rectangle for all items defined in the Tabs property, and adjusting the value in LeftTab to allow display of the Item. Scroll buttons are also updated to reflect the tabs seen on the scrollable drawing area for the control.

Created with Doc-O-Matic.


See Also

TJvTabBarItem.Visible, SelectedTab, Tabs


TJvCustomTabBar.TabAt method

TJvCustomTabBar	See Also	Edit topic

Locates the tab affected by mouse movement and drag-and-drop operations.

Pascal

function TabAt(X: Integer; Y: Integer): TJvTabBarItem;

Return Value

TJvTabBarItem - Tab item affected by the operation.

Parameters

X: Integer

Coordinates for the mouse pointer.

Y: Integer

Coordinates for the mouse pointer.

Description

TabAt is a TJvTabBarItem function used to find the tab affected by mouse move and drag-and-drop operations in the tabbed-bar control.

TabAt uses the mouse coordinates provided in the X and Y parameters to determine which tab item in the Tabs property lies under the specified point. The return value is the TJvTabBarItem instance having a display rectangle that contains the mouse pointer, or Nil if no tab item can be found in Tabs.

TabAt is used in the implementation of MouseMove, MouseUp, and MouseDown actions as well as DragOver and DragDrop operations.

Created with Doc-O-Matic.


See Also

Tabs, TJvTabBarItem.DisplayRect


TJvCustomTimeLine
JEDI-VCL Reference

TJvCustomTimeLine

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base type for timeline view components, including TJvTimeLine.

Pascal

TJvCustomTimeLine = class(TJvCustomControl);

File

JvTimeLine

Description

Use TJvCustomTimeLine as a base class when defining controls that show a timeline with date items. TJvCustomTimeLine allows a list of date items to be displayed on a timeline view, with small or large icons.

Do not create instances of TJvCustomTimeLine. To put a timeline view on a form, use a descendant of TJvCustomTimeLine, such as TJvTimeLine.

Created with Doc-O-Matic.


TJvCustomTimeLine Properties

TJvCustomTimeLine	Legend

Properties

 AutoSize

 BorderStyle

 DragLine

 FirstVisibleDate

 Flat

 HelperYears

 HorzSupports

 Images

 ItemHeight

 Items

 Month

 MultiSelect

 OnHorzScroll

 OnVertScroll

 ScrollArrows

 Selected

 ShowDays

 ShowHiddenItemHints

 ShowItemHint

 ShowMonthNames

 ShowSelection

 Style

 SupportsColor

 TopLevel

 TopOffset

 VertSupports

 Year

 YearFont

 YearWidth

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomTimeLine Events

TJvCustomTimeLine	Legend

Events

 OnDrawItem

 OnItemClick

 OnItemDblClick

 OnItemMouseMove

 OnItemMoved

 OnItemMoving

 OnLoadItem

 OnMeasureItem

 OnSaveItem

 OnSize

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomTimeLine Methods

TJvCustomTimeLine	Legend

Methods

 AutoLevels

 BeginUpdate

 DateAtPos

 EndUpdate

 ItemAtPos

 LevelAtPos

 LoadFromFile

 LoadFromStream

NextMonth

NextYear

 PosAtDate

PrevMonth

PrevYear

 SaveToFile

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomTimeLine

Legend

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomTimeLine


TJvCustomTimeLine Members

TJvCustomTimeLine	Legend

Members

Properties

 AutoSize

 BorderStyle

 DragLine

 FirstVisibleDate

 Flat

 HelperYears

 HorzSupports

 Images

 ItemHeight

 Items

 Month

 MultiSelect

 OnHorzScroll

 OnVertScroll

 ScrollArrows

 Selected

 ShowDays

 ShowHiddenItemHints

 ShowItemHint

 ShowMonthNames

 ShowSelection

 Style

 SupportsColor

 TopLevel

 TopOffset

 VertSupports

 Year

 YearFont

 YearWidth

Events

 OnDrawItem

 OnItemClick

 OnItemDblClick

 OnItemMouseMove

 OnItemMoved

 OnItemMoving

 OnLoadItem

 OnMeasureItem

 OnSaveItem

 OnSize

Methods

 AutoLevels

 BeginUpdate

 DateAtPos

 EndUpdate

 ItemAtPos

 LevelAtPos

 LoadFromFile

 LoadFromStream

NextMonth

NextYear

 PosAtDate

PrevMonth

PrevYear

 SaveToFile

 SaveToStream

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


See Also

TJvTimeItem, TJvTimeItems, TJvTimeLine


TJvCustomTimeLine.AutoSize property

TJvCustomTimeLine	See Also	Edit topic

Indicates whether the timeline's height changes automatically to accommodate the items it contains.

Pascal

property AutoSize: Boolean;

Description

If AutoSize is set to True, the height of the timeline view adjusts automatically so that the items fit in it with no vertical margin.

When AutoSize is set to True and the timeline control needs to adjust the height of the view, it fires an OnSize event.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnSize


TJvCustomTimeLine.BorderStyle property

TJvCustomTimeLine	Edit topic

Specifies the border style for the timeline.

Pascal

property BorderStyle: TBorderStyle;

Description

If BorderStyle is set to the default bsSingle, the timeline has a single-line border. If BorderStyle is set to bsNone, no border appears around the timeline.

Created with Doc-O-Matic.


TJvCustomTimeLine.DragLine property

TJvCustomTimeLine	See Also	Edit topic

Specifies whether to show a vertical drag line when the user drags an item.

Pascal

property DragLine: Boolean;

Description

If DragLine is set to True, the timeline control shows a vertical drag line when the presses the left button while the mouse cursor is on the timeline view, or drags an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnItemClick, TJvCustomTimeLine.OnItemMoved, TJvCustomTimeLine.OnItemMoving


TJvCustomTimeLine.FirstVisibleDate property

TJvCustomTimeLine	See Also	Edit topic

Specifies the first visible date in the timeline view.

Pascal

property FirstVisibleDate: TDate;

Description

Use FirstVisibleDate to specify the date that will be the left most date visible in the timeline view. The timeline component ensures that the first visible date is always the first day of the month.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.NextMonth, TJvCustomTimeLine.NextYear, TJvCustomTimeLine.PrevMonth, TJvCustomTimeLine.PrevYear, TJvCustomTimeLine.TopLevel


TJvCustomTimeLine.Flat property

TJvCustomTimeLine	Edit topic

Determines whether the navigator buttons have a three-dimensional (3-D) look with borders or two-dimensional look without borders.

Pascal

property Flat: Boolean;

Description

When Flat is True, the navigator buttons appear flat and do not have borders separating them. When Flat is False, the buttons are clearly defined.

Created with Doc-O-Matic.


TJvCustomTimeLine.HelperYears property

TJvCustomTimeLine	See Also	Edit topic

Specifies whether helper years are displayed.

Pascal

property HelperYears: Boolean;

Description

If HelperYears is set to True, two years appear in the timeline. One in the upper left corner specifying the year of the first visible date and one in the upper right corner specifying the year of the last visible date.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.HorzSupports, TJvCustomTimeLine.VertSupports


TJvCustomTimeLine.HorzSupports property

TJvCustomTimeLine	See Also	Edit topic

Specifies whether horizontal support lines are displayed.

Pascal

property HorzSupports: Boolean;

Description

If HorzSupports is set to True, horizontal support lines appear in the timeline. One support line is drawn for each level.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.HelperYears, TJvCustomTimeLine.VertSupports


TJvCustomTimeLine.Images property

TJvCustomTimeLine	See Also	Edit topic

Specifies the images that appear next to items in the timeline view.

Pascal

property Images: TCustomImageList;

Description

Use Images to supply the list of images that appear above items in the timeline view. Each timeline item has an ImageIndex property that identifies an image in this list.

Created with Doc-O-Matic.


See Also

TJvTimeItem.ImageIndex


TJvCustomTimeLine.ItemHeight property

TJvCustomTimeLine	Edit topic

Specifies the height, in pixels, of the items in the timeline view.

Pascal

property ItemHeight: Integer;

Description

Set ItemHeight to control the height of the items that appear on the timeline control. The ItemHeight property is the vertical size in pixels of the individual items.

Note that an image associated with an item is placed above the caption of that item; thus, if you use images to display with the items, make sure that ItemHeight is big enough to hold both the image and the caption.

Created with Doc-O-Matic.


TJvCustomTimeLine.Items property

TJvCustomTimeLine	See Also	Edit topic

Contains the list of items displayed by the timeline view.

Pascal

property Items: TJvTimeItems;

Description

Use Items to directly access the TJvTimeItem objects that represent the items in the list. Setting this property at design time brings up the TimeLine Items Editor. Use this dialog to add or delete items, and to edit their display properties. At runtime, use each item's properties to change the appearance of the timeline items.

Created with Doc-O-Matic.


See Also

TJvTimeItem


TJvCustomTimeLine.Month property

TJvCustomTimeLine	See Also	Edit topic

Specifies the month of the first visible date in the timeline view.

Pascal

property Month: Word;

Description

Use Month to specify the month of the date that will be the left most date visible in the timeline view. The timeline component ensures that the first visible date is always the first day of the month.

Notes

This is a protected property.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.NextMonth, TJvCustomTimeLine.PrevMonth


TJvCustomTimeLine.MultiSelect property

TJvCustomTimeLine	See Also	Edit topic

Specifies whether multiple items can be selected on the timeline.

Pascal

property MultiSelect: Boolean;

Description

Use MultiSelect to specify whether the user can select multiple items.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.Selected, TJvTimeItem.Selected


TJvCustomTimeLine.OnDrawItem event

TJvCustomTimeLine	See Also	Edit topic

Occurs when an item in an owner-draw timeline view needs to be redisplayed.

Pascal

TJvDrawTimeItemEvent = procedure (Sender: TObject; Canvas: TCanvas; Item: TJvTimeItem; var R: TRect) of object;
property OnDrawItem: TJvDrawTimeItemEvent;

Parameters

Item

Specifies the item that needs to be redisplayed.

R

Indicates the boundaries (in pixels) of the item on that canvas.

Sender

The timeline view control in which an item is about to be drawn.

Canvas

Provides a drawing surface on which to draw the menu item.

Description

Use OnDrawItem to write a handler for drawing of the items in timeline views with the Style values lbOwnerDrawFixed or lbOwnerDrawVariable. OnDrawItem occurs when the timeline view needs to display an item. OnDrawItem occurs only for owner-draw timeline views.

The size of the rectangle that contains the item is determined either by the ItemHeight property or fixed owner-draw timeline views or by the response to the OnMeasureItem event for variable owner-draw timeline views.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ItemHeight, TJvCustomTimeLine.OnMeasureItem, TJvCustomTimeLine.Style


TJvCustomTimeLine.OnHorzScroll property

TJvCustomTimeLine	See Also	Edit topic

Occurs when the user scrolls the timeline view horizontally with the mouse or keyboard.

Pascal

property OnHorzScroll: TScrollEvent;

Description

Write an OnHorzScroll event handler to take specific action when the user scrolls the timeline view horizontally.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnVertScroll, TJvCustomTimeLine.ScrollArrows


TJvCustomTimeLine.OnItemClick event

TJvCustomTimeLine	See Also	Edit topic

Occurs when an item is clicked.

Pascal

property OnItemClick: TJvTimeItemClickEvent;

Description

Use OnItemClick to respond to mouse clicks on an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DragLine, TJvCustomTimeLine.OnItemDblClick


TJvCustomTimeLine.OnItemDblClick event

TJvCustomTimeLine	See Also	Edit topic

Occurs when an item is double-clicked.

Pascal

property OnItemDblClick: TJvTimeItemClickEvent;

Description

Use OnItemDoubleClick to respond to double clicks on an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnItemClick


TJvCustomTimeLine.OnItemMouseMove event

TJvCustomTimeLine	Edit topic

Not documented

Pascal

TJvItemMouseMove = procedure (Sender: TObject; Item: TJvTimeItem; X, Y: Integer) of object;
property OnItemMouseMove: TJvItemMouseMove;

Parameters

X

Not documented

Y

Not documented

Sender

Not documented

Item

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTimeLine.OnItemMoved event

TJvCustomTimeLine	See Also	Edit topic

Occurs after the user has moved an item.

Pascal

TJvItemMovedEvent = procedure (Sender: TObject; Item: TJvTimeItem; var NewStartDate: TDateTime; var NewLevel: Integer) of object;
property OnItemMoved: TJvItemMovedEvent;

Parameters

NewStartDate

Specifies the date where to the user has moved the item.

NewLevel

Specifies the level where to the user has moved the item.

Sender

The timeline view control in which an item is moved.

Item

The item that the user has moved.

Description

Write an OnItemMoved event handler to take specific action when the user finishes dragging an item. For example, after moving an item, use an OnItemMoved event handler to ask the user whether the move really must be done.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DragLine, TJvCustomTimeLine.OnItemMoving


TJvCustomTimeLine.OnItemMoving event

TJvCustomTimeLine	See Also	Edit topic

Occurs when the user tries to move an item.

Pascal

TJvItemMovingEvent = procedure (Sender: TObject; Item: TJvTimeItem; var AllowMove: Boolean) of object;
property OnItemMoving: TJvItemMovingEvent;

Parameters

AllowMove

Indicates whether the move should be permitted.

Item

The item that the user wants to move.

Sender

The timeline view control in which an item is moving.

Description

Write an OnItemMoving event handler to conditionally prevent the user from moving items on the timeline view.

Set AllowMove to False to disallow any movement of the item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DragLine, TJvCustomTimeLine.OnItemMoved


TJvCustomTimeLine.OnLoadItem event

TJvCustomTimeLine	See Also	Edit topic

Occurs after the application loads an item from a stream.

Pascal

property OnLoadItem: TJvStreamItemEvent;

Description

Use OnLoadItem to write a handler to load custom data associated with an item from the specified stream. When you call LoadFromStream or LoadFromFile, the component fires an OnLoadItem event for each item it loads from the stream. For example, you can use this event to read data from the stream, that will be stored in the Data property of an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnSaveItem


TJvCustomTimeLine.OnMeasureItem event

TJvCustomTimeLine	See Also	Edit topic

Occurs when the application needs to redisplay an item in a variable height owner-draw timeline view.

Pascal

TJvMeasureTimeItemEvent = procedure (Sender: TObject; Item: TJvTimeItem; var ItemHeight: Integer) of object;
property OnMeasureItem: TJvMeasureTimeItemEvent;

Parameters

ItemHeight

Specifies the height of the item.

Item

Specifies item in the control.

Sender

The timeline view control in which an item is about to be drawn.

Description

Use OnMeasureItem to write a handler to measure items to be drawn in a timeline view with a Style property value of lbOwnerDrawVariable.

The ItemHeight parameter should specify the height in pixels that the given item will occupy in the control. The ItemHeight parameter is passed by reference (a var parameter), which initially contains the default height of the item or the height of the item text in the control's font. The handler can set ItemHeight to a value appropriate to the contents of the item, such as the height of a graphical image to be displayed within the item.

After the OnMeasureItem event occurs, the OnDrawItem event occurs, rendering the item with the measured size.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ItemHeight, TJvCustomTimeLine.OnDrawItem, TJvCustomTimeLine.Style


TJvCustomTimeLine.OnSaveItem event

TJvCustomTimeLine	See Also	Edit topic

Occurs after the application saves an item to a stream.

Pascal

property OnSaveItem: TJvStreamItemEvent;

Description

Use OnSaveItem to write a handler to save custom data associated with an item to the specified stream. When you call SaveToStream or SaveToFile, the component fires an OnSaveItem event for each item it saves to the stream. For example, you can use this event to write data to the stream, that is stored in the Data property of an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnLoadItem


TJvCustomTimeLine.OnSize event

TJvCustomTimeLine	See Also	Edit topic

Occurs when the height of the timeline view changes.

Pascal

property OnSize: TNotifyEvent;

Description

Write an OnSize event handler to take specific action when the height of the timeline view changes. This event is only fired when AutoSize is set to True and the timeline control needs to adjust the height of the view.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.AutoSize


TJvCustomTimeLine.OnVertScroll property

TJvCustomTimeLine	See Also	Edit topic

Occurs when the user scrolls the timeline view vertically with the mouse or keyboard.

Pascal

property OnVertScroll: TScrollEvent;

Description

Write an OnVertScroll event handler to take specific action when the user scrolls the timeline view vertically.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnHorzScroll, TJvCustomTimeLine.ScrollArrows


TJvCustomTimeLine.ScrollArrows property

TJvCustomTimeLine	See Also	Edit topic

Determines which scroll buttons appear on the timeline view.

Pascal

property ScrollArrows: TJvScrollArrows;

Description

Use ScrollArrows to select which buttons appear on the timeline view. Leave any of the navigator buttons out of the ScrollArrows set to hide those buttons. Note that the user can still scroll the timeline view with the cursor buttons.
Button	Value	Action
Left	scrollLeft	Scrolls left by 1 month. If pressed with Ctrl it scrolls left by 1 year.
Right	scrollRight	Scrolls right by 1 month. If pressed with Ctrl it scrolls right by 1 year.
Up	scrollUp	Scrolls one level up.
Down	scrollDown	Scrolls one level down.
Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnHorzScroll, TJvCustomTimeLine.OnVertScroll, TJvScrollArrows


TJvCustomTimeLine.Selected property

TJvCustomTimeLine	See Also	Edit topic

Specifies the selected item in the timeline view.

Pascal

property Selected: TJvTimeItem;

Description

Read Selected to access the selected item of the timeline view. If there is no selected item, the value of Selected is nil. Set Selected to select an item in the timeline view.

If the MultiSelect property is True, then Selected returns the last item clicked on.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.MultiSelect, TJvTimeItem.Selected


TJvCustomTimeLine.ShowDays property

TJvCustomTimeLine	See Also	Edit topic

Specifies whether to display day numbers.

Pascal

property ShowDays: Boolean;

Description

If ShowDays is set to True, day numbers are displayed. The day numbers are only displayed if YearWidth is greater than or equal to 4320.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ShowMonthNames, TJvCustomTimeLine.YearWidth


TJvCustomTimeLine.ShowHiddenItemHints property

TJvCustomTimeLine	Edit topic

Specifies whether to show hints that indicate whether all items are visible in the current view.

Pascal

property ShowHiddenItemHints: Boolean;

Description

Set ShowHiddenItemHints to True, to show hints in the view that indicate whether there are items with a date before the left most date visible in the view, or with a date after the right most visible date.

Notes

This is a protected property.

Created with Doc-O-Matic.


TJvCustomTimeLine.ShowItemHint property

TJvCustomTimeLine	Edit topic

Indicates whether hints should be shown for items in the timeline.

Pascal

property ShowItemHint: Boolean;

Description

Set ShowHints to False if you don't want hints shown for date items. The default value is False.

Created with Doc-O-Matic.


TJvCustomTimeLine.ShowMonthNames property

TJvCustomTimeLine	See Also	Edit topic

Specifies whether the names of months are shown in the timeline view.

Pascal

property ShowMonthNames: Boolean;

Description

If ShowMonthNames is set to True, the names of month are displayed. If YearWidth is greater than 1440, long names of months are shown (e.g. "februari"), otherwise short names are shown (e.g. "feb").

Notes

The names of months are only displayed if YearWidth is greater than or equal to 140.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ShowDays, TJvCustomTimeLine.YearWidth


TJvCustomTimeLine.ShowSelection property

TJvCustomTimeLine	Edit topic

Not documented

Pascal

property ShowSelection: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTimeLine.Style property

TJvCustomTimeLine	See Also	Edit topic

Determines whether the timeline view is standard or owner-draw.

Pascal

property Style: TJvTimeLineStyle;

Description

Use Style to specify whether the timeline view displays the items in a standard way or displays the items in some nonstandard way. In the latter, you must write the code to paint items in the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ItemHeight, TJvCustomTimeLine.Items, TJvCustomTimeLine.OnDrawItem, TJvCustomTimeLine.OnMeasureItem


TJvCustomTimeLine.SupportsColor property

TJvCustomTimeLine	Edit topic

Not documented

Pascal

property SupportsColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTimeLine.TopLevel property

TJvCustomTimeLine	See Also	Edit topic

Specifies the level of the first visible row with date items in the timeline view.

Pascal

property TopLevel: Integer;

Description

Items can only be placed at certain vertical positions, called levels. Items placed on the top row have Level value 0, items on the second row have value 1, and so on.

Read TopLevel to determine the level of the first row with date items in the scrollable region that is visible. Set TopLevel to scroll the timeline view so that the items with level TopLevel are on the first visible row with date items.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.FirstVisibleDate, TJvTimeItem.Level


TJvCustomTimeLine.TopOffset property

TJvCustomTimeLine	Edit topic

Specifies the height of the topmost blank area of the timeline view.

Pascal

property TopOffset: Integer;

Description

Use TopOffset to get or set the height of the control's topmost blank area.

Created with Doc-O-Matic.


TJvCustomTimeLine.VertSupports property

TJvCustomTimeLine	See Also	Edit topic

Specifies whether to display vertical support lines.

Pascal

property VertSupports: Boolean;

Description

If VertSupports is set to True, vertical support lines are displayed. One support line is drawn for each month unless YearWidth is smaller than 160, then one support line is drawn for each quarter year.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.HelperYears, TJvCustomTimeLine.HorzSupports, TJvCustomTimeLine.YearWidth


TJvCustomTimeLine.Year property

TJvCustomTimeLine	See Also	Edit topic

Specifies the year of the first visible date in the timeline view.

Pascal

property Year: Word;

Description

Use Year to specify the year of the date that will be the left most date visible in the timeline view. The timeline component ensures that the first visible date is always the first day of the month.

Notes

This is a protected property.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.NextYear, TJvCustomTimeLine.PrevYear


TJvCustomTimeLine.YearFont property

TJvCustomTimeLine	Edit topic

Describes the font used to draw the years in the timeline view.

Pascal

property YearFont: TFont;

Description

Set YearFont to the font that should be used to make the years stand out.

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


TJvCustomTimeLine.YearWidth property

TJvCustomTimeLine	See Also	Edit topic

Specifies the horizontal size of years displayed on the timeline view.

Pascal

TJvYearWidth = 12..MaxInt;
property YearWidth: TJvYearWidth;

Description

Use YearWidth to indicate the desired width of years displayed on the timeline view.

YearWidth determines whether specific data is displayed:

The day numbers are only displayed if YearWidth is greater than or equal to 4320, and ShowDays is set to True.

If YearWidth is greater than 1440, long names of months are shown (e.g. "februari"), otherwise short names are shown (e.g. "feb"). If ShowMonthNames is set to false then no month names are shown.

If VertSupports is set to True, then one support line is drawn for each month unless YearWidth is smaller than 160, then one support line is drawn for each quarter year.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ShowDays, TJvCustomTimeLine.ShowMonthNames, TJvCustomTimeLine.VertSupports


TJvCustomTimeLine.AutoLevels method

TJvCustomTimeLine	See Also	Edit topic

Updates the vertical positions of the items in the timeline view.

Pascal

procedure AutoLevels(Complete: Boolean; ResetLevels: Boolean); virtual;

Parameters

Complete: Boolean

Specifies whether to do a complete evaluation of the items. If ResetLevels is set to True then it isn't necessary to set Complete to True.

ResetLevels: Boolean

Specifies whether to reset the vertical positions of the items before to the calculation starts.

Description

Call AutoLevels to update the vertical positions of the items in the timeline view. AutoLevels calculates how to place the items in such a way that there are no overlapping items.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Level


TJvCustomTimeLine.BeginUpdate method

TJvCustomTimeLine	See Also	Edit topic

Prevents updating of the timeline view until the EndUpdate method is called.

Pascal

procedure BeginUpdate; virtual;

Description

Call BeginUpdate before making multiple changes to the list of items. When all changes are complete, call EndUpdate so that the changes can be reflected on screen. BeginUpdate and EndUpdate prevent excessive redraws and speed processing time when items are added, deleted, or moved.

BeginUpdate/EndUpdate sequences can be nested. TJvCustomTimeLine tracks the nesting level and delays screen updates until the outermost EndUpdate is called.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.EndUpdate


TJvCustomTimeLine.DateAtPos method

TJvCustomTimeLine	See Also	Edit topic

Returns the date associated with a specified position on the control.

Pascal

function DateAtPos(Pos: Integer): TDateTime; virtual;

Return Value

The date at a position on the control indicated by Pos.

Parameters

Pos: Integer

Indicates the x-coordinate of the position to search a date for.

Description

Use DateAtPos to retrieve the date at a position indicated by Pos on the control.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ItemAtPos, TJvCustomTimeLine.LevelAtPos, TJvCustomTimeLine.PosAtDate


TJvCustomTimeLine.EndUpdate method

TJvCustomTimeLine	See Also	Edit topic

Reenables screen repainting that was turned off with the BeginUpdate method.

Pascal

procedure EndUpdate; virtual;

Description

Call EndUpdate after completing changes to the list that were begun with a call to the BeginUpdate method.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.BeginUpdate


TJvCustomTimeLine.ItemAtPos method

TJvCustomTimeLine	See Also	Edit topic

Returns a timeline item at a particular point on the control.

Pascal

function ItemAtPos(X: Integer; Y: Integer): TJvTimeItem; virtual;

Return Value

The timeline item placed at the point indicated by X and Y on the control. If no timeline item is placed at that point then ItemAtPos returns nil.

Parameters

X: Integer

Indicates the x-coordinate of the point in the control in window coordinates.

Y: Integer

Indicates the y-coordinate of the point in the control in window coordinates.

Description

Use ItemAtPos to retrieve an item at the point specified by X and Y in the control.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DateAtPos, TJvCustomTimeLine.LevelAtPos, TJvCustomTimeLine.PosAtDate


TJvCustomTimeLine.LevelAtPos method

TJvCustomTimeLine	See Also	Edit topic

Returns the level at a specified position on the control.

Pascal

function LevelAtPos(Pos: Integer): Integer; virtual;

Return Value

The level at a position on the control indicated by Pos.

Parameters

Pos: Integer

Indicates the y-coordinate of a position on the control.

Description

Use LevelAtPos to retrieve the level at a particular position on the control.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DateAtPos, TJvCustomTimeLine.ItemAtPos, TJvCustomTimeLine.PosAtDate, TJvTimeItem.Level


TJvCustomTimeLine.LoadFromFile method

TJvCustomTimeLine	See Also	Edit topic

Reads the file specified in FileName and loads the data into the timeline view.

Pascal

procedure LoadFromFile(FileName: string); virtual;

Parameters

FileName: string

Name of a file that was saved using the SaveToFile method.

Description

Use the LoadFromFile method to retrieve timeline view items from a file and add them to the timeline view. FileName should reference a file that was saved using the SaveToFile method.

Write an OnLoadItem event handler to load data associated with an item from the file.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.LoadFromStream, TJvCustomTimeLine.SaveToFile


TJvCustomTimeLine.LoadFromStream method

TJvCustomTimeLine	See Also	Edit topic

Reads timeline view data from a stream and stores the contents in the timeline view.

Pascal

procedure LoadFromStream(Stream: TStream); virtual;

Parameters

Stream: TStream

Specifies the stream from which to read the timeline view.

Description

Use LoadFromStream to read the items of the timeline view from the specified stream. LoadFromStream adds the items in the stream data to the timeline view.

Write an OnLoadItem event handler to load data associated with an item from the stream.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.LoadFromFile, TJvCustomTimeLine.SaveToStream


TJvCustomTimeLine.NextMonth method

TJvCustomTimeLine	See Also	Edit topic

Scrolls the timeline view right by 1 month.

Pascal

procedure NextMonth;

Description

Call NextMonth to scroll the timeline view right by 1 month. This will increase the first visible date by 1 month.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.FirstVisibleDate, TJvCustomTimeLine.NextYear, TJvCustomTimeLine.PrevMonth, TJvCustomTimeLine.PrevYear


TJvCustomTimeLine.NextYear method

TJvCustomTimeLine	See Also	Edit topic

Scrolls the timeline view right by 1 year.

Pascal

procedure NextYear;

Description

Call NextYear to scroll the timeline view right by 1 year. This will increase the first visible date by 1 year.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.FirstVisibleDate, TJvCustomTimeLine.NextMonth, TJvCustomTimeLine.PrevMonth, TJvCustomTimeLine.PrevYear


TJvCustomTimeLine.PosAtDate method

TJvCustomTimeLine	See Also	Edit topic

Returns the x-coordinate of a position on the control associated with a specified date.

Pascal

function PosAtDate(Date: TDateTime): Integer; virtual;

Return Value

The x-coordinate of a position on the control with a date as specified by Date.

Parameters

Date: TDateTime

Indicates the date to search.

Description

Use PosAtDate to retrieve the x-coordinate of a position on the control associated with the date specified by Date.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DateAtPos, TJvCustomTimeLine.ItemAtPos, TJvCustomTimeLine.LevelAtPos


TJvCustomTimeLine.PrevMonth method

TJvCustomTimeLine	See Also	Edit topic

Scrolls the timeline view left by 1 month.

Pascal

procedure PrevMonth;

Description

Call PrevMonth to scroll the timeline left right by 1 month. This will decrease the first visible date by 1 month.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.FirstVisibleDate, TJvCustomTimeLine.NextMonth, TJvCustomTimeLine.NextYear, TJvCustomTimeLine.PrevYear


TJvCustomTimeLine.PrevYear method

TJvCustomTimeLine	See Also	Edit topic

Scrolls the timeline view left by 1 year.

Pascal

procedure PrevYear;

Description

Call PrevYear to scroll the timeline view left by 1 year. This will decrease the first visible date by 1 year.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.FirstVisibleDate, TJvCustomTimeLine.NextMonth, TJvCustomTimeLine.NextYear, TJvCustomTimeLine.PrevMonth


TJvCustomTimeLine.SaveToFile method

TJvCustomTimeLine	See Also	Edit topic

Saves the timeline view to the file specified in FileName.

Pascal

procedure SaveToFile(FileName: string); virtual;

Parameters

FileName: string

Name of the file where to write the timeline view to.

Description

Use the SaveToFile method to store timeline view data to a text file. The items can later be reloaded from the file into a new timeline view object using the LoadFromFile method.

Write an OnSaveItem event handler to save data associated with an item to the stream.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.LoadFromFile, TJvCustomTimeLine.SaveToStream


TJvCustomTimeLine.SaveToStream method

TJvCustomTimeLine	See Also	Edit topic

Writes the data in the timeline view to the stream passed as the Stream parameter.

Pascal

procedure SaveToStream(Stream: TStream); virtual;

Parameters

Stream: TStream

The stream object to use for writing the information.

Description

Use the SaveToStream method to stream out the items in a tree view. It can be streamed back in to another timeline view object using the LoadFromStream method.

Write an OnSaveItem event handler to save data associated with an item to the stream.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.LoadFromStream, TJvCustomTimeLine.SaveToFile


TJvCustomTMTimeline
JEDI-VCL Reference

TJvCustomTMTimeline

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base type for timeline view components that mimic the timeline in MS Team Manager, including TJvTMTimeline.

Pascal

TJvCustomTMTimeline = class(TJvCustomPanel);

File

JvTMTimeLine

Description

Use TJvCustomTMTimeline as a base class when defining controls that show a timeline with images below specific dates.

Do not create instances of TJvCustomTMTimeline. To put a timeline view on a form, use a descendant of TJvCustomTMTimeline, such as TJvTMTimeline.

Created with Doc-O-Matic.


TJvCustomTMTimeline Properties

TJvCustomTMTimeline	Legend

Properties

 BorderStyle

 ButtonWidth

 Date

 DayWidth

 ImageCursor

ImageIndex

 Images

 LargeChange

 LastVisibleDate

 LeftButton

 LineColor

 MaxDate

 MinDate

 MonthFont

Objects

 ObjectsFontStyle

 ReadOnly

 RightButton

 RightClickSelect

 SelDate

 Selection

 ShowMonths

 ShowToday

 ShowTodayIcon

 ShowWeeks

 SmallChange

 TodayColor

 VisibleDays

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomTMTimeline Events

TJvCustomTMTimeline	Legend

Events

 OnChange

 OnReadObject

 OnWriteObject

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomTMTimeline Methods

TJvCustomTMTimeline

Methods

ClearImages

ClearObjects

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream

ScrollDate

Created with Doc-O-Matic.


Legend

TJvCustomTMTimeline

Legend

protected

read only

published

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel
                TJvCustomTMTimeline


TJvCustomTMTimeline Members

TJvCustomTMTimeline	Legend

Members

Properties

 BorderStyle

 ButtonWidth

 Date

 DayWidth

 ImageCursor

ImageIndex

 Images

 LargeChange

 LastVisibleDate

 LeftButton

 LineColor

 MaxDate

 MinDate

 MonthFont

Objects

 ObjectsFontStyle

 ReadOnly

 RightButton

 RightClickSelect

 SelDate

 Selection

 ShowMonths

 ShowToday

 ShowTodayIcon

 ShowWeeks

 SmallChange

 TodayColor

 VisibleDays

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnChange

 OnReadObject

 OnWriteObject

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

ClearImages

ClearObjects

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream

ScrollDate

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


See Also

TJvTMTimeline


TJvCustomTMTimeline.BorderStyle property

TJvCustomTMTimeline	Edit topic

Specifies the border style for the timeline.

Pascal

property BorderStyle: TBorderStyle;

Description

If BorderStyle is set to the default bsSingle, the timeline has a single-line border. If BorderStyle is set to bsNone, no border appears around the timeline.

Created with Doc-O-Matic.


TJvCustomTMTimeline.ButtonWidth property

TJvCustomTMTimeline	Edit topic

Specifies the width of the scroll buttons on the timeline view.

Pascal

property ButtonWidth: Integer;

Description

ButtonWidth represents the width, in pixels, of the scroll buttons on the timeline view.

Created with Doc-O-Matic.


TJvCustomTMTimeline.Date property

TJvCustomTMTimeline	See Also	Edit topic

Specifies the first visible date in the timeline view.

Pascal

property Date: TDate;

Description

Use Date to specify the date that will be the left most date visible in the timeline view. The value of Date must lie within the range specified by MaxDate and MinDate.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.MaxDate, TJvCustomTMTimeline.MinDate


TJvCustomTMTimeline.DayWidth property

TJvCustomTMTimeline	See Also	Edit topic

Specifies the horizontal size of days displayed on the timeline view.

Pascal

property DayWidth: Integer;

Description

Use DayWidth to indicate the desired width of days in pixels displayed on the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.VisibleDays


TJvCustomTMTimeline.ImageCursor property

TJvCustomTMTimeline	Edit topic

Specifies the image that represents the mouse pointer when the mouse passes over a date with an associated image.

Pascal

property ImageCursor: TCursor;

Description

Use ImageCursor to specify the appearance of the mouse pointer when the mouse passes over a date with an associated image. Associate an image with a date by setting property ImageIndex with the particular date as index. If you associate an image with a date the control will display that image below that date in the timeline view.

Created with Doc-O-Matic.


TJvCustomTMTimeline.ImageIndex property

TJvCustomTMTimeline	See Also	Edit topic

Identifies the image displayed at a particular date in the timeline view.

Pascal

property ImageIndex [ADate: TDate]: Integer;

Description

ImageIndex specifies an index into the Images property for a particular date; thus, associate an image with a date by setting the ImageIndex property to an index into the Images property using the specific date as index into ImageIndex. Look up the image associated with a date by reading the ImageIndex property with the specific date as index.

If you associate an image with a date the control will display that image below that date in the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Images, TJvCustomTMTimeline.Objects


TJvCustomTMTimeline.Images property

TJvCustomTMTimeline	See Also	Edit topic

Specifies the images that appear on the timeline view.

Pascal

property Images: TImageList;

Description

Use Images to supply the list of images that appear on the timeline view. Use ImageIndex to associate an image in the list to a specific date.

If you associate an image with a date the control will display that image below that date in the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ImageIndex


TJvCustomTMTimeline.LargeChange property

TJvCustomTMTimeline	See Also	Edit topic

Determines how much Date changes when the user clicks the scroll buttons or presses the arrow keys on the keyboard, while the Ctrl key is pressed.

Pascal

property LargeChange: Word;

Description

Set LargeChange to specify how much to change the value of Date when the user clicks on the scroll buttons on either side of the timeline or presses the arrow key on the keyboard, while the Ctrl key is pressed.

When the user doesn't press the Ctrl key, the timeline's view changes with the amount specified by SmallChange

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.SmallChange


TJvCustomTMTimeline.LastVisibleDate property

TJvCustomTMTimeline	See Also	Edit topic

Indicates the last fully visible date in the timeline view.

Pascal

property LastVisibleDate: TDate;

Description

Read LastVisibleDate to retrieve the date that is the right most date fully visible in the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date


TJvCustomTMTimeline.LeftButton property

TJvCustomTMTimeline	See Also	Edit topic

Gives access to the timeline view's left scroll button.

Pascal

property LeftButton: TSpeedButton;

Description

Use LeftButton to access properties and methods of the timeline view's left scroll button.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.RightButton


TJvCustomTMTimeline.LineColor property

TJvCustomTMTimeline	See Also	Edit topic

Specifies the color of the week and month separator lines.

Pascal

property LineColor: TColor;

Description

Use LineColor to specify the color of the week and month separator lines. Use ShowMonths and ShowWeeks to specify whether these lines must be shown.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowWeeks


TJvCustomTMTimeline.MaxDate property

TJvCustomTMTimeline	See Also	Edit topic

Indicates the maximum date to which users can scroll the timeline view.

Pascal

property MaxDate: TDate;

Description

Use MaxDate to get or set the maximum date to which users can scroll the timeline. The value of the Date property can’t exceed MaxDate.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date, TJvCustomTMTimeline.MinDate


TJvCustomTMTimeline.MinDate property

TJvCustomTMTimeline	See Also	Edit topic

Indicates the minimum date to which users can scroll the timeline view.

Pascal

property MinDate: TDate;

Description

Use MinDate to get or set the minimum date to which users can scroll the timeline. The value of the Date property can't be set to a date before MinDate.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date, TJvCustomTMTimeline.MaxDate


TJvCustomTMTimeline.MonthFont property

TJvCustomTMTimeline	See Also	Edit topic

Describes the font used to draw the months in the timeline view.

Pascal

property MonthFont: TFont;

Description

Set MonthFont to the font that should be used to make the months stand out.

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowToday, TJvCustomTMTimeline.ShowWeeks


TJvCustomTMTimeline.Objects property

TJvCustomTMTimeline	See Also	Edit topic

Specifies the object associated with a particular date.

Pascal

property Objects [ADate: TDate]: TObject;

Description

Associate an object with a date by setting the Objects property using the specific date as index. Look up the object associated with a date by reading the Objects property with the specific date as index.

The date numbers of dates that have an associated object, are drawn with the font style as specified by ObjectsFontStyle.

Notes

The control owns the objects in the Objects array; thus Objects added to the Objects array are freed when the timeline control is destroyed.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ObjectsFontStyle


TJvCustomTMTimeline.ObjectsFontStyle property

TJvCustomTMTimeline	See Also	Edit topic

Determines whether the font for displaying date numbers with an associated object, is normal, italic, underlined, bold, and so on.

Pascal

property ObjectsFontStyle: TFontStyles;

Description

Use Style to add special characteristics to date numbers that have an associated object. Use property Objects to associate an object to a date.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Objects


TJvCustomTMTimeline.OnChange event

TJvCustomTMTimeline	See Also	Edit topic

Occurs when property Date changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to respond when property Date changes.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date


TJvCustomTMTimeline.OnReadObject event

TJvCustomTMTimeline	See Also	Edit topic

Occurs when an object associated with a date needs to be read from a stream.

Pascal

TJvObjectReadEvent = procedure (Sender: TObject; Stream: TStream; var AObject: TObject) of object;
property OnReadObject: TJvObjectReadEvent;

Parameters

AObject

The new object to be associated with a date.

Stream

Specifies the stream from which to read the custom data.

Sender

The timeline view control that is reading the timeline data from the stream.

Description

Use OnReadObject to write a handler that creates an object to be associated with a particular date. The OnReadObject can initialize that new object by reading custom data from the specified stream and setting the new object's properties accordingly.

When you call LoadFromStream or LoadFromFile, the component fires an OnReadObject event for each date it reads from the stream that has an associated object.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LoadFromFile, TJvCustomTMTimeline.LoadFromStream, TJvCustomTMTimeline.OnWriteObject


TJvCustomTMTimeline.OnWriteObject event

TJvCustomTMTimeline	See Also	Edit topic

Occurs when an object associated with a date needs to be written to a stream.

Pascal

TJvObjectWriteEvent = procedure (Sender: TObject; Stream: TStream; const AObject: TObject) of object;
property OnWriteObject: TJvObjectWriteEvent;

Parameters

AObject

The new object to be associated with a date.

Stream

Specifies the stream to which to write the custom data.

Sender

The timeline view control that is writing the timeline data from the stream.

Description

Use OnWriteObject to write a handler that writes an object associated with a particular date, to the specified stream. The OnWriteObject may save custom date, so an OnReadObject handler can initialize a new object by reading that custom data from a stream and setting that new object's properties accordingly.

When you call SaveToStream or SaveToFile, the component fires an OnWriteObject event for each date that has an associated object.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.OnReadObject, TJvCustomTMTimeline.SaveToFile, TJvCustomTMTimeline.SaveToStream


TJvCustomTMTimeline.ReadOnly property

TJvCustomTMTimeline	See Also	Edit topic

Determines whether the user can scroll the timeline.

Pascal

property ReadOnly: Boolean;

Description

Use ReadOnly to determine whether the user can scroll the timeline. If ReadOnly is True, no scroll buttons are displayed, and the user can't scroll the view with the keyboard arrow keys. If ReadOnly is False, scroll buttons are displayed on the view and the user can scroll the timeline view by either pressing these buttons or by pressing the keyboard arrow keys.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LeftButton, TJvCustomTMTimeline.RightButton


TJvCustomTMTimeline.RightButton property

TJvCustomTMTimeline	See Also	Edit topic

Gives access to the timeline view's right scroll button.

Pascal

property RightButton: TSpeedButton;

Description

Use RightButton to access properties and methods of the timeline view's right scroll button.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LeftButton


TJvCustomTMTimeline.RightClickSelect property

TJvCustomTMTimeline	See Also	Edit topic

Determines whether the user can use the right mouse button to select a date.

Pascal

property RightClickSelect: Boolean;

Description

If RightClickSelect is set to True, the user can select a date by either clicking that date with the right or left mouse button. If RightClickSelect is set to False, the user can only select a date by clicking it with the left mouse button.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.SelDate


TJvCustomTMTimeline.SelDate property

TJvCustomTMTimeline	See Also	Edit topic

Specifies the selected date in the timeline view.

Pascal

property SelDate: TDate;

Description

Use SelDate to get or set the date that is marked with a selection frame on the timeline view. Use Selection to describe the attributes of this selection frame on a timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date, TJvCustomTMTimeline.Selection


TJvCustomTMTimeline.Selection property

TJvCustomTMTimeline	See Also	Edit topic

Controls the appearance of the selection frame.

Pascal

property Selection: TJvTLSelFrame;

Description

To change to a new selection frame, specify a new TJvTLSelFrame object. To modify a selection frame, change the value of the Pen or Visible property of the TJvTLSelFrame object.

Created with Doc-O-Matic.


See Also

TJvTLSelFrame


TJvCustomTMTimeline.ShowMonths property

TJvCustomTMTimeline	See Also	Edit topic

Specifies whether month separator lines and the names of months are shown in the timeline view.

Pascal

property ShowMonths: Boolean;

Description

Use ShowMonths to specify whether month separator lines and the names of months are shown in the timeline view. Use MonthFont to set the font used to draw the names of months. Use LineColor to specify the color of the week and month separator lines.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LineColor, TJvCustomTMTimeline.MonthFont, TJvCustomTMTimeline.ShowToday, TJvCustomTMTimeline.ShowWeeks


TJvCustomTMTimeline.ShowToday property

TJvCustomTMTimeline	See Also	Edit topic

Specifies whether today's date is shown in another color and with a double-diamond icon below the date.

Pascal

property ShowToday: Boolean;

Description

Set ShowToday to True to show today's date (according to the system clock) in another color and with a double-diamond icon below the date. Use TodayColor to specify the background color to make today's date stand out.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.MonthFont, TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowWeeks, TJvCustomTMTimeline.TodayColor


TJvCustomTMTimeline.ShowTodayIcon property

TJvCustomTMTimeline	Edit topic

Not documented

Pascal

property ShowTodayIcon: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomTMTimeline.ShowWeeks property

TJvCustomTMTimeline	See Also	Edit topic

Specifies whether dotted week separator lines are shown in the timeline view.

Pascal

property ShowWeeks: Boolean;

Description

If ShowWeeks is True, dotted week separator lines are shown in the timeline view. These lines are drawn between Sunday and Monday. Use LineColor to specify the color of the week and month separator lines.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LineColor, TJvCustomTMTimeline.MonthFont, TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowToday


TJvCustomTMTimeline.SmallChange property

TJvCustomTMTimeline	See Also	Edit topic

Determines how much Date changes when the user clicks the scroll buttons or presses the arrow keys on the keyboard.

Pascal

property SmallChange: Word;

Description

Set SmallChange to specify how much to change the value of Date when the user clicks on the scroll buttons on either side of the timeline or presses the arrow key on the keyboard.

When the user clicks the scroll button or presses the arrow keys on the keyboard, while holding the Ctrl key, the timeline's view changes with the amount specified by LargeChange

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LargeChange


TJvCustomTMTimeline.TodayColor property

TJvCustomTMTimeline	See Also	Edit topic

Specifies the background color for today's date.

Pascal

property TodayColor: TColor;

Description

The TodayColor property determines the background color for today's date (according to the system clock). Use ShowToday to specify whether the special background color for today's date must be shown.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ShowToday


TJvCustomTMTimeline.VisibleDays property

TJvCustomTMTimeline	See Also	Edit topic

Indicates the number of fully visible days in the control.

Pascal

property VisibleDays: Integer;

Description

Read VisibleDays to retrieve the number of fully visible days in the control.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.DayWidth


TJvCustomTMTimeline.ClearImages method

TJvCustomTMTimeline	See Also	Edit topic

Removes all associations of images with a date.

Pascal

procedure ClearImages;

Description

Call ClearImages to remove all associations of images with a date. By setting property ImageIndex you can associate a specific image with a date. The timeline view will display this image in the timeline view at the specific date. Calling ClearImages will remove all associations of images with a date by resetting all values of ImageIndex to -1.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Images, TJvCustomTMTimeline.Objects


TJvCustomTMTimeline.ClearObjects method

TJvCustomTMTimeline	See Also	Edit topic

Frees all objects associated with a date.

Pascal

procedure ClearObjects;

Description

Call ClearObjects to free all objects that have been associated with a date by setting property Objects.

The date numbers of dates that have an associated object, are drawn with the font style as specified by ObjectsFontStyle; thus, after calling ClearObjects all date numbers will be drawn with the default font style as described by Font.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Objects


TJvCustomTMTimeline.LoadFromFile method

TJvCustomTMTimeline	See Also	Edit topic

Reads the file specified in FileName and loads the data into the timeline view.

Pascal

procedure LoadFromFile(const Filename: string);

Parameters

const Filename: string

Name of a file that was saved using the SaveToFile method.

Description

Use the LoadFromFile method to retrieve timeline view items from a file and add them to the timeline view. FileName should reference a file that was saved using the SaveToFile method.

Write an OnReadObject event handler to load objects associated with dates from the file.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LoadFromStream, TJvCustomTMTimeline.SaveToFile


TJvCustomTMTimeline.LoadFromStream method

TJvCustomTMTimeline	See Also	Edit topic

Reads timeline view data from a stream and stores the contents in the timeline view.

Pascal

procedure LoadFromStream(Stream: TStream);

Parameters

Stream: TStream

Specifies the stream from which to read the timeline view.

Description

Use LoadFromStream to read the items of the timeline view from the specified stream. LoadFromStream adds the items in the stream data to the timeline view.

Write an OnReadObject event handler to load objects associated with dates from the stream.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LoadFromFile, TJvCustomTMTimeline.SaveToStream


TJvCustomTMTimeline.SaveToFile method

TJvCustomTMTimeline	See Also	Edit topic

Saves the timeline view to the file specified in FileName.

Pascal

procedure SaveToFile(const Filename: string);

Parameters

const Filename: string

Name of the file where to write the timeline view to.

Description

Use the SaveToFile method to store timeline view data to a text file. The items can later be reloaded from the file into a new timeline view object using the LoadFromFile method.

Write an OnWriteObject event handler to save objects associated with dates to the stream.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LoadFromFile, TJvCustomTMTimeline.SaveToStream


TJvCustomTMTimeline.SaveToStream method

TJvCustomTMTimeline	See Also	Edit topic

Writes the data in the timeline view to the stream passed as the Stream parameter.

Pascal

procedure SaveToStream(Stream: TStream);

Parameters

Stream: TStream

The stream object to use for writing the information.

Description

Use the SaveToStream method to stream out the items in a tree view. It can be streamed back in to another timeline view object using the LoadFromStream method.

Write an OnWriteObject event handler to save objects associated with dates to the stream.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LoadFromStream, TJvCustomTMTimeline.SaveToFile


TJvCustomTMTimeline.ScrollDate method

TJvCustomTMTimeline	See Also	Edit topic

Scrolls the timeline view by the indicated amount.

Pascal

procedure ScrollDate(Sender: TObject; Delta: Integer);

Parameters

Sender: TObject

Not used.

Delta: Integer

Specifies the amount of days to scroll. Delta may be negative.

Description

Call ScrollDate to scroll the timeline view by Delta days horizontally. Delta may be negative.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date, TJvCustomTMTimeline.MaxDate, TJvCustomTMTimeline.MinDate


TJvCustomTreeView
JEDI-VCL Reference

TJvCustomTreeView

Hierarchy	Properties	Events	 Edit topic

The base class for tree view controls.

Pascal

TJvCustomTreeView = class(TJvExCustomTreeView);

File

JvComponent

Description

TJvCustomTreeView is the base class for tree view controls within the JEDI VCL. The class defines one published property, AboutJVCL, that is used to display information about the currently installed JEDI-VCL release.

Created with Doc-O-Matic.


TJvCustomTreeView Properties

TJvCustomTreeView	Legend

Properties

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCustomTreeView Events

TJvCustomTreeView	Legend

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomTreeView

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomTreeView


TJvCustomTreeView Members

TJvCustomTreeView	Legend

Members

Properties

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvCustomUrlGrabber
JEDI-VCL Reference

TJvCustomUrlGrabber

Hierarchy	Properties	Methods	Events	 Edit topic

Ancestor of all URL grabbers

Pascal

TJvCustomUrlGrabber = class(TJvComponent);

File

JvUrlListGrabber

Description

This class is the ancestor of all the Url Grabbers and declares the required methods that a grabber must provide. Do not instantiate a TJvUrlGrabber directly, simply use one of its descendants. This family of classes is used by TJvUrlListGrabber to allow downloading a list of URLs. When deriving a new class from this one, please remember that you have to provide implementations for GetDefaultPropertiesClass and GetSupportedURLName. Further, unless you intentionally want to do blocking grabbing, you must create a new class derived from TJvCustomUrlGrabberThread that will handle the grabbing in a separate background thread.

Created with Doc-O-Matic.


TJvCustomUrlGrabber Properties

TJvCustomUrlGrabber	Legend

Properties

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Legend

read only

protected

published

Created with Doc-O-Matic.


Legend

read only

protected

published


TJvCustomUrlGrabber Events

TJvCustomUrlGrabber

Events

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Created with Doc-O-Matic.


TJvCustomUrlGrabber Methods

TJvCustomUrlGrabber	Legend

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomUrlGrabber

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomUrlGrabber


TJvCustomUrlGrabber Members

TJvCustomUrlGrabber	Legend

Members

Properties

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Events

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Legend

read only

protected

published

virtual


TJvCustomUrlGrabber.Agent property

TJvCustomUrlGrabber	Edit topic

The Agent to impersonate

Pascal

property Agent: string;
property Agent: string;
property Agent: string;
property Agent: string;

Description

Most protocols use an agent name to identify the software used to communicate. Use this property to indicate the agent string.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.BytesRead property

TJvCustomUrlGrabber	See Also	Edit topic

The number of bytes that have been read so far by the grabbing process.

Pascal

property BytesRead: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnProgress, TJvCustomUrlGrabber.Size


TJvCustomUrlGrabber.FileName property

TJvCustomUrlGrabber	See Also	Edit topic

The name of the file to write to if OutputMode is omFile

Pascal

property FileName: TFileName;
property FileName: TFileName;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OutputMode


TJvCustomUrlGrabber.Id property

TJvCustomUrlGrabber	Edit topic

An Integer value to be freely used by the user of that class, usually to identify the grabber in a list

Pascal

property Id: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.OnClosingConnection event

TJvCustomUrlGrabber	See Also	Edit topic

This event is triggered when the connection is about to be closed

Pascal

property OnClosingConnection: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectionClosed


TJvCustomUrlGrabber.OnConnectedToServer event

TJvCustomUrlGrabber	See Also	Edit topic

This event is triggered when the connection to the server has been established

Pascal

property OnConnectedToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectingToServer


TJvCustomUrlGrabber.OnConnectingToServer event

TJvCustomUrlGrabber	See Also	Edit topic

This event is triggered when about to connect to the server

Pascal

property OnConnectingToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectedToServer


TJvCustomUrlGrabber.OnConnectionClosed event

TJvCustomUrlGrabber	See Also	Edit topic

This event is triggered when the connection has been closed

Pascal

property OnConnectionClosed: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnClosingConnection


TJvCustomUrlGrabber.OnDoneFile event

TJvCustomUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the file is finished

Pascal

property OnDoneFile: TJvDoneFileEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneStream, TJvCustomUrlGrabber.OutputMode


TJvCustomUrlGrabber.OnDoneStream event

TJvCustomUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the stream is finished

Pascal

property OnDoneStream: TJvDoneStreamEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneFile, TJvCustomUrlGrabber.OutputMode


TJvCustomUrlGrabber.OnError event

TJvCustomUrlGrabber	Edit topic

This event is triggered when an error has occurred

Pascal

property OnError: TJvErrorEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.OnNameResolved event

TJvCustomUrlGrabber	See Also	Edit topic

This event is triggered when the name used in the Url has been resolved

Pascal

property OnNameResolved: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResolvingName


TJvCustomUrlGrabber.OnProgress event

TJvCustomUrlGrabber	Edit topic

This event is triggered while the grabbing is in progress

Pascal

TJvUrlGrabberProgressEvent = procedure (Sender: TObject; Position, TotalSize: Int64; Url: string; var Continue: Boolean) of object;
property OnProgress: TJvUrlGrabberProgressEvent;

Parameters

Url

The URL of the object being grabbed

Continue

If you set this value to False, the grabbing will be canceled

TotalSize

The total size of the object being grabbed. It may be 0 if the protocol could not give the size of the object

Sender

The grabber object that has made some progress

Position

The position in the object where the grabbing process is at the moment

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.OnReceivingResponse event

TJvCustomUrlGrabber	See Also	Edit topic

Event triggered when a response is being received

Pascal

property OnReceivingResponse: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResponseReceived


TJvCustomUrlGrabber.OnRedirect event

TJvCustomUrlGrabber	Edit topic

Event triggered when the server indicated to go to another URL to get the content

Pascal

property OnRedirect: TNotifyEvent;

Description

This event is usually only triggered by HTTP protocols

Created with Doc-O-Matic.


TJvCustomUrlGrabber.OnRequestComplete event

TJvCustomUrlGrabber	See Also	Edit topic

Event triggered when a request is complete

Pascal

property OnRequestComplete: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent, TJvCustomUrlGrabber.OnSendingRequest


TJvCustomUrlGrabber.OnRequestSent event

TJvCustomUrlGrabber	See Also	Edit topic

Event triggered when a request has been sent

Pascal

property OnRequestSent: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnSendingRequest


TJvCustomUrlGrabber.OnResolvingName event

TJvCustomUrlGrabber	See Also	Edit topic

Event triggered when a name is about to be resolved

Pascal

property OnResolvingName: TNotifyEvent;

Description

If the URL doesn't indicate an IP, the name needs to be resolved before being used

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnNameResolved


TJvCustomUrlGrabber.OnResponseReceived event

TJvCustomUrlGrabber	See Also	Edit topic

Event triggered when a response has been received

Pascal

property OnResponseReceived: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnReceivingResponse


TJvCustomUrlGrabber.OnSendingRequest event

TJvCustomUrlGrabber	See Also	Edit topic

Event triggered when a request is being sent

Pascal

property OnSendingRequest: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent


TJvCustomUrlGrabber.OnStatusChange event

TJvCustomUrlGrabber	See Also	Edit topic

Event triggered when the status of the grabber has changed

Pascal

property OnStatusChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Status


TJvCustomUrlGrabber.OutputMode property

TJvCustomUrlGrabber	Edit topic

The output mode to use for the grabbing operation

Pascal

property OutputMode: TJvOutputMode;
property OutputMode: TJvOutputMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.Password property

TJvCustomUrlGrabber	See Also	Edit topic

The password to use along with the user name

Pascal

property Password: string;
property Password: string;
property Password: string;
property Password: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

UserName


TJvCustomUrlGrabber.Port property

TJvCustomUrlGrabber	See Also	Edit topic

The port to connect onto the host

Pascal

property Port: Cardinal;

Description

If you want to specifically connect to a given port, indicate it here

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Url


TJvCustomUrlGrabber.Size property

TJvCustomUrlGrabber	See Also	Edit topic

The size of the object being grabbed. If the protocol cannot provide the size of the object this value is 0.

Pascal

property Size: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.BytesRead


TJvCustomUrlGrabber.Status property

TJvCustomUrlGrabber	Edit topic

The status of the grabber

Pascal

property Status: TJvGrabberStatus;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.Stream property

TJvCustomUrlGrabber	Edit topic

Not documented

Pascal

property Stream: TMemoryStream;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.Url property

TJvCustomUrlGrabber	See Also	Edit topic

The URL to grab

Pascal

property Url: string;

Description

When you set this property, the value will be parsed using ParseUrl and if the various non compulsory parts are indicated, they will be the new value of their respective properties.

Created with Doc-O-Matic.


See Also

UserName, TJvCustomUrlGrabber.Password, TJvCustomUrlGrabber.Port


TJvCustomUrlGrabber.UrlGrabberThread property

TJvCustomUrlGrabber	Edit topic

Not documented

Pascal

property UrlGrabberThread: TJvCustomUrlGrabberThread;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabber.UserName property

TJvCustomUrlGrabber	See Also	Edit topic

The user name to use along with the password

Pascal

property UserName: string;
property UserName: string;
property UserName: string;
property UserName: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Password


TJvCustomUrlGrabber.CanGrab method

TJvCustomUrlGrabber	Edit topic

Returns true if the given Url is supported by the grabber

Pascal

class function CanGrab(const Url: string): Boolean; virtual;

Return Value

True if the Url is supported, False otherwise

Parameters

const Url: string

The Url to test

Description

This function must return True if the given URL can be grabbed by the class being asked. It returns False otherwise. It MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


TJvCustomUrlGrabber.GetDefaultPropertiesClass method

TJvCustomUrlGrabber	Edit topic

This function returns the class of a property holder to be displayed in the object inspector.

Pascal

class function GetDefaultPropertiesClass: TJvCustomUrlGrabberDefaultPropertiesClass; virtual;

Return Value

A class derived from TJvCustomUrlGrabberDefaultProperties

Description

This property holder will be used by TJvUrlListGrabber to let the user specify default properties and will be passed to this class when created to handle a specific URL. It MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


TJvCustomUrlGrabber.GetSupportedProtocolMarker method

TJvCustomUrlGrabber	See Also	Edit topic

This function returns the marker that indicates the protocol in a URL.

Pascal

class function GetSupportedProtocolMarker: string; virtual;

Return Value

A string indicating the marker for protocol supported by the class.

Description

For instance, for an HTTP grabber, this would return 'http://'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedURLName


TJvCustomUrlGrabber.GetSupportedURLName method

TJvCustomUrlGrabber	See Also	Edit topic

This function returns the name of the URL supported by the grabber. This is not the protocol part of a URL, but a user displayable string.

Pascal

class function GetSupportedURLName: string; virtual;

Return Value

A string indicating the type of URL supported by the class.

Description

This function returns a user displayable name that indicates the type of URL supported by the class. For instance, a HTTP grabber class would return 'HTTP'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedProtocolMarker


TJvCustomUrlGrabber.ParseUrl method

TJvCustomUrlGrabber	Edit topic

Splits the given URL into its various parts, if indicated

Pascal

procedure ParseUrl(URL: string; Protocol: string; var Host: string; var FileName: string; var UserName: string; var Password: string; var Port: Cardinal); virtual;

Parameters

URL: string

The Url to parse

Protocol: string

The protocol marker to find in the Url

var Host: string

Upon exit, contains the host part of the Url

var FileName: string

Upon exit, contains the filename part of the Url (including the leading slash)

var UserName: string

Upon exit, contains the username part of the Url

var Password: string

Upon exit, contains the password part of the Url

var Port: Cardinal

Upon exit, contains the port part of the Url

Description

A URL respects this format:

    protocol [username[:password]@] host [:port] [/filename]

When a non compulsory part is missing the exit value of the associated parameter will be an empty string or 0

Created with Doc-O-Matic.


TJvCustomUrlGrabber.Start method

TJvCustomUrlGrabber	See Also	Edit topic

Starts the grabbing operation

Pascal

procedure Start; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Stop


TJvCustomUrlGrabber.Stop method

TJvCustomUrlGrabber	See Also	Edit topic

Stops the grabbing operation

Pascal

procedure Stop; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Start


TJvCustomUrlGrabberDefaultProperties
JEDI-VCL Reference

TJvCustomUrlGrabberDefaultProperties

Hierarchy	Properties	 Edit topic

This is a container for default properties

Pascal

TJvCustomUrlGrabberDefaultProperties = class(TPersistent);

File

JvUrlListGrabber

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabberDefaultProperties Properties

TJvCustomUrlGrabberDefaultProperties	Legend

Properties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


Legend

TJvCustomUrlGrabberDefaultProperties

Legend

protected

read only

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomUrlGrabberDefaultProperties


TJvCustomUrlGrabberDefaultProperties Members

TJvCustomUrlGrabberDefaultProperties	Legend

Members

Properties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvCustomUrlGrabberDefaultProperties.EditorTrick property

TJvCustomUrlGrabberDefaultProperties	Edit topic

The editor trick used to display meaningful information at design time

Pascal

property EditorTrick: TJvUrlGrabberDefPropEdTrick;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabberDefaultProperties.Port property

TJvCustomUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property Port: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabberDefaultProperties.SupportedURLName property

TJvCustomUrlGrabberDefaultProperties	Edit topic

Returns the name of the supported URL for the associated grabber class. This is not the protocol part of a URL, but a user displayable string.

Pascal

property SupportedURLName: string;

Description

The descendants of this class must implement this function and usually do so by calling the GetSupportedURLName function in the associated grabber class.

Created with Doc-O-Matic.


TJvCustomUrlGrabberThread
JEDI-VCL Reference

TJvCustomUrlGrabberThread

Hierarchy	Properties	Methods	 Edit topic

A thread that will grab the given URL in the background

Pascal

TJvCustomUrlGrabberThread = class(TThread);

File

JvUrlListGrabber

Description

This is the ancestor of all the grabber threads, and there should be as many descendants as there are TJvCustomUrlGrabber descendants. Basically, a thread is created to handle the connection and grabbing of the file thus allowing the main application to continue to run. All events will be triggered in a call to Synchronize.

Created with Doc-O-Matic.


TJvCustomUrlGrabberThread Fields

TJvCustomUrlGrabberThread	Legend

Fields

 FGrabber

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomUrlGrabberThread Properties

TJvCustomUrlGrabberThread	Legend

Properties

 Continue

 ErrorText

Status

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomUrlGrabberThread Methods

TJvCustomUrlGrabberThread	Legend

Methods

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvCustomUrlGrabberThread

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TThread
    TJvCustomUrlGrabberThread


TJvCustomUrlGrabberThread Members

TJvCustomUrlGrabberThread	Legend

Members

Fields

 FGrabber

Properties

 Continue

 ErrorText

Status

Methods

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomUrlGrabberThread.FGrabber field

TJvCustomUrlGrabberThread	Edit topic

This value holds a reference to the grabber to which the thread belongs

Pascal

FGrabber: TJvCustomUrlGrabber;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabberThread.Continue property

TJvCustomUrlGrabberThread	Edit topic

Not documented

Pascal

property Continue: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabberThread.ErrorText property

TJvCustomUrlGrabberThread	Edit topic

Not documented

Pascal

property ErrorText: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabberThread.Status property

TJvCustomUrlGrabberThread	Edit topic

The Status value, used internally by the thread to signal different states to its grabber

Pascal

property Status: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomUrlGrabberThread.DoProgress method

TJvCustomUrlGrabberThread	See Also	Edit topic

This procedure calls Synchronize UpdateGrabberProgress, which in turn calls FGrabber.DoProgress

Pascal

procedure DoProgress;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.DoProgress


TJvCustomUrlGrabberThread.DoStatus method

TJvCustomUrlGrabberThread	See Also	Edit topic

This procedure calls Synchronize UpdateGrabberStatus, which in turn calls FGrabber.DoStatus

Pascal

procedure DoStatus;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.DoStatus


TJvCustomUrlGrabberThread.UpdateGrabberProgress method

TJvCustomUrlGrabberThread	See Also	Edit topic

Calls FGrabber.DoProgress

Pascal

procedure UpdateGrabberProgress;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabberThread.FGrabber


TJvCustomUrlGrabberThread.UpdateGrabberStatus method

TJvCustomUrlGrabberThread	See Also	Edit topic

Calls FGrabber.DoStatus

Pascal

procedure UpdateGrabberStatus;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabberThread.FGrabber


TJvCustomValidateEdit
JEDI-VCL Reference

TJvCustomValidateEdit

Hierarchy	Properties	Methods	Events	 Edit topic

Edit control that can restrict its content to only accept valid input.

Pascal

TJvCustomValidateEdit = class(TJvCustomEdit);

File

JvValidateEdit

Description

TJvCustomValidateEdit is a base class for edit controls that can restrict user input and format its content. To put a validating edit control on a form, don't use TJvCustomValidateEdit. Instead, use a derived component like TJvValidateEdit.

Created with Doc-O-Matic.


TJvCustomValidateEdit Properties

TJvCustomValidateEdit	Legend

Properties

 AllowEmpty

AsCurrency

AsFloat

AsInteger

 AutoAlignment

 CheckChars

 CriticalPoints

 DecimalPlaces

 DisplayFormat

 DisplayPrefix

 DisplaySuffix

 EditText

 HasMaxValue

 HasMinValue

 MaxValue

 MinValue

 TrimDecimals

 Value

 ZeroEmpty

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvCustomValidateEdit Events

TJvCustomValidateEdit	Legend

Events

 OnCustomValidate

 OnIsValid

 OnValueChanged

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvCustomValidateEdit Methods

TJvCustomValidateEdit	Legend

Methods

 Assign

 IsValid

TJvCustomEdit

IsEmpty

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvCustomValidateEdit

Legend

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomEdit, IJvExControl
        TJvExCustomEdit
            TJvCustomEdit
                TJvCustomValidateEdit


TJvCustomValidateEdit Members

TJvCustomValidateEdit	Legend

Members

Properties

 AllowEmpty

AsCurrency

AsFloat

AsInteger

 AutoAlignment

 CheckChars

 CriticalPoints

 DecimalPlaces

 DisplayFormat

 DisplayPrefix

 DisplaySuffix

 EditText

 HasMaxValue

 HasMinValue

 MaxValue

 MinValue

 TrimDecimals

 Value

 ZeroEmpty

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnCustomValidate

 OnIsValid

 OnValueChanged

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 Assign

 IsValid

TJvCustomEdit

IsEmpty

Legend

protected

published

virtual

Created with Doc-O-Matic.


Legend

protected

published

virtual


TJvCustomValidateEdit.AllowEmpty property

TJvCustomValidateEdit	Edit topic

Not documented

Pascal

property AllowEmpty: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomValidateEdit.AsCurrency property

TJvCustomValidateEdit	See Also	Edit topic

Represents the Text property as a Currency value.

Pascal

property AsCurrency: Currency;

Description

Use AsCurrency to read the value of the Text property into an object or variable of type Currency or to assign a Currency value to the Text property.

Notes

If the current value of Text cannot be represented as a currency value, AsCurrency returns 0.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.AsFloat property

TJvCustomValidateEdit	See Also	Edit topic

Represents the Text property as a Double value.

Pascal

property AsFloat: Double;

Description

Use AsFloat to read the value of the Text property into an object or variable of type Double or to assign a Double value to the Text property.

Notes

If the current value of Text cannot be represented as a Double value, AsFloat returns 0.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.AsInteger property

TJvCustomValidateEdit	See Also	Edit topic

Represents the text property as a 32-bit integer.

Pascal

property AsInteger: Integer;

Description

Use AsInteger to read the value of the Text property into an object or variable of type integer or to assign a 32-bit integer value to the Text property.

Notes

If the current value of Text cannot be represented as an integer value, AsInteger returns 0.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.AutoAlignment property

TJvCustomValidateEdit	See Also	Edit topic

Specifies if alignment is changed automatically.

Pascal

property AutoAlignment: Boolean;

Description

Use AutoAlignment to specify if the alignment of the text is automatically changed when the DisplayFormat is changed. If AutoAlignment is True, DisplayFormat's that are numeric in nature are right-justified and all others are left-justified. Set AutoAlignment to False to control the Alignment manually.

Created with Doc-O-Matic.


See Also

Alignment


TJvCustomValidateEdit.CheckChars property

TJvCustomValidateEdit	See Also	Edit topic

Specifies the character to check.

Pascal

property CheckChars: string;

Description

Use CheckChars to specify the characters to check in the control. When the value of DisplayFormat changes, CheckChars also changes.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.CriticalPoints property

TJvCustomValidateEdit	See Also	Edit topic

Specifies the points to compare input values against.

Pascal

property CriticalPoints: TJvValidateEditCriticalPoints;

Description

Use CriticalPoints to set up how invalid values in the control are displayed. When an invalid value is found the text in the control will be displayed using the colors of ColorAbove and ColorBelow in CriticalPoints.

Created with Doc-O-Matic.


See Also

TJvValidateEditCriticalPoints


TJvCustomValidateEdit.DecimalPlaces property

TJvCustomValidateEdit	See Also	Edit topic

Specifies the number of decimals to display.

Pascal

property DecimalPlaces: Cardinal;

Description

Use DecimalPlaces to specify the number of decimals to display in the control. DecimalPlaces only has effect when using floating type DisplayFormats.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.DisplayFormat


TJvCustomValidateEdit.DisplayFormat property

TJvCustomValidateEdit	See Also	Edit topic

Specifies the format to use for display.

Pascal

property DisplayFormat: TJvValidateEditDisplayFormat;

Description

Use DisplayFormat to specify what characters are allowed in the control. Setting DisplayFormat may also alter Alignment, DecimalPlaces, DisplaySuffix and DisplayPrefix.

Created with Doc-O-Matic.


See Also

Alignment


TJvCustomValidateEdit.DisplayPrefix property

TJvCustomValidateEdit	See Also	Edit topic

Specifies a prefix to display when the edit doesn't have focus.

Pascal

property DisplayPrefix: string;

Description

Use DisplayPrefix to set a set of characters to display to the right of the text in the control. Note that some of the DisplayFormats sets this property automatically.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.DisplaySuffix


TJvCustomValidateEdit.DisplaySuffix property

TJvCustomValidateEdit	See Also	Edit topic

Specifies a suffix to display when the edit doesn't have focus.

Pascal

property DisplaySuffix: string;

Description

Use DisplaySuffix to set a set of characters to display to the left of the text in the control. Note that some of the DisplayFormats sets this property automatically.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.DisplayPrefix


TJvCustomValidateEdit.EditText property

TJvCustomValidateEdit	See Also	Edit topic

The current value of Text.

Pascal

property EditText: string;

Description

Use EditText as an equivalent to the Text property that also checks the new value against DisplayFormat, MinValue and MaxValue.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.HasMaxValue property

TJvCustomValidateEdit	See Also	Edit topic

Specifies if the MaxValue property is used.

Pascal

property HasMaxValue: Boolean;

Description

Set HasMaxValue to true to check the entered values in the control against the MaxValue property. If the entered value is more than MaxValue, it will be forced to be no larger than MaxValue.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.HasMinValue property

TJvCustomValidateEdit	See Also	Edit topic

Specifies if the MinValue property is used.

Pascal

property HasMinValue: Boolean;

Description

Set HasMinValue to true to check the entered values in the control against the MinValue property. If the entered value is less than MinValue, it will be forced to be at least MinValue.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.MaxValue property

TJvCustomValidateEdit	See Also	Edit topic

Specifies the maximum allowed value.

Pascal

property MaxValue: Double;

Description

Use MaxValue to set a maximum allowed value in the control. To disable MaxValue checking, set HasMaxValue to false.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.HasMaxValue, TJvCustomValidateEdit.MinValue, TJvCustomValidateEdit.Value


TJvCustomValidateEdit.MinValue property

TJvCustomValidateEdit	See Also	Edit topic

Specifies the minimum allowed value.

Pascal

property MinValue: Double;

Description

Use MinValue to set a minimum allowed value in the control. To disable MinValue checking, set HasMinValue to false.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.HasMinValue, TJvCustomValidateEdit.MaxValue, TJvCustomValidateEdit.Value


TJvCustomValidateEdit.OnCustomValidate event

TJvCustomValidateEdit	Edit topic

Occurs when the control needs to validate input and DisplayFormat is dfCustom.

Pascal

TJvCustomTextValidateEvent = procedure (Sender: TObject; Key: Char; const AText: string; const Pos: Integer; var IsValid: Boolean) of object;
property OnCustomValidate: TJvCustomTextValidateEvent;

Parameters

Pos

The current caret position in the text.

IsValid

Set to true to accept the text, false otherwise.

AText

The current text of the control.

Sender

The TJvCustomValidateEdit that called the event.

Key

The key that was pressed last.

Description

Write a handler for this event when DisplayFormat is set to dfCustom. To allow a character to be entered into the control, set IsValid to true. To prevent a character from being entered, set IsValid to false.

Created with Doc-O-Matic.


TJvCustomValidateEdit.OnIsValid event

TJvCustomValidateEdit	Edit topic

Not documented

Pascal

TJvCustomIsValidEvent = procedure (Sender: TObject; var IsValid: Boolean) of object;
property OnIsValid: TJvCustomIsValidEvent;

Parameters

IsValid

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomValidateEdit.OnValueChanged event

TJvCustomValidateEdit	See Also	Edit topic

Occurs when the value (text) in the edit control changes.

Pascal

property OnValueChanged: TNotifyEvent;

Description

Write a handler for this event to take specific action when the Text and Value of the control has changed.

Created with Doc-O-Matic.


See Also

OnChange


TJvCustomValidateEdit.TrimDecimals property

TJvCustomValidateEdit	Edit topic

Not documented

Pascal

property TrimDecimals: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomValidateEdit.Value property

TJvCustomValidateEdit	See Also	Edit topic

The value of Text expressed as a variant.

Pascal

property Value: Variant;

Description

Use Value to set and get the Text property as a variant.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.ZeroEmpty property

TJvCustomValidateEdit	See Also	Edit topic

Specifies if an empty Text property should be interpreted as the value 0.

Pascal

property ZeroEmpty: Boolean;

Description

Use ZeroEmpty to indicate whether an empty Text or null Value should be interpreted as 0 or as an empty string.

Created with Doc-O-Matic.


See Also

Text


TJvCustomValidateEdit.Assign method

TJvCustomValidateEdit	Edit topic

Copies the properties of another instance to this object.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from.

Description

Use Assign to copy the properties of another TJvCustomValidateEdit (or descendant) to this object. The properties copied are CriticalPoints, DisplayFormat, DecimalPlaces, MinValue, MaxValue, HasMinValue, HasMaxValue and ZeroEmpty.

If Source is not derived from TJvCustomValidateEdit, Assign calls inherited Assign.

Created with Doc-O-Matic.


TJvCustomValidateEdit.IsValid method

TJvCustomValidateEdit	Edit topic

Not documented

Pascal

function IsValid: Boolean; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomValidator
JEDI-VCL Reference

TJvCustomValidator

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Validator for custom validation.

Pascal

TJvCustomValidator = class(TJvBaseValidator);

File

JvValidators

Description

Use a TJvCustomValidator when none of the other validators can perform the validation you need. TJvCustomValidator does not handle validate itself. Instead it delegates the validation to the OnValidate event.

Write an event handler for the OnValidate event that returns whether the validation succeeded or not. You can perform validation without assigning to the ControlToValidate property or to the PropertyToValidate property since this validator doesn't use these properties itself.

Created with Doc-O-Matic.


TJvCustomValidator Events

TJvCustomValidator	Legend

Events

 OnValidate

TJvBaseValidator

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvCustomValidator Properties

TJvCustomValidator	Legend

Properties

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvCustomValidator Methods

TJvCustomValidator

Methods

TJvBaseValidator

RegisterBaseValidator

Created with Doc-O-Matic.


Legend

TJvCustomValidator

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBaseValidator
            TJvCustomValidator


TJvCustomValidator Members

TJvCustomValidator	Legend

Members

Events

 OnValidate

TJvBaseValidator

 OnValidateFailed

Properties

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Methods

TJvBaseValidator

RegisterBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvCompareValidator, TJvRangeValidator, TJvRegularExpressionValidator, TJvRequiredFieldValidator


TJvCustomValidator.OnValidate event

TJvCustomValidator	See Also	Edit topic

Occurs when the custom validator needs to know if the validation is to succeed or not.

Pascal

TJvCustomValidateEvent = procedure (Sender: TObject; ValueToValidate: Variant; var Valid: Boolean) of object;
property OnValidate: TJvCustomValidateEvent;

Parameters

Valid

Set this parameter to true if the validation was successful, to false otherwise.

ValueToValidate

The value to validate.

Sender

The object that triggered the event.

Description

Write a handler for the OnValidate event to perform the validation. OnValidate is called by the Validate function and the return value from this event is returned by Validate. If you don't assign an event handler, Validate always returns true.

Created with Doc-O-Matic.


See Also

Validate


TJvCustomXPProgressBar
JEDI-VCL Reference

TJvCustomXPProgressBar

Hierarchy	 Edit topic

Not documented

Pascal

TJvCustomXPProgressBar = class(TJvBaseGradientProgressBar);

File

JvXPProgressBar

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TJvBaseGradientProgressBar
    TJvCustomXPProgressBar


TJvDataConsumer
JEDI-VCL Reference

TJvDataConsumer

Hierarchy	Properties	Methods	Events	 Edit topic

Not documented

Pascal

TJvDataConsumer = class(TExtensibleInterfacedPersistent, IJvDataConsumer, IJvDataProviderNotify, IJvDataConsumerProvider, IJvDataConsumerClientNotify);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer Events

TJvDataConsumer

Events

AfterCreateSubSvc

BeforeCreateSubSvc

OnChanged

OnChanging

OnProviderChanged

OnProviderChanging

Created with Doc-O-Matic.


TJvDataConsumer Properties

TJvDataConsumer	Legend

Properties

 Context

 NeedContextFixup

 NeedExtensionFixups

 Provider

 ServerCount

 Servers

TExtensibleInterfacedPersistent

 RefCount

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDataConsumer Methods

TJvDataConsumer	Legend

Methods

 _AddRef

 _Release

 AfterSubSvcAdded

 AttributeApplies

 Changed

 Changing

 Consumer

 ContextChanged

 ContextChanging

 ContextIntf

 DataProviderChanged

 DataProviderChanging

 DoAddAttribute

 DoAfterCreateSubSvc

 DoBeforeCreateSubSvc

 DoChanged

 DoChanging

 DoProviderChanged

 DoProviderChanging

Enter

 Extension

 ExtensionCount

 FixupContext

 FixupExtensions

 GetContext

 GetNeedContextFixup

 GetNeedExtensionFixups

 GetServerCount

 GetServers

 IsContextStored

IsLoading

ItemSelected

Leave

 LinkAdded

 LinkRemoved

 Loaded

 NotifyItemSelected

 NotifyServerItemChanged

 NotifyServerProviderChanged

 ProviderChanged

 ProviderChanging

 ProviderIntf

 ServerItemChanged

 SetContext

 SetContextIntf

 SetProviderIntf

 UpdateExtensions

 VCLComponent

 ViewChanged

IJvDataConsumerClientNotify

ItemSelected

LinkAdded

LinkRemoved

IJvDataConsumerProvider

GetProvider

IJvDataProviderNotify

Consumer

DataProviderChanged

DataProviderChanging

IJvDataConsumer

AttributeApplies

VCLComponent

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvDataConsumer Fields

TJvDataConsumer	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDataConsumer

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataConsumer, IJvDataProviderNotify, IJvDataConsumerProvider, IJvDataConsumerClientNotify
                            TJvDataConsumer


TJvDataConsumer Members

TJvDataConsumer	Legend

Members

Events

AfterCreateSubSvc

BeforeCreateSubSvc

OnChanged

OnChanging

OnProviderChanged

OnProviderChanging

Properties

 Context

 NeedContextFixup

 NeedExtensionFixups

 Provider

 ServerCount

 Servers

TExtensibleInterfacedPersistent

 RefCount

Methods

 _AddRef

 _Release

 AfterSubSvcAdded

 AttributeApplies

 Changed

 Changing

 Consumer

 ContextChanged

 ContextChanging

 ContextIntf

 DataProviderChanged

 DataProviderChanging

 DoAddAttribute

 DoAfterCreateSubSvc

 DoBeforeCreateSubSvc

 DoChanged

 DoChanging

 DoProviderChanged

 DoProviderChanging

Enter

 Extension

 ExtensionCount

 FixupContext

 FixupExtensions

 GetContext

 GetNeedContextFixup

 GetNeedExtensionFixups

 GetServerCount

 GetServers

 IsContextStored

IsLoading

ItemSelected

Leave

 LinkAdded

 LinkRemoved

 Loaded

 NotifyItemSelected

 NotifyServerItemChanged

 NotifyServerProviderChanged

 ProviderChanged

 ProviderChanging

 ProviderIntf

 ServerItemChanged

 SetContext

 SetContextIntf

 SetProviderIntf

 UpdateExtensions

 VCLComponent

 ViewChanged

IJvDataConsumerClientNotify

ItemSelected

LinkAdded

LinkRemoved

IJvDataConsumerProvider

GetProvider

IJvDataProviderNotify

Consumer

DataProviderChanged

DataProviderChanging

IJvDataConsumer

AttributeApplies

VCLComponent

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvDataConsumer.AfterCreateSubSvc event

TJvDataConsumer	Edit topic

Not documented

Pascal

TAfterCreateSubSvcEvent = procedure (Sender: TJvDataConsumer; SubSvc: TJvDataConsumerAggregatedObject) of object;
property AfterCreateSubSvc: TAfterCreateSubSvcEvent;

Parameters

SubSvc

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.BeforeCreateSubSvc event

TJvDataConsumer	Edit topic

Not documented

Pascal

TBeforeCreateSubSvcEvent = procedure (Sender: TJvDataConsumer; var SubSvcClass: TJvDataConsumerAggregatedObjectClass) of object;
property BeforeCreateSubSvc: TBeforeCreateSubSvcEvent;

Parameters

SubSvcClass

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.Context property

TJvDataConsumer	Edit topic

Not documented

Pascal

property Context: TJvDataContextID;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.NeedContextFixup property

TJvDataConsumer	Edit topic

Not documented

Pascal

property NeedContextFixup: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.NeedExtensionFixups property

TJvDataConsumer	Edit topic

Not documented

Pascal

property NeedExtensionFixups: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.OnChanged event

TJvDataConsumer	Edit topic

Not documented

Pascal

property OnChanged: TJvDataConsumerChangeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.OnChanging event

TJvDataConsumer	Edit topic

Not documented

Pascal

property OnChanging: TJvDataConsumerChangeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.OnProviderChanged event

TJvDataConsumer	Edit topic

Not documented

Pascal

property OnProviderChanged: TProviderNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.OnProviderChanging event

TJvDataConsumer	Edit topic

Not documented

Pascal

property OnProviderChanging: TProviderNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.Provider property

TJvDataConsumer	Edit topic

Not documented

Pascal

property Provider: IJvDataProvider;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.ServerCount property

TJvDataConsumer	Edit topic

Not documented

Pascal

property ServerCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.Servers property

TJvDataConsumer	Edit topic

Not documented

Pascal

property Servers [I: Integer]: IJvDataConsumerServerNotify;

Parameters

I

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer._AddRef method

TJvDataConsumer	Edit topic

Not documented

Pascal

function _AddRef: Integer; override; stdcall;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer._Release method

TJvDataConsumer	Edit topic

Not documented

Pascal

function _Release: Integer; override; stdcall;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.AfterSubSvcAdded method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure AfterSubSvcAdded(ASvc: TJvDataConsumerAggregatedObject); virtual;

Parameters

ASvc: TJvDataConsumerAggregatedObject

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.AttributeApplies method

TJvDataConsumer	Edit topic

Not documented

Pascal

function AttributeApplies(Attr: Integer): Boolean;

Parameters

Attr: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.Changed method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure Changed(Reason: TJvDataConsumerChangeReason); virtual;

Parameters

Reason: TJvDataConsumerChangeReason

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.Changing method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure Changing(Reason: TJvDataConsumerChangeReason); virtual;

Parameters

Reason: TJvDataConsumerChangeReason

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.Consumer method

TJvDataConsumer	Edit topic

Not documented

Pascal

function Consumer: IJvDataConsumer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ContextChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure ContextChanged;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ContextChanging method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure ContextChanging;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ContextIntf method

TJvDataConsumer	Edit topic

Not documented

Pascal

function ContextIntf: IJvDataContext; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.DataProviderChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DataProviderChanged(const ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

const ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DataProviderChanging method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DataProviderChanging(const ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

const ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DoAddAttribute method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DoAddAttribute(Attr: Integer);

Parameters

Attr: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DoAfterCreateSubSvc method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DoAfterCreateSubSvc(ASvc: TJvDataConsumerAggregatedObject);

Parameters

ASvc: TJvDataConsumerAggregatedObject

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DoBeforeCreateSubSvc method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DoBeforeCreateSubSvc(var AClass: TJvDataConsumerAggregatedObjectClass);

Parameters

var AClass: TJvDataConsumerAggregatedObjectClass

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DoChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DoChanged(Reason: TJvDataConsumerChangeReason);

Parameters

Reason: TJvDataConsumerChangeReason

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DoChanging method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DoChanging(Reason: TJvDataConsumerChangeReason);

Parameters

Reason: TJvDataConsumerChangeReason

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DoProviderChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DoProviderChanged(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.DoProviderChanging method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure DoProviderChanging(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.Enter method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure Enter;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.Extension method

TJvDataConsumer	Edit topic

Not documented

Pascal

function Extension(Index: Integer): TJvDataConsumerAggregatedObject;

Parameters

Index: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ExtensionCount method

TJvDataConsumer	Edit topic

Not documented

Pascal

function ExtensionCount: Integer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.FixupContext method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure FixupContext;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.FixupExtensions method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure FixupExtensions;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.GetContext method

TJvDataConsumer	Edit topic

Not documented

Pascal

function GetContext: TJvDataContextID;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.GetNeedContextFixup method

TJvDataConsumer	Edit topic

Not documented

Pascal

function GetNeedContextFixup: Boolean;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.GetNeedExtensionFixups method

TJvDataConsumer	Edit topic

Not documented

Pascal

function GetNeedExtensionFixups: Boolean;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.GetServerCount method

TJvDataConsumer	Edit topic

Not documented

Pascal

function GetServerCount: Integer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.GetServers method

TJvDataConsumer	Edit topic

Not documented

Pascal

function GetServers(I: Integer): IJvDataConsumerServerNotify;

Parameters

I: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.IsContextStored method

TJvDataConsumer	Edit topic

Not documented

Pascal

function IsContextStored: Boolean;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.IsLoading method

TJvDataConsumer	Edit topic

Not documented

Pascal

function IsLoading: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.ItemSelected method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure ItemSelected(Value: IJvDataItem);

Parameters

Value: IJvDataItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.Leave method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure Leave;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.LinkAdded method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure LinkAdded(Server: IJvDataConsumerServerNotify);

Parameters

Server: IJvDataConsumerServerNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.LinkRemoved method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure LinkRemoved(Server: IJvDataConsumerServerNotify);

Parameters

Server: IJvDataConsumerServerNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.Loaded method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure Loaded; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.NotifyItemSelected method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure NotifyItemSelected(Value: IJvDataItem);

Parameters

Value: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.NotifyServerItemChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure NotifyServerItemChanged(Server: IJvDataConsumerServerNotify; Value: IJvDataItem);

Parameters

Server: IJvDataConsumerServerNotify

Not documented

Value: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.NotifyServerProviderChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure NotifyServerProviderChanged;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ProviderChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure ProviderChanged;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ProviderChanging method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure ProviderChanging;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ProviderIntf method

TJvDataConsumer	Edit topic

Not documented

Pascal

function ProviderIntf: IJvDataProvider; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.ServerItemChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure ServerItemChanged(Server: IJvDataConsumerServerNotify; Value: IJvDataItem); virtual;

Parameters

Server: IJvDataConsumerServerNotify

Not documented

Value: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.SetContext method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure SetContext(Value: TJvDataContextID);

Parameters

Value: TJvDataContextID

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.SetContextIntf method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure SetContextIntf(Value: IJvDataContext); virtual;

Parameters

Value: IJvDataContext

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.SetProviderIntf method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure SetProviderIntf(Value: IJvDataProvider); virtual;

Parameters

Value: IJvDataProvider

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumer.UpdateExtensions method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure UpdateExtensions; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.VCLComponent method

TJvDataConsumer	Edit topic

Not documented

Pascal

function VCLComponent: TComponent;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumer.ViewChanged method

TJvDataConsumer	Edit topic

Not documented

Pascal

procedure ViewChanged(AExtension: TJvDataConsumerAggregatedObject);

Parameters

AExtension: TJvDataConsumerAggregatedObject

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject
JEDI-VCL Reference

TJvDataConsumerAggregatedObject

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataConsumerAggregatedObject = class(TAggregatedPersistentEx);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject Fields

TJvDataConsumerAggregatedObject	Legend

Fields

 StreamedInWithoutProvider

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvDataConsumerAggregatedObject Methods

TJvDataConsumerAggregatedObject	Legend

Methods

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvDataConsumerAggregatedObject Properties

TJvDataConsumerAggregatedObject	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvDataConsumerAggregatedObject

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataConsumerAggregatedObject


TJvDataConsumerAggregatedObject Members

TJvDataConsumerAggregatedObject	Legend

Members

Fields

 StreamedInWithoutProvider

Methods

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Legend

protected

virtual

read only


TJvDataConsumerAggregatedObject.StreamedInWithoutProvider field

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

StreamedInWithoutProvider: Boolean;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.Changed method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure Changed(Reason: TJvDataConsumerChangeReason);

Parameters

Reason: TJvDataConsumerChangeReason

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.Changing method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure Changing(Reason: TJvDataConsumerChangeReason);

Parameters

Reason: TJvDataConsumerChangeReason

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.Consumer method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

function Consumer: IJvDataConsumer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ConsumerImpl method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

function ConsumerImpl: TJvDataConsumer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ContextChanged method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure ContextChanged; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ContextChanging method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure ContextChanging; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.DataProviderChanged method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure DataProviderChanged(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown); virtual;

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.DataProviderChanging method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure DataProviderChanging(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown); virtual;

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.Fixup method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure Fixup; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ItemSelected method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure ItemSelected(Value: IJvDataItem); virtual;

Parameters

Value: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.KeepOnContextChange method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

function KeepOnContextChange: Boolean; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.KeepOnProviderChange method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

function KeepOnProviderChange: Boolean; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.NotifyFixups method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure NotifyFixups;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.NotifyViewChanged method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure NotifyViewChanged;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ProviderChanged method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure ProviderChanged; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ProviderChanging method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure ProviderChanging; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.RootItems method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

function RootItems: IJvDataItems;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ServerItemChanged method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure ServerItemChanged(Server: IJvDataConsumerServerNotify; Value: IJvDataItem); virtual;

Parameters

Server: IJvDataConsumerServerNotify

Not documented

Value: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObject.ViewChanged method

TJvDataConsumerAggregatedObject	Edit topic

Not documented

Pascal

procedure ViewChanged(AExtension: TJvDataConsumerAggregatedObject); virtual;

Parameters

AExtension: TJvDataConsumerAggregatedObject

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem
JEDI-VCL Reference

TJvDataConsumerClientNotifyItem

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataConsumerClientNotifyItem = class(TCollectionItem);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem Properties

TJvDataConsumerClientNotifyItem	Legend

Properties

 Component

 List

Notifier

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvDataConsumerClientNotifyItem Methods

TJvDataConsumerClientNotifyItem	Legend

Methods

 GetComponent

 GetConsumer

 GetDisplayName

 GetList

 SetComponent

 SetNotifier

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvDataConsumerClientNotifyItem

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvDataConsumerClientNotifyItem


TJvDataConsumerClientNotifyItem Members

TJvDataConsumerClientNotifyItem	Legend

Members

Properties

 Component

 List

Notifier

Methods

 GetComponent

 GetConsumer

 GetDisplayName

 GetList

 SetComponent

 SetNotifier

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvDataConsumerClientNotifyItem.Component property

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

property Component: TComponent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.List property

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

property List: TJvDataConsumerClientNotifyList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.Notifier property

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

property Notifier: IJvDataConsumerClientNotify;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.GetComponent method

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

function GetComponent: TComponent;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.GetConsumer method

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

function GetConsumer: IJvDataConsumer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.GetDisplayName method

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

function GetDisplayName: string; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.GetList method

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

function GetList: TJvDataConsumerClientNotifyList;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.SetComponent method

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

procedure SetComponent(Value: TComponent);

Parameters

Value: TComponent

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyItem.SetNotifier method

TJvDataConsumerClientNotifyItem	Edit topic

Not documented

Pascal

procedure SetNotifier(Value: IJvDataConsumerClientNotify);

Parameters

Value: IJvDataConsumerClientNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList
JEDI-VCL Reference

TJvDataConsumerClientNotifyList

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataConsumerClientNotifyList = class(TOwnedCollection);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList Properties

TJvDataConsumerClientNotifyList	Legend

Properties

 Clients

 NotifyItems

 Server

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDataConsumerClientNotifyList Methods

TJvDataConsumerClientNotifyList	Legend

Methods

Add

Delete

 GetConsumer

 GetNotifyItems

 GetServer

IndexOf

 SetItemName

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvDataConsumerClientNotifyList

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvDataConsumerClientNotifyList


TJvDataConsumerClientNotifyList Members

TJvDataConsumerClientNotifyList	Legend

Members

Properties

 Clients

 NotifyItems

 Server

Methods

Add

Delete

 GetConsumer

 GetNotifyItems

 GetServer

IndexOf

 SetItemName

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Legend

read only

protected

virtual


TJvDataConsumerClientNotifyList.Clients property

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

property Clients [I: Integer]: IJvDataConsumer;

Parameters

I

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.NotifyItems property

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

property NotifyItems [I: Integer]: TJvDataConsumerClientNotifyItem;

Parameters

I

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.Server property

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

property Server: TJvDataConsumerServerNotify;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.Add method (IJvDataConsumer)

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

procedure Add(AConsumer: IJvDataConsumer); overload;

Parameters

AConsumer: IJvDataConsumer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.Add method (TComponent)

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

procedure Add(AComponent: TComponent); overload;

Parameters

AComponent: TComponent

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.Delete method (IJvDataConsumer)

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

procedure Delete(AConsumer: IJvDataConsumer); overload;

Parameters

AConsumer: IJvDataConsumer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.Delete method (Integer)

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

procedure Delete(Index: Integer); overload;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.Delete method (TComponent)

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

procedure Delete(AComponent: TComponent); overload;

Parameters

AComponent: TComponent

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.GetConsumer method

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

function GetConsumer(I: Integer): IJvDataConsumer;

Parameters

I: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.GetNotifyItems method

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

function GetNotifyItems(I: Integer): TJvDataConsumerClientNotifyItem;

Parameters

I: Integer

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.GetServer method

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

function GetServer: TJvDataConsumerServerNotify;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.IndexOf method (IJvDataConsumer)

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

function IndexOf(AConsumer: IJvDataConsumer): Integer; overload;

Parameters

AConsumer: IJvDataConsumer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.IndexOf method (TComponent)

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

function IndexOf(AComponent: TComponent): Integer; overload;

Parameters

AComponent: TComponent

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerClientNotifyList.SetItemName method

TJvDataConsumerClientNotifyList	Edit topic

Not documented

Pascal

procedure SetItemName(Item: TCollectionItem); override;

Parameters

Item: TCollectionItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerContext
JEDI-VCL Reference

TJvDataConsumerContext

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataConsumerContext = class(TJvDataConsumerAggregatedObject, IJvDataConsumerContext);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerContext Properties

TJvDataConsumerContext	Legend

Properties

 Context

ContextIntf

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDataConsumerContext Methods

TJvDataConsumerContext	Legend

Methods

 GetContext

 GetContextID

 SetContext

 SetContextID

IJvDataConsumerContext

GetContext

SetContext

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvDataConsumerContext Fields

TJvDataConsumerContext	Legend

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDataConsumerContext

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataConsumerAggregatedObject, IJvDataConsumerContext
                    TJvDataConsumerContext


TJvDataConsumerContext Members

TJvDataConsumerContext	Legend

Members

Properties

 Context

ContextIntf

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 GetContext

 GetContextID

 SetContext

 SetContextID

IJvDataConsumerContext

GetContext

SetContext

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvDataConsumerContext.Context property

TJvDataConsumerContext	Edit topic

Not documented

Pascal

property Context: TJvDataContextID;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerContext.ContextIntf property

TJvDataConsumerContext	Edit topic

Not documented

Pascal

property ContextIntf: IJvDataContext;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerContext.GetContext method

TJvDataConsumerContext	Edit topic

Not documented

Pascal

function GetContext: IJvDataContext;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerContext.GetContextID method

TJvDataConsumerContext	Edit topic

Not documented

Pascal

function GetContextID: TJvDataContextID;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerContext.SetContext method

TJvDataConsumerContext	Edit topic

Not documented

Pascal

procedure SetContext(Value: IJvDataContext);

Parameters

Value: IJvDataContext

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerContext.SetContextID method

TJvDataConsumerContext	Edit topic

Not documented

Pascal

procedure SetContextID(Value: TJvDataContextID);

Parameters

Value: TJvDataContextID

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerItemSelect
JEDI-VCL Reference

TJvDataConsumerItemSelect

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataConsumerItemSelect = class(TJvDataConsumerAggregatedObject, IJvDataConsumerItemSelect);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerItemSelect Properties

TJvDataConsumerItemSelect	Legend

Properties

 Item

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDataConsumerItemSelect Methods

TJvDataConsumerItemSelect	Legend

Methods

 DataProviderChanged

 DataProviderChanging

 Fixup

 GetItem

GetItemIntf

 SetItem

SetItemIntf

IJvDataConsumerItemSelect

GetItem

SetItem

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvDataConsumerItemSelect Fields

TJvDataConsumerItemSelect	Legend

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDataConsumerItemSelect

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataConsumerAggregatedObject, IJvDataConsumerItemSelect
                    TJvDataConsumerItemSelect


TJvDataConsumerItemSelect Members

TJvDataConsumerItemSelect	Legend

Members

Properties

 Item

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 DataProviderChanged

 DataProviderChanging

 Fixup

 GetItem

GetItemIntf

 SetItem

SetItemIntf

IJvDataConsumerItemSelect

GetItem

SetItem

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvDataConsumerItemSelect.Item property

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

property Item: TJvDataItemID;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerItemSelect.DataProviderChanged method

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

procedure DataProviderChanged(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown); override;

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerItemSelect.DataProviderChanging method

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

procedure DataProviderChanging(ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown); override;

Parameters

ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerItemSelect.Fixup method

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

procedure Fixup; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerItemSelect.GetItem method

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

function GetItem: TJvDataItemID;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerItemSelect.GetItemIntf method

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

function GetItemIntf: IJvDataItem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerItemSelect.SetItem method

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

procedure SetItem(Value: TJvDataItemID);

Parameters

Value: TJvDataItemID

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerItemSelect.SetItemIntf method

TJvDataConsumerItemSelect	Edit topic

Not documented

Pascal

procedure SetItemIntf(Value: IJvDataItem);

Parameters

Value: IJvDataItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerServerNotify
JEDI-VCL Reference

TJvDataConsumerServerNotify

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataConsumerServerNotify = class(TJvDataConsumerAggregatedObject, IJvDataConsumerServerNotify);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerServerNotify Properties

TJvDataConsumerServerNotify	Legend

Properties

 Clients

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDataConsumerServerNotify Methods

TJvDataConsumerServerNotify	Legend

Methods

 AddClient

 GetOwner

 IsValidClient

 ItemSelected

 NotifyItemSelected

 NotifyProviderChanged

 RemoveClient

 SetClients

IJvDataConsumerServerNotify

AddClient

IsValidClient

NotifyProviderChanged

RemoveClient

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvDataConsumerServerNotify Fields

TJvDataConsumerServerNotify	Legend

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDataConsumerServerNotify

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataConsumerAggregatedObject, IJvDataConsumerServerNotify
                    TJvDataConsumerServerNotify


TJvDataConsumerServerNotify Members

TJvDataConsumerServerNotify	Legend

Members

Properties

 Clients

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 AddClient

 GetOwner

 IsValidClient

 ItemSelected

 NotifyItemSelected

 NotifyProviderChanged

 RemoveClient

 SetClients

IJvDataConsumerServerNotify

AddClient

IsValidClient

NotifyProviderChanged

RemoveClient

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvDataConsumerServerNotify.Clients property

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

property Clients: TJvDataConsumerClientNotifyList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.AddClient method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

procedure AddClient(Client: IJvDataConsumerClientNotify);

Parameters

Client: IJvDataConsumerClientNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.GetOwner method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

function GetOwner: TPersistent; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.IsValidClient method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

function IsValidClient(Client: IJvDataConsumerClientNotify): Boolean; virtual;

Parameters

Client: IJvDataConsumerClientNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.ItemSelected method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

procedure ItemSelected(Value: IJvDataItem); override;

Parameters

Value: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.NotifyItemSelected method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

procedure NotifyItemSelected(Value: IJvDataItem);

Parameters

Value: IJvDataItem

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.NotifyProviderChanged method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

procedure NotifyProviderChanged(Client: IJvDataConsumerClientNotify); virtual;

Parameters

Client: IJvDataConsumerClientNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.RemoveClient method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

procedure RemoveClient(Client: IJvDataConsumerClientNotify);

Parameters

Client: IJvDataConsumerClientNotify

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerServerNotify.SetClients method

TJvDataConsumerServerNotify	Edit topic

Not documented

Pascal

procedure SetClients(Value: TJvDataConsumerClientNotifyList);

Parameters

Value: TJvDataConsumerClientNotifyList

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerViewList
JEDI-VCL Reference

TJvDataConsumerViewList

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataConsumerViewList = class(TJvCustomDataConsumerViewList);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList Properties

TJvDataConsumerViewList	Legend

Properties

 LevelIndent

TJvCustomDataConsumerViewList

AutoExpandLevel

ExpandOnNewItem

LevelIndent

IJvDataConsumerViewList

AutoExpandLevel

ExpandOnNewItem

LevelIndent

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDataConsumerViewList Methods

TJvDataConsumerViewList	Legend

Methods

 AddChildItem

 AddItem

 AddItems

 ChildIndexOfID

 ChildIndexOfItem

 Count

 DeleteItem

 DeleteItems

 IndexOfID

 IndexOfItem

 InsertItem

 Item

 ItemHasChildren

 ItemIsExpanded

 ItemLevel

 ItemParent

 ItemParentIndex

 ItemSibling

 ItemSiblingIndex

 SubItem

 SubItemIndex

 ToggleItem

 UpdateItemFlags

TJvCustomDataConsumerViewList

 AddChildItem

 AddItem

 AddItems

 ChildIndexOfID

 ChildIndexOfItem

 ClearView

 ContextChanged

 Count

 DataProviderChanged

 DataProviderChanging

 DeleteItem

 DeleteItems

 ExpandTreeTo

 Get_AutoExpandLevel

 Get_ExpandOnNewItem

 Get_LevelIndent

 IndexOfID

 IndexOfItem

 InsertItem

 InternalItemSibling

 Item

 ItemGroupInfo

 ItemHasChildren

 ItemIsExpanded

 ItemLevel

 ItemParent

 ItemParentIndex

 ItemSibling

 ItemSiblingIndex

 KeepOnProviderChange

 ProviderChanged

 ProviderChanging

 RebuildView

 Set_AutoExpandLevel

 Set_ExpandOnNewItem

 Set_LevelIndent

 SubItem

 SubItemIndex

 ToggleItem

 UpdateItemFlags

 ViewChanged

IJvDataConsumerViewList

ChildIndexOfID

ChildIndexOfItem

Count

ExpandTreeTo

Get_AutoExpandLevel

Get_ExpandOnNewItem

Get_LevelIndent

IndexOfID

IndexOfItem

Item

ItemGroupInfo

ItemHasChildren

ItemIsExpanded

ItemLevel

ItemParent

ItemParentIndex

ItemSibling

ItemSiblingIndex

RebuildView

Set_AutoExpandLevel

Set_ExpandOnNewItem

Set_LevelIndent

SubItem

SubItemIndex

ToggleItem

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvDataConsumerViewList Fields

TJvDataConsumerViewList	Legend

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDataConsumerViewList

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataConsumerAggregatedObject, IJvDataConsumerViewList
                    TJvCustomDataConsumerViewList
                        TJvDataConsumerViewList


TJvDataConsumerViewList Members

TJvDataConsumerViewList	Legend

Members

Properties

 LevelIndent

TJvCustomDataConsumerViewList

AutoExpandLevel

ExpandOnNewItem

LevelIndent

IJvDataConsumerViewList

AutoExpandLevel

ExpandOnNewItem

LevelIndent

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 AddChildItem

 AddItem

 AddItems

 ChildIndexOfID

 ChildIndexOfItem

 Count

 DeleteItem

 DeleteItems

 IndexOfID

 IndexOfItem

 InsertItem

 Item

 ItemHasChildren

 ItemIsExpanded

 ItemLevel

 ItemParent

 ItemParentIndex

 ItemSibling

 ItemSiblingIndex

 SubItem

 SubItemIndex

 ToggleItem

 UpdateItemFlags

TJvCustomDataConsumerViewList

 AddChildItem

 AddItem

 AddItems

 ChildIndexOfID

 ChildIndexOfItem

 ClearView

 ContextChanged

 Count

 DataProviderChanged

 DataProviderChanging

 DeleteItem

 DeleteItems

 ExpandTreeTo

 Get_AutoExpandLevel

 Get_ExpandOnNewItem

 Get_LevelIndent

 IndexOfID

 IndexOfItem

 InsertItem

 InternalItemSibling

 Item

 ItemGroupInfo

 ItemHasChildren

 ItemIsExpanded

 ItemLevel

 ItemParent

 ItemParentIndex

 ItemSibling

 ItemSiblingIndex

 KeepOnProviderChange

 ProviderChanged

 ProviderChanging

 RebuildView

 Set_AutoExpandLevel

 Set_ExpandOnNewItem

 Set_LevelIndent

 SubItem

 SubItemIndex

 ToggleItem

 UpdateItemFlags

 ViewChanged

IJvDataConsumerViewList

ChildIndexOfID

ChildIndexOfItem

Count

ExpandTreeTo

Get_AutoExpandLevel

Get_ExpandOnNewItem

Get_LevelIndent

IndexOfID

IndexOfItem

Item

ItemGroupInfo

ItemHasChildren

ItemIsExpanded

ItemLevel

ItemParent

ItemParentIndex

ItemSibling

ItemSiblingIndex

RebuildView

Set_AutoExpandLevel

Set_ExpandOnNewItem

Set_LevelIndent

SubItem

SubItemIndex

ToggleItem

TJvDataConsumerAggregatedObject

 Changed

 Changing

 Consumer

 ConsumerImpl

 ContextChanged

 ContextChanging

 DataProviderChanged

 DataProviderChanging

 Fixup

 ItemSelected

 KeepOnContextChange

 KeepOnProviderChange

 NotifyFixups

 NotifyViewChanged

 ProviderChanged

 ProviderChanging

 RootItems

 ServerItemChanged

 ViewChanged

Fields

TJvDataConsumerAggregatedObject

 StreamedInWithoutProvider

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual

abstract


TJvDataConsumerViewList.LevelIndent property

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

property LevelIndent: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.AddChildItem method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure AddChildItem(ParentIndex: Integer; Item: IJvDataItem); override;

Parameters

ParentIndex: Integer

Not documented

Item: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerViewList.AddItem method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure AddItem(Index: Integer; Item: IJvDataItem; ExpandToLevel: Integer = 0); override;

Parameters

Index: Integer

Not documented

Item: IJvDataItem

Not documented

ExpandToLevel: Integer = 0

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerViewList.AddItems method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure AddItems(var Index: Integer; Items: IJvDataItems; ExpandToLevel: Integer = 0); override;

Parameters

var Index: Integer

Not documented

Items: IJvDataItems

Not documented

ExpandToLevel: Integer = 0

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerViewList.ChildIndexOfID method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ChildIndexOfID(ID: TJvDataItemID): Integer; override;

Parameters

ID: TJvDataItemID

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ChildIndexOfItem method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ChildIndexOfItem(Item: IJvDataItem): Integer; override;

Parameters

Item: IJvDataItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.Count method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function Count: Integer; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.DeleteItem method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure DeleteItem(Index: Integer); override;

Parameters

Index: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerViewList.DeleteItems method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure DeleteItems(Index: Integer); override;

Parameters

Index: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerViewList.IndexOfID method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function IndexOfID(ID: TJvDataItemID): Integer; override;

Parameters

ID: TJvDataItemID

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.IndexOfItem method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function IndexOfItem(Item: IJvDataItem): Integer; override;

Parameters

Item: IJvDataItem

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.InsertItem method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure InsertItem(InsertIndex: Integer; ParentIndex: Integer; Item: IJvDataItem); override;

Parameters

InsertIndex: Integer

Not documented

ParentIndex: Integer

Not documented

Item: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataConsumerViewList.Item method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function Item(Index: Integer): IJvDataItem; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ItemHasChildren method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemHasChildren(Index: Integer): Boolean; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ItemIsExpanded method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemIsExpanded(Index: Integer): Boolean; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ItemLevel method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemLevel(Index: Integer): Integer; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ItemParent method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemParent(Index: Integer): IJvDataItem; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ItemParentIndex method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemParentIndex(Index: Integer): Integer; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ItemSibling method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemSibling(Index: Integer): IJvDataItem; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ItemSiblingIndex method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function ItemSiblingIndex(Index: Integer): Integer; override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.SubItem method (IJvDataItem, Integer)

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItem(Parent: IJvDataItem; Index: Integer): IJvDataItem; override;

Parameters

Parent

Not documented

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.SubItem method (Integer, Integer)

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItem(Parent: Integer; Index: Integer): IJvDataItem; override;

Parameters

Parent

Not documented

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.SubItemIndex method (IJvDataItem, Integer)

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItemIndex(Parent: IJvDataItem; Index: Integer): Integer; override;

Parameters

Parent

Not documented

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.SubItemIndex method (Integer, Integer)

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

function SubItemIndex(Parent: Integer; Index: Integer): Integer; override;

Parameters

Parent

Not documented

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.ToggleItem method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure ToggleItem(Index: Integer); override;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataConsumerViewList.UpdateItemFlags method

TJvDataConsumerViewList	Edit topic

Not documented

Pascal

procedure UpdateItemFlags(Index: Integer; Value: Integer; Mask: Integer); override;

Parameters

Index: Integer

Not documented

Value: Integer

Not documented

Mask: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContext
JEDI-VCL Reference

TJvDataContext

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataContext = class(TJvBaseDataContext);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataContext Methods

TJvDataContext	Legend

Methods

 DoSetName

 Name

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvDataContext Fields

TJvDataContext	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvDataContext Properties

TJvDataContext	Legend

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDataContext

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContext
                TJvBaseDataContext
                    TJvDataContext


TJvDataContext Members

TJvDataContext	Legend

Members

Methods

 DoSetName

 Name

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvDataContext.DoSetName method

TJvDataContext	Edit topic

Not documented

Pascal

procedure DoSetName(Value: string); override;

Parameters

Value: string

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContext.Name method

TJvDataContext	Edit topic

Not documented

Pascal

function Name: string; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContexts
JEDI-VCL Reference

TJvDataContexts

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataContexts = class(TJvBaseDataContexts);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataContexts Methods

TJvDataContexts	Legend

Methods

 DoAddContext

 DoClearContexts

 DoDeleteContext

 DoRemoveContext

 GetContext

 GetCount

TJvBaseDataContexts

 Ancestor

 DoAddContext

 DoClearContexts

 DoDeleteContext

 DoRemoveContext

 GetContext

 GetContextByName

 GetCount

 IndexOf

 Provider

IJvDataContexts

Ancestor

GetContext

GetContextByName

GetCount

IndexOf

Provider

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvDataContexts Properties

TJvDataContexts	Legend

Properties

TJvBaseDataContexts

 DsgnContext

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDataContexts Fields

TJvDataContexts	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDataContexts

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContexts
                TJvBaseDataContexts
                    TJvDataContexts


TJvDataContexts Members

TJvDataContexts	Legend

Members

Methods

 DoAddContext

 DoClearContexts

 DoDeleteContext

 DoRemoveContext

 GetContext

 GetCount

TJvBaseDataContexts

 Ancestor

 DoAddContext

 DoClearContexts

 DoDeleteContext

 DoRemoveContext

 GetContext

 GetContextByName

 GetCount

 IndexOf

 Provider

IJvDataContexts

Ancestor

GetContext

GetContextByName

GetCount

IndexOf

Provider

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Properties

TJvBaseDataContexts

 DsgnContext

TExtensibleInterfacedPersistent

 RefCount

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvDataContexts.DoAddContext method

TJvDataContexts	Edit topic

Not documented

Pascal

procedure DoAddContext(Context: IJvDataContext); override;

Parameters

Context: IJvDataContext

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContexts.DoClearContexts method

TJvDataContexts	Edit topic

Not documented

Pascal

procedure DoClearContexts; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContexts.DoDeleteContext method

TJvDataContexts	Edit topic

Not documented

Pascal

procedure DoDeleteContext(Index: Integer); override;

Parameters

Index: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContexts.DoRemoveContext method

TJvDataContexts	Edit topic

Not documented

Pascal

procedure DoRemoveContext(Context: IJvDataContext); override;

Parameters

Context: IJvDataContext

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContexts.GetContext method

TJvDataContexts	Edit topic

Not documented

Pascal

function GetContext(Index: Integer): IJvDataContext; override;

Parameters

Index: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataContexts.GetCount method

TJvDataContexts	Edit topic

Not documented

Pascal

function GetCount: Integer; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemAggregatedObject
JEDI-VCL Reference

TJvDataItemAggregatedObject

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataItemAggregatedObject = class(TAggregatedPersistentEx);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemAggregatedObject Methods

TJvDataItemAggregatedObject	Legend

Methods

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvDataItemAggregatedObject Properties

TJvDataItemAggregatedObject	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvDataItemAggregatedObject

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject


TJvDataItemAggregatedObject Members

TJvDataItemAggregatedObject	Legend

Members

Methods

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Legend

protected

virtual

read only


TJvDataItemAggregatedObject.ContextDestroying method

TJvDataItemAggregatedObject	Edit topic

Not documented

Pascal

procedure ContextDestroying(Context: IJvDataContext); dynamic;

Parameters

Context: IJvDataContext

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemAggregatedObject.Item method

TJvDataItemAggregatedObject	Edit topic

Not documented

Pascal

function Item: IJvDataItem;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemAggregatedObject.ItemImpl method

TJvDataItemAggregatedObject	Edit topic

Not documented

Pascal

function ItemImpl: TJvBaseDataItem;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemAggregatedObject.QueryInterface method

TJvDataItemAggregatedObject	Edit topic

Not documented

Pascal

function QueryInterface(const IID: TGUID; out Obj): HRESULT; override; stdcall;

Parameters

const IID: TGUID

Not documented

out Obj

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemContextTextImpl
JEDI-VCL Reference

TJvDataItemContextTextImpl

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataItemContextTextImpl = class(TJvDataItemTextImpl, IJvDataContextSensitive);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemContextTextImpl Methods

TJvDataItemContextTextImpl	Legend

Methods

 Editable

 GetCaption

IsEqualToAncestor

RevertToAncestor

 SetCaption

IJvDataContextSensitive

IsEqualToAncestor

RevertToAncestor

TJvDataItemTextImpl

 Editable

 GetCaption

 SetCaption

TJvBaseDataItemTextImpl

 Editable

 GetCaption

 SetCaption

IJvDataItemText

Editable

GetCaption

SetCaption

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvDataItemContextTextImpl Properties

TJvDataItemContextTextImpl	Legend

Properties

TJvDataItemTextImpl

 Caption

TJvBaseDataItemTextImpl

Caption

IJvDataItemText

Caption

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvDataItemContextTextImpl

Legend

protected

virtual

abstract

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemText
                    TJvBaseDataItemTextImpl
                        TJvDataItemTextImpl, IJvDataContextSensitive
                                TJvDataItemContextTextImpl


TJvDataItemContextTextImpl Members

TJvDataItemContextTextImpl	Legend

Members

Methods

 Editable

 GetCaption

IsEqualToAncestor

RevertToAncestor

 SetCaption

IJvDataContextSensitive

IsEqualToAncestor

RevertToAncestor

TJvDataItemTextImpl

 Editable

 GetCaption

 SetCaption

TJvBaseDataItemTextImpl

 Editable

 GetCaption

 SetCaption

IJvDataItemText

Editable

GetCaption

SetCaption

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Properties

TJvDataItemTextImpl

 Caption

TJvBaseDataItemTextImpl

Caption

IJvDataItemText

Caption

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

virtual

abstract

published

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

published

read only


TJvDataItemContextTextImpl.Editable method

TJvDataItemContextTextImpl	Edit topic

Not documented

Pascal

function Editable: Boolean; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemContextTextImpl.GetCaption method

TJvDataItemContextTextImpl	Edit topic

Not documented

Pascal

function GetCaption: string; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemContextTextImpl.IsEqualToAncestor method

TJvDataItemContextTextImpl	Edit topic

Not documented

Pascal

function IsEqualToAncestor: Boolean; dynamic;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemContextTextImpl.RevertToAncestor method

TJvDataItemContextTextImpl	Edit topic

Not documented

Pascal

procedure RevertToAncestor; dynamic;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemContextTextImpl.SetCaption method

TJvDataItemContextTextImpl	Edit topic

Not documented

Pascal

procedure SetCaption(const Value: string); override;

Parameters

const Value: string

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemImageImpl
JEDI-VCL Reference

TJvDataItemImageImpl

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataItemImageImpl = class(TJvBaseDataItemImageImpl);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemImageImpl Properties

TJvDataItemImageImpl	Legend

Properties

 Alignment

 ImageIndex

 SelectedIndex

IJvDataItemImage

Alignment

ImageIndex

SelectedIndex

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDataItemImageImpl Methods

TJvDataItemImageImpl	Legend

Methods

 GetAlignment

 GetImageIndex

 GetSelectedIndex

 SetAlignment

 SetImageIndex

 SetSelectedIndex

TJvBaseDataItemImageImpl

 GetAlignment

 GetImageIndex

 GetSelectedIndex

 SetAlignment

 SetImageIndex

 SetSelectedIndex

IJvDataItemImage

GetAlignment

GetImageIndex

GetSelectedIndex

SetAlignment

SetImageIndex

SetSelectedIndex

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


Legend

TJvDataItemImageImpl

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemImage
                    TJvBaseDataItemImageImpl
                        TJvDataItemImageImpl


TJvDataItemImageImpl Members

TJvDataItemImageImpl	Legend

Members

Properties

 Alignment

 ImageIndex

 SelectedIndex

IJvDataItemImage

Alignment

ImageIndex

SelectedIndex

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 GetAlignment

 GetImageIndex

 GetSelectedIndex

 SetAlignment

 SetImageIndex

 SetSelectedIndex

TJvBaseDataItemImageImpl

 GetAlignment

 GetImageIndex

 GetSelectedIndex

 SetAlignment

 SetImageIndex

 SetSelectedIndex

IJvDataItemImage

GetAlignment

GetImageIndex

GetSelectedIndex

SetAlignment

SetImageIndex

SetSelectedIndex

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual

abstract


TJvDataItemImageImpl.Alignment property

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

property Alignment: TAlignment;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemImageImpl.ImageIndex property

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

property ImageIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemImageImpl.SelectedIndex property

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

property SelectedIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemImageImpl.GetAlignment method

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

function GetAlignment: TAlignment; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemImageImpl.GetImageIndex method

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

function GetImageIndex: Integer; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemImageImpl.GetSelectedIndex method

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

function GetSelectedIndex: Integer; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemImageImpl.SetAlignment method

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

procedure SetAlignment(Value: TAlignment); override;

Parameters

Value: TAlignment

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemImageImpl.SetImageIndex method

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

procedure SetImageIndex(Index: Integer); override;

Parameters

Index: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemImageImpl.SetSelectedIndex method

TJvDataItemImageImpl	Edit topic

Not documented

Pascal

procedure SetSelectedIndex(Value: Integer); override;

Parameters

Value: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemsAggregatedObject
JEDI-VCL Reference

TJvDataItemsAggregatedObject

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataItemsAggregatedObject = class(TAggregatedPersistentEx);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemsAggregatedObject Methods

TJvDataItemsAggregatedObject	Legend

Methods

 ContextDestroying

 Items

 ItemsImpl

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvDataItemsAggregatedObject Properties

TJvDataItemsAggregatedObject	Legend

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvDataItemsAggregatedObject

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemsAggregatedObject


TJvDataItemsAggregatedObject Members

TJvDataItemsAggregatedObject	Legend

Members

Methods

 ContextDestroying

 Items

 ItemsImpl

Properties

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDataItemsAggregatedObject.ContextDestroying method

TJvDataItemsAggregatedObject	Edit topic

Not documented

Pascal

procedure ContextDestroying(Context: IJvDataContext); dynamic;

Parameters

Context: IJvDataContext

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemsAggregatedObject.Items method

TJvDataItemsAggregatedObject	Edit topic

Not documented

Pascal

function Items: IJvDataItems;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemsAggregatedObject.ItemsImpl method

TJvDataItemsAggregatedObject	Edit topic

Not documented

Pascal

function ItemsImpl: TJvBaseDataItems;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemsList
JEDI-VCL Reference

TJvDataItemsList

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataItemsList = class(TJvBaseDataItems);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemsList Properties

TJvDataItemsList	Legend

Properties

 List

IJvDataItems

 Count

 Items

 Parent

 Provider

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDataItemsList Methods

TJvDataItemsList	Legend

Methods

 GetCount

 GetItem

 InternalAdd

 IsDynamic

TJvBaseDataItems

 ContextDestroying

 DefineProperties

 FindByID

 GetCount

 GetImplementer

 GetItem

 GetItemByID

 GetItemByIndexPath

 GetParent

 GetProvider

 InternalAdd

 InternalDelete

 InternalMove

 IsDynamic

 IsStreamableItem

 ItemAdd

 ItemDelete

 ItemMove

 ReadItem

 ReadItems

 ScanForID

 WriteItem

 WriteItems

IJvDataIDSearch

Find

IJvDataItems

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvDataItemsList Fields

TJvDataItemsList	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDataItemsList

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataItems, IJvDataIDSearch
                    TJvBaseDataItems
                        TJvDataItemsList


TJvDataItemsList Members

TJvDataItemsList	Legend

Members

Properties

 List

IJvDataItems

 Count

 Items

 Parent

 Provider

TExtensibleInterfacedPersistent

 RefCount

Methods

 GetCount

 GetItem

 InternalAdd

 IsDynamic

TJvBaseDataItems

 ContextDestroying

 DefineProperties

 FindByID

 GetCount

 GetImplementer

 GetItem

 GetItemByID

 GetItemByIndexPath

 GetParent

 GetProvider

 InternalAdd

 InternalDelete

 InternalMove

 IsDynamic

 IsStreamableItem

 ItemAdd

 ItemDelete

 ItemMove

 ReadItem

 ReadItems

 ScanForID

 WriteItem

 WriteItems

IJvDataIDSearch

Find

IJvDataItems

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

protected

virtual

abstract


TJvDataItemsList.List property

TJvDataItemsList	Edit topic

Not documented

Pascal

property List: TObjectList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemsList.GetCount method

TJvDataItemsList	Edit topic

Not documented

Pascal

function GetCount: Integer; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemsList.GetItem method

TJvDataItemsList	Edit topic

Not documented

Pascal

function GetItem(I: Integer): IJvDataItem; override;

Parameters

I: Integer

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemsList.InternalAdd method

TJvDataItemsList	Edit topic

Not documented

Pascal

procedure InternalAdd(Item: IJvDataItem); override;

Parameters

Item: IJvDataItem

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemsList.IsDynamic method

TJvDataItemsList	Edit topic

Not documented

Pascal

function IsDynamic: Boolean; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemTextImpl
JEDI-VCL Reference

TJvDataItemTextImpl

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDataItemTextImpl = class(TJvBaseDataItemTextImpl);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemTextImpl Properties

TJvDataItemTextImpl	Legend

Properties

 Caption

TJvBaseDataItemTextImpl

Caption

IJvDataItemText

Caption

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDataItemTextImpl Methods

TJvDataItemTextImpl	Legend

Methods

 Editable

 GetCaption

 SetCaption

TJvBaseDataItemTextImpl

 Editable

 GetCaption

 SetCaption

IJvDataItemText

Editable

GetCaption

SetCaption

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


Legend

TJvDataItemTextImpl

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TAggregatedPersistent
        TAggregatedPersistentEx
            TJvDataItemAggregatedObject, IJvDataItemText
                    TJvBaseDataItemTextImpl
                        TJvDataItemTextImpl


TJvDataItemTextImpl Members

TJvDataItemTextImpl	Legend

Members

Properties

 Caption

TJvBaseDataItemTextImpl

Caption

IJvDataItemText

Caption

TAggregatedPersistentEx

 Owner

TAggregatedPersistent

 Controller

Methods

 Editable

 GetCaption

 SetCaption

TJvBaseDataItemTextImpl

 Editable

 GetCaption

 SetCaption

IJvDataItemText

Editable

GetCaption

SetCaption

TJvDataItemAggregatedObject

 ContextDestroying

 Item

 ItemImpl

 QueryInterface

Legend

published

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual

abstract


TJvDataItemTextImpl.Caption property

TJvDataItemTextImpl	Edit topic

Not documented

Pascal

property Caption: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDataItemTextImpl.Editable method

TJvDataItemTextImpl	Edit topic

Not documented

Pascal

function Editable: Boolean; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemTextImpl.GetCaption method

TJvDataItemTextImpl	Edit topic

Not documented

Pascal

function GetCaption: string; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataItemTextImpl.SetCaption method

TJvDataItemTextImpl	Edit topic

Not documented

Pascal

procedure SetCaption(const Value: string); override;

Parameters

const Value: string

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDataSourceLink
JEDI-VCL Reference

TJvDataSourceLink

Hierarchy	 Edit topic

Not documented

Pascal

TJvDataSourceLink = class(TDataLink);

File

JvDBLookup

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TDataLink
    TJvDataSourceLink


TJvDateEdit
JEDI-VCL Reference

 TJvDateEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Edit control with a button that displays a calendar.

Pascal

TJvDateEdit = class(TJvCustomDateEdit);

File

JvToolEdit

Description

TJvDateEdit is a button edit control designed specifically for entering dates.

Pressing the button of the combo edit control displays a calendar, where users can select a date. But the user can also type a specific date in the edit box.

Created with Doc-O-Matic.


TJvDateEdit Properties

TJvDateEdit	Legend

Properties

 BlanksChar

 ButtonFlat

 ButtonHint

 ButtonWidth

 CalendarHints

 CalendarStyle

 CheckOnExit

 ClickKey

 Date

 DateAutoBetween

 DefaultToday

 DialogTitle

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

 GroupIndex

 ImageIndex

 ImageKind

 Images

 MaxDate

 MinDate

 NumGlyphs

 PopupAlign

 PopupColor

 ReadOnly

 ShowButton

 StartOfWeek

 WeekendColor

 Weekends

 YearDigits

TJvCustomDateEdit

 BlanksChar

 CalendarHints

 CalendarStyle

 CheckOnExit

Date

DateAutoBetween

 DefaultToday

 DialogTitle

 Formatting

 ImageKind

MaxDate

MinDate

 PopupColor

PopupVisible

 StartOfWeek

 WeekendColor

 Weekends

 YearDigits

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDateEdit Events

TJvDateEdit	Legend

Events

 OnAcceptDate

 OnButtonClick

 OnInvalidDate

 OnKeyDown

TJvCustomDateEdit

 OnAcceptDate

 OnInvalidDate

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDateEdit Methods

TJvDateEdit	Legend

Methods

TJvCustomDateEdit

CheckValidDate

 DefaultImageIndex

GetDateMask

 UpdateMask

 ValidateEdit

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDateEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvCustomDateEdit
            TJvDateEdit


TJvDateEdit Members

TJvDateEdit	Legend

Members

Properties

 BlanksChar

 ButtonFlat

 ButtonHint

 ButtonWidth

 CalendarHints

 CalendarStyle

 CheckOnExit

 ClickKey

 Date

 DateAutoBetween

 DefaultToday

 DialogTitle

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

 GroupIndex

 ImageIndex

 ImageKind

 Images

 MaxDate

 MinDate

 NumGlyphs

 PopupAlign

 PopupColor

 ReadOnly

 ShowButton

 StartOfWeek

 WeekendColor

 Weekends

 YearDigits

TJvCustomDateEdit

 BlanksChar

 CalendarHints

 CalendarStyle

 CheckOnExit

Date

DateAutoBetween

 DefaultToday

 DialogTitle

 Formatting

 ImageKind

MaxDate

MinDate

 PopupColor

PopupVisible

 StartOfWeek

 WeekendColor

 Weekends

 YearDigits

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnAcceptDate

 OnButtonClick

 OnInvalidDate

 OnKeyDown

TJvCustomDateEdit

 OnAcceptDate

 OnInvalidDate

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

TJvCustomDateEdit

CheckValidDate

 DefaultImageIndex

GetDateMask

 UpdateMask

 ValidateEdit

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvDateEdit.BlanksChar property

TJvDateEdit	See Also	Edit topic

Specifies the character used to represent unentered characters in the date mask.

Pascal

property BlanksChar: Char;

Description

Use BlanksChar to specify the character used to represent unentered characters in the date mask.

The default value of BlanksChar is the space.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.GetDateMask


TJvDateEdit.ButtonFlat property

TJvDateEdit	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property ButtonFlat: Boolean;

Description

Set ButtonFlat to true to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected.

Created with Doc-O-Matic.


See Also

Button


TJvDateEdit.ButtonHint property

TJvDateEdit	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the button.

Pascal

property ButtonHint: string;

Description

Use the ButtonHint property to provide a string of help text as a Help Hint for the combo edit control's button.

Created with Doc-O-Matic.


See Also

Button


TJvDateEdit.ButtonWidth property

TJvDateEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the combo edit control's button. Note that changing property ImageKind can change the ButtonWidth. For example, ButtonWidth is set to the default width of a drop-down button if ImageKind is set to ikDropDown.

Created with Doc-O-Matic.


See Also

Button


TJvDateEdit.CalendarHints property

TJvDateEdit	Edit topic

Provides a way to customize the Help Hints for the buttons on the pop-up calendar window.

Pascal

property CalendarHints: TStrings;

Description

Use the CalendarHints property to supply Help Hints of your choosing for the individual buttons. Each button has a default Help Hint. CalendarHints allow the values of any or all of these default Help Hints to be replaced by customized hints.

CalendarHints is a string list. Each hint is a string. The first string in the string list becomes the Help Hint for the first button on the navigator (the Previous Year button). The fourth hint becomes the Help Hint for the fourth button (the Next Year button).

When specifying CalendarHints at runtime, enter an empty string for any Help Hint that should keep the default value. Simply leave the line blank when using the string list property editor of the Object Inspector for the CalendarHints property.

Created with Doc-O-Matic.


TJvDateEdit.CalendarStyle property

TJvDateEdit	See Also	Edit topic

Specifies the style of the pop-up calendar.

Pascal

property CalendarStyle: TCalendarStyle;

Description

Use CalendarStyle to specify the style of the pop-up calendar, that is displayed when the user clicks the button of the combo edit control. The calendar can either be a pop-up window or a modal dialog.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.PopupAlign, TJvCustomDateEdit.DialogTitle, TJvCustomDateEdit.PopupColor


TJvDateEdit.CheckOnExit property

TJvDateEdit	See Also	Edit topic

Specifies whether to check the control's text when the user attempts to leave the control.

Pascal

property CheckOnExit: Boolean;

Description

Use CheckOnExit to specify whether to validate the control's text when the user attempts to leave the combo control. If set to true, the control calls CheckValidDate on exit of the control.

Created with Doc-O-Matic.


See Also

CheckValidDate, Date


TJvDateEdit.ClickKey property

TJvDateEdit	Edit topic

Specifies the key combination users can type to simulate a button click.

Pascal

property ClickKey: TShortCut;

Description

Use ClickKey to allow the user to type a key combination instead of clicking the control's button.

When setting shortcuts at design time, the Object Inspector provides a long list of key combinations to choose from. To create shortcuts at runtime, use the global ShortCut or TextToShortCut function from Menus.pas. For example, the following line creates a shortcut, Ctrl+C and assigns it to a combo edit control named JvComboEdit1.

  JvComboEdit1.ClickKey := ShortCut(Word('C'), [ssCtrl]);

Created with Doc-O-Matic.


TJvDateEdit.Date property

TJvDateEdit	See Also	Edit topic

Indicates the date displayed in the edit portion of the combo edit control.

Pascal

property Date: TDateTime;

Description

Use Date to get or set the date that is entered in the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.CheckValidDate, TJvCustomDateEdit.DateAutoBetween


TJvDateEdit.DateAutoBetween property

TJvDateEdit	See Also	Edit topic

Specifies whether to automatically alter the entered date to ensure it is between MinDate and MaxDate.

Pascal

property DateAutoBetween: Boolean;

Description

Set DateAutoBetween to true to let the control alter the entered date to ensure it is between MinDate and MaxDate. Set DateAutoBetween to false to let the control raise an exception when the entered date is not between MinDate and MaxDate.

Notes

If you specify the value 0 for MinDate, then the control won't check whether the entered date is equal or after the MinDate. Same for MaxDate.

Created with Doc-O-Matic.


See Also

Date


TJvDateEdit.DefaultToday property

TJvDateEdit	See Also	Edit topic

Specifies whether to use today's day as default.

Pascal

property DefaultToday: Boolean;

Description

Set DefaultToday to true to use today's date as default. For example, if the Text of the control is empty then Date will return today's date. Set DefaultToday to false to use the null value (12/30/1899 12:00 am) as default.

Created with Doc-O-Matic.


See Also

Date


TJvDateEdit.DialogTitle property

TJvDateEdit	See Also	Edit topic

Specifies the text in the dialog’s title bar.

Pascal

property DialogTitle: string;

Description

Use Title to specify the text that appears in the dialog’s title bar.

Notes

Only used if CalendarStyle is csDialog.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.PopupAlign, TJvCustomDateEdit.CalendarStyle, TJvCustomDateEdit.PopupColor


TJvDateEdit.DirectInput property

TJvDateEdit	See Also	Edit topic

Specifies whether the user can use the edit box of the combo edit.

Pascal

property DirectInput: Boolean;

Description

Use DirectInput to read or change whether the user can use the edit box of the combo edit. By setting DirectInput to false, the edit box of the combo edit will become read-only, and the user can only use the button of the combo edit.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvDateEdit.DisabledColor property

TJvDateEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control isn't enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledTextColor


TJvDateEdit.DisabledTextColor property

TJvDateEdit	See Also	Edit topic

Specifies the color of the text when the control isn't enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledColor


TJvDateEdit.Flat property

TJvDateEdit	Edit topic

Determines whether the control has a three-dimensional (3-D) or two-dimensional (flat) look.

Pascal

property Flat: Boolean;

Description

When Flat is true, the control appears flat and does not have borders. When Flat is false, the control has a 3-D look.

Created with Doc-O-Matic.


TJvDateEdit.Glyph property

TJvDateEdit	Edit topic

Specifies the bitmap that appears on the button of the combo edit control. (Obsolete.)

Pascal

property Glyph: TBitmap;

Description

Glyph is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvDateEdit.GroupIndex property

TJvDateEdit	Edit topic

Allows edit controls to work together as a group.

Pascal

property GroupIndex: Integer;

Description

When GroupIndex is set to -1, the edit control behaves as normal.

Edit controls with the same GroupIndex property value (other than -1), work together as a group. When the user enters one of these edit controls, the text on the other edits belonging to the same group will be cleared.

Created with Doc-O-Matic.


TJvDateEdit.ImageIndex property

TJvDateEdit	See Also	Edit topic

Indicates which image appears on the button.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to designate an image that should appear on the button of the edit button control. ImageIndex specifies a zero-offset index into the Images property. Set ImageKind to ikCustom, otherwise ImageIndex is not used.

Notes

This property is not stored if it is supplied by a TAction object.

Created with Doc-O-Matic.


See Also

Images, ImageKind


TJvDateEdit.ImageKind property

TJvDateEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvDateEdit.Images property

TJvDateEdit	See Also	Edit topic

Lists the images that can appear on the button.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the button of the combo button control. If Images is unassigned, no images are displayed on the button unless ImageKind is set to a value other than ikCustom.

Created with Doc-O-Matic.


See Also

ImageIndex, ImageKind


TJvDateEdit.MaxDate property

TJvDateEdit	See Also	Edit topic

Indicates the maximum date the user can enter.

Pascal

property MaxDate: TDateTime;

Description

Use MaxDate to get or set the maximum date the user can enter in the edit box and to which users can scroll the calendar. The value of the Date property cannot exceed MaxDate.

Created with Doc-O-Matic.


See Also

Date


TJvDateEdit.MinDate property

TJvDateEdit	See Also	Edit topic

Indicates the minimum date the user can enter.

Pascal

property MinDate: TDateTime;

Description

Use MinDate to get or set the maximum date the user can enter in the edit box and to which users can scroll the calendar. The value of the Date property cannot be before MaxDate.

Created with Doc-O-Matic.


See Also

Date


TJvDateEdit.NumGlyphs property

TJvDateEdit	Edit topic

Indicates the number of images that are in the graphic specified in the Glyph property. (Obsolete.)

Pascal

property NumGlyphs: TNumGlyphs;

Description

NumGlyphs is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvDateEdit.OnAcceptDate event

TJvDateEdit	Edit topic

Occurs after the user has selected a date in the calendar.

Pascal

property OnAcceptDate: TExecDateDialog;

Parameters

Sender

The object that represents the date button control.

ADate

The date the user selected.

Action

Determines whether the date specified by ADate is accepted.

Description

Write an OnAcceptDate event handler to conditionally prevent the user from selecting specific dates from the calendar.

Set Action to false (Action is initially true) to make the control act as if the user canceled the date selection from the calendar.

Alter ADate to make the control act as if the user selected that new value.

Created with Doc-O-Matic.


TJvDateEdit.OnButtonClick event

TJvDateEdit	See Also	Edit topic

Occurs when the user clicks the button.

Pascal

property OnButtonClick: TNotifyEvent;

Description

Write an OnButtonClick handler to respond to the user clicking the button of the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.OnKeyDown


TJvDateEdit.OnInvalidDate event

TJvDateEdit	Edit topic

Not documented

Pascal

property OnInvalidDate: TJvInvalidDateEvent;

Parameters

Sender

Not documented

DateString

Not documented

NewDate

Not documented

Accept

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDateEdit.OnKeyDown event

TJvDateEdit	See Also	Edit topic

Occurs when a user presses any key while the control has focus.

Pascal

property OnKeyDown: TKeyEvent;

Description

Use the OnKeyDown event handler to specify special processing to occur when a key is pressed. The OnKeyDown handler can respond to all keyboard keys, including function keys and keys combined with the Shift, Alt, and Ctrl keys, and pressed mouse buttons.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvDateEdit.PopupAlign property

TJvDateEdit	Edit topic

Specifies how the pop-up window is aligned relative to its edit box.

Pascal

property PopupAlign: TPopupAlign;

Description

Use PopupAlign to specify the position of the pop-up window relative to the edit region of the lookup combo box. The pop-up window can be aligned to the left or right, or centered with the edit box.

Created with Doc-O-Matic.


TJvDateEdit.PopupColor property

TJvDateEdit	See Also	Edit topic

Specifies the color of the pop-up calendar.

Pascal

property PopupColor: TColor;

Description

Use PopupColor to specify the color of the pop-up calendar.

Notes

Only used if CalendarStyle is csPopup.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.PopupAlign, TJvCustomDateEdit.CalendarStyle, TJvCustomDateEdit.DialogTitle


TJvDateEdit.ReadOnly property

TJvDateEdit	See Also	Edit topic

Determines whether the user can change the text of the combo edit control.

Pascal

property ReadOnly: Boolean;

Description

To restrict the edit control to display only, set the ReadOnly property to true. Set ReadOnly to false to allow the contents of the edit control to be edited.

Setting ReadOnly to true ensures that the text is not altered, while still allowing the user to select text. The selected text can then be manipulated by the application, or copied to the Clipboard.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvDateEdit.ShowButton property

TJvDateEdit	Edit topic

Indicates whether the button should be shown.

Pascal

property ShowButton: Boolean;

Description

Set ShowButton to false to hide the button of the combo edit; set it to true to show it.

Created with Doc-O-Matic.


TJvDateEdit.StartOfWeek property

TJvDateEdit	See Also	Edit topic

Specifies the day of the leftmost column in the pop-up calendar.

Pascal

property StartOfWeek: TDayOfWeekName;

Description

Use StartOfWeek to specify the day of the leftmost column in the pop-up calendar.

The default value of StartOfWeek is "Mon" (Monday).

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.Weekends


TJvDateEdit.WeekendColor property

TJvDateEdit	See Also	Edit topic

The text color of weekend days in the calendar.

Pascal

property WeekendColor: TColor;

Description

WeekendColor determines the text color of weekend days in the calendar.

Use Weekends to specify the days that are marked as weekend days.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.Weekends


TJvDateEdit.Weekends property

TJvDateEdit	See Also	Edit topic

Specifies the days marked as weekend days in the pop-up calendar.

Pascal

property Weekends: TDaysOfWeek;

Description

Use Weekends to specify the days marked as weekend days in the pop-up calendar.

Weekend days are displayed in the color specified by WeekendColor. The default value of Weekends is [Sun] (i.e., only Sunday)

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.StartOfWeek, TJvCustomDateEdit.WeekendColor


TJvDateEdit.YearDigits property

TJvDateEdit	See Also	Edit topic

Specifies the number of digits used for the year.

Pascal

property YearDigits: TYearDigits;

Description

Use YearDigits to specify the number of digits used for the year part of the date displayed in combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.GetDateMask


TJvDateTimePicker
JEDI-VCL Reference

 TJvDateTimePicker

Hierarchy	Properties	Events	Package	 Edit topic

Use this component to let the user input a date or time.

Pascal

TJvDateTimePicker = class(TJvExDateTimePicker);

File

JvDateTimePicker

Description

This component is derived from the VCL DateTimePicker. Its enhanced in that it offers events for mouse entering and leaving as well as the OnParentColorChange event which gets triggered when the color of the components parent changes. Further it provides a hint color property which can be used to set the background color of the components hint box.

Created with Doc-O-Matic.


TJvDateTimePicker Properties

TJvDateTimePicker	Legend

Properties

 DropDownDate

 HintColor

 NullDate

 NullText

 ShowToday

 ShowTodayCircle

 WeekNumbers

TJvExDateTimePicker

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDateTimePicker Events

TJvDateTimePicker	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExDateTimePicker

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvDateTimePicker

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TDateTimePicker, IJvExControl
        TJvExDateTimePicker
            TJvDateTimePicker


TJvDateTimePicker Members

TJvDateTimePicker	Legend

Members

Properties

 DropDownDate

 HintColor

 NullDate

 NullText

 ShowToday

 ShowTodayCircle

 WeekNumbers

TJvExDateTimePicker

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExDateTimePicker

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvDateTimePicker.DropDownDate property

TJvDateTimePicker	Edit topic

Indicates the initial date to display when the calendar illustration is shown and Date or Time equals NullDate.

Pascal

property DropDownDate: TDate;

Description

Use DropDownDate to specify an initial date that is shown in the drop-down calendar illustration, when Date or Time - depending on the Kind property - equals NullDate.

For example, if Kind is set to dtkDate, Date and NullDate are set to 1-1-2000, DropDownDate is set to 2-2-2002 and NullDate equals '(None)', then the text '(None)' is shown in the edit box. If the user drops down the calendar illustration then the date 2-2-2002 is highlighted.

Created with Doc-O-Matic.


TJvDateTimePicker.HintColor property

TJvDateTimePicker	Edit topic

Use this property to define the background color of the components hint box.

Pascal

property HintColor: TColor;

Description

Use this property to define the background color of the components hint box.

Created with Doc-O-Matic.


TJvDateTimePicker.NullDate property

TJvDateTimePicker	See Also	Edit topic

Indicates the date or time that represents an empty "null" value.

Pascal

property NullDate: TDateTime;

Description

Use NullDate to specify a date or time - depending on the Kind property

that represents an empty "null" value. If the user entered a date or time equal to NullDate, thus

the Date or Time property is equal to NullDate, then the string represented by NullText is displayed.

Created with Doc-O-Matic.


See Also

TJvDateTimePicker.DropDownDate, TJvDateTimePicker.NullText


TJvDateTimePicker.NullText property

TJvDateTimePicker	See Also	Edit topic

Indicates the text to display when Date or Time equals NullDate.

Pascal

property NullText: string;

Description

Use NullText to specify a date or time - depending on the Kind property

that represents the text to display when Date or Time equals NullDate. If the user entered a date or time equal to NullDate, thus the Date or Time property is equal to NullDate, then the string represented by NullText is displayed.

Created with Doc-O-Matic.


See Also

TJvDateTimePicker.DropDownDate


TJvDateTimePicker.OnMouseEnter event

TJvDateTimePicker	See Also	Edit topic

Occurs when the mouse pointer moves over the drop-down calendar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the drop-down calendar.

Created with Doc-O-Matic.


See Also

TJvExDateTimePicker.OnMouseLeave


TJvDateTimePicker.OnMouseLeave event

TJvDateTimePicker	See Also	Edit topic

Occurs when the mouse pointer moves off the drop-down calendar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the drop-down calendar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExDateTimePicker.OnMouseEnter


TJvDateTimePicker.OnParentColorChange event

TJvDateTimePicker	Edit topic

Use this event to react to a change of the parents backgroundcolor.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

You can assign a method to this event that gets triggered whenever the color of the components parent changes.

Created with Doc-O-Matic.


TJvDateTimePicker.ShowToday property

TJvDateTimePicker	Edit topic

Not documented

Pascal

property ShowToday: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDateTimePicker.ShowTodayCircle property

TJvDateTimePicker	Edit topic

Not documented

Pascal

property ShowTodayCircle: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDateTimePicker.WeekNumbers property

TJvDateTimePicker	Edit topic

Not documented

Pascal

property WeekNumbers: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBCustomSearchComboBox
JEDI-VCL Reference

TJvDBCustomSearchComboBox

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDBCustomSearchComboBox = class(TJvCustomComboBox);

File

JvDBSearchComboBox

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBCustomSearchComboBox Properties

TJvDBCustomSearchComboBox	Legend

Properties

 DataField

 DataResult

 DataSource

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDBCustomSearchComboBox Methods

TJvDBCustomSearchComboBox

Methods

GetResult

Refresh

Created with Doc-O-Matic.


Legend

TJvDBCustomSearchComboBox

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboBox
    TJvDBCustomSearchComboBox


TJvDBCustomSearchComboBox Members

TJvDBCustomSearchComboBox	Legend

Members

Properties

 DataField

 DataResult

 DataSource

Methods

GetResult

Refresh

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDBCustomSearchComboBox.DataField property

TJvDBCustomSearchComboBox	Edit topic

Identifies the field from which the combo box displays data.

Pascal

property DataField: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBCustomSearchComboBox.DataResult property

TJvDBCustomSearchComboBox	Edit topic

Contains the names of the field or fields from which to return values when calling GetResult.

Pascal

property DataResult: string;

Description

Contains the names of the field or fields from which to return values when calling GetResult. If values are to be returned from more than one field, DataResult is a list of field names delimited with semicolons.

Created with Doc-O-Matic.


TJvDBCustomSearchComboBox.DataSource property

TJvDBCustomSearchComboBox	Edit topic

Links the combo box to a dataset.

Pascal

property DataSource: TDataSource;

Description

Specify the data source component that identifies the dataset in which the target field is found. To allow the combo box to represent the data for a field, both the DataSource and the DataField properties must be set.

Created with Doc-O-Matic.


TJvDBCustomSearchComboBox.GetResult method

TJvDBCustomSearchComboBox	Edit topic

Retrieves field values from a record that matches the search value.

Pascal

function GetResult: Variant;

Description

Call GetResult to search for a record in the dataset in which the DataField field contains the value of the combo box text and return other field values from the found record.

  procedure TForm1.Button1Click(Sender: TObject);

  var

    V: Variant;

    C: Integer;

    A: String;

  begin

    JvDBSearchComboBox.DataResult := 'CustNo;Addr1';

    V := JvDBSearchComboBox.GetResult;

    if not (VarType(V) in [varNull]) then

    begin

      C := V[0];

      A := V[1];

      ShowMessage(IntToStr(C) + #10 + A);

    end

    else

      ShowMessage('Search unsuccessful!');

  end;

Created with Doc-O-Matic.


TJvDBCustomSearchComboBox.Refresh method

TJvDBCustomSearchComboBox	Edit topic

Not documented

Pascal

procedure Refresh;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid
JEDI-VCL Reference

 TJvDBGrid

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Descendant of the standard TDBGrid with additional methods, properties and events.

Pascal

TJvDBGrid = class(TJvExDBGrid);

File

JvDBGrid

Description

Use TJvDBGrid as a replacement for TDBGrid when you need additional control over how the grid component works. TJvDBGrid introduces new methods, properties and events to control the appearance and functionality of the grid.

Created with Doc-O-Matic.


TJvDBGrid Properties

TJvDBGrid	Legend

Properties

 AlternateRowColor

 AlternateRowFontColor

 AutoAppend

 AutoSizeColumnIndex

 AutoSizeColumns

 AutoSizeRows

 AutoSort

 BeepOnError

 BooleanEditor

CharList

 ClearSelection

 EditControls

 FixedCols

 IniStorage

 MaxColumnWidth

 MinColumnWidth

 OnShowCellHint

 PostOnEnter

 RowResize

 SelCount

 SelectColumn

 SelectColumnsDialogStrings

 ShowCellHint

 ShowGlyphs

 ShowMemos

 ShowTitleHint

 SortedField

 SortMarker

 TitleArrow

 TitleButtons

 TitleOffset

 TitlePopup

 TitleRowHeight

 WordWrap

TJvExDBGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvDBGrid Events

TJvDBGrid	Legend

Events

 IsBooleanField

 OnCheckButton

 OnColumnResized

 OnDrawColumnTitle

 OnEditChange

 OnGetBtnParams

 OnGetCellParams

 OnGetCellProps

 OnShowEditor

 OnShowTitleHint

 OnTitleArrowMenuEvent

 OnTitleBtnClick

 OnTitleBtnDblClick

TJvExDBGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDBGrid Methods

TJvDBGrid

Methods

CloseControl

GotoSelection

InitializeColumnsWidth

Load

LoadFromAppStore

RegisterLayoutChangeLink

Save

SaveToAppStore

SelectAll

ShowColumnsDialog

ToggleRowSelection

UnregisterLayoutChangeLink

UnselectAll

Created with Doc-O-Matic.


Legend

TJvDBGrid

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TDBGrid, IJvExControl
        TJvExDBGrid
            TJvDBGrid


TJvDBGrid Members

TJvDBGrid	Legend

Members

Properties

 AlternateRowColor

 AlternateRowFontColor

 AutoAppend

 AutoSizeColumnIndex

 AutoSizeColumns

 AutoSizeRows

 AutoSort

 BeepOnError

 BooleanEditor

CharList

 ClearSelection

 EditControls

 FixedCols

 IniStorage

 MaxColumnWidth

 MinColumnWidth

 OnShowCellHint

 PostOnEnter

 RowResize

 SelCount

 SelectColumn

 SelectColumnsDialogStrings

 ShowCellHint

 ShowGlyphs

 ShowMemos

 ShowTitleHint

 SortedField

 SortMarker

 TitleArrow

 TitleButtons

 TitleOffset

 TitlePopup

 TitleRowHeight

 WordWrap

TJvExDBGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 IsBooleanField

 OnCheckButton

 OnColumnResized

 OnDrawColumnTitle

 OnEditChange

 OnGetBtnParams

 OnGetCellParams

 OnGetCellProps

 OnShowEditor

 OnShowTitleHint

 OnTitleArrowMenuEvent

 OnTitleBtnClick

 OnTitleBtnDblClick

TJvExDBGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

CloseControl

GotoSelection

InitializeColumnsWidth

Load

LoadFromAppStore

RegisterLayoutChangeLink

Save

SaveToAppStore

SelectAll

ShowColumnsDialog

ToggleRowSelection

UnregisterLayoutChangeLink

UnselectAll

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Package

DB


TJvDBGrid.AlternateRowColor property

TJvDBGrid	Edit topic

Indicates the color to use on odd rows in the grid.

Pascal

property AlternateRowColor: TColor;

Description

Use AlternateRowColor to specify a different color for every other row in the grid. Setting AlternateRowColor to the same color as the background or to clNone disables the feature.

Created with Doc-O-Matic.


TJvDBGrid.AlternateRowFontColor property

TJvDBGrid	Edit topic

Not documented

Pascal

property AlternateRowFontColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.AutoAppend property

TJvDBGrid	Edit topic

Indicates whether moving beyond the last row in the grid, automatically inserts a new row.

Pascal

property AutoAppend: Boolean;

Description

Use AutoAppend to specify whether new records are automatically appended when the user tries to move beyond the last row in the grid.

Notes

Due to the design of the base TCustomDBGrid, AutoAppend does not work correctly when dgTabs is in Options and the user tabs beyond the last row.

Created with Doc-O-Matic.


TJvDBGrid.AutoSizeColumnIndex property

TJvDBGrid	See Also	Edit topic

Indicates the column that will be autosized when the grid or its columns are resized.

Pascal

property AutoSizeColumnIndex: Integer;

Description

Use AutoSizeColumnIndex to specify the column or columns that are auto sized. AutoSizeColumnIndex can be set to any of the following values:

Value	Meaning
-2	Indicates that the rightmost visible column should be auto sized. If the number of visible columns changes so might the column that is sized.
-1	Auto size all visible columns proportionally.
0..n	Auto size the column with the specified index. If n > = Columns.Count, autosizing is disabled.

Auto sizing is only active when AutoSizeColumns is true and all visible columns in the grid can be shown without a horizontal scrollbar. The values of MinColumnWidth and MaxColumnWidth are also taken into consideration when auto sizing.

Created with Doc-O-Matic.


See Also

TJvDBGrid.AutoSizeColumns, TJvDBGrid.MaxColumnWidth, TJvDBGrid.MinColumnWidth


TJvDBGrid.AutoSizeColumns property

TJvDBGrid	See Also	Edit topic

Indicates whether columns are autosized or not.

Pascal

property AutoSizeColumns: Boolean;

Description

Use AutoSizeColumns to specify whether auto sizing is active or not. The actual column or columns that are auto sized are controlled with the AutoSizeColumnIndex property.

Created with Doc-O-Matic.


See Also

TJvDBGrid.AutoSizeColumnIndex


TJvDBGrid.AutoSizeRows property

TJvDBGrid	Edit topic

Not documented

Pascal

property AutoSizeRows: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.AutoSort property

TJvDBGrid	See Also	Edit topic

Indicates whether the grid tries to change the sort index of the dataset or not.

Pascal

property AutoSort: Boolean;

Description

Use AutoSort when you want the grid to sort automatically when a column is clicked (TitleButtons must be set to true). If AutoSort is true, the grid can sort the columns automatically if all of the following criteria are true:

The dataset has a published property named "IndexDefs" of type TIndexDefs

The dataset has a published property named "IndexName" of type string

There is an index in IndexName that contains the name of the filed of the clicked column

Created with Doc-O-Matic.


See Also

OnTitleClick


TJvDBGrid.BeepOnError property

TJvDBGrid	Edit topic

Indicates whether the speaker beeps when there is an error.

Pascal

property BeepOnError: Boolean;

Description

Use BeepOnError to specify whether errors in input triggers a speaker beep. The standard DBGrid always beeps on errors. Set BeepOnError to false to suppress this behavior.

Created with Doc-O-Matic.


TJvDBGrid.BooleanEditor property

TJvDBGrid	Edit topic

Not documented

Pascal

property BooleanEditor: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.CharList property

TJvDBGrid	Edit topic

Not documented

Pascal

property CharList: TCharList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.ClearSelection property

TJvDBGrid	See Also	Edit topic

Clears the selection in the grid when the user moves to a new cell in MultiSelect mode.

Pascal

property ClearSelection: Boolean;

Description

Set ClearSelection to true to remove any additional selected rows when the user moves to a new cell in the grid and MultiSelect is true. If ClearSelection is false, multi selected rows remains selected when the user navigates the grid.

Created with Doc-O-Matic.


See Also

MultiSelect


TJvDBGrid.EditControls property

TJvDBGrid	Edit topic

Allows field editing using in-place external controls like combo boxes or check boxes.

Pascal

property EditControls: TJvDBGridControls;

Description

In the property inspector, clicking on the ellipsis a dialog showing the columns of the grid opens. There you can select fields requiring special editing capabilities, and bind them to external controls. You must add those controls previously to the form, and set all their properties as if they would be used stand alone. In run time, those controls will be invisible until the associated field in the grid get focus, then the control will appear into the grid.

Created with Doc-O-Matic.


TJvDBGrid.FixedCols property

TJvDBGrid	See Also	Edit topic

Indicates the number of fixed columns in the grid.

Pascal

property FixedCols: Integer;

Description

Set FixedCols to make additional columns in the grid appear as fixed columns. By default, the only fixed column in a DB grid is the indicator column.

Created with Doc-O-Matic.


See Also

Options, Columns


TJvDBGrid.IniStorage property

TJvDBGrid	See Also	Edit topic

Indicates the application storage component to use to save the grids current settings.

Pascal

property IniStorage: TJvFormPlacement;

Description

Assign an existing TJvAppStorage component to this property to have the properties of the grid automatically saved and loaded when the application starts and closes down.

Properties stored include the columns layout as well as the DisplayLabel, DisplayWidth and Visible property of all the used fields.

Created with Doc-O-Matic.


See Also

TJvDBGrid.Load, TJvDBGrid.LoadFromAppStore, TJvDBGrid.Save, TJvDBGrid.SaveToAppStore


TJvDBGrid.IsBooleanField event

TJvDBGrid	Edit topic

Not documented

Pascal

TJvDBIsBoolFieldEvent = function (Grid: TJvDBGrid; Field: TField): Boolean of object;
property IsBooleanField: TJvDBIsBoolFieldEvent;

Parameters

Field

Not documented

Grid

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.MaxColumnWidth property

TJvDBGrid	See Also	Edit topic

Sets the maximum width of a column.

Pascal

property MaxColumnWidth: Integer;

Description

Set MaxColumnWidth to a value > 0 to have the grid automatically size columns whose width exceeds MaxColumnWidth.

Created with Doc-O-Matic.


See Also

TJvDBGrid.MinColumnWidth


TJvDBGrid.MinColumnWidth property

TJvDBGrid	See Also	Edit topic

Sets the minimum width of a column.

Pascal

property MinColumnWidth: Integer;

Description

Set MinColumnWidth to a value > 0 to have the grid automatically size columns whose width is less than MinColumnWidth.

Created with Doc-O-Matic.


See Also

TJvDBGrid.MaxColumnWidth


TJvDBGrid.OnCheckButton event

TJvDBGrid	Edit topic

Occurs when a title button is clicked.

Pascal

TCheckTitleBtnEvent = procedure (Sender: TObject; ACol: Longint; Field: TField; var Enabled: Boolean) of object;
property OnCheckButton: TCheckTitleBtnEvent;

Parameters

Field

The field of the cell.

Enabled

Indicates if the button should be enabled or not.

Sender

The grid that triggered the event.

ACol

The index of the column.

Description

Write a handler for this event to conditionally enable and disable title button clicks. Set Enabled to true (the default) to enable clicking the title button, set Enabled to false to disable clicking.

Created with Doc-O-Matic.


TJvDBGrid.OnColumnResized event

TJvDBGrid	Edit topic

Not documented

Pascal

TJvDBColumnResizeEvent = procedure (Grid: TJvDBGrid; ACol: Longint; NewWidth: Integer) of object;
property OnColumnResized: TJvDBColumnResizeEvent;

Parameters

NewWidth

Not documented

ACol

Not documented

Grid

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.OnDrawColumnTitle event

TJvDBGrid	Edit topic

Occurs when a column header is to be drawn.

Pascal

TDrawColumnTitleEvent = procedure (Sender: TObject; ACanvas: TCanvas; ARect: TRect; AColumn: TColumn; ASortMarker: TBitmap; IsDown: Boolean; var Offset: Integer; var DefaultDrawText, DefaultDrawSortMarker: Boolean) of object;
property OnDrawColumnTitle: TDrawColumnTitleEvent;

Parameters

Offset

The default offset of the text

IsDown

Indicates whether the button is down or not.

DefaultDrawSortMarker

Specifies whether the default method should draw the sort marker.

DefaultDrawText

Specifies whether the default method should draw the text.

ASortMarker

The sort marker to display.

ACanvas

The canvas to draw on.

Sender

The grid that triggered the event.

AColumn

Not documented

ARect

The rect area to draw in.

Description

Write a handler for the OnDrawColumnTitle to custom draw the title buttons in the grid.

Created with Doc-O-Matic.


TJvDBGrid.OnEditChange event

TJvDBGrid	Edit topic

Occurs when the user makes changes to a cell.

Pascal

property OnEditChange: TNotifyEvent;

Description

Write a handler for the OnEditChange event to be notified when the user edits a cell in the grid.

Created with Doc-O-Matic.


TJvDBGrid.OnGetBtnParams event

TJvDBGrid	See Also	Edit topic

Occurs when the grid needs additional information for the current header button.

Pascal

TGetBtnParamsEvent = procedure (Sender: TObject; Field: TField; AFont: TFont; var Background: TColor; var ASortMarker: TSortMarker; IsDown: Boolean) of object;
property OnGetBtnParams: TGetBtnParamsEvent;

Parameters

Background

The cell's background color.

ASortMarker

The sort marker to display.

IsDown

Indicates whether the button is down or not.

Sender

The grid that triggered the event.

Field

The field of the cell.

AFont

The cell's font.

Description

Write a handler for this event to modify the appearance of the title buttons.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnGetCellParams, TJvDBGrid.OnGetCellProps


TJvDBGrid.OnGetCellParams event

TJvDBGrid	See Also	Edit topic

Occurs when the grid needs additional information about the current cell.

Pascal

TGetCellParamsEvent = procedure (Sender: TObject; Field: TField; AFont: TFont; var Background: TColor; Highlight: Boolean) of object;
property OnGetCellParams: TGetCellParamsEvent;

Parameters

Background

The cell's background color.

Highlight

Specifies whether the cell should be highlighted or not.

AFont

The cell's font.

Sender

The grid that triggered the event.

Field

The field of the cell.

Description

Write a handler for this event to provide additional information about the current cell. This event differs from OnGetCellProps only in the Highlight parameter.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnGetCellProps


TJvDBGrid.OnGetCellProps event

TJvDBGrid	See Also	Edit topic

Occurs when the grid needs additional information about the current cell.

Pascal

TGetCellPropsEvent = procedure (Sender: TObject; Field: TField; AFont: TFont; var Background: TColor) of object;
property OnGetCellProps: TGetCellPropsEvent;

Parameters

AFont

The cell's font.

Background

The cell's background color.

Sender

The grid that triggered the event.

Field

The field of the cell.

Description

Write a handler for this event to provide additional information about the current cell. This event differs from OnGetCellParams only in the Highlight parameter.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnGetCellParams


TJvDBGrid.OnShowCellHint property

TJvDBGrid	See Also	Edit topic

Occurs when a cell in the grid wants to display its hint.

Pascal

TJvCellHintEvent = TJvTitleHintEvent;
property OnShowCellHint: TJvCellHintEvent;

Parameters

AHint

Set this to the hint text to use.

ATimeOut

The number of milliseconds that should pass before the hint window is hidden.

Sender

The grid that triggered the event.

Field

The field the column displays.

Description

Write a handler for this event to provide custom hints for the cells in the grid. This event is only triggered if hints are enabled and ShowCellHint is true.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnShowTitleHint, TJvDBGrid.ShowCellHint


TJvDBGrid.OnShowEditor event

TJvDBGrid	Edit topic

Occurs when the inplace editor is about to be shown.

Pascal

TJvDBEditShowEvent = procedure (Sender: TObject; Field: TField; var AllowEdit: Boolean) of object;
property OnShowEditor: TJvDBEditShowEvent;

Parameters

AllowEdit

Set this to false to prevent editing of the field.

Field

The field that is to be edited.

Sender

The grid that triggered the event.

Description

Write a handler for this event to conditionally enable and disable cell editing.

Created with Doc-O-Matic.


TJvDBGrid.OnShowTitleHint event

TJvDBGrid	See Also	Edit topic

Occurs when a column header wants to display its hint.

Pascal

TJvTitleHintEvent = procedure (Sender: TObject; Field: TField; var AHint: string; var ATimeOut: Integer) of object;
property OnShowTitleHint: TJvTitleHintEvent;

Parameters

AHint

Set this to the hint text to use.

ATimeOut

The number of milliseconds that should pass before the hint window is hidden.

Sender

The grid that triggered the event.

Field

The field the column displays.

Description

Write a handler for this event to provide custom hints for title buttons. This event is only triggered if hints are enabled and ShowTitleHint is true.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnShowCellHint, TJvDBGrid.ShowTitleHint


TJvDBGrid.OnTitleArrowMenuEvent event

TJvDBGrid	See Also	Edit topic

Occurs when the arrow in the indicator column is clicked.

Pascal

property OnTitleArrowMenuEvent: TNotifyEvent;

Description

Write a handler for this event to be notified when the title arrow in the indicator column is clicked. This event is only triggered when TitleArrow is true, the titles and indicator row are visible and the right mouse button is clicked.

Created with Doc-O-Matic.


See Also

Options


TJvDBGrid.OnTitleBtnClick event

TJvDBGrid	Edit topic

Occurs when a column header button is clicked.

Pascal

property OnTitleBtnClick: TTitleClickEvent;

Description

Write a handler for this event to be notified when a title button is clicked.

Created with Doc-O-Matic.


TJvDBGrid.OnTitleBtnDblClick event

TJvDBGrid	Edit topic

Occurs when a column header button is double-clicked.

Pascal

property OnTitleBtnDblClick: TTitleClickEvent;

Description

Write a handler for this event to be notified when a title button is double-clicked. Note that the OnTitleBtnClick event will also be triggered by a double-click.

Created with Doc-O-Matic.


TJvDBGrid.PostOnEnter property

TJvDBGrid	Edit topic

Specifies whether pressing the Enter key posts the changes to the dataset.

Pascal

property PostOnEnter: Boolean;

Description

Use PostOnEnter to specify whether pressing the Enter key automatically posts data to the underlying dataset. If PostOnEnter is false, the user must move to another cell before the modified data is committed.

Created with Doc-O-Matic.


TJvDBGrid.RowResize property

TJvDBGrid	Edit topic

Not documented

Pascal

property RowResize: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.SelCount property

TJvDBGrid	See Also	Edit topic

Indicates the number of rows selected.

Pascal

property SelCount: Longint;

Description

Read SelCount to learn the number of selected rows in the grid. SelCount is always <= 1 when MultiSelect is false.

Created with Doc-O-Matic.


See Also

MultiSelect


TJvDBGrid.SelectColumn property

TJvDBGrid	See Also	Edit topic

Indicates the item order in the select column dialog.

Pascal

property SelectColumn: TSelectColumn;

Description

Use SelectColumn to specify the order of items in the select column dialog. When SelectColumn is scDatabase, the fields in the dialog are displayed in the same order as in the dataset. When SelectColumn is scGrid, the fields are displayed in the same order as they appear in the grid's Columns collection.

Created with Doc-O-Matic.


See Also

TJvDBGrid.SelectColumnsDialogStrings, TJvDBGrid.ShowColumnsDialog


TJvDBGrid.SelectColumnsDialogStrings property

TJvDBGrid	See Also	Edit topic

Indicates the strings to use for the select column dialog.

Pascal

property SelectColumnsDialogStrings: TJvSelectDialogColumnStrings;

Description

SelectColumnsDialogStrings manages the strings used by the select column dialog. When localizing, change the string properties of this class to the currently selected language.

Created with Doc-O-Matic.


See Also

TJvDBGrid.ShowColumnsDialog


TJvDBGrid.ShowCellHint property

TJvDBGrid	See Also	Edit topic

Indicates whether hints are displayed for cells in the grid.

Pascal

property ShowCellHint: Boolean;

Description

Use ShowCellHint to indicate whether cells in the grid should display their own custom hints. To actually display a hint text, assign a handler to the OnShowCellHint event.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnShowCellHint


TJvDBGrid.ShowGlyphs property

TJvDBGrid	See Also	Edit topic

Indicates whether the grid displays images or not.

Pascal

property ShowGlyphs: Boolean;

Description

Set ShowGlyphs to true to replace the field content of blob and memo fields with an image. If ShowGlyphs is false, the grid displays the default text strings, like "(Memo)" and "(Blob)" instead.

The grid will display custom images for the following field types:

  ftBytes, ftVarBytes, ftBlob, ftTypedBinary, ftOraBlob

  ftMemo, ftOraClob

  ftGraphic

  ftParadoxOle, ftDBaseOle

  ftCursor, ftReference, ftDataSet

  ftBoolean

Notes

If the OnGetText and OnSetText events are assigned, ShowGlyphs does nothing.

Created with Doc-O-Matic.


See Also

TField.OnGetText, TField.OnSetText


TJvDBGrid.ShowMemos property

TJvDBGrid	Edit topic

Not documented

Pascal

property ShowMemos: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.ShowTitleHint property

TJvDBGrid	See Also	Edit topic

Indicates whether hints are displayed for column headers.

Pascal

property ShowTitleHint: Boolean;

Description

Use ShowTitleHint to indicate whether title buttons should display their own custom hints. To actually display a hint text, assign a handler to the OnShowTitleHint event.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnShowTitleHint


TJvDBGrid.SortedField property

TJvDBGrid	See Also	Edit topic

Specifies the field to display a sort marker for.

Pascal

property SortedField: string;

Description

Use SortedField to indicate the field that should be used to sort the grid. If the dataset in use has the properties 'IndexDefs' and 'IndexName' and IndexDefs contains a definition for the value in SortedField, IndexName will be changed automatically to the value of SortedField when a title button is clicked.

Created with Doc-O-Matic.


See Also

TJvDBGrid.AutoSort, TJvDBGrid.OnTitleBtnClick


TJvDBGrid.SortMarker property

TJvDBGrid	See Also	Edit topic

Specifies the sort arrow to display for the currently sorted column.

Pascal

property SortMarker: TSortMarker;

Description

Use SortMarker to indicate the sort arrow to display for the current sort column. The current sort column is determined by the value of the SortedField property. Note that setting SortedField and SortMaker does not guarantee that the column will be sorted. For an explanation of when the grid can sort the columns automatically, see the AutoSort topic.

Created with Doc-O-Matic.


See Also

TJvDBGrid.AutoSort, TJvDBGrid.OnTitleBtnClick, TJvDBGrid.SortedField, TJvDBGrid.TitleButtons


TJvDBGrid.TitleArrow property

TJvDBGrid	See Also	Edit topic

Specifies whether a down pointing arrow is displayed in the indicator column.

Pascal

property TitleArrow: Boolean;

Description

Use TitleArrow to indicate whether the indicator column displays a down pointing arrow or not. When TitleArrow is true, clicking the arrow displays the select column dialog.

Created with Doc-O-Matic.


See Also

TJvDBGrid.ShowColumnsDialog


TJvDBGrid.TitleButtons property

TJvDBGrid	Edit topic

Indicates whether column headers can be clicked or not.

Pascal

property TitleButtons: Boolean;

Description

Use TitleButtons to specify whether title button clicking is enabled or not.

Created with Doc-O-Matic.


TJvDBGrid.TitleOffset property

TJvDBGrid	Edit topic

Indicates the offset from the left edge to the first "real" column.

Pascal

property TitleOffset: Byte;

Description

Read TitleOffset to get the index of the first visible column in the grid.

Created with Doc-O-Matic.


TJvDBGrid.TitlePopup property

TJvDBGrid	See Also	Edit topic

Specifies the pop-up menu to use for column headers.

Pascal

property TitlePopup: TPopupMenu;

Description

Set TitlePopup to an existing pop-up menu to use it as the pop-up menu for the title buttons in the grid.

Created with Doc-O-Matic.


See Also

PopupMenu


TJvDBGrid.TitleRowHeight property

TJvDBGrid	Edit topic

Not documented

Pascal

property TitleRowHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.WordWrap property

TJvDBGrid	Edit topic

Not documented

Pascal

property WordWrap: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.CloseControl method

TJvDBGrid	Edit topic

Not documented

Pascal

procedure CloseControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.GotoSelection method

TJvDBGrid	See Also	Edit topic

Moves focus to the specified selected row.

Pascal

procedure GotoSelection(Index: Longint);

Parameters

Index: Longint

Index of the selected row. For example: if there are two selected rows, then index 0 moves to the first selected row and index 1 to the second.

Description

Use GotoSelection to move the focus in a multi selected grid to a new row. When MultiSelect is false or no rows are selected, this procedure does nothing.

Created with Doc-O-Matic.


See Also

MultiSelect


TJvDBGrid.InitializeColumnsWidth method

TJvDBGrid	Edit topic

Not documented

Pascal

procedure InitializeColumnsWidth(const MinWidth: Integer; const MaxWidth: Integer; const DisplayWholeTitle: Boolean; const FixedWidths: array of Integer);

Parameters

const MinWidth: Integer

Not documented

const MaxWidth: Integer

Not documented

const DisplayWholeTitle: Boolean

Not documented

const FixedWidths: array of Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGrid.Load method

TJvDBGrid	See Also	Edit topic

Load settings from storage.

Pascal

procedure Load;

Description

Call Load to manually read previously saved settings using IniStorage. If IniStorage is nil, this method does nothing.

Created with Doc-O-Matic.


See Also

TJvDBGrid.LoadFromAppStore, TJvDBGrid.Save, TJvDBGrid.SaveToAppStore


TJvDBGrid.LoadFromAppStore method

TJvDBGrid	See Also	Edit topic

Load settings from a specific application storage component.

Pascal

procedure LoadFromAppStore(const AppStorage: TJvCustomAppStorage; const Path: string);

Parameters

const AppStorage: TJvCustomAppStorage

The TJvAppStorage component to use.

const Path: string

The path to the storage location.

Description

Use LoadFromAppStore to load settings from a specific TJvAppStorage component instead of using IniStorage.

Created with Doc-O-Matic.


See Also

TJvDBGrid.IniStorage, TJvDBGrid.Load, TJvDBGrid.Save, TJvDBGrid.SaveToAppStore


TJvDBGrid.RegisterLayoutChangeLink method

TJvDBGrid	See Also	Edit topic

Registers the given TJvLayouChangeLink object with the Grid

Pascal

procedure RegisterLayoutChangeLink(Link: TJvDBGridLayoutChangeLink);

Parameters

Link: TJvDBGridLayoutChangeLink

The object to register

Description

The OnChange event of the given object will be called whenever a layout change occurs on the grid. This way more than one object you can get notified that the grid layout has changed

Created with Doc-O-Matic.


See Also

TJvLayoutChangeLink


TJvDBGrid.Save method

TJvDBGrid	See Also	Edit topic

Save settings to storage.

Pascal

procedure Save;

Description

Call Save to manually save the grid settings to IniStorage. If IniStorage is nil, this method does nothing.

Created with Doc-O-Matic.


See Also

TJvDBGrid.IniStorage


TJvDBGrid.SaveToAppStore method

TJvDBGrid	See Also	Edit topic

Save settings to a specific application storage component.

Pascal

procedure SaveToAppStore(const AppStorage: TJvCustomAppStorage; const Path: string);

Parameters

const AppStorage: TJvCustomAppStorage

The TJvAppStorage component to use.

const Path: string

The path to the storage location.

Description

Use SaveToAppStore to save settings to a specific TJvAppStorage component instead of using IniStorage.

Created with Doc-O-Matic.


See Also

TJvDBGrid.IniStorage, TJvDBGrid.Load, TJvDBGrid.LoadFromAppStore, TJvDBGrid.Save


TJvDBGrid.SelectAll method

TJvDBGrid	See Also	Edit topic

Selects all rows in the grid.

Pascal

procedure SelectAll;

Description

Call SelectAll to select all rows in the grid. If MultiSelect is false, this method does nothing.

Created with Doc-O-Matic.


See Also

MultiSelect


TJvDBGrid.ShowColumnsDialog method

TJvDBGrid	See Also	Edit topic

Displays the select column dialog.

Pascal

procedure ShowColumnsDialog;

Description

Call ShowColumnsDialog to manually bring up the select column dialog. The select column dialog is used to modify the visible state of the columns in the grid.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnTitleArrowMenuEvent, TJvDBGrid.TitleArrow


TJvDBGrid.ToggleRowSelection method

TJvDBGrid	See Also	Edit topic

Toggles the currently selected row on and off.

Pascal

procedure ToggleRowSelection;

Description

Call ToggleRowSelection to toggle SelectedRows.CurrentRowSelected on and off. If MultiSelect is false, this method does nothing.

Created with Doc-O-Matic.


See Also

MultiSelect


TJvDBGrid.UnregisterLayoutChangeLink method

TJvDBGrid	See Also	Edit topic

Unregisters the given TJvLayoutChangeLink object with the grid

Pascal

procedure UnregisterLayoutChangeLink(Link: TJvDBGridLayoutChangeLink);

Parameters

Link: TJvDBGridLayoutChangeLink

The link object to unregister

Description

The given link object will be removed from the list of registered link objects, its OnChange object will no more be called when the grid layout changes. If it was not present in the list, nothing happens.

Created with Doc-O-Matic.


See Also

TJvLayoutChangeLink


TJvDBGrid.UnselectAll method

TJvDBGrid	See Also	Edit topic

Removes any selection.

Pascal

procedure UnselectAll;

Description

Call UnselectAll to remove any selection in the grid. If MultiSelect is false, this method does nothing.

Created with Doc-O-Matic.


See Also

MultiSelect


TJvDBGridControl
JEDI-VCL Reference

TJvDBGridControl

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvDBGridControl = class(TCollectionItem);

File

JvDBGrid

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControl Properties

TJvDBGridControl	Legend

Properties

 ControlName

 FieldName

 FitCell

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDBGridControl

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvDBGridControl


TJvDBGridControl Members

TJvDBGridControl	Legend

Members

Properties

 ControlName

 FieldName

 FitCell

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDBGridControl.ControlName property

TJvDBGridControl	Edit topic

Not documented

Pascal

property ControlName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControl.FieldName property

TJvDBGridControl	Edit topic

Not documented

Pascal

property FieldName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControl.FitCell property

TJvDBGridControl	Edit topic

Not documented

Pascal

property FitCell: TJvDBGridControlSize;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControls
JEDI-VCL Reference

TJvDBGridControls

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDBGridControls = class(TCollection);

File

JvDBGrid

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControls Properties

TJvDBGridControls

Properties

Items

Created with Doc-O-Matic.


TJvDBGridControls Methods

TJvDBGridControls

Methods

Add

ControlByField

ControlByName

Created with Doc-O-Matic.


Hierarchy

TCollection
    TJvDBGridControls


TJvDBGridControls Members

TJvDBGridControls

Members

Properties

Items

Methods

Add

ControlByField

ControlByName

Created with Doc-O-Matic.


TJvDBGridControls.Items property

TJvDBGridControls	Edit topic

Not documented

Pascal

property Items [Index: Integer]: TJvDBGridControl;

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControls.Add method

TJvDBGridControls	Edit topic

Not documented

Pascal

function Add: TJvDBGridControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControls.ControlByField method

TJvDBGridControls	Edit topic

Not documented

Pascal

function ControlByField(const FieldName: string): TJvDBGridControl;

Parameters

const FieldName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridControls.ControlByName method

TJvDBGridControls	Edit topic

Not documented

Pascal

function ControlByName(const CtrlName: string): TJvDBGridControl;

Parameters

const CtrlName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridLayoutChangeLink
JEDI-VCL Reference

TJvDBGridLayoutChangeLink

Hierarchy	Methods	Events	 Edit topic

Not documented

Pascal

TJvDBGridLayoutChangeLink = class;

File

JvDBGrid

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridLayoutChangeLink Events

TJvDBGridLayoutChangeLink

Events

OnChange

Created with Doc-O-Matic.


TJvDBGridLayoutChangeLink Methods

TJvDBGridLayoutChangeLink

Methods

DoChange

Created with Doc-O-Matic.


Hierarchy

TJvDBGridLayoutChangeLink


TJvDBGridLayoutChangeLink Members

TJvDBGridLayoutChangeLink

Members

Events

OnChange

Methods

DoChange

Created with Doc-O-Matic.


TJvDBGridLayoutChangeLink.OnChange event

TJvDBGridLayoutChangeLink	Edit topic

Not documented

Pascal

TJvDBGridLayoutChangeEvent = procedure (Grid: TJvDBGrid; Kind: TJvDBGridLayoutChangeKind) of object;
property OnChange: TJvDBGridLayoutChangeEvent;

Parameters

Kind

Not documented

Grid

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBGridLayoutChangeLink.DoChange method

TJvDBGridLayoutChangeLink	Edit topic

Not documented

Pascal

procedure DoChange(Grid: TJvDBGrid; Kind: TJvDBGridLayoutChangeKind);

Parameters

Grid: TJvDBGrid

Not documented

Kind: TJvDBGridLayoutChangeKind

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBHTLabel
JEDI-VCL Reference

 TJvDBHTLabel

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Implements an HTML-enabled data-aware label control.

Pascal

TJvDBHTLabel = class(TJvCustomHTLabel);

File

JvDBHTLabel

Description

TJvDBHTLabel is a TJvCustomHTLabel descendant that implements an HTML-enabled data-aware label control.

TJvDBHTLabel contains the DataSource property which provides access to both the dataset and field names available for use in the data-aware control. Unlike most data-aware controls, TJvDBHTLabel does not require a FieldName for accessing values in a dataset; use the Mask property to specify the HTML used when updating the Caption for the control.

See TJvCustomHTLabel or TJvHTLabel for a description of the HTML tags supported in the HTML-enabled control.

Created with Doc-O-Matic.


TJvDBHTLabel Properties

TJvDBHTLabel	Legend

Properties

 DataSource

 Mask

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDBHTLabel Events

TJvDBHTLabel	Legend

Events

 OnHyperLinkClick

TJvCustomHTLabel

 OnHyperLinkClick

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDBHTLabel Methods

TJvDBHTLabel

Methods

UpdateCaption

Created with Doc-O-Matic.


Legend

TJvDBHTLabel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomLabel, IJvExControl
        TJvExCustomLabel
            TJvCustomHTLabel
                TJvDBHTLabel


TJvDBHTLabel Members

TJvDBHTLabel	Legend

Members

Properties

 DataSource

 Mask

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Events

 OnHyperLinkClick

TJvCustomHTLabel

 OnHyperLinkClick

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

UpdateCaption

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


See Also

TJvCustomHTLabel, TJvHTLabel, TJvDBHTLabel.DataSource, TJvDBHTLabel.Mask, TJvDBHTLabel.UpdateCaption


Package

DB


TJvDBHTLabel.DataSource property

TJvDBHTLabel	See Also	Edit topic

Specifies the source of data for field names and values in the data-aware control.

Pascal

property DataSource: TDataSource;

Description

DataSource is a TDataSource property that specifies the source of data for field names and values used in the data-aware control. DataSource provides access to an associated Dataset to retrieve the field names and values required for the control.

Use Mask to specify the field names to merge into the caption for the control.

Changing the object reference assigned to the DataSource property forces the Caption for control to be updated by calling UpdateCaption.

Created with Doc-O-Matic.


See Also

Mask, UpdateCaption


TJvDBHTLabel.Mask property

TJvDBHTLabel	See Also	Edit topic

Defines field values used in the caption for the data-aware control.

Pascal

property Mask: string;

Description

Mask is a String property that defines the field values in the DataSource dataset used in the caption for the data-aware control. Values defined in the Mask property are used when the data is changed for the underlying dataset or when the Mask property is changed and UpdateCaption is called.

Mask uses pseudo-HTML tagging to define the field values to merge into the Caption for the data-aware control. For instance, the following code uses the CustomerNo and CustomerName fields from the Datasource dataset:

    ADBHTLabel.Mask :=

      'Customer number <FIELD="CustomerNo"> is

      <FIELD="CustomerName">.';

The following is the value for the Caption property for the control (sans rendered HTML bold and underline attributes):

   Customer number 1234 is Harley's Motorcycle Emporium.

Use DataSource to specify the dataset containing field values for use in the data-aware control.

Created with Doc-O-Matic.


See Also

DataSource, UpdateCaption


TJvDBHTLabel.OnHyperLinkClick event

TJvDBHTLabel	See Also	Edit topic

Event handler signaled when an HTML anchor in the control is clicked.

Pascal

property OnHyperLinkClick: THyperLinkClick;

Description

OnHyperLinkClick is a THyperLinkClick property that represents the event handler signaled when the user clicks on an HTML <A> tag found in the caption for the control.

OnHyperLinkClick is used during execution of the MouseUp event when the Item has been rendered using the colors specified in ColorHighlight and ColorHighlightText. The event handler is fired immediately after calling ShellExecute with the URL specified in the HREF attribute for the tag.

Applications must assign a procedure to the OnHyperLinkClick event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

Caption, ColorHighlight, ColorHighlightText


TJvDBHTLabel.UpdateCaption method

TJvDBHTLabel	See Also	Edit topic

Derives the caption for the data-aware HTML-enabled control.

Pascal

procedure UpdateCaption;

Description

UpdateCaption is a procedure used to derive the Caption for the data-aware HTML-enabled control. UpdateCaption uses the Mask property to determine the field names and resulting values from DataSource to merge in to the Caption.

Please note that UpdateCaption requires an associated Dataset in the DataSource property or only the field name(s) is/are merged into the Caption for the control.

Use Mask to define one or more field names to use in the Caption for the control.

Created with Doc-O-Matic.


See Also

Mask, DataSource


TJvDBImage
JEDI-VCL Reference

 TJvDBImage

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This component is a TDBImage replacement that supports other image formats than bitmap, a limitation of TDBImage since D1.

Pascal

TJvDBImage = class(TDBImage);

File

JvDBImage

Description

IMAGE FORMATS: The implementation is simple: Just register image signatures with RegisterGraphicSignature procedure and the component takes care of the correct instantiation of the TGraphic object. The signatures register at unit's initialization are: BMP, WMF, EMF, ICO, JPG. If you got some other image library (such as GIF, PCX, TIFF, ANI or PNG), just register the signature:

       RegisterGraphicSignature(<string value>, <offset>, <class>)

or

       RegisterGraphicSignature([<byte values>], <offset>, <class>)

This means: When (or byte values) found at the graphic class to use is  For example (actual code of the initialization section):

       RegisterGraphicSignature([$D7, $CD], 0, TMetafile); // WMF

       RegisterGraphicSignature([0, 1], 0, TMetafile);     // EMF

       RegisterGraphicSignature('JFIF', 6, TJPEGImage);

You can also unregister signature. IF you want use TGIFImage instead of TJvGIFImage, you can unregister with:

       UnregisterGraphicSignature('GIF', 0);

or just

       UnregisterGraphicSignature(TJvGIFImage); // must add JvGIF unit in uses clause

then:

       RegisterGraphicSignature('GIF', 0, TGIFImage); // must add GIFImage to uses clause

If you don't like the signature registration there is a new event called OnGetGraphicClass. The event gets the following parameters:

      Sender: TObject;

      Stream: TMemoryStream;

      var GraphicClass: TGraphicClass)

The memory stream containing the blob data is sent in Stream to allow the user to inspect the contents and figure out which graphic class is.

If the component can't find the graphic class and the user doesn't provide it in the OnGetGraphicClass event no graphic object is created, the default behavior is used (Picture.Assign(Field)). This might raise an exception ('Bitmap image is not valid').

The graphic class to be used must implement LoadFromStream and SaveToStream methods in order to work properly.

SUPPORT FOR TDBCtrlGrid: You can safely put an TJvDBImage in TDBCtrlGrid.

Created with Doc-O-Matic.


TJvDBImage Properties

TJvDBImage	Legend

Properties

 AutoDisplay

 Proportional

 Transparent

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDBImage Events

TJvDBImage	Legend

Events

 OnGetGraphicClass

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDBImage Methods

TJvDBImage

Methods

LoadPicture

PasteFromClipboard

Created with Doc-O-Matic.


Legend

TJvDBImage

Legend

published

Created with Doc-O-Matic.


Hierarchy

TDBImage
    TJvDBImage


TJvDBImage Members

TJvDBImage	Legend

Members

Properties

 AutoDisplay

 Proportional

 Transparent

Events

 OnGetGraphicClass

Methods

LoadPicture

PasteFromClipboard

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

DB


TJvDBImage.AutoDisplay property

TJvDBImage	Edit topic

Not documented

Pascal

property AutoDisplay: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBImage.OnGetGraphicClass event

TJvDBImage	Edit topic

Not documented

Pascal

TJvGetGraphicClassEvent = procedure (Sender: TObject; Stream: TMemoryStream; var GraphicClass: TGraphicClass) of object;
property OnGetGraphicClass: TJvGetGraphicClassEvent;

Parameters

GraphicClass

Not documented

Stream

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBImage.Proportional property

TJvDBImage	Edit topic

Not documented

Pascal

property Proportional: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBImage.Transparent property

TJvDBImage	Edit topic

Not documented

Pascal

property Transparent: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBImage.LoadPicture method

TJvDBImage	Edit topic

Not documented

Pascal

procedure LoadPicture;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBImage.PasteFromClipboard method

TJvDBImage	Edit topic

Not documented

Pascal

procedure PasteFromClipboard;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo
JEDI-VCL Reference

 TJvDBLookupCombo

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Expands the capabilities of a regular data aware combo-box.

Pascal

TJvDBLookupCombo = class(TJvLookupControl);

File

JvDBLookup

Description

It allows you to enter mapped storage and display values so that you can display understandable text versions of stored codes in your table, instead of displaying only the codes themselves where users have to remember what they all mean.

Alternatively you could use a TRxDBLookupCombo to display one field from a lookup source, and store a different field, but the TRxDBComboBox's drop-down list comes directly from a string list and not required the lookup source.

Created with Doc-O-Matic.


TJvDBLookupCombo Properties

TJvDBLookupCombo	Legend

Properties

 DataField

 DataSource

 DisplayAllFields

 DisplayEmpty

DisplayValue

 DisplayValues

 DropDownAlign

 DropDownCount

 DropDownWidth

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 EscapeClear

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 IsDropDown

 ItemHeight

KeyValue

 ListStyle

 ListVisible

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Text

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvDBLookupCombo Events

TJvDBLookupCombo	Legend

Events

 OnChange

 OnCloseUp

 OnDropDown

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDBLookupCombo Methods

TJvDBLookupCombo	Legend

Methods

CloseUp

 DropDown

 ResetField

TJvLookupControl

ClearValue

Locate

 ResetField

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDBLookupCombo

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookupControl
            TJvDBLookupCombo


TJvDBLookupCombo Members

TJvDBLookupCombo	Legend

Members

Properties

 DataField

 DataSource

 DisplayAllFields

 DisplayEmpty

DisplayValue

 DisplayValues

 DropDownAlign

 DropDownCount

 DropDownWidth

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 EscapeClear

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 IsDropDown

 ItemHeight

KeyValue

 ListStyle

 ListVisible

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Text

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Events

 OnChange

 OnCloseUp

 OnDropDown

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Methods

CloseUp

 DropDown

 ResetField

TJvLookupControl

ClearValue

Locate

 ResetField

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

DB


TJvDBLookupCombo.DataField property

TJvDBLookupCombo	See Also	Edit topic

Identifies the field whose value is represented by the lookup control.

Pascal

property DataField: string;

Description

Use DataField to bind the lookup control to a field in the dataset specified by the DataSource property. The DataField is the field whose value can be set by the lookup control, not the field which supplies the lookup values that are displayed by the lookup control.

If DataField specifies a lookup field component, there is no need to set the KeyField or ListField properties, as the field component contains all the information about the relationship between the data field value and the lookup value.

Created with Doc-O-Matic.


See Also

TJvLookupControl.DataSource, TJvLookupControl.KeyValue


TJvDBLookupCombo.DataSource property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property DataSource: TDataSource;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.DisplayAllFields property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property DisplayAllFields: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.DisplayEmpty property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property DisplayEmpty: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.DisplayValue property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property DisplayValue: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.DisplayValues property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property DisplayValues [Index: Integer]: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.DropDownAlign property

TJvDBLookupCombo	See Also	Edit topic

Specifies how the drop-down list is aligned relative to its edit box.

Pascal

property DropDownAlign: TDropDownAlign;

Description

Use DropDownAlign to specify the position of the drop-down list relative to the edit region of the lookup combo box. The drop down list can be aligned to the left or right, or centered with the edit box.

Created with Doc-O-Matic.


See Also

TJvDBLookupCombo.DropDownCount, TJvDBLookupCombo.DropDownWidth, TJvDBLookupCombo.OnDropDown


TJvDBLookupCombo.DropDownCount property

TJvDBLookupCombo	See Also	Edit topic

Specifies the number of items displayed in the drop-down list of the TDBLookupComboBox.

Pascal

property DropDownCount: Integer;

Description

Use DropDownRows to specify how many rows appear in the drop down list of the combo box. If there are more lookup items than DropDownRows, the lookup list box displays a scroll bar.

The default value for DropDownRows is 7.

Created with Doc-O-Matic.


See Also

TJvDBLookupCombo.DropDownAlign, TJvDBLookupCombo.DropDownCount, TJvDBLookupCombo.OnDropDown


TJvDBLookupCombo.DropDownWidth property

TJvDBLookupCombo	See Also	Edit topic

Specifies the width, in pixels, of the drop-down list.

Pascal

property DropDownWidth: Integer;

Description

Use DropDownWidth to customize the width of the drop-down list. If DropDownWidth is 0 (the default), the drop-down list is the same width as the combo box.

DropDownWidth is useful when displaying multiple lookup fields, and therefore, multiple columns in the database lookup combo box.

Created with Doc-O-Matic.


See Also

TJvDBLookupCombo.DropDownAlign, TJvDBLookupCombo.DropDownCount, TJvDBLookupCombo.OnDropDown


TJvDBLookupCombo.EmptyItemColor property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property EmptyItemColor: TColor;

Description

The EmptyItemColor property allows you specify the color value to display additional non-scrolled "empty" item in the top of the list if DisplayEmpty set to the non-empty string.

Created with Doc-O-Matic.


TJvDBLookupCombo.EmptyStrIsNull property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property EmptyStrIsNull: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.EmptyValue property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property EmptyValue: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.EscapeClear property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property EscapeClear: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.FieldsDelimiter property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property FieldsDelimiter: Char;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.IgnoreCase property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property IgnoreCase: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.IndexSwitch property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property IndexSwitch: Boolean;

Description

If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table.

Created with Doc-O-Matic.


TJvDBLookupCombo.IsDropDown property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property IsDropDown: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.ItemHeight property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property ItemHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.KeyValue property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property KeyValue: Variant;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.ListStyle property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property ListStyle: TLookupListStyle;

Description

ListStyle determines how the lookup list displays its items when multiple fields specified by the LookupDisplay property. property ListStyle: TLookupListStyleTLookupListStyle;

By default, style is lsFixed, meaning that the each display field always takes up a fixed width accordingly to their DisplayWidth properties. The lsDelimited style meaning that each field takes a variable width, and the fields are separated by a comma (',') character.

Created with Doc-O-Matic.


TJvDBLookupCombo.ListVisible property

TJvDBLookupCombo	See Also	Edit topic

Specifies whether the lookup list is open or “dropped-down”.

Pascal

property ListVisible: Boolean;

Description

Read IsDropDown to determine whether the list of lookup values is currently in the open (dropped-down) position. If IsDropDown is true, the list is open; if IsDropDown is false, the list is closed.

Created with Doc-O-Matic.


See Also

TJvDBLookupCombo.OnDropDown


TJvDBLookupCombo.LookupDisplay property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property LookupDisplay: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.LookupDisplayIndex property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property LookupDisplayIndex: Integer;

Description

When multiple fields specified by the LookupDisplay property, the LookupDisplayIndex specifies index of a field in the LookupDisplay list which will be use in the DisplayValue property and will be display in the editor of the TRxDBLookupCombo component.

Created with Doc-O-Matic.


TJvDBLookupCombo.LookupField property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property LookupField: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.LookupFormat property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property LookupFormat: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.LookupSource property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property LookupSource: TDataSource;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.OnChange event

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property OnChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.OnCloseUp event

TJvDBLookupCombo	See Also	Edit topic

Occurs immediately after an opened or “dropped-down” list is closed.

Pascal

property OnCloseUp: TNotifyEvent;

Description

Write an OnCloseUp event handler to respond when the combo box list is closed. When the list is closed, the value that corresponds to the selected lookup value is assigned to the field. The list can be closed by the user or by calling the CloseUp method.

Created with Doc-O-Matic.


See Also

TJvDBLookupCombo.CloseUp, TJvDBLookupCombo.OnDropDown


TJvDBLookupCombo.OnDropDown event

TJvDBLookupCombo	See Also	Edit topic

Occurs immediately before the lookup list is opened.

Pascal

property OnDropDown: TNotifyEvent;

Description

Write an OnDropDown event handler to take specific action before the lookup list is displayed to the user. The list can be opened by the user or by calling the DropDown method.

Created with Doc-O-Matic.


See Also

TJvDBLookupCombo.DropDown, TJvDBLookupCombo.OnCloseUp


TJvDBLookupCombo.OnGetImage event

TJvDBLookupCombo	Edit topic

OnGetImage event is triggered when an image is requested.

Pascal

property OnGetImage: TGetImageEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.ReadOnly property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.Text property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property Text: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.Value property

TJvDBLookupCombo	Edit topic

Not documented

Pascal

property Value: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupCombo.CloseUp method

TJvDBLookupCombo	Edit topic

Closes an opened or “dropped-down” list.

Pascal

procedure CloseUp(Accept: Boolean); dynamic;

Parameters

Accept: Boolean

Not documented

Description

Call CloseUp to programmatically close the list of the lookup combo box. The Accept parameter determines whether to modify the field value with the value that corresponds to the selected value in the lookup list.

Created with Doc-O-Matic.


TJvDBLookupCombo.DropDown method

TJvDBLookupCombo	Edit topic

Opens or “drops down” the lookup list so that the user can choose a lookup value.

Pascal

procedure DropDown; virtual;

Description

Call DropDown to programmatically open the lookup list. Before the list is displayed, an OnDropDown event is generated.

Created with Doc-O-Matic.


TJvDBLookupCombo.ResetField method

TJvDBLookupCombo	Edit topic

Write here a summary (1 line) This is an overridden method, you don't have to describe these if it does the same as the inherited method

Pascal

procedure ResetField; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit
JEDI-VCL Reference

 TJvDBLookupEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Data aware edit with look up

Pascal

TJvDBLookupEdit = class(TJvCustomComboEdit);

File

JvDBLookup

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit Properties

TJvDBLookupEdit	Legend

Properties

 Alignment

 ButtonHint

 ClickKey

 DirectInput

 DropDownCount

 DropDownWidth

 FieldsDelimiter

 Flat

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupSource

LookupValue

 PopupAlign

 PopupOnlyLocate

 ReadOnly

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDBLookupEdit Events

TJvDBLookupEdit	Legend

Events

 OnButtonClick

 OnCloseUp

 OnDropDown

 OnGetImage

 OnKeyDown

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDBLookupEdit Methods

TJvDBLookupEdit	Legend

Methods

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDBLookupEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvDBLookupEdit


TJvDBLookupEdit Members

TJvDBLookupEdit	Legend

Members

Properties

 Alignment

 ButtonHint

 ClickKey

 DirectInput

 DropDownCount

 DropDownWidth

 FieldsDelimiter

 Flat

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupSource

LookupValue

 PopupAlign

 PopupOnlyLocate

 ReadOnly

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnButtonClick

 OnCloseUp

 OnDropDown

 OnGetImage

 OnKeyDown

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

DB


TJvDBLookupEdit.Alignment property

TJvDBLookupEdit	Edit topic

Determines how the text in the edit component is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvDBLookupEdit.ButtonHint property

TJvDBLookupEdit	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the button.

Pascal

property ButtonHint: string;

Description

Use the ButtonHint property to provide a string of help text as a Help Hint for the combo edit control's button.

Created with Doc-O-Matic.


See Also

Button


TJvDBLookupEdit.ClickKey property

TJvDBLookupEdit	Edit topic

Specifies the key combination users can type to simulate a button click.

Pascal

property ClickKey: TShortCut;

Description

Use ClickKey to allow the user to type a key combination instead of clicking the control's button.

When setting shortcuts at design time, the Object Inspector provides a long list of key combinations to choose from. To create shortcuts at runtime, use the global ShortCut or TextToShortCut function from Menus.pas. For example, the following line creates a shortcut, Ctrl+C and assigns it to a combo edit control named JvComboEdit1.

  JvComboEdit1.ClickKey := ShortCut(Word('C'), [ssCtrl]);

Created with Doc-O-Matic.


TJvDBLookupEdit.DirectInput property

TJvDBLookupEdit	See Also	Edit topic

Specifies whether the user can use the edit box of the combo edit.

Pascal

property DirectInput: Boolean;

Description

Use DirectInput to read or change whether the user can use the edit box of the combo edit. By setting DirectInput to false, the edit box of the combo edit will become read-only, and the user can only use the button of the combo edit.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvDBLookupEdit.DropDownCount property

TJvDBLookupEdit	Edit topic

How much rows are displayed in the drop down list

Pascal

property DropDownCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.DropDownWidth property

TJvDBLookupEdit	Edit topic

Drop down list width (-1 = automatic)

Pascal

property DropDownWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.FieldsDelimiter property

TJvDBLookupEdit	Edit topic

Character to delimit fields in the drop down list

Pascal

property FieldsDelimiter: Char;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.Flat property

TJvDBLookupEdit	Edit topic

Determines whether the control has a three-dimensional (3-D) or two-dimensional (flat) look.

Pascal

property Flat: Boolean;

Description

When Flat is true, the control appears flat and does not have borders. When Flat is false, the control has a 3-D look.

Created with Doc-O-Matic.


TJvDBLookupEdit.ListStyle property

TJvDBLookupEdit	Edit topic

Style of the look up list (fixed or delimited)

Pascal

property ListStyle: TLookupListStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.LookupDisplay property

TJvDBLookupEdit	Edit topic

Field or field list to display in the look up

Pascal

property LookupDisplay: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.LookupDisplayIndex property

TJvDBLookupEdit	Edit topic

Index of the lookup field to display

Pascal

property LookupDisplayIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.LookupField property

TJvDBLookupEdit	Edit topic

Look up field

Pascal

property LookupField: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.LookupSource property

TJvDBLookupEdit	Edit topic

Look up datasource

Pascal

property LookupSource: TDataSource;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.LookupValue property

TJvDBLookupEdit	Edit topic

Not documented

Pascal

property LookupValue: string;

Description

Returns the look up value Run-time only Read-only

Created with Doc-O-Matic.


TJvDBLookupEdit.OnButtonClick event

TJvDBLookupEdit	See Also	Edit topic

Occurs when the user clicks the button.

Pascal

property OnButtonClick: TNotifyEvent;

Description

Write an OnButtonClick handler to respond to the user clicking the button of the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.OnKeyDown


TJvDBLookupEdit.OnCloseUp event

TJvDBLookupEdit	Edit topic

Not documented

Pascal

property OnCloseUp: TNotifyEvent;

Description

Fired when list is closed

Created with Doc-O-Matic.


TJvDBLookupEdit.OnDropDown event

TJvDBLookupEdit	Edit topic

Not documented

Pascal

property OnDropDown: TNotifyEvent;

Description

Fired when list is dropped down

Created with Doc-O-Matic.


TJvDBLookupEdit.OnGetImage event

TJvDBLookupEdit	Edit topic

OnGetImage event is triggered when an image is requested.

Pascal

property OnGetImage: TGetImageEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupEdit.OnKeyDown event

TJvDBLookupEdit	See Also	Edit topic

Occurs when a user presses any key while the control has focus.

Pascal

property OnKeyDown: TKeyEvent;

Description

Use the OnKeyDown event handler to specify special processing to occur when a key is pressed. The OnKeyDown handler can respond to all keyboard keys, including function keys and keys combined with the Shift, Alt, and Ctrl keys, and pressed mouse buttons.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvDBLookupEdit.PopupAlign property

TJvDBLookupEdit	Edit topic

Specifies how the pop-up window is aligned relative to its edit box.

Pascal

property PopupAlign: TPopupAlign;

Description

Use PopupAlign to specify the position of the pop-up window relative to the edit region of the lookup combo box. The pop-up window can be aligned to the left or right, or centered with the edit box.

Created with Doc-O-Matic.


TJvDBLookupEdit.PopupOnlyLocate property

TJvDBLookupEdit	Edit topic

Not documented

Pascal

property PopupOnlyLocate: Boolean;

Description

(Rx 2.60) If true (default) this property affects the component behavior when the edit value is changing.

Created with Doc-O-Matic.


TJvDBLookupEdit.ReadOnly property

TJvDBLookupEdit	See Also	Edit topic

Determines whether the user can change the text of the combo edit control.

Pascal

property ReadOnly: Boolean;

Description

To restrict the edit control to display only, set the ReadOnly property to true. Set ReadOnly to false to allow the contents of the edit control to be edited.

Setting ReadOnly to true ensures that the text is not altered, while still allowing the user to select text. The selected text can then be manipulated by the application, or copied to the Clipboard.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvDBLookupList
JEDI-VCL Reference

 TJvDBLookupList

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Not documented

Pascal

TJvDBLookupList = class(TJvLookupControl);

File

JvDBLookup

Description

Use TRxDBLookupList to provide users with a convenient list of lookup items to set a field value using the values of a field in another dataset. Lookup list boxes usually display values that are a represent a more meaningful description of the actual field value. The relationship between field values and the corresponding values in the lookup dataset can be set using the properties LookupSource, LookupField and LookupDisplay. This component provides the following: You can select any number of fields to be displayed in the lookup list. End-users can incrementally search through the lookup list by directly typing into the control. This is a great advantage when using lookup tables that contain hundreds of even thousands of records. You can perform a lookup on a Query or QBE result. It even incrementally searches on the query result. The component does not have to be bound, or assigned, to a table's field (DataField and DataSource properties) which gives you greater flexibility in using this lookup list for general tasks where a source table is not involved. If DataSource and DataField properties is set, when a user selects a list item, the corresponding field value is changed in the underlying dataset. If IgnoreCase property is True (default), the incrementally search through the lookup list is processed without regard to case in the dataset's data. If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table. The DisplayEmpty property allows you specify the text value to display when no item is selected from the lookup list. If DisplayEmpty set to the non-empty string, this value will be show in the top of the list additionally to the lookup items. You can also use an OnGetImage event to specify graphical picture to display in each item of lookup list accordingly to the contents of lookup source.

RxDBLookupList provides a list of lookup items for filling in fields that require data from another dataset. Use TRxDBLookupList to provide users with a convenient list of lookup items to set a field value using the values of a field in another dataset. Lookup list boxes usually display values that are a represent a more meaningful description of the actual field value.

The relationship between field values and the corresponding values in the lookup dataset can be set using the properties LookupSource, LookupField and LookupDisplay.

This component provides the following:

You can select any number of fields to be displayed in the lookup list.

End-users can incrementally search through the lookup list by directly typing into the control. This is a great advantage when using lookup tables that contain hundreds of even thousands of records.

You can perform a lookup on a Query or QBE result. It even incrementally searches on the query result.

The component does not have to be bound, or assigned, to a table's field (DataField and DataSource properties) which gives you greater flexibility in using this lookup list for general tasks where a source table is not involved.

If DataSource and DataField properties is set, when a user selects a list item, the corresponding field value is changed in the underlying dataset.

If IgnoreCase property is True (default), the incrementally search through the lookup list is processed without regard to case in the dataset's data.

If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table.

The DisplayEmpty property allows you specify the text value to display when no item is selected from the lookup list. If DisplayEmpty set to the non-empty string, this value will be show in the top of the list additionally to the lookup items.

You can also use an OnGetImage event to specify graphical picture to display in each item of lookup list accordingly to the contents of lookup source.

Created with Doc-O-Matic.


TJvDBLookupList Properties

TJvDBLookupList	Legend

Properties

 BorderStyle

 DataField

 DataSource

 DisplayEmpty

DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

RowCount

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDBLookupList Events

TJvDBLookupList	Legend

Events

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDBLookupList Methods

TJvDBLookupList	Legend

Methods

 DrawItemText

TJvLookupControl

ClearValue

Locate

 ResetField

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDBLookupList

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookupControl
            TJvDBLookupList


TJvDBLookupList Members

TJvDBLookupList	Legend

Members

Properties

 BorderStyle

 DataField

 DataSource

 DisplayEmpty

DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

RowCount

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Events

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Methods

 DrawItemText

TJvLookupControl

ClearValue

Locate

 ResetField

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

DB


TJvDBLookupList.BorderStyle property

TJvDBLookupList	Edit topic

Determines whether the lookup list box has a border.

Pascal

property BorderStyle: TBorderStyle;

Description

Set BorderStyle to specify whether a border should be drawn around the lookup list box. These are the possible values:
Value	Meaning
bsNone	No visible border
bsSingle	Single-line border
Created with Doc-O-Matic.


TJvDBLookupList.DataField property

TJvDBLookupList	See Also	Edit topic

Identifies the field whose value is represented by the lookup control.

Pascal

property DataField: string;

Description

Use DataField to bind the lookup control to a field in the dataset specified by the DataSource property. The DataField is the field whose value can be set by the lookup control, not the field which supplies the lookup values that are displayed by the lookup control.

If DataField specifies a lookup field component, there is no need to set the KeyField or ListField properties, as the field component contains all the information about the relationship between the data field value and the lookup value.

Created with Doc-O-Matic.


See Also

TJvLookupControl.DataSource, TJvLookupControl.KeyValue


TJvDBLookupList.DataSource property

TJvDBLookupList	Edit topic

Not documented

Pascal

property DataSource: TDataSource;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.DisplayEmpty property

TJvDBLookupList	Edit topic

Not documented

Pascal

property DisplayEmpty: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.DisplayValue property

TJvDBLookupList	Edit topic

Not documented

Pascal

property DisplayValue: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.EmptyItemColor property

TJvDBLookupList	Edit topic

Not documented

Pascal

property EmptyItemColor: TColor;

Description

The EmptyItemColor property allows you specify the color value to display additional non-scrolled "empty" item in the top of the list if DisplayEmpty set to the non-empty string.

Created with Doc-O-Matic.


TJvDBLookupList.EmptyStrIsNull property

TJvDBLookupList	Edit topic

Not documented

Pascal

property EmptyStrIsNull: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.EmptyValue property

TJvDBLookupList	Edit topic

Not documented

Pascal

property EmptyValue: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.FieldsDelimiter property

TJvDBLookupList	Edit topic

Not documented

Pascal

property FieldsDelimiter: Char;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.IgnoreCase property

TJvDBLookupList	Edit topic

Not documented

Pascal

property IgnoreCase: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.IndexSwitch property

TJvDBLookupList	Edit topic

Not documented

Pascal

property IndexSwitch: Boolean;

Description

If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table.

Created with Doc-O-Matic.


TJvDBLookupList.ItemHeight property

TJvDBLookupList	Edit topic

Not documented

Pascal

property ItemHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.KeyValue property

TJvDBLookupList	Edit topic

Not documented

Pascal

property KeyValue: Variant;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.ListStyle property

TJvDBLookupList	Edit topic

Not documented

Pascal

property ListStyle: TLookupListStyle;

Description

ListStyle determines how the lookup list displays its items when multiple fields specified by the LookupDisplay property. property ListStyle: TLookupListStyleTLookupListStyle;

By default, style is lsFixed, meaning that the each display field always takes up a fixed width accordingly to their DisplayWidth properties. The lsDelimited style meaning that each field takes a variable width, and the fields are separated by a comma (',') character.

Created with Doc-O-Matic.


TJvDBLookupList.LookupDisplay property

TJvDBLookupList	Edit topic

Not documented

Pascal

property LookupDisplay: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.LookupDisplayIndex property

TJvDBLookupList	Edit topic

Not documented

Pascal

property LookupDisplayIndex: Integer;

Description

When multiple fields specified by the LookupDisplay property, the LookupDisplayIndex specifies index of a field in the LookupDisplay list which will be use in the DisplayValue property and will be display in the editor of the TRxDBLookupCombo component.

Created with Doc-O-Matic.


TJvDBLookupList.LookupField property

TJvDBLookupList	Edit topic

Not documented

Pascal

property LookupField: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.LookupFormat property

TJvDBLookupList	Edit topic

Not documented

Pascal

property LookupFormat: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.LookupSource property

TJvDBLookupList	Edit topic

Not documented

Pascal

property LookupSource: TDataSource;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.OnGetImage event

TJvDBLookupList	Edit topic

OnGetImage event is triggered when an image is requested.

Pascal

property OnGetImage: TGetImageEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.ReadOnly property

TJvDBLookupList	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.RowCount property

TJvDBLookupList	Edit topic

Specifies how many rows are visible in the list box.

Pascal

property RowCount: Integer;

Description

Set RowCount to the number of rows displayed in the lookup list box. The list box is resized to match the specified number of rows. Resizing the list box (such as by changing its Height property) automatically changes the value of RowCount to match the new height.

Created with Doc-O-Matic.


TJvDBLookupList.Value property

TJvDBLookupList	Edit topic

Not documented

Pascal

property Value: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBLookupList.DrawItemText method

TJvDBLookupList	Edit topic

Not documented

Pascal

procedure DrawItemText(Canvas: TCanvas; Rect: TRect; Selected: Boolean; IsEmpty: Boolean); virtual;

Parameters

Canvas: TCanvas

Not documented

Rect: TRect

Not documented

Selected: Boolean

Not documented

IsEmpty: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDBSearchComboBox
JEDI-VCL Reference

 TJvDBSearchComboBox

Hierarchy	Properties	Methods	Package	 Edit topic

Combo box for navigating in a dataset.

Pascal

TJvDBSearchComboBox = class(TJvDBCustomSearchComboBox);

File

JvDBSearchComboBox

Description

TJvDBSearchComboBox is useful for navigation in dataset. It displays one field value of the current record and contains list of all values of that field in the dataset. Selecting a value from the drop down list causes the dataset to move to the corresponding record.

To use this control just drop it on the form and set the DataSource and DataField properties.

Created with Doc-O-Matic.


TJvDBSearchComboBox Properties

TJvDBSearchComboBox	Legend

Properties

TJvDBCustomSearchComboBox

 DataField

 DataResult

 DataSource

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDBSearchComboBox Methods

TJvDBSearchComboBox

Methods

TJvDBCustomSearchComboBox

GetResult

Refresh

Created with Doc-O-Matic.


Legend

TJvDBSearchComboBox

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboBox
    TJvDBCustomSearchComboBox
        TJvDBSearchComboBox


TJvDBSearchComboBox Members

TJvDBSearchComboBox	Legend

Members

Properties

TJvDBCustomSearchComboBox

 DataField

 DataResult

 DataSource

Methods

TJvDBCustomSearchComboBox

GetResult

Refresh

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

DB


TJvDBTreeNode
JEDI-VCL Reference

TJvDBTreeNode

Hierarchy	Properties	Methods	 Edit topic

Represents nodes added to the TJvDBTreeView data-aware tree view component.

Pascal

TJvDBTreeNode = class(TTreeNode);

File

JvDBTreeView

Description

TJvDBTreeNode is a TTreeNode descendant that represents nodes added to the TJvDBTreeView data-aware tree view component. TJvDBTreeNode introduces properties and methods need to create and maintain the node.

TJvDBTreeNode is the data type created when creating nodes in TJvDBTreeView using its' CreateNode method and maintained in its' Items property.

Created with Doc-O-Matic.


TJvDBTreeNode Properties

TJvDBTreeNode	Legend

Properties

 MasterValue

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDBTreeNode Methods

TJvDBTreeNode	Legend

Methods

 MoveTo

SetMasterValue

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDBTreeNode

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TTreeNode
    TJvDBTreeNode


TJvDBTreeNode Members

TJvDBTreeNode	Legend

Members

Properties

 MasterValue

Methods

 MoveTo

SetMasterValue

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDBTreeNode.MasterValue property

TJvDBTreeNode	Edit topic

Identifies the parent in a parent/child relationship for the tree node.

Pascal

property MasterValue: Variant;

Description

MasterValue is a read-only Variant property that identifies the parent in a parent/child relationship for the tree node. MasterValue represents the value from the MasterField in TJvDBTreeView, and is used when creating and navigating among nodes in the data-aware treeview.

Use SetMasterValue to update the member that stores the value for the property.

Created with Doc-O-Matic.


TJvDBTreeNode.MoveTo method

TJvDBTreeNode	Edit topic

Moves the node to another location in the tree view.

Pascal

procedure MoveTo(Destination: TTreeNode; Mode: TNodeAttachMode); override;

Parameters

Destination: TTreeNode

Node to use as the new parent for the current node.

Mode: TNodeAttachMode

Relationship for the node and its' new parent/sibling.

Description

MoveTo is an overridden method used to re-parent a node in the TJvDBTreeView data-aware treeview component.

The Destination parameter specifies a node that will be the parent or sibling for the current node or sibling after the move.

The Mode parameter specifies the new relationship between this node and the destination node.

MoveTo uses the value in the TreeView property to capture and restore its' PersistNode property after updating the tree structure.

MoveTo is used in the RecordChanged and DragAndDrop methods in TJvCustomDBTreeView.

Created with Doc-O-Matic.


TJvDBTreeNode.SetMasterValue method

TJvDBTreeNode	Edit topic

Updates the value that represents the parent for a node in the data-aware treeview component.

Pascal

procedure SetMasterValue(AValue: Variant);

Parameters

AValue: Variant

New value for the property.

Description

SetMasterValue is the method used to update the current contents of the MasterValue property. Please note that MasterValue is declared as a read-only property, but calling SetMasterValue allows updating the member that stores the property value.

SetMasterValue is used when the content of a tree node has changed after updating the dataset field that provides the value for the parent in the relationship.

Use MasterValue to read the value that indicates the parent node in the tree structure.

Created with Doc-O-Matic.


TJvDBTreeView
JEDI-VCL Reference

 TJvDBTreeView

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Implements a data-aware tree view component.

Pascal

TJvDBTreeView = class(TJvCustomDBTreeView);

File

JvDBTreeView

Description

TJvDBTreeView is a TJvCustomDBTreeView descendant that implements a data-aware tree view component. TJvDBTreeView introduces no new functionality, but publishes properties found in TJvCustomDBTreeView.

Created with Doc-O-Matic.


TJvDBTreeView Properties

TJvDBTreeView	Legend

Properties

 DataSource

 DetailField

 IconField

 ItemField

 MasterField

 Mirror

 PersistentNode

 SelectedIndex

 StartMasterValue

 UseFilter

TJvCustomDBTreeView

 DataLink

DataSource

DetailField

GetDetailValue

IconField

ItemField

KeyField

MasterField

Mirror

ParentField

PersistentNode

SelectedIndex

StartMasterValue

UseFilter

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvDBTreeView Methods

TJvDBTreeView	Legend

Methods

TJvCustomDBTreeView

AddChildNode

DeleteNode

 DragDrop

FindNextNode

FindNode

 LinkActive

RefreshChild

SelectNode

UpdateLock

UpdateLocked

UpdateTree

UpdateUnLock

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvDBTreeView Events

TJvDBTreeView	Legend

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDBTreeView

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomTreeView
                TJvCustomDBTreeView
                    TJvDBTreeView


TJvDBTreeView Members

TJvDBTreeView	Legend

Members

Properties

 DataSource

 DetailField

 IconField

 ItemField

 MasterField

 Mirror

 PersistentNode

 SelectedIndex

 StartMasterValue

 UseFilter

TJvCustomDBTreeView

 DataLink

DataSource

DetailField

GetDetailValue

IconField

ItemField

KeyField

MasterField

Mirror

ParentField

PersistentNode

SelectedIndex

StartMasterValue

UseFilter

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Methods

TJvCustomDBTreeView

AddChildNode

DeleteNode

 DragDrop

FindNextNode

FindNode

 LinkActive

RefreshChild

SelectNode

UpdateLock

UpdateLocked

UpdateTree

UpdateUnLock

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

DB


TJvDBTreeView.DataSource property

TJvDBTreeView	Edit topic

Not documented

Pascal

property DataSource: TDataSource;

Created with Doc-O-Matic.


TJvDBTreeView.DetailField property

TJvDBTreeView	Edit topic

Not documented

Pascal

property DetailField: string;

Created with Doc-O-Matic.


TJvDBTreeView.IconField property

TJvDBTreeView	Edit topic

Not documented

Pascal

property IconField: string;

Created with Doc-O-Matic.


TJvDBTreeView.ItemField property

TJvDBTreeView	Edit topic

Not documented

Pascal

property ItemField: string;

Created with Doc-O-Matic.


TJvDBTreeView.MasterField property

TJvDBTreeView	Edit topic

Not documented

Pascal

property MasterField: string;

Created with Doc-O-Matic.


TJvDBTreeView.Mirror property

TJvDBTreeView	Edit topic

Not documented

Pascal

property Mirror: Boolean;

Created with Doc-O-Matic.


TJvDBTreeView.PersistentNode property

TJvDBTreeView	Edit topic

Indicates if child nodes are stored in the tree, or recreated when the parent node is expanded.

Pascal

property PersistentNode: Boolean;

Description

PersistentNode is a Boolean property that indicates if child nodes are stored in the tree, or recreated when the parent node is expanded.

When PersistentNode contains False, collapsing a node causes its' child nodes to be removed from the tree structure. Expanding the node will cause its children to be derived by calling RefreshChild.

When PersistentNode contains True, child nodes are unaffected by actions that collapse the parent node.

Created with Doc-O-Matic.


TJvDBTreeView.SelectedIndex property

TJvDBTreeView	Edit topic

Represents an image index offset to use for items in the data-aware treeview when the item is selected.

Pascal

property SelectedIndex: Integer;

Description

SelectedIndex is an Integer property that represents an image index offset to use for items in the data-aware treeview when the item is selected. The value in selected is added to the field value retrieved from the IconField in the underlying dataset.

The default value for SelectedIndex is 1, as assigned in the constructor for the object instance.

As an example, let's assume the treeview has four images and four selected images.

Position	Description	Use In IconField
0	RootNode (Unselected)	Yes
1	RootNode (Selected)	No
2	ChildLevel0 (Unselected)	Yes
3	ChildLevel0 (Selected)	No
4	ChildLevel1 (Unselected)	Yes
5	ChildLevel1 (Selected)	No
6	ChildLevel2 (Unselected)	Yes
7	ChildLevel2 (Selected)	No

When SelectIndex contains 1, values returned from IconField should contain either 0, 2, 4, or 6.

Another way to store and access the images includes:

Position	Description	Use In IconField
0	RootNode (Unselected)	Yes
1	ChildLevel0 (Unselected)	Yes
2	ChildLevel1 (Unselected)	Yes
3	ChildLevel2 (Unselected)	Yes
4	RootNode (Selected)	No
5	ChildLevel0 (Selected)	No
6	ChildLevel1 (Selected)	No
7	ChildLevel2 (Selected)	No

When SelectIndex contains 4, values returned from IconField should contain either 0, 1, 2, or 3.

Set SelecteIndex to 0 to use the same ImageIndex for both selected and unselected items in the treeview.

Created with Doc-O-Matic.


TJvDBTreeView.StartMasterValue property

TJvDBTreeView	Edit topic

Not documented

Pascal

property StartMasterValue: string;

Description

StartMasterValue is a String property.

Created with Doc-O-Matic.


TJvDBTreeView.UseFilter property

TJvDBTreeView	Edit topic

Indicates if a filter should be use on the dataset when building the tree structure in the data-aware treeview.

Pascal

property UseFilter: Boolean;

Description

UseFilter is a Boolean property that indicates if a filter on the underlying dataset for the DataSource can be used when building the tree structure in the data-aware treeview.

Setting UseFilter to True indicates that the underlying TDataSet should use a filter when building child nodes for the current node in the treeview. The filter will consist of a statement that compares the current value in MasterField to values found in DetailField. An existing filter expression for the dataset is retained, and any new content for the expression is appended using a logical AND to support both conditions. The filter is enabled prior to scanning the dataset for rows having a value in DetailField that matches the current value of MasterField.

When UseFilter contains False, data in the underlying dataset must already be ordered to produce the desired tree structure based on values in MasterField and DetailField.

Do not set UseFilter to True if the dataset does not support use of filters expressions.

UseFilter is used in the RefreshChild method when building and displaying nodes in the tree structure.

Created with Doc-O-Matic.


TJvDBTreeViewDataLink
JEDI-VCL Reference

TJvDBTreeViewDataLink

Hierarchy	Methods	 Edit topic

Manages the link and event responses for the data source in the data-aware treeview component.

Pascal

TJvDBTreeViewDataLink = class(TDataLink);

File

JvDBTreeView

Description

TJvDBTreeViewDataLink is a TDataLink descendant used to help the data-aware treeview manage its link to the data source and respond to data events.

TJvDBTreeViewDataLink introduces a new member that stores the TJvCustomDBTreeView instance for the data link.

TJvDBTreeViewDataLink provides overridden methods in the protected interface for the class that allow responding to dataset events that occur in the following event categories:

Respond to changes in the values of fields.

Respond to changes in record currency after scrolling.

Respond to changes in the editing state of the dataset.

Keep track of unposted edits.

Applications should not need to explicitly create instance of TJvDBTreeViewDataLink; it is automatically created when the data-aware treeview component is initialized.

Created with Doc-O-Matic.


TJvDBTreeViewDataLink Methods

TJvDBTreeViewDataLink

Methods

Create

Created with Doc-O-Matic.


Hierarchy

TDataLink
    TJvDBTreeViewDataLink


TJvDBTreeViewDataLink Members

TJvDBTreeViewDataLink

Members

Methods

Create

Created with Doc-O-Matic.


TJvDBTreeViewDataLink.Create constructor

TJvDBTreeViewDataLink	Edit topic

Constructor for the object instance.

Pascal

constructor Create(ATreeView: TJvCustomDBTreeView);

Parameters

ATreeView: TJvCustomDBTreeView

Data-aware treeview for the data link.

Description

Create is the constructor for the object instance.

Create calls the inherited constructor, and assigns the value passed in ATreeView to the internal member used to store the object reference.

Created with Doc-O-Matic.


TJvDebugHandler
JEDI-VCL Reference

 TJvDebugHandler

Hierarchy	Properties	Events	Package	 Edit topic

Not documented

Pascal

TJvDebugHandler = class(TComponent);

File

JvDebugHandler

Description

Drop the component onto the MainForm of a project and set the properties in the object inspector or in your mainform's OnCreate method as code.

Created with Doc-O-Matic.


TJvDebugHandler Fields

TJvDebugHandler

Fields

ExceptionStringList

Created with Doc-O-Matic.


TJvDebugHandler Properties

TJvDebugHandler	Legend

Properties

 AppendLogFile

 ExceptionLogging

 LogFileName

 LogToFile

 StackTrackingEnable

 UnhandledExceptionsOnly

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDebugHandler Events

TJvDebugHandler	Legend

Events

 OnOtherDestination

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDebugHandler

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvDebugHandler


TJvDebugHandler Members

TJvDebugHandler	Legend

Members

Fields

ExceptionStringList

Properties

 AppendLogFile

 ExceptionLogging

 LogFileName

 LogToFile

 StackTrackingEnable

 UnhandledExceptionsOnly

Events

 OnOtherDestination

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

System


TJvDebugHandler.ExceptionStringList field

TJvDebugHandler	Edit topic

Not documented

Pascal

ExceptionStringList: TStringList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDebugHandler.AppendLogFile property

TJvDebugHandler	Edit topic

Specifies whether to append generated exception information to an already existing logfile.

Pascal

property AppendLogFile: Boolean;

Description

True will append the exception information generated to the beginning of any logfile for this project already in existence. If one doesn't yet exist, it will be created. Each new exception logged will appear above the last and separated by two blank lines.

Created with Doc-O-Matic.


TJvDebugHandler.ExceptionLogging property

TJvDebugHandler	Edit topic

Specifies whether exception logging is enabled.

Pascal

property ExceptionLogging: Boolean;

Description

True will send exception info to logfile and/or any other viewer as set in the "OnOtherDestination" event. In other words, this turns the component on and off. Note: This is NOT the same as loading/unloading the component! It provides a means by which an option could be set at runtime that will activate it.

A good example would be in the case of an unexplained error on a users machine, The user could be instructed to turn this on via a menu item, then send the resulting log file back to you for analysis.

Created with Doc-O-Matic.


TJvDebugHandler.LogFileName property

TJvDebugHandler	Edit topic

The name of the application's log file.

Pascal

property LogFileName: string;

Description

Can be set at design-time or in the mainform's OnCreate with or without path. If no name or path is given, any logfiles created will be provided the name: Application.Title + 'ERRORLOG.txt' and will be placed in the application's directory.

Created with Doc-O-Matic.


TJvDebugHandler.LogToFile property

TJvDebugHandler	Edit topic

Specifies whether to create log file.

Pascal

property LogToFile: Boolean;

Description

Set LogToFile to true to allow for a text-based log file to be created.

Created with Doc-O-Matic.


TJvDebugHandler.OnOtherDestination event

TJvDebugHandler	Edit topic

Not documented

Pascal

property OnOtherDestination: TNotifyEvent;

Description

Is the only event provided. When assigned, by double-clicking it in the object inspector, a procedure of this name will be created for you in your mainform's unit. Any code you write here will be run immediately upon any exception information being generated, before and completely independent of the component's own logfile and whether or not "CreateLogFile" is set to True or False.

From here you may access the "ExceptionSgtringList" which holds this information and do with it as wanted. You may for example, have the "ExceptionStringList" saved to another logfile, or to another utility application such as CodeSite.

Please note that the "ExceptionStringList" is created and freed properly by the component itself...you need only access it if wanted. Also note that even though "AppendLogFile" may be set to True, this property ONLY applies to the component's own logfile. When the "ExceptionStringList" is accessed from within the "OnOtherDestination" method, it is holding ONLY the current exception's information. To use this information in an appended form, it will be necessary to write such code as necessary. As an example: You could, within this method, create a second stringList of your own and assign the "ExceptionStringList's" lines to it each time the event fires. Finally, as an example of how CodeSite users can easily make use of the exception information, the code as written below and added to "OnOtherDestination" method is all that is needed:

For CodeSite 2:

  If CodeSite.Enabled = True Then

    CodeSite.SendStringList('ERROR INFO', JclDebugHandler1.ExceptionStringList);

For CodeSite 3:

  If CodeSite.Enabled = True Then

    CodeSite.Send('ERROR INFO: ', JclDebugHandler1.ExceptionStringList);

Although it is NOT necessary to check if CodeSite is enabled or not here, I choose to do so because if I disable it and still leave this code in place, an exception will not occur.

Created with Doc-O-Matic.


TJvDebugHandler.StackTrackingEnable property

TJvDebugHandler	Edit topic

Specifies whether to provide a full stack trace of any exceptions including line numbers.

Pascal

property StackTrackingEnable: Boolean;

Description

Set StackTrackingEnable to true to provide a full stack trace of any exceptions including line numbers.

Created with Doc-O-Matic.


TJvDebugHandler.UnhandledExceptionsOnly property

TJvDebugHandler	Edit topic

Specifies whether to log only unhandled exceptions.

Pascal

property UnhandledExceptionsOnly: Boolean;

Description

Set UnhandledExceptionsOnly to true if you only want those exceptions NOT handled by the application to be logged.

Created with Doc-O-Matic.


TJvDeleteError
JEDI-VCL Reference

 TJvDeleteError

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a dialog box for errors encountered when deleting a file.

Pascal

TJvDeleteError = class(TJvCommonDialogD);

File

JvDeleteError

Description

This component is used to display a dialog box encountered when deleting a file during a setup routine. It is a wrapper for the SetupDeleteError API call.

Created with Doc-O-Matic.


TJvDeleteError Properties

TJvDeleteError	Legend

Properties

 FileName

 Style

 Win32ErrorCode

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDeleteError Methods

TJvDeleteError	Legend

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Legend

TJvDeleteError

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogD
            TJvDeleteError


TJvDeleteError Members

TJvDeleteError	Legend

Members

Properties

 FileName

 Style

 Win32ErrorCode

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvDeleteError.FileName property

TJvDeleteError	See Also	Edit topic

The filename listed in the dialog box.

Pascal

property FileName: TFileName;

Description

This property contains the complete pathname of the file that was being deleted when the error. occurred.

Created with Doc-O-Matic.


See Also

TJvDeleteError.Win32ErrorCode


TJvDeleteError.Style property

TJvDeleteError	Edit topic

Flags used for modifying the dialog box.

Pascal

property Style: TJvDeleteStyles;

Description

These flags modify how the dialog box is presented to the user.

Created with Doc-O-Matic.


TJvDeleteError.Win32ErrorCode property

TJvDeleteError	See Also	Edit topic

Error code listed in the dialog box.

Pascal

property Win32ErrorCode: Integer;

Description

This property contains the Windows error code that occurred for presentation to and interpretation for the user.

Created with Doc-O-Matic.


See Also

TJvDeleteError.FileName


TJvDeleteError.Execute method

TJvDeleteError	Edit topic

Shows the dialog box.

Pascal

function Execute: TJvDiskRes; override;

Return Value

This method returns dsSuccess if the user pressed "Retry", dsCancel if the user pressed "Cancel", dsSkipFile if the user pressed "Skip File", and dsError if an error occurred.

Description

This method shows the SetupDeleteError dialog box.

Created with Doc-O-Matic.


TJvDesktopAlert
JEDI-VCL Reference

 TJvDesktopAlert

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Displays a window with a message that is automatically hidden after a specified time.

Pascal

TJvDesktopAlert = class(TJvCommonDialogP);

File

JvDesktopAlert

Description

Use TJvDesktopAlert when you need to display information to your users in an unobtrusive way. The TJvDesktopAlert component displays a window with a message that fades away after a predefined amount of time. The window can, apart from the message, also display a drop-down menu, an icon and any number of custom buttons.

Notes

TJvDesktopAlert uses alpha blending to perform the fade in and fade out effect. Alpha blending is only available on Windows 2000 and Windows XP and above. For earlier versions of Windows, the window is displayed without fading.

Created with Doc-O-Matic.


TJvDesktopAlert Properties

TJvDesktopAlert	Legend

Properties

 AlertStack

 AlertStyle

 AutoFocus

 AutoFree

 BiDiMode

 Buttons

 Colors

Data

 DropDownMenu

 Font

 Form

 HeaderFont

 HeaderText

 Hint

 Image

 Images

 Location

 MessageText

 Options

 ParentFont

 PopupMenu

 ShowHint

StyleHandler

 StyleOptions

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvDesktopAlert Events

TJvDesktopAlert	Legend

Events

 OnClose

 OnCloseButtonClick

 OnMessageClick

 OnMouseEnter

 OnMouseLeave

 OnShow

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDesktopAlert Methods

TJvDesktopAlert	Legend

Methods

Close

 Execute

Showing

TJvCommonDialogP

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvDesktopAlert

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP
            TJvDesktopAlert


TJvDesktopAlert Members

TJvDesktopAlert	Legend

Members

Properties

 AlertStack

 AlertStyle

 AutoFocus

 AutoFree

 BiDiMode

 Buttons

 Colors

Data

 DropDownMenu

 Font

 Form

 HeaderFont

 HeaderText

 Hint

 Image

 Images

 Location

 MessageText

 Options

 ParentFont

 PopupMenu

 ShowHint

StyleHandler

 StyleOptions

TJvComponent

 AboutJVCL

Events

 OnClose

 OnCloseButtonClick

 OnMessageClick

 OnMouseEnter

 OnMouseLeave

 OnShow

Methods

Close

 Execute

Showing

TJvCommonDialogP

 Execute

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


Package

Dlgs


TJvDesktopAlert.AlertStack property

TJvDesktopAlert	See Also	Edit topic

Points to a component that handles stacking of alerts.

Pascal

property AlertStack: TJvDesktopAlertStack;

Description

Drop a TJvDesktopAlertStack component on the form and assign it to this property when you want to display several desktop alerts as a group. Each TJvDesktopAlert can only display a single window but if you use several desktop alerts, use a TJvDesktopAlertStack to group them. If you don't assign a TJvDesktopAlertStack, a default stacker is created and used automatically.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertStack


TJvDesktopAlert.AlertStyle property

TJvDesktopAlert	Edit topic

Specifies the animation style for the alert window.

Pascal

property AlertStyle: TJvAlertStyle;

Description

Use AlertStyle to specify how you want the alert window to animate when it is shown and hidden.

Created with Doc-O-Matic.


TJvDesktopAlert.AutoFocus property

TJvDesktopAlert	Edit topic

Specifies whether the alert window automatically receives focus when shown

Pascal

property AutoFocus: Boolean;

Description

Set AutoFocus to true to move focus to the alert window when it is displayed. Set it to false to not change the focus.

Created with Doc-O-Matic.


TJvDesktopAlert.AutoFree property

TJvDesktopAlert	Edit topic

Not documented

Pascal

property AutoFree: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDesktopAlert.BiDiMode property

TJvDesktopAlert	Edit topic

Not documented

Pascal

property BiDiMode: TBidiMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDesktopAlert.Buttons property

TJvDesktopAlert	See Also	Edit topic

Defines the custom buttons to display on the alert window.

Pascal

property Buttons: TJvDesktopAlertButtons;

Description

Use Buttons to define the custom buttons to display on the desktop alert. Custom buttons are displayed in the lower left corner of the window.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertButtons


TJvDesktopAlert.Colors property

TJvDesktopAlert	See Also	Edit topic

Manages the colors used in the desktop alert window.

Pascal

property Colors: TJvDesktopAlertColors;

Description

Modify the subproperties of Colors to set the colors used in the desktop alert.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertColors


TJvDesktopAlert.Data property

TJvDesktopAlert	See Also	Edit topic

Provides a storage variable for user data.

Pascal

property Data: TObject;

Description

Use Data to store arbitrary data with the component. Data is similar to Tag but is defined as a TObject to easily store classes and similar with the component. Note that you are still responsible for handling the memory of the associated object.

Created with Doc-O-Matic.


See Also

Tag


TJvDesktopAlert.DropDownMenu property

TJvDesktopAlert	See Also	Edit topic

Defines a menu to display for the drop-down button in the window.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a pop-up menu to the DropDownMenu property to display a drop-down button on the desktop alert. If no DropDownMenu is assigned, the drop-down button is not shown.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.PopupMenu


TJvDesktopAlert.Font property

TJvDesktopAlert	See Also	Edit topic

Specifies the font settings used for the message text.

Pascal

property Font: TFont;

Description

Set the properties of Font to specify how the desktop alert's message text is displayed.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.HeaderFont, TJvDesktopAlert.ParentFont


TJvDesktopAlert.Form property

TJvDesktopAlert	Edit topic

Not documented

Pascal

property Form: TJvFormDesktopAlert;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDesktopAlert.HeaderFont property

TJvDesktopAlert	See Also	Edit topic

Specifies the font used for the header text.

Pascal

property HeaderFont: TFont;

Description

Set the properties of HeaderFont to specify how the desktop alert's header text is displayed.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.Font


TJvDesktopAlert.HeaderText property

TJvDesktopAlert	See Also	Edit topic

Specifies the text to use as the header of the alert.

Pascal

property HeaderText: string;

Description

Set HeaderText to the text to display for the header of the window.

Created with Doc-O-Matic.


See Also

Text


TJvDesktopAlert.Hint property

TJvDesktopAlert	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the control.

Pascal

property Hint: string;

Description

Use the Hint property to provide a string of help text as a Help Hint. Set ShowHint to true to actually show the hint at run-time.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.ShowHint


TJvDesktopAlert.Image property

TJvDesktopAlert	See Also	Edit topic

Specifies the image to display on the desktop alert.

Pascal

property Image: TPicture;

Description

Assign an image to the Image property to display it in the upper left corner of the desktop alert window.

Notes

Since the size of the desktop alert window is small, you shouldn't use images that are larger than about 48x48 pixels.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.Images


TJvDesktopAlert.Images property

TJvDesktopAlert	See Also	Edit topic

Specifies the image list used by the custom buttons.

Pascal

property Images: TCustomImageList;

Description

Set Images to an image list to use for the custom buttons on the desktop alert. Custom buttons get their image from this list

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.Buttons


TJvDesktopAlert.Location property

TJvDesktopAlert	See Also	Edit topic

Specifies where the desktop alert appears on-screen.

Pascal

property Location: TJvDesktopAlertLocation;

Description

Use the subproperties of Location to define where the desktop alert appears at run-time.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertLocation


TJvDesktopAlert.MessageText property

TJvDesktopAlert	See Also	Edit topic

Specifies the text of the message.

Pascal

property MessageText: string;

Description

Set MessageText to the string to display as the message text of the desktop alert.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.HeaderText


TJvDesktopAlert.OnClose event

TJvDesktopAlert	See Also	Edit topic

Occurs when the desktop alert closes.

Pascal

property OnClose: TNotifyEvent;

Description

Use OnClose to perform special processing when the desktop alert closes.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.OnShow


TJvDesktopAlert.OnCloseButtonClick event

TJvDesktopAlert	Edit topic

Occurs when the users clicks the close button.

Pascal

property OnCloseButtonClick: TNotifyEvent;

Description

Write a handler for this event to take specific action when the user clicks the close button in the alert window.

Created with Doc-O-Matic.


TJvDesktopAlert.OnMessageClick event

TJvDesktopAlert	See Also	Edit topic

Occurs when the user clicks the message text,

Pascal

property OnMessageClick: TNotifyEvent;

Description

Write a handler for the OnMessageClick event to take specific action when the user clicks on the message text. This event handler is only called when daoCanClick is included in Options.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.MessageText, TJvDesktopAlert.Options


TJvDesktopAlert.OnMouseEnter event

TJvDesktopAlert	See Also	Edit topic

Occurs when the mouse pointer moves over the desktop alert.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the desktop alert.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.OnMouseLeave


TJvDesktopAlert.OnMouseLeave event

TJvDesktopAlert	See Also	Edit topic

Occurs when the mouse pointer moves off the desktop alert.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the desktop alert. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.OnMouseEnter


TJvDesktopAlert.OnShow event

TJvDesktopAlert	See Also	Edit topic

Occurs when the desktop alert is shown (that is, when its Visible property is set to True).

Pascal

property OnShow: TNotifyEvent;

Description

Use OnShow to perform special processing when the desktop alert is shown. Note that the window might not be visible when OnShow is called since visibility is controlled by the AlphaBlendValue value and the FadeInTime value.

Created with Doc-O-Matic.


See Also

AlphaBlendValue, FadeInTime


TJvDesktopAlert.Options property

TJvDesktopAlert	Edit topic

Controls the behavior of the desktop alert.

Pascal

property Options: TJvDesktopAlertOptions;

Description

Change the settings of Options to modify the behavior of the desktop alert.

Created with Doc-O-Matic.


TJvDesktopAlert.ParentFont property

TJvDesktopAlert	See Also	Edit topic

Determines where the desktop alert looks for its font information.

Pascal

property ParentFont: Boolean;

Description

Set ParentFont to true to have the desktop alert window use the same font settings as the form where the TJvDesktopAlert is located. When the font of the form changes, so does the desktop alert window.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.Font


TJvDesktopAlert.PopupMenu property

TJvDesktopAlert	Edit topic

Identifies the pop-up menu associated with the desktop alert.

Pascal

property PopupMenu: TPopupMenu;

Description

Assign a value to PopupMenu to make a pop-up menu appear when the user selects the desktop alert window and clicks the right mouse button.

Created with Doc-O-Matic.


TJvDesktopAlert.ShowHint property

TJvDesktopAlert	See Also	Edit topic

Determines whether the desktop alert displays a Help Hint when the mouse pointer rests momentarily on its surface.

Pascal

property ShowHint: Boolean;

Description

The Help Hint is the value of the Hint property, which is displayed in a box above the desktop alert. Use ShowHint to determine whether a Help Hint appears for the desktop alert window.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.Hint


TJvDesktopAlert.StyleHandler property

TJvDesktopAlert	See Also	Edit topic

Specifies the currently assigned style handler class.

Pascal

property StyleHandler: TJvCustomDesktopAlertStyleHandler;

Description

Use StyleHandler to access the currently assigned style handler class. To find out which style is currently used, interrogate the AlertStyle property instead.

This property is equivalent to StyleOptions.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.AlertStyle, TJvDesktopAlert.StyleOptions


TJvDesktopAlert.StyleOptions property

TJvDesktopAlert	See Also	Edit topic

Specifies the currently assigned style handler class.

Pascal

property StyleOptions: TJvCustomDesktopAlertStyleHandler;

Description

Use StyleOptions to access the currently assigned style handler class. To find out which style is currently used, interrogate the AlertStyle property instead.

This property is equivalent to StyleHandler.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert.AlertStyle, TJvDesktopAlert.StyleHandler


TJvDesktopAlert.Close method

TJvDesktopAlert	See Also	Edit topic

Closes the alert window.

Pascal

procedure Close(Immediate: Boolean);

Parameters

Immediate: Boolean

If true, closes the form as if the close button was clicked. If false, fades the form according to the value of FadeOutTime

Description

Call Close to manually close the desktop alert form. Calling close also generates an OnClose event. Close only closes the alert form if Showing returns true.

Created with Doc-O-Matic.


See Also

FadeOutTime


TJvDesktopAlert.Execute method

TJvDesktopAlert	Edit topic

Shows the desktop alert.

Pascal

procedure Execute; override;

Description

Call Execute to show the desktop alert window in your application.

Created with Doc-O-Matic.


TJvDesktopAlert.Showing method

TJvDesktopAlert	Edit topic

Indicates whether the control is showing on the screen.

Pascal

function Showing: Boolean;

Return Value

True if the window is visible, false otherwise.

Description

Call Showing to determine whether the desktop alert is currently showing on screen.

Created with Doc-O-Matic.


TJvDesktopAlertButtonItem
JEDI-VCL Reference

TJvDesktopAlertButtonItem

Hierarchy	Properties	Events	 Edit topic

Class that manages the settings of a custom button in a desktop alert window.

Pascal

TJvDesktopAlertButtonItem = class(TCollectionItem);

File

JvDesktopAlert

Description

TJvDesktopAlertButtonItem is the type of the Items property of a TJvDesktopAlertButtons collection.

Created with Doc-O-Matic.


TJvDesktopAlertButtonItem Properties

TJvDesktopAlertButtonItem	Legend

Properties

 ImageIndex

 Tag

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDesktopAlertButtonItem Events

TJvDesktopAlertButtonItem	Legend

Events

 OnClick

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDesktopAlertButtonItem

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvDesktopAlertButtonItem


TJvDesktopAlertButtonItem Members

TJvDesktopAlertButtonItem	Legend

Members

Properties

 ImageIndex

 Tag

Events

 OnClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDesktopAlertButtonItem.ImageIndex property

TJvDesktopAlertButtonItem	Edit topic

Specifies the image to use on the button.

Pascal

property ImageIndex: Integer;

Description

Set ImageIndex to the index of the image to use on the button. The images are taken from the Images property of TJvDesktopAlert. If ImageIndex is invalid (below 0 or above Count-1), no image is drawn on the button.

Created with Doc-O-Matic.


TJvDesktopAlertButtonItem.OnClick event

TJvDesktopAlertButtonItem	Edit topic

Occurs when the user clicks the button.

Pascal

property OnClick: TNotifyEvent;

Description

Assign a handler to the OnClick event to take specific action when the users clicks the button.

Created with Doc-O-Matic.


TJvDesktopAlertButtonItem.Tag property

TJvDesktopAlertButtonItem	Edit topic

Stores an integer value as part of the item.

Pascal

property Tag: Integer;

Description

Tag has no predefined meaning. The Tag property is provided for the convenience of developers. It can be used for storing an additional integer value or it can be typecast to any 32-bit value such as a component reference or a pointer.

Created with Doc-O-Matic.


TJvDesktopAlertButtons
JEDI-VCL Reference

TJvDesktopAlertButtons

Hierarchy	Properties	Methods	 Edit topic

Manages a collection of custom buttons on a desktop alert window.

Pascal

TJvDesktopAlertButtons = class(TOwnedCollection);

File

JvDesktopAlert

Description

TJvDesktopAlertButtons is a TCollection that handles a list of TJvDesktopAlertButton instances. Each TJvDesktopAlertButton is a custom button on a TJvDesktopAlert window.

Created with Doc-O-Matic.


TJvDesktopAlertButtons Properties

TJvDesktopAlertButtons

Properties

Items

Created with Doc-O-Matic.


TJvDesktopAlertButtons Methods

TJvDesktopAlertButtons

Methods

Add

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvDesktopAlertButtons


TJvDesktopAlertButtons Members

TJvDesktopAlertButtons

Members

Properties

Items

Methods

Add

Created with Doc-O-Matic.


TJvDesktopAlertButtons.Items property

TJvDesktopAlertButtons	See Also	Edit topic

Provides indexed access to the items in the collection.

Pascal

property Items [Index: Integer]: TJvDesktopAlertButtonItem;

Parameters

Index

The 0-based index of the button to access.

Description

Use Items to access the items in the collection based on their index. Index can be in the range 0 to Count - 1.

Created with Doc-O-Matic.


See Also

Count


TJvDesktopAlertButtons.Add method

TJvDesktopAlertButtons	Edit topic

Adds a new button to the collection.

Pascal

function Add: TJvDesktopAlertButtonItem;

Return Value

The newly added button.

Description

Call Add to add a new button to the collection.

Created with Doc-O-Matic.


TJvDesktopAlertChangePersistent
JEDI-VCL Reference

TJvDesktopAlertChangePersistent

Hierarchy	Events	 Edit topic

Base class for TPersistent classes that can report changes through an event

Pascal

TJvDesktopAlertChangePersistent = class(TPersistent);

File

JvDesktopAlert

Description

This class is used internally by the TJvDesktopAlert component. It is not for general use.

Created with Doc-O-Matic.


TJvDesktopAlertChangePersistent Events

TJvDesktopAlertChangePersistent

Events

OnChange

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvDesktopAlertChangePersistent


TJvDesktopAlertChangePersistent Members

TJvDesktopAlertChangePersistent

Members

Events

OnChange

Created with Doc-O-Matic.


TJvDesktopAlertChangePersistent.OnChange event

TJvDesktopAlertChangePersistent	Edit topic

Occurs when the properties of the class changes.

Pascal

property OnChange: TNotifyEvent;

Description

Do not assign a handler to this event. It is assigned internally by classes that uses descendants of this class.

Created with Doc-O-Matic.


TJvDesktopAlertColors
JEDI-VCL Reference

TJvDesktopAlertColors

Hierarchy	Properties	Events	 Edit topic

Manages a collection of colors.

Pascal

TJvDesktopAlertColors = class(TJvDesktopAlertChangePersistent);

File

JvDesktopAlert

Description

TJvDesktopAlertColors is the type of the Colors property of a TJvDesktopAlert component. TJvDesktopAlertColors manages the colors that are user modifiable in a TJvDesktopAlert.

Created with Doc-O-Matic.


TJvDesktopAlertColors Properties

TJvDesktopAlertColors	Legend

Properties

 CaptionFrom

 CaptionTo

 Frame

 WindowFrom

 WindowTo

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDesktopAlertColors Events

TJvDesktopAlertColors

Events

TJvDesktopAlertChangePersistent

OnChange

Created with Doc-O-Matic.


Legend

TJvDesktopAlertColors

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvDesktopAlertChangePersistent
        TJvDesktopAlertColors


TJvDesktopAlertColors Members

TJvDesktopAlertColors	Legend

Members

Properties

 CaptionFrom

 CaptionTo

 Frame

 WindowFrom

 WindowTo

Events

TJvDesktopAlertChangePersistent

OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDesktopAlertColors.CaptionFrom property

TJvDesktopAlertColors	See Also	Edit topic

Defines the starting color of the caption area.

Pascal

property CaptionFrom: TColor;

Description

Set CaptionFrom to the color to use as the start color of the gradient drawn in the caption area of a TJvDesktopAlert. The gradient is drawn from top to bottom.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertColors.CaptionTo


TJvDesktopAlertColors.CaptionTo property

TJvDesktopAlertColors	See Also	Edit topic

Defines the ending color of the caption area.

Pascal

property CaptionTo: TColor;

Description

Set CaptionTo to the color to use as the end color of the gradient drawn in the caption area of a TJvDesktopAlert. The gradient is drawn from top to bottom.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertColors.CaptionFrom


TJvDesktopAlertColors.Frame property

TJvDesktopAlertColors	Edit topic

Defines the color used to draw the frame around the edge.

Pascal

property Frame: TColor;

Description

Set Frame to the color to use to draw the frame around the edge of a TJvDesktopAlert window.

Created with Doc-O-Matic.


TJvDesktopAlertColors.WindowFrom property

TJvDesktopAlertColors	See Also	Edit topic

Defines the starting color of the client area.

Pascal

property WindowFrom: TColor;

Description

Set WindowFrom to the color to use as the start color of the gradient drawn in the client area of a TJvDesktopAlert. The gradient is drawn from top to bottom.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertColors.WindowTo


TJvDesktopAlertColors.WindowTo property

TJvDesktopAlertColors	See Also	Edit topic

Defines the ending color of the client area.

Pascal

property WindowTo: TColor;

Description

Set WindowFrom to the color to use as the end color of the gradient drawn in the client area of a TJvDesktopAlert. The gradient is drawn from top to bottom.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertColors.WindowFrom


TJvDesktopAlertLocation
JEDI-VCL Reference

TJvDesktopAlertLocation

Hierarchy	Properties	Events	 Edit topic

Class that manages the location settings of a desktop alert window.

Pascal

TJvDesktopAlertLocation = class(TJvDesktopAlertChangePersistent);

File

JvDesktopAlert

Description

TJvDesktopAlertLocation is the type of the Location property of a TJvDesktopAlert component. It manages the position settings for the desktop alert window.

Created with Doc-O-Matic.


TJvDesktopAlertLocation Properties

TJvDesktopAlertLocation	Legend

Properties

 AlwaysResetPosition

 Height

 Left

 Position

 Top

 Width

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDesktopAlertLocation Events

TJvDesktopAlertLocation

Events

TJvDesktopAlertChangePersistent

OnChange

Created with Doc-O-Matic.


Legend

TJvDesktopAlertLocation

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvDesktopAlertChangePersistent
        TJvDesktopAlertLocation


TJvDesktopAlertLocation Members

TJvDesktopAlertLocation	Legend

Members

Properties

 AlwaysResetPosition

 Height

 Left

 Position

 Top

 Width

Events

TJvDesktopAlertChangePersistent

OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDesktopAlertLocation.AlwaysResetPosition property

TJvDesktopAlertLocation	See Also	Edit topic

Specifies if moving the desktop alert changes the Position property.

Pascal

property AlwaysResetPosition: Boolean;

Description

If AlwaysResetPosition is false, Position is set to dapCustom if the user moves the window. If AlwaysResetPosition is true, the value of Position is never changed.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertLocation.Position


TJvDesktopAlertLocation.Height property

TJvDesktopAlertLocation	See Also	Edit topic

Specifies the height of the desktop alert window.

Pascal

property Height: Integer;

Description

Use the Height property to determine the height of the desktop alert window. Set Height to 0 to reset the window to its default height (currently 76 px).

Height is used for any Position. If you are displaying several desktop alerts at the same time, make sure they have the same width and height.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertLocation.Position, TJvDesktopAlertLocation.Top, TJvDesktopAlertLocation.Width


TJvDesktopAlertLocation.Left property

TJvDesktopAlertLocation	See Also	Edit topic

Specifies the value of the Left property of the desktop alert window.

Pascal

property Left: Integer;

Description

Use the Left property to determine where the left side of the desktop alert window begins or to reposition the left side of the window. Left is only used when Position is dapCustom.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertLocation.Height, TJvDesktopAlertLocation.Position, TJvDesktopAlertLocation.Top, TJvDesktopAlertLocation.Width


TJvDesktopAlertLocation.Position property

TJvDesktopAlertLocation	See Also	Edit topic

Specifies where the desktop alert window is located when it is displayed.

Pascal

property Position: TJvDesktopAlertPosition;

Description

Use Position to specify where the TJvDesktopAlert window should appear on screen. This setting also controls the stacking of multiple desktop alert windows.

If Position is dapCustom, the placement of the window is determined by the Left and Top properties.

If Position is any of dapDesktopCenter, dapMainFormCenter, dapOwnerFormCenter or dapActiveFormCenter, the placement of the window is calculated automatically.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertLocation.Height, TJvDesktopAlertLocation.Left, TJvDesktopAlertLocation.Top, TJvDesktopAlertLocation.Width


TJvDesktopAlertLocation.Top property

TJvDesktopAlertLocation	See Also	Edit topic

Specifies the value of the Top property of the desktop alert window.

Pascal

property Top: Integer;

Description

Use the Top property to determine where the top of the desktop alert window begins or to reposition the top of the window. Top is only used when Position is dapCustom.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertLocation.Position, TJvDesktopAlertLocation.Top


TJvDesktopAlertLocation.Width property

TJvDesktopAlertLocation	See Also	Edit topic

Specifies the width of the desktop alert window.

Pascal

property Width: Integer;

Description

Use the Width property to determine the width of the desktop alert window. Set Width to 0 to reset the window to its default width (currently 329 px).

Width is used for any Position. If you are displaying several desktop alerts at the same time, make sure they have the same width and height.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertLocation.Height, TJvDesktopAlertLocation.Left, TJvDesktopAlertLocation.Position, TJvDesktopAlertLocation.Top


TJvDesktopAlertStack
JEDI-VCL Reference

 TJvDesktopAlertStack

Hierarchy	Properties	Methods	Package	 Edit topic

Manages a list of TJvDesktopAlert components.

Pascal

TJvDesktopAlertStack = class(TJvComponent);

File

JvDesktopAlert

Description

Use TJvDesktopAlertStack to control the behavior of multiple TJvDesktopAlert components. To use, drop a TJvDesktopAlertStack on the form and assign it to the AlertStack property of each of the TJvDesktopAlert components you want to be managed by the TJvDesktopAlertStack instance.

When a TJvDesktopAlert is managed by an explicitly assigned TJvDesktopAlertStack component, the Position property of TJvDesktopAlertStack is used for all the TJvDesktopAlert components.

Created with Doc-O-Matic.


TJvDesktopAlertStack Properties

TJvDesktopAlertStack	Legend

Properties

 Count

 Items

 Position

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvDesktopAlertStack Methods

TJvDesktopAlertStack	Legend

Methods

 Add

 Remove

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDesktopAlertStack

Legend

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvDesktopAlertStack


TJvDesktopAlertStack Members

TJvDesktopAlertStack	Legend

Members

Properties

 Count

 Items

 Position

TJvComponent

 AboutJVCL

Methods

 Add

 Remove

Legend

read only

published

virtual

Created with Doc-O-Matic.


Legend

read only

published

virtual


Package

Dlgs


TJvDesktopAlertStack.Count property

TJvDesktopAlertStack	See Also	Edit topic

Returns the number of forms managed by this component.

Pascal

property Count: Integer;

Description

Read the value of Count to learn the number of forms currently managed by the component. Count varies as desktop alert windows are displayed and closed.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertStack.Items


TJvDesktopAlertStack.Items property

TJvDesktopAlertStack	See Also	Edit topic

Provides indexed access to the forms managed by this component

Pascal

property Items [Index: Integer]: TJvFormDesktopAlert;

Parameters

Index

The index of the form in the list.

Description

Use Items to access the forms managed by the component using its index.

Warning: The list of managed forms is highly dynamic and can change while you iterate over them. Accessing a nonexistent form or a nonexistent index will lead to access violation errors.

Created with Doc-O-Matic.


See Also

TJvDesktopAlertStack.Count


TJvDesktopAlertStack.Position property

TJvDesktopAlertStack	Edit topic

Specifies where the desktop alert windows should be placed when they are displayed.

Pascal

property Position: TJvDesktopAlertPosition;

Description

Use Position to specify where the desktop alert windows managed by this component are displayed.

Notes

If Position is any of dapCustom, dapDesktopCenter, dapMainFormCenter,dapOwnerFormCenter or dapActiveFormCenter, they will not be stacked by the component.

Created with Doc-O-Matic.


TJvDesktopAlertStack.Add method

TJvDesktopAlertStack	Edit topic

Adds a form to the list of managed forms.

Pascal

procedure Add(AForm: TCustomForm); virtual;

Description

Do not call this method. It is for intern use only.

Created with Doc-O-Matic.


TJvDesktopAlertStack.Remove method

TJvDesktopAlertStack	Edit topic

Removes a form from the internal list of managed forms.

Pascal

procedure Remove(AForm: TCustomForm); virtual;

Description

Do not call this method. It is for internal use only.

Created with Doc-O-Matic.


TJvDeviceInfo
JEDI-VCL Reference

TJvDeviceInfo

Hierarchy	Properties	Methods	Events	 Edit topic

Class used for the DeviceInfo property of TJvCustomPreviewControl

Pascal

TJvDeviceInfo = class(TPersistent);

File

JvPrvwDoc

Description

TJvDeviceInfo maintains and updates the values of its properties when the ReferenceHandle changes.

Created with Doc-O-Matic.


TJvDeviceInfo Properties

TJvDeviceInfo	Legend

Properties

 LogPixelsX

 LogPixelsY

 OffsetBottom

 OffsetLeft

 OffsetRight

 OffsetTop

 PageHeight

 PageWidth

 PhysicalHeight

 PhysicalWidth

 ReferenceHandle

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDeviceInfo Events

TJvDeviceInfo

Events

OnChange

Created with Doc-O-Matic.


TJvDeviceInfo Methods

TJvDeviceInfo

Methods

InchToXPx

InchToYPx

MMToXPx

MMToYPx

XPxToInch

XPxToMM

YPxToInch

YPxToMM

Created with Doc-O-Matic.


Legend

TJvDeviceInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvDeviceInfo


TJvDeviceInfo Members

TJvDeviceInfo	Legend

Members

Properties

 LogPixelsX

 LogPixelsY

 OffsetBottom

 OffsetLeft

 OffsetRight

 OffsetTop

 PageHeight

 PageWidth

 PhysicalHeight

 PhysicalWidth

 ReferenceHandle

Events

OnChange

Methods

InchToXPx

InchToYPx

MMToXPx

MMToYPx

XPxToInch

XPxToMM

YPxToInch

YPxToMM

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDeviceInfo.LogPixelsX property

TJvDeviceInfo	See Also	Edit topic

Number of pixels per logical inch along the screen width.

Pascal

property LogPixelsX: Cardinal;

Description

Read LogPixelsX to determine the number of pixels per logical inch for the currently selected device. When a new ReferenceHandle is set, TJvDeviceInfo calls GetDeviceCaps( ReferenceHandle, LOGPIXELSX) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.LogPixelsY, TJvDeviceInfo.ReferenceHandle


TJvDeviceInfo.LogPixelsY property

TJvDeviceInfo	See Also	Edit topic

Number of pixels per logical inch along the screen width.

Pascal

property LogPixelsY: Cardinal;

Description

Read LogPixelsX to determine the number of pixels per logical inch for the currently selected device. When a new ReferenceHandle is set, TJvDeviceInfo calls GetDeviceCaps( ReferenceHandle, LOGPIXELSY) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.LogPixelsX, TJvDeviceInfo.ReferenceHandle


TJvDeviceInfo.OffsetBottom property

TJvDeviceInfo	See Also	Edit topic

Specifies the number of device units between the bottom of the printable area and the bottom of the page.

Pascal

property OffsetBottom: Cardinal;

Description

Read OffsetBottom to determine the size of the non-printable area at the lower edge of the device context.

When a new ReferenceHandle is set, OffsetBottom is calculated from:

    OffsetBottom := PhysicalHeight - PageHeight - OffsetTop;

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.OffsetLeft, TJvDeviceInfo.OffsetRight, TJvDeviceInfo.OffsetTop


TJvDeviceInfo.OffsetLeft property

TJvDeviceInfo	See Also	Edit topic

Specifies the number of device units between the left edge of the printable area and the left edge of the page.

Pascal

property OffsetLeft: Cardinal;

Description

Read OffsetLeft to determine the size of the non-printable area at the left side of the device context.

When a new ReferenceHandle is set, TJvDeviceInfo calls GetDeviceCaps(ReferenceHandle, PHYSICALOFFSETX) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.OffsetBottom, TJvDeviceInfo.OffsetRight, TJvDeviceInfo.OffsetTop


TJvDeviceInfo.OffsetRight property

TJvDeviceInfo	See Also	Edit topic

Specifies the number of device units between the right edge of the printable area and the right edge of the page.

Pascal

property OffsetRight: Cardinal;

Description

Read OffsetRight to determine the size of the non-printable area at the right side of the device context.

When a new ReferenceHandle is set, OffsetRight is calculated from:

    OffsetRight := PhysicalWidth - PageWidth - OffsetLeft;

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.OffsetBottom, TJvDeviceInfo.OffsetLeft, TJvDeviceInfo.OffsetTop


TJvDeviceInfo.OffsetTop property

TJvDeviceInfo	See Also	Edit topic

Specifies the number of device units between the top edge of the printable area and the top edge of the page.

Pascal

property OffsetTop: Cardinal;

Description

Read OffsetTop to determine the size of the non-printable area at the top of the device context.

When a new ReferenceHandle is set, TJvDeviceInfo calls GetDeviceCaps(ReferenceHandle, PHYSICALOFFSETY) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.OffsetBottom, TJvDeviceInfo.OffsetLeft, TJvDeviceInfo.OffsetRight


TJvDeviceInfo.OnChange event

TJvDeviceInfo	Edit topic

Called when values are changed.

Pascal

property OnChange: TNotifyEvent;

Description

Don't write a handler for this event. A handler is assigned automatically by the component that uses this class.

Created with Doc-O-Matic.


TJvDeviceInfo.PageHeight property

TJvDeviceInfo	See Also	Edit topic

Specifies the physical height of the page.

Pascal

property PageHeight: Cardinal;

Description

Read PageHeight to determine the physical height of the page in device units.

When a new ReferenceHandle is set, TJvDeviceInfo calls PageHeight := GetDeviceCaps( ReferenceHandle, VERTRES) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.PageWidth


TJvDeviceInfo.PageWidth property

TJvDeviceInfo	See Also	Edit topic

Specifies the physical height of the page.

Pascal

property PageWidth: Cardinal;

Description

Read PageHeight to determine the physical height of the page in device units.

When a new ReferenceHandle is set, TJvDeviceInfo calls PageWidth := GetDeviceCaps( ReferenceHandle, HORZRES) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.PageHeight, TJvDeviceInfo.PhysicalHeight, TJvDeviceInfo.PhysicalWidth


TJvDeviceInfo.PhysicalHeight property

TJvDeviceInfo	See Also	Edit topic

Specifies the physical height of the page.

Pascal

property PhysicalHeight: Cardinal;

Description

Read PhysicalHeight to determine the height of the page in device units.

When a new ReferenceHandle is set, TJvDeviceInfo calls PhysicalHeight := GetDeviceCaps( ReferenceHandle, PHYSICALHEIGHT) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.PhysicalWidth


TJvDeviceInfo.PhysicalWidth property

TJvDeviceInfo	See Also	Edit topic

Specifies the physical width of the page.

Pascal

property PhysicalWidth: Cardinal;

Description

Read PhysicalWidth to determine the width of the page in device units.

When a new ReferenceHandle is set, TJvDeviceInfo calls PhysicalWidth := GetDeviceCaps( ReferenceHandle, PHYSICALWIDTH) to retrieve this value.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.PhysicalHeight


TJvDeviceInfo.ReferenceHandle property

TJvDeviceInfo	Edit topic

Handle to the device context that values are retrieved from.

Pascal

property ReferenceHandle: Longword;

Description

Use ReferenceHandle to specify the HDC where the various property values of TJvDeviceInfo are retrieved. For example, to retrieve property settings from the currently selected printer, assign Printer.Handle to this property.

If ReferenceHandle is 0, the values are retrieved from the desktop DC.

Created with Doc-O-Matic.


TJvDeviceInfo.InchToXPx method

TJvDeviceInfo	See Also	Edit topic

Converts logical inches to pixels.

Pascal

function InchToXPx(Inch: Single): Integer;

Return Value

The corresponding pixel value.

Parameters

Inch: Single

The value to convert.

Description

Call InchToYPx to convert a logical inch to a pixel value. The conversion is done using the mapping of the horizontal extent in the current device context as specified by ReferenceHandle.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.InchToYPx, TJvDeviceInfo.XPxToInch


TJvDeviceInfo.InchToYPx method

TJvDeviceInfo	See Also	Edit topic

Converts logical inches to pixels.

Pascal

function InchToYPx(Inch: Single): Integer;

Return Value

The corresponding pixel value.

Parameters

Inch: Single

The value to convert.

Description

Call InchToYPx to convert a logical inch to a pixel value. The conversion is done using the mapping of the vertical extent in the current device context as specified by ReferenceHandle.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.InchToXPx, TJvDeviceInfo.YPxToInch


TJvDeviceInfo.MMToXPx method

TJvDeviceInfo	See Also	Edit topic

Converts logical millimeters to pixels.

Pascal

function MMToXPx(MM: Single): Integer;

Return Value

The corresponding pixel value.

Parameters

MM: Single

The value to convert.

Description

Call MMToXPx to convert a logical millimeter to a pixel value. The conversion is done using the mapping of the horizontal extent in the current device context as specified by ReferenceHandle.

Calling this function is the same as InchToXPx(MM * 25.4).

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.MMToYPx, TJvDeviceInfo.XPxToMM


TJvDeviceInfo.MMToYPx method

TJvDeviceInfo	See Also	Edit topic

Converts logical millimeters to pixels.

Pascal

function MMToYPx(MM: Single): Integer;

Return Value

The corresponding pixel value.

Parameters

MM: Single

The value to convert.

Description

Call MMToYPx to convert a logical millimeter to a pixel value. The conversion is done using the mapping of the vertical extent in the current device context as specified by ReferenceHandle.

Calling this function is the same as InchToYPx(MM * 25.4).

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.MMToXPx, TJvDeviceInfo.YPxToMM


TJvDeviceInfo.XPxToInch method

TJvDeviceInfo	See Also	Edit topic

Converts a pixel value to a logical inch value.

Pascal

function XPxToInch(Pixels: Integer): Single;

Return Value

The converted value.

Parameters

Pixels: Integer

Value to convert.

Description

Call XPxToInch to convert a pixel value to a logical inch. The conversion is done using the mapping of the horizontal extent in the current device context as specified by ReferenceHandle.

This is the opposite of the InchToXPx function.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.InchToXPx, TJvDeviceInfo.XPxToMM, TJvDeviceInfo.YPxToInch


TJvDeviceInfo.XPxToMM method

TJvDeviceInfo	See Also	Edit topic

Converts a pixel value to a logical millimeter value.

Pascal

function XPxToMM(Pixels: Integer): Single;

Return Value

The converted value.

Parameters

Pixels: Integer

Value to convert.

Description

Call XPxToMM to convert a pixel value to a millimeter value. The conversion is done using the mapping of the horizontal extent in the current device context as specified by ReferenceHandle.

This is the opposite of the MMToXPx function.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.InchToXPx, TJvDeviceInfo.MMToXPx, TJvDeviceInfo.XPxToInch


TJvDeviceInfo.YPxToInch method

TJvDeviceInfo	See Also	Edit topic

Converts a pixel value to a logical inch value.

Pascal

function YPxToInch(Pixels: Integer): Single;

Return Value

The converted value.

Parameters

Pixels: Integer

Value to convert.

Description

Call YPxToInch to convert a pixel value to a logical inch. The conversion is done using the mapping of the vertical extent in the current device context as specified by ReferenceHandle.

This is the opposite of the InchToYPx function.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.InchToYPx, TJvDeviceInfo.XPxToInch, TJvDeviceInfo.YPxToMM


TJvDeviceInfo.YPxToMM method

TJvDeviceInfo	See Also	Edit topic

Converts a pixel value to a logical millimeter value.

Pascal

function YPxToMM(Pixels: Integer): Single;

Return Value

The converted value.

Parameters

Pixels: Integer

Value to convert.

Description

Call YPxToMM to convert a pixel value to a millimeter value. The conversion is done using the mapping of the vertical extent in the current device context as specified by ReferenceHandle.

This is the opposite of the MMToYPx function.

Created with Doc-O-Matic.


See Also

TJvDeviceInfo.InchToYPx, TJvDeviceInfo.MMToYPx, TJvDeviceInfo.XPxToMM


TJvDirectoryEdit
JEDI-VCL Reference

 TJvDirectoryEdit

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Edit control with a button that displays a directory selection dialog.

Pascal

TJvDirectoryEdit = class(TJvFileDirEdit);

File

JvToolEdit

Description

TJvDirectoryEdit is a button edit control designed specifically for entering directories.

Pressing the button of the combo edit control displays a directory selection dialog, where users can select a directory. But the user can also type a specific directory name in the edit box.

Created with Doc-O-Matic.


TJvDirectoryEdit Properties

TJvDirectoryEdit	Legend

Properties

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DialogKind

 DialogOptions

 DialogText

 DirectInput

 Flat

 Glyph

 GroupIndex

 ImageIndex

 ImageKind

 Images

 InitialDir

 MultipleDirs

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDirectoryEdit Events

TJvDirectoryEdit	Legend

Events

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDirectoryEdit Methods

TJvDirectoryEdit	Legend

Methods

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDirectoryEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvFileDirEdit
            TJvDirectoryEdit


TJvDirectoryEdit Members

TJvDirectoryEdit	Legend

Members

Properties

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DialogKind

 DialogOptions

 DialogText

 DirectInput

 Flat

 Glyph

 GroupIndex

 ImageIndex

 ImageKind

 Images

 InitialDir

 MultipleDirs

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


See Also

TJvFilenameEdit


Package

StdCtrls


TJvDirectoryEdit.AutoCompleteFileOptions property

TJvDirectoryEdit	Edit topic

Not documented

Pascal

property AutoCompleteFileOptions: TJvAutoCompleteFileOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDirectoryEdit.AutoCompleteOptions property

TJvDirectoryEdit	Edit topic

Not documented

Pascal

property AutoCompleteOptions: TJvAutoCompleteOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDirectoryEdit.ButtonFlat property

TJvDirectoryEdit	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property ButtonFlat: Boolean;

Description

Set ButtonFlat to true to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected.

Created with Doc-O-Matic.


See Also

Button


TJvDirectoryEdit.ButtonHint property

TJvDirectoryEdit	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the button.

Pascal

property ButtonHint: string;

Description

Use the ButtonHint property to provide a string of help text as a Help Hint for the combo edit control's button.

Created with Doc-O-Matic.


See Also

Button


TJvDirectoryEdit.ButtonWidth property

TJvDirectoryEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the combo edit control's button. Note that changing property ImageKind can change the ButtonWidth. For example, ButtonWidth is set to the default width of a drop-down button if ImageKind is set to ikDropDown.

Created with Doc-O-Matic.


See Also

Button


TJvDirectoryEdit.ClickKey property

TJvDirectoryEdit	Edit topic

Specifies the key combination users can type to simulate a button click.

Pascal

property ClickKey: TShortCut;

Description

Use ClickKey to allow the user to type a key combination instead of clicking the control's button.

When setting shortcuts at design time, the Object Inspector provides a long list of key combinations to choose from. To create shortcuts at runtime, use the global ShortCut or TextToShortCut function from Menus.pas. For example, the following line creates a shortcut, Ctrl+C and assigns it to a combo edit control named JvComboEdit1.

  JvComboEdit1.ClickKey := ShortCut(Word('C'), [ssCtrl]);

Created with Doc-O-Matic.


TJvDirectoryEdit.DialogKind property

TJvDirectoryEdit	See Also	Edit topic

Specifies the kind of the dialog associated with the combo edit control.

Pascal

property DialogKind: TDirDialogKind;

Description

Use the DialogKind property to specify the kind of dialog that is displayed when the user presses the button of the edit control.

Created with Doc-O-Matic.


See Also

TJvDirectoryEdit.DialogOptions, TJvDirectoryEdit.DialogText


TJvDirectoryEdit.DialogOptions property

TJvDirectoryEdit	See Also	Edit topic

Determines the appearance and behavior of the directory selection dialog box.

Pascal

property DialogOptions: TSelectDirOpts;

Description

The Options parameter is a set of values. If Options is the empty set, the user can only select a directory that already exists. No edit box is provided for the user to enter a new directory name. If Options is not empty, the included values determine how the dialog responds when the user types a nonexistent directory name.

Notes

Only used if Dialogkind is dkVCL.

Created with Doc-O-Matic.


See Also

TJvDirectoryEdit.DialogKind, TJvDirectoryEdit.DialogText


TJvDirectoryEdit.DialogText property

TJvDirectoryEdit	See Also	Edit topic

Specifies the text in the dialog’s title bar.

Pascal

property DialogText: string;

Description

Use Title to specify the text that appears in the dialog’s title bar.

Notes

Only used if DialogKind is dkWin32.

Created with Doc-O-Matic.


See Also

TJvDirectoryEdit.DialogKind, TJvDirectoryEdit.DialogOptions


TJvDirectoryEdit.DirectInput property

TJvDirectoryEdit	See Also	Edit topic

Specifies whether the user can use the edit box of the combo edit.

Pascal

property DirectInput: Boolean;

Description

Use DirectInput to read or change whether the user can use the edit box of the combo edit. By setting DirectInput to false, the edit box of the combo edit will become read-only, and the user can only use the button of the combo edit.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvDirectoryEdit.Flat property

TJvDirectoryEdit	Edit topic

Determines whether the control has a three-dimensional (3-D) or two-dimensional (flat) look.

Pascal

property Flat: Boolean;

Description

When Flat is true, the control appears flat and does not have borders. When Flat is false, the control has a 3-D look.

Created with Doc-O-Matic.


TJvDirectoryEdit.Glyph property

TJvDirectoryEdit	Edit topic

Specifies the bitmap that appears on the button of the combo edit control. (Obsolete.)

Pascal

property Glyph: TBitmap;

Description

Glyph is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvDirectoryEdit.GroupIndex property

TJvDirectoryEdit	Edit topic

Allows edit controls to work together as a group.

Pascal

property GroupIndex: Integer;

Description

When GroupIndex is set to -1, the edit control behaves as normal.

Edit controls with the same GroupIndex property value (other than -1), work together as a group. When the user enters one of these edit controls, the text on the other edits belonging to the same group will be cleared.

Created with Doc-O-Matic.


TJvDirectoryEdit.ImageIndex property

TJvDirectoryEdit	See Also	Edit topic

Indicates which image appears on the button.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to designate an image that should appear on the button of the edit button control. ImageIndex specifies a zero-offset index into the Images property. Set ImageKind to ikCustom, otherwise ImageIndex is not used.

Notes

This property is not stored if it is supplied by a TAction object.

Created with Doc-O-Matic.


See Also

Images, ImageKind


TJvDirectoryEdit.ImageKind property

TJvDirectoryEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvDirectoryEdit.Images property

TJvDirectoryEdit	See Also	Edit topic

Lists the images that can appear on the button.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the button of the combo button control. If Images is unassigned, no images are displayed on the button unless ImageKind is set to a value other than ikCustom.

Created with Doc-O-Matic.


See Also

ImageIndex, ImageKind


TJvDirectoryEdit.InitialDir property

TJvDirectoryEdit	Edit topic

Determines the selected directory when the dialog opens.

Pascal

property InitialDir: string;

Description

To make an item selected by default in the dialog’s box, assign a value to InitialDir in the Object Inspector or in program code.

If the user selects a directory in the dialog and clicks OK, then InitialDir directory is set to that directory.

Notes

Only used if the edit text is empty when the dialog is shown. If the edit text is not empty then that text determines the to be selected directory.

Created with Doc-O-Matic.


TJvDirectoryEdit.MultipleDirs property

TJvDirectoryEdit	See Also	Edit topic

Allows users to enter more than one directory in the edit box.

Pascal

property MultipleDirs: Boolean;

Description

Set MultipleDirs to true to allow the user to enter more than one directory in the edit box. Directories are separated by the ';' character. If the user selects a directory from the dialog, or drops directories on the edit box, than those directories are added to the already entered directory names.

Set MultipleDirs to false to only allow one directory to be entered.

Created with Doc-O-Matic.


See Also

TJvFileDirEdit.AcceptFiles


TJvDirectoryEdit.NumGlyphs property

TJvDirectoryEdit	Edit topic

Indicates the number of images that are in the graphic specified in the Glyph property. (Obsolete.)

Pascal

property NumGlyphs: TNumGlyphs;

Description

NumGlyphs is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvDirectoryEdit.OnKeyDown event

TJvDirectoryEdit	See Also	Edit topic

Occurs when a user presses any key while the control has focus.

Pascal

property OnKeyDown: TKeyEvent;

Description

Use the OnKeyDown event handler to specify special processing to occur when a key is pressed. The OnKeyDown handler can respond to all keyboard keys, including function keys and keys combined with the Shift, Alt, and Ctrl keys, and pressed mouse buttons.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvDirectoryEdit.ReadOnly property

TJvDirectoryEdit	See Also	Edit topic

Determines whether the user can change the text of the combo edit control.

Pascal

property ReadOnly: Boolean;

Description

To restrict the edit control to display only, set the ReadOnly property to true. Set ReadOnly to false to allow the contents of the edit control to be edited.

Setting ReadOnly to true ensures that the text is not altered, while still allowing the user to select text. The selected text can then be manipulated by the application, or copied to the Clipboard.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvDirectoryEdit.ShowButton property

TJvDirectoryEdit	Edit topic

Indicates whether the button should be shown.

Pascal

property ShowButton: Boolean;

Description

Set ShowButton to false to hide the button of the combo edit; set it to true to show it.

Created with Doc-O-Matic.


TJvDirectoryEdit.DefaultImageIndex method

TJvDirectoryEdit	Edit topic

Not documented

Pascal

class function DefaultImageIndex: TImageIndex; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDirectoryListBox
JEDI-VCL Reference

 TJvDirectoryListBox

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Represents a list box control that is aware of the directory structure of the current drive.

Pascal

TJvDirectoryListBox = class(TJvCustomListBox);

File

JvDriveCtrls

Description

Use TJvDirectoryListBox when you need to display a list of folders to the user. TJvDirectoryListBox implements the generic behavior introduced in TJvCustomListBox. TJvDirectoryListBox publishes many of the properties inherited from TJvCustomListBox and introduces new behavior to let the user change directories or drives.

Created with Doc-O-Matic.


TJvDirectoryListBox Properties

TJvDirectoryListBox	Legend

Properties

 AutoExpand

 CaseSensitive

 Directory

 DirLabel

Drive

 DriveCombo

 FileList

 Items

 PreserveCase

 ScrollBars

 ShowAllFolders

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvDirectoryListBox Events

TJvDirectoryListBox	Legend

Events

 OnChange

 OnDriveChangeError

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDirectoryListBox Methods

TJvDirectoryListBox	Legend

Methods

GetItemPath

OpenCurrent

Update

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDirectoryListBox

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomListBox
                TJvDirectoryListBox


TJvDirectoryListBox Members

TJvDirectoryListBox	Legend

Members

Properties

 AutoExpand

 CaseSensitive

 Directory

 DirLabel

Drive

 DriveCombo

 FileList

 Items

 PreserveCase

 ScrollBars

 ShowAllFolders

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnChange

 OnDriveChangeError

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

GetItemPath

OpenCurrent

Update

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvDriveCombo, TJvDriveList, TJvFileListBox


Package

Ctrls


TJvDirectoryListBox.AutoExpand property

TJvDirectoryListBox	Edit topic

Specifies if the selected folder expands when selected.

Pascal

property AutoExpand: Boolean;

Description

Use AutoExpand to specify if the user must double-click a folder in the list to show or hide subfolders.

Created with Doc-O-Matic.


TJvDirectoryListBox.CaseSensitive property

TJvDirectoryListBox	See Also	Edit topic

Indicates whether the system supports case-sensitive directory information.

Pascal

property CaseSensitive: Boolean;

Description

Read CaseSensitive to ascertain whether the current file system supports case-sensitive file names. CaseSensitive returns true if it does and false if it does not.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.PreserveCase


TJvDirectoryListBox.Directory property

TJvDirectoryListBox	See Also	Edit topic

Determines the current directory for the directory list box control.

Pascal

property Directory: string;

Description

The directory list box displays the value of the Directory property as the current directory in the list box.

If the form contains a file list box, you can set the FileList property to have the file list box automatically display the files from the directory specified by the Directory property. If the form contains a label, you can set the DirLabel property to have the currently selected directory displayed in the label. If the form has a drive combobox, you can set the DriveCombo property to have the currently selected drive displayed in the combobox.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.DirLabel, TJvDirectoryListBox.DriveCombo, TJvDirectoryListBox.FileList


TJvDirectoryListBox.DirLabel property

TJvDirectoryListBox	See Also	Edit topic

Provides a simple way to display the current directory as the caption of a label control.

Pascal

property DirLabel: TLabel;

Description

Use DirLabel to specify a label. When the current directory changes in the directory list box, the change is reflected in the caption of the label.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.DriveCombo, TJvDirectoryListBox.FileList


TJvDirectoryListBox.Drive property

TJvDirectoryListBox	See Also	Edit topic

Determines the drive for which the list box displays the directory structure.

Pascal

property Drive: Char;

Description

When the value of Drive changes, the Directory value changes to the current directory on the specified drive.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.Directory, TJvDirectoryListBox.FileList, TJvDirectoryListBox.OnDriveChangeError


TJvDirectoryListBox.DriveCombo property

TJvDirectoryListBox	See Also	Edit topic

Specifies a combobox that displays the current drive.

Pascal

property DriveCombo: TJvDriveCombo;

Description

When the current drive changes in the directory list box, the current drive in the DriveCombo changes. When the current drive in the DriveCombo changes, the current drive in the directory list box changes.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.Directory, TJvDirectoryListBox.DirLabel, TJvDirectoryListBox.FileList


TJvDirectoryListBox.FileList property

TJvDirectoryListBox	See Also	Edit topic

Provides a simple way to connect a directory list box with a file list box.

Pascal

property FileList: TJvFileListBox;

Description

Use FileList to specify a file list box in which to display the files of the current directory.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.Directory, TJvDirectoryListBox.DirLabel, TJvDirectoryListBox.DriveCombo


TJvDirectoryListBox.Items property

TJvDirectoryListBox	See Also	Edit topic

Provides indexed access to the currently visible directories.

Pascal

property Items;

Description

Use Items to access the currently visible items as an indexed array. The first visible item in the list has index 0 and the last visible item has index Items.Count - 1.

Created with Doc-O-Matic.


See Also

ItemIndex


TJvDirectoryListBox.OnChange event

TJvDirectoryListBox	See Also	Edit topic

Occurs when the current directory is changed.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for the OnChange event to take specific action when the currently selected item changes.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.OnDriveChangeError


TJvDirectoryListBox.OnDriveChangeError event

TJvDirectoryListBox	See Also	Edit topic

Occurs when a change of the current drive failed.

Pascal

TJvDriveChangeError = procedure (Sender: TObject; var NewDrive: Char) of object;
property OnDriveChangeError: TJvDriveChangeError;

Parameters

NewDrive

Determines the drive to which the component tries to set the current drive to.

Sender

Sender of this event.

Description

Write an OnDriveChangeError to respond when changing the current drive failed. Set NewDrive to #0 to cancel the drive change. If you do not set NewDrive to #0, TJvDirectoryListBox retries to set the current drive to the value of NewDrive.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.OnChange


TJvDirectoryListBox.PreserveCase property

TJvDirectoryListBox	See Also	Edit topic

Indicates whether the file system preserves the case of file names when writing to disk.

Pascal

property PreserveCase: Boolean;

Description

Read PreserveCase to ascertain whether the current file system preserves the case of file names. PreserveCase returns true if it does and false if it does not.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.CaseSensitive


TJvDirectoryListBox.ScrollBars property

TJvDirectoryListBox	See Also	Edit topic

Determines whether the list box control has scroll bars.

Pascal

property ScrollBars: TScrollStyle;

Description

Use ScrollBars to give a list box control horizontal or vertical scroll bars. ScrollBars can take one of the following values:
Value	Meaning
ssNone	The control has no scroll bars. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssHorizontal	The control may have a single scroll bar on the bottom edge.
ssVertical	The control has a single scroll bar on the right edge. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssBoth	The control may have a scroll bar on both the bottom and right edges.
Created with Doc-O-Matic.


See Also

TJvCustomListBox.MultiLine


TJvDirectoryListBox.ShowAllFolders property

TJvDirectoryListBox	Edit topic

Not documented

Pascal

property ShowAllFolders: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDirectoryListBox.GetItemPath method

TJvDirectoryListBox	See Also	Edit topic

Returns the path of a directory in the directory list box.

Pascal

function GetItemPath(Index: Integer): string;

Return Value

The path to the selected item or an empty string if Index is out of bounds.

Parameters

Index: Integer

Index of the directory in the list.

Description

Use GetItemPath to get the path of a directory by specifying the directory’s index value. The first directory in the list has an index of 0.

Created with Doc-O-Matic.


See Also

ItemIndex


TJvDirectoryListBox.OpenCurrent method

TJvDirectoryListBox	Edit topic

Opens the selected directory.

Pascal

procedure OpenCurrent;

Description

OpenCurrent opens the directory selected in the directory list box, as if the user had double-clicked the directory.

Created with Doc-O-Matic.


TJvDirectoryListBox.Update method

TJvDirectoryListBox	Edit topic

Updates the directory listing.

Pascal

procedure Update; reintroduce;

Description

Call Update to refresh the directory listing.

Created with Doc-O-Matic.


TJvDiskFullDialog
JEDI-VCL Reference

 TJvDiskFullDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays the Windows Disk Full dialog.

Pascal

TJvDiskFullDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

Use TJvDiskFullDialog to show the Windows Disk Full dialog. Do this by calling the Execute method.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvDiskFullDialog Properties

TJvDiskFullDialog	Legend

Properties

 DriveChar

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDiskFullDialog Methods

TJvDiskFullDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvDiskFullDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvDiskFullDialog


TJvDiskFullDialog Members

TJvDiskFullDialog	Legend

Members

Properties

 DriveChar

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvDiskFullDialog.DriveChar property

TJvDiskFullDialog	Edit topic

Determines the drive for which to show the Disk Full dialog.

Pascal

property DriveChar: Char;

Description

Use DriveChar to specify the drive for which to show the Disk Full dialog. DriveChar must be in the range 'A'..'Z', and must be a fixed drive.

Created with Doc-O-Matic.


TJvDiskFullDialog.Execute method

TJvDiskFullDialog	Edit topic

Shows the Windows Disk Full dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true if the drive specified by DriveChar is a fixed drive, otherwise false.

Description

Call Execute to show the Windows Disk Full Dialog.

Created with Doc-O-Matic.


TJvDiskPrompt
JEDI-VCL Reference

 TJvDiskPrompt

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a dialog that prompts the user for a disk.

Pascal

TJvDiskPrompt = class(TJvCommonDialogD);

File

JvDiskPrompt

Description

This component is used to display a dialog box that prompts a user for a disk during a setup routine. It is a wrapper for the SetupPromptForDisk API call.

Created with Doc-O-Matic.


TJvDiskPrompt Properties

TJvDiskPrompt	Legend

Properties

 DiskName

 FileSought

 NewPath

 PathToSource

 Style

 TagFile

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDiskPrompt Methods

TJvDiskPrompt	Legend

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvDiskPrompt

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogD
            TJvDiskPrompt


TJvDiskPrompt Members

TJvDiskPrompt	Legend

Members

Properties

 DiskName

 FileSought

 NewPath

 PathToSource

 Style

 TagFile

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvDiskPrompt.DiskName property

TJvDiskPrompt	See Also	Edit topic

The name of the disk to prompt for.

Pascal

property DiskName: string;

Description

This property contains the name of the disk the user will be prompted for.

Created with Doc-O-Matic.


See Also

TJvDiskPrompt.FileSought


TJvDiskPrompt.FileSought property

TJvDiskPrompt	See Also	Edit topic

File to look for.

Pascal

property FileSought: string;

Description

This property contains the file that the user needs to provide the location for.

Created with Doc-O-Matic.


See Also

TJvDiskPrompt.NewPath, TJvDiskPrompt.PathToSource


TJvDiskPrompt.NewPath property

TJvDiskPrompt	See Also	Edit topic

Contains the path chosen by the user.

Pascal

property NewPath: string;

Description

This property contains the new path chosen by the user in the dialog box.

Created with Doc-O-Matic.


See Also

TJvDiskPrompt.FileSought, TJvDiskPrompt.PathToSource


TJvDiskPrompt.PathToSource property

TJvDiskPrompt	See Also	Edit topic

Default path to look for the file.

Pascal

property PathToSource: string;

Description

This property contains the initial contents for the combo box used to hold the user-selected path.

Created with Doc-O-Matic.


See Also

TJvDiskPrompt.DiskName, TJvDiskPrompt.TagFile


TJvDiskPrompt.Style property

TJvDiskPrompt	Edit topic

Flags used for modifying the dialog box.

Pascal

property Style: TJvDiskStyles;

Description

These flags modify how the dialog box is presented to the user.

Created with Doc-O-Matic.


TJvDiskPrompt.TagFile property

TJvDiskPrompt	See Also	Edit topic

An optional file name of which presence is verified.

Pascal

property TagFile: string;

Description

This property contains the name of a file that will be used to verify presence of the proper disk. If the tag file is not found in the root directory of the disk, then presence in the user-supplied directory is verified. Use of this property is optional.

Created with Doc-O-Matic.


See Also

TJvDiskPrompt.PathToSource


TJvDiskPrompt.Execute method

TJvDiskPrompt	Edit topic

Shows the dialog box.

Pascal

function Execute: TJvDiskRes; override;

Return Value

Returns dsSuccess if the file has been found, dsCancel if the user pressed "Cancel", dsSkipFile if the user pressed "Skip File", and dsError if an error occurred.

Description

This method shows the SetupPromptForDisk dialog box.

Created with Doc-O-Matic.


TJvDivider
JEDI-VCL Reference

TJvDivider

Hierarchy	Properties	 See Also	Edit topic

Represents a spacer.

Pascal

TJvDivider = class(TJvGraphicControl);

File

JvScrollPanel

Description

Use TJvDivider to act as a spacer or divider. For example on a TJvScrollingWindow, so it can group controls on the scrolling panel both visually and functionally.

Created with Doc-O-Matic.


TJvDivider Properties

TJvDivider	Legend

Properties

 Kind

 Vertical

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDivider

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvDivider


TJvDivider Members

TJvDivider	Legend

Members

Properties

 Kind

 Vertical

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvScrollingWindow


TJvDivider.Kind property

TJvDivider	See Also	Edit topic

Determines the shape of the control.

Pascal

property Kind: TJvDivideKind;

Description

Kind specifies whether the control is a divider or a separator.

Created with Doc-O-Matic.


See Also

TJvDivider.Vertical


TJvDivider.Vertical property

TJvDivider	See Also	Edit topic

Determines whether the divider is oriented vertically or horizontally.

Pascal

property Vertical: Boolean;

Description

Property Vertical has only meaning if Kind is dkDivider. It then specifies whether the line at the center of the client area is oriented vertically or horizontally.

Created with Doc-O-Matic.


See Also

TJvDivider.Kind


TJvDockableForm
JEDI-VCL Reference

TJvDockableForm

Hierarchy	Properties	 Edit topic

Base dockable form.

Pascal

TJvDockableForm = class(TForm);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockableForm Properties

TJvDockableForm	Legend

Properties

DockableControl

 DockClient

 FloatingChild

UnDockControl

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockableForm

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TForm
    TJvDockableForm


TJvDockableForm Members

TJvDockableForm	Legend

Members

Properties

DockableControl

 DockClient

 FloatingChild

UnDockControl

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockableForm.DockableControl property

TJvDockableForm	Edit topic

Not documented

Pascal

property DockableControl: TWinControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockableForm.DockClient property

TJvDockableForm	Edit topic

Gives access to the dockable form manager.

Pascal

property DockClient: TJvDockClient;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockableForm.FloatingChild property

TJvDockableForm	Edit topic

Not documented

Pascal

property FloatingChild: TControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockableForm.UnDockControl property

TJvDockableForm	Edit topic

Not documented

Pascal

property UnDockControl: TControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockAdvConjoinPanel
JEDI-VCL Reference

TJvDockAdvConjoinPanel

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvDockAdvConjoinPanel = class(TJvDockConjoinPanel);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockAdvConjoinPanel Properties

TJvDockAdvConjoinPanel	Legend

Properties

TJvDockConjoinPanel

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockAdvConjoinPanel

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockConjoinPanel
        TJvDockAdvConjoinPanel


TJvDockAdvConjoinPanel Members

TJvDockAdvConjoinPanel	Legend

Members

Properties

TJvDockConjoinPanel

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockAdvPanel
JEDI-VCL Reference

TJvDockAdvPanel

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDockAdvPanel = class(TJvDockPanel);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockAdvPanel Methods

TJvDockAdvPanel	Legend

Methods

 GetDockedControls

TJvDockPanel

 GetDockedControls

ResetPosition

 ShowDockPanel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvDockAdvPanel Properties

TJvDockAdvPanel	Legend

Properties

TJvDockPanel

CustomFlag

DockServer

 PanelIndex

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockAdvPanel

Legend

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockPanel
        TJvDockAdvPanel


TJvDockAdvPanel Members

TJvDockAdvPanel	Legend

Members

Methods

 GetDockedControls

TJvDockPanel

 GetDockedControls

ResetPosition

 ShowDockPanel

Properties

TJvDockPanel

CustomFlag

DockServer

 PanelIndex

Legend

virtual

read only

Created with Doc-O-Matic.


Legend

virtual

read only


TJvDockAdvPanel.GetDockedControls method

TJvDockAdvPanel	Edit topic

Not documented

Pascal

procedure GetDockedControls(WinControls: TList); override;

Parameters

WinControls

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockAdvStyle
JEDI-VCL Reference

TJvDockAdvStyle

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDockAdvStyle = class(TJvDockBasicStyle);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockAdvStyle Properties

TJvDockAdvStyle	Legend

Properties

TJvDockBasicStyle

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockAdvStyle Methods

TJvDockAdvStyle	Legend

Methods

TJvDockBasicStyle

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockAdvStyle

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockObservableStyle
    TJvDockBasicStyle
        TJvDockAdvStyle


TJvDockAdvStyle Members

TJvDockAdvStyle	Legend

Members

Properties

TJvDockBasicStyle

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Methods

TJvDockBasicStyle

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockAdvTabPageControl
JEDI-VCL Reference

TJvDockAdvTabPageControl

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDockAdvTabPageControl = class(TJvDockTabPageControl);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockAdvTabPageControl Properties

TJvDockAdvTabPageControl	Legend

Properties

TJvDockTabPageControl

 DockStyle

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockAdvTabPageControl Methods

TJvDockAdvTabPageControl	Legend

Methods

TJvDockTabPageControl

 LoadFromStream

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockAdvTabPageControl

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockPageControl
    TJvDockTabPageControl
        TJvDockAdvTabPageControl


TJvDockAdvTabPageControl Members

TJvDockAdvTabPageControl	Legend

Members

Properties

TJvDockTabPageControl

 DockStyle

 ParentForm

Methods

TJvDockTabPageControl

 LoadFromStream

 SaveToStream

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockBaseControl
JEDI-VCL Reference

TJvDockBaseControl

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvDockBaseControl = class(TJvComponent);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl Properties

TJvDockBaseControl	Legend

Properties

BottomDock

CustomDock

DockStyle

EachOtherDock

EnableDock

LeftDock

 ParentForm

RightDock

TopDock

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Legend

TJvDockBaseControl

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvDockBaseControl


TJvDockBaseControl Members

TJvDockBaseControl	Legend

Members

Properties

BottomDock

CustomDock

DockStyle

EachOtherDock

EnableDock

LeftDock

 ParentForm

RightDock

TopDock

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvDockBaseControl.BottomDock property

TJvDockBaseControl	Edit topic

Specifies whether bottom docking is allowed.

Pascal

property BottomDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.CustomDock property

TJvDockBaseControl	Edit topic

Not documented

Pascal

property CustomDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.DockStyle property

TJvDockBaseControl	Edit topic

Not documented

Pascal

property DockStyle: TJvDockBasicStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.EachOtherDock property

TJvDockBaseControl	Edit topic

Specifies whether dockable forms can be docked onto each other.

Pascal

property EachOtherDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.EnableDock property

TJvDockBaseControl	Edit topic

Specifies whether client forms can be docked on the dock site.

Pascal

property EnableDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.LeftDock property

TJvDockBaseControl	Edit topic

Specifies whether left docking is allowed.

Pascal

property LeftDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.ParentForm property

TJvDockBaseControl	Edit topic

Gives access to the form that is managed by the docking component.

Pascal

property ParentForm: TForm;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.RightDock property

TJvDockBaseControl	Edit topic

Specifies whether right docking is allowed.

Pascal

property RightDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBaseControl.TopDock property

TJvDockBaseControl	Edit topic

Specifies whether top docking is allowed.

Pascal

property TopDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle
JEDI-VCL Reference

TJvDockBasicStyle

Hierarchy	Properties	Methods	 Edit topic

Provides the basic properties describing a docking style.

Pascal

TJvDockBasicStyle = class(TJvDockObservableStyle);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle Properties

TJvDockBasicStyle	Legend

Properties

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockBasicStyle Methods

TJvDockBasicStyle	Legend

Methods

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockBasicStyle

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockObservableStyle
    TJvDockBasicStyle


TJvDockBasicStyle Members

TJvDockBasicStyle	Legend

Members

Properties

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Methods

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockBasicStyle.ConjoinPanelClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panels.

Pascal

property ConjoinPanelClass: TJvDockConjoinPanelClass;

Description

Use ConjoinPanelClass in a derived class to determine the class used for conjoin panels created by the docking style component. Descendants of TJvDockBasicStyle initialize this value in the constructor so that when TJvDockBasicStyle needs to construct a conjoin panel, it can create the appropriate type of panel.

Created with Doc-O-Matic.


TJvDockBasicStyle.ConjoinPanelTreeClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panel trees.

Pascal

property ConjoinPanelTreeClass: TJvDockTreeClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.ConjoinPanelZoneClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panel zones.

Pascal

property ConjoinPanelZoneClass: TJvDockZoneClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.DockBaseControl property

TJvDockBasicStyle	Edit topic

Not documented

Pascal

property DockBaseControl [Index: Integer]: TJvDockBaseControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.DockBaseControlCount property

TJvDockBasicStyle	Edit topic

Not documented

Pascal

property DockBaseControlCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.DockPanelClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panel zones.

Pascal

property DockPanelClass: TJvDockPanelClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.DockPanelTreeClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panel zones.

Pascal

property DockPanelTreeClass: TJvDockTreeClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.DockPanelZoneClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panel zones.

Pascal

property DockPanelZoneClass: TJvDockZoneClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.DockSplitterClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panel zones.

Pascal

property DockSplitterClass: TJvDockSplitterClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.TabDockClass property

TJvDockBasicStyle	Edit topic

Specifies the class for the conjoin panel zones.

Pascal

property TabDockClass: TJvDockTabClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.CanSetBottomDocked method

TJvDockBasicStyle	See Also	Edit topic

Returns whether the BottomDock property of a docking component can be set.

Pascal

function CanSetBottomDocked(ADockBaseControl: TJvDockBaseControl): Boolean; virtual;

Return Value

True if the BottomDock property of ADockBaseControl can be changed, false otherwise.

Parameters

ADockBaseControl: TJvDockBaseControl

The docking component whose BottomDock property will be changed.

Description

The dock components use CanSetBottomDocked to determine whether a BottomDock properties can be altered.

The docking style associated with a dock component (TJvDockClient or TJvDockServer) determines whether the BottomDock property of that dock component can be changed.

Created with Doc-O-Matic.


See Also

TJvDockClient.BottomDock, TJvDockServer.BottomDock


TJvDockBasicStyle.CanSetEachOtherDocked method

TJvDockBasicStyle	See Also	Edit topic

Returns whether the EachOtherDock property of a docking component can be set.

Pascal

function CanSetEachOtherDocked(ADockBaseControl: TJvDockBaseControl): Boolean; virtual;

Return Value

True if the EachOtherDock property of ADockBaseControl can be changed, false otherwise.

Parameters

ADockBaseControl: TJvDockBaseControl

The docking component whose EachOtherDock property will be changed.

Description

The dock components use CanSetEachOtherDocked to determine whether a EachOtherDock properties can be altered.

The docking style associated with a dock component (TJvDockClient or TJvDockServer) determines whether the EachOtherDock property of that dock component can be changed.

Created with Doc-O-Matic.


See Also

TJvDockClient.EachOtherDock, TJvDockServer.EachOtherDock


TJvDockBasicStyle.CanSetEnableDocked method

TJvDockBasicStyle	See Also	Edit topic

Returns whether the EnableDock property of a docking component can be set.

Pascal

function CanSetEnableDocked(ADockBaseControl: TJvDockBaseControl): Boolean; virtual;

Return Value

True if the EnableDock property of ADockBaseControl can be changed, false otherwise.

Parameters

ADockBaseControl: TJvDockBaseControl

The docking component whose EnableDock property will be changed.

Description

The dock components use CanSetEnableDocked to determine whether a EnableDock properties can be altered.

The docking style associated with a dock component (TJvDockClient or TJvDockServer) determines whether the EnableDock property of that dock component can be changed.

Created with Doc-O-Matic.


See Also

TJvDockClient.EnableDock, TJvDockServer.EnableDock


TJvDockBasicStyle.CanSetLeftDocked method

TJvDockBasicStyle	See Also	Edit topic

Returns whether the LeftDock property of a docking component can be set.

Pascal

function CanSetLeftDocked(ADockBaseControl: TJvDockBaseControl): Boolean; virtual;

Return Value

True if the LeftDock property of ADockBaseControl can be changed, false otherwise.

Parameters

ADockBaseControl: TJvDockBaseControl

The docking component whose LeftDock property will be changed.

Description

The dock components use CanSetLeftDocked to determine whether a LeftDock properties can be altered.

The docking style associated with a dock component (TJvDockClient or TJvDockServer) determines whether the LeftDock property of that dock component can be changed.

Created with Doc-O-Matic.


See Also

TJvDockClient.LeftDock, TJvDockServer.LeftDock


TJvDockBasicStyle.CanSetRightDocked method

TJvDockBasicStyle	See Also	Edit topic

Returns whether the RightDock property of a docking component can be set.

Pascal

function CanSetRightDocked(ADockBaseControl: TJvDockBaseControl): Boolean; virtual;

Return Value

True if the RightDock property of ADockBaseControl can be changed, false otherwise.

Parameters

ADockBaseControl: TJvDockBaseControl

The docking component whose RightDock property will be changed.

Description

The dock components use CanSetRightDocked to determine whether a RightDock properties can be altered.

The docking style associated with a dock component (TJvDockClient or TJvDockServer) determines whether the RightDock property of that dock component can be changed.

Created with Doc-O-Matic.


See Also

TJvDockClient.RightDock, TJvDockServer.RightDock


TJvDockBasicStyle.CanSetTopDocked method

TJvDockBasicStyle	See Also	Edit topic

Returns whether the TopDock property of a docking component can be set.

Pascal

function CanSetTopDocked(ADockBaseControl: TJvDockBaseControl): Boolean; virtual;

Return Value

True if the TopDock property of ADockBaseControl can be changed, false otherwise.

Parameters

ADockBaseControl: TJvDockBaseControl

The docking component whose TopDock property will be changed.

Description

The dock components use CanSetTopDocked to determine whether a TopDock properties can be altered.

The docking style associated with a dock component (TJvDockClient or TJvDockServer) determines whether the TopDock property of that dock component can be changed.

Created with Doc-O-Matic.


See Also

TJvDockClient.TopDock, TJvDockServer.TopDock


TJvDockBasicStyle.DoHideDockForm method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

procedure DoHideDockForm(DockWindow: TWinControl); virtual;

Parameters

DockWindow: TWinControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.DoShowDockForm method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

procedure DoShowDockForm(DockWindow: TWinControl); virtual;

Parameters

DockWindow: TWinControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.GetDockFormVisible method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

function GetDockFormVisible(ADockClient: TJvDockClient): Boolean; virtual;

Parameters

ADockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.GetDockState method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

function GetDockState(DockClient: TJvDockClient): Integer; virtual;

Parameters

DockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.HideDockForm method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

procedure HideDockForm(ADockClient: TJvDockClient); virtual;

Parameters

ADockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.ResetCursor method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

procedure ResetCursor(Source: TJvDockDragDockObject); virtual;

Parameters

Source: TJvDockDragDockObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.RestoreClient method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

procedure RestoreClient(DockClient: TJvDockClient); virtual;

Parameters

DockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockBasicStyle.ShowDockForm method

TJvDockBasicStyle	Edit topic

Not documented

Pascal

procedure ShowDockForm(ADockClient: TJvDockClient); virtual;

Parameters

ADockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient
JEDI-VCL Reference

 TJvDockClient

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Manages a dockable child form.

Pascal

TJvDockClient = class(TJvDockBaseControl);

File

JvDockControlForm

Description

Drop a TJvDockClient component on a form to make it dockable: The form can be docked at run-time onto another form that contains a TJvDockServer component. Remember to set the DockStyle property of your DockServer and your DockClient to the same docking style. The DockStyle is one of the "TJvDock___Style" components that is usually on the same form as your JvDockServer.

A form can not contain both a TJvDockServer and a TJvDockClient component, because a form can not play two roles at the same time. Both your DockClient and your DockServer can define where one form can dock against or inside of another form, and in which ways the forms may not be docked together.

Created with Doc-O-Matic.


TJvDockClient Properties

TJvDockClient	Legend

Properties

 BottomDock

 CanFloat

CurrentDockSite

 CustomDock

 DirectDrag

 DockLevel

 DockState

 DockStyle

 EachOtherDock

 EnableCloseButton

 EnableDock

LastDockSite

 LeftDock

 LRDockWidth

 NCPopupMenu

 OnNCButtonDblClk

 OnNCButtonDown

 OnNCButtonUp

 OnPaintDockGrabber

 OnPaintDockSplitter

ParentVisible

 RightDock

 ShowHint

 TBDockHeight

 TopDock

UnDockLeft

UnDockTop

VSPaneWidth

TJvDockBaseControl

BottomDock

CustomDock

DockStyle

EachOtherDock

EnableDock

LeftDock

 ParentForm

RightDock

TopDock

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvDockClient Events

TJvDockClient	Legend

Events

 OnCheckIsDockable

 OnFormHide

 OnFormShow

 OnFormShowHint

 OnNCMouseMove

 OnTabHostFormCreated

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDockClient Methods

TJvDockClient	Legend

Methods

 CreateConjoinHostAndDockControl

CreateConjoinPanelClass

CreateTabDockClass

 CreateTabHostAndDockControl

DoFormShowHint

 DoNCButtonDblClk

 DoNCButtonDown

 DoNCButtonUp

 DoNCMouseMove

DoPaintDockGrabber

DoPaintDockSplitter

FindTabHostForm

 FormDockDrop

 FormDockOver

 FormEndDock

 FormGetDockEdge

 FormGetSiteInfo

 FormPositionDockRect

 FormStartDock

 FormUnDock

HideParentForm

MakeHideEvent

MakeShowEvent

RestoreChild

ShowParentForm

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockClient

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvDockBaseControl
            TJvDockClient


TJvDockClient Members

TJvDockClient	Legend

Members

Properties

 BottomDock

 CanFloat

CurrentDockSite

 CustomDock

 DirectDrag

 DockLevel

 DockState

 DockStyle

 EachOtherDock

 EnableCloseButton

 EnableDock

LastDockSite

 LeftDock

 LRDockWidth

 NCPopupMenu

 OnNCButtonDblClk

 OnNCButtonDown

 OnNCButtonUp

 OnPaintDockGrabber

 OnPaintDockSplitter

ParentVisible

 RightDock

 ShowHint

 TBDockHeight

 TopDock

UnDockLeft

UnDockTop

VSPaneWidth

TJvDockBaseControl

BottomDock

CustomDock

DockStyle

EachOtherDock

EnableDock

LeftDock

 ParentForm

RightDock

TopDock

TJvComponent

 AboutJVCL

Events

 OnCheckIsDockable

 OnFormHide

 OnFormShow

 OnFormShowHint

 OnNCMouseMove

 OnTabHostFormCreated

Methods

 CreateConjoinHostAndDockControl

CreateConjoinPanelClass

CreateTabDockClass

 CreateTabHostAndDockControl

DoFormShowHint

 DoNCButtonDblClk

 DoNCButtonDown

 DoNCButtonUp

 DoNCMouseMove

DoPaintDockGrabber

DoPaintDockSplitter

FindTabHostForm

 FormDockDrop

 FormDockOver

 FormEndDock

 FormGetDockEdge

 FormGetSiteInfo

 FormPositionDockRect

 FormStartDock

 FormUnDock

HideParentForm

MakeHideEvent

MakeShowEvent

RestoreChild

ShowParentForm

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


Package

Docking


TJvDockClient.BottomDock property

TJvDockClient	See Also	Edit topic

Specifies whether the form can be bottom docked.

Pascal

property BottomDock: Boolean;

Description

Use BottomDock to specify whether the form can be docked on the bottom of a server form.

The docking style associated with the TJvDockClient component might prevent altering the BottomDock property.

Created with Doc-O-Matic.


See Also

TJvDockClient.EnableDock, TJvDockServer.BottomDock


TJvDockClient.CanFloat property

TJvDockClient	Edit topic

Not documented

Pascal

property CanFloat: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.CurrentDockSite property

TJvDockClient	Edit topic

Not documented

Pascal

property CurrentDockSite: TWinControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.CustomDock property

TJvDockClient	Edit topic

Not documented

Pascal

property CustomDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.DirectDrag property

TJvDockClient	Edit topic

Specifies whether docking should begin immediately

Pascal

property DirectDrag: Boolean;

Description

DirectDrag specifies whether the dock operation performs at once when user drag the dockable form. If DirectDrag property is False, application won't deal with dock operation directly. The dock operation won't perform until mouse has determinately moved a certain distance (default value is 5 pixel).(Otherwise if DirectDrag property is True, application will perform dock operation directly.)

Created with Doc-O-Matic.


TJvDockClient.DockLevel property

TJvDockClient	Edit topic

Not documented

Pascal

property DockLevel: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.DockState property

TJvDockClient	Edit topic

Specifies the state of the client dock form.

Pascal

property DockState: Integer;

Description

DockState property determines which state 'Dock Client Form' is currently, it can be floating state, docking state, or other state.

Value	Meaning
DS_Unknow	Unknown state
DS_Docking	Docking state
DS_Floating	Floating state
Created with Doc-O-Matic.


TJvDockClient.DockStyle property

TJvDockClient	Edit topic

Not documented

Pascal

property DockStyle: TJvDockBasicStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.EachOtherDock property

TJvDockClient	See Also	Edit topic

Specifies whether the form can be docked on to another dock client form.

Pascal

property EachOtherDock: Boolean;

Description

Use EachOtherDock to specify whether the form can be docked onto another form that contains a TJvDockClient component.

The docking style associated with the TJvDockClient component might prevent altering the EachOtherDock property.

Created with Doc-O-Matic.


See Also

TJvDockClient.EnableDock, TJvDockServer.EachOtherDock


TJvDockClient.EnableCloseButton property

TJvDockClient	Edit topic

Not documented

Pascal

property EnableCloseButton: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.EnableDock property

TJvDockClient	See Also	Edit topic

Specifies whether the form can be docked.

Pascal

property EnableDock: Boolean;

Description

Use EnableDock to specify whether the form can be docked onto another form (that is managed by a server or client dock component).

The docking style associated with the TJvDockClient component might prevent altering the EnableDock property.

Created with Doc-O-Matic.


See Also

TJvDockServer.EnableDock


TJvDockClient.LastDockSite property

TJvDockClient	Edit topic

Not documented

Pascal

property LastDockSite: TWinControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.LeftDock property

TJvDockClient	See Also	Edit topic

Specifies whether the form can be left docked.

Pascal

property LeftDock: Boolean;

Description

Use LeftDock to specify whether the form can be docked on the right of a server form.

The docking style associated with the TJvDockClient component might prevent altering the RightDock property.

Created with Doc-O-Matic.


See Also

TJvDockClient.EnableDock, TJvDockServer.RightDock


TJvDockClient.LRDockWidth property

TJvDockClient	Edit topic

Not documented

Pascal

property LRDockWidth: Integer;

Description

LRDockWidth property specifies the width of 'Dock Client Form' when it is horizontally docked.

This property will take effects only when Client Form docks to left or right of the Server Form. (Read LRDockWidth to get the width of the 'Dock Client Form' from the last time it was horizontal docked. Set LRDockWidth to indicate the width that 'Dock Client Form' dock to 'Dock Server Form' horizontally next time.)

Created with Doc-O-Matic.


TJvDockClient.NCPopupMenu property

TJvDockClient	Edit topic

Not documented

Pascal

property NCPopupMenu: TPopupMenu;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.OnCheckIsDockable event

TJvDockClient	Edit topic

Not documented

Pascal

TJvDockCheckDockableEvent = procedure (DockClient: TJvDockClient; DockForm: TForm; DockServer: TJvDockServer; DockPanel: TJvDockPanel; var CanDock: Boolean) of object;
property OnCheckIsDockable: TJvDockCheckDockableEvent;

Parameters

DockPanel

Not documented

CanDock

Not documented

DockServer

Not documented

DockClient

Not documented

DockForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.OnFormHide event

TJvDockClient	Edit topic

Occurs when the client form is hidden.

Pascal

property OnFormHide: TNotifyEvent;

Description

OnFormHide event is a TNotifyEvent event. It occurs when Client Form change from visible to invisible.

Created with Doc-O-Matic.


TJvDockClient.OnFormShow event

TJvDockClient	Edit topic

Not documented

Pascal

property OnFormShow: TNotifyEvent;

Description

OnFormShow event is a TNotifyEvent event. It occurs when Client Form change from invisible to visible.

This event is just as the same as the event of TForm.OnShow. user can use both TlbDockClient.OnFormShow event and TForm.OnShow event.

When Client Form is shown, some property of toolbar and menu may be changed. In view of that, this event has its own special function.

Created with Doc-O-Matic.


TJvDockClient.OnFormShowHint event

TJvDockClient	Edit topic

Not documented

Pascal

TJvDockFormHintEvent = procedure (HTFlag: Integer; var HintStr: string; var CanShow: Boolean) of object;
property OnFormShowHint: TJvDockFormHintEvent;

Parameters

CanShow

If this parameter is changed, this information will be returned to application. CanShow parameter determines whether the hint information will be shown. When it is True, the hint information will be shown, and otherwise it won't.

HintStr

If this parameter is changed by user, the information will be returned to application. Then application will show HintStr as the hint information.

HTFlag

Determines position of mouse. See HitTest list for more information.

Description

OnFormShowHint event is a TFormHintEvent event. It occurs when application need to show hint information.

Notes

In this event, ShowHint property affects HintStr parameter and CanShow parameter. If ShowHint property is False, application will not show hint information even if HintStr isn't empty and CanShow parameter is True.

OnFormShowHint event can supports foreign language application, user can change HintStr parameter in a foreign language.

Created with Doc-O-Matic.


TJvDockClient.OnNCButtonDblClk property

TJvDockClient	Edit topic

Occurs when the user double-clicks the mouse button while the cursor is within the nonclient area of a window.

Pascal

property OnNCButtonDblClk: TJvDockNCButtonDblClkEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.OnNCButtonDown property

TJvDockClient	Edit topic

Occurs when the user presses the mouse button while the cursor is within the nonclient area of a window.

Pascal

property OnNCButtonDown: TJvDockNCButtonDownEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.OnNCButtonUp property

TJvDockClient	Edit topic

Occurs when the user releases the left mouse button while the cursor is within the nonclient area of a window.

Pascal

property OnNCButtonUp: TJvDockNCButtonUpEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.OnNCMouseMove event

TJvDockClient	Edit topic

Occurs when the cursor is moved within the nonclient area of the window.

Pascal

TJvDockNCMouseMoveEvent = procedure (DockClient: TJvDockClient; X, Y: Smallint; HitTest: Longint; MouseStation: TJvDockMouseStation) of object;
property OnNCMouseMove: TJvDockNCMouseMoveEvent;

Parameters

HitTest

Not documented

MouseStation

Not documented

Y

Not documented

DockClient

Not documented

X

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.OnPaintDockGrabber property

TJvDockClient	Edit topic

Occurs when the grabber is repainted.

Pascal

property OnPaintDockGrabber: TJvDockPaintDockGrabberEvent;

Description

Generally, component will redraw the area automatically. But sometimes user need to change it occasionally, then user may add codes here for customize redraw.

Created with Doc-O-Matic.


TJvDockClient.OnPaintDockSplitter property

TJvDockClient	Edit topic

Occurs when the splitter is repainted.

Pascal

property OnPaintDockSplitter: TJvDockPaintDockSplitterEvent;

Description

Generally, component will repainted the area automatically, but sometimes user need to change it occasionally, then user may add codes here for customize repaint.

Created with Doc-O-Matic.


TJvDockClient.OnTabHostFormCreated event

TJvDockClient	Edit topic

Not documented

Pascal

TJvDockTabHostFormCreatedEvent = procedure (DockClient: TJvDockClient; TabHost: TJvDockTabHostForm) of object;
property OnTabHostFormCreated: TJvDockTabHostFormCreatedEvent;

Parameters

TabHost

Not documented

DockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.ParentVisible property

TJvDockClient	Edit topic

Not documented

Pascal

property ParentVisible: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.RightDock property

TJvDockClient	See Also	Edit topic

Specifies whether the form can be right docked.

Pascal

property RightDock: Boolean;

Description

Use RightDock to specify whether the form can be docked on the right of a server form.

The docking style associated with the TJvDockClient component might prevent altering the RightDock property.

Created with Doc-O-Matic.


See Also

TJvDockClient.EnableDock, TJvDockServer.RightDock


TJvDockClient.ShowHint property

TJvDockClient	Edit topic

Determines whether the form displays a Help Hint when the mouse pointer rests momentarily on the control.

Pascal

property ShowHint: Boolean;

Description

ShowHint property is a boolean variable and it is similar with TControl.ShowHint property. It is to determine whether the hint information is needed to display or not. Generally, the hint information will be shown when mouse moves to Grabber. The default hint information is Title Caption of Client Form. User can change the hint information after changing the correlation code in OnFormShowHint event.

Created with Doc-O-Matic.


TJvDockClient.TBDockHeight property

TJvDockClient	Edit topic

Height of the Dock Client Form when it is docked vertically.

Pascal

property TBDockHeight: Integer;

Description

TBDockHeight property specifies the height of 'Dock Client Form' when it is docked vertically.

This property will take effect only when Client Form docks to top or bottom of the Server Form.. (Read TBDockHeight to get the width of the 'Dock Client Form' from the last time it was docked vertical. Set TBDockHeight to indicate the width the 'Dock Client Form' dock to 'Dock Server Form' vertically next time.)

Created with Doc-O-Matic.


TJvDockClient.TopDock property

TJvDockClient	See Also	Edit topic

Specifies whether the form can be top docked.

Pascal

property TopDock: Boolean;

Description

Use TopDock to specify whether the form can be docked on the top of a server form.

The docking style associated with the TJvDockClient component might prevent altering the TopDock property.

Created with Doc-O-Matic.


See Also

TJvDockClient.EnableDock, TJvDockServer.TopDock


TJvDockClient.UnDockLeft property

TJvDockClient	Edit topic

Not documented

Pascal

property UnDockLeft: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.UnDockTop property

TJvDockClient	Edit topic

Not documented

Pascal

property UnDockTop: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.VSPaneWidth property

TJvDockClient	Edit topic

Not documented

Pascal

property VSPaneWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.CreateConjoinHostAndDockControl method

TJvDockClient	Edit topic

Not documented

Pascal

function CreateConjoinHostAndDockControl(Control1: TControl; Control2: TControl; DockType: TAlign): TJvDockConjoinHostForm; virtual;

Parameters

Control1: TControl

Not documented

Control2: TControl

Not documented

DockType: TAlign

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.CreateConjoinPanelClass method

TJvDockClient	Edit topic

Not documented

Pascal

function CreateConjoinPanelClass(ConjoinHost: TForm): TJvDockConjoinPanel;

Parameters

ConjoinHost: TForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.CreateTabDockClass method

TJvDockClient	Edit topic

Not documented

Pascal

function CreateTabDockClass(TabHost: TForm): TJvDockTabPageControl;

Parameters

TabHost: TForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.CreateTabHostAndDockControl method

TJvDockClient	Edit topic

Not documented

Pascal

function CreateTabHostAndDockControl(Control1: TControl; Control2: TControl): TJvDockTabHostForm; virtual;

Parameters

Control1: TControl

Not documented

Control2: TControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.DoFormShowHint method

TJvDockClient	Edit topic

Generates an OnFormShowHint event.

Pascal

procedure DoFormShowHint(HTFlag: Integer; var HintStr: string; var CanShow: Boolean);

Parameters

HTFlag: Integer

Not documented

var HintStr: string

Not documented

var CanShow: Boolean

Not documented

Description

Do not call OnFormShowHint. It is called automatically.

Created with Doc-O-Matic.


TJvDockClient.DoNCButtonDblClk method

TJvDockClient	Edit topic

Generates an OnNCButtonDblClk event.

Pascal

procedure DoNCButtonDblClk(Msg: TWMNCHitMessage; Button: TMouseButton; MouseStation: TJvDockMouseStation); virtual;

Parameters

Msg: TWMNCHitMessage

Not documented

Button: TMouseButton

Not documented

MouseStation: TJvDockMouseStation

Not documented

Description

Do not call OnNCButtonDblClk. It is called automatically.

Created with Doc-O-Matic.


TJvDockClient.DoNCButtonDown method

TJvDockClient	Edit topic

Generates an OnNCButtonDown event.

Pascal

procedure DoNCButtonDown(Msg: TWMNCHitMessage; Button: TMouseButton; MouseStation: TJvDockMouseStation); virtual;

Parameters

Msg: TWMNCHitMessage

Not documented

Button: TMouseButton

Not documented

MouseStation: TJvDockMouseStation

Not documented

Description

Do not call OnNCButtonDown. It is called automatically.

Created with Doc-O-Matic.


TJvDockClient.DoNCButtonUp method

TJvDockClient	Edit topic

Generates an OnNCButtonUp event.

Pascal

procedure DoNCButtonUp(Msg: TWMNCHitMessage; Button: TMouseButton; MouseStation: TJvDockMouseStation); virtual;

Parameters

Msg: TWMNCHitMessage

Not documented

Button: TMouseButton

Not documented

MouseStation: TJvDockMouseStation

Not documented

Description

Do not call OnNCButtonUp. It is called automatically.

Created with Doc-O-Matic.


TJvDockClient.DoNCMouseMove method

TJvDockClient	Edit topic

Generates an OnNCMouseMove event.

Pascal

procedure DoNCMouseMove(Msg: TWMNCHitMessage; MouseStation: TJvDockMouseStation); virtual;

Parameters

Msg: TWMNCHitMessage

Not documented

MouseStation: TJvDockMouseStation

Not documented

Description

Do not call OnNCMouseMove. It is called automatically.

Created with Doc-O-Matic.


TJvDockClient.DoPaintDockGrabber method

TJvDockClient	Edit topic

Generates an OnPaintDockGrabber event.

Pascal

procedure DoPaintDockGrabber(Canvas: TCanvas; Control: TControl; const ARect: TRect);

Parameters

Canvas: TCanvas

Not documented

Control: TControl

Not documented

const ARect: TRect

Not documented

Description

Do not call DoPaintDockGrabber. It is called automatically.

Created with Doc-O-Matic.


TJvDockClient.DoPaintDockSplitter method

TJvDockClient	Edit topic

Generates an OnPaintDockSplitter event.

Pascal

procedure DoPaintDockSplitter(Canvas: TCanvas; Control: TControl; const ARect: TRect);

Parameters

Canvas: TCanvas

Not documented

Control: TControl

Not documented

const ARect: TRect

Not documented

Description

Do not call DoPaintDockSplitter. It is called automatically.

Created with Doc-O-Matic.


TJvDockClient.FindTabHostForm method

TJvDockClient	Edit topic

Not documented

Pascal

function FindTabHostForm: TForm;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormDockDrop method

TJvDockClient	Edit topic

Not documented

Pascal

procedure FormDockDrop(Source: TJvDockDragDockObject; X: Integer; Y: Integer); virtual;

Parameters

Source: TJvDockDragDockObject

Not documented

X: Integer

Not documented

Y: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormDockOver method

TJvDockClient	Edit topic

Not documented

Pascal

procedure FormDockOver(Source: TJvDockDragDockObject; X: Integer; Y: Integer; State: TDragState; var Accept: Boolean); virtual;

Parameters

Source: TJvDockDragDockObject

Not documented

X: Integer

Not documented

Y: Integer

Not documented

State: TDragState

Not documented

var Accept: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormEndDock method

TJvDockClient	Edit topic

Not documented

Pascal

procedure FormEndDock(Target: TObject; X: Integer; Y: Integer); virtual;

Parameters

Target: TObject

Not documented

X: Integer

Not documented

Y: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormGetDockEdge method

TJvDockClient	Edit topic

Not documented

Pascal

procedure FormGetDockEdge(Source: TJvDockDragDockObject; MousePos: TPoint; var DropAlign: TAlign); virtual;

Parameters

Source: TJvDockDragDockObject

Not documented

MousePos: TPoint

Not documented

var DropAlign: TAlign

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormGetSiteInfo method

TJvDockClient	Edit topic

Not documented

Pascal

procedure FormGetSiteInfo(Source: TJvDockDragDockObject; Client: TControl; var InfluenceRect: TRect; MousePos: TPoint; var CanDock: Boolean); virtual;

Parameters

Source: TJvDockDragDockObject

Not documented

Client: TControl

Not documented

var InfluenceRect: TRect

Not documented

MousePos: TPoint

Not documented

var CanDock: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormPositionDockRect method

TJvDockClient	Edit topic

Not documented

Pascal

procedure FormPositionDockRect(Source: TJvDockDragDockObject); virtual;

Parameters

Source: TJvDockDragDockObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormStartDock method

TJvDockClient	Edit topic

Not documented

Pascal

procedure FormStartDock(var Source: TJvDockDragDockObject); virtual;

Parameters

var Source: TJvDockDragDockObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.FormUnDock method

TJvDockClient	Edit topic

Not documented

Pascal

function FormUnDock(NewTarget: TWinControl; Client: TControl): Boolean; virtual;

Parameters

NewTarget: TWinControl

Not documented

Client: TControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.HideParentForm method

TJvDockClient	Edit topic

Not documented

Pascal

procedure HideParentForm;

Description

HideParentForm method's function is as the same as the function of the global method of HideDockForm. They all hide dock client (In fact, HideParentForm use the method of Hide DockForm too).Their difference is that HideDockForm has a parameter to sure one dock client, but HideParentForm doesn't have such parameter, the reason is that HideParentForm is a function of TJvDockClient, it only hide ParentForm of TJvDockClient.

Created with Doc-O-Matic.


TJvDockClient.MakeHideEvent method

TJvDockClient	Edit topic

Not documented

Pascal

procedure MakeHideEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.MakeShowEvent method

TJvDockClient	Edit topic

Not documented

Pascal

procedure MakeShowEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockClient.RestoreChild method

TJvDockClient	Edit topic

Restore the previous dock state.

Pascal

procedure RestoreChild;

Description

RestoreChild procedure is used to restore the previous dock state. If the current 'Dock Client Form' is float state and the previous dock state is docked, after invoking RestoreChild procedure, 'Dock Client Form' will restore as previous state which is dock state. And vice versa;

Created with Doc-O-Matic.


TJvDockClient.ShowParentForm method

TJvDockClient	Edit topic

Not documented

Pascal

procedure ShowParentForm;

Description

ShowParentForm method's function is as the same as the function of the global method of ShowDockForm. They all show dock client (In fact, ShowParentForm uses the method of ShowDockForm too).Their difference is that ShowDockForm has a parameter to sure one dock client, but ShowParentForm doesn't have such parameter. The reason is that ShowDockForm is a function of TJvDockClient and it only show ParentForm of TJvDockForm.

Created with Doc-O-Matic.


TJvDockConjoinHostForm
JEDI-VCL Reference

TJvDockConjoinHostForm

Hierarchy	Properties	 Edit topic

A conjoin docking site form

Pascal

TJvDockConjoinHostForm = class(TJvDockableForm);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockConjoinHostForm Properties

TJvDockConjoinHostForm	Legend

Properties

DockClient

Panel

TJvDockableForm

DockableControl

 DockClient

 FloatingChild

UnDockControl

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockConjoinHostForm

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TForm
    TJvDockableForm
        TJvDockConjoinHostForm


TJvDockConjoinHostForm Members

TJvDockConjoinHostForm	Legend

Members

Properties

DockClient

Panel

TJvDockableForm

DockableControl

 DockClient

 FloatingChild

UnDockControl

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockConjoinHostForm.DockClient property

TJvDockConjoinHostForm	Edit topic

Gives access to the dockable form manager.

Pascal

property DockClient: TJvDockClient;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockConjoinHostForm.Panel property

TJvDockConjoinHostForm	Edit topic

Gives access to the panel of the conjoin docking site form.

Pascal

property Panel: TJvDockConjoinPanel;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockConjoinPanel
JEDI-VCL Reference

TJvDockConjoinPanel

Hierarchy	Properties	 Edit topic

The panel for a conjoin docking site.

Pascal

TJvDockConjoinPanel = class(TJvDockCustomPanel);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockConjoinPanel Properties

TJvDockConjoinPanel	Legend

Properties

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockConjoinPanel

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockConjoinPanel


TJvDockConjoinPanel Members

TJvDockConjoinPanel	Legend

Members

Properties

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockConjoinPanel.DockClient property

TJvDockConjoinPanel	Edit topic

Gives access to the dockable form manager.

Pascal

property DockClient: TJvDockClient;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockConjoinPanel.ParentForm property

TJvDockConjoinPanel	Edit topic

Gives access to the parent form of the conjoin panel.

Pascal

property ParentForm: TJvDockConjoinHostForm;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockDelphiConjoinPanel
JEDI-VCL Reference

TJvDockDelphiConjoinPanel

Hierarchy	Properties	 Edit topic

A conjoin docking panel.

Pascal

TJvDockDelphiConjoinPanel = class(TJvDockConjoinPanel);

File

JvDockDelphiStyle

Description

TJvDockDelphiConjoinPanel is used by the TJvDockDelphiStyle to define the behavior for conjoin panels when using Delphi style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


TJvDockDelphiConjoinPanel Properties

TJvDockDelphiConjoinPanel	Legend

Properties

TJvDockConjoinPanel

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockDelphiConjoinPanel

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockConjoinPanel
        TJvDockDelphiConjoinPanel


TJvDockDelphiConjoinPanel Members

TJvDockDelphiConjoinPanel	Legend

Members

Properties

TJvDockConjoinPanel

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockDelphiDragDockObject
JEDI-VCL Reference

TJvDockDelphiDragDockObject

Hierarchy	 Edit topic

A drag object used for docking.

Pascal

TJvDockDelphiDragDockObject = class(TJvDockDragDockObject);

File

JvDockDelphiStyle

Description

TJvDockDelphiDragDockObject is used by the TJvDockDelphiStyle to define the behavior for drag and dock operations when using Delphi style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


Hierarchy

TJvDockDragDockObject
    TJvDockDelphiDragDockObject


TJvDockDelphiPanel
JEDI-VCL Reference

TJvDockDelphiPanel

Hierarchy	Properties	Methods	 Edit topic

A docking panel.

Pascal

TJvDockDelphiPanel = class(TJvDockPanel);

File

JvDockDelphiStyle

Description

TJvDockDelphiPanel is used by the TJvDockDelphiStyle to define the behavior for docking panels when using Delphi style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


TJvDockDelphiPanel Properties

TJvDockDelphiPanel	Legend

Properties

TJvDockPanel

CustomFlag

DockServer

 PanelIndex

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockDelphiPanel Methods

TJvDockDelphiPanel	Legend

Methods

TJvDockPanel

 GetDockedControls

ResetPosition

 ShowDockPanel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockDelphiPanel

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockPanel
        TJvDockDelphiPanel


TJvDockDelphiPanel Members

TJvDockDelphiPanel	Legend

Members

Properties

TJvDockPanel

CustomFlag

DockServer

 PanelIndex

Methods

TJvDockPanel

 GetDockedControls

ResetPosition

 ShowDockPanel

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockDelphiSplitter
JEDI-VCL Reference

TJvDockDelphiSplitter

Hierarchy	Properties	 Edit topic

A docking splitter.

Pascal

TJvDockDelphiSplitter = class(TJvDockSplitter);

File

JvDockDelphiStyle

Description

TJvDockDelphiSplitter is used by the TJvDockDelphiStyle to define the behavior for docking splitters when using Delphi style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


TJvDockDelphiSplitter Properties

TJvDockDelphiSplitter	Legend

Properties

TJvDockSplitter

 DockServer

 SplitterIndex

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvDockDelphiSplitter

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanelSplitter
    TJvDockSplitter
        TJvDockDelphiSplitter


TJvDockDelphiSplitter Members

TJvDockDelphiSplitter	Legend

Members

Properties

TJvDockSplitter

 DockServer

 SplitterIndex

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDockDelphiStyle
JEDI-VCL Reference

 TJvDockDelphiStyle

Hierarchy	Properties	Methods	Package	 Edit topic

Defines standard Delphi docking behavior.

Pascal

TJvDockDelphiStyle = class(TJvDockBasicStyle);

File

JvDockDelphiStyle

Description

Drop a TJvDockDelphiStyle on a form when you want the form to dock in the same way as standard Delphi. To activate the docking, drop a TJvDockServer or TJvDockClient on the same form and set its DockStyle property to point to the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


TJvDockDelphiStyle Properties

TJvDockDelphiStyle	Legend

Properties

TJvDockBasicStyle

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockDelphiStyle Methods

TJvDockDelphiStyle	Legend

Methods

TJvDockBasicStyle

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockDelphiStyle

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockObservableStyle
    TJvDockBasicStyle
        TJvDockDelphiStyle


TJvDockDelphiStyle Members

TJvDockDelphiStyle	Legend

Members

Properties

TJvDockBasicStyle

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Methods

TJvDockBasicStyle

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


Package

Docking


TJvDockDelphiTabPageControl
JEDI-VCL Reference

TJvDockDelphiTabPageControl

Hierarchy	Properties	Methods	 Edit topic

A docking tab control.

Pascal

TJvDockDelphiTabPageControl = class(TJvDockTabPageControl);

File

JvDockDelphiStyle

Description

TJvDockDelphiTabPageControl is used by the TJvDockDelphiStyle to define the behavior for docking tab sheets when using Delphi style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


TJvDockDelphiTabPageControl Properties

TJvDockDelphiTabPageControl	Legend

Properties

TJvDockTabPageControl

 DockStyle

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockDelphiTabPageControl Methods

TJvDockDelphiTabPageControl	Legend

Methods

TJvDockTabPageControl

 LoadFromStream

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockDelphiTabPageControl

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockPageControl
    TJvDockTabPageControl
        TJvDockDelphiTabPageControl


TJvDockDelphiTabPageControl Members

TJvDockDelphiTabPageControl	Legend

Members

Properties

TJvDockTabPageControl

 DockStyle

 ParentForm

Methods

TJvDockTabPageControl

 LoadFromStream

 SaveToStream

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockDelphiTree
JEDI-VCL Reference

TJvDockDelphiTree

Hierarchy	 Edit topic

A docking tree.

Pascal

TJvDockDelphiTree = class(TJvDockTree);

File

JvDockDelphiStyle

Description

TJvDockDelphiTree is used by the TJvDockDelphiStyle to define the behavior for dock trees when using Delphi style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


Hierarchy

TJvDockTree
    TJvDockDelphiTree


TJvDockDelphiZone
JEDI-VCL Reference

TJvDockDelphiZone

Hierarchy	 Edit topic

A docking zone implementation.

Pascal

TJvDockDelphiZone = class(TJvDockZone);

File

JvDockDelphiStyle

Description

TJvDockDelphiZone is used by the TJvDockDelphiStyle to define the behavior for dock zones when using Delphi style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockDelphiStyle component.

Created with Doc-O-Matic.


Hierarchy

TJvDockZone
    TJvDockDelphiZone


TJvDockPanel
JEDI-VCL Reference

TJvDockPanel

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDockPanel = class(TJvDockCustomPanel);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockPanel Properties

TJvDockPanel	Legend

Properties

CustomFlag

DockServer

 PanelIndex

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockPanel Methods

TJvDockPanel	Legend

Methods

 GetDockedControls

ResetPosition

 ShowDockPanel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockPanel

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockPanel


TJvDockPanel Members

TJvDockPanel	Legend

Members

Properties

CustomFlag

DockServer

 PanelIndex

Methods

 GetDockedControls

ResetPosition

 ShowDockPanel

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockPanel.CustomFlag property

TJvDockPanel	Edit topic

Not documented

Pascal

property CustomFlag: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockPanel.DockServer property

TJvDockPanel	Edit topic

Gives access to the dock site manager.

Pascal

property DockServer: TJvDockServer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockPanel.PanelIndex property

TJvDockPanel	Edit topic

Not documented

Pascal

property PanelIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockPanel.GetDockedControls method

TJvDockPanel	Edit topic

Not documented

Pascal

procedure GetDockedControls(WinControls: TList); virtual;

Parameters

WinControls: TList

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockPanel.ResetPosition method

TJvDockPanel	Edit topic

Not documented

Pascal

procedure ResetPosition;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockPanel.ShowDockPanel method

TJvDockPanel	Edit topic

Not documented

Pascal

procedure ShowDockPanel(MakeVisible: Boolean; Client: TControl; PanelSizeFrom: TJvDockSetDockPanelSizeFrom = sdfClient); virtual;

Parameters

MakeVisible: Boolean

Not documented

Client: TControl

Not documented

PanelSizeFrom: TJvDockSetDockPanelSizeFrom = sdfClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer
JEDI-VCL Reference

 TJvDockServer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

JvDockServer objects, in conjunction with a JvDockStyle object manage the master docking site form. Allows docking to the sides, and to one central area in your form.

Pascal

TJvDockServer = class(TJvDockBaseControl);

File

JvDockControlForm

Description

JvDocking components enable you to write applications that support form docking. Form docking means allowing one form to attach itself to another form, in a flexible user-customizable way. Users can drag one form onto another form, and it will attach. This behavior is seen in many applications programs. You may want to open one of the JVCL sample Docking programs to see how all this works.

When a TJvDockServer component is put on a form, the form can now have one or more dock sites. You can then dock other forms that have a TJvDockClient component onto these dock sites at run-time. The DockServer defines where you can dock to on this form. You can configure a DockServer to allow docking to the top, bottom, left and right of a form, and also, you can define one custom docking panel in the center of your main form (typically used for a document forms).

Generally, the TJvDockServer component is put on the main form but it also can be put on other forms. However, a form can not contain both a TJvDockServer and a TJvDockClient component, because a form can not play two roles at the same time.

It is very important to attach a DockStyle object to your DockServer. DockStyle objects contain important handling code. A DockServer is minimally functional without a DockStyle being assigned, but you probably should attach a JvDockStyle as the first thing you do after dropping a JvDockServer onto your form.

Created with Doc-O-Matic.


TJvDockServer Properties

TJvDockServer	Legend

Properties

 AutoFocusDockedForm

 BottomDock

 BottomDockPanel

 BottomSplitter

 BottomSplitterStyle

 CustomDock

 CustomDockPanel

 DockPanel

 DockPanelWithAlign

 DockSplitterWithAlign

 DockStyle

 EnableDock

 LeftDock

 LeftDockPanel

 LeftSplitter

 LeftSplitterStyle

 RightDock

 RightDockPanel

 RightSplitter

 RightSplitterStyle

 Splitter

SplitterStyle

 TopDock

 TopDockPanel

 TopSplitter

 TopSplitterStyle

TJvDockBaseControl

BottomDock

CustomDock

DockStyle

EachOtherDock

EnableDock

LeftDock

 ParentForm

RightDock

TopDock

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvDockServer Events

TJvDockServer	Legend

Events

 OnCustomPanel

 OnFinishSetDockPanelSize

 OnGetClientAlignSize

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDockServer Methods

TJvDockServer

Methods

GetClientAlignControl

Created with Doc-O-Matic.


Legend

TJvDockServer

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvDockBaseControl
            TJvDockServer


TJvDockServer Members

TJvDockServer	Legend

Members

Properties

 AutoFocusDockedForm

 BottomDock

 BottomDockPanel

 BottomSplitter

 BottomSplitterStyle

 CustomDock

 CustomDockPanel

 DockPanel

 DockPanelWithAlign

 DockSplitterWithAlign

 DockStyle

 EnableDock

 LeftDock

 LeftDockPanel

 LeftSplitter

 LeftSplitterStyle

 RightDock

 RightDockPanel

 RightSplitter

 RightSplitterStyle

 Splitter

SplitterStyle

 TopDock

 TopDockPanel

 TopSplitter

 TopSplitterStyle

TJvDockBaseControl

BottomDock

CustomDock

DockStyle

EachOtherDock

EnableDock

LeftDock

 ParentForm

RightDock

TopDock

TJvComponent

 AboutJVCL

Events

 OnCustomPanel

 OnFinishSetDockPanelSize

 OnGetClientAlignSize

Methods

GetClientAlignControl

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Docking


TJvDockServer.AutoFocusDockedForm property

TJvDockServer	Edit topic

Not documented

Pascal

property AutoFocusDockedForm: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.BottomDock property

TJvDockServer	Edit topic

Specifies whether bottom docking is allowed.

Pascal

property BottomDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.CustomDock property

TJvDockServer	Edit topic

Not documented

Pascal

property CustomDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.CustomDockPanel property

TJvDockServer	Edit topic

Not documented

Pascal

property CustomDockPanel: TJvDockPanel;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.DockPanel property

TJvDockServer	Edit topic

Gives access to the docking panels of the dock site.

Pascal

property DockPanel [DockPosition: TJvDockPosition]: TJvDockPanel;
property LeftDockPanel: TJvDockPanel;
property RightDockPanel: TJvDockPanel;
property TopDockPanel: TJvDockPanel;
property BottomDockPanel: TJvDockPanel;

Parameters

Index

Not documented

Description

Use LeftDockPanel to access the left docking panel of the dock site form managed by the TJvDockServer component.

Created with Doc-O-Matic.


TJvDockServer.DockPanelWithAlign property

TJvDockServer	See Also	Edit topic

Not documented

Pascal

property DockPanelWithAlign [Index: TAlign]: TJvDockPanel;

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvDockServer.DockPanel


TJvDockServer.DockSplitterWithAlign property

TJvDockServer	Edit topic

Not documented

Pascal

property DockSplitterWithAlign [Index: TAlign]: TJvDockSplitter;

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.DockStyle property

TJvDockServer	Edit topic

Not documented

Pascal

property DockStyle: TJvDockBasicStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.EnableDock property

TJvDockServer	Edit topic

Specifies whether client forms can be docked on the dock site.

Pascal

property EnableDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.LeftDock property

TJvDockServer	Edit topic

Specifies whether left docking is allowed.

Pascal

property LeftDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.OnCustomPanel event

TJvDockServer	Edit topic

Not documented

Pascal

TJvDockCustomPanelEvent = procedure (Sender: TJvDockServer; var AParent: TWinControl; var Align: TAlign) of object;
property OnCustomPanel: TJvDockCustomPanelEvent;

Parameters

Align

Not documented

aParent

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.OnFinishSetDockPanelSize event

TJvDockServer	Edit topic

Not documented

Pascal

TJvDockFinishSetDockPanelSizeEvent = procedure (DockPanel: TJvDockPanel) of object;
property OnFinishSetDockPanelSize: TJvDockFinishSetDockPanelSizeEvent;

Parameters

DockPanel

current DockPanel that has completed operation.

Description

Invoked when the reset of width or height of DockPanel.

Created with Doc-O-Matic.


TJvDockServer.OnGetClientAlignSize event

TJvDockServer	Edit topic

Not documented

Pascal

TJvDockGetClientAlignSizeEvent = procedure (Align: TAlign; var Value: Integer) of object;
property OnGetClientAlignSize: TJvDockGetClientAlignSizeEvent;

Parameters

Value

user can change it.

Align

The order of control Alignment which need to be scan

Description

Occurs when the calculation of the size of 'Dock Server Form is performed. User can change the Value parameter.

Created with Doc-O-Matic.


TJvDockServer.RightDock property

TJvDockServer	Edit topic

Specifies whether right docking is allowed.

Pascal

property RightDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.Splitter property

TJvDockServer	Edit topic

Gives access to the docking splitters of the dock site.

Pascal

property Splitter [DockPosition: TJvDockPosition]: TJvDockSplitter;
property LeftSplitter: TJvDockSplitter;
property RightSplitter: TJvDockSplitter;
property TopSplitter: TJvDockSplitter;
property BottomSplitter: TJvDockSplitter;

Parameters

DockPosition

Not documented

Description

Use LeftDockPanel to access the left docking panel of the dock site form managed by the TJvDockServer component.

Created with Doc-O-Matic.


TJvDockServer.SplitterStyle property

TJvDockServer	Edit topic

Identifies the splitter style objects that gives the splitters their look and feel.

Pascal

property SplitterStyle [DockPosition: TJvDockPosition]: TJvDockSplitterStyle;
property LeftSplitterStyle: TJvDockSplitterStyle;
property RightSplitterStyle: TJvDockSplitterStyle;
property TopSplitterStyle: TJvDockSplitterStyle;
property BottomSplitterStyle: TJvDockSplitterStyle;

Parameters

DockPosition

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.TopDock property

TJvDockServer	Edit topic

Specifies whether top docking is allowed.

Pascal

property TopDock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockServer.GetClientAlignControl method

TJvDockServer	Edit topic

Not documented

Pascal

function GetClientAlignControl(Align: TAlign): Integer;

Parameters

Align: TAlign

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitter
JEDI-VCL Reference

TJvDockSplitter

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvDockSplitter = class(TJvDockCustomPanelSplitter);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitter Properties

TJvDockSplitter	Legend

Properties

 DockServer

 SplitterIndex

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvDockSplitter

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanelSplitter
    TJvDockSplitter


TJvDockSplitter Members

TJvDockSplitter	Legend

Members

Properties

 DockServer

 SplitterIndex

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDockSplitter.DockServer property

TJvDockSplitter	Edit topic

Gives access to the dock site manager.

Pascal

property DockServer: TJvDockServer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitter.SplitterIndex property

TJvDockSplitter	Edit topic

Specifies the splitter control’s index in the internal list of the dock server.

Pascal

property SplitterIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitterStyle
JEDI-VCL Reference

TJvDockSplitterStyle

Hierarchy	Properties	 Edit topic

Provides the properties describing a dock splitter.

Pascal

TJvDockSplitterStyle = class(TPersistent);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitterStyle Properties

TJvDockSplitterStyle	Legend

Properties

 Color

 Cursor

 MinSize

 ParentColor

 ResizeStyle

 Size

 Splitter

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvDockSplitterStyle

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvDockSplitterStyle


TJvDockSplitterStyle Members

TJvDockSplitterStyle	Legend

Members

Properties

 Color

 Cursor

 MinSize

 ParentColor

 ResizeStyle

 Size

 Splitter

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDockSplitterStyle.Color property

TJvDockSplitterStyle	See Also	Edit topic

Specifies the background color of the splitter control.

Pascal

property Color: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvDockSplitterStyle.ParentColor


TJvDockSplitterStyle.Cursor property

TJvDockSplitterStyle	Edit topic

Specifies the image used to represent the mouse pointer when it passes into the region covered by the splitter control.

Pascal

property Cursor: TCursor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitterStyle.MinSize property

TJvDockSplitterStyle	Edit topic

Specifies the minimum size, in pixels, of the panes on either side of the splitter.

Pascal

property MinSize: TJvDockSplitterSize;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitterStyle.ParentColor property

TJvDockSplitterStyle	See Also	Edit topic

Not documented

Pascal

property ParentColor: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvDockSplitterStyle.Color


TJvDockSplitterStyle.ResizeStyle property

TJvDockSplitterStyle	Edit topic

Specifies the effect of moving the splitter.

Pascal

property ResizeStyle: TResizeStyle;

Description

Use ResizeStyle to determine what happens when the user moves the splitter with the mouse.

ResizeStyle can have one of the values in the following table:

Value	Meaning
rsNone	Moving the splitter with the mouse has no effect.
rsLine	A line is drawn indicating the new position of the splitter that would result if the user released the mouse at the current position. The splitter does not actually move and no controls are resized.
rsUpdate	The control against which the splitter is aligned is resized based on the current mouse position, and the splitter is moved to that position.
rsPattern	A pattern is drawn indicating the new position of the splitter that would result if the user released the mouse at the current position. The splitter does not actually move and no controls are resized. This is the default value for ResizeStyle.
Created with Doc-O-Matic.


TJvDockSplitterStyle.Size property

TJvDockSplitterStyle	Edit topic

Specifies the height or width of the splitter

Pascal

property Size: TJvDockSplitterSize;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockSplitterStyle.Splitter property

TJvDockSplitterStyle	Edit topic

Gives access to the splitter that is described by the style object.

Pascal

property Splitter: TJvDockSplitter;

Description

Use property Splitter to directly access the splitter that is described by the TJvDockSplitterStyle object. Note that Splitter may be nil.

Created with Doc-O-Matic.


TJvDockTabHostForm
JEDI-VCL Reference

TJvDockTabHostForm

Hierarchy	Properties	Methods	 Edit topic

The form for a dockable page control.

Pascal

TJvDockTabHostForm = class(TJvDockableForm);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabHostForm Properties

TJvDockTabHostForm	Legend

Properties

DockClient

PageControl

TJvDockableForm

DockableControl

 DockClient

 FloatingChild

UnDockControl

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockTabHostForm Methods

TJvDockTabHostForm	Legend

Methods

GetActiveDockForm

 ShowDockedControl

 UpdateCaption

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockTabHostForm

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TForm
    TJvDockableForm
        TJvDockTabHostForm


TJvDockTabHostForm Members

TJvDockTabHostForm	Legend

Members

Properties

DockClient

PageControl

TJvDockableForm

DockableControl

 DockClient

 FloatingChild

UnDockControl

Methods

GetActiveDockForm

 ShowDockedControl

 UpdateCaption

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockTabHostForm.DockClient property

TJvDockTabHostForm	Edit topic

Gives access to the dockable form manager.

Pascal

property DockClient: TJvDockClient;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabHostForm.PageControl property

TJvDockTabHostForm	Edit topic

Gives access to the page control maintained by the form.

Pascal

property PageControl: TJvDockTabPageControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabHostForm.GetActiveDockForm method

TJvDockTabHostForm	Edit topic

Not documented

Pascal

function GetActiveDockForm: TForm;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabHostForm.ShowDockedControl method

TJvDockTabHostForm	Edit topic

Not documented

Pascal

procedure ShowDockedControl(AControl: TWinControl); virtual;

Parameters

AControl: TWinControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabHostForm.UpdateCaption method

TJvDockTabHostForm	Edit topic

Not documented

Pascal

procedure UpdateCaption(AControl: TWinControl); virtual;

Parameters

AControl: TWinControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabPageControl
JEDI-VCL Reference

TJvDockTabPageControl

Hierarchy	Properties	Methods	 Edit topic

A docking page control.

Pascal

TJvDockTabPageControl = class(TJvDockPageControl);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabPageControl Properties

TJvDockTabPageControl	Legend

Properties

 DockStyle

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockTabPageControl Methods

TJvDockTabPageControl	Legend

Methods

 LoadFromStream

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockTabPageControl

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockPageControl
    TJvDockTabPageControl


TJvDockTabPageControl Members

TJvDockTabPageControl	Legend

Members

Properties

 DockStyle

 ParentForm

Methods

 LoadFromStream

 SaveToStream

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockTabPageControl.DockStyle property

TJvDockTabPageControl	Edit topic

Not documented

Pascal

property DockStyle: TJvDockObservableStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabPageControl.ParentForm property

TJvDockTabPageControl	Edit topic

Gives access to the parent form of the dock page control.

Pascal

property ParentForm: TJvDockTabHostForm;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabPageControl.LoadFromStream method

TJvDockTabPageControl	Edit topic

Not documented

Pascal

procedure LoadFromStream(Stream: TStream); virtual;

Parameters

Stream: TStream

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockTabPageControl.SaveToStream method

TJvDockTabPageControl	Edit topic

Not documented

Pascal

procedure SaveToStream(Stream: TStream); virtual;

Parameters

Stream: TStream

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockVCConjoinPanel
JEDI-VCL Reference

TJvDockVCConjoinPanel

Hierarchy	Properties	 Edit topic

A conjoin docking panel.

Pascal

TJvDockVCConjoinPanel = class(TJvDockConjoinPanel);

File

JvDockVCStyle

Description

TJvDockVCConjoinPanel is used by the TJvDockVCStyle to define the behavior for conjoin panels when using Visual C++ style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCConjoinPanel Properties

TJvDockVCConjoinPanel	Legend

Properties

TJvDockConjoinPanel

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockVCConjoinPanel

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockConjoinPanel
        TJvDockVCConjoinPanel


TJvDockVCConjoinPanel Members

TJvDockVCConjoinPanel	Legend

Members

Properties

TJvDockConjoinPanel

 DockClient

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockVCConjoinServerOption
JEDI-VCL Reference

TJvDockVCConjoinServerOption

Hierarchy	Properties	 Edit topic

Defines options for a conjoin server.

Pascal

TJvDockVCConjoinServerOption = class(TJvDockBasicConjoinServerOption);

File

JvDockVCStyle

Description

TJvDockVCConjoinServerOption defines the options available for a TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCConjoinServerOption Properties

TJvDockVCConjoinServerOption	Legend

Properties

 BorderWidth

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDockVCConjoinServerOption

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvDockBasicConjoinServerOption
    TJvDockVCConjoinServerOption


TJvDockVCConjoinServerOption Members

TJvDockVCConjoinServerOption	Legend

Members

Properties

 BorderWidth

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDockVCConjoinServerOption.BorderWidth property

TJvDockVCConjoinServerOption	Edit topic

Sets the border width of a conjoin server.

Pascal

property BorderWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockVCDragDockObject
JEDI-VCL Reference

TJvDockVCDragDockObject

Hierarchy	Properties	 Edit topic

A drag object used for docking.

Pascal

TJvDockVCDragDockObject = class(TJvDockDragDockObject);

File

JvDockVCStyle

Description

TJvDockVCDragDockObject is used by the TJvDockVCStyle to define the behavior for drag and dock operations when using Visual C++ style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCDragDockObject Properties

TJvDockVCDragDockObject	Legend

Properties

CurrentState

 DockOverBrush

DockOverFrameWidth

PreviousState

PreviousTarget

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockVCDragDockObject

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockDragDockObject
    TJvDockVCDragDockObject


TJvDockVCDragDockObject Members

TJvDockVCDragDockObject	Legend

Members

Properties

CurrentState

 DockOverBrush

DockOverFrameWidth

PreviousState

PreviousTarget

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockVCDragDockObject.CurrentState property

TJvDockVCDragDockObject	Edit topic

Defines the current state of the drag and dock operation.

Pascal

property CurrentState: TDragState;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockVCDragDockObject.DockOverBrush property

TJvDockVCDragDockObject	See Also	Edit topic

Defines the brush to use when a docking form is over another form.

Pascal

property DockOverBrush: TBrush;

Description

Use DOckOverBrush to define the brush to use when a docking form is over another form.

Created with Doc-O-Matic.


See Also

TJvDockVCDragDockObject.DockOverFrameWidth


TJvDockVCDragDockObject.DockOverFrameWidth property

TJvDockVCDragDockObject	See Also	Edit topic

Defines the frame width when a docking form is over another form.

Pascal

property DockOverFrameWidth: Integer;

Description

Use DockOverFrameWidth to define the frame size when the docking form is over another form.

Created with Doc-O-Matic.


See Also

TJvDockVCDragDockObject.DockOverBrush


TJvDockVCDragDockObject.PreviousState property

TJvDockVCDragDockObject	See Also	Edit topic

Stores the previous state of the docking form.

Pascal

property PreviousState: TDragState;

Description

Use PreviousState to access the previous state of the drag and dock object.

Created with Doc-O-Matic.


See Also

TJvDockVCDragDockObject.PreviousTarget


TJvDockVCDragDockObject.PreviousTarget property

TJvDockVCDragDockObject	See Also	Edit topic

Stores the previous drag and dock target.

Pascal

property PreviousTarget: Pointer;

Description

Use PreviousTarget to access the previous target of the drag and dock operation.

Created with Doc-O-Matic.


See Also

TJvDockVCDragDockObject.PreviousState


TJvDockVCPanel
JEDI-VCL Reference

TJvDockVCPanel

Hierarchy	Properties	Methods	 Edit topic

A docking panel.

Pascal

TJvDockVCPanel = class(TJvDockAdvPanel);

File

JvDockVCStyle

Description

TJvDockVCPanel is used by the TJvDockVCStyle to define the behavior for docking panels when using Visual C++ style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCPanel Methods

TJvDockVCPanel	Legend

Methods

TJvDockAdvPanel

 GetDockedControls

TJvDockPanel

 GetDockedControls

ResetPosition

 ShowDockPanel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvDockVCPanel Properties

TJvDockVCPanel	Legend

Properties

TJvDockPanel

CustomFlag

DockServer

 PanelIndex

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockVCPanel

Legend

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanel
    TJvDockPanel
        TJvDockAdvPanel
            TJvDockVCPanel


TJvDockVCPanel Members

TJvDockVCPanel	Legend

Members

Methods

TJvDockAdvPanel

 GetDockedControls

TJvDockPanel

 GetDockedControls

ResetPosition

 ShowDockPanel

Properties

TJvDockPanel

CustomFlag

DockServer

 PanelIndex

Legend

virtual

read only

Created with Doc-O-Matic.


Legend

virtual

read only


TJvDockVCSplitter
JEDI-VCL Reference

TJvDockVCSplitter

Hierarchy	Properties	 Edit topic

A docking splitter.

Pascal

TJvDockVCSplitter = class(TJvDockSplitter);

File

JvDockVCStyle

Description

TJvDockVCSplitter is used by the TJvDockVCStyle to define the behavior for docking splitters when using Visual C++ style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCSplitter Properties

TJvDockVCSplitter	Legend

Properties

TJvDockSplitter

 DockServer

 SplitterIndex

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvDockVCSplitter

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockCustomPanelSplitter
    TJvDockSplitter
        TJvDockVCSplitter


TJvDockVCSplitter Members

TJvDockVCSplitter	Legend

Members

Properties

TJvDockSplitter

 DockServer

 SplitterIndex

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDockVCStyle
JEDI-VCL Reference

 TJvDockVCStyle

Hierarchy	Properties	Methods	Package	 Edit topic

Defines standard Visual C++ docking behavior.

Pascal

TJvDockVCStyle = class(TJvDockAdvStyle);

File

JvDockVCStyle

Description

Drop a TJvDockVCStyle on a form when you want the form to dock in the same way as in Visual C++. To activate the docking, drop a TJvDockServer or TJvDockClient on the same form and set its DockStyle property to point to the TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCStyle Methods

TJvDockVCStyle	Legend

Methods

 CanSetEachOtherDocked

TJvDockBasicStyle

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvDockVCStyle Properties

TJvDockVCStyle	Legend

Properties

TJvDockBasicStyle

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvDockVCStyle

Legend

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockObservableStyle
    TJvDockBasicStyle
        TJvDockAdvStyle
            TJvDockVCStyle


TJvDockVCStyle Members

TJvDockVCStyle	Legend

Members

Methods

 CanSetEachOtherDocked

TJvDockBasicStyle

 CanSetBottomDocked

 CanSetEachOtherDocked

 CanSetEnableDocked

 CanSetLeftDocked

 CanSetRightDocked

 CanSetTopDocked

 DoHideDockForm

 DoShowDockForm

 GetDockFormVisible

 GetDockState

 HideDockForm

 ResetCursor

 RestoreClient

 ShowDockForm

Properties

TJvDockBasicStyle

ConjoinPanelClass

ConjoinPanelTreeClass

ConjoinPanelZoneClass

 DockBaseControl

 DockBaseControlCount

DockPanelClass

DockPanelTreeClass

DockPanelZoneClass

DockSplitterClass

TabDockClass

Legend

virtual

read only

Created with Doc-O-Matic.


Legend

virtual

read only


Package

Docking


TJvDockVCStyle.CanSetEachOtherDocked method

TJvDockVCStyle	See Also	Edit topic

Returns whether the EachOtherDock property of a docking component can be set.

Pascal

function CanSetEachOtherDocked(ADockBaseControl: TJvDockBaseControl): Boolean; override;

Return Value

True if the EachOtherDock property of ADockBaseControl can be changed, false otherwise.

Parameters

ADockBaseControl

The docking component whose EachOtherDock property will be changed.

Description

The dock components use CanSetEachOtherDocked to determine whether a EachOtherDock properties can be altered.

The docking style associated with a dock component (TJvDockClient or TJvDockServer) determines whether the EachOtherDock property of that dock component can be changed.

Created with Doc-O-Matic.


See Also

TJvDockClient.EachOtherDock, TJvDockServer.EachOtherDock


TJvDockVCTabPageControl
JEDI-VCL Reference

TJvDockVCTabPageControl

Hierarchy	Properties	Methods	 Edit topic

A docking tab control.

Pascal

TJvDockVCTabPageControl = class(TJvDockAdvTabPageControl);

File

JvDockVCStyle

Description

TJvDockVCTabPageControl is used by the TJvDockVCStyle to define the behavior for docking tab sheets when using Visual C++ style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCTabPageControl Properties

TJvDockVCTabPageControl	Legend

Properties

TJvDockTabPageControl

 DockStyle

 ParentForm

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvDockVCTabPageControl Methods

TJvDockVCTabPageControl	Legend

Methods

TJvDockTabPageControl

 LoadFromStream

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDockVCTabPageControl

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvDockPageControl
    TJvDockTabPageControl
        TJvDockAdvTabPageControl
            TJvDockVCTabPageControl


TJvDockVCTabPageControl Members

TJvDockVCTabPageControl	Legend

Members

Properties

TJvDockTabPageControl

 DockStyle

 ParentForm

Methods

TJvDockTabPageControl

 LoadFromStream

 SaveToStream

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvDockVCTabServerOption
JEDI-VCL Reference

TJvDockVCTabServerOption

Hierarchy	 Edit topic

Defines options for a drag and dock tab server.

Pascal

TJvDockVCTabServerOption = class(TJvDockBasicTabServerOption);

File

JvDockVCStyle

Description

Use the properties of TJvDockVCTabServerOption to define the behavior of tab sheets when using Visual C++ style docking.

Created with Doc-O-Matic.


Hierarchy

TJvDockBasicTabServerOption
    TJvDockVCTabServerOption


TJvDockVCTree
JEDI-VCL Reference

TJvDockVCTree

Hierarchy	 Edit topic

A docking tree.

Pascal

TJvDockVCTree = class(TJvDockAdvTree);

File

JvDockVCStyle

Description

TJvDockVCTree is used by the TJvDockVCStyle to define the behavior for dock trees when using Visual C++ style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockVCStyle component.

Created with Doc-O-Matic.


Hierarchy

TJvDockAdvTree
    TJvDockVCTree


TJvDockVCZone
JEDI-VCL Reference

TJvDockVCZone

Hierarchy	Properties	 Edit topic

A docking zone implementation.

Pascal

TJvDockVCZone = class(TJvDockAdvZone);

File

JvDockVCStyle

Description

TJvDockVCZone is used by the TJvDockVCStyle to define the behavior for dock zones when using Visual C++ style docking.

You do not need to create this component yourself. It is handled automatically by the TJvDockVCStyle component.

Created with Doc-O-Matic.


TJvDockVCZone Properties

TJvDockVCZone

Properties

ExpandButtonDown

ZoneSizeStyle

Created with Doc-O-Matic.


Hierarchy

TJvDockAdvZone
    TJvDockVCZone


TJvDockVCZone Members

TJvDockVCZone

Members

Properties

ExpandButtonDown

ZoneSizeStyle

Created with Doc-O-Matic.


TJvDockVCZone.ExpandButtonDown property

TJvDockVCZone	Edit topic

Defines an expand button for the dock zone.

Pascal

property ExpandButtonDown: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDockVCZone.ZoneSizeStyle property

TJvDockVCZone	Edit topic

Defines the style of the zone size.

Pascal

property ZoneSizeStyle: TJvDockZoneSizeStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDotNetButton
JEDI-VCL Reference

 TJvDotNetButton

Hierarchy	Package	 Edit topic

Not documented

Pascal

TJvDotNetButton = class(TButton);

File

JvDotNetControls

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TButton
    TJvDotNetButton


Package

DotNetCtrls


TJvDotNetCheckListBox
JEDI-VCL Reference

 TJvDotNetCheckListBox

Hierarchy	Package	 Edit topic

A check listbox that renders its border in the DotNet style.

Pascal

TJvDotNetCheckListBox = class(TJvCheckListBox);

File

JvDotNetControls

Description

TJvDotNetCheckListBox is a standard TCheckListBox that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


Hierarchy

TJvCheckListBox
    TJvDotNetCheckListBox


Package

DotNetCtrls


TJvDotNetDBEdit
JEDI-VCL Reference

 TJvDotNetDBEdit

Hierarchy	Properties	Package	 Edit topic

A DB Edit that renders its border in the DotNet style.

Pascal

TJvDotNetDBEdit = class(TDBEdit);

File

JvDBDotNetControls

Description

TJvDotNetDBEdit is a standard TDBEdit that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetDBEdit Properties

TJvDotNetDBEdit	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDotNetDBEdit

Legend

published

Created with Doc-O-Matic.


Hierarchy

TDBEdit
    TJvDotNetDBEdit


TJvDotNetDBEdit Members

TJvDotNetDBEdit	Legend

Members

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

DotNetCtrls


TJvDotNetDBEdit.AboutJVCL property

TJvDotNetDBEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvDotNetDBFindEdit
JEDI-VCL Reference

 TJvDotNetDBFindEdit

Hierarchy	Package	 Edit topic

Not documented

Pascal

TJvDotNetDBFindEdit = class(TJvDBFindEdit);

File

JvDBDotNetControls

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TJvDBFindEdit
    TJvDotNetDBFindEdit


Package

DotNetCtrls


TJvDotNetDBListBox
JEDI-VCL Reference

 TJvDotNetDBListBox

Hierarchy	Properties	Package	 Edit topic

A DB Listbox that renders its border in the DotNet style.

Pascal

TJvDotNetDBListBox = class(TDBListBox);

File

JvDBDotNetControls

Description

TJvDotNetDBListBox is a standard TDBListBox that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetDBListBox Properties

TJvDotNetDBListBox	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDotNetDBListBox

Legend

published

Created with Doc-O-Matic.


Hierarchy

TDBListBox
    TJvDotNetDBListBox


TJvDotNetDBListBox Members

TJvDotNetDBListBox	Legend

Members

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

DotNetCtrls


TJvDotNetDBListBox.AboutJVCL property

TJvDotNetDBListBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvDotNetDBLookupListBox
JEDI-VCL Reference

 TJvDotNetDBLookupListBox

Hierarchy	Properties	Package	 Edit topic

A DB Lookup Listbox that renders its border in the DotNet style.

Pascal

TJvDotNetDBLookupListBox = class(TDBLookupListBox);

File

JvDBDotNetControls

Description

TJvDotNetDBLookupListBox is a standard TDBLookupListBox that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetDBLookupListBox Properties

TJvDotNetDBLookupListBox	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDotNetDBLookupListBox

Legend

published

Created with Doc-O-Matic.


Hierarchy

TDBLookupListBox
    TJvDotNetDBLookupListBox


TJvDotNetDBLookupListBox Members

TJvDotNetDBLookupListBox	Legend

Members

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

DotNetCtrls


TJvDotNetDBLookupListBox.AboutJVCL property

TJvDotNetDBLookupListBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvDotNetDBMemo
JEDI-VCL Reference

 TJvDotNetDBMemo

Hierarchy	Properties	Package	 Edit topic

A DB Memo that renders its border in the DotNet style.

Pascal

TJvDotNetDBMemo = class(TDBMemo);

File

JvDBDotNetControls

Description

TJvDotNetDBMemo is a standard TDBMemo that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetDBMemo Properties

TJvDotNetDBMemo	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDotNetDBMemo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TDBMemo
    TJvDotNetDBMemo


TJvDotNetDBMemo Members

TJvDotNetDBMemo	Legend

Members

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

DotNetCtrls


TJvDotNetDBMemo.AboutJVCL property

TJvDotNetDBMemo

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvDotNetDBRichEdit
JEDI-VCL Reference

 TJvDotNetDBRichEdit

Hierarchy	Properties	Package	 Edit topic

A DB RichEdit that renders its border in the DotNet style.

Pascal

TJvDotNetDBRichEdit = class(TDBRichEdit);

File

JvDBDotNetControls

Description

TJvDotNetDBRichEdit is a standard TDBRichEdit that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetDBRichEdit Properties

TJvDotNetDBRichEdit	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDotNetDBRichEdit

Legend

published

Created with Doc-O-Matic.


Hierarchy

TDBRichEdit
    TJvDotNetDBRichEdit


TJvDotNetDBRichEdit Members

TJvDotNetDBRichEdit	Legend

Members

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

DotNetCtrls


TJvDotNetDBRichEdit.AboutJVCL property

TJvDotNetDBRichEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvDotNetDirectoryEdit
JEDI-VCL Reference

 TJvDotNetDirectoryEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Not documented

Pascal

TJvDotNetDirectoryEdit = class(TJvDirectoryEdit);

File

JvDotNetControls

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDotNetDirectoryEdit Properties

TJvDotNetDirectoryEdit	Legend

Properties

TJvDirectoryEdit

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DialogKind

 DialogOptions

 DialogText

 DirectInput

 Flat

 Glyph

 GroupIndex

 ImageIndex

 ImageKind

 Images

 InitialDir

 MultipleDirs

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDotNetDirectoryEdit Events

TJvDotNetDirectoryEdit	Legend

Events

TJvDirectoryEdit

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetDirectoryEdit Methods

TJvDotNetDirectoryEdit	Legend

Methods

TJvDirectoryEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDotNetDirectoryEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvFileDirEdit
            TJvDirectoryEdit
                TJvDotNetDirectoryEdit


TJvDotNetDirectoryEdit Members

TJvDotNetDirectoryEdit	Legend

Members

Properties

TJvDirectoryEdit

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DialogKind

 DialogOptions

 DialogText

 DirectInput

 Flat

 Glyph

 GroupIndex

 ImageIndex

 ImageKind

 Images

 InitialDir

 MultipleDirs

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

TJvDirectoryEdit

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

TJvDirectoryEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

DotNetCtrls


TJvDotNetEdit
JEDI-VCL Reference

 TJvDotNetEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

An edit that renders its border in the DotNet style.

Pascal

TJvDotNetEdit = class(TJvEdit);

File

JvDotNetControls

Description

TJvDotNetEdit is a standard TEdit that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetEdit Properties

TJvDotNetEdit	Legend

Properties

TJvEdit

 Alignment

 AutoHint

 Caret

 ClipboardCommands

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetEdit Events

TJvDotNetEdit	Legend

Events

TJvEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetEdit Methods

TJvDotNetEdit

Methods

TJvCustomEdit

IsEmpty

Created with Doc-O-Matic.


Legend

TJvDotNetEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomEdit, IJvExControl
        TJvExCustomEdit
            TJvCustomEdit
                TJvEdit
                    TJvDotNetEdit


TJvDotNetEdit Members

TJvDotNetEdit	Legend

Members

Properties

TJvEdit

 Alignment

 AutoHint

 Caret

 ClipboardCommands

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomEdit

IsEmpty

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

DotNetCtrls


TJvDotNetFilenameEdit
JEDI-VCL Reference

 TJvDotNetFilenameEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Not documented

Pascal

TJvDotNetFilenameEdit = class(TJvFilenameEdit);

File

JvDotNetControls

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDotNetFilenameEdit Properties

TJvDotNetFilenameEdit	Legend

Properties

TJvFilenameEdit

 AddQuotes

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DefaultExt

 Dialog

 DialogFiles

 DialogKind

 DialogOptions

 DialogTitle

 DirectInput

 FileEditStyle

 FileName

 Filter

 FilterIndex

 Flat

 Glyph

 GroupIndex

 HistoryList

 ImageIndex

 ImageKind

 Images

 InitialDir

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvDotNetFilenameEdit Events

TJvDotNetFilenameEdit	Legend

Events

TJvFilenameEdit

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetFilenameEdit Methods

TJvDotNetFilenameEdit	Legend

Methods

TJvFilenameEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDotNetFilenameEdit

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvFileDirEdit
            TJvFilenameEdit
                TJvDotNetFilenameEdit


TJvDotNetFilenameEdit Members

TJvDotNetFilenameEdit	Legend

Members

Properties

TJvFilenameEdit

 AddQuotes

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DefaultExt

 Dialog

 DialogFiles

 DialogKind

 DialogOptions

 DialogTitle

 DirectInput

 FileEditStyle

 FileName

 Filter

 FilterIndex

 Flat

 Glyph

 GroupIndex

 HistoryList

 ImageIndex

 ImageKind

 Images

 InitialDir

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

TJvFilenameEdit

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

TJvFilenameEdit

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

DotNetCtrls


TJvDotNetHotKey
JEDI-VCL Reference

 TJvDotNetHotKey

Hierarchy	Properties	Events	Package	 Edit topic

A hotkey that renders its border in the DotNet style.

Pascal

TJvDotNetHotKey = class(TJvHotKey);

File

JvDotNetControls

Description

TJvDotNetHotKey is a standard THotKey that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetHotKey Properties

TJvDotNetHotKey	Legend

Properties

TJvHotKey

 HintColor

TJvExHotKey

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetHotKey Events

TJvDotNetHotKey	Legend

Events

TJvHotKey

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExHotKey

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvDotNetHotKey

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

THotKey, IJvExControl
        TJvExHotKey
            TJvHotKey
                TJvDotNetHotKey


TJvDotNetHotKey Members

TJvDotNetHotKey	Legend

Members

Properties

TJvHotKey

 HintColor

TJvExHotKey

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvHotKey

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExHotKey

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

DotNetCtrls


TJvDotNetListBox
JEDI-VCL Reference

 TJvDotNetListBox

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A listbox that renders its border in the DotNet style.

Pascal

TJvDotNetListBox = class(TJvListBox);

File

JvDotNetControls

Description

TJvDotNetListBox is a standard TListBox that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetListBox Properties

TJvDotNetListBox	Legend

Properties

TJvListBox

 Alignment

 Background

 DisabledTextColor

 HintColor

 HotTrack

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDotNetListBox Events

TJvDotNetListBox	Legend

Events

TJvListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSelectCancel

 OnVerticalScroll

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetListBox Methods

TJvDotNetListBox	Legend

Methods

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDotNetListBox

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomListBox
                TJvListBox
                    TJvDotNetListBox


TJvDotNetListBox Members

TJvDotNetListBox	Legend

Members

Properties

TJvListBox

 Alignment

 Background

 DisabledTextColor

 HintColor

 HotTrack

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSelectCancel

 OnVerticalScroll

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

DotNetCtrls


TJvDotNetListView
JEDI-VCL Reference

 TJvDotNetListView

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A listview that renders its border in the DotNet style.

Pascal

TJvDotNetListView = class(TJvListView);

File

JvDotNetControls

Description

TJvDotNetListView is a standard TListView that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetListView Properties

TJvDotNetListView	Legend

Properties

TJvListView

 AutoClipboardCopy

 AutoSelect

 ColumnsOrder

 ExtendedColumns

 HeaderImages

 HintColor

ItemPopup

 Picture

 SmallImages

 SortMethod

 SortOnClick

 ViewStylesItemBrush

TJvExListView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

write only

protected

Created with Doc-O-Matic.


Legend

published

write only

protected


TJvDotNetListView Events

TJvDotNetListView	Legend

Events

TJvListView

 OnAutoSort

 OnHorizontalScroll

 OnLoadProgress

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSaveProgress

 OnVerticalScroll

TJvExListView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetListView Methods

TJvDotNetListView

Methods

TJvListView

InvertSelection

LoadFromCSV

LoadFromFile

LoadFromStream

LoadFromStrings

MoveDown

MoveUp

SaveToCSV

SaveToFile

SaveToStream

SaveToStrings

SelectNextItem

SelectPrevItem

SetSmallImages

UnselectAll

Created with Doc-O-Matic.


Legend

TJvDotNetListView

Legend

published

write only

protected

Created with Doc-O-Matic.


Hierarchy

TListView, IJvExControl
        TJvExListView
            TJvListView
                TJvDotNetListView


TJvDotNetListView Members

TJvDotNetListView	Legend

Members

Properties

TJvListView

 AutoClipboardCopy

 AutoSelect

 ColumnsOrder

 ExtendedColumns

 HeaderImages

 HintColor

ItemPopup

 Picture

 SmallImages

 SortMethod

 SortOnClick

 ViewStylesItemBrush

TJvExListView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvListView

 OnAutoSort

 OnHorizontalScroll

 OnLoadProgress

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSaveProgress

 OnVerticalScroll

TJvExListView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvListView

InvertSelection

LoadFromCSV

LoadFromFile

LoadFromStream

LoadFromStrings

MoveDown

MoveUp

SaveToCSV

SaveToFile

SaveToStream

SaveToStrings

SelectNextItem

SelectPrevItem

SetSmallImages

UnselectAll

Legend

published

write only

protected

Created with Doc-O-Matic.


Legend

published

write only

protected


Package

DotNetCtrls


TJvDotNetMaskEdit
JEDI-VCL Reference

 TJvDotNetMaskEdit

Hierarchy	Package	 Edit topic

A mask edit that renders its border in the DotNet style.

Pascal

TJvDotNetMaskEdit = class(TJvMaskEdit);

File

JvDotNetControls

Description

TJvDotNetMaskEdit is a standard TMaskEdit that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


Hierarchy

TJvMaskEdit
    TJvDotNetMaskEdit


Package

DotNetCtrls


TJvDotNetMemo
JEDI-VCL Reference

 TJvDotNetMemo

Hierarchy	Package	 Edit topic

A memo that renders its border in the DotNet style.

Pascal

TJvDotNetMemo = class(TJvMemo);

File

JvDotNetControls

Description

TJvDotNetMemo is a standard TMemo that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


Hierarchy

TJvMemo
    TJvDotNetMemo


Package

DotNetCtrls


TJvDotNetRichEdit
JEDI-VCL Reference

 TJvDotNetRichEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A rich edit that renders its border in the DotNet style.

Pascal

TJvDotNetRichEdit = class(TJvRichEdit);

File

JvDotNetControls

Description

TJvDotNetRichEdit is a standard TRichEdit that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetRichEdit Properties

TJvDotNetRichEdit	Legend

Properties

TJvRichEdit

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 ClipboardCommands

 ForceUndo

 HideScrollBars

 HideSelection

 HintColor

 LangOptions

 Lines

 OLEDragDrop

 PlainText

 SelectionBar

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UseFixedPopup

 WordSelection

 Zoom

TJvCustomRichEdit

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 CanFindNext

 CanPaste

 CanRedo

DefAttributes

DefaultConverter

 ForceUndo

 HideScrollBars

 HideSelection

 LangOptions

 Lines

 OLEDragDrop

PageRect

 Paragraph

 PlainText

 RedoName

SelAttributes

 SelectionBar

 SelectionType

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UndoName

 UseFixedPopup

WordAttributes

 WordSelection

 Zoom

TJvExCustomMemo

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDotNetRichEdit Events

TJvDotNetRichEdit	Legend

Events

TJvRichEdit

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvCustomRichEdit

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvExCustomMemo

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetRichEdit Methods

TJvDotNetRichEdit	Legend

Methods

TJvCustomRichEdit

AddFormatText

ClearUndo

CloseActiveObject

Filter

FindDialog

FindNext

FindText

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetTextRange

InsertFormatText

InsertGraphic

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

 Print

Redo

RegisterConversionFormat

RegisterMSTextConverters

ReplaceDialog

SaveToImage

SetSelection

StopGroupTyping

WordAtCursor

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDotNetRichEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomMemo, IJvExControl
        TJvExCustomMemo
            TJvCustomRichEdit
                TJvRichEdit
                    TJvDotNetRichEdit


TJvDotNetRichEdit Members

TJvDotNetRichEdit	Legend

Members

Properties

TJvRichEdit

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 ClipboardCommands

 ForceUndo

 HideScrollBars

 HideSelection

 HintColor

 LangOptions

 Lines

 OLEDragDrop

 PlainText

 SelectionBar

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UseFixedPopup

 WordSelection

 Zoom

TJvCustomRichEdit

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 CanFindNext

 CanPaste

 CanRedo

DefAttributes

DefaultConverter

 ForceUndo

 HideScrollBars

 HideSelection

 LangOptions

 Lines

 OLEDragDrop

PageRect

 Paragraph

 PlainText

 RedoName

SelAttributes

 SelectionBar

 SelectionType

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UndoName

 UseFixedPopup

WordAttributes

 WordSelection

 Zoom

TJvExCustomMemo

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvRichEdit

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvCustomRichEdit

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvExCustomMemo

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomRichEdit

AddFormatText

ClearUndo

CloseActiveObject

Filter

FindDialog

FindNext

FindText

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetTextRange

InsertFormatText

InsertGraphic

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

 Print

Redo

RegisterConversionFormat

RegisterMSTextConverters

ReplaceDialog

SaveToImage

SetSelection

StopGroupTyping

WordAtCursor

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

DotNetCtrls


TJvDotNetScrollBox
JEDI-VCL Reference

 TJvDotNetScrollBox

Hierarchy	Properties	Events	Package	 Edit topic

A scroll box that renders its border in the DotNet style.

Pascal

TJvDotNetScrollBox = class(TJvScrollBox);

File

JvDotNetControls

Description

TJvDotNetScrollBox is a standard TScrollBox that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


TJvDotNetScrollBox Properties

TJvDotNetScrollBox	Legend

Properties

TJvScrollBox

 HintColor

 HotTrack

TJvExScrollBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDotNetScrollBox Events

TJvDotNetScrollBox	Legend

Events

TJvScrollBox

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnVerticalScroll

TJvExScrollBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvDotNetScrollBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TScrollBox, IJvExControl
        TJvExScrollBox
            TJvScrollBox
                TJvDotNetScrollBox


TJvDotNetScrollBox Members

TJvDotNetScrollBox	Legend

Members

Properties

TJvScrollBox

 HintColor

 HotTrack

TJvExScrollBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvScrollBox

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnVerticalScroll

TJvExScrollBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

DotNetCtrls


TJvDotNetTreeView
JEDI-VCL Reference

 TJvDotNetTreeView

Hierarchy	Package	 Edit topic

A treeview that renders its border in the DotNet style.

Pascal

TJvDotNetTreeView = class(TJvTreeView);

File

JvDotNetControls

Description

TJvDotNetTreeView is a standard TTreeView that draws its border in the DotNet style depending on whether the mouse is inside the control or not.

Created with Doc-O-Matic.


Hierarchy

TJvTreeView
    TJvDotNetTreeView


Package

DotNetCtrls


TJvDP_ProviderBaseRender
JEDI-VCL Reference

TJvDP_ProviderBaseRender

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDP_ProviderBaseRender = class(TObject);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender Fields

TJvDP_ProviderBaseRender	Legend

Fields

 Rect

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvDP_ProviderBaseRender Properties

TJvDP_ProviderBaseRender	Legend

Properties

 Canvas

 Item

 State

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDP_ProviderBaseRender Methods

TJvDP_ProviderBaseRender	Legend

Methods

 DoDraw

 DoMeasure

Draw

Measure

 Prepare

Legend

protected

abstract

Created with Doc-O-Matic.


Legend

protected

abstract


Legend

TJvDP_ProviderBaseRender

Legend

protected

read only

abstract

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvDP_ProviderBaseRender


TJvDP_ProviderBaseRender Members

TJvDP_ProviderBaseRender	Legend

Members

Fields

 Rect

Properties

 Canvas

 Item

 State

Methods

 DoDraw

 DoMeasure

Draw

Measure

 Prepare

Legend

protected

read only

abstract

Created with Doc-O-Matic.


Legend

protected

read only

abstract


TJvDP_ProviderBaseRender.Rect field

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

Rect: TRect;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.Canvas property

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

property Canvas: TCanvas;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.Item property

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

property Item: IJvDataItem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.State property

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

property State: TProviderDrawStates;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.DoDraw method

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

procedure DoDraw; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.DoMeasure method

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

function DoMeasure: TSize; virtual; abstract;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.Draw method

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

class procedure Draw(AItem: IJvDataItem; ACanvas: TCanvas; var ARect: TRect; AState: TProviderDrawStates);

Parameters

AItem: IJvDataItem

Not documented

ACanvas: TCanvas

Not documented

var ARect: TRect

Not documented

AState: TProviderDrawStates

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.Measure method

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

class function Measure(AItem: IJvDataItem; ACanvas: TCanvas; AState: TProviderDrawStates): TSize;

Parameters

AItem: IJvDataItem

Not documented

ACanvas: TCanvas

Not documented

AState: TProviderDrawStates

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderBaseRender.Prepare method

TJvDP_ProviderBaseRender	Edit topic

Not documented

Pascal

procedure Prepare(ForMeasure: Boolean); virtual; abstract;

Parameters

ForMeasure: Boolean

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender
JEDI-VCL Reference

TJvDP_ProviderImgAndTextRender

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDP_ProviderImgAndTextRender = class(TJvDP_ProviderTextOnlyRender);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender Properties

TJvDP_ProviderImgAndTextRender	Legend

Properties

 Alignment

 HasDisabledImage

 HasImage

 ImageIndex

 Images

TJvDP_ProviderTextOnlyRender

 HasNoText

 Text

 TextRect

TJvDP_ProviderBaseRender

 Canvas

 Item

 State

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDP_ProviderImgAndTextRender Methods

TJvDP_ProviderImgAndTextRender	Legend

Methods

 DoDraw

 DoMeasure

 Prepare

TJvDP_ProviderTextOnlyRender

 DoDraw

 DoMeasure

 Prepare

TJvDP_ProviderBaseRender

 DoDraw

 DoMeasure

Draw

Measure

 Prepare

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvDP_ProviderImgAndTextRender Fields

TJvDP_ProviderImgAndTextRender	Legend

Fields

TJvDP_ProviderBaseRender

 Rect

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDP_ProviderImgAndTextRender

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvDP_ProviderBaseRender
        TJvDP_ProviderTextOnlyRender
            TJvDP_ProviderImgAndTextRender


TJvDP_ProviderImgAndTextRender Members

TJvDP_ProviderImgAndTextRender	Legend

Members

Properties

 Alignment

 HasDisabledImage

 HasImage

 ImageIndex

 Images

TJvDP_ProviderTextOnlyRender

 HasNoText

 Text

 TextRect

TJvDP_ProviderBaseRender

 Canvas

 Item

 State

Methods

 DoDraw

 DoMeasure

 Prepare

TJvDP_ProviderTextOnlyRender

 DoDraw

 DoMeasure

 Prepare

TJvDP_ProviderBaseRender

 DoDraw

 DoMeasure

Draw

Measure

 Prepare

Fields

TJvDP_ProviderBaseRender

 Rect

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

read only

virtual

abstract


TJvDP_ProviderImgAndTextRender.Alignment property

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

property Alignment: TAlignment;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender.HasDisabledImage property

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

property HasDisabledImage: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender.HasImage property

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

property HasImage: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender.ImageIndex property

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

property ImageIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender.Images property

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

property Images: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender.DoDraw method

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

procedure DoDraw; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender.DoMeasure method

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

function DoMeasure: TSize; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderImgAndTextRender.Prepare method

TJvDP_ProviderImgAndTextRender	Edit topic

Not documented

Pascal

procedure Prepare(ForMeasure: Boolean); override;

Parameters

ForMeasure: Boolean

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderTextOnlyRender
JEDI-VCL Reference

TJvDP_ProviderTextOnlyRender

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvDP_ProviderTextOnlyRender = class(TJvDP_ProviderBaseRender);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderTextOnlyRender Properties

TJvDP_ProviderTextOnlyRender	Legend

Properties

 HasNoText

 Text

 TextRect

TJvDP_ProviderBaseRender

 Canvas

 Item

 State

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvDP_ProviderTextOnlyRender Methods

TJvDP_ProviderTextOnlyRender	Legend

Methods

 DoDraw

 DoMeasure

 Prepare

TJvDP_ProviderBaseRender

 DoDraw

 DoMeasure

Draw

Measure

 Prepare

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvDP_ProviderTextOnlyRender Fields

TJvDP_ProviderTextOnlyRender	Legend

Fields

TJvDP_ProviderBaseRender

 Rect

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvDP_ProviderTextOnlyRender

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvDP_ProviderBaseRender
        TJvDP_ProviderTextOnlyRender


TJvDP_ProviderTextOnlyRender Members

TJvDP_ProviderTextOnlyRender	Legend

Members

Properties

 HasNoText

 Text

 TextRect

TJvDP_ProviderBaseRender

 Canvas

 Item

 State

Methods

 DoDraw

 DoMeasure

 Prepare

TJvDP_ProviderBaseRender

 DoDraw

 DoMeasure

Draw

Measure

 Prepare

Fields

TJvDP_ProviderBaseRender

 Rect

Legend

protected

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

read only

virtual

abstract


TJvDP_ProviderTextOnlyRender.HasNoText property

TJvDP_ProviderTextOnlyRender	Edit topic

Not documented

Pascal

property HasNoText: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderTextOnlyRender.Text property

TJvDP_ProviderTextOnlyRender	Edit topic

Not documented

Pascal

property Text: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderTextOnlyRender.TextRect property

TJvDP_ProviderTextOnlyRender	Edit topic

Not documented

Pascal

property TextRect: TRect;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDP_ProviderTextOnlyRender.DoDraw method

TJvDP_ProviderTextOnlyRender	Edit topic

Not documented

Pascal

procedure DoDraw; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderTextOnlyRender.DoMeasure method

TJvDP_ProviderTextOnlyRender	Edit topic

Not documented

Pascal

function DoMeasure: TSize; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDP_ProviderTextOnlyRender.Prepare method

TJvDP_ProviderTextOnlyRender	Edit topic

Not documented

Pascal

procedure Prepare(ForMeasure: Boolean); override;

Parameters

ForMeasure: Boolean

Not documented

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvDragDrop
JEDI-VCL Reference

 TJvDragDrop

Hierarchy	Properties	Events	Package	 Edit topic

Enables a control to accepts dropped files.

Pascal

TJvDragDrop = class(TJvComponent);

File

JvDragDrop

Description

Use TJvDragDrop to enable a control to accept dropped files.

To use a TJvDragDrop, do the following:

Drop a TJvDragDrop component on a form.

Set DropTarget to the control that should accept dropped files.

Set property AcceptDrag to true; this means that now the control accepts dropped files.

Write an OnDrop event handler, that will respond when the user drops files on the drop target.

At run-time, set TargetStrings to a TStrings descendant, that should automatically receive the list of dropped files.

Created with Doc-O-Matic.


TJvDragDrop Properties

TJvDragDrop	Legend

Properties

 AcceptDrag

 DropTarget

 Files

TargetStrings

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvDragDrop Events

TJvDragDrop	Legend

Events

 OnDrop

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvDragDrop

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvDragDrop


TJvDragDrop Members

TJvDragDrop	Legend

Members

Properties

 AcceptDrag

 DropTarget

 Files

TargetStrings

TJvComponent

 AboutJVCL

Events

 OnDrop

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

System


TJvDragDrop.AcceptDrag property

TJvDragDrop	See Also	Edit topic

Indicates whether the drop target accepts dropped files.

Pascal

property AcceptDrag: Boolean;

Description

Set AcceptDrag to true to accept dropped files or set it to false to not accept dropped files.

Created with Doc-O-Matic.


See Also

TJvDragDrop.DropTarget, TJvDragDrop.OnDrop


TJvDragDrop.DropTarget property

TJvDragDrop	See Also	Edit topic

Specifies the control that accepts dropped files.

Pascal

property DropTarget: TWinControl;

Description

Use DropTarget to specify the control that accepts dropped files, it can be set to any TWinControl descendant. The OnDrop event is fired when files are dropped on the drop target and AcceptDrag is set to true.

Created with Doc-O-Matic.


See Also

TJvDragDrop.AcceptDrag


TJvDragDrop.Files property

TJvDragDrop	See Also	Edit topic

Lists the names of the files the user dropped the last time on the drop target.

Pascal

property Files: TStrings;

Description

Read Files to retrieve the names of the files the user dropped the last time on the drop target.

Created with Doc-O-Matic.


See Also

TJvDragDrop.DropTarget, TJvDragDrop.OnDrop


TJvDragDrop.OnDrop event

TJvDragDrop	See Also	Edit topic

Occurs when the user drops files on the drop target.

Pascal

TJvDropEvent = procedure (Sender: TObject; Pos: TPoint; Value: TStrings) of object;
property OnDrop: TJvDropEvent;

Parameters

Value

Lists the names of the files that are dropped.

Pos

Indicates the coordinates of the mouse pointer at the time the file was dropped.

Sender

The component that has fired this event.

Description

Write an OnDrop event handler to respond when the user drops files on the drop target.

Notes

Set AcceptDrag to true, otherwise no OnDrop event is fired.

Created with Doc-O-Matic.


See Also

TJvDragDrop.AcceptDrag, TJvDragDrop.DropTarget


TJvDragDrop.TargetStrings property

TJvDragDrop	See Also	Edit topic

Receives the names of dropped files.

Pascal

property TargetStrings: TStrings;

Description

Use TargetStrings to assign a TStrings descendant that will automatically receive the names of the files dropped on the drop target. For example:

  JvDragDrop1.TargetStrings := ListBox1.Items;

When files are dropped on the drop target, the list box will be filled with a list of the names of the dropped files.

Created with Doc-O-Matic.


See Also

TJvDragDrop.DropTarget, TJvDragDrop.OnDrop


TJvDriveCombo
JEDI-VCL Reference

 TJvDriveCombo

Hierarchy	Properties	Methods	Package	 See Also	Edit topic

A combobox that displays the available drives on the system.

Pascal

TJvDriveCombo = class(TJvCustomComboBox);

File

JvDriveCtrls

Description

Use TJvDriveCombo to display a list of available drives on the system. TJvDriveCombo derives from TJvCustomComboBox, exposes many of its properties and adds functionality to also display local as well as networked drives along with an icon representing the drive type.

Created with Doc-O-Matic.


TJvDriveCombo Properties

TJvDriveCombo	Legend

Properties

 DisplayName

 Drive

 DriveTypes

 ImageSize

 Items

 Offset

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvDriveCombo Methods

TJvDriveCombo	Legend

Methods

 Refresh

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDriveCombo

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboBox
    TJvDriveCombo


TJvDriveCombo Members

TJvDriveCombo	Legend

Members

Properties

 DisplayName

 Drive

 DriveTypes

 ImageSize

 Items

 Offset

Methods

 Refresh

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvDirectoryListBox, TJvDriveList, TJvFileListBox


Package

Ctrls


TJvDriveCombo.DisplayName property

TJvDriveCombo	See Also	Edit topic

The name of the currently selected drive as presented to the user.

Pascal

property DisplayName: string;

Description

Use DisplayName to access the "friendly" name of the currently selected drive. If no drive is selected, DisplayName returns an empty string.

Created with Doc-O-Matic.


See Also

TJvDriveCombo.Drive


TJvDriveCombo.Drive property

TJvDriveCombo	See Also	Edit topic

Specifies the currently selected drive.

Pascal

property Drive: Char;

Description

Use Drive to read and change the currently selected drive. Only drives in DriveTypes are displayed and can be selected.

Created with Doc-O-Matic.


See Also

TJvDriveCombo.DriveTypes


TJvDriveCombo.DriveTypes property

TJvDriveCombo	Edit topic

Specifies what drive types to show in the list.

Pascal

property DriveTypes: TJvDriveTypes;

Description

Use DriveTypes to limit the displayed drive types in the list. Note that although you might include all possible drive types, only available drives will be shown.

Created with Doc-O-Matic.


TJvDriveCombo.ImageSize property

TJvDriveCombo	Edit topic

Specifies the image size of the icons in the list.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify the size of the images displayed alongside each drive. When ImageSize is isSmall, the drive icon is displayed to the left of the drive's display name, when ImageSize is isLarge, the drive icon is displayed centered above the drive's display name

Created with Doc-O-Matic.


TJvDriveCombo.Items property

TJvDriveCombo	Edit topic

Provides indexed access to all drives in the list.

Pascal

property Items;

Description

Read Items to access the list of items that appears in the combo box. Although you can add new strings by using Items.Add etc, the effect is temporary: no drives will be affected.

Created with Doc-O-Matic.


TJvDriveCombo.Offset property

TJvDriveCombo	Edit topic

Specifies how far from the left edge an item is drawn.

Pascal

property Offset: Integer;

Description

Use Offset to change the way an item is drawn in the list. Offset determines how many pixels at the left edge is skipped before the items are drawn.

Created with Doc-O-Matic.


TJvDriveCombo.Refresh method

TJvDriveCombo	Edit topic

Updates the list of drives.

Pascal

procedure Refresh; virtual;

Description

Call Refresh to update the display in the list. When you call Refresh, the combobox clears the list, scans the system for drives and fills the Items array again, finally resetting the selected item to be the previously selected item.

Created with Doc-O-Matic.


TJvDriveList
JEDI-VCL Reference

 TJvDriveList

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

A listbox that displays a list of drives available on the system.

Pascal

TJvDriveList = class(TJvCustomListBox);

File

JvDriveCtrls

Description

Use TJvDriveList to display a list of available drives on the system. TJvDriveList derives from TJvCustomListBox, exposes many of its properties and adds functionality to also display local as well as networked drives along with an icon representing the drive type.

Created with Doc-O-Matic.


TJvDriveList Properties

TJvDriveList	Legend

Properties

 Drive

 DriveCount

 Drives

 DriveTypes

 ImageAlign

 ImageSize

 Items

 Offset

 ScrollBars

 Sorted

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvDriveList Events

TJvDriveList	Legend

Events

 OnChange

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvDriveList Methods

TJvDriveList	Legend

Methods

Refresh

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvDriveList

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomListBox
                TJvDriveList


TJvDriveList Members

TJvDriveList	Legend

Members

Properties

 Drive

 DriveCount

 Drives

 DriveTypes

 ImageAlign

 ImageSize

 Items

 Offset

 ScrollBars

 Sorted

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnChange

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

Refresh

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvDirectoryListBox, TJvDriveCombo, TJvFileListBox


Package

Ctrls


TJvDriveList.Drive property

TJvDriveList	See Also	Edit topic

Specifies the currently selected drive.

Pascal

property Drive: Char;

Description

Use Drive to read and change the currently selected drive. Only drives in DriveTypes are displayed and can be selected.

Created with Doc-O-Matic.


See Also

TJvDriveList.DriveTypes


TJvDriveList.DriveCount property

TJvDriveList	See Also	Edit topic

Specifies the number of drives in the control.

Pascal

property DriveCount: Integer;

Description

Use DriveCount to determine the number of items displayed in the control. DriveCoutn can be used in conjunction with Drives to iterate the list of drives.

Created with Doc-O-Matic.


See Also

TJvDriveList.Drives


TJvDriveList.Drives property

TJvDriveList	See Also	Edit topic

Provides indexed access to the drives in the control.

Pascal

property Drives [Index: Integer]: string;

Description

Use Drives to access a specific drive in the list based on it's index. Valid indices range from 0 to DriveCount - 1. For example, when MultiSelect is true, you can use Drives and DriveCount to create a list of drives the user has selected:

  var

    i:integer;

    S:string;

  begin

    S := '';

    for i := 0 to JvDriveList.DriveCount - 1 do

      if JvDriveList.Selected[i] then

        S := S + JvDriveList.Drives[i] + #13#10;

    ShowMessageFmt('You selected the following drives:'#13#10'%s',[S]);

  end;

Created with Doc-O-Matic.


See Also

TJvDriveList.DriveCount


TJvDriveList.DriveTypes property

TJvDriveList	Edit topic

Specifies what drive types to show in the list.

Pascal

property DriveTypes: TJvDriveTypes;

Description

Use DriveTypes to limit the displayed drive types in the list. Note that although you might include all possible drive types, only available drives will be shown.

Created with Doc-O-Matic.


TJvDriveList.ImageAlign property

TJvDriveList	Edit topic

Specifies where the drive icon is drawn in relation to the drive text.

Pascal

property ImageAlign: TJvImageAlign;

Description

Use ImageAlign to adjust the display of drive text and icons in the list.

Created with Doc-O-Matic.


TJvDriveList.ImageSize property

TJvDriveList	Edit topic

Specifies the image size of the icons in the list.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify the size of the images displayed alongside each drive. When ImageSize is isSmall, the drive icon is displayed to the left of the drive's display name, when ImageSize is isLarge, the drive icon is displayed centered above the drive's display name

Created with Doc-O-Matic.


TJvDriveList.Items property

TJvDriveList	Edit topic

Provides indexed access to all drives in the list.

Pascal

property Items;

Description

Read Items to access the list of items that appears in the combo box. Although you can add new strings by using Items.Add etc, the effect is temporary: no drives will be affected.

Created with Doc-O-Matic.


TJvDriveList.Offset property

TJvDriveList	Edit topic

Specifies how far from the left edge an item is drawn.

Pascal

property Offset: Integer;

Description

Use Offset to change the way an item is drawn in the list. Offset determines how many pixels at the left edge is skipped before the items are drawn.

Created with Doc-O-Matic.


TJvDriveList.OnChange event

TJvDriveList	Edit topic

Occurs when the selection in the listbox changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for the OnChange event to take specific action when the selected item in the listbox changes.

Created with Doc-O-Matic.


TJvDriveList.ScrollBars property

TJvDriveList	See Also	Edit topic

Determines whether the list box control has scroll bars.

Pascal

property ScrollBars: TScrollStyle;

Description

Use ScrollBars to give a list box control horizontal or vertical scroll bars. ScrollBars can take one of the following values:
Value	Meaning
ssNone	The control has no scroll bars. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssHorizontal	The control may have a single scroll bar on the bottom edge.
ssVertical	The control has a single scroll bar on the right edge. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssBoth	The control may have a scroll bar on both the bottom and right edges.
Created with Doc-O-Matic.


See Also

TJvCustomListBox.MultiLine


TJvDriveList.Sorted property

TJvDriveList	Edit topic

Not documented

Pascal

property Sorted: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDriveList.Refresh method

TJvDriveList	Edit topic

Updates the list of drives.

Pascal

procedure Refresh;

Description

Call Refresh to update the display in the list. When you call Refresh, the listbox clears the list, scans the system for drives and fills the Items array again, finally resetting the selected item to be the previously selected item.

Created with Doc-O-Matic.


TJvDropButton
JEDI-VCL Reference

TJvDropButton

Hierarchy	Properties	 See Also	Edit topic

A button that can display a drop-down arrow at the side of the button.

Pascal

TJvDropButton = class(TJvCustomDropButton);

File

JvColorBox

Description

The TJvDropButton is used as the basis for the TJvColorButton component.

Created with Doc-O-Matic.


TJvDropButton Properties

TJvDropButton	Legend

Properties

 ArrowWidth

 DropDown

TJvCustomDropButton

 ArrowWidth

 DropDown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvDropButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomDropButton
            TJvDropButton


TJvDropButton Members

TJvDropButton	Legend

Members

Properties

 ArrowWidth

 DropDown

TJvCustomDropButton

 ArrowWidth

 DropDown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


See Also

TJvColorButton


TJvDropButton.ArrowWidth property

TJvDropButton	Edit topic

Specifies the width of the arrow part of the button.

Pascal

property ArrowWidth: Integer;

Description

Use ArrowWidth to specify the width of the arrow part of the button. The arrow image will be sized accordingly.

Created with Doc-O-Matic.


TJvDropButton.DropDown property

TJvDropButton	Edit topic

Specifies a pop up menu that is used as the drop down for the arrow.

Pascal

property DropDown: TPopupMenu;

Description

Use DropDown to assign a popup menu to use as the drop down menu for the button. When the user clicks the arrow part of the button, the menu is displayed below the button.

Created with Doc-O-Matic.


TJvDropDownButton
JEDI-VCL Reference

TJvDropDownButton

Hierarchy	 Edit topic

Specialized button that looks like a combobox drop arrow button

Pascal

TJvDropDownButton = class(TSpeedButton);

File

JvButton

Description

Use TJvDropDownButton when you need a button that looks like a combobox drop down arrow button. This button is not meant to be installed on the Component Palette. Instead, use it when creating new controls.

Created with Doc-O-Matic.


Hierarchy

TSpeedButton
    TJvDropDownButton


TJvDropTarget
JEDI-VCL Reference

 TJvDropTarget

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Enables a control to accepts dropped files.

Pascal

TJvDropTarget = class(TJvComponent, IDropTarget);

File

JvDragDrop

Description

Use TJvDropTarget to enable a control to accept dropped files.

To use a TJvDropTarget, do the following:

Drop a TJvDropTarget component on a form.

Set Control to the control that should accept dropped files.

Set property AcceptDrag to true; this means that now the control accepts dropped files.

Write an OnDragDrop event handler, that will respond when the user drops files on the drop target. Use the methods of the component in the event handle, to retrieve the file names, content etc. of the dropped files.

Created with Doc-O-Matic.


TJvDropTarget Properties

TJvDropTarget	Legend

Properties

 AcceptDrag

 Control

 DataObject

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvDropTarget Events

TJvDropTarget	Legend

Events

 OnDragAccept

 OnDragDrop

 OnDragEnter

 OnDragLeave

 OnDragOver

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDropTarget Methods

TJvDropTarget

Methods

GetFileContent

GetFileDescrCount

GetFileDescrNames

GetFilenames

Created with Doc-O-Matic.


Legend

TJvDropTarget

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent, IDropTarget
            TJvDropTarget


TJvDropTarget Members

TJvDropTarget	Legend

Members

Properties

 AcceptDrag

 Control

 DataObject

TJvComponent

 AboutJVCL

Events

 OnDragAccept

 OnDragDrop

 OnDragEnter

 OnDragLeave

 OnDragOver

Methods

GetFileContent

GetFileDescrCount

GetFileDescrNames

GetFilenames

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

System


TJvDropTarget.AcceptDrag property

TJvDropTarget	See Also	Edit topic

Indicates whether the drop target accepts dropped files.

Pascal

property AcceptDrag: Boolean;

Description

Set AcceptDrag to true to accept dropped files or set it to false to not accept dropped files.

Created with Doc-O-Matic.


See Also

TJvDropTarget.Control


TJvDropTarget.Control property

TJvDropTarget	See Also	Edit topic

The control that accept dragged content.

Pascal

property Control: TWinControl;

Description

Set control to point to a control on your form to make that control accept dragged files. When a valid control is assigned and AcceptDrag is true, the cursor will turn into an accept cursor when it hovers above the control in a drag and drop action.,

Created with Doc-O-Matic.


See Also

TJvDropTarget.AcceptDrag


TJvDropTarget.DataObject property

TJvDropTarget	Edit topic

Pointer to the underlying Windows data object instance.

Pascal

property DataObject: IDataObject;

Description

Use DataObject when you need to access the Windows IDataObject underlying the component. For example, this property might be necessary when call native API functions.

Created with Doc-O-Matic.


TJvDropTarget.OnDragAccept event

TJvDropTarget	See Also	Edit topic

Called when the drag and drop needs to know if the dragged files will be accepted.

Pascal

TJvDragAcceptEvent = procedure (Sender: TJvDropTarget; var Accept: Boolean) of object;
property OnDragAccept: TJvDragAcceptEvent;

Parameters

Accept

Set this to true to accept the files, false otherwise.

Sender

The TJvDropTarget that called the event.

Description

Write a handler for the OnDragAccept event to specify whether the dragged files can be dropped on the control. Set the value of Accept to true to accept the files, to false to not accept them. accepted by the control. For example, you can call

Created with Doc-O-Matic.


See Also

TJvDropTarget.OnDragDrop, TJvDropTarget.OnDragEnter, TJvDropTarget.OnDragLeave


TJvDropTarget.OnDragDrop event

TJvDropTarget	See Also	Edit topic

Called when the dragged files are dropped on the control.

Pascal

TJvDragDropEvent = procedure (Sender: TJvDropTarget; var Effect: TJvDropEffect; Shift: TShiftState; X, Y: Integer) of object;
property OnDragDrop: TJvDragDropEvent;

Parameters

X

The horizontal coordinate of the mouse cursor in screen coordinates.

Y

The vertical screen of the mouse cursor in screen coordinates.

Shift

The current state of the shift keys.

Sender

The TJvDropTarget that called the event.

Effect

The effect to apply to the cursor.

Description

Write a handler for the OnDragDrop event to take specific action when the dragged files are dropped on the control. For example, you can add the names of the dropped files to a list.

Created with Doc-O-Matic.


See Also

TJvDropTarget.OnDragAccept, TJvDropTarget.OnDragEnter, TJvDropTarget.OnDragLeave


TJvDropTarget.OnDragEnter event

TJvDropTarget	See Also	Edit topic

Called when the mouse cursor enters the control while a drag is in progress.

Pascal

property OnDragEnter: TJvDragEvent;

Description

Write a handler for the OnDragEnter event to take specific action when the mouse cursor enters the control in a drag and drop action.

Created with Doc-O-Matic.


See Also

TJvDropTarget.OnDragLeave


TJvDropTarget.OnDragLeave event

TJvDropTarget	See Also	Edit topic

Called when the mouse cursor leaves the control while a drag is in progress.

Pascal

TJvDragLeaveEvent = procedure (Sender: TJvDropTarget) of object;
property OnDragLeave: TJvDragLeaveEvent;

Parameters

Sender

The TJvDropTarget that called the event.

Description

Write a handler for the OnDragLeave event to take specific action when the mouse cursor leaves the control in a drag and drop action.

Created with Doc-O-Matic.


See Also

TJvDropTarget.OnDragEnter


TJvDropTarget.OnDragOver event

TJvDropTarget	See Also	Edit topic

Occurs when the user drags files over the control.

Pascal

property OnDragOver: TJvDragEvent;

Description

Write a handler for the OnDragOver event to take specific action when the user drags files over the control.

Created with Doc-O-Matic.


See Also

TJvDropTarget.OnDragAccept, TJvDropTarget.OnDragEnter, TJvDropTarget.OnDragLeave


TJvDropTarget.GetFileContent method

TJvDropTarget	See Also	Edit topic

Saves the content of a dragged file to a stream.

Pascal

function GetFileContent(Index: Integer; Stream: TStream): Boolean;

Return Value

True if the data could be saved to the stream, false otherwise.

Parameters

Index: Integer

The index of the file in the file list. Index must be between 0 and GetFileDescrCount - 1.

Stream: TStream

The stream to save the content to.

Description

Call GetFileContent when you need to retrieve the data of a dragged file.

Created with Doc-O-Matic.


See Also

TJvDropTarget.GetFileDescrCount, TJvDropTarget.GetFilenames


TJvDropTarget.GetFileDescrCount method

TJvDropTarget	Edit topic

Returns the number of dropped files.

Pascal

function GetFileDescrCount: Integer;

Return Value

The number of files dropped

Description

Call GetFileDescrCount to learn the number of files dropped.

Created with Doc-O-Matic.


TJvDropTarget.GetFileDescrNames method

TJvDropTarget	See Also	Edit topic

Retrieves the names of the dropped files.

Pascal

function GetFileDescrNames(List: TStrings): Integer;

Return Value

The number of items added to List.

Parameters

List: TStrings

The list to save the filenames to.

Description

Call GetFileDescrNames to fill a TStrings with the names of the dropped files. GetFileDescrNames is equivalent to GetFilenames but uses the DataObject to retrieve the names.

Created with Doc-O-Matic.


See Also

TJvDropTarget.GetFilenames


TJvDropTarget.GetFilenames method

TJvDropTarget	See Also	Edit topic

Retrieves the names of the dropped files.

Pascal

function GetFilenames(List: TStrings): Integer;

Return Value

The number of items added to List.

Parameters

List: TStrings

The list to save the filenames to.

Description

Call GetFilenames to fill a TStrings with the names of the dropped files. GetFilenames is equivalent to GetFileDescrNames but uses the HDROP handle to retrieve the names.

Created with Doc-O-Matic.


See Also

TJvDropTarget.GetFileDescrNames


TJvDSADialog
JEDI-VCL Reference

 TJvDSADialog

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Converts a form into a "Don't Show Again" dialog.

Pascal

TJvDSADialog = class(TJvComponent);

File

JvDSADialogs

Description

The TJvDSADialog component converts the form its placed on into a DSA ("Don't Show Again") dialog. The component is basically a link between a VCL form and the included DSA backend.

Converting a dialog into a DSA dialog involves the following tasks:

Create and design the form or use an existing form.

Drop a control on the form that has both a "Checked" as well as a "Caption" property. A TCheckBox will do fine. There is no need to provide a caption for the check box, as it will be set by the DSA backend when the dialog is shown.

Drop a TJvDSADialog component on the form. The component will be the link between the VCL form and the DSA backend. You need to set DialogID to a registered dialog (you can optionally register the dialog in the initialization section of this unit).

Use ShowModal to display the form or retrieve the last modal result if the form was previously suppressed.

TJvDSADialog will hook the ShowModal virtual method of the form it is on. This allows the component to check the DSA state and either call the original ShowModal method or just return its result. Note that because the ShowModal method of the form the component is on is being hooked, it doesn't matter if a custom form is used that happens to override the ShowModal method. This overridden method will be called if the dialog is to be displayed.

Created with Doc-O-Matic.


TJvDSADialog Properties

TJvDSADialog	Legend

Properties

 CheckControl

 DialogID

 IgnoreDSAChkMrkTxt

 OrgOwner

 OrgShowModalPtr

 Storage

 Timeout

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvDSADialog Events

TJvDSADialog	Legend

Events

 OnApplyKeys

 OnAutoClose

 OnCountdown

 OnUpdateKeys

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvDSADialog Methods

TJvDSADialog	Legend

Methods

 ApplySavedState

 CancelCountdown

 FormPatch

 FormUnPatch

 GetDSAStateInternal

 GetModalResult

 GetOrgOwner

 GetOrgShowModalPtr

 GetStorage

 IsDSAChecked

SecondsLeft

 UpdateDSAState

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvDSADialog

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvDSADialog


TJvDSADialog Members

TJvDSADialog	Legend

Members

Properties

 CheckControl

 DialogID

 IgnoreDSAChkMrkTxt

 OrgOwner

 OrgShowModalPtr

 Storage

 Timeout

TJvComponent

 AboutJVCL

Events

 OnApplyKeys

 OnAutoClose

 OnCountdown

 OnUpdateKeys

Methods

 ApplySavedState

 CancelCountdown

 FormPatch

 FormUnPatch

 GetDSAStateInternal

 GetModalResult

 GetOrgOwner

 GetOrgShowModalPtr

 GetStorage

 IsDSAChecked

SecondsLeft

 UpdateDSAState

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Dlgs


TJvDSADialog.CheckControl property

TJvDSADialog	Edit topic

Reference to the control to use as a DSA state setter.

Pascal

property CheckControl: TWinControl;

Description

CheckControl is a reference to the control to use as a DSA state toggler.

The control has to have both a "Checked" as well as a "Caption" property. Usually you will use a TCheckBox control, but for TJvDSADialog it doesn't matter what kind of control is used (eg. it is possible to use a third party's check box equivalent control, even if it is not descending from TCustomCheckBox).

Created with Doc-O-Matic.


TJvDSADialog.DialogID property

TJvDSADialog	Edit topic

Indicates the dialog's ID in the DSA system.

Pascal

property DialogID: Integer;

Description

DialogID indicates the dialog's ID to use with the DSA system. If the specified ID is not registered, an exception will be raised as soon as the form is used.

Created with Doc-O-Matic.


TJvDSADialog.IgnoreDSAChkMrkTxt property

TJvDSADialog	Edit topic

Not documented

Pascal

property IgnoreDSAChkMrkTxt: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDSADialog.OnApplyKeys event

TJvDSADialog	See Also	Edit topic

Occurs when the DSA state is read in from the DSA storage.

Pascal

property OnApplyKeys: TJvDSADataEvent;

Description

Write an OnApplyKeys event handler to retrieve additional (custom) data from the DSA storage related to this dialog. This event (together with OnUpdateKeys) allows you to store and retrieve additional information (e.g. the ItemIndex of a combo box) along with the DSA state and modal result for the dialog.

Created with Doc-O-Matic.


See Also

TJvDSADialog.OnUpdateKeys


TJvDSADialog.OnAutoClose event

TJvDSADialog	Edit topic

Not documented

Pascal

TJvDSAAutoCloseEvent = procedure (Sender: TObject; var Handled: Boolean) of object;
property OnAutoClose: TJvDSAAutoCloseEvent;

Parameters

Handled

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDSADialog.OnCountdown event

TJvDSADialog	Edit topic

Not documented

Pascal

property OnCountdown: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDSADialog.OnUpdateKeys event

TJvDSADialog	See Also	Edit topic

Occurs when the DSA state is written to the DSA storage.

Pascal

property OnUpdateKeys: TJvDSADataEvent;

Description

Write an OnUpdateKeys event handler to store additional (custom) data from the DSA storage related to this dialog. This event (together with OnApplyKeys) allows you to store and retrieve additional information (e.g. the ItemIndex of a combo box) along with the DSA state and modal result for the dialog.

Created with Doc-O-Matic.


See Also

TJvDSADialog.OnApplyKeys


TJvDSADialog.OrgOwner property

TJvDSADialog	See Also	Edit topic

References the owner of the component.

Pascal

property OrgOwner: TComponent;

Description

OrgOwner is the reference to the owner (form) of the component. Because the Owner property is set to nil before Destroy is called, the unpatching mechanism can not use Owner. To circumvent this, the patch method will store a reference to the form which the unpatch method can use.

Created with Doc-O-Matic.


See Also

TJvDSADialog.FormPatch, TJvDSADialog.FormUnPatch


TJvDSADialog.OrgShowModalPtr property

TJvDSADialog	See Also	Edit topic

Holds the original ShowModal code pointer.

Pascal

property OrgShowModalPtr: Pointer;

Description

OrgShowModalPtr holds the original ShowModal code pointer as stored by the FormPatch method. The pointer is used in two situations:

1 The dialog was not suppressed and needs to be displayed. 2 The dialog is being disposed and needs to be unpatched.

Created with Doc-O-Matic.


See Also

TJvDSADialog.FormPatch, TJvDSADialog.FormUnPatch


TJvDSADialog.Storage property

TJvDSADialog	Edit topic

Reference to storage device for this dialog.

Pascal

property Storage: TDSAStorage;

Description

Storage holds the reference to the storage device assigned to the dialog.

It's used internally to retrieve and store the DSA state and dialog result.

Created with Doc-O-Matic.


TJvDSADialog.Timeout property

TJvDSADialog	Edit topic

Not documented

Pascal

property Timeout: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDSADialog.ApplySavedState method

TJvDSADialog	See Also	Edit topic

Applies the saved state of the dialog.

Pascal

procedure ApplySavedState; virtual;

Description

ApplySavedState retrieves all info of the dialog from the DSA storage and applies it to the form. By default this will result in the saved ModalResult being applied to the form's ModalResult property. In addition, if an OnApplyKeys event is assigned, the event will be called with all necessary information to retrieve custom stored data from the DSA storage.

Created with Doc-O-Matic.


See Also

TJvDSADialog.OnApplyKeys, TJvDSADialog.UpdateDSAState


TJvDSADialog.CancelCountdown method

TJvDSADialog	Edit topic

Not documented

Pascal

procedure CancelCountdown; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDSADialog.FormPatch method

TJvDSADialog	See Also	Edit topic

Patches the form for DSA usage.

Pascal

procedure FormPatch;

Description

FormPatch will patch the form so that it can be used as a DSA dialog. The patch involves the following:

1 Retrieve the VMT index for ShowModal 2 Store the original pointer for ShowModal using SetOrgShowModalPtr. 3 Set the pointer for ShowModal to a new ShowModal method declared in an internal form class.

Created with Doc-O-Matic.


See Also

TJvDSADialog.FormUnPatch


TJvDSADialog.FormUnPatch method

TJvDSADialog	See Also	Edit topic

Unpatches the form for DSA usage.

Pascal

procedure FormUnPatch;

Description

FormUnPatch will unpatch the form so that it can no longer be used as a DSA dialog. Unpatch involves the following:

1 Retrieve the VMT index for ShowModal 2 Set the pointer for ShowModal to the original pointer, retrieved using GetOrgShowModalPtr.

Created with Doc-O-Matic.


See Also

TJvDSADialog.FormPatch


TJvDSADialog.GetDSAStateInternal method

TJvDSADialog	Edit topic

Retrieves the DSA state for the dialog.

Pascal

function GetDSAStateInternal(out ModalResult: Integer): Boolean;

Parameters

out ModalResult: Integer

variable to retrieve the saved ModalResult value in.

Description

GetDSAStateInternal retrieves the DSA state and ModalResult from the DSA storage.

If the dialog is suppressed the method will return True and ModalResult will be set to the saved ModalResult code. If an event handler is assigned to OnApplyKey, it will be triggered as well.

If the dialog is not suppressed the method will return False and ModalResult will be set to mrNone (0).

Created with Doc-O-Matic.


TJvDSADialog.GetModalResult method

TJvDSADialog	Edit topic

Retrieves the ModalResult from the owner form.

Pascal

function GetModalResult: Integer; virtual;

Description

GetModalResult retrieves the ModelResult from the Owner. Since TJvDSADialog can only be placed on a TCustomForm descendant, a simple typecast is used to cast the owner to a TCustomForm and retrieve the ModalResult value.

Created with Doc-O-Matic.


TJvDSADialog.GetOrgOwner method

TJvDSADialog	See Also	Edit topic

Retrieves the owner of the component.

Pascal

function GetOrgOwner: TComponent;

Description

GetOrgOwner retrieves the reference to owner (form) of the component. Because the Owner property is set to nil before Destroy is called, the unpatching mechanism can not use Owner. To circumvent this, the patch method will store a reference to the form which the unpatch method can use.

Created with Doc-O-Matic.


See Also

TJvDSADialog.FormPatch, TJvDSADialog.FormUnPatch


TJvDSADialog.GetOrgShowModalPtr method

TJvDSADialog	See Also	Edit topic

Retrieves the original ShowModal code pointer.

Pascal

function GetOrgShowModalPtr: Pointer;

Description

GetOrgShowModalPtr retrieves the original ShowModal code pointer as stored by the FormPatch method. The pointer is used in two situations:

1 The dialog was not suppressed and needs to be displayed. 2 The dialog is being disposed and needs to be unpatched.

Created with Doc-O-Matic.


See Also

TJvDSADialog.FormPatch, TJvDSADialog.FormUnPatch


TJvDSADialog.GetStorage method

TJvDSADialog	See Also	Edit topic

Retrieves a reference to storage device for this dialog.

Pascal

function GetStorage: TDSAStorage;

Description

GetStorage will retrieve the reference to the storage device assigned to the dialog. It is the read method for the Storage property.

It's used internally to retrieve and store the DSA state and dialog result.

Created with Doc-O-Matic.


See Also

TJvDSADialog.Storage


TJvDSADialog.IsDSAChecked method

TJvDSADialog	See Also	Edit topic

Checks if the DSA state has been set to "suppress".

Pascal

function IsDSAChecked: Boolean; virtual;

Description

IsDSAChecked checks if the DSA state has been set to suppressed state. The base implementation does this by checking the CheckControl's Checked property, but descendant can override this to do additional checking.

Created with Doc-O-Matic.


See Also

TJvDSADialog.CheckControl


TJvDSADialog.SecondsLeft method

TJvDSADialog	Edit topic

Not documented

Pascal

function SecondsLeft: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvDSADialog.UpdateDSAState method

TJvDSADialog	See Also	Edit topic

Stores the DSA state in the DSA storage.

Pascal

procedure UpdateDSAState; virtual;

Description

UpdateDSAState will store the DSA state and ModalResult value in the DSA storage. In addition, if an event handler is assigned to OnUpdateKeys it will be triggered to allow storing custom data in the DSA storage.

Created with Doc-O-Matic.


See Also

TJvDSADialog.ApplySavedState, TJvDSADialog.OnUpdateKeys


TJvEDIDBBuffer
JEDI-VCL Reference

 TJvEDIDBBuffer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Use this component to create and update an EDI database buffer.

Pascal

TJvEDIDBBuffer = class(TJvComponent);

File

JvEDIDBBuffering

Description

This is the generic TDataSet compatible EDI Database buffer component. For best results create a descendant component for TDataSet compatible third party components.

Element , Loop, and Segment profile datasets are needed.

Created with Doc-O-Matic.


TJvEDIDBBuffer Properties

TJvEDIDBBuffer	Legend

Properties

 ElementNonKeyPrefix

 ElementProfiles

 KeySuffix

 LoopKeyPrefix

 LoopProfiles

 OnAlterTable

 OnCheckForFieldChanges

 OnCreateTable

 SegmentKeyPrefix

 SegmentProfiles

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEDIDBBuffer Events

TJvEDIDBBuffer	Legend

Events

 OnAfterCloseDataSets

 OnAfterOpenDataSets

 OnBeforeApplyElementFilter

 OnBeforeCloseDataSets

 OnBeforeOpenDataSets

 OnResolveFieldDefType

 OnTableExists

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEDIDBBuffer Methods

TJvEDIDBBuffer	Legend

Methods

 SyncProfilesWithBuffer

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvEDIDBBuffer

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvEDIDBBuffer


TJvEDIDBBuffer Members

TJvEDIDBBuffer	Legend

Members

Properties

 ElementNonKeyPrefix

 ElementProfiles

 KeySuffix

 LoopKeyPrefix

 LoopProfiles

 OnAlterTable

 OnCheckForFieldChanges

 OnCreateTable

 SegmentKeyPrefix

 SegmentProfiles

TJvComponent

 AboutJVCL

Events

 OnAfterCloseDataSets

 OnAfterOpenDataSets

 OnBeforeApplyElementFilter

 OnBeforeCloseDataSets

 OnBeforeOpenDataSets

 OnResolveFieldDefType

 OnTableExists

Methods

 SyncProfilesWithBuffer

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

EDI


TJvEDIDBBuffer.ElementNonKeyPrefix property

Examples	TJvEDIDBBuffer	Edit topic

Element non-key field name prefix.

Pascal

property ElementNonKeyPrefix: string;

Description

The default prefix for element field names is "E".

Examples

      Element 0143 is assigned the field name "E143_1".

      Element 0329 is assigned the field name "E329_1".

Created with Doc-O-Matic.


Examples

TJvEDIDBBuffer.ElementNonKeyPrefix property

      Element 0143 is assigned the field name "E143_1".

      Element 0329 is assigned the field name "E329_1".

Created with Doc-O-Matic.


TJvEDIDBBuffer.ElementProfiles property

TJvEDIDBBuffer	Edit topic

The dataset that contains element profiles.

Pascal

property ElementProfiles: TDataSet;

Description

The element profile is the collection of elements with the maximum length and usage used in a segment in transactions across all profiled EDI specification files.

Created with Doc-O-Matic.


TJvEDIDBBuffer.KeySuffix property

Examples	TJvEDIDBBuffer	Edit topic

Key field name suffix.

Pascal

property KeySuffix: string;

Description

The default suffix for key field names is "_Id".

Examples

      Key field for segment table "ST" is assigned "ST_Id"

      Key field for loop table "0100" is assigned "Loop_0100_Id"

Created with Doc-O-Matic.


Examples

TJvEDIDBBuffer.KeySuffix property

      Key field for segment table "ST" is assigned "ST_Id"

      Key field for loop table "0100" is assigned "Loop_0100_Id"

Created with Doc-O-Matic.


TJvEDIDBBuffer.LoopKeyPrefix property

Examples	TJvEDIDBBuffer	Edit topic

Loop key field name prefix.

Pascal

property LoopKeyPrefix: string;

Description

The default loop key field name prefix is ""Loop_".

Examples

      Key field for loop table "0100" is assigned "Loop_0100_Id"

      Key field for loop table "0200" is assigned "Loop_0200_Id"

Created with Doc-O-Matic.


Examples

TJvEDIDBBuffer.LoopKeyPrefix property

      Key field for loop table "0100" is assigned "Loop_0100_Id"

      Key field for loop table "0200" is assigned "Loop_0200_Id"

Created with Doc-O-Matic.


TJvEDIDBBuffer.LoopProfiles property

TJvEDIDBBuffer	Edit topic

The dataset that contains loop profiles.

Pascal

property LoopProfiles: TDataSet;

Description

The loop profile is the collection of loops and their relationships in transactions of all profiled EDI specification files.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnAfterCloseDataSets event

TJvEDIDBBuffer	Edit topic

Occurs after the profile datasets are closed.

Pascal

property OnAfterCloseDataSets: TNotifyEvent;

Description

None.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnAfterOpenDataSets event

TJvEDIDBBuffer	Edit topic

Occurs after the profile datasets are opened.

Pascal

property OnAfterOpenDataSets: TNotifyEvent;

Description

None.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnAlterTable property

TJvEDIDBBuffer	Edit topic

Occurs when a table needs to be altered.

Pascal

property OnAlterTable: TJvAlterTableEvent;

Parameters

FieldDefs

The field definitions of the table.

TableName

The name of the table.

Description

Write the code here to alter a table based on the field definitions in the FieldDefs parameter.

Each field definition status should be examined for the following values:

Value	Meaning
usModified	Indicates the field was altered.
usInserted	Indicates the field is new.
usDeleted	Indicates the field should be deleted.
Created with Doc-O-Matic.


TJvEDIDBBuffer.OnBeforeApplyElementFilter event

TJvEDIDBBuffer	Edit topic

Occurs when it needs to be known if the default TDataSet filter capability should be used.

Pascal

TJvBeforeApplyElementFilterEvent = procedure (DataSet: TDataSet; TableName: string; var ApplyFilter: Boolean) of object;
property OnBeforeApplyElementFilter: TJvBeforeApplyElementFilterEvent;

Parameters

ApplyFilter

For TDataSet components that do not support filters set the parameter to False.

TableName

The segment id table name that should be used to filter the correct element profile records.

DataSet

The ElementProfile dataset.

Description

Use this event to apply a custom method of filtering to the ElementProfiles dataset if the TDataSet compatible component is not compatible with TDataSet filter capability.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnBeforeCloseDataSets event

TJvEDIDBBuffer	Edit topic

Occurs before the profile datasets are closed.

Pascal

property OnBeforeCloseDataSets: TNotifyEvent;

Description

None.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnBeforeOpenDataSets event

TJvEDIDBBuffer	Edit topic

Occurs before the profile datasets are opened.

Pascal

property OnBeforeOpenDataSets: TNotifyEvent;

Description

None.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnCheckForFieldChanges property

TJvEDIDBBuffer	Edit topic

This event occurs when checking for changes to a table.

Pascal

property OnCheckForFieldChanges: TJvCheckForFieldChangesEvent;

Parameters

FieldDefs

The field definitions of the table to create.

TableName

The name of the table to create.

Description

Write the code to check for changes to a table by comparing the current table field definitions to the field definitions given in the FieldDefs parameter. Update the field definitions in the FieldsDefs as necessary . Usually this involves changing the status of the field definitions in the FieldsDefs parameter to one of the following values:

Value	Meaning
usUnmodified	Default value
usModified	Indicates the field was altered.
usInserted	Indicates the field is new.
usDeleted	Indicates the field should be deleted.

Changes to the FieldsDefs parameter will end up being used in the TJvEDIDBBuffer.OnAlterTable event.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnCreateTable property

TJvEDIDBBuffer	Edit topic

Occurs when a table needs to be created.

Pascal

property OnCreateTable: TJvCreateTableEvent;

Parameters

FieldDefs

The field definitions of the table.

TableName

The name of the table.

Description

Write the code to create a table (and indexes) based on the TableName and FieldDefs parameters.

Created with Doc-O-Matic.


TJvEDIDBBuffer.OnResolveFieldDefType event

TJvEDIDBBuffer	Edit topic

Resolve field types in this event.

Pascal

TJvResolveFieldDefTypeEvent = procedure (FieldDef: TJvEDIFieldDef) of object;
property OnResolveFieldDefType: TJvResolveFieldDefTypeEvent;

Parameters

FieldDef

The field definition to examine and change.

Description

Change field definition properties using this event. Using this event is optional.

By default the following EDI Types map to the following TFieldType values:

EDI Type	TFieldType
EDIDataType_Numeric	ftInteger
EDIDataType_Decimal	ftFloat
EDIDataType_Identifier	ftString
EDIDataType_String	ftString
EDIDataType_Date	ftDate
EDIDataType_Time	ftTime
EDIDataType_Binary	ftBlob
Any custom types	ftString
Created with Doc-O-Matic.


TJvEDIDBBuffer.OnTableExists event

TJvEDIDBBuffer	Edit topic

Occurs when the existence of a table needs to be determined.

Pascal

TJvTableExistsEvent = procedure (TableName: string; var TableExists: Boolean) of object;
property OnTableExists: TJvTableExistsEvent;

Parameters

TableExists

Set this parameter to True if the table exists.

TableName

The table name to check the existence of.

Description

Write the code necessary to determine if the table exists in the EDI database buffer. If the table does not exist then the OnCreateTable event will be raised.

Created with Doc-O-Matic.


TJvEDIDBBuffer.SegmentKeyPrefix property

TJvEDIDBBuffer	Edit topic

Segment key prefix.

Pascal

property SegmentKeyPrefix: string;

Description

There is no default value for this property.

Created with Doc-O-Matic.


TJvEDIDBBuffer.SegmentProfiles property

TJvEDIDBBuffer	Edit topic

The dataset that contains segment profiles.

Pascal

property SegmentProfiles: TDataSet;

Description

The segment profile is the collection of segments and their loop relationships in transactions of all profiled EDI specification files.

Created with Doc-O-Matic.


TJvEDIDBBuffer.SyncProfilesWithBuffer method

TJvEDIDBBuffer	Edit topic

The main method called to build and update the EDI database buffer.

Pascal

procedure SyncProfilesWithBuffer; virtual;

Description

Call this method to start the build and update of the EDI database buffer.

Created with Doc-O-Matic.


TJvEDIDBProfiler
JEDI-VCL Reference

TJvEDIDBProfiler

Hierarchy	Properties	Methods	Events	 Edit topic

The base EDI database profiler component.

Pascal

TJvEDIDBProfiler = class(TJvComponent);

File

JvEDIDBBuffering

Description

The purpose of a TJvEDIDBProfiler descendant component is to build the ElementProfiles, SegmentProfiles, and LoopProfiles datasets for use with a TJvEDIDBBuffering type component.

Create descendants of this component and override the abstract method BuildProfile in order to enable building profiles for different EDI specification file formats.

The profiles become a sum of all EDI specification files that are profiled.

Created with Doc-O-Matic.


TJvEDIDBProfiler Properties

TJvEDIDBProfiler	Legend

Properties

 ElementProfiles

 LoopProfiles

 SegmentProfiles

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEDIDBProfiler Events

TJvEDIDBProfiler	Legend

Events

 OnAfterProfiledSegment

 OnAfterProfiledTransactionSet

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEDIDBProfiler Methods

TJvEDIDBProfiler	Legend

Methods

 AddElement

 AddLoop

 AddSegment

 BuildProfile

 ClearProfile

 ElementExist

 LoopExist

 SegmentExist

 UpdateElement

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvEDIDBProfiler

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvEDIDBProfiler


TJvEDIDBProfiler Members

TJvEDIDBProfiler	Legend

Members

Properties

 ElementProfiles

 LoopProfiles

 SegmentProfiles

TJvComponent

 AboutJVCL

Events

 OnAfterProfiledSegment

 OnAfterProfiledTransactionSet

Methods

 AddElement

 AddLoop

 AddSegment

 BuildProfile

 ClearProfile

 ElementExist

 LoopExist

 SegmentExist

 UpdateElement

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


TJvEDIDBProfiler.ElementProfiles property

TJvEDIDBProfiler	Edit topic

The dataset that contains element profiles.

Pascal

property ElementProfiles: TDataSet;

Description

The element profile is the collection of elements with the maximum length and usage used in a segment in transactions across all profiled EDI specification files.

Created with Doc-O-Matic.


TJvEDIDBProfiler.LoopProfiles property

TJvEDIDBProfiler	Edit topic

The dataset that contains loop profiles.

Pascal

property LoopProfiles: TDataSet;

Description

The loop profile is the collection of loops and their relationships in transactions of all profiled EDI specification files.

Created with Doc-O-Matic.


TJvEDIDBProfiler.OnAfterProfiledSegment event

TJvEDIDBProfiler	Edit topic

The event that occurs after a segment has been profiled.

Pascal

TJvAfterProfiledSegmentEvent = procedure (Segment: TEDIObject) of object;
property OnAfterProfiledSegment: TJvAfterProfiledSegmentEvent;

Parameters

Segment

This parameter must be cast to its proper type in order to use it in an event handler.

Description

The event is used to advance progress bars and update status indicators.

Created with Doc-O-Matic.


TJvEDIDBProfiler.OnAfterProfiledTransactionSet event

TJvEDIDBProfiler	Edit topic

The event that occurs after a transaction set has been profiled.

Pascal

TJvAfterProfiledTransactionSetEvent = procedure (TransactionSet: TEDIObject) of object;
property OnAfterProfiledTransactionSet: TJvAfterProfiledTransactionSetEvent;

Parameters

TransactionSet

This parameter must be cast to its proper type in order to use it in an event handler.

Description

The event is used to advance progress bars and update status indicators.

Created with Doc-O-Matic.


TJvEDIDBProfiler.SegmentProfiles property

TJvEDIDBProfiler	Edit topic

The dataset that contains segment profiles.

Pascal

property SegmentProfiles: TDataSet;

Description

The segment profile is the collection of segments and their loop relationships in transactions of all profiled EDI specification files.

Created with Doc-O-Matic.


TJvEDIDBProfiler.AddElement method

TJvEDIDBProfiler	Edit topic

Adds an element profile to the ElementProfiles dataset.

Pascal

procedure AddElement(const SegmentId: string; const ElementId: string; const ElementType: string; MaximumLength: Integer); virtual;

Parameters

const SegmentId: string

The segment id of the segment that the element is contained in.

const ElementId: string

The element id of the element being added.

const ElementType: string

The type of the element.

MaximumLength: Integer

The maximum length of the element.

Description

This method is designed to be called by the BuildProfile method and uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBProfiler.AddLoop method

TJvEDIDBProfiler	Edit topic

Adds a loop profile to the LoopProfiles dataset.

Pascal

procedure AddLoop(const OwnerLoopId: string; const ParentLoopId: string); virtual;

Parameters

const OwnerLoopId: string

The loop id of the loop being added.

const ParentLoopId: string

The parent loop id of the loop being added.

Description

This method is designed to be called by the BuildProfile method and uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBProfiler.AddSegment method

TJvEDIDBProfiler	Edit topic

Adds a segment profile to the SegmentProfiles dataset.

Pascal

procedure AddSegment(const SegmentId: string; const OwnerLoopId: string; const ParentLoopId: string); virtual;

Parameters

const SegmentId: string

The segment id of the segment being added.

const OwnerLoopId: string

The loop id the segment is contained in.

const ParentLoopId: string

The parent loop id of the loop the segment is contained in.

Description

This method is designed to be called by the BuildProfile method and uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBProfiler.BuildProfile method

TJvEDIDBProfiler	Edit topic

The main method called to build a profile from an EDI specification file.

Pascal

procedure BuildProfile; virtual; abstract;

Description

This abstract method is designed to be overridden so other EDI specification file formats can be supported by the TJvEDIDBProfiler component.

Created with Doc-O-Matic.


TJvEDIDBProfiler.ClearProfile method

TJvEDIDBProfiler	Edit topic

Completely clears all of the profile datasets.

Pascal

procedure ClearProfile; virtual;

Description

This method uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBProfiler.ElementExist method

TJvEDIDBProfiler	Edit topic

Determines if the element profile already exists in the ElementProfiles dataset.

Pascal

function ElementExist(const SegmentId: string; const ElementId: string): Boolean; virtual;

Return Value

If the element profile is found then the function returns True.

Parameters

const SegmentId: string

The segment id of the segment that the element is contained in.

const ElementId: string

The element id of the element.

Description

This method is designed to be called by the BuildProfile method and uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBProfiler.LoopExist method

TJvEDIDBProfiler	Edit topic

Determines if the loop profile already exists in the LoopProfiles dataset.

Pascal

function LoopExist(const OwnerLoopId: string; const ParentLoopId: string): Boolean; virtual;

Return Value

If the loop profile is found then the function returns True.

Parameters

const OwnerLoopId: string

The loop id of the loop.

const ParentLoopId: string

The parent loop id of the loop.

Description

This method is designed to be called by the BuildProfile method and uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBProfiler.SegmentExist method

TJvEDIDBProfiler	Edit topic

Determines if the segment profile already exists in the SegmentProfiles dataset.

Pascal

function SegmentExist(const SegmentId: string; const OwnerLoopId: string; const ParentLoopId: string): Boolean; virtual;

Return Value

If the segment profile is found then the function returns True.

Parameters

const SegmentId: string

The segment id of the segment.

const OwnerLoopId: string

The loop id the segment is contained in.

const ParentLoopId: string

The parent loop id of the loop the segment is contained in.

Description

This method is designed to be called by the BuildProfile method and uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBProfiler.UpdateElement method

TJvEDIDBProfiler	Edit topic

Updates element profile data.

Pascal

procedure UpdateElement(const SegmentId: string; const ElementId: string; const ElementType: string; MaximumLength: Integer; Count: Integer); virtual;

Parameters

const SegmentId: string

Parameter used to locate correct record for update.

const ElementId: string

Parameter used to locate correct record for update.

const ElementType: string

Parameter

MaximumLength: Integer

If the parameter value is greater than the current value then the current value is updated.

Count: Integer

If the parameter value is greater than the current value then the current value is updated.

Description

This method is designed to be called by the BuildProfile method and uses TDataSet compatible code.

Created with Doc-O-Matic.


TJvEDIDBSEFProfiler
JEDI-VCL Reference

 TJvEDIDBSEFProfiler

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Use this component for building a profile from SEF files.

Pascal

TJvEDIDBSEFProfiler = class(TJvEDIDBProfiler);

File

JvEDIDBBuffering

Description

A descendant of TJvEDIDBProfiler that works with the SEF file format.

Created with Doc-O-Matic.


TJvEDIDBSEFProfiler Methods

TJvEDIDBSEFProfiler	Legend

Methods

BuildProfile

TJvEDIDBProfiler

 AddElement

 AddLoop

 AddSegment

 BuildProfile

 ClearProfile

 ElementExist

 LoopExist

 SegmentExist

 UpdateElement

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


TJvEDIDBSEFProfiler Properties

TJvEDIDBSEFProfiler	Legend

Properties

TJvEDIDBProfiler

 ElementProfiles

 LoopProfiles

 SegmentProfiles

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEDIDBSEFProfiler Events

TJvEDIDBSEFProfiler	Legend

Events

TJvEDIDBProfiler

 OnAfterProfiledSegment

 OnAfterProfiledTransactionSet

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvEDIDBSEFProfiler

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvEDIDBProfiler
            TJvEDIDBSEFProfiler


TJvEDIDBSEFProfiler Members

TJvEDIDBSEFProfiler	Legend

Members

Methods

BuildProfile

TJvEDIDBProfiler

 AddElement

 AddLoop

 AddSegment

 BuildProfile

 ClearProfile

 ElementExist

 LoopExist

 SegmentExist

 UpdateElement

Properties

TJvEDIDBProfiler

 ElementProfiles

 LoopProfiles

 SegmentProfiles

TJvComponent

 AboutJVCL

Events

TJvEDIDBProfiler

 OnAfterProfiledSegment

 OnAfterProfiledTransactionSet

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Legend

virtual

abstract

published


Package

EDI


TJvEDIDBSEFProfiler.BuildProfile method

TJvEDIDBSEFProfiler	Edit topic

See TJvEDIDBProfiler.BuildProfile

Pascal

procedure BuildProfile(EDISEFFile: TEDISEFFile); reintroduce;

Parameters

EDISEFFile: TEDISEFFile

The SEF file object to be profiled.

Description

See TJvEDIDBProfiler.BuildProfile

Created with Doc-O-Matic.


TJvEDIDBSpecProfiler
JEDI-VCL Reference

 TJvEDIDBSpecProfiler

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Use this component for building a profile from EDI SDK specification files.

Pascal

TJvEDIDBSpecProfiler = class(TJvEDIDBProfiler);

File

JvEDIDBBuffering

Description

A descendant of TJvEDIDBProfiler that works with a native EDI specification file format used in the EDI SDK project on SourceForge.

Created with Doc-O-Matic.


TJvEDIDBSpecProfiler Methods

TJvEDIDBSpecProfiler	Legend

Methods

BuildProfile

TJvEDIDBProfiler

 AddElement

 AddLoop

 AddSegment

 BuildProfile

 ClearProfile

 ElementExist

 LoopExist

 SegmentExist

 UpdateElement

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


TJvEDIDBSpecProfiler Properties

TJvEDIDBSpecProfiler	Legend

Properties

TJvEDIDBProfiler

 ElementProfiles

 LoopProfiles

 SegmentProfiles

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEDIDBSpecProfiler Events

TJvEDIDBSpecProfiler	Legend

Events

TJvEDIDBProfiler

 OnAfterProfiledSegment

 OnAfterProfiledTransactionSet

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvEDIDBSpecProfiler

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvEDIDBProfiler
            TJvEDIDBSpecProfiler


TJvEDIDBSpecProfiler Members

TJvEDIDBSpecProfiler	Legend

Members

Methods

BuildProfile

TJvEDIDBProfiler

 AddElement

 AddLoop

 AddSegment

 BuildProfile

 ClearProfile

 ElementExist

 LoopExist

 SegmentExist

 UpdateElement

Properties

TJvEDIDBProfiler

 ElementProfiles

 LoopProfiles

 SegmentProfiles

TJvComponent

 AboutJVCL

Events

TJvEDIDBProfiler

 OnAfterProfiledSegment

 OnAfterProfiledTransactionSet

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Legend

virtual

abstract

published


Package

EDI


TJvEDIDBSpecProfiler.BuildProfile method

TJvEDIDBSpecProfiler	Edit topic

See TJvEDIDBProfiler.BuildProfile

Pascal

procedure BuildProfile(EDIFileSpec: TEDIFileSpec); reintroduce;

Parameters

EDIFileSpec: TEDIFileSpec

The EDI SDK EDI specification file object to be profiled.

Description

See TJvEDIDBProfiler.BuildProfile

Created with Doc-O-Matic.


TJvEDIFieldDef
JEDI-VCL Reference

TJvEDIFieldDef

Hierarchy	Properties	 Edit topic

A specific field definition type for use with TJvEDIDBBuffer type components.

Pascal

TJvEDIFieldDef = class(TCollectionItem);

File

JvEDIDBBuffering

Description

None.

Created with Doc-O-Matic.


TJvEDIFieldDef Properties

TJvEDIFieldDef	Legend

Properties

 DataType

 FieldName

 FieldType

 MaximumLength

 UpdateStatus

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvEDIFieldDef

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvEDIFieldDef


TJvEDIFieldDef Members

TJvEDIFieldDef	Legend

Members

Properties

 DataType

 FieldName

 FieldType

 MaximumLength

 UpdateStatus

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEDIFieldDef.DataType property

TJvEDIFieldDef	Edit topic

The TFieldType equivalent of FieldType.

Pascal

property DataType: TFieldType;

Description

None.

Created with Doc-O-Matic.


TJvEDIFieldDef.FieldName property

TJvEDIFieldDef	Edit topic

The field name.

Pascal

property FieldName: string;

Description

None.

Created with Doc-O-Matic.


TJvEDIFieldDef.FieldType property

TJvEDIFieldDef	Edit topic

The EDI field type.

Pascal

property FieldType: string;

Description

Usually assigned to one of the following constants: EDIDataType_Numeric, EDIDataType_Decimal, EDIDataType_Identifier, EDIDataType_String, EDIDataType_Date, EDIDataType_Time, or EDIDataType_Binary. Custom values can also be assigned.

Created with Doc-O-Matic.


TJvEDIFieldDef.MaximumLength property

TJvEDIFieldDef	Edit topic

The maximum field length.

Pascal

property MaximumLength: Integer;

Description

None.

Created with Doc-O-Matic.


TJvEDIFieldDef.UpdateStatus property

TJvEDIFieldDef	Edit topic

The update status of the field.

Pascal

property UpdateStatus: TUpdateStatus;

Description

Can have one of the following values: usUnmodified, usModified, usInserted, or usDeleted.

Created with Doc-O-Matic.


TJvEDIFieldDefs
JEDI-VCL Reference

TJvEDIFieldDefs

Hierarchy	Properties	Methods	 Edit topic

A specific field definitions collection type for use with TJvEDIDBBuffer type components.

Pascal

TJvEDIFieldDefs = class(TCollection);

File

JvEDIDBBuffering

Description

None.

Created with Doc-O-Matic.


TJvEDIFieldDefs Properties

TJvEDIFieldDefs

Properties

Items

Created with Doc-O-Matic.


TJvEDIFieldDefs Methods

TJvEDIFieldDefs

Methods

Add

Created with Doc-O-Matic.


Hierarchy

TCollection
    TJvEDIFieldDefs


TJvEDIFieldDefs Members

TJvEDIFieldDefs

Members

Properties

Items

Methods

Add

Created with Doc-O-Matic.


TJvEDIFieldDefs.Items property

TJvEDIFieldDefs	Edit topic

Items property.

Pascal

property Items [Index: Integer]: TJvEDIFieldDef;

Parameters

Index

Index of field definition to get.

Description

None.

Created with Doc-O-Matic.


TJvEDIFieldDefs.Add method

TJvEDIFieldDefs	Edit topic

Add a field definition.

Pascal

function Add: TJvEDIFieldDef;

Return Value

Returns the index of the added item.

Description

None.

Created with Doc-O-Matic.


TJvEdit
JEDI-VCL Reference

 TJvEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Supports extended features such as alignment, password protection, custom caret and disabling clipboard commands.

Pascal

TJvEdit = class(TJvCustomEdit);

File

JvEdit

Description

TJvEdit implements the generic behavior introduced in TJvCustomEdit:

Use Alignment to align the text in the edit box.

Use MaxPixel to limit the maximum text size in pixels.

Use DisabledColor and DisabledTextColor to specify a disabled color and text color.

Use ClipboardCommands to disable specific clipboard commands.

Use Caret to provide a custom caret shape.

Created with Doc-O-Matic.


TJvEdit Properties

TJvEdit	Legend

Properties

 Alignment

 AutoHint

 Caret

 ClipboardCommands

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvEdit Events

TJvEdit	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvEdit Methods

TJvEdit

Methods

TJvCustomEdit

IsEmpty

Created with Doc-O-Matic.


Legend

TJvEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomEdit, IJvExControl
        TJvExCustomEdit
            TJvCustomEdit
                TJvEdit


TJvEdit Members

TJvEdit	Legend

Members

Properties

 Alignment

 AutoHint

 Caret

 ClipboardCommands

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomEdit

IsEmpty

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvEdit.Alignment property

TJvEdit	Edit topic

Determines how the text in the edit component is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvEdit.AutoHint property

TJvEdit	See Also	Edit topic

Specifies whether the control's hint is set to the current text.

Pascal

property AutoHint: Boolean;

Description

Use AutoHint to indicate whether the text of the control is automatically displayed as the control's hint.

If AutoHint is true, the hint is changed according to the following rules:

If the original hint is non-empty, it is only set if the text doesn't fit in the control. The original hint is automatically restored when the text fits.

If the original hint is empty, it is always set to be equivalent to the text.

Notes

To store a default hint value, AutoUpdate must be set to false.

Created with Doc-O-Matic.


See Also

Hint, ShowHint, Text


TJvEdit.Caret property

TJvEdit	Edit topic

Specifies the caret settings for the edit control.

Pascal

property Caret: TJvCaret;

Description

Caret holds the settings for the custom caret.

Created with Doc-O-Matic.


TJvEdit.ClipboardCommands property

TJvEdit	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvEdit.DisabledColor property

TJvEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control is not enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control is not enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.DisabledTextColor


TJvEdit.DisabledTextColor property

TJvEdit	See Also	Edit topic

Specifies the color of the text when the control is not enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control is not enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.DisabledColor


TJvEdit.EmptyFontColor property

TJvEdit	See Also	Edit topic

The font color to use when the EmptyValue is displayed.

Pascal

property EmptyFontColor: TColor;

Description

Set EmptyFontColor to a color to use for the text when the edit control displays the EmptyValue hint in the edit field. If EmptyValue is an empty string, this property has no effect.

Created with Doc-O-Matic.


See Also

EmptyValue


TJvEdit.EmptyValue property

TJvEdit	See Also	Edit topic

A text to display when the Text property is empty.

Pascal

property EmptyValue: string;

Description

Use EmptyValue if you want to display a hint to the user when the Text property is empty. As soon as the user selects the edit or types some text into the control, the EmptyValue is removed and replaced by the new text. If the user clears the content of the edit, the EmptyValue is displayed again.

Set EmptyValue to an empty string (the default) to disable this feature.

Created with Doc-O-Matic.


See Also

EmptyFontColor


TJvEdit.Flat property

TJvEdit	Edit topic

Determines whether the control appears flat.

Pascal

property Flat: Boolean;

Description

When Flat is false, the control has raised borders, which create a three-dimensional look. Setting Flat to true gives the control flat borders.

Created with Doc-O-Matic.


TJvEdit.GroupIndex property

TJvEdit	Edit topic

Allows edit controls to work together as a group.

Pascal

property GroupIndex: Integer;

Description

When GroupIndex is set to -1, the edit control behaves as normal.

Edit controls with the same GroupIndex property value (other than -1), work together as a group. When the user enters one of these edit controls, the text on the other edits belonging to the same group will be cleared.

Created with Doc-O-Matic.


TJvEdit.HintColor property

TJvEdit	See Also	Edit topic

Determines the color of the hint boxes for the Help Hints for the edit control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.HotTrack


TJvEdit.HotTrack property

TJvEdit	Edit topic

Specifies whether the edit control is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback about which item is under the mouse. When HotTrack is false, there is no visual feedback when the mouse passes over the edit control.

Notes

The HotTrack property only works if BorderStyle is set to bsSingle and BevelKind is set to bvNone.

Created with Doc-O-Matic.


TJvEdit.MaxPixel property

TJvEdit	Edit topic

Limits the text of the edit control to a specific size in pixels.

Pascal

property MaxPixel: TJvMaxPixel;

Description

Use MaxPixel to limit the text of the edit control to a specific size in pixels.

Created with Doc-O-Matic.


TJvEdit.OnMouseEnter event

TJvEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the edit box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the edit box.

Created with Doc-O-Matic.


See Also

TJvExCustomEdit.OnMouseLeave


TJvEdit.OnMouseLeave event

TJvEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the edit box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the edit box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomEdit.OnMouseEnter


TJvEdit.OnParentColorChange event

TJvEdit	Edit topic

Occurs when the color property for the parent of the edit control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvEdit.ProtectPassword property

TJvEdit	Edit topic

Specifies whether to protect the text of the edit control.

Pascal

property ProtectPassword: Boolean;

Description

Setting ProtectPassword to true will prevent other programs from access to the text of this edit control, and disable altering the PasswordChar.

This is useful if you want the user to enter a password in this edit control, but want to prevent possible trojans from retrieving the typed password.

Created with Doc-O-Matic.


TJvEdit.ThemedPassword property

TJvEdit	Edit topic

Not documented

Pascal

property ThemedPassword: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEdit.UseFixedPopup property

TJvEdit	Edit topic

Specifies whether to replace the default system popup menu.

Pascal

property UseFixedPopup: Boolean;

Description

Use the UseFixedPopup property to specify whether to replace the default system popup menu with a fixed popup menu.

The fixed popup menu fixes problems such as incorrectly displaying the Paste command as enabled even when the edit is set to read-only, and works in combination with the ClipboardCommands property.

Set UseFixedPopup to true (the default) to use the fixed popup menu, or set it to false to use the default implementation.

Created with Doc-O-Matic.


TJvEmbeddedFormLink
JEDI-VCL Reference

 TJvEmbeddedFormLink

Hierarchy	Properties	Package	 Edit topic

Makes a form embeddable.

Pascal

TJvEmbeddedFormLink = class(TJvComponent);

File

JvEmbeddedForms

Description

Drop a TJvEmbeddedFormLink on a form to make it embeddable in a TJvEmbeddedFormPanel. The TJvEmbeddedFormLink instance needs to be assigned to the FormLink property of a TJvEmbeddedFormPanel on another form.

To make the embedding work, you need to perform the following steps:

Drop a TJvEmbeddedFormLink on each form in your application that you want to be embeddable. These forms must be auto-created by Delphi if you want to set up the links at design-time.

Drop one or more TJvEmbeddedFormPanels on each form that you want to embed other forms.

Add the forms with TJvEmbeddedFormLinks to the uses clause of the forms with TJvEmbeddedFormPanels.

Set the FormLink property of each TJvEmbeddedFormPanel to the TJvEmbeddedFormLink component of the form to embed. The embedded form should now be visible in the TJvEmbeddedFormPanel even at design-time.

Notes

You can only have one TJvEmbeddedFormLink on each form.

Created with Doc-O-Matic.


TJvEmbeddedFormLink Properties

TJvEmbeddedFormLink	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvEmbeddedFormLink

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvEmbeddedFormLink


TJvEmbeddedFormLink Members

TJvEmbeddedFormLink	Legend

Members

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

AppFrm


TJvEmbeddedFormPanel
JEDI-VCL Reference

 TJvEmbeddedFormPanel

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Provides a surface to embed a form in.

Pascal

TJvEmbeddedFormPanel = class(TJvCustomControl);

File

JvEmbeddedForms

Description

TJvEmbeddedFormPanel is a windowed control used to embed forms into. You use it along with a TJvEmbeddedFormLink on another form to link that form to the control.

To make the embedding work, you need to perform the following steps:

Drop a TJvEmbeddedFormLink on each form in your application that you want to be embeddable. These forms must be auto-created by Delphi if you want to set up the links at design-time.

Drop one or more TJvEmbeddedFormPanels on each form that you want to embed other forms.

Add the forms with TJvEmbeddedFormLinks to the uses clause of the forms with TJvEmbeddedFormPanels.

Set the FormLink property of each TJvEmbeddedFormPanel to the TJvEmbeddedFormLink component of the form to embed. The embedded form should now be visible in the TJvEmbeddedFormPanel even at design-time.

Notes

You can have multiple TJvEmbeddedFormPanels on each form and TJvEmbeddedFormPanels can be nested.

Created with Doc-O-Matic.


TJvEmbeddedFormPanel Properties

TJvEmbeddedFormPanel	Legend

Properties

 AlwaysVisible

 FormLink

 LinkedForm

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvEmbeddedFormPanel Events

TJvEmbeddedFormPanel	Legend

Events

 OnFormDestroy

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEmbeddedFormPanel Methods

TJvEmbeddedFormPanel	Legend

Methods

 ClearLinkedForm

 DockLinkedForm

 InitLinkedForm

IsLinkedFormDocked

 UndockLinkedForm

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvEmbeddedFormPanel

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvEmbeddedFormPanel


TJvEmbeddedFormPanel Members

TJvEmbeddedFormPanel	Legend

Members

Properties

 AlwaysVisible

 FormLink

 LinkedForm

Events

 OnFormDestroy

Methods

 ClearLinkedForm

 DockLinkedForm

 InitLinkedForm

IsLinkedFormDocked

 UndockLinkedForm

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

AppFrm


TJvEmbeddedFormPanel.AlwaysVisible property

TJvEmbeddedFormPanel	Edit topic

Specifies whether the embedded form is visible at all times.

Pascal

property AlwaysVisible: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEmbeddedFormPanel.FormLink property

TJvEmbeddedFormPanel	Edit topic

Specifies the form link component used to embed a form in the control.

Pascal

property FormLink: TJvEmbeddedFormLink;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEmbeddedFormPanel.LinkedForm property

TJvEmbeddedFormPanel	Edit topic

Indicates the form that is linked to the control.

Pascal

property LinkedForm: TForm;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEmbeddedFormPanel.OnFormDestroy event

TJvEmbeddedFormPanel	Edit topic

Not documented

Pascal

property OnFormDestroy: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEmbeddedFormPanel.ClearLinkedForm method

TJvEmbeddedFormPanel	Edit topic

Removes the linked form from the control and resets the painting.

Pascal

procedure ClearLinkedForm; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvEmbeddedFormPanel.DockLinkedForm method

TJvEmbeddedFormPanel	See Also	Edit topic

Docks the linked form to the control.

Pascal

procedure DockLinkedForm; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvEmbeddedFormPanel.IsLinkedFormDocked, TJvEmbeddedFormPanel.UndockLinkedForm


TJvEmbeddedFormPanel.InitLinkedForm method

TJvEmbeddedFormPanel	See Also	Edit topic

Sets up the linkage between the control and a form.

Pascal

procedure InitLinkedForm; virtual;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


See Also

UpdateLinkedForm


TJvEmbeddedFormPanel.IsLinkedFormDocked method

TJvEmbeddedFormPanel	See Also	Edit topic

Indicates whether the linked form is docked to the control or not.

Pascal

function IsLinkedFormDocked: Boolean;

Return Value

True if the linked form has the control as its parent, false otherwise.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvEmbeddedFormPanel.DockLinkedForm, TJvEmbeddedFormPanel.LinkedForm, TJvEmbeddedFormPanel.UndockLinkedForm


TJvEmbeddedFormPanel.UndockLinkedForm method

TJvEmbeddedFormPanel	See Also	Edit topic

Undocks the linked form from the control and displays it as a stand-alone window.

Pascal

procedure UndockLinkedForm(ABorderStyle: TFormBorderStyle; APosition: TPosition); virtual;

Parameters

ABorderStyle: TFormBorderStyle

The borderstyle to use for the form when undocked.

APosition: TPosition

The position where to place the form when undocked.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvEmbeddedFormPanel.DockLinkedForm, TJvEmbeddedFormPanel.IsLinkedFormDocked


TJvEmbeddedInstanceFormPanel
JEDI-VCL Reference

 TJvEmbeddedInstanceFormPanel

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Provides a surface to embed a form in.

Pascal

TJvEmbeddedInstanceFormPanel = class(TJvEmbeddedFormPanel);

File

JvEmbeddedForms

Description

TJvEmbeddedInstanceFormPanel derives from TJvEmbeddedFormPanel but creates a freestanding instance of the specified form class instead of referring to a common, auto-created instance. With this control, each control has its own instance of the specified form and thus isn't affected by changes made to the form in other TJvEmbeddedFormPanel controls.

Created with Doc-O-Matic.


TJvEmbeddedInstanceFormPanel Methods

TJvEmbeddedInstanceFormPanel	Legend

Methods

 ClearLinkedForm

 InitLinkedForm

TJvEmbeddedFormPanel

 ClearLinkedForm

 DockLinkedForm

 InitLinkedForm

IsLinkedFormDocked

 UndockLinkedForm

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvEmbeddedInstanceFormPanel Properties

TJvEmbeddedInstanceFormPanel	Legend

Properties

TJvEmbeddedFormPanel

 AlwaysVisible

 FormLink

 LinkedForm

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvEmbeddedInstanceFormPanel Events

TJvEmbeddedInstanceFormPanel	Legend

Events

TJvEmbeddedFormPanel

 OnFormDestroy

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvEmbeddedInstanceFormPanel

Legend

protected

virtual

published

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvEmbeddedFormPanel
            TJvEmbeddedInstanceFormPanel


TJvEmbeddedInstanceFormPanel Members

TJvEmbeddedInstanceFormPanel	Legend

Members

Methods

 ClearLinkedForm

 InitLinkedForm

TJvEmbeddedFormPanel

 ClearLinkedForm

 DockLinkedForm

 InitLinkedForm

IsLinkedFormDocked

 UndockLinkedForm

Properties

TJvEmbeddedFormPanel

 AlwaysVisible

 FormLink

 LinkedForm

Events

TJvEmbeddedFormPanel

 OnFormDestroy

Legend

protected

virtual

published

read only

Created with Doc-O-Matic.


Legend

protected

virtual

published

read only


Package

AppFrm


TJvEmbeddedInstanceFormPanel.ClearLinkedForm method

TJvEmbeddedInstanceFormPanel	Edit topic

Removes the linked form from the control and resets the painting.

Pascal

procedure ClearLinkedForm; override;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvEmbeddedInstanceFormPanel.InitLinkedForm method

TJvEmbeddedInstanceFormPanel	See Also	Edit topic

Sets up the linkage between the control and a form.

Pascal

procedure InitLinkedForm; override;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


See Also

UpdateLinkedForm


TJvEnterAsTab
JEDI-VCL Reference

 TJvEnterAsTab

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A component to redirect all Enter keys to Tab keys.

Pascal

TJvEnterAsTab = class(TJvGraphicControl);

File

JvEnterTab

Description

Use a TJvEnterAsTab component when you need to redirect Enter keys to Tab keys.

Many DOS programs use Enter to move between the entry fields in the "form". Windows programs use the Tab character instead but many users still prefer using the Enter key. Especially when working with the numeric keypad, using Enter as Tab speeds up data entry manifold.

Notes

TJvEnterAsTab is actually a visual component (derived from TGraphicControl) but it behaves as a TComponent both at design as well as runtime. The reason for this is that by inheriting from a visual control, there is no need to create a hidden window to receive the key presses since this functionality is already built into visual controls.

Created with Doc-O-Matic.


TJvEnterAsTab Properties

TJvEnterAsTab	Legend

Properties

 AllowDefault

 EnterAsTab

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEnterAsTab Events

TJvEnterAsTab	Legend

Events

 OnHandleEnter

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEnterAsTab Methods

TJvEnterAsTab	Legend

Methods

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvEnterAsTab

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvEnterAsTab


TJvEnterAsTab Members

TJvEnterAsTab	Legend

Members

Properties

 AllowDefault

 EnterAsTab

Events

 OnHandleEnter

Methods

 SetBounds

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

Cmp


TJvEnterAsTab.AllowDefault property

TJvEnterAsTab	Edit topic

Specifies if the component should consider button controls.

Pascal

property AllowDefault: Boolean;

Description

Use AllowDefault to specify if button controls should process the Enter key themselves. For example, when this property is true and the currently active control on the form is a button, the button will be clicked when the user presses Enter. If this property is set to false, focus is moved to the next control instead.

Created with Doc-O-Matic.


TJvEnterAsTab.EnterAsTab property

TJvEnterAsTab	See Also	Edit topic

Specifies if Enter keys are redirected to Tab keys.

Pascal

property EnterAsTab: Boolean;

Description

Set EnterAsTab to true to active the key redirection.

Created with Doc-O-Matic.


See Also

TJvEnterAsTab.AllowDefault


TJvEnterAsTab.OnHandleEnter event

TJvEnterAsTab	Edit topic

Not documented

Pascal

TJvEnterAsTabEvent = procedure (Sender:TObject; AControl:TWinControl; var Handled:Boolean) of object;
property OnHandleEnter: TJvEnterAsTabEvent;

Parameters

Handled

Not documented

AControl

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEnterAsTab.SetBounds method

TJvEnterAsTab	Edit topic

Sets the size of the control.

Pascal

procedure SetBounds(ALeft: Integer; ATop: Integer; AWidth: Integer; AHeight: Integer); override;

Description

TJvEnterAsTab overrides the SetBounds method to restrict the size for the component so it appears to be a non-visual component. Specifically, width and height are never allowed to change from the default 28 by 28 pixels.

Created with Doc-O-Matic.


TJvErrorControl
JEDI-VCL Reference

TJvErrorControl

Hierarchy	Properties	Methods	 See Also	Edit topic

A control that can display and optionally blink an image.

Pascal

TJvErrorControl = class(TGraphicControl);

File

JvErrorIndicator

Description

TJvErrorControl is the class used for the error icons created by an error indicator. Do not create instances of TJvErrorControl yourself. TJvErrorControl instances are created and maintained by TJvErrorIndicator as needed.

Created with Doc-O-Matic.


TJvErrorControl Properties

TJvErrorControl

Properties

BlinkCount

Control

Error

ImageAlignment

ImageIndex

ImagePadding

Images

Created with Doc-O-Matic.


TJvErrorControl Methods

TJvErrorControl

Methods

CalcBoundsRect

DrawImage

Created with Doc-O-Matic.


Hierarchy

TGraphicControl
    TJvErrorControl


TJvErrorControl Members

TJvErrorControl

Members

Properties

BlinkCount

Control

Error

ImageAlignment

ImageIndex

ImagePadding

Images

Methods

CalcBoundsRect

DrawImage

Created with Doc-O-Matic.


See Also

TJvErrorIndicator


TJvErrorControl.BlinkCount property

TJvErrorControl	Edit topic

Specifies the number of times the icon should blink.

Pascal

property BlinkCount: Integer;

Description

Read BlinkCount to determine how many times the image is blinked by the control. Change BlinkCount to set the number of times the icon should be blinked. While a blink is in progress, this value is automatically decremented.

The BlinkCount property is handled by the owning TJvErrorIndicator and should not normally be altered unless you are writing your own error indicator.

Created with Doc-O-Matic.


TJvErrorControl.Control property

TJvErrorControl	See Also	Edit topic

Specifies the control this error icon is acting on.

Pascal

property Control: TControl;

Description

Read Control to determine what control this error icon is acting upon. Change Control to make the error icon act on another control. The size and location of the error icon is automatically adjusted depending on the location of Control, the value of ImageAlignment as well as the size of the image(s) in the image list Images.

Created with Doc-O-Matic.


See Also

TJvErrorControl.ImageAlignment, TJvErrorControl.Images


TJvErrorControl.Error property

TJvErrorControl	Edit topic

Specifies the error message to display.

Pascal

property Error: string;

Description

Use Error to set the message to display in the control. The error is displayed in a hint window when the user moves the mouse over the icon. Normally, Error is set by the error indicator that created the control.

Created with Doc-O-Matic.


TJvErrorControl.ImageAlignment property

TJvErrorControl	See Also	Edit topic

Specifies where the error icon should be located.

Pascal

property ImageAlignment: TJvErrorImageAlignment;

Description

Read ImageAlignment to determine where the error icon is located on the form. The value of ImageAlignment is relative to the Control it is associated with. Change ImageAlignment to move the error icon to another location.

Created with Doc-O-Matic.


See Also

TJvErrorControl.Control


TJvErrorControl.ImageIndex property

TJvErrorControl	See Also	Edit topic

Specifies the image to display in the control.

Pascal

property ImageIndex: Integer;

Description

ImageIndex is the index of the image in Images to display on the control. Set ImageIndex to -1 to not show any icon. Normally, this property is maintained by the error indicator that created the control.

Created with Doc-O-Matic.


See Also

TJvErrorControl.Images


TJvErrorControl.ImagePadding property

TJvErrorControl	See Also	Edit topic

Specifies the padding around the images.

Pascal

property ImagePadding: Integer;

Description

Use ImagePadding to make minor adjustments to the location of the image within the control. If ImagePadding is 0 or less, the image is centered within the control. The ImagePadding value is expressed in pixels.

Created with Doc-O-Matic.


See Also

TJvErrorControl.ImageAlignment


TJvErrorControl.Images property

TJvErrorControl	See Also	Edit topic

Specifies the image list used to display images in the control.

Pascal

property Images: TCustomImageList;

Description

Use Images to specify where the control retrieves its icons. In combination with ImageIndex

Created with Doc-O-Matic.


See Also

TJvErrorControl.ImageIndex


TJvErrorControl.CalcBoundsRect method

TJvErrorControl	See Also	Edit topic

Calculates the size and location of the control.

Pascal

function CalcBoundsRect: TRect;

Return Value

A TRect that defines the size and location where the control should be located. Note that this does not imply that the returned location is where the control is actually located. The returned values are in client coordinates and is directly assignment compatible with the BoundsRect property.

Description

CalcBoundsRect calculates the suggested size and location of the control. The calculation is based on the size and location of the associated Control, the size of the image used for the error icon as well as the value of the ImageAligment property.

Created with Doc-O-Matic.


See Also

TControl.BoundsRect


TJvErrorControl.DrawImage method

TJvErrorControl	Edit topic

Method that draws the error icon.

Pascal

procedure DrawImage(Erase: Boolean);

Parameters

Erase: Boolean

set to false if the icon should be erased, false otherwise

Description

DrawImage is called by the error indicator to draw or erase the error icon to simulate blinking the icon. Override this method in descendant classes to draw the icon differently. the error

Created with Doc-O-Matic.


TJvErrorIndicator
JEDI-VCL Reference

 TJvErrorIndicator

Hierarchy	Properties	Methods	Package	 Edit topic

Provides a user interface for indicating that a control on a form has an error associated with it.

Pascal

TJvErrorIndicator = class(TJvComponent, IUnknown, IJvErrorIndicator);

File

JvErrorIndicator

Description

Use an error indicator when you need to notify the user about an erroneous input value in a non-intrusive way. The error indicator uses the real estate of the form or dialog to display icons next to each control that has been determined to have an error. The icons Hint is also assigned the specific error message so when the user moves the mouse over the icon, the reason for the error is displayed.

Although mainly used to display erroneous user input, this component can be used whenever you want to draw the users attention to a specific control or set of controls without having to show a dialog or similar.

This component was inspired by and roughly equivalent to the ErrorProvider component in .Net.

Created with Doc-O-Matic.


TJvErrorIndicator Properties

TJvErrorIndicator	Legend

Properties

 BlinkRate

 BlinkStyle

 Controls

 Count

Error

ImageAlignment

 ImageIndex

ImagePadding

 Images

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvErrorIndicator Methods

TJvErrorIndicator

Methods

BeginUpdate

ClearErrors

EndUpdate

Created with Doc-O-Matic.


Legend

TJvErrorIndicator

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent, IUnknown, IJvErrorIndicator
                TJvErrorIndicator


TJvErrorIndicator Members

TJvErrorIndicator	Legend

Members

Properties

 BlinkRate

 BlinkStyle

 Controls

 Count

Error

ImageAlignment

 ImageIndex

ImagePadding

 Images

TJvComponent

 AboutJVCL

Methods

BeginUpdate

ClearErrors

EndUpdate

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

Validators


TJvErrorIndicator.BlinkRate property

TJvErrorIndicator	See Also	Edit topic

The rate at which the error image should flash.

Pascal

property BlinkRate: Integer;

Description

Use BlinkRate to specify at what rate the error icons blink. The rate is expressed in milliseconds and the default is 250 milliseconds. A value of zero sets BlinkStyle to ebsNeverBlink. If BlinkStyle is ebsNeverBlink, this property have no effect.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.BlinkStyle


TJvErrorIndicator.BlinkStyle property

TJvErrorIndicator	See Also	Edit topic

Specifies how blinking is performed.

Pascal

property BlinkStyle: TJvErrorBlinkStyle;

Description

Use BlinkStyle to specify how the error icons are blinked. For more information on the possible values of BlinkStyle, see the help topic on TJvErrorBlinkStyle.

Created with Doc-O-Matic.


See Also

TJvErrorBlinkStyle


TJvErrorIndicator.Controls property

TJvErrorIndicator	See Also	Edit topic

Provides indexed access to the internal, protected list of TJvErrorControl instances.

Pascal

property Controls [Index: Integer]: TJvErrorControl;

Description

Use Controls to get direct access to the TJvErrorControl's that are maintained by the component.

Created with Doc-O-Matic.


See Also

TJvErrorControl, TJvErrorIndicator.Count


TJvErrorIndicator.Count property

TJvErrorIndicator	See Also	Edit topic

Returns the number of controls in Controls.

Pascal

property Count: Integer;

Description

Read Count to determine the number of TJvErrorControl objects in the Controls array.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.Controls


TJvErrorIndicator.Error property

TJvErrorIndicator	See Also	Edit topic

Provides indexed access to each controls error messages.

Pascal

property Error [AControl: TControl]: string;

Description

Use Error along with the AControl parameter to access the error message associated with a control. Setting the error message to an empty string removes the error image (this is the only way to remove an error image for a single control). Use Error[nil] := 'SomeValue' to assign the error message 'SomeValue' to all controls. Using Error[nil] := '' is equivalent to calling ClearErrors but ClearErrors is slightly faster.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.Controls


TJvErrorIndicator.ImageAlignment property

TJvErrorIndicator	See Also	Edit topic

Specifies where the error icon should be located.

Pascal

property ImageAlignment [AControl: TControl]: TJvErrorImageAlignment;

Description

Use ImageAlignment along with AControl parameter to specify where the error icon should be located relative to AControl. If AControl is nil, ImageAlignment is set for all controls.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.ImageIndex, Error


TJvErrorIndicator.ImageIndex property

TJvErrorIndicator	See Also	Edit topic

Specifies the image to display.

Pascal

property ImageIndex: Integer;

Description

Use ImageIndex along with the AControl parameter to set the image to display for AControl. If AControl is nil, the ImageIndex is set for all controls.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.ImageAlignment, Error


TJvErrorIndicator.ImagePadding property

TJvErrorIndicator	See Also	Edit topic

Specifies the padding around the images.

Pascal

property ImagePadding [AControl: TControl]: Integer;

Description

Use ImagePadding along with AControl to make minor adjustments to the location of the image within the control. If AControl is nil, ImagePadding affects all controls. If ImagePadding is 0 or less, the image is centered within the control.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.ImageAlignment


TJvErrorIndicator.Images property

TJvErrorIndicator	See Also	Edit topic

Lists the images that can appear on the error icons.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the error controls. Each error control’s ImageIndex property determines the specific image displayed on it. If Images is unassigned, no images are displayed on the error controls.

Images in the list can be of any size, the error control will automatically adjust its size and position. To accommodate every system on which your application runs, it is recommended that you do not use 256 colors or higher.

Created with Doc-O-Matic.


See Also

TJvErrorControl.ImageIndex, TJvErrorControl.Images, TJvErrorIndicator.ImageIndex


TJvErrorIndicator.BeginUpdate method

TJvErrorIndicator	See Also	Edit topic

Suspends screen repainting.

Pascal

procedure BeginUpdate;

Description

The BeginUpdate method suspends screen repainting until the EndUpdate method is called. Use BeginUpdate to speed processing and avoid flicker while errors are added to or deleted from the component.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.EndUpdate


TJvErrorIndicator.ClearErrors method

TJvErrorIndicator	See Also	Edit topic

Removes all error icons.

Pascal

procedure ClearErrors;

Description

Call ClearErrors to remove all error icons handled by this component with one call. After a call to ClearErrors, the internal error image list is emptied. Calling ClearErrors is the same as setting Error[nil] := '' but is slightly faster.

Created with Doc-O-Matic.


See Also

Error


TJvErrorIndicator.EndUpdate method

TJvErrorIndicator	See Also	Edit topic

Re-enables screen repainting

Pascal

procedure EndUpdate;

Description

Use EndUpdate to re-enable screen repainting that was turned off with the BeginUpdate method.

Created with Doc-O-Matic.


See Also

TJvErrorIndicator.BeginUpdate


TJvEventCollection
JEDI-VCL Reference

TJvEventCollection

Hierarchy	Properties	Methods	 See Also	Edit topic

Maintains a list of scheduled events.

Pascal

TJvEventCollection = class(TOwnedCollection);

File

JvScheduledEvents

Description

TJvEventCollection maintains a list of scheduled events as used by TJvCustomScheduledEvents descendants.

The collection will be populated with TJvEventCollectionItem objects.

Created with Doc-O-Matic.


TJvEventCollection Properties

TJvEventCollection

Properties

Items

Created with Doc-O-Matic.


TJvEventCollection Methods

TJvEventCollection

Methods

Add

Insert

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvEventCollection


TJvEventCollection Members

TJvEventCollection

Members

Properties

Items

Methods

Add

Insert

Created with Doc-O-Matic.


See Also

TJvCustomScheduledEvents, TJvCustomScheduledEvents.Events, TJvEventCollectionItem


TJvEventCollection.Items property

TJvEventCollection	Edit topic

Not documented

Pascal

property Items [Index: Integer]: TJvEventCollectionItem;

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEventCollection.Add method

TJvEventCollection	Edit topic

Not documented

Pascal

function Add: TJvEventCollectionItem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEventCollection.Insert method

TJvEventCollection	Edit topic

Not documented

Pascal

function Insert(Index: Integer): TJvEventCollectionItem;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvEventCollectionItem
JEDI-VCL Reference

TJvEventCollectionItem

Hierarchy	Properties	Methods	Events	 Edit topic

Represents a single scheduled event.

Pascal

TJvEventCollectionItem = class(TCollectionItem);

File

JvScheduledEvents

Description

TJvEventCollectionItem represents a single scheduled event. It allows you to specify:

if missed events since the last save or the start of the schedule should be counted.

the name to represent the event with.

the (recurring) schedule for the event.

the handler for the event.

Created with Doc-O-Matic.


TJvEventCollectionItem Properties

TJvEventCollectionItem	Legend

Properties

 ActualTriggerTime

 CountMissedEvents

Data

 LastSnoozeInterval

 Name

 NextFire

 NextScheduleFire

 RequestedTriggerTime

 Schedule

 State

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvEventCollectionItem Events

TJvEventCollectionItem	Legend

Events

 OnExecute

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvEventCollectionItem Methods

TJvEventCollectionItem	Legend

Methods

 LoadState

Pause

 SaveState

Snooze

Start

Stop

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvEventCollectionItem

Legend

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvEventCollectionItem


TJvEventCollectionItem Members

TJvEventCollectionItem	Legend

Members

Properties

 ActualTriggerTime

 CountMissedEvents

Data

 LastSnoozeInterval

 Name

 NextFire

 NextScheduleFire

 RequestedTriggerTime

 Schedule

 State

Events

 OnExecute

Methods

 LoadState

Pause

 SaveState

Snooze

Start

Stop

Legend

read only

published

virtual

Created with Doc-O-Matic.


Legend

read only

published

virtual


TJvEventCollectionItem.ActualTriggerTime property

TJvEventCollectionItem	See Also	Edit topic

Determines the actual date and time at which the event was triggered.

Pascal

property ActualTriggerTime: TTimeStamp;

Description

ActualTriggerTime will report the date and time at which the event was triggered.

If your application is busy, there might be difference between actual trigger time and requested trigger time. To find out what date and time the event should have been triggered you can check the value of RequestedTriggerTime.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.NextFire, TJvEventCollectionItem.RequestedTriggerTime


TJvEventCollectionItem.CountMissedEvents property

TJvEventCollectionItem	Edit topic

Specifies if events missed since the start of the schedule or since the last saved state should be counted.

Pascal

property CountMissedEvents: Boolean;

Description

CountMissedEvents determines if events that should have occurred since the start of the schedule or since the last saved state should be counted. This could potentially influence the ending of the schedule if its end type is set to a specific day count and/or trigger count.

If set to True events that should have occurred are counted when determining the end of the schedule.

If set to False events that should have occurred are not counted when determining the end of the schedule.

Created with Doc-O-Matic.


TJvEventCollectionItem.Data property

TJvEventCollectionItem	Edit topic

Specifies any application-specific data associated with the scheduled event.

Pascal

property Data: Pointer;

Description

Use Data to associate arbitrary data structure with the scheduled event. When the event if fired, Data allows the application to quickly access information related to the schedule (eg. to retrieve the ID of a related appointment stored in a database).

Created with Doc-O-Matic.


TJvEventCollectionItem.LastSnoozeInterval property

TJvEventCollectionItem	See Also	Edit topic

Indicates the snooze interval used in the last issued snooze request.

Pascal

property LastSnoozeInterval: TSystemTime;

Description

LastSnoozeInterval indicates the snooze interval used in the last issued snooze request. You can use this property to issue a new snooze request using the same interval.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.Snooze


TJvEventCollectionItem.Name property

TJvEventCollectionItem	Edit topic

Represents the name of the scheduled event.

Pascal

property Name: string;

Description

Name represents the name of the scheduled event. It's main purpose is to identify different events at design time, but could be used also at run time to identify the various events.

At design time when a new event is added it is given a unique name (within the component) based on the format Eventn when n is the lowest number (larger than 0) that makes the name unique.

Created with Doc-O-Matic.


TJvEventCollectionItem.NextFire property

TJvEventCollectionItem	See Also	Edit topic

Determines the date and time at which the event is fired again.

Pascal

property NextFire: TTimeStamp;

Description

NextFire determines the timestamp at which the event will be fired again.

If there are no more events NextFire will hold NullStamp.

If a snooze request has been issued NextFire will hold the timestamp at which the snooze interval has passed.

If the schedule has not ended NextFire will hold the timestamp for the next event.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.NextScheduleFire, TJvEventCollectionItem.Snooze


TJvEventCollectionItem.NextScheduleFire property

TJvEventCollectionItem	See Also	Edit topic

Determines the next date and time at which the event is scheduled to fire again.

Pascal

property NextScheduleFire: TTimeStamp;

Description

NextScheduleFire determines the timestamp at which the event will be fired again, according to the Schedule. It will not take any snooze requests into account.

If there are no more events NextScheduleFire will hold NullStamp, regardless of any outstanding Snooze requests.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.NextFire, TJvEventCollectionItem.Snooze


TJvEventCollectionItem.OnExecute event

TJvEventCollectionItem	Edit topic

Event to call at the preset dates and times.

Pascal

TScheduledEventExecute = procedure (Sender: TJvEventCollectionItem; const IsSnoozeEvent: Boolean) of object;
property OnExecute: TScheduledEventExecute;

Parameters

IsSnoozeEvent

Flag to indicate if the execution is in response to a snooze request. If set to True the event is called because the snooze interval has passed, otherwise the event is called because it was scheduled that way.

Sender

Reference to the scheduled event that is to be executed.

Description

Write an OnExecute event handler to execute at the intervals specified by the Schedule property. The event will be executed in the context of the main VCL thread.

Created with Doc-O-Matic.


TJvEventCollectionItem.RequestedTriggerTime property

TJvEventCollectionItem	See Also	Edit topic

Determines the date and time at which the event was supposed to be triggered.

Pascal

property RequestedTriggerTime: TTimeStamp;

Description

RequestedTriggerTime will report the date and time at which the event was scheduled to be triggered (either through the schedule or because of a Snooze request).

If your application is busy, there might be difference between actual trigger time and requested trigger time. To find out what date and time the event should was triggered you can check the value of ActualTriggerTime.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.ActualTriggerTime, TJvEventCollectionItem.NextFire, TJvEventCollectionItem.NextScheduleFire, TJvEventCollectionItem.Snooze


TJvEventCollectionItem.Schedule property

TJvEventCollectionItem	Edit topic

Specifies the dates and times at which the event should fire.

Pascal

property Schedule: IJclSchedule;

Description

Schedule specifies at which dates and times the event should fire. Schedule uses the IJclSchedule interface as defined in the JclSchedule unit (JEDI Code Library) to represent a recurring schedule for the event. For full information on recurring schedules you should read the help for IJclSchedule.

Created with Doc-O-Matic.


TJvEventCollectionItem.State property

TJvEventCollectionItem	See Also	Edit topic

Indicates the current state.

Pascal

property State: TScheduledEventState;

Description

State indicates the current state of the scheduled event. Read State to find out if the event is uninitialized, waiting, triggered or executing or if the schedule has ended.

Created with Doc-O-Matic.


See Also

TScheduledEventState


TJvEventCollectionItem.LoadState method

TJvEventCollectionItem	See Also	Edit topic

Initializes the schedule to a specific state.

Pascal

procedure LoadState(const TriggerStamp: TTimeStamp; const TriggerCount: Integer; const DayCount: Integer; const SnoozeStamp: TTimeStamp; const ALastSnoozeInterval: TSystemTime); virtual;

Parameters

const TriggerStamp: TTimeStamp

Timestamp of next event.

const TriggerCount: Integer

Number of events that have been triggered after the event specified by TriggerStamp is executed.

const DayCount: Integer

Number of days events have been triggered after the event specified by TriggerStamp is executed.

const SnoozeStamp: TTimeStamp

Timestamp of next snooze event (or NullStamp if there was no snooze request).

const ALastSnoozeInterval: TSystemTime

_SYSTEM_TIME record containing the last issued snooze interval.

Description

LoadState initializes the schedule state to the one specified by the input parameters.

LoadState and SaveState are used by descendant components of TJvCustomScheduledEvent when its AutoSave property is set to True.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.SaveState


TJvEventCollectionItem.Pause method

TJvEventCollectionItem	See Also	Edit topic

Pauses the schedule.

Pascal

procedure Pause;

Description

Pause will pause the schedule of the scheduled event. While in pause mode, no events will be generated. To resume the schedule, call Start.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.Start, TJvEventCollectionItem.Stop


TJvEventCollectionItem.SaveState method

TJvEventCollectionItem	See Also	Edit topic

Retrieves the current state of the schedule.

Pascal

procedure SaveState(out TriggerStamp: TTimeStamp; out TriggerCount: Integer; out DayCount: Integer; out SnoozeStamp: TTimeStamp; out ALastSnoozeInterval: TSystemTime); virtual;

Parameters

out TriggerStamp: TTimeStamp

Timestamp of next event.

out TriggerCount: Integer

Number of events that have been triggered after the event specified by TriggerStamp is executed.

out DayCount: Integer

Number of days events have been triggered after the event specified by TriggerStamp is executed.

out SnoozeStamp: TTimeStamp

Timestamp of next snooze event (or NullStamp if there was no snooze request).

out ALastSnoozeInterval: TSystemTime

_SYSTEM_TIME record containing the last issued snooze interval.

Description

SaveState retrieves the current state of the schedule and stores it in the parameters.

LoadState and SaveState are used by descendant components of TJvCustomScheduledEvent when its AutoSave property is set to True.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.LoadState


TJvEventCollectionItem.Snooze method

TJvEventCollectionItem	See Also	Edit topic

Schedules a reminder event.

Pascal

procedure Snooze(const MSecs: Word; const Secs: Word = 0; const Mins: Word = 0; const Hrs: Word = 0; const Days: Word = 0);

Parameters

const MSecs: Word

Milliseconds to wait before the reminder event will be generated.

const Secs: Word = 0

Seconds to wait before the reminder event will be generated.

const Mins: Word = 0

Minutes to wait before the reminder event will be generated.

const Hrs: Word = 0

Hours to wait before the reminder event will be generated.

const Days: Word = 0

Days to wait before the reminder event will be generated.

Description

Snooze will schedule a reminder event, separate from the set schedule by the Schedule property. Call this method from the OnExecute event to schedule a reminder to go off after a specified interval.

The parameter order allows you to specify the interval in as less parameters as needed. All specified parameters will be combined, with no range check on any of them (eg. you could specify an interval of 3750 milliseconds, 75 seconds, 62 minutes, 28 hours and 3 days which would result in an interval of 4 days, 5 hours, 3 minutes, 18 seconds and 750 milliseconds. Alternatively you could have specified the interval as 363,798,750 milliseconds).

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.LastSnoozeInterval, TJvEventCollectionItem.OnExecute


TJvEventCollectionItem.Start method

TJvEventCollectionItem	See Also	Edit topic

Restarts or continues the schedule.

Pascal

procedure Start;

Description

Start will continue a paused schedule or restart a running/ended schedule. If a schedule has not been initialized, Start will initialize it.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.Pause, TJvEventCollectionItem.Stop


TJvEventCollectionItem.Stop method

TJvEventCollectionItem	Edit topic

Ends the scheduled event.

Pascal

procedure Stop;

Description

Stop will end the schedule of the scheduled event. The scheduled event will be set to an uninitialized state.

Created with Doc-O-Matic.


TJvExAnimate
JEDI-VCL Reference

TJvExAnimate

Hierarchy	Properties	Events	 Edit topic

Base class for extended animation controls.

Pascal

TJvExAnimate = class(TAnimate, IJvExControl);

File

JvExComCtrls

Description

TJvExAnimate is a base class for classes in the JVCL library that descend from TAnimate.

Do not create instances of TJvExAnimate. Use a descendant of TJvExAnimate or create your own descendant class.

Created with Doc-O-Matic.


TJvExAnimate Properties

TJvExAnimate	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExAnimate Events

TJvExAnimate	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExAnimate

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TAnimate, IJvExControl
        TJvExAnimate


TJvExAnimate Members

TJvExAnimate	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExAnimate.AboutJVCL property

TJvExAnimate

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExAnimate.DotNetHighlighting property

TJvExAnimate	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExAnimate.HintColor property

TJvExAnimate	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExAnimate.MouseOver property

TJvExAnimate	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExAnimate.OnMouseEnter, TJvExAnimate.OnMouseLeave


TJvExAnimate.OnMouseEnter event

TJvExAnimate	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExAnimate.OnMouseLeave


TJvExAnimate.OnMouseLeave event

TJvExAnimate	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExAnimate.OnMouseEnter


TJvExAnimate.OnParentColorChange event

TJvExAnimate	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExAnimate.ParentBackground property

TJvExAnimate	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExBevel
JEDI-VCL Reference

TJvExBevel

Hierarchy	Properties	Events	 Edit topic

Base class for extended bevels.

Pascal

TJvExBevel = class(TBevel, IJvExControl);

File

JvExExtCtrls

Description

TJvExBevel is a base class for extended classes in the JVCL library that descend from TBevel.

Do not create instances of TJvExBevel. The TJvBevel class provides a generic implementation of TJvExBevel. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExBevel Properties

TJvExBevel	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExBevel Events

TJvExBevel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExBevel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TBevel, IJvExControl
        TJvExBevel


TJvExBevel Members

TJvExBevel	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExBevel.AboutJVCL property

TJvExBevel

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExBevel.HintColor property

TJvExBevel	Edit topic

Determines the color of the hint boxes for the Help Hints for the bevel.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExBevel.MouseOver property

TJvExBevel	See Also	Edit topic

Indicates whether the mouse pointer is over the bevel.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the bevel.

Created with Doc-O-Matic.


See Also

TJvExBevel.OnMouseEnter, TJvExBevel.OnMouseLeave


TJvExBevel.OnMouseEnter event

TJvExBevel	See Also	Edit topic

Occurs when the mouse pointer moves over the bevel.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the bevel.

Created with Doc-O-Matic.


See Also

TJvExBevel.OnMouseLeave


TJvExBevel.OnMouseLeave event

TJvExBevel	See Also	Edit topic

Occurs when the mouse pointer moves off the bevel.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the bevel. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExBevel.OnMouseEnter


TJvExBevel.OnParentColorChange event

TJvExBevel	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExBitBtn
JEDI-VCL Reference

TJvExBitBtn

Hierarchy	Properties	Events	 Edit topic

Base class for extended bitmap buttons.

Pascal

TJvExBitBtn = class(TBitBtn, IJvExControl);

File

JvExButtons

Description

TJvExBitBtn is a base class for classes in the JVCL library that descend from TBitBtn.

Do not create instances of TJvExBitBtn. The TJvBitBtn class provides a generic implementation of TJvExBitBtn. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExBitBtn Properties

TJvExBitBtn	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExBitBtn Events

TJvExBitBtn	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExBitBtn

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TBitBtn, IJvExControl
        TJvExBitBtn


TJvExBitBtn Members

TJvExBitBtn	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExBitBtn.AboutJVCL property

TJvExBitBtn

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExBitBtn.DotNetHighlighting property

TJvExBitBtn	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExBitBtn.HintColor property

TJvExBitBtn	Edit topic

Determines the color of the hint boxes for the Help Hints for the button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExBitBtn.MouseOver property

TJvExBitBtn	See Also	Edit topic

Indicates whether the mouse pointer is over the button.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the button.

Created with Doc-O-Matic.


See Also

TJvExBitBtn.OnMouseEnter, TJvExBitBtn.OnMouseLeave


TJvExBitBtn.OnMouseEnter event

TJvExBitBtn	See Also	Edit topic

Occurs when the mouse pointer moves over the button.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the button.

Created with Doc-O-Matic.


See Also

TJvExBitBtn.OnMouseLeave


TJvExBitBtn.OnMouseLeave event

TJvExBitBtn	See Also	Edit topic

Occurs when the mouse pointer moves off the button.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the button. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExBitBtn.OnMouseEnter


TJvExBitBtn.OnParentColorChange event

TJvExBitBtn	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExBitBtn.ParentBackground property

TJvExBitBtn	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExBoundLabel
JEDI-VCL Reference

TJvExBoundLabel

Hierarchy	Properties	Events	 Edit topic

Base class for extended labeled edit control’s labels.

Pascal

TJvExBoundLabel = class(TBoundLabel, IJvExControl);

File

JvExExtCtrls

Description

TJvExBoundLabel is a base class for extended classes in the JVCL library that descend from TBoundLabel.

Do not create instances of TJvExBoundLabel. The TJvBoundLabel class provides a generic implementation of TJvExBoundLabel. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExBoundLabel Properties

TJvExBoundLabel	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExBoundLabel Events

TJvExBoundLabel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExBoundLabel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TBoundLabel, IJvExControl
        TJvExBoundLabel


TJvExBoundLabel Members

TJvExBoundLabel	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExBoundLabel.AboutJVCL property

TJvExBoundLabel

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExBoundLabel.HintColor property

TJvExBoundLabel	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExBoundLabel.MouseOver property

TJvExBoundLabel	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExBoundLabel.OnMouseEnter, TJvExBoundLabel.OnMouseLeave


TJvExBoundLabel.OnMouseEnter event

TJvExBoundLabel	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExBoundLabel.OnMouseLeave


TJvExBoundLabel.OnMouseLeave event

TJvExBoundLabel	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExBoundLabel.OnMouseEnter


TJvExBoundLabel.OnParentColorChange event

TJvExBoundLabel	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExButton
JEDI-VCL Reference

TJvExButton

Hierarchy	Properties	Events	 Edit topic

Base class for extended buttons.

Pascal

TJvExButton = class(TButton, IJvExControl);

File

JvExStdCtrls

Description

TJvExButton is a base class for classes in the JVCL library that descend from TButton.

Do not create instances of TJvExButton. Use a descendant of TJvExButton or create your own descendant class.

Created with Doc-O-Matic.


TJvExButton Properties

TJvExButton	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExButton Events

TJvExButton	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TButton, IJvExControl
        TJvExButton


TJvExButton Members

TJvExButton	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExButton.AboutJVCL property

TJvExButton

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExButton.DotNetHighlighting property

TJvExButton	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExButton.HintColor property

TJvExButton	Edit topic

Determines the color of the hint boxes for the Help Hints for the button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExButton.MouseOver property

TJvExButton	See Also	Edit topic

Indicates whether the mouse pointer is over the button.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the button.

Created with Doc-O-Matic.


See Also

TJvExButton.OnMouseEnter, TJvExButton.OnMouseLeave


TJvExButton.OnMouseEnter event

TJvExButton	See Also	Edit topic

Occurs when the mouse pointer moves over the button.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the button.

Created with Doc-O-Matic.


See Also

TJvExButton.OnMouseLeave


TJvExButton.OnMouseLeave event

TJvExButton	See Also	Edit topic

Occurs when the mouse pointer moves off the button.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the button. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExButton.OnMouseEnter


TJvExButton.OnParentColorChange event

TJvExButton	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExButton.ParentBackground property

TJvExButton	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExButtonControl
JEDI-VCL Reference

TJvExButtonControl

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows button controls.

Pascal

TJvExButtonControl = class(TButtonControl, IJvExControl);

File

JvExStdCtrls

Description

TJvExButtonControl is a base class for classes in the JVCL library that descend from TButtonControl.

Do not create instances of TJvExButtonControl. Use a descendant of TJvExButtonControl or create your own descendant class.

Created with Doc-O-Matic.


TJvExButtonControl Properties

TJvExButtonControl	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExButtonControl Events

TJvExButtonControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExButtonControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TButtonControl, IJvExControl
        TJvExButtonControl


TJvExButtonControl Members

TJvExButtonControl	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExButtonControl.AboutJVCL property

TJvExButtonControl

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExButtonControl.DotNetHighlighting property

TJvExButtonControl	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExButtonControl.HintColor property

TJvExButtonControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExButtonControl.MouseOver property

TJvExButtonControl	See Also	Edit topic

Indicates whether the mouse pointer is over the button.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the button.

Created with Doc-O-Matic.


See Also

TJvExButtonControl.OnMouseEnter, TJvExButtonControl.OnMouseLeave


TJvExButtonControl.OnMouseEnter event

TJvExButtonControl	See Also	Edit topic

Occurs when the mouse pointer moves over the button.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the button.

Created with Doc-O-Matic.


See Also

TJvExButtonControl.OnMouseLeave


TJvExButtonControl.OnMouseLeave event

TJvExButtonControl	See Also	Edit topic

Occurs when the mouse pointer moves off the button.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the button. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExButtonControl.OnMouseEnter


TJvExButtonControl.OnParentColorChange event

TJvExButtonControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExButtonControl.ParentBackground property

TJvExButtonControl	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCheckBox
JEDI-VCL Reference

TJvExCheckBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows check boxes.

Pascal

TJvExCheckBox = class(TCheckBox, IJvExControl);

File

JvExStdCtrls

Description

TJvExCheckBox is a base class for classes in the JVCL library that descend from TCheckBox.

Do not create instances of TJvExCheckBox. Use a descendant of TJvExCheckBox or create your own descendant class.

Created with Doc-O-Matic.


TJvExCheckBox Properties

TJvExCheckBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCheckBox Events

TJvExCheckBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCheckBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCheckBox, IJvExControl
        TJvExCheckBox


TJvExCheckBox Members

TJvExCheckBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCheckBox.AboutJVCL property

TJvExCheckBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCheckBox.DotNetHighlighting property

TJvExCheckBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCheckBox.HintColor property

TJvExCheckBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the check box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCheckBox.MouseOver property

TJvExCheckBox	See Also	Edit topic

Indicates whether the mouse pointer is over the check box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the check box.

Created with Doc-O-Matic.


See Also

TJvExCheckBox.OnMouseEnter, TJvExCheckBox.OnMouseLeave


TJvExCheckBox.OnMouseEnter event

TJvExCheckBox	See Also	Edit topic

Occurs when the mouse pointer moves over the check box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the check box.

Created with Doc-O-Matic.


See Also

TJvExCheckBox.OnMouseLeave


TJvExCheckBox.OnMouseLeave event

TJvExCheckBox	See Also	Edit topic

Occurs when the mouse pointer moves off the check box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the check box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCheckBox.OnMouseEnter


TJvExCheckBox.OnParentColorChange event

TJvExCheckBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCheckBox.ParentBackground property

TJvExCheckBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCheckListBox
JEDI-VCL Reference

TJvExCheckListBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended check list boxes.

Pascal

TJvExCheckListBox = class(TCheckListBox, IJvExControl);

File

JvExCheckLst

Description

TJvExCheckListBox is a base class for classes in the JVCL library that descend from TCheckListBox.

Do not create instances of TJvExCheckListBox. The TJvCheckListBox class provides a generic implementation of TJvExCheckListBox. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCheckListBox Properties

TJvExCheckListBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCheckListBox Events

TJvExCheckListBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCheckListBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCheckListBox, IJvExControl
        TJvExCheckListBox


TJvExCheckListBox Members

TJvExCheckListBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCheckListBox.AboutJVCL property

TJvExCheckListBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCheckListBox.DotNetHighlighting property

TJvExCheckListBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCheckListBox.HintColor property

TJvExCheckListBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the list box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCheckListBox.MouseOver property

TJvExCheckListBox	See Also	Edit topic

Indicates whether the mouse pointer is over the list box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the list box.

Created with Doc-O-Matic.


See Also

TJvExCheckListBox.OnMouseEnter, TJvExCheckListBox.OnMouseLeave


TJvExCheckListBox.OnMouseEnter event

TJvExCheckListBox	See Also	Edit topic

Occurs when the mouse pointer moves over the list box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the list box.

Created with Doc-O-Matic.


See Also

TJvExCheckListBox.OnMouseLeave


TJvExCheckListBox.OnMouseLeave event

TJvExCheckListBox	See Also	Edit topic

Occurs when the mouse pointer moves off the list box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the list box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCheckListBox.OnMouseEnter


TJvExCheckListBox.OnParentColorChange event

TJvExCheckListBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCheckListBox.ParentBackground property

TJvExCheckListBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExColorBox
JEDI-VCL Reference

TJvExColorBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended color box controls.

Pascal

TJvExColorBox = class(TColorBox, IJvExControl);

File

JvExExtCtrls

Description

TJvExColorBox is a base class for extended classes in the JVCL library that descend from TColorBox.

Do not create instances of TJvExColorBox. The TJvColorBox class provides a generic implementation of TJvExColorBox. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExColorBox Properties

TJvExColorBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExColorBox Events

TJvExColorBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExColorBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TColorBox, IJvExControl
        TJvExColorBox


TJvExColorBox Members

TJvExColorBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExColorBox.AboutJVCL property

TJvExColorBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExColorBox.DotNetHighlighting property

TJvExColorBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExColorBox.HintColor property

TJvExColorBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the color box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExColorBox.MouseOver property

TJvExColorBox	See Also	Edit topic

Indicates whether the mouse pointer is over the color box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the color box.

Created with Doc-O-Matic.


See Also

TJvExColorBox.OnMouseEnter, TJvExColorBox.OnMouseLeave


TJvExColorBox.OnMouseEnter event

TJvExColorBox	See Also	Edit topic

Occurs when the mouse pointer moves over the color box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the color box.

Created with Doc-O-Matic.


See Also

TJvExColorBox.OnMouseLeave


TJvExColorBox.OnMouseLeave event

TJvExColorBox	See Also	Edit topic

Occurs when the mouse pointer moves off the color box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the color box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExColorBox.OnMouseEnter


TJvExColorBox.OnParentColorChange event

TJvExColorBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExColorBox.ParentBackground property

TJvExColorBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExComboBoxEx
JEDI-VCL Reference

TJvExComboBoxEx

Hierarchy	Properties	Events	 Edit topic

Base class for extended combo boxes.

Pascal

TJvExComboBoxEx = class(TComboBoxEx, IJvExControl);

File

JvExComCtrls

Description

TJvExComboBoxEx is a base class for classes in the JVCL library that descend from TComboBoxEx.

Do not create instances of TJvExComboBoxEx. Use a descendant of TJvExComboBoxEx or create your own descendant class.

Created with Doc-O-Matic.


TJvExComboBoxEx Properties

TJvExComboBoxEx	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExComboBoxEx Events

TJvExComboBoxEx	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExComboBoxEx

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TComboBoxEx, IJvExControl
        TJvExComboBoxEx


TJvExComboBoxEx Members

TJvExComboBoxEx	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExComboBoxEx.AboutJVCL property

TJvExComboBoxEx

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExComboBoxEx.DotNetHighlighting property

TJvExComboBoxEx	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExComboBoxEx.HintColor property

TJvExComboBoxEx	Edit topic

Determines the color of the hint boxes for the Help Hints for the combo box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExComboBoxEx.MouseOver property

TJvExComboBoxEx	See Also	Edit topic

Indicates whether the mouse pointer is over the combo box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the combo box.

Created with Doc-O-Matic.


See Also

TJvExComboBoxEx.OnMouseEnter, TJvExComboBoxEx.OnMouseLeave


TJvExComboBoxEx.OnMouseEnter event

TJvExComboBoxEx	See Also	Edit topic

Occurs when the mouse pointer moves over the combo box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the combo box.

Created with Doc-O-Matic.


See Also

TJvExComboBoxEx.OnMouseLeave


TJvExComboBoxEx.OnMouseLeave event

TJvExComboBoxEx	See Also	Edit topic

Occurs when the mouse pointer moves off the combo box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the combo box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExComboBoxEx.OnMouseEnter


TJvExComboBoxEx.OnParentColorChange event

TJvExComboBoxEx	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExComboBoxEx.ParentBackground property

TJvExComboBoxEx	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCommonCalendar
JEDI-VCL Reference

TJvExCommonCalendar

Hierarchy	Properties	Events	 Edit topic

Base class for extended calendar controls.

Pascal

TJvExCommonCalendar = class(TCommonCalendar, IJvExControl);

File

JvExComCtrls

Description

TJvExCommonCalendar is a base class for classes in the JVCL library that descend from TCommonCalendar.

Do not create instances of TJvExCommonCalendar. Use a descendant of TJvExCommonCalendar or create your own descendant class.

Created with Doc-O-Matic.


TJvExCommonCalendar Properties

TJvExCommonCalendar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCommonCalendar Events

TJvExCommonCalendar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCommonCalendar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCommonCalendar, IJvExControl
        TJvExCommonCalendar


TJvExCommonCalendar Members

TJvExCommonCalendar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCommonCalendar.AboutJVCL property

TJvExCommonCalendar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCommonCalendar.DotNetHighlighting property

TJvExCommonCalendar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCommonCalendar.HintColor property

TJvExCommonCalendar	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCommonCalendar.MouseOver property

TJvExCommonCalendar	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExCommonCalendar.OnMouseEnter, TJvExCommonCalendar.OnMouseLeave


TJvExCommonCalendar.OnMouseEnter event

TJvExCommonCalendar	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExCommonCalendar.OnMouseLeave


TJvExCommonCalendar.OnMouseLeave event

TJvExCommonCalendar	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCommonCalendar.OnMouseEnter


TJvExCommonCalendar.OnParentColorChange event

TJvExCommonCalendar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCommonCalendar.ParentBackground property

TJvExCommonCalendar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExControlBar
JEDI-VCL Reference

TJvExControlBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended control bars.

Pascal

TJvExControlBar = class(TControlBar, IJvExControl);

File

JvExExtCtrls

Description

TJvExControlBar is a base class for extended classes in the JVCL library that descend from TControlBar.

Do not create instances of TJvExControlBar. The TJvControlBar class provides a generic implementation of TJvExControlBar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExControlBar Properties

TJvExControlBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExControlBar Events

TJvExControlBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExControlBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TControlBar, IJvExControl
        TJvExControlBar


TJvExControlBar Members

TJvExControlBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExControlBar.AboutJVCL property

TJvExControlBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExControlBar.DotNetHighlighting property

TJvExControlBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExControlBar.HintColor property

TJvExControlBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the control bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExControlBar.MouseOver property

TJvExControlBar	See Also	Edit topic

Indicates whether the mouse pointer is over the control bar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control bar.

Created with Doc-O-Matic.


See Also

TJvExControlBar.OnMouseEnter, TJvExControlBar.OnMouseLeave


TJvExControlBar.OnMouseEnter event

TJvExControlBar	See Also	Edit topic

Occurs when the mouse pointer moves over the control bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control bar.

Created with Doc-O-Matic.


See Also

TJvExControlBar.OnMouseLeave


TJvExControlBar.OnMouseLeave event

TJvExControlBar	See Also	Edit topic

Occurs when the mouse pointer moves off the control bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExControlBar.OnMouseEnter


TJvExControlBar.OnParentColorChange event

TJvExControlBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExControlBar.ParentBackground property

TJvExControlBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCoolBar
JEDI-VCL Reference

TJvExCoolBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended coolbars.

Pascal

TJvExCoolBar = class(TCoolBar, IJvExControl);

File

JvExComCtrls

Description

TJvExCoolBar is a base class for classes in the JVCL library that descend from TCoolBar.

Do not create instances of TJvExCoolBar. The TJvCoolBar class provides a generic implementation of TJvExCoolBar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCoolBar Properties

TJvExCoolBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCoolBar Events

TJvExCoolBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCoolBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCoolBar, IJvExControl
        TJvExCoolBar


TJvExCoolBar Members

TJvExCoolBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCoolBar.AboutJVCL property

TJvExCoolBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCoolBar.DotNetHighlighting property

TJvExCoolBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCoolBar.HintColor property

TJvExCoolBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the coolbar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCoolBar.MouseOver property

TJvExCoolBar	See Also	Edit topic

Indicates whether the mouse pointer is over the coolbar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the coolbar.

Created with Doc-O-Matic.


See Also

TJvExCoolBar.OnMouseEnter, TJvExCoolBar.OnMouseLeave


TJvExCoolBar.OnMouseEnter event

TJvExCoolBar	See Also	Edit topic

Occurs when the mouse pointer moves over the coolbar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the coolbar.

Created with Doc-O-Matic.


See Also

TJvExCoolBar.OnMouseLeave


TJvExCoolBar.OnMouseLeave event

TJvExCoolBar	See Also	Edit topic

Occurs when the mouse pointer moves off the coolbar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the coolbar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCoolBar.OnMouseEnter


TJvExCoolBar.OnParentColorChange event

TJvExCoolBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCoolBar.ParentBackground property

TJvExCoolBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomCheckBox
JEDI-VCL Reference

TJvExCustomCheckBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows check boxes.

Pascal

TJvExCustomCheckBox = class(TCustomCheckBox, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomCheckBox is a base class for classes in the JVCL library that descend from TCustomCheckBox.

Do not create instances of TJvExCustomCheckBox. Use a descendant of TJvExCustomCheckBox or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomCheckBox Properties

TJvExCustomCheckBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomCheckBox Events

TJvExCustomCheckBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomCheckBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomCheckBox, IJvExControl
        TJvExCustomCheckBox


TJvExCustomCheckBox Members

TJvExCustomCheckBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomCheckBox.AboutJVCL property

TJvExCustomCheckBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomCheckBox.DotNetHighlighting property

TJvExCustomCheckBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomCheckBox.HintColor property

TJvExCustomCheckBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the check box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomCheckBox.MouseOver property

TJvExCustomCheckBox	See Also	Edit topic

Indicates whether the mouse pointer is over the check box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the check box.

Created with Doc-O-Matic.


See Also

TJvExCustomCheckBox.OnMouseEnter, TJvExCustomCheckBox.OnMouseLeave


TJvExCustomCheckBox.OnMouseEnter event

TJvExCustomCheckBox	See Also	Edit topic

Occurs when the mouse pointer moves over the check box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the check box.

Created with Doc-O-Matic.


See Also

TJvExCustomCheckBox.OnMouseLeave


TJvExCustomCheckBox.OnMouseLeave event

TJvExCustomCheckBox	See Also	Edit topic

Occurs when the mouse pointer moves off the check box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the check box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomCheckBox.OnMouseEnter


TJvExCustomCheckBox.OnParentColorChange event

TJvExCustomCheckBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomCheckBox.ParentBackground property

TJvExCustomCheckBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomColorBox
JEDI-VCL Reference

TJvExCustomColorBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended color box controls.

Pascal

TJvExCustomColorBox = class(TCustomColorBox, IJvExControl);

File

JvExExtCtrls

Description

TJvExCustomColorBox is a base class for extended classes in the JVCL library that descend from TCustomColorBox.

Do not create instances of TJvExCustomColorBox. The TJvCustomColorBox class provides a generic implementation of TJvExCustomColorBox. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomColorBox Properties

TJvExCustomColorBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomColorBox Events

TJvExCustomColorBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomColorBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomColorBox, IJvExControl
        TJvExCustomColorBox


TJvExCustomColorBox Members

TJvExCustomColorBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomColorBox.AboutJVCL property

TJvExCustomColorBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomColorBox.DotNetHighlighting property

TJvExCustomColorBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomColorBox.HintColor property

TJvExCustomColorBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the color box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomColorBox.MouseOver property

TJvExCustomColorBox	See Also	Edit topic

Indicates whether the mouse pointer is over the color box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the color box.

Created with Doc-O-Matic.


See Also

TJvExCustomColorBox.OnMouseEnter, TJvExCustomColorBox.OnMouseLeave


TJvExCustomColorBox.OnMouseEnter event

TJvExCustomColorBox	See Also	Edit topic

Occurs when the mouse pointer moves over the color box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the color box.

Created with Doc-O-Matic.


See Also

TJvExCustomColorBox.OnMouseLeave


TJvExCustomColorBox.OnMouseLeave event

TJvExCustomColorBox	See Also	Edit topic

Occurs when the mouse pointer moves off the color box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the color box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomColorBox.OnMouseEnter


TJvExCustomColorBox.OnParentColorChange event

TJvExCustomColorBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomColorBox.ParentBackground property

TJvExCustomColorBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomCombo
JEDI-VCL Reference

TJvExCustomCombo

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows combo boxes.

Pascal

TJvExCustomCombo = class(TCustomCombo, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomCombo is a base class for classes in the JVCL library that descend from TCustomCombo.

Do not create instances of TJvExCustomCombo. Use a descendant of TJvExCustomCombo or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomCombo Properties

TJvExCustomCombo	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomCombo Events

TJvExCustomCombo	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomCombo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomCombo, IJvExControl
        TJvExCustomCombo


TJvExCustomCombo Members

TJvExCustomCombo	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomCombo.AboutJVCL property

TJvExCustomCombo

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomCombo.DotNetHighlighting property

TJvExCustomCombo	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomCombo.HintColor property

TJvExCustomCombo	Edit topic

Determines the color of the hint boxes for the Help Hints for the combo box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomCombo.MouseOver property

TJvExCustomCombo	See Also	Edit topic

Indicates whether the mouse pointer is over the combo box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the combo box.

Created with Doc-O-Matic.


See Also

TJvExCustomCombo.OnMouseEnter, TJvExCustomCombo.OnMouseLeave


TJvExCustomCombo.OnMouseEnter event

TJvExCustomCombo	See Also	Edit topic

Occurs when the mouse pointer moves over the combo box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the combo box.

Created with Doc-O-Matic.


See Also

TJvExCustomCombo.OnMouseLeave


TJvExCustomCombo.OnMouseLeave event

TJvExCustomCombo	See Also	Edit topic

Occurs when the mouse pointer moves off the combo box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the combo box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomCombo.OnMouseEnter


TJvExCustomCombo.OnParentColorChange event

TJvExCustomCombo	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomCombo.ParentBackground property

TJvExCustomCombo	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomComboBox
JEDI-VCL Reference

TJvExCustomComboBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows combo boxes.

Pascal

TJvExCustomComboBox = class(TCustomComboBox, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomComboBox is a base class for classes in the JVCL library that descend from TCustomComboBox.

Do not create instances of TJvExCustomComboBox. The TJvComboBox class provides a generic implementation of TJvExCustomComboBox. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomComboBox Properties

TJvExCustomComboBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomComboBox Events

TJvExCustomComboBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomComboBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomComboBox, IJvExControl
        TJvExCustomComboBox


TJvExCustomComboBox Members

TJvExCustomComboBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomComboBox.AboutJVCL property

TJvExCustomComboBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomComboBox.DotNetHighlighting property

TJvExCustomComboBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomComboBox.HintColor property

TJvExCustomComboBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the combo box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomComboBox.MouseOver property

TJvExCustomComboBox	See Also	Edit topic

Indicates whether the mouse pointer is over the combo box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the combo box.

Created with Doc-O-Matic.


See Also

TJvExCustomComboBox.OnMouseEnter, TJvExCustomComboBox.OnMouseLeave


TJvExCustomComboBox.OnMouseEnter event

TJvExCustomComboBox	See Also	Edit topic

Occurs when the mouse pointer moves over the combo box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the combo box.

Created with Doc-O-Matic.


See Also

TJvExCustomComboBox.OnMouseLeave


TJvExCustomComboBox.OnMouseLeave event

TJvExCustomComboBox	See Also	Edit topic

Occurs when the mouse pointer moves off the combo box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the combo box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomComboBox.OnMouseEnter


TJvExCustomComboBox.OnParentColorChange event

TJvExCustomComboBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomComboBox.ParentBackground property

TJvExCustomComboBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomComboBoxEx
JEDI-VCL Reference

TJvExCustomComboBoxEx

Hierarchy	Properties	Events	 Edit topic

Base class for extended combo boxes.

Pascal

TJvExCustomComboBoxEx = class(TCustomComboBoxEx, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomComboBoxEx is a base class for classes in the JVCL library that descend from TCustomComboBoxEx.

Do not create instances of TJvExCustomComboBoxEx. Use a descendant of TJvExCustomComboBoxEx or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomComboBoxEx Properties

TJvExCustomComboBoxEx	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomComboBoxEx Events

TJvExCustomComboBoxEx	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomComboBoxEx

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomComboBoxEx, IJvExControl
        TJvExCustomComboBoxEx


TJvExCustomComboBoxEx Members

TJvExCustomComboBoxEx	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomComboBoxEx.AboutJVCL property

TJvExCustomComboBoxEx

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomComboBoxEx.DotNetHighlighting property

TJvExCustomComboBoxEx	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomComboBoxEx.HintColor property

TJvExCustomComboBoxEx	Edit topic

Determines the color of the hint boxes for the Help Hints for the combo box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomComboBoxEx.MouseOver property

TJvExCustomComboBoxEx	See Also	Edit topic

Indicates whether the mouse pointer is over the combo box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the combo box.

Created with Doc-O-Matic.


See Also

TJvExCustomComboBoxEx.OnMouseEnter, TJvExCustomComboBoxEx.OnMouseLeave


TJvExCustomComboBoxEx.OnMouseEnter event

TJvExCustomComboBoxEx	See Also	Edit topic

Occurs when the mouse pointer moves over the combo box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the combo box.

Created with Doc-O-Matic.


See Also

TJvExCustomComboBoxEx.OnMouseLeave


TJvExCustomComboBoxEx.OnMouseLeave event

TJvExCustomComboBoxEx	See Also	Edit topic

Occurs when the mouse pointer moves off the combo box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the combo box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomComboBoxEx.OnMouseEnter


TJvExCustomComboBoxEx.OnParentColorChange event

TJvExCustomComboBoxEx	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomComboBoxEx.ParentBackground property

TJvExCustomComboBoxEx	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomControlBar
JEDI-VCL Reference

TJvExCustomControlBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended control bars.

Pascal

TJvExCustomControlBar = class(TCustomControlBar, IJvExControl);

File

JvExExtCtrls

Description

TJvExCustomControlBar is a base class for extended classes in the JVCL library that descend from TCustomControlBar.

Do not create instances of TJvExCustomControlBar. The TJvCustomControlBar class provides a generic implementation of TJvExCustomControlBar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomControlBar Properties

TJvExCustomControlBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomControlBar Events

TJvExCustomControlBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomControlBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomControlBar, IJvExControl
        TJvExCustomControlBar


TJvExCustomControlBar Members

TJvExCustomControlBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomControlBar.AboutJVCL property

TJvExCustomControlBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomControlBar.DotNetHighlighting property

TJvExCustomControlBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomControlBar.HintColor property

TJvExCustomControlBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the control bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomControlBar.MouseOver property

TJvExCustomControlBar	See Also	Edit topic

Indicates whether the mouse pointer is over the control bar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control bar.

Created with Doc-O-Matic.


See Also

TJvExCustomControlBar.OnMouseEnter, TJvExCustomControlBar.OnMouseLeave


TJvExCustomControlBar.OnMouseEnter event

TJvExCustomControlBar	See Also	Edit topic

Occurs when the mouse pointer moves over the control bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control bar.

Created with Doc-O-Matic.


See Also

TJvExCustomControlBar.OnMouseLeave


TJvExCustomControlBar.OnMouseLeave event

TJvExCustomControlBar	See Also	Edit topic

Occurs when the mouse pointer moves off the control bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomControlBar.OnMouseEnter


TJvExCustomControlBar.OnParentColorChange event

TJvExCustomControlBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomControlBar.ParentBackground property

TJvExCustomControlBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDBGrid
JEDI-VCL Reference

TJvExCustomDBGrid

Hierarchy	Properties	Events	 Edit topic

Base class for extended data-aware grids.

Pascal

TJvExCustomDBGrid = class(TCustomDBGrid, IJvExControl);

File

JvExDBGrids

Description

TJvExCustomDBGrid is a base class for classes in the JVCL library that descend from TCustomDBGrid.

Do not create instances of TJvExCustomDBGrid. Use a descendant of TJvExCustomDBGrid or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomDBGrid Properties

TJvExCustomDBGrid	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomDBGrid Events

TJvExCustomDBGrid	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomDBGrid

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomDBGrid, IJvExControl
        TJvExCustomDBGrid


TJvExCustomDBGrid Members

TJvExCustomDBGrid	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomDBGrid.AboutJVCL property

TJvExCustomDBGrid

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomDBGrid.DotNetHighlighting property

TJvExCustomDBGrid	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDBGrid.HintColor property

TJvExCustomDBGrid	Edit topic

Determines the color of the hint boxes for the Help Hints for the grid.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomDBGrid.MouseOver property

TJvExCustomDBGrid	See Also	Edit topic

Indicates whether the mouse pointer is over the grid.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the grid.

Created with Doc-O-Matic.


See Also

TJvExCustomDBGrid.OnMouseEnter, TJvExCustomDBGrid.OnMouseLeave


TJvExCustomDBGrid.OnMouseEnter event

TJvExCustomDBGrid	See Also	Edit topic

Occurs when the mouse pointer moves over the grid.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the grid.

Created with Doc-O-Matic.


See Also

TJvExCustomDBGrid.OnMouseLeave


TJvExCustomDBGrid.OnMouseLeave event

TJvExCustomDBGrid	See Also	Edit topic

Occurs when the mouse pointer moves off the grid.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the grid. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomDBGrid.OnMouseEnter


TJvExCustomDBGrid.OnParentColorChange event

TJvExCustomDBGrid	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomDBGrid.ParentBackground property

TJvExCustomDBGrid	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm
JEDI-VCL Reference

TJvExCustomDockForm

Hierarchy	Properties	Events	 Edit topic

Not documented

Pascal

TJvExCustomDockForm = class(TCustomDockForm, IJvExControl);

File

JvExForms

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm Properties

TJvExCustomDockForm	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomDockForm Events

TJvExCustomDockForm	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomDockForm

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomDockForm, IJvExControl
        TJvExCustomDockForm


TJvExCustomDockForm Members

TJvExCustomDockForm	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomDockForm.AboutJVCL property

TJvExCustomDockForm

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomDockForm.DotNetHighlighting property

TJvExCustomDockForm	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm.HintColor property

TJvExCustomDockForm	Edit topic

Not documented

Pascal

property HintColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm.MouseOver property

TJvExCustomDockForm	Edit topic

Not documented

Pascal

property MouseOver: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm.OnMouseEnter event

TJvExCustomDockForm	Edit topic

Not documented

Pascal

property OnMouseEnter: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm.OnMouseLeave event

TJvExCustomDockForm	Edit topic

Not documented

Pascal

property OnMouseLeave: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm.OnParentColorChange event

TJvExCustomDockForm	Edit topic

Not documented

Pascal

property OnParentColorChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDockForm.ParentBackground property

TJvExCustomDockForm	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDrawGrid
JEDI-VCL Reference

TJvExCustomDrawGrid

Hierarchy	Properties	Events	 Edit topic

Base class for extended grids.

Pascal

TJvExCustomDrawGrid = class(TCustomDrawGrid, IJvExControl);

File

JvExGrids

Description

TJvExCustomDrawGrid is a base class for classes in the JVCL library that descend from TCustomDrawGrid.

Do not create instances of TJvExCustomDrawGrid. Use a descendant of TJvExCustomDrawGrid or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomDrawGrid Properties

TJvExCustomDrawGrid	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomDrawGrid Events

TJvExCustomDrawGrid	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomDrawGrid

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomDrawGrid, IJvExControl
        TJvExCustomDrawGrid


TJvExCustomDrawGrid Members

TJvExCustomDrawGrid	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomDrawGrid.AboutJVCL property

TJvExCustomDrawGrid

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomDrawGrid.DotNetHighlighting property

TJvExCustomDrawGrid	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomDrawGrid.HintColor property

TJvExCustomDrawGrid	Edit topic

Determines the color of the hint boxes for the Help Hints for the grid.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomDrawGrid.MouseOver property

TJvExCustomDrawGrid	See Also	Edit topic

Indicates whether the mouse pointer is over the grid.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the grid.

Created with Doc-O-Matic.


See Also

TJvExCustomDrawGrid.OnMouseEnter, TJvExCustomDrawGrid.OnMouseLeave


TJvExCustomDrawGrid.OnMouseEnter event

TJvExCustomDrawGrid	See Also	Edit topic

Occurs when the mouse pointer moves over the grid.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the grid.

Created with Doc-O-Matic.


See Also

TJvExCustomDrawGrid.OnMouseLeave


TJvExCustomDrawGrid.OnMouseLeave event

TJvExCustomDrawGrid	See Also	Edit topic

Occurs when the mouse pointer moves off the grid.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the grid. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomDrawGrid.OnMouseEnter


TJvExCustomDrawGrid.OnParentColorChange event

TJvExCustomDrawGrid	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomDrawGrid.ParentBackground property

TJvExCustomDrawGrid	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomEdit
JEDI-VCL Reference

TJvExCustomEdit

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows edit boxes.

Pascal

TJvExCustomEdit = class(TCustomEdit, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomEdit is a base class for classes in the JVCL library that descend from TCustomEdit.

Do not create instances of TJvExCustomEdit. The TJvEdit class provides a generic implementation of TJvExCustomEdit. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomEdit Properties

TJvExCustomEdit	Legend

Properties

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomEdit Events

TJvExCustomEdit	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomEdit, IJvExControl
        TJvExCustomEdit


TJvExCustomEdit Members

TJvExCustomEdit	Legend

Members

Properties

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomEdit.AboutJVCL property

TJvExCustomEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomEdit.ClipboardCommands property

TJvExCustomEdit	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvExCustomEdit.DotNetHighlighting property

TJvExCustomEdit	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomEdit.HintColor property

TJvExCustomEdit	Edit topic

Determines the color of the hint boxes for the Help Hints for the edit box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomEdit.MouseOver property

TJvExCustomEdit	See Also	Edit topic

Indicates whether the mouse pointer is over the edit box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the edit box.

Created with Doc-O-Matic.


See Also

TJvExCustomEdit.OnMouseEnter, TJvExCustomEdit.OnMouseLeave


TJvExCustomEdit.OnMouseEnter event

TJvExCustomEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the edit box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the edit box.

Created with Doc-O-Matic.


See Also

TJvExCustomEdit.OnMouseLeave


TJvExCustomEdit.OnMouseLeave event

TJvExCustomEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the edit box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the edit box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomEdit.OnMouseEnter


TJvExCustomEdit.OnParentColorChange event

TJvExCustomEdit	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomEdit.ParentBackground property

TJvExCustomEdit	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomForm
JEDI-VCL Reference

TJvExCustomForm

Hierarchy	Properties	Events	 Edit topic

Base class for extended forms.

Pascal

TJvExCustomForm = class(TCustomForm, IJvExControl);

File

JvExForms

Description

TJvExCustomForm is a base class for classes in the JVCL library that descend from TCustomForm.

Do not create instances of TJvExCustomForm. Use a descendant of TJvExCustomForm or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomForm Properties

TJvExCustomForm	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomForm Events

TJvExCustomForm	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomForm

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomForm, IJvExControl
        TJvExCustomForm


TJvExCustomForm Members

TJvExCustomForm	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomForm.AboutJVCL property

TJvExCustomForm

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomForm.DotNetHighlighting property

TJvExCustomForm	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomForm.HintColor property

TJvExCustomForm	Edit topic

Determines the color of the hint boxes for the Help Hints for the form.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomForm.MouseOver property

TJvExCustomForm	See Also	Edit topic

Indicates whether the mouse pointer is over the form.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the form.

Created with Doc-O-Matic.


See Also

TJvExCustomForm.OnMouseEnter, TJvExCustomForm.OnMouseLeave


TJvExCustomForm.OnMouseEnter event

TJvExCustomForm	See Also	Edit topic

Occurs when the mouse pointer moves over the form.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the form.

Created with Doc-O-Matic.


See Also

TJvExCustomForm.OnMouseLeave


TJvExCustomForm.OnMouseLeave event

TJvExCustomForm	See Also	Edit topic

Occurs when the mouse pointer moves off the form.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the form. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomForm.OnMouseEnter


TJvExCustomForm.OnParentColorChange event

TJvExCustomForm	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomForm.ParentBackground property

TJvExCustomForm	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomFrame
JEDI-VCL Reference

TJvExCustomFrame

Hierarchy	Properties	Events	 Edit topic

Base class for extended frames.

Pascal

TJvExCustomFrame = class(TCustomFrame, IJvExControl);

File

JvExForms

Description

TJvExCustomFrame is a base class for classes in the JVCL library that descend from TCustomFrame.

Do not create instances of TJvExCustomFrame. Use a descendant of TJvExCustomFrame or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomFrame Properties

TJvExCustomFrame	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomFrame Events

TJvExCustomFrame	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomFrame

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomFrame, IJvExControl
        TJvExCustomFrame


TJvExCustomFrame Members

TJvExCustomFrame	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomFrame.AboutJVCL property

TJvExCustomFrame

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomFrame.DotNetHighlighting property

TJvExCustomFrame	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomFrame.HintColor property

TJvExCustomFrame	Edit topic

Determines the color of the hint boxes for the Help Hints for the frame.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomFrame.MouseOver property

TJvExCustomFrame	See Also	Edit topic

Indicates whether the mouse pointer is over the frame.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the frame.

Created with Doc-O-Matic.


See Also

TJvExCustomFrame.OnMouseEnter, TJvExCustomFrame.OnMouseLeave


TJvExCustomFrame.OnMouseEnter event

TJvExCustomFrame	See Also	Edit topic

Occurs when the mouse pointer moves over the frame.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the frame.

Created with Doc-O-Matic.


See Also

TJvExCustomFrame.OnMouseLeave


TJvExCustomFrame.OnMouseLeave event

TJvExCustomFrame	See Also	Edit topic

Occurs when the mouse pointer moves off the frame.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the frame. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomFrame.OnMouseEnter


TJvExCustomFrame.OnParentColorChange event

TJvExCustomFrame	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomFrame.ParentBackground property

TJvExCustomFrame	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomGrid
JEDI-VCL Reference

TJvExCustomGrid

Hierarchy	Properties	Events	 Edit topic

Base class for extended grids.

Pascal

TJvExCustomGrid = class(TCustomGrid, IJvExControl);

File

JvExGrids

Description

TJvExCustomGrid is a base class for classes in the JVCL library that descend from TCustomGrid.

Do not create instances of TJvExCustomGrid. Use a descendant of TJvExCustomGrid or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomGrid Properties

TJvExCustomGrid	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomGrid Events

TJvExCustomGrid	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomGrid

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomGrid, IJvExControl
        TJvExCustomGrid


TJvExCustomGrid Members

TJvExCustomGrid	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomGrid.AboutJVCL property

TJvExCustomGrid

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomGrid.DotNetHighlighting property

TJvExCustomGrid	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomGrid.HintColor property

TJvExCustomGrid	Edit topic

Determines the color of the hint boxes for the Help Hints for the grid.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomGrid.MouseOver property

TJvExCustomGrid	See Also	Edit topic

Indicates whether the mouse pointer is over the grid.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the grid.

Created with Doc-O-Matic.


See Also

TJvExCustomGrid.OnMouseEnter, TJvExCustomGrid.OnMouseLeave


TJvExCustomGrid.OnMouseEnter event

TJvExCustomGrid	See Also	Edit topic

Occurs when the mouse pointer moves over the grid.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the grid.

Created with Doc-O-Matic.


See Also

TJvExCustomGrid.OnMouseLeave


TJvExCustomGrid.OnMouseLeave event

TJvExCustomGrid	See Also	Edit topic

Occurs when the mouse pointer moves off the grid.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the grid. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomGrid.OnMouseEnter


TJvExCustomGrid.OnParentColorChange event

TJvExCustomGrid	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomGrid.ParentBackground property

TJvExCustomGrid	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomGroupBox
JEDI-VCL Reference

TJvExCustomGroupBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows group boxes.

Pascal

TJvExCustomGroupBox = class(TCustomGroupBox, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomGroupBox is a base class for classes in the JVCL library that descend from TCustomGroupBox.

Do not create instances of TJvExCustomGroupBox. Use a descendant of TJvExCustomGroupBox or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomGroupBox Properties

TJvExCustomGroupBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomGroupBox Events

TJvExCustomGroupBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomGroupBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomGroupBox, IJvExControl
        TJvExCustomGroupBox


TJvExCustomGroupBox Members

TJvExCustomGroupBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomGroupBox.AboutJVCL property

TJvExCustomGroupBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomGroupBox.DotNetHighlighting property

TJvExCustomGroupBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomGroupBox.HintColor property

TJvExCustomGroupBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomGroupBox.MouseOver property

TJvExCustomGroupBox	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomGroupBox.OnMouseEnter, TJvExCustomGroupBox.OnMouseLeave


TJvExCustomGroupBox.OnMouseEnter event

TJvExCustomGroupBox	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomGroupBox.OnMouseLeave


TJvExCustomGroupBox.OnMouseLeave event

TJvExCustomGroupBox	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomGroupBox.OnMouseEnter


TJvExCustomGroupBox.OnParentColorChange event

TJvExCustomGroupBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomGroupBox.ParentBackground property

TJvExCustomGroupBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomHeaderControl
JEDI-VCL Reference

TJvExCustomHeaderControl

Hierarchy	Properties	Events	 Edit topic

Base class for extended header controls.

Pascal

TJvExCustomHeaderControl = class(TCustomHeaderControl, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomHeaderControl is a base class for classes in the JVCL library that descend from TCustomHeaderControl.

Do not create instances of TJvExCustomHeaderControl. Use a descendant of TJvExCustomHeaderControl or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomHeaderControl Properties

TJvExCustomHeaderControl	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomHeaderControl Events

TJvExCustomHeaderControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomHeaderControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomHeaderControl, IJvExControl
        TJvExCustomHeaderControl


TJvExCustomHeaderControl Members

TJvExCustomHeaderControl	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomHeaderControl.AboutJVCL property

TJvExCustomHeaderControl

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomHeaderControl.DotNetHighlighting property

TJvExCustomHeaderControl	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomHeaderControl.HintColor property

TJvExCustomHeaderControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the header control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomHeaderControl.MouseOver property

TJvExCustomHeaderControl	See Also	Edit topic

Indicates whether the mouse pointer is over the header control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the header control.

Created with Doc-O-Matic.


See Also

TJvExCustomHeaderControl.OnMouseEnter, TJvExCustomHeaderControl.OnMouseLeave


TJvExCustomHeaderControl.OnMouseEnter event

TJvExCustomHeaderControl	See Also	Edit topic

Occurs when the mouse pointer moves over the header control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the header control.

Created with Doc-O-Matic.


See Also

TJvExCustomHeaderControl.OnMouseLeave


TJvExCustomHeaderControl.OnMouseLeave event

TJvExCustomHeaderControl	See Also	Edit topic

Occurs when the mouse pointer moves off the header control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the header control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomHeaderControl.OnMouseEnter


TJvExCustomHeaderControl.OnParentColorChange event

TJvExCustomHeaderControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomHeaderControl.ParentBackground property

TJvExCustomHeaderControl	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomHotKey
JEDI-VCL Reference

TJvExCustomHotKey

Hierarchy	Properties	Events	 Edit topic

Base class for extended hot key common controls.

Pascal

TJvExCustomHotKey = class(TCustomHotKey, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomHotKey is a base class for classes in the JVCL library that descend from TCustomHotKey.

Do not create instances of TJvExCustomHotKey. Use a descendant of TJvExCustomHotKey or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomHotKey Properties

TJvExCustomHotKey	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomHotKey Events

TJvExCustomHotKey	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomHotKey

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomHotKey, IJvExControl
        TJvExCustomHotKey


TJvExCustomHotKey Members

TJvExCustomHotKey	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomHotKey.AboutJVCL property

TJvExCustomHotKey

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomHotKey.DotNetHighlighting property

TJvExCustomHotKey	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomHotKey.HintColor property

TJvExCustomHotKey	Edit topic

Determines the color of the hint boxes for the Help Hints for the hot key.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomHotKey.MouseOver property

TJvExCustomHotKey	See Also	Edit topic

Indicates whether the mouse pointer is over the hot key.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the hot key.

Created with Doc-O-Matic.


See Also

TJvExCustomHotKey.OnMouseEnter, TJvExCustomHotKey.OnMouseLeave


TJvExCustomHotKey.OnMouseEnter event

TJvExCustomHotKey	See Also	Edit topic

Occurs when the mouse pointer moves over the hot key.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the hot key.

Created with Doc-O-Matic.


See Also

TJvExCustomHotKey.OnMouseLeave


TJvExCustomHotKey.OnMouseLeave event

TJvExCustomHotKey	See Also	Edit topic

Occurs when the mouse pointer moves off the hot key.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the hot key. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomHotKey.OnMouseEnter


TJvExCustomHotKey.OnParentColorChange event

TJvExCustomHotKey	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomHotKey.ParentBackground property

TJvExCustomHotKey	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomLabel
JEDI-VCL Reference

TJvExCustomLabel

Hierarchy	Properties	Events	 Edit topic

Base class for extended labels.

Pascal

TJvExCustomLabel = class(TCustomLabel, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomLabel is a base class for classes in the JVCL library that descend from TCustomLabel.

Do not create instances of TJvExCustomLabel. Use a descendant of TJvExCustomLabel or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomLabel Properties

TJvExCustomLabel	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomLabel Events

TJvExCustomLabel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomLabel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomLabel, IJvExControl
        TJvExCustomLabel


TJvExCustomLabel Members

TJvExCustomLabel	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomLabel.AboutJVCL property

TJvExCustomLabel

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomLabel.HintColor property

TJvExCustomLabel	Edit topic

Determines the color of the hint boxes for the Help Hints for the label.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomLabel.MouseOver property

TJvExCustomLabel	See Also	Edit topic

Indicates whether the mouse pointer is over the label.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the label.

Created with Doc-O-Matic.


See Also

TJvExCustomLabel.OnMouseEnter, TJvExCustomLabel.OnMouseLeave


TJvExCustomLabel.OnMouseEnter event

TJvExCustomLabel	See Also	Edit topic

Occurs when the mouse pointer moves over the label.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the label.

Created with Doc-O-Matic.


See Also

TJvExCustomLabel.OnMouseLeave


TJvExCustomLabel.OnMouseLeave event

TJvExCustomLabel	See Also	Edit topic

Occurs when the mouse pointer moves off the label.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the label. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomLabel.OnMouseEnter


TJvExCustomLabel.OnParentColorChange event

TJvExCustomLabel	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomLabeledEdit
JEDI-VCL Reference

TJvExCustomLabeledEdit

Hierarchy	Properties	Events	 Edit topic

Base class for extended labeled edit controls.

Pascal

TJvExCustomLabeledEdit = class(TCustomLabeledEdit, IJvExControl);

File

JvExExtCtrls

Description

TJvExCustomLabeledEdit is a base class for extended classes in the JVCL library that descend from TCustomLabeledEdit.

Do not create instances of TJvExCustomLabeledEdit. The TJvCustomLabeledEdit class provides a generic implementation of TJvExCustomLabeledEdit. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomLabeledEdit Properties

TJvExCustomLabeledEdit	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomLabeledEdit Events

TJvExCustomLabeledEdit	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomLabeledEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomLabeledEdit, IJvExControl
        TJvExCustomLabeledEdit


TJvExCustomLabeledEdit Members

TJvExCustomLabeledEdit	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomLabeledEdit.AboutJVCL property

TJvExCustomLabeledEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomLabeledEdit.DotNetHighlighting property

TJvExCustomLabeledEdit	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomLabeledEdit.HintColor property

TJvExCustomLabeledEdit	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomLabeledEdit.MouseOver property

TJvExCustomLabeledEdit	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomLabeledEdit.OnMouseEnter, TJvExCustomLabeledEdit.OnMouseLeave


TJvExCustomLabeledEdit.OnMouseEnter event

TJvExCustomLabeledEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomLabeledEdit.OnMouseLeave


TJvExCustomLabeledEdit.OnMouseLeave event

TJvExCustomLabeledEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomLabeledEdit.OnMouseEnter


TJvExCustomLabeledEdit.OnParentColorChange event

TJvExCustomLabeledEdit	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomLabeledEdit.ParentBackground property

TJvExCustomLabeledEdit	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomListBox
JEDI-VCL Reference

TJvExCustomListBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows list boxes.

Pascal

TJvExCustomListBox = class(TCustomListBox, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomListBox is a base class for classes in the JVCL library that descend from TCustomListBox.

Do not create instances of TJvExCustomListBox. The TJvListBox class provides a generic implementation of TJvExCustomListBox. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomListBox Properties

TJvExCustomListBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomListBox Events

TJvExCustomListBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomListBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox


TJvExCustomListBox Members

TJvExCustomListBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomListBox.AboutJVCL property

TJvExCustomListBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomListBox.DotNetHighlighting property

TJvExCustomListBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomListBox.HintColor property

TJvExCustomListBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the list box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomListBox.MouseOver property

TJvExCustomListBox	See Also	Edit topic

Indicates whether the mouse pointer is over the list box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the list box.

Created with Doc-O-Matic.


See Also

TJvExCustomListBox.OnMouseEnter, TJvExCustomListBox.OnMouseLeave


TJvExCustomListBox.OnMouseEnter event

TJvExCustomListBox	See Also	Edit topic

Occurs when the mouse pointer moves over the list box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the list box.

Created with Doc-O-Matic.


See Also

TJvExCustomListBox.OnMouseLeave


TJvExCustomListBox.OnMouseLeave event

TJvExCustomListBox	See Also	Edit topic

Occurs when the mouse pointer moves off the list box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the list box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomListBox.OnMouseEnter


TJvExCustomListBox.OnParentColorChange event

TJvExCustomListBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomListBox.ParentBackground property

TJvExCustomListBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomListView
JEDI-VCL Reference

TJvExCustomListView

Hierarchy	Properties	Events	 Edit topic

Base class for extended list view common control.

Pascal

TJvExCustomListView = class(TCustomListView, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomListView is a base class for classes in the JVCL library that descend from TCustomListView.

Do not create instances of TJvExCustomListView. Use a descendant of TJvExCustomListView or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomListView Properties

TJvExCustomListView	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomListView Events

TJvExCustomListView	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomListView

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomListView, IJvExControl
        TJvExCustomListView


TJvExCustomListView Members

TJvExCustomListView	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomListView.AboutJVCL property

TJvExCustomListView

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomListView.DotNetHighlighting property

TJvExCustomListView	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomListView.HintColor property

TJvExCustomListView	Edit topic

Determines the color of the hint boxes for the Help Hints for the list view control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomListView.MouseOver property

TJvExCustomListView	See Also	Edit topic

Indicates whether the mouse pointer is over the list view control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the list view control.

Created with Doc-O-Matic.


See Also

TJvExCustomListView.OnMouseEnter, TJvExCustomListView.OnMouseLeave


TJvExCustomListView.OnMouseEnter event

TJvExCustomListView	See Also	Edit topic

Occurs when the mouse pointer moves over the list view control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the list view control.

Created with Doc-O-Matic.


See Also

TJvExCustomListView.OnMouseLeave


TJvExCustomListView.OnMouseLeave event

TJvExCustomListView	See Also	Edit topic

Occurs when the mouse pointer moves off the list view control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the list view control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomListView.OnMouseEnter


TJvExCustomListView.OnParentColorChange event

TJvExCustomListView	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomListView.ParentBackground property

TJvExCustomListView	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomMaskEdit
JEDI-VCL Reference

TJvExCustomMaskEdit

Hierarchy	Properties	Events	 Edit topic

Base class for extended masked edit controls.

Pascal

TJvExCustomMaskEdit = class(TCustomMaskEdit, IJvExControl);

File

JvExMask

Description

TJvExCustomMaskEdit is a base class for classes in the JVCL library that descend from TCustomMaskEdit.

Do not create instances of TJvExCustomMaskEdit. Use a descendant of TJvExCustomMaskEdit or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomMaskEdit Properties

TJvExCustomMaskEdit	Legend

Properties

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomMaskEdit Events

TJvExCustomMaskEdit	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomMaskEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomMaskEdit, IJvExControl
        TJvExCustomMaskEdit


TJvExCustomMaskEdit Members

TJvExCustomMaskEdit	Legend

Members

Properties

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomMaskEdit.AboutJVCL property

TJvExCustomMaskEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomMaskEdit.BeepOnError property

TJvExCustomMaskEdit	Edit topic

Specifies whether the edit control beeps when the user tries to enter text that does not match the mask.

Pascal

property BeepOnError: Boolean;

Description

If BeepOnError is true (the default), the application beeps when a validation error occurs.

Created with Doc-O-Matic.


TJvExCustomMaskEdit.ClipboardCommands property

TJvExCustomMaskEdit	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvExCustomMaskEdit.DotNetHighlighting property

TJvExCustomMaskEdit	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomMaskEdit.HintColor property

TJvExCustomMaskEdit	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomMaskEdit.MouseOver property

TJvExCustomMaskEdit	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomMaskEdit.OnMouseEnter, TJvExCustomMaskEdit.OnMouseLeave


TJvExCustomMaskEdit.OnMouseEnter event

TJvExCustomMaskEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomMaskEdit.OnMouseLeave


TJvExCustomMaskEdit.OnMouseLeave event

TJvExCustomMaskEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomMaskEdit.OnMouseEnter


TJvExCustomMaskEdit.OnParentColorChange event

TJvExCustomMaskEdit	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomMaskEdit.ParentBackground property

TJvExCustomMaskEdit	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomMemo
JEDI-VCL Reference

TJvExCustomMemo

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows multiline edit boxes.

Pascal

TJvExCustomMemo = class(TCustomMemo, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomMemo is a base class for classes in the JVCL library that descend from TCustomMemo.

Do not create instances of TJvExCustomMemo. The TJvMemo class provides a generic implementation of TJvExCustomMemo. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomMemo Properties

TJvExCustomMemo	Legend

Properties

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomMemo Events

TJvExCustomMemo	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomMemo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomMemo, IJvExControl
        TJvExCustomMemo


TJvExCustomMemo Members

TJvExCustomMemo	Legend

Members

Properties

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomMemo.AboutJVCL property

TJvExCustomMemo

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomMemo.ClipboardCommands property

TJvExCustomMemo	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvExCustomMemo.DotNetHighlighting property

TJvExCustomMemo	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomMemo.HintColor property

TJvExCustomMemo	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomMemo.MouseOver property

TJvExCustomMemo	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomMemo.OnMouseEnter, TJvExCustomMemo.OnMouseLeave


TJvExCustomMemo.OnMouseEnter event

TJvExCustomMemo	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomMemo.OnMouseLeave


TJvExCustomMemo.OnMouseLeave event

TJvExCustomMemo	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomMemo.OnMouseEnter


TJvExCustomMemo.OnParentColorChange event

TJvExCustomMemo	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomMemo.ParentBackground property

TJvExCustomMemo	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomPanel
JEDI-VCL Reference

TJvExCustomPanel

Hierarchy	Properties	Events	 Edit topic

Base class for extended panel controls.

Pascal

TJvExCustomPanel = class(TCustomPanel, IJvExControl);

File

JvExExtCtrls

Description

TJvExCustomPanel is a base class for extended classes in the JVCL library that descend from TCustomPanel.

Do not create instances of TJvExCustomPanel. The TJvCustomPanel class provides a generic implementation of TJvExCustomPanel. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomPanel Properties

TJvExCustomPanel	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomPanel Events

TJvExCustomPanel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomPanel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel


TJvExCustomPanel Members

TJvExCustomPanel	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomPanel.AboutJVCL property

TJvExCustomPanel

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomPanel.DotNetHighlighting property

TJvExCustomPanel	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomPanel.HintColor property

TJvExCustomPanel	Edit topic

Determines the color of the hint boxes for the Help Hints for the panel.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomPanel.MouseOver property

TJvExCustomPanel	See Also	Edit topic

Indicates whether the mouse pointer is over the panel.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the panel.

Created with Doc-O-Matic.


See Also

TJvExCustomPanel.OnMouseEnter, TJvExCustomPanel.OnMouseLeave


TJvExCustomPanel.OnMouseEnter event

TJvExCustomPanel	See Also	Edit topic

Occurs when the mouse pointer moves over the panel.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the panel.

Created with Doc-O-Matic.


See Also

TJvExCustomPanel.OnMouseLeave


TJvExCustomPanel.OnMouseLeave event

TJvExCustomPanel	See Also	Edit topic

Occurs when the mouse pointer moves off the panel.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the panel. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomPanel.OnMouseEnter


TJvExCustomPanel.OnParentColorChange event

TJvExCustomPanel	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomPanel.ParentBackground property

TJvExCustomPanel	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomRadioGroup
JEDI-VCL Reference

TJvExCustomRadioGroup

Hierarchy	Properties	Events	 Edit topic

Base class for extended radio group controls.

Pascal

TJvExCustomRadioGroup = class(TCustomRadioGroup, IJvExControl);

File

JvExExtCtrls

Description

TJvExCustomRadioGroup is a base class for extended classes in the JVCL library that descend from TCustomRadioGroup.

Do not create instances of TJvExCustomRadioGroup. The TJvCustomRadioGroup class provides a generic implementation of TJvExCustomRadioGroup. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomRadioGroup Properties

TJvExCustomRadioGroup	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomRadioGroup Events

TJvExCustomRadioGroup	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomRadioGroup

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomRadioGroup, IJvExControl
        TJvExCustomRadioGroup


TJvExCustomRadioGroup Members

TJvExCustomRadioGroup	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomRadioGroup.AboutJVCL property

TJvExCustomRadioGroup

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomRadioGroup.DotNetHighlighting property

TJvExCustomRadioGroup	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomRadioGroup.HintColor property

TJvExCustomRadioGroup	Edit topic

Determines the color of the hint boxes for the Help Hints for the radio group.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomRadioGroup.MouseOver property

TJvExCustomRadioGroup	See Also	Edit topic

Indicates whether the mouse pointer is over the radio group.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the radio group.

Created with Doc-O-Matic.


See Also

TJvExCustomRadioGroup.OnMouseEnter, TJvExCustomRadioGroup.OnMouseLeave


TJvExCustomRadioGroup.OnMouseEnter event

TJvExCustomRadioGroup	See Also	Edit topic

Occurs when the mouse pointer moves over the radio group.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the radio group.

Created with Doc-O-Matic.


See Also

TJvExCustomRadioGroup.OnMouseLeave


TJvExCustomRadioGroup.OnMouseLeave event

TJvExCustomRadioGroup	See Also	Edit topic

Occurs when the mouse pointer moves off the radio group.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the radio group. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomRadioGroup.OnMouseEnter


TJvExCustomRadioGroup.OnParentColorChange event

TJvExCustomRadioGroup	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomRadioGroup.ParentBackground property

TJvExCustomRadioGroup	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomStaticText
JEDI-VCL Reference

TJvExCustomStaticText

Hierarchy	Properties	Events	 Edit topic

Base class for extended windowed labels.

Pascal

TJvExCustomStaticText = class(TCustomStaticText, IJvExControl);

File

JvExStdCtrls

Description

TJvExCustomStaticText is a base class for classes in the JVCL library that descend from TCustomStaticText.

Do not create instances of TJvExCustomStaticText. Use a descendant of TJvExCustomStaticText or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomStaticText Properties

TJvExCustomStaticText	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomStaticText Events

TJvExCustomStaticText	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomStaticText

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomStaticText, IJvExControl
        TJvExCustomStaticText


TJvExCustomStaticText Members

TJvExCustomStaticText	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomStaticText.AboutJVCL property

TJvExCustomStaticText

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomStaticText.DotNetHighlighting property

TJvExCustomStaticText	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomStaticText.HintColor property

TJvExCustomStaticText	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomStaticText.MouseOver property

TJvExCustomStaticText	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomStaticText.OnMouseEnter, TJvExCustomStaticText.OnMouseLeave


TJvExCustomStaticText.OnMouseEnter event

TJvExCustomStaticText	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomStaticText.OnMouseLeave


TJvExCustomStaticText.OnMouseLeave event

TJvExCustomStaticText	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomStaticText.OnMouseEnter


TJvExCustomStaticText.OnParentColorChange event

TJvExCustomStaticText	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomStaticText.ParentBackground property

TJvExCustomStaticText	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomStatusBar
JEDI-VCL Reference

TJvExCustomStatusBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended status bar common controls.

Pascal

TJvExCustomStatusBar = class(TCustomStatusBar, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomStatusBar is a base class for classes in the JVCL library that descend from TCustomStatusBar.

Do not create instances of TJvExCustomStatusBar. Use a descendant of TJvExCustomStatusBar or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomStatusBar Properties

TJvExCustomStatusBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomStatusBar Events

TJvExCustomStatusBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomStatusBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomStatusBar, IJvExControl
        TJvExCustomStatusBar


TJvExCustomStatusBar Members

TJvExCustomStatusBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomStatusBar.AboutJVCL property

TJvExCustomStatusBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomStatusBar.DotNetHighlighting property

TJvExCustomStatusBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomStatusBar.HintColor property

TJvExCustomStatusBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the status bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomStatusBar.MouseOver property

TJvExCustomStatusBar	See Also	Edit topic

Indicates whether the mouse pointer is over the status bar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the status bar.

Created with Doc-O-Matic.


See Also

TJvExCustomStatusBar.OnMouseEnter, TJvExCustomStatusBar.OnMouseLeave


TJvExCustomStatusBar.OnMouseEnter event

TJvExCustomStatusBar	See Also	Edit topic

Occurs when the mouse pointer moves over the status bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the status bar.

Created with Doc-O-Matic.


See Also

TJvExCustomStatusBar.OnMouseLeave


TJvExCustomStatusBar.OnMouseLeave event

TJvExCustomStatusBar	See Also	Edit topic

Occurs when the mouse pointer moves off the status bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the status bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomStatusBar.OnMouseEnter


TJvExCustomStatusBar.OnParentColorChange event

TJvExCustomStatusBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomStatusBar.ParentBackground property

TJvExCustomStatusBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomTabControl
JEDI-VCL Reference

TJvExCustomTabControl

Hierarchy	Properties	Events	 Edit topic

Base class for extended tab controls.

Pascal

TJvExCustomTabControl = class(TCustomTabControl, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomTabControl is a base class for classes in the JVCL library that descend from TCustomTabControl.

Do not create instances of TJvExCustomTabControl. Use a descendant of TJvExCustomTabControl or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomTabControl Properties

TJvExCustomTabControl	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomTabControl Events

TJvExCustomTabControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomTabControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomTabControl, IJvExControl
        TJvExCustomTabControl


TJvExCustomTabControl Members

TJvExCustomTabControl	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomTabControl.AboutJVCL property

TJvExCustomTabControl

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomTabControl.DotNetHighlighting property

TJvExCustomTabControl	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomTabControl.HintColor property

TJvExCustomTabControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the tab control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomTabControl.MouseOver property

TJvExCustomTabControl	See Also	Edit topic

Indicates whether the mouse pointer is over the tab control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the tab control.

Created with Doc-O-Matic.


See Also

TJvExCustomTabControl.OnMouseEnter, TJvExCustomTabControl.OnMouseLeave


TJvExCustomTabControl.OnMouseEnter event

TJvExCustomTabControl	See Also	Edit topic

Occurs when the mouse pointer moves over the tab control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tab control.

Created with Doc-O-Matic.


See Also

TJvExCustomTabControl.OnMouseLeave


TJvExCustomTabControl.OnMouseLeave event

TJvExCustomTabControl	See Also	Edit topic

Occurs when the mouse pointer moves off the tab control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tab control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomTabControl.OnMouseEnter


TJvExCustomTabControl.OnParentColorChange event

TJvExCustomTabControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomTabControl.ParentBackground property

TJvExCustomTabControl	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomTreeView
JEDI-VCL Reference

TJvExCustomTreeView

Hierarchy	Properties	Events	 Edit topic

Base class for extended tree view common controls.

Pascal

TJvExCustomTreeView = class(TCustomTreeView, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomTreeView is a base class for classes in the JVCL library that descend from TCustomTreeView.

Do not create instances of TJvExCustomTreeView. Use a descendant of TJvExCustomTreeView or create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomTreeView Properties

TJvExCustomTreeView	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomTreeView Events

TJvExCustomTreeView	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomTreeView

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView


TJvExCustomTreeView Members

TJvExCustomTreeView	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomTreeView.AboutJVCL property

TJvExCustomTreeView

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomTreeView.DotNetHighlighting property

TJvExCustomTreeView	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomTreeView.HintColor property

TJvExCustomTreeView	Edit topic

Determines the color of the hint boxes for the Help Hints for the tree view control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomTreeView.MouseOver property

TJvExCustomTreeView	See Also	Edit topic

Indicates whether the mouse pointer is over the tree view control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the tree view control.

Created with Doc-O-Matic.


See Also

TJvExCustomTreeView.OnMouseEnter, TJvExCustomTreeView.OnMouseLeave


TJvExCustomTreeView.OnMouseEnter event

TJvExCustomTreeView	See Also	Edit topic

Occurs when the mouse pointer moves over the tree view control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tree view control.

Created with Doc-O-Matic.


See Also

TJvExCustomTreeView.OnMouseLeave


TJvExCustomTreeView.OnMouseLeave event

TJvExCustomTreeView	See Also	Edit topic

Occurs when the mouse pointer moves off the tree view control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tree view control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomTreeView.OnMouseEnter


TJvExCustomTreeView.OnParentColorChange event

TJvExCustomTreeView	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomTreeView.ParentBackground property

TJvExCustomTreeView	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomUpDown
JEDI-VCL Reference

TJvExCustomUpDown

Hierarchy	Properties	Events	 Edit topic

Base class for extended up-down common controls.

Pascal

TJvExCustomUpDown = class(TCustomUpDown, IJvExControl);

File

JvExComCtrls

Description

TJvExCustomUpDown is a base class for classes in the JVCL library that descend from TCustomUpDown.

Do not create instances of TJvExCustomUpDown. The TJvUpDown class provides a generic implementation of TJvExCustomUpDown. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExCustomUpDown Properties

TJvExCustomUpDown	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomUpDown Events

TJvExCustomUpDown	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExCustomUpDown

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomUpDown, IJvExControl
        TJvExCustomUpDown


TJvExCustomUpDown Members

TJvExCustomUpDown	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExCustomUpDown.AboutJVCL property

TJvExCustomUpDown

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExCustomUpDown.DotNetHighlighting property

TJvExCustomUpDown	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExCustomUpDown.HintColor property

TJvExCustomUpDown	Edit topic

Determines the color of the hint boxes for the Help Hints for the up-down control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExCustomUpDown.MouseOver property

TJvExCustomUpDown	See Also	Edit topic

Indicates whether the mouse pointer is over the up-down control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the up-down control.

Created with Doc-O-Matic.


See Also

TJvExCustomUpDown.OnMouseEnter, TJvExCustomUpDown.OnMouseLeave


TJvExCustomUpDown.OnMouseEnter event

TJvExCustomUpDown	See Also	Edit topic

Occurs when the mouse pointer moves over the up-down control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the up-down control.

Created with Doc-O-Matic.


See Also

TJvExCustomUpDown.OnMouseLeave


TJvExCustomUpDown.OnMouseLeave event

TJvExCustomUpDown	See Also	Edit topic

Occurs when the mouse pointer moves off the up-down control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the up-down control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomUpDown.OnMouseEnter


TJvExCustomUpDown.OnParentColorChange event

TJvExCustomUpDown	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExCustomUpDown.ParentBackground property

TJvExCustomUpDown	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExDateTimePicker
JEDI-VCL Reference

TJvExDateTimePicker

Hierarchy	Properties	Events	 Edit topic

Base class for extended drop-down calendar common control.

Pascal

TJvExDateTimePicker = class(TDateTimePicker, IJvExControl);

File

JvExComCtrls

Description

TJvExDateTimePicker is a base class for classes in the JVCL library that descend from TDateTimePicker.

Do not create instances of TJvExDateTimePicker. The TJvDateTimePicker class provides a generic implementation of TJvExDateTimePicker. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExDateTimePicker Properties

TJvExDateTimePicker	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExDateTimePicker Events

TJvExDateTimePicker	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExDateTimePicker

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TDateTimePicker, IJvExControl
        TJvExDateTimePicker


TJvExDateTimePicker Members

TJvExDateTimePicker	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExDateTimePicker.AboutJVCL property

TJvExDateTimePicker

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExDateTimePicker.DotNetHighlighting property

TJvExDateTimePicker	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExDateTimePicker.HintColor property

TJvExDateTimePicker	Edit topic

Determines the color of the hint boxes for the Help Hints for the drop-down calendar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExDateTimePicker.MouseOver property

TJvExDateTimePicker	See Also	Edit topic

Indicates whether the mouse pointer is over the drop-down calendar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the drop-down calendar.

Created with Doc-O-Matic.


See Also

TJvExDateTimePicker.OnMouseEnter, TJvExDateTimePicker.OnMouseLeave


TJvExDateTimePicker.OnMouseEnter event

TJvExDateTimePicker	See Also	Edit topic

Occurs when the mouse pointer moves over the drop-down calendar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the drop-down calendar.

Created with Doc-O-Matic.


See Also

TJvExDateTimePicker.OnMouseLeave


TJvExDateTimePicker.OnMouseLeave event

TJvExDateTimePicker	See Also	Edit topic

Occurs when the mouse pointer moves off the drop-down calendar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the drop-down calendar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExDateTimePicker.OnMouseEnter


TJvExDateTimePicker.OnParentColorChange event

TJvExDateTimePicker	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExDateTimePicker.ParentBackground property

TJvExDateTimePicker	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExDBGrid
JEDI-VCL Reference

TJvExDBGrid

Hierarchy	Properties	Events	 Edit topic

Base class for extended data-aware grids.

Pascal

TJvExDBGrid = class(TDBGrid, IJvExControl);

File

JvExDBGrids

Description

TJvExDBGrid is a base class for classes in the JVCL library that descend from TDBGrid.

Do not create instances of TJvExDBGrid. The TJvDBGrid class provides a generic implementation of TJvExDBGrid. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExDBGrid Properties

TJvExDBGrid	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExDBGrid Events

TJvExDBGrid	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExDBGrid

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TDBGrid, IJvExControl
        TJvExDBGrid


TJvExDBGrid Members

TJvExDBGrid	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExDBGrid.AboutJVCL property

TJvExDBGrid

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExDBGrid.DotNetHighlighting property

TJvExDBGrid	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExDBGrid.HintColor property

TJvExDBGrid	Edit topic

Determines the color of the hint boxes for the Help Hints for the grid.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExDBGrid.MouseOver property

TJvExDBGrid	See Also	Edit topic

Indicates whether the mouse pointer is over the grid.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the grid.

Created with Doc-O-Matic.


See Also

TJvExDBGrid.OnMouseEnter, TJvExDBGrid.OnMouseLeave


TJvExDBGrid.OnMouseEnter event

TJvExDBGrid	See Also	Edit topic

Occurs when the mouse pointer moves over the grid.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the grid.

Created with Doc-O-Matic.


See Also

TJvExDBGrid.OnMouseLeave


TJvExDBGrid.OnMouseLeave event

TJvExDBGrid	See Also	Edit topic

Occurs when the mouse pointer moves off the grid.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the grid. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExDBGrid.OnMouseEnter


TJvExDBGrid.OnParentColorChange event

TJvExDBGrid	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExDBGrid.ParentBackground property

TJvExDBGrid	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExDrawGrid
JEDI-VCL Reference

TJvExDrawGrid

Hierarchy	Properties	Events	 Edit topic

Base class for extended grids.

Pascal

TJvExDrawGrid = class(TDrawGrid, IJvExControl);

File

JvExGrids

Description

TJvExDrawGrid is a base class for classes in the JVCL library that descend from TDrawGrid.

Do not create instances of TJvExDrawGrid. Use a descendant of TJvExDrawGrid or create your own descendant class.

Created with Doc-O-Matic.


TJvExDrawGrid Properties

TJvExDrawGrid	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExDrawGrid Events

TJvExDrawGrid	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExDrawGrid

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TDrawGrid, IJvExControl
        TJvExDrawGrid


TJvExDrawGrid Members

TJvExDrawGrid	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExDrawGrid.AboutJVCL property

TJvExDrawGrid

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExDrawGrid.DotNetHighlighting property

TJvExDrawGrid	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExDrawGrid.HintColor property

TJvExDrawGrid	Edit topic

Determines the color of the hint boxes for the Help Hints for the grid.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExDrawGrid.MouseOver property

TJvExDrawGrid	See Also	Edit topic

Indicates whether the mouse pointer is over the grid.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the grid.

Created with Doc-O-Matic.


See Also

TJvExDrawGrid.OnMouseEnter, TJvExDrawGrid.OnMouseLeave


TJvExDrawGrid.OnMouseEnter event

TJvExDrawGrid	See Also	Edit topic

Occurs when the mouse pointer moves over the grid.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the grid.

Created with Doc-O-Matic.


See Also

TJvExDrawGrid.OnMouseLeave


TJvExDrawGrid.OnMouseLeave event

TJvExDrawGrid	See Also	Edit topic

Occurs when the mouse pointer moves off the grid.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the grid. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExDrawGrid.OnMouseEnter


TJvExDrawGrid.OnParentColorChange event

TJvExDrawGrid	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExDrawGrid.ParentBackground property

TJvExDrawGrid	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExForm
JEDI-VCL Reference

TJvExForm

Hierarchy	Properties	Events	 Edit topic

Base class for extended forms.

Pascal

TJvExForm = class(TForm, IJvExControl);

File

JvExForms

Description

TJvExForm is a base class for classes in the JVCL library that descend from TForm.

Do not create instances of TJvExForm. Use a descendant of TJvExForm or create your own descendant class.

Created with Doc-O-Matic.


TJvExForm Properties

TJvExForm	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExForm Events

TJvExForm	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExForm

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TForm, IJvExControl
        TJvExForm


TJvExForm Members

TJvExForm	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExForm.AboutJVCL property

TJvExForm

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExForm.DotNetHighlighting property

TJvExForm	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExForm.HintColor property

TJvExForm	Edit topic

Determines the color of the hint boxes for the Help Hints for the form.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExForm.MouseOver property

TJvExForm	See Also	Edit topic

Indicates whether the mouse pointer is over the form.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the form.

Created with Doc-O-Matic.


See Also

TJvExForm.OnMouseEnter, TJvExForm.OnMouseLeave


TJvExForm.OnMouseEnter event

TJvExForm	See Also	Edit topic

Occurs when the mouse pointer moves over the form.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the form.

Created with Doc-O-Matic.


See Also

TJvExForm.OnMouseLeave


TJvExForm.OnMouseLeave event

TJvExForm	See Also	Edit topic

Occurs when the mouse pointer moves off the form.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the form. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExForm.OnMouseEnter


TJvExForm.OnParentColorChange event

TJvExForm	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExForm.ParentBackground property

TJvExForm	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExFrame
JEDI-VCL Reference

TJvExFrame

Hierarchy	Properties	Events	 Edit topic

Base class for extended frames.

Pascal

TJvExFrame = class(TFrame, IJvExControl);

File

JvExForms

Description

TJvExFrame is a base class for classes in the JVCL library that descend from TFrame.

Do not create instances of TJvExFrame. Use a descendant of TJvExFrame or create your own descendant class.

Created with Doc-O-Matic.


TJvExFrame Properties

TJvExFrame	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExFrame Events

TJvExFrame	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExFrame

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TFrame, IJvExControl
        TJvExFrame


TJvExFrame Members

TJvExFrame	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExFrame.AboutJVCL property

TJvExFrame

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExFrame.DotNetHighlighting property

TJvExFrame	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExFrame.HintColor property

TJvExFrame	Edit topic

Determines the color of the hint boxes for the Help Hints for the frame.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExFrame.MouseOver property

TJvExFrame	See Also	Edit topic

Indicates whether the mouse pointer is over the frame.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the frame.

Created with Doc-O-Matic.


See Also

TJvExFrame.OnMouseEnter, TJvExFrame.OnMouseLeave


TJvExFrame.OnMouseEnter event

TJvExFrame	See Also	Edit topic

Occurs when the mouse pointer moves over the frame.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the frame.

Created with Doc-O-Matic.


See Also

TJvExFrame.OnMouseLeave


TJvExFrame.OnMouseLeave event

TJvExFrame	See Also	Edit topic

Occurs when the mouse pointer moves off the frame.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the frame. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExFrame.OnMouseEnter


TJvExFrame.OnParentColorChange event

TJvExFrame	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExFrame.ParentBackground property

TJvExFrame	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExGroupBox
JEDI-VCL Reference

TJvExGroupBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows group boxes.

Pascal

TJvExGroupBox = class(TGroupBox, IJvExControl);

File

JvExStdCtrls

Description

TJvExGroupBox is a base class for classes in the JVCL library that descend from TGroupBox.

Do not create instances of TJvExGroupBox. Use a descendant of TJvExGroupBox or create your own descendant class.

Created with Doc-O-Matic.


TJvExGroupBox Properties

TJvExGroupBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExGroupBox Events

TJvExGroupBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExGroupBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TGroupBox, IJvExControl
        TJvExGroupBox


TJvExGroupBox Members

TJvExGroupBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExGroupBox.AboutJVCL property

TJvExGroupBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExGroupBox.DotNetHighlighting property

TJvExGroupBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExGroupBox.HintColor property

TJvExGroupBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExGroupBox.MouseOver property

TJvExGroupBox	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExGroupBox.OnMouseEnter, TJvExGroupBox.OnMouseLeave


TJvExGroupBox.OnMouseEnter event

TJvExGroupBox	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExGroupBox.OnMouseLeave


TJvExGroupBox.OnMouseLeave event

TJvExGroupBox	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExGroupBox.OnMouseEnter


TJvExGroupBox.OnParentColorChange event

TJvExGroupBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExGroupBox.ParentBackground property

TJvExGroupBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExHeader
JEDI-VCL Reference

TJvExHeader

Hierarchy	Properties	Events	 Edit topic

Base class for extended header controls.

Pascal

TJvExHeader = class(THeader, IJvExControl);

File

JvExExtCtrls

Description

TJvExHeader is a base class for extended classes in the JVCL library that descend from THeader.

Do not create instances of TJvExHeader. The TJvHeader class provides a generic implementation of TJvExHeader. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExHeader Properties

TJvExHeader	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExHeader Events

TJvExHeader	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExHeader

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

THeader, IJvExControl
        TJvExHeader


TJvExHeader Members

TJvExHeader	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExHeader.AboutJVCL property

TJvExHeader

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExHeader.DotNetHighlighting property

TJvExHeader	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExHeader.HintColor property

TJvExHeader	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExHeader.MouseOver property

TJvExHeader	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExHeader.OnMouseEnter, TJvExHeader.OnMouseLeave


TJvExHeader.OnMouseEnter event

TJvExHeader	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExHeader.OnMouseLeave


TJvExHeader.OnMouseLeave event

TJvExHeader	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExHeader.OnMouseEnter


TJvExHeader.OnParentColorChange event

TJvExHeader	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExHeader.ParentBackground property

TJvExHeader	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExHeaderControl
JEDI-VCL Reference

TJvExHeaderControl

Hierarchy	Properties	Events	 Edit topic

Base class for extended header controls.

Pascal

TJvExHeaderControl = class(THeaderControl, IJvExControl);

File

JvExComCtrls

Description

TJvExHeaderControl is a base class for classes in the JVCL library that descend from THeaderControl.

Do not create instances of TJvExHeaderControl. The TJvHeaderControl class provides a generic implementation of TJvExHeaderControl. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExHeaderControl Properties

TJvExHeaderControl	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExHeaderControl Events

TJvExHeaderControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExHeaderControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

THeaderControl, IJvExControl
        TJvExHeaderControl


TJvExHeaderControl Members

TJvExHeaderControl	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExHeaderControl.AboutJVCL property

TJvExHeaderControl

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExHeaderControl.DotNetHighlighting property

TJvExHeaderControl	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExHeaderControl.HintColor property

TJvExHeaderControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the header control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExHeaderControl.MouseOver property

TJvExHeaderControl	See Also	Edit topic

Indicates whether the mouse pointer is over the header control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the header control.

Created with Doc-O-Matic.


See Also

TJvExHeaderControl.OnMouseEnter, TJvExHeaderControl.OnMouseLeave


TJvExHeaderControl.OnMouseEnter event

TJvExHeaderControl	See Also	Edit topic

Occurs when the mouse pointer moves over the header control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the header control.

Created with Doc-O-Matic.


See Also

TJvExHeaderControl.OnMouseLeave


TJvExHeaderControl.OnMouseLeave event

TJvExHeaderControl	See Also	Edit topic

Occurs when the mouse pointer moves off the header control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the header control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExHeaderControl.OnMouseEnter


TJvExHeaderControl.OnParentColorChange event

TJvExHeaderControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExHeaderControl.ParentBackground property

TJvExHeaderControl	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExHotKey
JEDI-VCL Reference

TJvExHotKey

Hierarchy	Properties	Events	 Edit topic

Base class for extended hot key common controls.

Pascal

TJvExHotKey = class(THotKey, IJvExControl);

File

JvExComCtrls

Description

TJvExHotKey is a base class for classes in the JVCL library that descend from THotKey.

Do not create instances of TJvExHotKey. The TJvHotKey class provides a generic implementation of TJvExHotKey. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExHotKey Properties

TJvExHotKey	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExHotKey Events

TJvExHotKey	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExHotKey

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

THotKey, IJvExControl
        TJvExHotKey


TJvExHotKey Members

TJvExHotKey	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExHotKey.AboutJVCL property

TJvExHotKey

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExHotKey.DotNetHighlighting property

TJvExHotKey	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExHotKey.HintColor property

TJvExHotKey	Edit topic

Determines the color of the hint boxes for the Help Hints for the hot key.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExHotKey.MouseOver property

TJvExHotKey	See Also	Edit topic

Indicates whether the mouse pointer is over the hot key.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the hot key.

Created with Doc-O-Matic.


See Also

TJvExHotKey.OnMouseEnter, TJvExHotKey.OnMouseLeave


TJvExHotKey.OnMouseEnter event

TJvExHotKey	See Also	Edit topic

Occurs when the mouse pointer moves over the hot key.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the hot key.

Created with Doc-O-Matic.


See Also

TJvExHotKey.OnMouseLeave


TJvExHotKey.OnMouseLeave event

TJvExHotKey	See Also	Edit topic

Occurs when the mouse pointer moves off the hot key.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the hot key. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExHotKey.OnMouseEnter


TJvExHotKey.OnParentColorChange event

TJvExHotKey	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExHotKey.ParentBackground property

TJvExHotKey	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExImage
JEDI-VCL Reference

TJvExImage

Hierarchy	Properties	Events	 Edit topic

Base class for extended image controls.

Pascal

TJvExImage = class(TImage, IJvExControl);

File

JvExExtCtrls

Description

TJvExImage is a base class for extended classes in the JVCL library that descend from TImage.

Do not create instances of TJvExImage. The TJvImage class provides a generic implementation of TJvExImage. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExImage Properties

TJvExImage	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExImage Events

TJvExImage	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExImage

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TImage, IJvExControl
        TJvExImage


TJvExImage Members

TJvExImage	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExImage.AboutJVCL property

TJvExImage

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExImage.HintColor property

TJvExImage	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExImage.MouseOver property

TJvExImage	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExImage.OnMouseEnter, TJvExImage.OnMouseLeave


TJvExImage.OnMouseEnter event

TJvExImage	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExImage.OnMouseLeave


TJvExImage.OnMouseLeave event

TJvExImage	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExImage.OnMouseEnter


TJvExImage.OnParentColorChange event

TJvExImage	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExInplaceEdit
JEDI-VCL Reference

TJvExInplaceEdit

Hierarchy	Properties	Events	 Edit topic

Base class for extended grid edit windows.

Pascal

TJvExInplaceEdit = class(TInplaceEdit, IJvExControl);

File

JvExGrids

Description

TJvExInplaceEdit is a base class for classes in the JVCL library that descend from TInplaceEdit.

Do not create instances of TJvExInplaceEdit. Use a descendant of TJvExInplaceEdit or create your own descendant class.

Created with Doc-O-Matic.


TJvExInplaceEdit Properties

TJvExInplaceEdit	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExInplaceEdit Events

TJvExInplaceEdit	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExInplaceEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TInplaceEdit, IJvExControl
        TJvExInplaceEdit


TJvExInplaceEdit Members

TJvExInplaceEdit	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExInplaceEdit.AboutJVCL property

TJvExInplaceEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExInplaceEdit.DotNetHighlighting property

TJvExInplaceEdit	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExInplaceEdit.HintColor property

TJvExInplaceEdit	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExInplaceEdit.MouseOver property

TJvExInplaceEdit	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExInplaceEdit.OnMouseEnter, TJvExInplaceEdit.OnMouseLeave


TJvExInplaceEdit.OnMouseEnter event

TJvExInplaceEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExInplaceEdit.OnMouseLeave


TJvExInplaceEdit.OnMouseLeave event

TJvExInplaceEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExInplaceEdit.OnMouseEnter


TJvExInplaceEdit.OnParentColorChange event

TJvExInplaceEdit	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExInplaceEdit.ParentBackground property

TJvExInplaceEdit	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExInplaceEditList
JEDI-VCL Reference

TJvExInplaceEditList

Hierarchy	Properties	Events	 Edit topic

Base class for extended grid edit windows with pick list.

Pascal

TJvExInplaceEditList = class(TInplaceEditList, IJvExControl);

File

JvExGrids

Description

TJvExInplaceEditList is a base class for classes in the JVCL library that descend from TInplaceEditList.

Do not create instances of TJvExInplaceEditList. Use a descendant of TJvExInplaceEditList or create your own descendant class.

Created with Doc-O-Matic.


TJvExInplaceEditList Properties

TJvExInplaceEditList	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExInplaceEditList Events

TJvExInplaceEditList	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExInplaceEditList

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TInplaceEditList, IJvExControl
        TJvExInplaceEditList


TJvExInplaceEditList Members

TJvExInplaceEditList	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExInplaceEditList.AboutJVCL property

TJvExInplaceEditList

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExInplaceEditList.DotNetHighlighting property

TJvExInplaceEditList	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExInplaceEditList.HintColor property

TJvExInplaceEditList	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExInplaceEditList.MouseOver property

TJvExInplaceEditList	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExInplaceEditList.OnMouseEnter, TJvExInplaceEditList.OnMouseLeave


TJvExInplaceEditList.OnMouseEnter event

TJvExInplaceEditList	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExInplaceEditList.OnMouseLeave


TJvExInplaceEditList.OnMouseLeave event

TJvExInplaceEditList	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExInplaceEditList.OnMouseEnter


TJvExInplaceEditList.OnParentColorChange event

TJvExInplaceEditList	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExInplaceEditList.ParentBackground property

TJvExInplaceEditList	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExitWindowsDialog
JEDI-VCL Reference

 TJvExitWindowsDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a dialog that prompts the user to restart Windows.

Pascal

TJvExitWindowsDialog = class(TJvCommonDialogP);

File

JvWinDialogs

Description

Use TJvExitWindowsDialog to show a dialog that prompts the user to restart Windows. Do this by calling the Execute method. When the user clicks the button, the function calls the ExitWindowsEx API to attempt to restart Windows.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvExitWindowsDialog Methods

TJvExitWindowsDialog	Legend

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


TJvExitWindowsDialog Properties

TJvExitWindowsDialog	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvExitWindowsDialog

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP
            TJvExitWindowsDialog


TJvExitWindowsDialog Members

TJvExitWindowsDialog	Legend

Members

Methods

 Execute

TJvCommonDialogP

 Execute

Properties

TJvComponent

 AboutJVCL

Legend

virtual

abstract

published

Created with Doc-O-Matic.


Legend

virtual

abstract

published


Package

Dlgs


TJvExitWindowsDialog.Execute method

TJvExitWindowsDialog	Edit topic

Shows a dialog that prompts the user to restart Windows.

Pascal

procedure Execute; override;

Description

Call Execute to show a dialog that prompts the user to restart Windows.

There is no return value, so you have no way of knowing what the user selected or whether the operation was canceled.

Created with Doc-O-Matic.


TJvExLabel
JEDI-VCL Reference

TJvExLabel

Hierarchy	Properties	Events	 Edit topic

Base class for extended labels.

Pascal

TJvExLabel = class(TLabel, IJvExControl);

File

JvExStdCtrls

Description

TJvExLabel is a base class for classes in the JVCL library that descend from TLabel.

Do not create instances of TJvExLabel. Use a descendant of TJvExLabel or create your own descendant class.

Created with Doc-O-Matic.


TJvExLabel Properties

TJvExLabel	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExLabel Events

TJvExLabel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExLabel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TLabel, IJvExControl
        TJvExLabel


TJvExLabel Members

TJvExLabel	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExLabel.AboutJVCL property

TJvExLabel

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExLabel.HintColor property

TJvExLabel	Edit topic

Determines the color of the hint boxes for the Help Hints for the label.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExLabel.MouseOver property

TJvExLabel	See Also	Edit topic

Indicates whether the mouse pointer is over the label.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the label.

Created with Doc-O-Matic.


See Also

TJvExLabel.OnMouseEnter, TJvExLabel.OnMouseLeave


TJvExLabel.OnMouseEnter event

TJvExLabel	See Also	Edit topic

Occurs when the mouse pointer moves over the label.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the label.

Created with Doc-O-Matic.


See Also

TJvExLabel.OnMouseLeave


TJvExLabel.OnMouseLeave event

TJvExLabel	See Also	Edit topic

Occurs when the mouse pointer moves off the label.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the label. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExLabel.OnMouseEnter


TJvExLabel.OnParentColorChange event

TJvExLabel	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExLabeledEdit
JEDI-VCL Reference

TJvExLabeledEdit

Hierarchy	Properties	Events	 Edit topic

Base class for extended labeled edit controls.

Pascal

TJvExLabeledEdit = class(TLabeledEdit, IJvExControl);

File

JvExExtCtrls

Description

TJvExLabeledEdit is a base class for extended classes in the JVCL library that descend from TLabeledEdit.

Do not create instances of TJvExLabeledEdit. The TJvLabeledEdit class provides a generic implementation of TJvExLabeledEdit. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExLabeledEdit Properties

TJvExLabeledEdit	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExLabeledEdit Events

TJvExLabeledEdit	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExLabeledEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TLabeledEdit, IJvExControl
        TJvExLabeledEdit


TJvExLabeledEdit Members

TJvExLabeledEdit	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExLabeledEdit.AboutJVCL property

TJvExLabeledEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExLabeledEdit.DotNetHighlighting property

TJvExLabeledEdit	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExLabeledEdit.HintColor property

TJvExLabeledEdit	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExLabeledEdit.MouseOver property

TJvExLabeledEdit	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExLabeledEdit.OnMouseEnter, TJvExLabeledEdit.OnMouseLeave


TJvExLabeledEdit.OnMouseEnter event

TJvExLabeledEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExLabeledEdit.OnMouseLeave


TJvExLabeledEdit.OnMouseLeave event

TJvExLabeledEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExLabeledEdit.OnMouseEnter


TJvExLabeledEdit.OnParentColorChange event

TJvExLabeledEdit	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExLabeledEdit.ParentBackground property

TJvExLabeledEdit	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExListView
JEDI-VCL Reference

TJvExListView

Hierarchy	Properties	Events	 Edit topic

Base class for extended list view common control.

Pascal

TJvExListView = class(TListView, IJvExControl);

File

JvExComCtrls

Description

TJvExListView is a base class for classes in the JVCL library that descend from TListView.

Do not create instances of TJvExListView. The TJvListView class provides a generic implementation of TJvExListView. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExListView Properties

TJvExListView	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExListView Events

TJvExListView	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExListView

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TListView, IJvExControl
        TJvExListView


TJvExListView Members

TJvExListView	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExListView.AboutJVCL property

TJvExListView

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExListView.DotNetHighlighting property

TJvExListView	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExListView.HintColor property

TJvExListView	Edit topic

Determines the color of the hint boxes for the Help Hints for the list view control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExListView.MouseOver property

TJvExListView	See Also	Edit topic

Indicates whether the mouse pointer is over the list view control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the list view control.

Created with Doc-O-Matic.


See Also

TJvExListView.OnMouseEnter, TJvExListView.OnMouseLeave


TJvExListView.OnMouseEnter event

TJvExListView	See Also	Edit topic

Occurs when the mouse pointer moves over the list view control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the list view control.

Created with Doc-O-Matic.


See Also

TJvExListView.OnMouseLeave


TJvExListView.OnMouseLeave event

TJvExListView	See Also	Edit topic

Occurs when the mouse pointer moves off the list view control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the list view control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExListView.OnMouseEnter


TJvExListView.OnParentColorChange event

TJvExListView	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExListView.ParentBackground property

TJvExListView	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExMaskEdit
JEDI-VCL Reference

TJvExMaskEdit

Hierarchy	Properties	Events	 Edit topic

Base class for extended masked edit controls.

Pascal

TJvExMaskEdit = class(TMaskEdit, IJvExControl);

File

JvExMask

Description

TJvExMaskEdit is a base class for classes in the JVCL library that descend from TMaskEdit.

Do not create instances of TJvExMaskEdit. Use a descendant of TJvExMaskEdit or create your own descendant class.

Created with Doc-O-Matic.


TJvExMaskEdit Properties

TJvExMaskEdit	Legend

Properties

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExMaskEdit Events

TJvExMaskEdit	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExMaskEdit

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TMaskEdit, IJvExControl
        TJvExMaskEdit


TJvExMaskEdit Members

TJvExMaskEdit	Legend

Members

Properties

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExMaskEdit.AboutJVCL property

TJvExMaskEdit

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExMaskEdit.BeepOnError property

TJvExMaskEdit	Edit topic

Specifies whether the edit control beeps when the user tries to enter text that does not match the mask.

Pascal

property BeepOnError: Boolean;

Description

If BeepOnError is true (the default), the application beeps when a validation error occurs.

Created with Doc-O-Matic.


TJvExMaskEdit.ClipboardCommands property

TJvExMaskEdit	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvExMaskEdit.DotNetHighlighting property

TJvExMaskEdit	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExMaskEdit.HintColor property

TJvExMaskEdit	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExMaskEdit.MouseOver property

TJvExMaskEdit	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExMaskEdit.OnMouseEnter, TJvExMaskEdit.OnMouseLeave


TJvExMaskEdit.OnMouseEnter event

TJvExMaskEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExMaskEdit.OnMouseLeave


TJvExMaskEdit.OnMouseLeave event

TJvExMaskEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExMaskEdit.OnMouseEnter


TJvExMaskEdit.OnParentColorChange event

TJvExMaskEdit	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExMaskEdit.ParentBackground property

TJvExMaskEdit	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExMonthCalendar
JEDI-VCL Reference

TJvExMonthCalendar

Hierarchy	Properties	Events	 Edit topic

Base class for extended calendar common controls.

Pascal

TJvExMonthCalendar = class(TMonthCalendar, IJvExControl);

File

JvExComCtrls

Description

TJvExMonthCalendar is a base class for classes in the JVCL library that descend from TMonthCalendar.

Do not create instances of TJvExMonthCalendar. The TJvMonthCalendar class provides a generic implementation of TJvExMonthCalendar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExMonthCalendar Properties

TJvExMonthCalendar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExMonthCalendar Events

TJvExMonthCalendar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExMonthCalendar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TMonthCalendar, IJvExControl
        TJvExMonthCalendar


TJvExMonthCalendar Members

TJvExMonthCalendar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExMonthCalendar.AboutJVCL property

TJvExMonthCalendar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExMonthCalendar.DotNetHighlighting property

TJvExMonthCalendar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExMonthCalendar.HintColor property

TJvExMonthCalendar	Edit topic

Determines the color of the hint boxes for the Help Hints for the calendar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExMonthCalendar.MouseOver property

TJvExMonthCalendar	See Also	Edit topic

Indicates whether the mouse pointer is over the calendar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the calendar.

Created with Doc-O-Matic.


See Also

TJvExMonthCalendar.OnMouseEnter, TJvExMonthCalendar.OnMouseLeave


TJvExMonthCalendar.OnMouseEnter event

TJvExMonthCalendar	See Also	Edit topic

Occurs when the mouse pointer moves over the calendar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the calendar.

Created with Doc-O-Matic.


See Also

TJvExMonthCalendar.OnMouseLeave


TJvExMonthCalendar.OnMouseLeave event

TJvExMonthCalendar	See Also	Edit topic

Occurs when the mouse pointer moves off the calendar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the calendar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExMonthCalendar.OnMouseEnter


TJvExMonthCalendar.OnParentColorChange event

TJvExMonthCalendar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExMonthCalendar.ParentBackground property

TJvExMonthCalendar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExNotebook
JEDI-VCL Reference

TJvExNotebook

Hierarchy	Properties	Events	 Edit topic

Base class for extended notebook control.

Pascal

TJvExNotebook = class(TNotebook, IJvExControl);

File

JvExExtCtrls

Description

TJvExNotebook is a base class for extended classes in the JVCL library that descend from TNotebook.

Do not create instances of TJvExNotebook. The TJvNotebook class provides a generic implementation of TJvExNotebook. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExNotebook Properties

TJvExNotebook	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExNotebook Events

TJvExNotebook	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExNotebook

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TNotebook, IJvExControl
        TJvExNotebook


TJvExNotebook Members

TJvExNotebook	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExNotebook.AboutJVCL property

TJvExNotebook

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExNotebook.DotNetHighlighting property

TJvExNotebook	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExNotebook.HintColor property

TJvExNotebook	Edit topic

Determines the color of the hint boxes for the Help Hints for the notebook.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExNotebook.MouseOver property

TJvExNotebook	See Also	Edit topic

Indicates whether the mouse pointer is over the notebook.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the notebook.

Created with Doc-O-Matic.


See Also

TJvExNotebook.OnMouseEnter, TJvExNotebook.OnMouseLeave


TJvExNotebook.OnMouseEnter event

TJvExNotebook	See Also	Edit topic

Occurs when the mouse pointer moves over the notebook.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the notebook.

Created with Doc-O-Matic.


See Also

TJvExNotebook.OnMouseLeave


TJvExNotebook.OnMouseLeave event

TJvExNotebook	See Also	Edit topic

Occurs when the mouse pointer moves off the notebook.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the notebook. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExNotebook.OnMouseEnter


TJvExNotebook.OnParentColorChange event

TJvExNotebook	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExNotebook.ParentBackground property

TJvExNotebook	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPage
JEDI-VCL Reference

TJvExPage

Hierarchy	Properties	Events	 Edit topic

Base class for extended page controls.

Pascal

TJvExPage = class(TPage, IJvExControl);

File

JvExExtCtrls

Description

TJvExPage is a base class for extended classes in the JVCL library that descend from TPage.

Do not create instances of TJvExPage. The TJvPage class provides a generic implementation of TJvExPage. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExPage Properties

TJvExPage	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPage Events

TJvExPage	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExPage

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPage, IJvExControl
        TJvExPage


TJvExPage Members

TJvExPage	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPage.AboutJVCL property

TJvExPage

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExPage.DotNetHighlighting property

TJvExPage	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPage.HintColor property

TJvExPage	Edit topic

Determines the color of the hint boxes for the Help Hints for the page.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExPage.MouseOver property

TJvExPage	See Also	Edit topic

Indicates whether the mouse pointer is over the page.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the page.

Created with Doc-O-Matic.


See Also

TJvExPage.OnMouseEnter, TJvExPage.OnMouseLeave


TJvExPage.OnMouseEnter event

TJvExPage	See Also	Edit topic

Occurs when the mouse pointer moves over the page.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the page.

Created with Doc-O-Matic.


See Also

TJvExPage.OnMouseLeave


TJvExPage.OnMouseLeave event

TJvExPage	See Also	Edit topic

Occurs when the mouse pointer moves off the page.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the page. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExPage.OnMouseEnter


TJvExPage.OnParentColorChange event

TJvExPage	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExPage.ParentBackground property

TJvExPage	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPageControl
JEDI-VCL Reference

TJvExPageControl

Hierarchy	Properties	Events	 Edit topic

Base class for extended page common controls.

Pascal

TJvExPageControl = class(TPageControl, IJvExControl);

File

JvExComCtrls

Description

TJvExPageControl is a base class for classes in the JVCL library that descend from TPageControl.

Do not create instances of TJvExPageControl. The TJvPageControl class provides a generic implementation of TJvExPageControl. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExPageControl Properties

TJvExPageControl	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPageControl Events

TJvExPageControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExPageControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPageControl, IJvExControl
        TJvExPageControl


TJvExPageControl Members

TJvExPageControl	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPageControl.AboutJVCL property

TJvExPageControl

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExPageControl.DotNetHighlighting property

TJvExPageControl	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPageControl.HintColor property

TJvExPageControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the page control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExPageControl.MouseOver property

TJvExPageControl	See Also	Edit topic

Indicates whether the mouse pointer is over the page control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the page control.

Created with Doc-O-Matic.


See Also

TJvExPageControl.OnMouseEnter, TJvExPageControl.OnMouseLeave


TJvExPageControl.OnMouseEnter event

TJvExPageControl	See Also	Edit topic

Occurs when the mouse pointer moves over the page control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the page control.

Created with Doc-O-Matic.


See Also

TJvExPageControl.OnMouseLeave


TJvExPageControl.OnMouseLeave event

TJvExPageControl	See Also	Edit topic

Occurs when the mouse pointer moves off the page control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the page control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExPageControl.OnMouseEnter


TJvExPageControl.OnParentColorChange event

TJvExPageControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExPageControl.ParentBackground property

TJvExPageControl	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPageScroller
JEDI-VCL Reference

TJvExPageScroller

Hierarchy	Properties	Events	 Edit topic

Base class for extended common control page scrollers.

Pascal

TJvExPageScroller = class(TPageScroller, IJvExControl);

File

JvExComCtrls

Description

TJvExPageScroller is a base class for classes in the JVCL library that descend from TPageScroller.

Do not create instances of TJvExPageScroller. The TJvPageScroller class provides a generic implementation of TJvExPageScroller. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExPageScroller Properties

TJvExPageScroller	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPageScroller Events

TJvExPageScroller	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExPageScroller

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPageScroller, IJvExControl
        TJvExPageScroller


TJvExPageScroller Members

TJvExPageScroller	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPageScroller.AboutJVCL property

TJvExPageScroller

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExPageScroller.DotNetHighlighting property

TJvExPageScroller	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPageScroller.HintColor property

TJvExPageScroller	Edit topic

Determines the color of the hint boxes for the Help Hints for the page scroller.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExPageScroller.MouseOver property

TJvExPageScroller	See Also	Edit topic

Indicates whether the mouse pointer is over the page scroller.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the page scroller.

Created with Doc-O-Matic.


See Also

TJvExPageScroller.OnMouseEnter, TJvExPageScroller.OnMouseLeave


TJvExPageScroller.OnMouseEnter event

TJvExPageScroller	See Also	Edit topic

Occurs when the mouse pointer moves over the page scroller.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the page scroller.

Created with Doc-O-Matic.


See Also

TJvExPageScroller.OnMouseLeave


TJvExPageScroller.OnMouseLeave event

TJvExPageScroller	See Also	Edit topic

Occurs when the mouse pointer moves off the page scroller.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the page scroller. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExPageScroller.OnMouseEnter


TJvExPageScroller.OnParentColorChange event

TJvExPageScroller	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExPageScroller.ParentBackground property

TJvExPageScroller	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPaintBox
JEDI-VCL Reference

TJvExPaintBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended paintbox controls.

Pascal

TJvExPaintBox = class(TPaintBox, IJvExControl);

File

JvExExtCtrls

Description

TJvExPaintBox is a base class for extended classes in the JVCL library that descend from TPaintBox.

Do not create instances of TJvExPaintBox. The TJvPaintBox class provides a generic implementation of TJvExPaintBox. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExPaintBox Properties

TJvExPaintBox	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPaintBox Events

TJvExPaintBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExPaintBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPaintBox, IJvExControl
        TJvExPaintBox


TJvExPaintBox Members

TJvExPaintBox	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPaintBox.AboutJVCL property

TJvExPaintBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExPaintBox.HintColor property

TJvExPaintBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the paintbox.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExPaintBox.MouseOver property

TJvExPaintBox	See Also	Edit topic

Indicates whether the mouse pointer is over the paintbox.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the paintbox.

Created with Doc-O-Matic.


See Also

TJvExPaintBox.OnMouseEnter, TJvExPaintBox.OnMouseLeave


TJvExPaintBox.OnMouseEnter event

TJvExPaintBox	See Also	Edit topic

Occurs when the mouse pointer moves over the paintbox.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the paintbox.

Created with Doc-O-Matic.


See Also

TJvExPaintBox.OnMouseLeave


TJvExPaintBox.OnMouseLeave event

TJvExPaintBox	See Also	Edit topic

Occurs when the mouse pointer moves off the paintbox.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the paintbox. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExPaintBox.OnMouseEnter


TJvExPaintBox.OnParentColorChange event

TJvExPaintBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExPanel
JEDI-VCL Reference

TJvExPanel

Hierarchy	Properties	Events	 Edit topic

Base class for extended panel controls.

Pascal

TJvExPanel = class(TPanel, IJvExControl);

File

JvExExtCtrls

Description

TJvExPanel is a base class for extended classes in the JVCL library that descend from TPanel.

Do not create instances of TJvExPanel. The TJvPanel class provides a generic implementation of TJvExPanel. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExPanel Properties

TJvExPanel	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPanel Events

TJvExPanel	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExPanel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPanel, IJvExControl
        TJvExPanel


TJvExPanel Members

TJvExPanel	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExPanel.AboutJVCL property

TJvExPanel

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExPanel.DotNetHighlighting property

TJvExPanel	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExPanel.HintColor property

TJvExPanel	Edit topic

Determines the color of the hint boxes for the Help Hints for the panel.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExPanel.MouseOver property

TJvExPanel	See Also	Edit topic

Indicates whether the mouse pointer is over the panel.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the panel.

Created with Doc-O-Matic.


See Also

TJvExPanel.OnMouseEnter, TJvExPanel.OnMouseLeave


TJvExPanel.OnMouseEnter event

TJvExPanel	See Also	Edit topic

Occurs when the mouse pointer moves over the panel.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the panel.

Created with Doc-O-Matic.


See Also

TJvExPanel.OnMouseLeave


TJvExPanel.OnMouseLeave event

TJvExPanel	See Also	Edit topic

Occurs when the mouse pointer moves off the panel.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the panel. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExPanel.OnMouseEnter


TJvExPanel.OnParentColorChange event

TJvExPanel	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExPanel.ParentBackground property

TJvExPanel	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExpress
JEDI-VCL Reference

 TJvExpress

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A control that mimics the look of the sidebar in Microsoft® Outlook Express®.

Pascal

TJvExpress = class(TJvLookOutPage, IJvDenySubClassing);

File

JvLookOut

Description

Use a TJvExpress control when you need a sidebar control that displays a list of buttons in a manner similar to Microsoft® Outlook Express®. In a TJvExpress, buttons are arranged as a single list of buttons. When the number of buttons exceed the height of the control, scroll arrows are displayed as needed. The buttons in the control share a common size (set this with the ButtonHeight) property and they are always sized to fill the entire width of the TJvExpress.

TJvExpress is derived from TJvCustomOutlookPage and share many of its methods and properties but also adds support for displaying buttons and scroll arrows in another style.

Created with Doc-O-Matic.


TJvExpress Properties

TJvExpress	Legend

Properties

 ButtonHeight

 ImageSize

TJvLookOutPage

ActiveButton

 AutoCenter

 AutoRepeat

 Bitmap

 ButtonCount

Buttons

 Caption

 HighlightFont

 ImageSize

 Margin

 ParentImageSize

 PopupMenu

 ShowPressed

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvExpress Methods

TJvExpress	Legend

Methods

AddButton

TJvLookOutPage

AddButton

DisableAdjust

DownArrow

 EditCaption

EnableAdjust

 ExchangeButtons

UpArrow

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvExpress Events

TJvExpress	Legend

Events

TJvLookOutPage

 OnClick

 OnEdited

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvExpress

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookOutPage, IJvDenySubClassing
                TJvExpress


TJvExpress Members

TJvExpress	Legend

Members

Properties

 ButtonHeight

 ImageSize

TJvLookOutPage

ActiveButton

 AutoCenter

 AutoRepeat

 Bitmap

 ButtonCount

Buttons

 Caption

 HighlightFont

 ImageSize

 Margin

 ParentImageSize

 PopupMenu

 ShowPressed

Methods

AddButton

TJvLookOutPage

AddButton

DisableAdjust

DownArrow

 EditCaption

EnableAdjust

 ExchangeButtons

UpArrow

Events

TJvLookOutPage

 OnClick

 OnEdited

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Custom


TJvExpress.ButtonHeight property

TJvExpress	Edit topic

Specifies the height of the buttons in the control.

Pascal

property ButtonHeight: Integer;

Description

Use ButtonHeight to set the height of all the buttons on the control. When TJvExpressButton objects are used on a TJvExpress, don't use their Height property to set the height of the button(s). Instead use the ButtonHeight property to set the height of all the buttons in the control.

Created with Doc-O-Matic.


TJvExpress.ImageSize property

TJvExpress	See Also	Edit topic

Specifies the imagelist to retrieve images from.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify which image list to display images from. If ImageSize is isSmall, images are retrieved from the SmallImages list. If ImageSize is isLarge, images are retrieved from the LargeImages list instead.

Created with Doc-O-Matic.


See Also

LargeImages, SmallImages, ImageIndex


TJvExpress.AddButton method

TJvExpress	Edit topic

Adds a new button to the control.

Pascal

function AddButton: TJvExpressButton;

Return Value

The newly created button.

Description

Call AddButton to add a new button to the control. The button is added to the end of the list of available buttons. Use the returned instance to set the properties of the button.

Created with Doc-O-Matic.


TJvExpressButton
JEDI-VCL Reference

 TJvExpressButton

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Buttons used on a TJvExpress control.

Pascal

TJvExpressButton = class(TJvCustomLookOutButton);

File

JvLookOut

Description

TJvExpressButton is the button class used on a TJvExpress control but it can also be used directly on a form. TJvExpressButton is derived from TJvCustomLookOutButton and changes some of the default properties as well as exposing some of its properties and events.

Created with Doc-O-Matic.


TJvExpressButton Properties

TJvExpressButton	Legend

Properties

 ButtonBorder

Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

TJvCustomLookOutButton

 ButtonBorder

 Centered

 Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExpressButton Events

TJvExpressButton	Legend

Events

 OnEdited

TJvCustomLookOutButton

 OnEdited

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExpressButton Methods

TJvExpressButton

Methods

TJvCustomLookOutButton

EditCaption

Created with Doc-O-Matic.


Legend

TJvExpressButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomLookOutButton
            TJvExpressButton


TJvExpressButton Members

TJvExpressButton	Legend

Members

Properties

 ButtonBorder

Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

TJvCustomLookOutButton

 ButtonBorder

 Centered

 Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

Events

 OnEdited

TJvCustomLookOutButton

 OnEdited

Methods

TJvCustomLookOutButton

EditCaption

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Custom


TJvExpressButton.ButtonBorder property

TJvExpressButton	Edit topic

Specifies the border style of the button.

Pascal

property ButtonBorder: TJvButtonBorder;

Description

Use ButtonBorder to specify the visual appearance of the button's border.

Created with Doc-O-Matic.


TJvExpressButton.Data property

TJvExpressButton	Edit topic

Specifies any application-specific data associated with the button.

Pascal

property Data: Pointer;

Description

Use Data to associate any arbitrary data structure with the button. When the user selects or deletes the button, Data allows the application to quickly access information about the meaning of the button to implement the appropriate response.

Created with Doc-O-Matic.


TJvExpressButton.Down property

TJvExpressButton	See Also	Edit topic

Specifies if the button appears pressed.

Pascal

property Down: Boolean;

Description

Use the Down property to specify whether the button is displayed as being in its down state or in its up state. Setting the value of Down to true affects other buttons with the same GroupIndex.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.GroupIndex


TJvExpressButton.FillColor property

TJvExpressButton	Edit topic

Specifies the color used to fill the interior of the button.

Pascal

property FillColor: TColor;

Description

Use FillColor to specify a color to use to fill the interior of the button when the mouse hovers over it. By default, a button is transparent and the color of the underlying control shows through the button. By setting FillCilor to something else than clNone, the button will be filled with the specified color when the user hovers the mouse over the button.

Created with Doc-O-Matic.


TJvExpressButton.GroupIndex property

TJvExpressButton	See Also	Edit topic

Allows lookout buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state. Setting the GroupIndex property of a single button to a value greater than 0 causes the button to behave as a two-state button.

Buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another button belonging to the same group. Buttons used in this way can present mutually exclusive choices to the user.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.Down


TJvExpressButton.HighlightFont property

TJvExpressButton	Edit topic

Specifies the font to use when the button is highlighted.

Pascal

property HighlightFont: TFont;

Description

Use the properties of HighlightFont to specify different text options for the button when the user hovers the mouse above the button as compared to when the button is in its default state.

Created with Doc-O-Matic.


TJvExpressButton.ImageIndex property

TJvExpressButton	See Also	Edit topic

Specifies the image to display on the button.

Pascal

property ImageIndex: TImageIndex;

Description

ImageIndex is used to set the image to display on the button. Depending on the value of ImageSize, the button displays an image either from LargeImages or from SmallImages.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageSize, TJvCustomLookOutButton.LargeImages, TJvCustomLookOutButton.SmallImages


TJvExpressButton.ImageSize property

TJvExpressButton	See Also	Edit topic

Specifies the imagelist to retrieve images from.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify which image list to display images from. If ImageSize is isSmall, images are retrieved from the SmallImages list. If ImageSize is isLarge, images are retrieved from the LargeImages list instead.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageIndex, TJvCustomLookOutButton.LargeImages, TJvCustomLookOutButton.SmallImages


TJvExpressButton.LargeImages property

TJvExpressButton	Edit topic

Specifies an imagelist containing the large images to use on the button.

Pascal

property LargeImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExpressButton.Offset property

TJvExpressButton	See Also	Edit topic

Specifies the number of pixels to shift the button's image and text when it is in its down state.

Pascal

property Offset: Integer;

Description

Use Offset to specify how much the image and text of the button is shifted when the button is in its down state. If Offset is set to 0, the image and text will not be moved at all, making it appear as if the user didn't click the button.

Created with Doc-O-Matic.


See Also

Click


TJvExpressButton.OnEdited event

TJvExpressButton	See Also	Edit topic

Occurs after the user has edited the Caption at run-time and accepted the changes.

Pascal

property OnEdited: TJvLookOutEditedEvent;

Description

Write a handler for the OnEdited event to take specific action after the user has edited the button's Caption and accepted the changes. For example, you can check the Caption for invalid characters and change it if they are not accepted.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.EditCaption


TJvExpressButton.ParentImageSize property

TJvExpressButton	See Also	Edit topic

Specifies where the button gets its ImageSize information from.

Pascal

property ParentImageSize: Boolean;

Description

Use ParentImageSize to specify where the button reads its ImageSize from. If ParentImageSize is true, the button's ImageSize is set to match the parent's ImageSize property. When the ImageSize property of the button is changed, the ParentImageSize property is automatically set to false.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageSize


TJvExpressButton.PopupMenu property

TJvExpressButton	Edit topic

Identifies the pop-up menu associated with the control.

Pascal

property PopupMenu: TPopupMenu;

Description

Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu’s AutoPopup property is true, the pop-up menu appears automatically. If the menu’s AutoPopup property is false, display the menu with a call to its Popup method from the control’s OnContextPopup event handler.

Created with Doc-O-Matic.


TJvExpressButton.SmallImages property

TJvExpressButton	Edit topic

Specifies an imagelist containing the small images to use on the button.

Pascal

property SmallImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExpressButton.Spacing property

TJvExpressButton	See Also	Edit topic

Determines where the image and text appear on a speed button.

Pascal

property Spacing: Integer;

Description

Set Spacing to the number of pixels that should appear between the image and the text.

If Spacing is a positive number, its value is the number of pixels between the image and text. If Spacing is 0, the image and text appear flush with each other. If Spacing is -1, the text appears centered between the image and the button edge.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.Offset


TJvExProgressBar
JEDI-VCL Reference

TJvExProgressBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended common control progress bars.

Pascal

TJvExProgressBar = class(TProgressBar, IJvExControl);

File

JvExComCtrls

Description

TJvExProgressBar is a base class for classes in the JVCL library that descend from TProgressBar.

Do not create instances of TJvExProgressBar. The TJvProgressBar class provides a generic implementation of TJvExProgressBar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExProgressBar Properties

TJvExProgressBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExProgressBar Events

TJvExProgressBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExProgressBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TProgressBar, IJvExControl
        TJvExProgressBar


TJvExProgressBar Members

TJvExProgressBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExProgressBar.AboutJVCL property

TJvExProgressBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExProgressBar.DotNetHighlighting property

TJvExProgressBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExProgressBar.HintColor property

TJvExProgressBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the progress bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExProgressBar.MouseOver property

TJvExProgressBar	See Also	Edit topic

Indicates whether the mouse pointer is over the progress bar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the progress bar.

Created with Doc-O-Matic.


See Also

TJvExProgressBar.OnMouseEnter, TJvExProgressBar.OnMouseLeave


TJvExProgressBar.OnMouseEnter event

TJvExProgressBar	See Also	Edit topic

Occurs when the mouse pointer moves over the progress bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the progress bar.

Created with Doc-O-Matic.


See Also

TJvExProgressBar.OnMouseLeave


TJvExProgressBar.OnMouseLeave event

TJvExProgressBar	See Also	Edit topic

Occurs when the mouse pointer moves off the progress bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the progress bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExProgressBar.OnMouseEnter


TJvExProgressBar.OnParentColorChange event

TJvExProgressBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExProgressBar.ParentBackground property

TJvExProgressBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExRadioButton
JEDI-VCL Reference

TJvExRadioButton

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows radio button.

Pascal

TJvExRadioButton = class(TRadioButton, IJvExControl);

File

JvExStdCtrls

Description

TJvExRadioButton is a base class for classes in the JVCL library that descend from TRadioButton.

Do not create instances of TJvExRadioButton. Use a descendant of TJvExRadioButton or create your own descendant class.

Created with Doc-O-Matic.


TJvExRadioButton Properties

TJvExRadioButton	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExRadioButton Events

TJvExRadioButton	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExRadioButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TRadioButton, IJvExControl
        TJvExRadioButton


TJvExRadioButton Members

TJvExRadioButton	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExRadioButton.AboutJVCL property

TJvExRadioButton

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExRadioButton.DotNetHighlighting property

TJvExRadioButton	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExRadioButton.HintColor property

TJvExRadioButton	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExRadioButton.MouseOver property

TJvExRadioButton	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExRadioButton.OnMouseEnter, TJvExRadioButton.OnMouseLeave


TJvExRadioButton.OnMouseEnter event

TJvExRadioButton	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExRadioButton.OnMouseLeave


TJvExRadioButton.OnMouseLeave event

TJvExRadioButton	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExRadioButton.OnMouseEnter


TJvExRadioButton.OnParentColorChange event

TJvExRadioButton	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExRadioButton.ParentBackground property

TJvExRadioButton	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExRadioGroup
JEDI-VCL Reference

TJvExRadioGroup

Hierarchy	Properties	Events	 Edit topic

Base class for extended radio group controls.

Pascal

TJvExRadioGroup = class(TRadioGroup, IJvExControl);

File

JvExExtCtrls

Description

TJvExRadioGroup is a base class for extended classes in the JVCL library that descend from TRadioGroup.

Do not create instances of TJvExRadioGroup. The TJvRadioGroup class provides a generic implementation of TJvExRadioGroup. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExRadioGroup Properties

TJvExRadioGroup	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExRadioGroup Events

TJvExRadioGroup	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExRadioGroup

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TRadioGroup, IJvExControl
        TJvExRadioGroup


TJvExRadioGroup Members

TJvExRadioGroup	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExRadioGroup.AboutJVCL property

TJvExRadioGroup

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExRadioGroup.DotNetHighlighting property

TJvExRadioGroup	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExRadioGroup.HintColor property

TJvExRadioGroup	Edit topic

Determines the color of the hint boxes for the Help Hints for the radio group.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExRadioGroup.MouseOver property

TJvExRadioGroup	See Also	Edit topic

Indicates whether the mouse pointer is over the radio group.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the radio group.

Created with Doc-O-Matic.


See Also

TJvExRadioGroup.OnMouseEnter, TJvExRadioGroup.OnMouseLeave


TJvExRadioGroup.OnMouseEnter event

TJvExRadioGroup	See Also	Edit topic

Occurs when the mouse pointer moves over the radio group.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the radio group.

Created with Doc-O-Matic.


See Also

TJvExRadioGroup.OnMouseLeave


TJvExRadioGroup.OnMouseLeave event

TJvExRadioGroup	See Also	Edit topic

Occurs when the mouse pointer moves off the radio group.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the radio group. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExRadioGroup.OnMouseEnter


TJvExRadioGroup.OnParentColorChange event

TJvExRadioGroup	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExRadioGroup.ParentBackground property

TJvExRadioGroup	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExScrollBar
JEDI-VCL Reference

TJvExScrollBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended Windows scroll bars.

Pascal

TJvExScrollBar = class(TScrollBar, IJvExControl);

File

JvExStdCtrls

Description

TJvExScrollBar is a base class for classes in the JVCL library that descend from TScrollBar.

Do not create instances of TJvExScrollBar. Use a descendant of TJvExScrollBar or create your own descendant class.

Created with Doc-O-Matic.


TJvExScrollBar Properties

TJvExScrollBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExScrollBar Events

TJvExScrollBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExScrollBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TScrollBar, IJvExControl
        TJvExScrollBar


TJvExScrollBar Members

TJvExScrollBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExScrollBar.AboutJVCL property

TJvExScrollBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExScrollBar.DotNetHighlighting property

TJvExScrollBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExScrollBar.HintColor property

TJvExScrollBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the scroll bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExScrollBar.MouseOver property

TJvExScrollBar	See Also	Edit topic

Indicates whether the mouse pointer is over the scroll bar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the scroll bar.

Created with Doc-O-Matic.


See Also

TJvExScrollBar.OnMouseEnter, TJvExScrollBar.OnMouseLeave


TJvExScrollBar.OnMouseEnter event

TJvExScrollBar	See Also	Edit topic

Occurs when the mouse pointer moves over the scroll bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the scroll bar.

Created with Doc-O-Matic.


See Also

TJvExScrollBar.OnMouseLeave


TJvExScrollBar.OnMouseLeave event

TJvExScrollBar	See Also	Edit topic

Occurs when the mouse pointer moves off the scroll bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the scroll bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExScrollBar.OnMouseEnter


TJvExScrollBar.OnParentColorChange event

TJvExScrollBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExScrollBar.ParentBackground property

TJvExScrollBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExScrollBox
JEDI-VCL Reference

TJvExScrollBox

Hierarchy	Properties	Events	 Edit topic

Base class for extended scroll boxes.

Pascal

TJvExScrollBox = class(TScrollBox, IJvExControl);

File

JvExForms

Description

TJvExScrollBox is a base class for classes in the JVCL library that descend from TScrollBox.

Do not create instances of TJvExScrollBox. Use a descendant of TJvExScrollBox or create your own descendant class.

Created with Doc-O-Matic.


TJvExScrollBox Properties

TJvExScrollBox	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExScrollBox Events

TJvExScrollBox	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExScrollBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TScrollBox, IJvExControl
        TJvExScrollBox


TJvExScrollBox Members

TJvExScrollBox	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExScrollBox.AboutJVCL property

TJvExScrollBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExScrollBox.DotNetHighlighting property

TJvExScrollBox	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExScrollBox.HintColor property

TJvExScrollBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the scroll box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExScrollBox.MouseOver property

TJvExScrollBox	See Also	Edit topic

Indicates whether the mouse pointer is over the scroll box.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the scroll box.

Created with Doc-O-Matic.


See Also

TJvExScrollBox.OnMouseEnter, TJvExScrollBox.OnMouseLeave


TJvExScrollBox.OnMouseEnter event

TJvExScrollBox	See Also	Edit topic

Occurs when the mouse pointer moves over the scroll box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the scroll box.

Created with Doc-O-Matic.


See Also

TJvExScrollBox.OnMouseLeave


TJvExScrollBox.OnMouseLeave event

TJvExScrollBox	See Also	Edit topic

Occurs when the mouse pointer moves off the scroll box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the scroll box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExScrollBox.OnMouseEnter


TJvExScrollBox.OnParentColorChange event

TJvExScrollBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExScrollBox.ParentBackground property

TJvExScrollBox	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExScrollingWinControl
JEDI-VCL Reference

TJvExScrollingWinControl

Hierarchy	Properties	Events	 Edit topic

Base class for extended scrolling windowed controls.

Pascal

TJvExScrollingWinControl = class(TScrollingWinControl, IJvExControl);

File

JvExForms

Description

TJvExScrollingWinControl is a base class for classes in the JVCL library that descend from TScrollingWinControl.

Do not create instances of TJvExScrollingWinControl. Use a descendant of TJvExScrollingWinControl or create your own descendant class.

Created with Doc-O-Matic.


TJvExScrollingWinControl Properties

TJvExScrollingWinControl	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExScrollingWinControl Events

TJvExScrollingWinControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExScrollingWinControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TScrollingWinControl, IJvExControl
        TJvExScrollingWinControl


TJvExScrollingWinControl Members

TJvExScrollingWinControl	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExScrollingWinControl.AboutJVCL property

TJvExScrollingWinControl

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExScrollingWinControl.DotNetHighlighting property

TJvExScrollingWinControl	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExScrollingWinControl.HintColor property

TJvExScrollingWinControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExScrollingWinControl.MouseOver property

TJvExScrollingWinControl	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExScrollingWinControl.OnMouseEnter, TJvExScrollingWinControl.OnMouseLeave


TJvExScrollingWinControl.OnMouseEnter event

TJvExScrollingWinControl	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExScrollingWinControl.OnMouseLeave


TJvExScrollingWinControl.OnMouseLeave event

TJvExScrollingWinControl	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExScrollingWinControl.OnMouseEnter


TJvExScrollingWinControl.OnParentColorChange event

TJvExScrollingWinControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExScrollingWinControl.ParentBackground property

TJvExScrollingWinControl	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExShape
JEDI-VCL Reference

TJvExShape

Hierarchy	Properties	Events	 Edit topic

Base class for extended shape controls.

Pascal

TJvExShape = class(TShape, IJvExControl);

File

JvExExtCtrls

Description

TJvExShape is a base class for extended classes in the JVCL library that descend from TShape.

Do not create instances of TJvExShape. The TJvShape class provides a generic implementation of TJvExShape. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExShape Properties

TJvExShape	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExShape Events

TJvExShape	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExShape

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TShape, IJvExControl
        TJvExShape


TJvExShape Members

TJvExShape	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExShape.AboutJVCL property

TJvExShape

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExShape.HintColor property

TJvExShape	Edit topic

Determines the color of the hint boxes for the Help Hints for the shape control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExShape.MouseOver property

TJvExShape	See Also	Edit topic

Indicates whether the mouse pointer is over the shape control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the shape control.

Created with Doc-O-Matic.


See Also

TJvExShape.OnMouseEnter, TJvExShape.OnMouseLeave


TJvExShape.OnMouseEnter event

TJvExShape	See Also	Edit topic

Occurs when the mouse pointer moves over the shape control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the shape control.

Created with Doc-O-Matic.


See Also

TJvExShape.OnMouseLeave


TJvExShape.OnMouseLeave event

TJvExShape	See Also	Edit topic

Occurs when the mouse pointer moves off the shape control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the shape control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExShape.OnMouseEnter


TJvExShape.OnParentColorChange event

TJvExShape	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExSpeedButton
JEDI-VCL Reference

TJvExSpeedButton

Hierarchy	Properties	Events	 Edit topic

Base class for extended speed buttons.

Pascal

TJvExSpeedButton = class(TSpeedButton, IJvExControl);

File

JvExButtons

Description

TJvExSpeedButton is a base class for classes in the JVCL library that descend from TSpeedButton.

Do not create instances of TJvExSpeedButton. The TJvSpeedButton class provides a generic implementation of TJvExSpeedButton. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExSpeedButton Properties

TJvExSpeedButton	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExSpeedButton Events

TJvExSpeedButton	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExSpeedButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TSpeedButton, IJvExControl
        TJvExSpeedButton


TJvExSpeedButton Members

TJvExSpeedButton	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExSpeedButton.AboutJVCL property

TJvExSpeedButton

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExSpeedButton.HintColor property

TJvExSpeedButton	Edit topic

Determines the color of the hint boxes for the Help Hints for the button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExSpeedButton.MouseOver property

TJvExSpeedButton	See Also	Edit topic

Indicates whether the mouse pointer is over the button.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the button.

Created with Doc-O-Matic.


See Also

TJvExSpeedButton.OnMouseEnter, TJvExSpeedButton.OnMouseLeave


TJvExSpeedButton.OnMouseEnter event

TJvExSpeedButton	See Also	Edit topic

Occurs when the mouse pointer moves over the button.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the button.

Created with Doc-O-Matic.


See Also

TJvExSpeedButton.OnMouseLeave


TJvExSpeedButton.OnMouseLeave event

TJvExSpeedButton	See Also	Edit topic

Occurs when the mouse pointer moves off the button.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the button. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExSpeedButton.OnMouseEnter


TJvExSpeedButton.OnParentColorChange event

TJvExSpeedButton	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExSplitter
JEDI-VCL Reference

TJvExSplitter

Hierarchy	Properties	Events	 Edit topic

Base class for extended splitter controls.

Pascal

TJvExSplitter = class(TSplitter, IJvExControl);

File

JvExExtCtrls

Description

TJvExSplitter is a base class for extended classes in the JVCL library that descend from TSplitter.

Do not create instances of TJvExSplitter. The TJvSplitter class provides a generic implementation of TJvExSplitter. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExSplitter Properties

TJvExSplitter	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExSplitter Events

TJvExSplitter	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExSplitter

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TSplitter, IJvExControl
        TJvExSplitter


TJvExSplitter Members

TJvExSplitter	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExSplitter.AboutJVCL property

TJvExSplitter

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExSplitter.HintColor property

TJvExSplitter	Edit topic

Determines the color of the hint boxes for the Help Hints for the splitter.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExSplitter.MouseOver property

TJvExSplitter	See Also	Edit topic

Indicates whether the mouse pointer is over the splitter.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the splitter.

Created with Doc-O-Matic.


See Also

TJvExSplitter.OnMouseEnter, TJvExSplitter.OnMouseLeave


TJvExSplitter.OnMouseEnter event

TJvExSplitter	See Also	Edit topic

Occurs when the mouse pointer moves over the splitter.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the splitter.

Created with Doc-O-Matic.


See Also

TJvExSplitter.OnMouseLeave


TJvExSplitter.OnMouseLeave event

TJvExSplitter	See Also	Edit topic

Occurs when the mouse pointer moves off the splitter.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the splitter. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExSplitter.OnMouseEnter


TJvExSplitter.OnParentColorChange event

TJvExSplitter	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExStaticText
JEDI-VCL Reference

TJvExStaticText

Hierarchy	Properties	Events	 Edit topic

Base class for extended windowed labels.

Pascal

TJvExStaticText = class(TStaticText, IJvExControl);

File

JvExStdCtrls

Description

TJvExStaticText is a base class for classes in the JVCL library that descend from TStaticText.

Do not create instances of TJvExStaticText. Use a descendant of TJvExStaticText or create your own descendant class.

Created with Doc-O-Matic.


TJvExStaticText Properties

TJvExStaticText	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExStaticText Events

TJvExStaticText	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExStaticText

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TStaticText, IJvExControl
        TJvExStaticText


TJvExStaticText Members

TJvExStaticText	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExStaticText.AboutJVCL property

TJvExStaticText

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExStaticText.DotNetHighlighting property

TJvExStaticText	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExStaticText.HintColor property

TJvExStaticText	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExStaticText.MouseOver property

TJvExStaticText	See Also	Edit topic

Indicates whether the mouse pointer is over the control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the control.

Created with Doc-O-Matic.


See Also

TJvExStaticText.OnMouseEnter, TJvExStaticText.OnMouseLeave


TJvExStaticText.OnMouseEnter event

TJvExStaticText	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExStaticText.OnMouseLeave


TJvExStaticText.OnMouseLeave event

TJvExStaticText	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExStaticText.OnMouseEnter


TJvExStaticText.OnParentColorChange event

TJvExStaticText	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExStaticText.ParentBackground property

TJvExStaticText	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExStatusBar
JEDI-VCL Reference

TJvExStatusBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended common control status bars.

Pascal

TJvExStatusBar = class(TStatusBar, IJvExControl);

File

JvExComCtrls

Description

TJvExStatusBar is a base class for classes in the JVCL library that descend from TStatusBar.

Do not create instances of TJvExStatusBar. The TJvStatusBar class provides a generic implementation of TJvExStatusBar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExStatusBar Properties

TJvExStatusBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExStatusBar Events

TJvExStatusBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExStatusBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TStatusBar, IJvExControl
        TJvExStatusBar


TJvExStatusBar Members

TJvExStatusBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExStatusBar.AboutJVCL property

TJvExStatusBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExStatusBar.DotNetHighlighting property

TJvExStatusBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExStatusBar.HintColor property

TJvExStatusBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the status bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExStatusBar.MouseOver property

TJvExStatusBar	See Also	Edit topic

Indicates whether the mouse pointer is over the status bar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the status bar.

Created with Doc-O-Matic.


See Also

TJvExStatusBar.OnMouseEnter, TJvExStatusBar.OnMouseLeave


TJvExStatusBar.OnMouseEnter event

TJvExStatusBar	See Also	Edit topic

Occurs when the mouse pointer moves over the status bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the status bar.

Created with Doc-O-Matic.


See Also

TJvExStatusBar.OnMouseLeave


TJvExStatusBar.OnMouseLeave event

TJvExStatusBar	See Also	Edit topic

Occurs when the mouse pointer moves off the status bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the status bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExStatusBar.OnMouseEnter


TJvExStatusBar.OnParentColorChange event

TJvExStatusBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExStatusBar.ParentBackground property

TJvExStatusBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExStringGrid
JEDI-VCL Reference

TJvExStringGrid

Hierarchy	Properties	Events	 Edit topic

Base class for extended string grids.

Pascal

TJvExStringGrid = class(TStringGrid, IJvExControl);

File

JvExGrids

Description

TJvExStringGrid is a base class for classes in the JVCL library that descend from TStringGrid.

Do not create instances of TJvExStringGrid. Use a descendant of TJvExStringGrid or create your own descendant class.

Created with Doc-O-Matic.


TJvExStringGrid Properties

TJvExStringGrid	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExStringGrid Events

TJvExStringGrid	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExStringGrid

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TStringGrid, IJvExControl
        TJvExStringGrid


TJvExStringGrid Members

TJvExStringGrid	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExStringGrid.AboutJVCL property

TJvExStringGrid

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExStringGrid.DotNetHighlighting property

TJvExStringGrid	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExStringGrid.HintColor property

TJvExStringGrid	Edit topic

Determines the color of the hint boxes for the Help Hints for the string grid.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExStringGrid.MouseOver property

TJvExStringGrid	See Also	Edit topic

Indicates whether the mouse pointer is over the string grid.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the string grid.

Created with Doc-O-Matic.


See Also

TJvExStringGrid.OnMouseEnter, TJvExStringGrid.OnMouseLeave


TJvExStringGrid.OnMouseEnter event

TJvExStringGrid	See Also	Edit topic

Occurs when the mouse pointer moves over the string grid.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the string grid.

Created with Doc-O-Matic.


See Also

TJvExStringGrid.OnMouseLeave


TJvExStringGrid.OnMouseLeave event

TJvExStringGrid	See Also	Edit topic

Occurs when the mouse pointer moves off the string grid.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the string grid. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExStringGrid.OnMouseEnter


TJvExStringGrid.OnParentColorChange event

TJvExStringGrid	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExStringGrid.ParentBackground property

TJvExStringGrid	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTabControl
JEDI-VCL Reference

TJvExTabControl

Hierarchy	Properties	Events	 Edit topic

Base class for extended tab controls.

Pascal

TJvExTabControl = class(TTabControl, IJvExControl);

File

JvExComCtrls

Description

TJvExTabControl is a base class for classes in the JVCL library that descend from TTabControl.

Do not create instances of TJvExTabControl. The TJvTabControl class provides a generic implementation of TJvExTabControl. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExTabControl Properties

TJvExTabControl	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTabControl Events

TJvExTabControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExTabControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TTabControl, IJvExControl
        TJvExTabControl


TJvExTabControl Members

TJvExTabControl	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTabControl.AboutJVCL property

TJvExTabControl

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExTabControl.DotNetHighlighting property

TJvExTabControl	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTabControl.HintColor property

TJvExTabControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the tab control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExTabControl.MouseOver property

TJvExTabControl	See Also	Edit topic

Indicates whether the mouse pointer is over the tab control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the tab control.

Created with Doc-O-Matic.


See Also

TJvExTabControl.OnMouseEnter, TJvExTabControl.OnMouseLeave


TJvExTabControl.OnMouseEnter event

TJvExTabControl	See Also	Edit topic

Occurs when the mouse pointer moves over the tab control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tab control.

Created with Doc-O-Matic.


See Also

TJvExTabControl.OnMouseLeave


TJvExTabControl.OnMouseLeave event

TJvExTabControl	See Also	Edit topic

Occurs when the mouse pointer moves off the tab control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tab control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExTabControl.OnMouseEnter


TJvExTabControl.OnParentColorChange event

TJvExTabControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExTabControl.ParentBackground property

TJvExTabControl	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTabSheet
JEDI-VCL Reference

TJvExTabSheet

Hierarchy	Properties	Events	 Edit topic

Base class for extended common control tab sheets.

Pascal

TJvExTabSheet = class(TTabSheet, IJvExControl);

File

JvExComCtrls

Description

TJvExTabSheet is a base class for classes in the JVCL library that descend from TTabSheet.

Do not create instances of TJvExTabSheet. Use a descendant of TJvExTabSheet or create your own descendant class.

Created with Doc-O-Matic.


TJvExTabSheet Properties

TJvExTabSheet	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTabSheet Events

TJvExTabSheet	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExTabSheet

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TTabSheet, IJvExControl
        TJvExTabSheet


TJvExTabSheet Members

TJvExTabSheet	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTabSheet.AboutJVCL property

TJvExTabSheet

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExTabSheet.DotNetHighlighting property

TJvExTabSheet	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTabSheet.HintColor property

TJvExTabSheet	Edit topic

Determines the color of the hint boxes for the Help Hints for the tab sheet.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExTabSheet.MouseOver property

TJvExTabSheet	See Also	Edit topic

Indicates whether the mouse pointer is over the tab sheet.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the tab sheet.

Created with Doc-O-Matic.


See Also

TJvExTabSheet.OnMouseEnter, TJvExTabSheet.OnMouseLeave


TJvExTabSheet.OnMouseEnter event

TJvExTabSheet	See Also	Edit topic

Occurs when the mouse pointer moves over the tab sheet.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tab sheet.

Created with Doc-O-Matic.


See Also

TJvExTabSheet.OnMouseLeave


TJvExTabSheet.OnMouseLeave event

TJvExTabSheet	See Also	Edit topic

Occurs when the mouse pointer moves off the tab sheet.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tab sheet. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExTabSheet.OnMouseEnter


TJvExTabSheet.OnParentColorChange event

TJvExTabSheet	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExTabSheet.ParentBackground property

TJvExTabSheet	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExToolBar
JEDI-VCL Reference

TJvExToolBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended common control toolbars.

Pascal

TJvExToolBar = class(TToolBar, IJvExControl);

File

JvExComCtrls

Description

TJvExToolBar is a base class for classes in the JVCL library that descend from TToolBar.

Do not create instances of TJvExToolBar. The TJvToolBar class provides a generic implementation of TJvExToolBar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExToolBar Properties

TJvExToolBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExToolBar Events

TJvExToolBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExToolBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TToolBar, IJvExControl
        TJvExToolBar


TJvExToolBar Members

TJvExToolBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExToolBar.AboutJVCL property

TJvExToolBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExToolBar.DotNetHighlighting property

TJvExToolBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExToolBar.HintColor property

TJvExToolBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the toolbar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExToolBar.MouseOver property

TJvExToolBar	See Also	Edit topic

Indicates whether the mouse pointer is over the toolbar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the toolbar.

Created with Doc-O-Matic.


See Also

TJvExToolBar.OnMouseEnter, TJvExToolBar.OnMouseLeave


TJvExToolBar.OnMouseEnter event

TJvExToolBar	See Also	Edit topic

Occurs when the mouse pointer moves over the toolbar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the toolbar.

Created with Doc-O-Matic.


See Also

TJvExToolBar.OnMouseLeave


TJvExToolBar.OnMouseLeave event

TJvExToolBar	See Also	Edit topic

Occurs when the mouse pointer moves off the toolbar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the toolbar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExToolBar.OnMouseEnter


TJvExToolBar.OnParentColorChange event

TJvExToolBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExToolBar.ParentBackground property

TJvExToolBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExToolButton
JEDI-VCL Reference

TJvExToolButton

Hierarchy	Properties	Events	 Edit topic

Base class for extended common control tool buttons.

Pascal

TJvExToolButton = class(TToolButton, IJvExControl);

File

JvExComCtrls

Description

TJvExToolButton is a base class for classes in the JVCL library that descend from TToolButton.

Do not create instances of TJvExToolButton. Use a descendant of TJvExToolButton or create your own descendant class.

Created with Doc-O-Matic.


TJvExToolButton Properties

TJvExToolButton	Legend

Properties

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExToolButton Events

TJvExToolButton	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExToolButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TToolButton, IJvExControl
        TJvExToolButton


TJvExToolButton Members

TJvExToolButton	Legend

Members

Properties

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExToolButton.AboutJVCL property

TJvExToolButton

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExToolButton.HintColor property

TJvExToolButton	Edit topic

Determines the color of the hint boxes for the Help Hints for the tool button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExToolButton.MouseOver property

TJvExToolButton	See Also	Edit topic

Indicates whether the mouse pointer is over the tool button.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the tool button.

Created with Doc-O-Matic.


See Also

TJvExToolButton.OnMouseEnter, TJvExToolButton.OnMouseLeave


TJvExToolButton.OnMouseEnter event

TJvExToolButton	See Also	Edit topic

Occurs when the mouse pointer moves over the tool button.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tool button.

Created with Doc-O-Matic.


See Also

TJvExToolButton.OnMouseLeave


TJvExToolButton.OnMouseLeave event

TJvExToolButton	See Also	Edit topic

Occurs when the mouse pointer moves off the tool button.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tool button. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExToolButton.OnMouseEnter


TJvExToolButton.OnParentColorChange event

TJvExToolButton	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExToolWindow
JEDI-VCL Reference

TJvExToolWindow

Hierarchy	Properties	Events	 Edit topic

Base class for extended tool windows.

Pascal

TJvExToolWindow = class(TToolWindow, IJvExControl);

File

JvExForms

Description

TJvExToolWindow is a base class for classes in the JVCL library that descend from TToolWindow.

Do not create instances of TJvExToolWindow. Use a descendant of TJvExToolWindow or create your own descendant class.

Created with Doc-O-Matic.


TJvExToolWindow Properties

TJvExToolWindow	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExToolWindow Events

TJvExToolWindow	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExToolWindow

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TToolWindow, IJvExControl
        TJvExToolWindow


TJvExToolWindow Members

TJvExToolWindow	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExToolWindow.AboutJVCL property

TJvExToolWindow

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExToolWindow.DotNetHighlighting property

TJvExToolWindow	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExToolWindow.HintColor property

TJvExToolWindow	Edit topic

Determines the color of the hint boxes for the Help Hints for the window.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExToolWindow.MouseOver property

TJvExToolWindow	See Also	Edit topic

Indicates whether the mouse pointer is over the window.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the window.

Created with Doc-O-Matic.


See Also

TJvExToolWindow.OnMouseEnter, TJvExToolWindow.OnMouseLeave


TJvExToolWindow.OnMouseEnter event

TJvExToolWindow	See Also	Edit topic

Occurs when the mouse pointer moves over the window.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the window.

Created with Doc-O-Matic.


See Also

TJvExToolWindow.OnMouseLeave


TJvExToolWindow.OnMouseLeave event

TJvExToolWindow	See Also	Edit topic

Occurs when the mouse pointer moves off the window.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the window. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExToolWindow.OnMouseEnter


TJvExToolWindow.OnParentColorChange event

TJvExToolWindow	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExToolWindow.ParentBackground property

TJvExToolWindow	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTrackBar
JEDI-VCL Reference

TJvExTrackBar

Hierarchy	Properties	Events	 Edit topic

Base class for extended common control track bars.

Pascal

TJvExTrackBar = class(TTrackBar, IJvExControl);

File

JvExComCtrls

Description

TJvExTrackBar is a base class for classes in the JVCL library that descend from TTrackBar.

Do not create instances of TJvExTrackBar. The TJvTrackBar class provides a generic implementation of TJvExTrackBar. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExTrackBar Properties

TJvExTrackBar	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTrackBar Events

TJvExTrackBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExTrackBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TTrackBar, IJvExControl
        TJvExTrackBar


TJvExTrackBar Members

TJvExTrackBar	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTrackBar.AboutJVCL property

TJvExTrackBar

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExTrackBar.DotNetHighlighting property

TJvExTrackBar	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTrackBar.HintColor property

TJvExTrackBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the track bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExTrackBar.MouseOver property

TJvExTrackBar	See Also	Edit topic

Indicates whether the mouse pointer is over the track bar.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the track bar.

Created with Doc-O-Matic.


See Also

TJvExTrackBar.OnMouseEnter, TJvExTrackBar.OnMouseLeave


TJvExTrackBar.OnMouseEnter event

TJvExTrackBar	See Also	Edit topic

Occurs when the mouse pointer moves over the track bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the track bar.

Created with Doc-O-Matic.


See Also

TJvExTrackBar.OnMouseLeave


TJvExTrackBar.OnMouseLeave event

TJvExTrackBar	See Also	Edit topic

Occurs when the mouse pointer moves off the track bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the track bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExTrackBar.OnMouseEnter


TJvExTrackBar.OnParentColorChange event

TJvExTrackBar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExTrackBar.ParentBackground property

TJvExTrackBar	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTreeView
JEDI-VCL Reference

TJvExTreeView

Hierarchy	Properties	Events	 Edit topic

Base class for extended tree view common controls.

Pascal

TJvExTreeView = class(TTreeView, IJvExControl);

File

JvExComCtrls

Description

TJvExTreeView is a base class for classes in the JVCL library that descend from TTreeView.

Do not create instances of TJvExTreeView. The TJvTreeView class provides a generic implementation of TJvExTreeView. You can also create your own descendant class.

Created with Doc-O-Matic.


TJvExTreeView Properties

TJvExTreeView	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTreeView Events

TJvExTreeView	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExTreeView

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TTreeView, IJvExControl
        TJvExTreeView


TJvExTreeView Members

TJvExTreeView	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExTreeView.AboutJVCL property

TJvExTreeView

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExTreeView.DotNetHighlighting property

TJvExTreeView	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExTreeView.HintColor property

TJvExTreeView	Edit topic

Determines the color of the hint boxes for the Help Hints for the tree view control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExTreeView.MouseOver property

TJvExTreeView	See Also	Edit topic

Indicates whether the mouse pointer is over the tree view control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the tree view control.

Created with Doc-O-Matic.


See Also

TJvExTreeView.OnMouseEnter, TJvExTreeView.OnMouseLeave


TJvExTreeView.OnMouseEnter event

TJvExTreeView	See Also	Edit topic

Occurs when the mouse pointer moves over the tree view control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tree view control.

Created with Doc-O-Matic.


See Also

TJvExTreeView.OnMouseLeave


TJvExTreeView.OnMouseLeave event

TJvExTreeView	See Also	Edit topic

Occurs when the mouse pointer moves off the tree view control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tree view control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExTreeView.OnMouseEnter


TJvExTreeView.OnParentColorChange event

TJvExTreeView	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExTreeView.ParentBackground property

TJvExTreeView	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExUpDown
JEDI-VCL Reference

TJvExUpDown

Hierarchy	Properties	Events	 Edit topic

Base class for extended up-down common controls.

Pascal

TJvExUpDown = class(TUpDown, IJvExControl);

File

JvExComCtrls

Description

TJvExUpDown is a base class for classes in the JVCL library that descend from TUpDown.

Do not create instances of TJvExUpDown. Use a descendant of TJvExUpDown or create your own descendant class.

Created with Doc-O-Matic.


TJvExUpDown Properties

TJvExUpDown	Legend

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExUpDown Events

TJvExUpDown	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvExUpDown

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TUpDown, IJvExControl
        TJvExUpDown


TJvExUpDown Members

TJvExUpDown	Legend

Members

Properties

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvExUpDown.AboutJVCL property

TJvExUpDown

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvExUpDown.DotNetHighlighting property

TJvExUpDown	Edit topic

Not documented

Pascal

property DotNetHighlighting: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvExUpDown.HintColor property

TJvExUpDown	Edit topic

Determines the color of the hint boxes for the Help Hints for the up-down control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvExUpDown.MouseOver property

TJvExUpDown	See Also	Edit topic

Indicates whether the mouse pointer is over the up-down control.

Pascal

property MouseOver: Boolean;

Description

Read MouseOver to determine whether the mouse pointer is over the up-down control.

Created with Doc-O-Matic.


See Also

TJvExUpDown.OnMouseEnter, TJvExUpDown.OnMouseLeave


TJvExUpDown.OnMouseEnter event

TJvExUpDown	See Also	Edit topic

Occurs when the mouse pointer moves over the up-down control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the up-down control.

Created with Doc-O-Matic.


See Also

TJvExUpDown.OnMouseLeave


TJvExUpDown.OnMouseLeave event

TJvExUpDown	See Also	Edit topic

Occurs when the mouse pointer moves off the up-down control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the up-down control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExUpDown.OnMouseEnter


TJvExUpDown.OnParentColorChange event

TJvExUpDown	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvExUpDown.ParentBackground property

TJvExUpDown	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFadeAlertStyleHandler
JEDI-VCL Reference

TJvFadeAlertStyleHandler

Hierarchy	Properties	Methods	 See Also	Edit topic

Class that encapsulates the "fade in/out" animation style for desktop alert windows.

Pascal

TJvFadeAlertStyleHandler = class(TJvCustomDesktopAlertStyleHandler);

File

JvDesktopAlert

Description

TJvFadeAlertStyleHandler implements the functionality to make the alert window of a TJvDesktopAlert fade in when it is shown and fade out when hidden. Do not create instances of TJvFadeAlertStyleHandler . An instance is automatically created when you set the AlertStyle of a TJvDesktopAlert component.

Created with Doc-O-Matic.


TJvFadeAlertStyleHandler Properties

TJvFadeAlertStyleHandler	Legend

Properties

 CurrentAlphaBlendValue

 DisplayDuration

 EndInterval

 EndSteps

 MaxAlphaBlendValue

 MinAlphaBlendValue

 StartInterval

 StartSteps

TJvCustomDesktopAlertStyleHandler

 Active

 AnimTimer

 CurrentStep

 DisplayDuration

 EndInterval

 EndSteps

OwnerForm

 StartInterval

 StartSteps

 Status

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFadeAlertStyleHandler Methods

TJvFadeAlertStyleHandler	Legend

Methods

 AbortAnimation

TJvCustomDesktopAlertStyleHandler

 AbortAnimation

 DoDisplay

 DoEndAnimation

 DoStartAnimation

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFadeAlertStyleHandler

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomDesktopAlertStyleHandler
        TJvFadeAlertStyleHandler


TJvFadeAlertStyleHandler Members

TJvFadeAlertStyleHandler	Legend

Members

Properties

 CurrentAlphaBlendValue

 DisplayDuration

 EndInterval

 EndSteps

 MaxAlphaBlendValue

 MinAlphaBlendValue

 StartInterval

 StartSteps

TJvCustomDesktopAlertStyleHandler

 Active

 AnimTimer

 CurrentStep

 DisplayDuration

 EndInterval

 EndSteps

OwnerForm

 StartInterval

 StartSteps

 Status

Methods

 AbortAnimation

TJvCustomDesktopAlertStyleHandler

 AbortAnimation

 DoDisplay

 DoEndAnimation

 DoStartAnimation

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

AlertStyle, StyleHandler, StyleOptions


TJvFadeAlertStyleHandler.CurrentAlphaBlendValue property

TJvFadeAlertStyleHandler	See Also	Edit topic

Specifies the current transparency of the desktop alert window.

Pascal

property CurrentAlphaBlendValue: Byte;

Description

CurrentAlphaBlendValue specifies the current alpha blend value of the desktop alert window. This value changes when the window is faded in our out.

Created with Doc-O-Matic.


See Also

TJvFadeAlertStyleHandler.MaxAlphaBlendValue, TJvFadeAlertStyleHandler.MinAlphaBlendValue


TJvFadeAlertStyleHandler.DisplayDuration property

TJvFadeAlertStyleHandler	Edit topic

Specifies how long the window is displayed after it is fully visible.

Pascal

property DisplayDuration: Cardinal;

Description

DisplayDuration specifies how long (in milliseconds) the window is displayed after the start animation has finished (the so called "wait" stage).

Created with Doc-O-Matic.


TJvFadeAlertStyleHandler.EndInterval property

TJvFadeAlertStyleHandler	See Also	Edit topic

Specifies the duration between each step of the end animation.

Pascal

property EndInterval: Cardinal;

Description

Use EndInterval to specify the duration of each step in the end animation sequence. This value is expressed in milliseconds.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndSteps, TJvCustomDesktopAlertStyleHandler.StartInterval


TJvFadeAlertStyleHandler.EndSteps property

TJvFadeAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the end animation sequence.

Pascal

property EndSteps: Cardinal;

Description

Use EndSteps to specify the number of steps in the end animation sequence. If EndSteps is 0, no end animation is performed.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndInterval


TJvFadeAlertStyleHandler.MaxAlphaBlendValue property

TJvFadeAlertStyleHandler	See Also	Edit topic

Specifies the maximum alpha blend value of the window.

Pascal

property MaxAlphaBlendValue: Byte;

Description

Use MaxAlphaBlendValue to set the maximum alpha blend value of the desktop alert window. When the MaxAlphaBlendValue is reached, the window is considered fully showing.

Created with Doc-O-Matic.


See Also

TJvFadeAlertStyleHandler.CurrentAlphaBlendValue, TJvFadeAlertStyleHandler.MinAlphaBlendValue


TJvFadeAlertStyleHandler.MinAlphaBlendValue property

TJvFadeAlertStyleHandler	See Also	Edit topic

Specifies the minimum alpha blend value of the window.

Pascal

property MinAlphaBlendValue: Byte;

Description

Use MinAlphaBlendValue to set the minimum alpha blend value of the desktop alert window. When the MinAlphaBlendValue is reached, the window is considered fully hidden.

Created with Doc-O-Matic.


See Also

TJvFadeAlertStyleHandler.CurrentAlphaBlendValue, TJvFadeAlertStyleHandler.MaxAlphaBlendValue


TJvFadeAlertStyleHandler.StartInterval property

TJvFadeAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the start animation.

Pascal

property StartInterval: Cardinal;

Description

Use StartInterval to specify the duration of each step in the start animation sequence. This value is expressed in milliseconds.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.EndInterval, TJvCustomDesktopAlertStyleHandler.StartSteps


TJvFadeAlertStyleHandler.StartSteps property

TJvFadeAlertStyleHandler	See Also	Edit topic

Specifies the number of steps in the start animation sequence.

Pascal

property StartSteps: Cardinal;

Description

Use StartSteps to specify the number of steps in the start animation sequence. If StartSteps is 0, no start animation is performed.

Created with Doc-O-Matic.


See Also

TJvCustomDesktopAlertStyleHandler.StartInterval


TJvFadeAlertStyleHandler.AbortAnimation method

TJvFadeAlertStyleHandler	Edit topic

Aborts the current animation, if any.

Pascal

procedure AbortAnimation; override;

Description

Will call the proper Finalize function as applicable. The middle wait is NOT aborted by a call to this function

Created with Doc-O-Matic.


TJvFileDirEdit
JEDI-VCL Reference

TJvFileDirEdit

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Base class for the TJvFileDirEdit control.

Pascal

TJvFileDirEdit = class(TJvCustomComboEdit);

File

JvToolEdit

Description

Use TJvFileDirEdit as a base class when creating custom combo edits that can be used for entering file or directory names. Do not create instances of TJvFileDirEdit. Instead, to put a combo edit control for entering file or directory names on a form, use a TJvFileDirEdit descendant such as TJvDirectoryEdit or TJvFilenameEdit.

Created with Doc-O-Matic.


TJvFileDirEdit Properties

TJvFileDirEdit	Legend

Properties

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvFileDirEdit Events

TJvFileDirEdit	Legend

Events

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvFileDirEdit Methods

TJvFileDirEdit	Legend

Methods

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFileDirEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvFileDirEdit


TJvFileDirEdit Members

TJvFileDirEdit	Legend

Members

Properties

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


See Also

TJvDirectoryEdit, TJvFilenameEdit


TJvFileDirEdit.AcceptFiles property

TJvFileDirEdit	See Also	Edit topic

Specifies whether the combo edit control accepts dropped files.

Pascal

property AcceptFiles: Boolean;

Description

Set AcceptFiles to true to accept dropped files or set it to false to discontinue accepting dropped files.

Created with Doc-O-Matic.


See Also

TJvDirectoryEdit.MultipleDirs, TJvFileDirEdit.OnDropFiles


TJvFileDirEdit.AutoCompleteFileOptions property

TJvFileDirEdit	Edit topic

Not documented

Pascal

property AutoCompleteFileOptions: TJvAutoCompleteFileOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileDirEdit.AutoCompleteOptions property

TJvFileDirEdit	Edit topic

Not documented

Pascal

property AutoCompleteOptions: TJvAutoCompleteOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileDirEdit.DisabledColor property

TJvFileDirEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control isn't enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledTextColor


TJvFileDirEdit.DisabledTextColor property

TJvFileDirEdit	See Also	Edit topic

Specifies the color of the text when the control isn't enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control isn't enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.DisabledColor


TJvFileDirEdit.ImageKind property

TJvFileDirEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvFileDirEdit.LongName property

TJvFileDirEdit	See Also	Edit topic

Indicates the long filename of the file or directory displayed in the combo edit control.

Pascal

property LongName: string;

Description

Use LongName to retrieve the name of the file or directory displayed in the edit box of the combo edit control, in the long file name format.

Notes

The file entered in the combo edit control must exist, otherwise an empty string is returned.

Created with Doc-O-Matic.


See Also

TJvFileDirEdit.ShortName, TJvFilenameEdit.FileName


TJvFileDirEdit.OnAfterDialog event

TJvFileDirEdit	See Also	Edit topic

Occurs after the dialog has been shown.

Pascal

property OnAfterDialog: TExecOpenDialogEvent;

Description

Write an OnAfterDialog event handler to do something after the dialog has been shown. Action holds the result of the file or directory selection process (i.e, whether the user selected a file or directory and pressed OK or canceled it by pressing Cancel).

By altering Action you can alter the result of the file or directory selection (i.e., if the user pressed the Cancel button then Action will be initially false. By setting it to true, the combo edit control will act as if the user selected the OK button). By changing Name you can alter the selected name.

Created with Doc-O-Matic.


See Also

TJvFileDirEdit.OnBeforeDialog


TJvFileDirEdit.OnBeforeDialog event

TJvFileDirEdit	See Also	Edit topic

Occurs before the dialog shows.

Pascal

property OnBeforeDialog: TExecOpenDialogEvent;

Description

Write an OnBeforeExecute event handler to do something before the dialog has been shown. By setting Action to false you can prevent the dialog from being shown. By changing Name you can alter the the initial selected directory or file name.

Created with Doc-O-Matic.


See Also

TJvFileDirEdit.OnAfterDialog


TJvFileDirEdit.OnButtonClick event

TJvFileDirEdit	See Also	Edit topic

Occurs when the user clicks the button.

Pascal

property OnButtonClick: TNotifyEvent;

Description

Write an OnButtonClick handler to respond to the user clicking the button of the combo edit control.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.OnKeyDown


TJvFileDirEdit.OnDropFiles event

TJvFileDirEdit	See Also	Edit topic

Occurs when the user drops files on the combo edit control.

Pascal

property OnDropFiles: TNotifyEvent;

Description

Write an OnDropFiles event handler to respond when the user drops files on the control.

Notes

Set AcceptFiles to true, otherwise no OnDrop event is fired.

Created with Doc-O-Matic.


See Also

TJvFileDirEdit.AcceptFiles


TJvFileDirEdit.ShortName property

TJvFileDirEdit	See Also	Edit topic

Indicates the short filename of the file or directory displayed in the combo edit control.

Pascal

property ShortName: string;

Description

Use ShortName to retrieve the name of the file or directory displayed in the edit box of the combo edit control, in the 8.3 (filename.ext) file name format.

Notes

The file entered in the combo edit control must exist, otherwise an empty string is returned.

Created with Doc-O-Matic.


See Also

TJvFileDirEdit.LongName, TJvFilenameEdit.FileName


TJvFileInfo
JEDI-VCL Reference

TJvFileInfo

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvFileInfo = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo Properties

TJvFileInfo	Legend

Properties

 Attributes

 AttrString

 DisplayName

 ExeType

 FileName

 Icon

 IconHandle

 IconIndex

 IconLocation

 LargeImages

 Modifiers

 SmallImages

 TypeString

TJvWriteableInfo

 ReadOnly

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvFileInfo Methods

TJvFileInfo

Methods

GetFileInfo

Created with Doc-O-Matic.


Legend

TJvFileInfo

Legend

read only

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvFileInfo


TJvFileInfo Members

TJvFileInfo	Legend

Members

Properties

 Attributes

 AttrString

 DisplayName

 ExeType

 FileName

 Icon

 IconHandle

 IconIndex

 IconLocation

 LargeImages

 Modifiers

 SmallImages

 TypeString

TJvWriteableInfo

 ReadOnly

Methods

GetFileInfo

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvFileInfo.Attributes property

TJvFileInfo	Edit topic

Not documented

Pascal

property Attributes: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.AttrString property

TJvFileInfo	Edit topic

Not documented

Pascal

property AttrString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.DisplayName property

TJvFileInfo	Edit topic

Not documented

Pascal

property DisplayName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.ExeType property

TJvFileInfo	Edit topic

Not documented

Pascal

property ExeType: TJvExeType;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.FileName property

TJvFileInfo	Edit topic

Not documented

Pascal

property FileName: TFileName;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.Icon property

TJvFileInfo	Edit topic

Not documented

Pascal

property Icon: TIcon;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.IconHandle property

TJvFileInfo	Edit topic

Not documented

Pascal

property IconHandle: THandle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.IconIndex property

TJvFileInfo	Edit topic

Not documented

Pascal

property IconIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.IconLocation property

TJvFileInfo	Edit topic

Not documented

Pascal

property IconLocation: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.LargeImages property

TJvFileInfo	Edit topic

Not documented

Pascal

property LargeImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.Modifiers property

TJvFileInfo	Edit topic

Not documented

Pascal

property Modifiers: TJvIconModifiers;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.SmallImages property

TJvFileInfo	Edit topic

Not documented

Pascal

property SmallImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.TypeString property

TJvFileInfo	Edit topic

Not documented

Pascal

property TypeString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileInfo.GetFileInfo method

TJvFileInfo	Edit topic

Not documented

Pascal

function GetFileInfo(const FileName: string; Attributes: Cardinal; out Info: ShFileInfo; Flags: Cardinal): Cardinal;

Parameters

const FileName: string

Not documented

Attributes: Cardinal

Not documented

out Info: ShFileInfo

Not documented

Flags: Cardinal

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFileListBox
JEDI-VCL Reference

 TJvFileListBox

Hierarchy	Properties	Package	 See Also	Edit topic

A specialized list box that lists all the files in a specified directory.

Pascal

TJvFileListBox = class(TFileListBox);

File

JvDriveCtrls

Description

Add TJvFileListBox to a form to allow users to select a file. Use TJvFileListBox along with TJvDriveCombo and TJvDirectoryListBox to add full file selection capabilities to a form.

Created with Doc-O-Matic.


TJvFileListBox Properties

TJvFileListBox	Legend

Properties

 AboutJVCL

 Directory

 FileName

 ForceFileExtensions

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFileListBox

Legend

published

Created with Doc-O-Matic.


Hierarchy

TFileListBox
    TJvFileListBox


TJvFileListBox Members

TJvFileListBox	Legend

Members

Properties

 AboutJVCL

 Directory

 FileName

 ForceFileExtensions

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvDirectoryListBox, TJvDriveCombo, TJvDriveList


Package

Ctrls


TJvFileListBox.AboutJVCL property

TJvFileListBox

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvFileListBox.Directory property

TJvFileListBox	See Also	Edit topic

Specifies the directory that contains all the files listed in the file list box.

Pascal

property Directory;

Description

Set Directory to update the file list box so that it displays the files in a new directory. If the form includes a TJvDirectoryListBox object, set the FileList property of the directory list box to have the Directory property updated automatically when the user selects a new directory.

Created with Doc-O-Matic.


See Also

TJvDirectoryListBox.Directory, TJvDirectoryListBox.Drive, TJvDirectoryListBox.FileList


TJvFileListBox.FileName property

TJvFileListBox	Edit topic

Indicates the name of the selected file in the list box, including the path name.

Pascal

property FileName;

Description

Set FileName to initialize the file list box to a particular file. Read FileName to obtain the name of the file the user selected.

Created with Doc-O-Matic.


TJvFileListBox.ForceFileExtensions property

TJvFileListBox	Edit topic

Specifies how file extensions are displayed.

Pascal

property ForceFileExtensions: Boolean;

Description

Use ForceFileExtensions to specify how file extensions are displayed. If ForceFileExtensions is true, file extensions are always displayed. If ForceFileExtensions is false, file extensions are displayed according to the user's settings in Windows Explorer.

Created with Doc-O-Matic.


TJvFilenameEdit
JEDI-VCL Reference

 TJvFilenameEdit

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Edit control with a button that displays a file selection dialog.

Pascal

TJvFilenameEdit = class(TJvFileDirEdit);

File

JvToolEdit

Description

TJvFilenameEdit is a button edit control designed specifically for entering file names.

Pressing the button of the combo edit control displays a file selection dialog, where users can select a file. But the user can also type a specific file name in the edit box.

Created with Doc-O-Matic.


TJvFilenameEdit Properties

TJvFilenameEdit	Legend

Properties

 AddQuotes

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DefaultExt

 Dialog

 DialogFiles

 DialogKind

 DialogOptions

 DialogTitle

 DirectInput

 FileEditStyle

 FileName

 Filter

 FilterIndex

 Flat

 Glyph

 GroupIndex

 HistoryList

 ImageIndex

 ImageKind

 Images

 InitialDir

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFilenameEdit Events

TJvFilenameEdit	Legend

Events

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvFilenameEdit Methods

TJvFilenameEdit	Legend

Methods

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFilenameEdit

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboEditBase
    TJvCustomComboEdit
        TJvFileDirEdit
            TJvFilenameEdit


TJvFilenameEdit Members

TJvFilenameEdit	Legend

Members

Properties

 AddQuotes

 AutoCompleteFileOptions

 AutoCompleteOptions

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DefaultExt

 Dialog

 DialogFiles

 DialogKind

 DialogOptions

 DialogTitle

 DirectInput

 FileEditStyle

 FileName

 Filter

 FilterIndex

 Flat

 Glyph

 GroupIndex

 HistoryList

 ImageIndex

 ImageKind

 Images

 InitialDir

 NumGlyphs

 ReadOnly

 ShowButton

TJvFileDirEdit

 AcceptFiles

 AutoCompleteFileOptions

 AutoCompleteOptions

 DisabledColor

 DisabledTextColor

 ImageKind

 LongName

 ShortName

TJvCustomComboEdit

 Alignment

 AlwaysEnableButton

 AlwaysShowPopup

 AutoCompleteItems

 AutoCompleteOptions

 Button

 ButtonFlat

 ButtonHint

 ButtonWidth

 ClickKey

 DirectInput

 DisabledColor

 DisabledTextColor

 Flat

 Glyph

GlyphKind

 GroupIndex

 ImageIndex

 ImageKind

 Images

 NumGlyphs

 PopupAlign

 PopupVisible

 ReadOnly

 SettingCursor

 ShowButton

Events

 OnKeyDown

TJvFileDirEdit

 OnAfterDialog

 OnBeforeDialog

 OnButtonClick

 OnDropFiles

TJvCustomComboEdit

 OnButtonClick

 OnEnabledChanged

 OnKeyDown

 OnPopupHidden

 OnPopupShown

Methods

 DefaultImageIndex

TJvCustomComboEdit

 DefaultImageIndex

 DefaultImages

DoClick

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvDirectoryEdit


Package

StdCtrls


TJvFilenameEdit.AddQuotes property

TJvFilenameEdit	See Also	Edit topic

Specifies whether to enclose entered file names in quotes.

Pascal

property AddQuotes: Boolean;

Description

Use AddQuotes to specify whether the file name entered or selected by the user should be enclosed in quotes (using the double quote char: "). Only file names that have spaces in their names are enclosed in quotes.

It may be useful to automatically add quotes to file names with spaces in their names, because the way properties like LongName, ShortName and FileName work. See property FileName for more details.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.FileName


TJvFilenameEdit.AutoCompleteFileOptions property

TJvFilenameEdit	Edit topic

Not documented

Pascal

property AutoCompleteFileOptions: TJvAutoCompleteFileOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilenameEdit.AutoCompleteOptions property

TJvFilenameEdit	Edit topic

Not documented

Pascal

property AutoCompleteOptions: TJvAutoCompleteOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilenameEdit.ButtonFlat property

TJvFilenameEdit	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property ButtonFlat: Boolean;

Description

Set ButtonFlat to true to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected.

Created with Doc-O-Matic.


See Also

Button


TJvFilenameEdit.ButtonHint property

TJvFilenameEdit	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the button.

Pascal

property ButtonHint: string;

Description

Use the ButtonHint property to provide a string of help text as a Help Hint for the combo edit control's button.

Created with Doc-O-Matic.


See Also

Button


TJvFilenameEdit.ButtonWidth property

TJvFilenameEdit	See Also	Edit topic

Specifies the width of the button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the combo edit control's button. Note that changing property ImageKind can change the ButtonWidth. For example, ButtonWidth is set to the default width of a drop-down button if ImageKind is set to ikDropDown.

Created with Doc-O-Matic.


See Also

Button


TJvFilenameEdit.ClickKey property

TJvFilenameEdit	Edit topic

Specifies the key combination users can type to simulate a button click.

Pascal

property ClickKey: TShortCut;

Description

Use ClickKey to allow the user to type a key combination instead of clicking the control's button.

When setting shortcuts at design time, the Object Inspector provides a long list of key combinations to choose from. To create shortcuts at runtime, use the global ShortCut or TextToShortCut function from Menus.pas. For example, the following line creates a shortcut, Ctrl+C and assigns it to a combo edit control named JvComboEdit1.

  JvComboEdit1.ClickKey := ShortCut(Word('C'), [ssCtrl]);

Created with Doc-O-Matic.


TJvFilenameEdit.DefaultExt property

TJvFilenameEdit	See Also	Edit topic

Specifies a default file extension for file names selected in the dialog.

Pascal

property DefaultExt: TFileExt;

Description

DefaultExt specifies a file extension that is appended automatically to file names selected in the dialog unless the selected file name already includes a registered extension. If the user selects a file name with an extension that is unregistered, DefaultExt is appended to the unregistered extension.

Extensions longer than three characters are not supported. Do not include the period (.) that divides the file name and its extension.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.Dialog


TJvFilenameEdit.Dialog property

TJvFilenameEdit	See Also	Edit topic

Gives access to the combo edit control's dialog.

Pascal

property Dialog: TOpenDialog;

Description

Use Dialog to access the combo edit control's dialog, but most properties of the dialog are accessible via properties of the combo edit control, such as DefaultExt, DialogOptions etc.

The class type of the combo edit control's dialog depends on the value of DialogKind.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.DialogKind


TJvFilenameEdit.DialogFiles property

TJvFilenameEdit	See Also	Edit topic

Returns a list of the file names selected in the dialog.

Pascal

property DialogFiles: TStrings;

Description

DialogFiles is a string list that contains each selected file name with its full directory path. (To let users select multiple file names, set the ofAllowMultiSelect flag in DialogOptions.) Use properties and methods for string lists to traverse this list of files and read individual items.

The example below assigns the list of files in DialogFiles to the Items property of a TListBox component.

  ListBox1.Items.Assign(JvFilenameEdit1.DialogFiles);

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.Dialog, TJvFilenameEdit.DialogOptions


TJvFilenameEdit.DialogKind property

TJvFilenameEdit	See Also	Edit topic

Specifies the kind of the dialog associated with the combo edit control.

Pascal

property DialogKind: TFileDialogKind;

Description

Use the DialogKind property to specify the kind of dialog that is displayed when the user presses the button of the edit control.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.Dialog, TJvFilenameEdit.DialogOptions, TJvFilenameEdit.DialogTitle


TJvFilenameEdit.DialogOptions property

TJvFilenameEdit	See Also	Edit topic

Determines the appearance and behavior of the file-selection dialog.

Pascal

property DialogOptions: TOpenOptions;

Description

Use the DialogOptions property to customize the appearance and functionality of the dialog displayed when the user presses the button of the edit control.

The type of DialogOptions is the same as that of TOpenDialog.Options.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.Dialog, TJvFilenameEdit.DialogKind, TJvFilenameEdit.DialogTitle


TJvFilenameEdit.DialogTitle property

TJvFilenameEdit	See Also	Edit topic

Specifies the text in the dialog’s title bar.

Pascal

property DialogTitle: string;

Description

Use DialogTitle to specify the text that appears in the dialog’s title bar.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.Dialog, TJvFilenameEdit.DialogKind, TJvFilenameEdit.DialogOptions


TJvFilenameEdit.DirectInput property

TJvFilenameEdit	See Also	Edit topic

Specifies whether the user can use the edit box of the combo edit.

Pascal

property DirectInput: Boolean;

Description

Use DirectInput to read or change whether the user can use the edit box of the combo edit. By setting DirectInput to false, the edit box of the combo edit will become read-only, and the user can only use the button of the combo edit.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvFilenameEdit.FileEditStyle property

TJvFilenameEdit	Edit topic

Determines the style of the file-selection dialog. (Obsolete.)

Pascal

property FileEditStyle: TFileEditStyle;

Description

FileEditStyle is maintained for compatibility with older versions of the VCL. It has no effect.

Created with Doc-O-Matic.


TJvFilenameEdit.FileName property

TJvFilenameEdit	See Also	Edit topic

Indicates the file name displayed in the edit portion of the combo edit control.

Pascal

property FileName: TFileName;

Description

Set FileName to initialize the combo edit to a particular file name. Read FileName to obtain the name of the file that was selected by the user.

When the user uses the File-selection dialog to select a new file, the selected file becomes the value of the FileName property. The value of the Text property also changes to the new file when the FileName property value changes.

Property FileName does not return entered parameters, thus:

Text entered in edit box	FileName returns
C:\Temp\MyProgram Param1 Param2	C:\Temp\MyProgram
C:\Program Files\MyExe.exe	C:\Program
"C:\Program Files\MyExe.exe"	C:\Program Files\MyExe.exe
"C:\Program Files\MyExe.exe" Param1	C:\Program Files\MyExe.exe
"C:\Program Files\MyExe.exe Param1"	C:\Program Files\MyExe.exe Param1

Use AddQuotes to automatically add quotes to file names with spaces in their name.

Notes

The file entered in the combo edit control must exist, otherwise an empty string is returned.

Created with Doc-O-Matic.


See Also

LongName, ShortName


TJvFilenameEdit.Filter property

TJvFilenameEdit	See Also	Edit topic

Determines the file masks (filters) available in the dialog.

Pascal

property Filter: string;

Description

See Delphi help at TOpenDialog.Filter for more info.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.FilterIndex


TJvFilenameEdit.FilterIndex property

TJvFilenameEdit	See Also	Edit topic

Determines which filter is selected by default when the dialog opens.

Pascal

property FilterIndex: Integer;

Description

FilterIndex determines which of the file types in Filter is selected by default when the dialog opens. Set FilterIndex to 1 to choose the first file type in the list as the default, or set FilterIndex to 2 to choose the second file type as the default, and so forth. If the value of FilterIndex is out or range, the first file type listed in Filter is the default.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.Filter


TJvFilenameEdit.Flat property

TJvFilenameEdit	Edit topic

Determines whether the control has a three-dimensional (3-D) or two-dimensional (flat) look.

Pascal

property Flat: Boolean;

Description

When Flat is true, the control appears flat and does not have borders. When Flat is false, the control has a 3-D look.

Created with Doc-O-Matic.


TJvFilenameEdit.Glyph property

TJvFilenameEdit	Edit topic

Specifies the bitmap that appears on the button of the combo edit control. (Obsolete.)

Pascal

property Glyph: TBitmap;

Description

Glyph is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvFilenameEdit.GroupIndex property

TJvFilenameEdit	Edit topic

Allows edit controls to work together as a group.

Pascal

property GroupIndex: Integer;

Description

When GroupIndex is set to -1, the edit control behaves as normal.

Edit controls with the same GroupIndex property value (other than -1), work together as a group. When the user enters one of these edit controls, the text on the other edits belonging to the same group will be cleared.

Created with Doc-O-Matic.


TJvFilenameEdit.HistoryList property

TJvFilenameEdit	Edit topic

Maintains a list of previously selected files. (Obsolete.)

Pascal

property HistoryList: TStrings;

Description

HistoryList is maintained for compatibility with older versions of TOpenDialog. It is not used.

Created with Doc-O-Matic.


TJvFilenameEdit.ImageIndex property

TJvFilenameEdit	See Also	Edit topic

Indicates which image appears on the button.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to designate an image that should appear on the button of the edit button control. ImageIndex specifies a zero-offset index into the Images property. Set ImageKind to ikCustom, otherwise ImageIndex is not used.

Notes

This property is not stored if it is supplied by a TAction object.

Created with Doc-O-Matic.


See Also

Images, ImageKind


TJvFilenameEdit.ImageKind property

TJvFilenameEdit	See Also	Edit topic

Specifies the kind of image for the edit button.

Pascal

property ImageKind: TJvImageKind;

Description

Use ImageKind to specify the appearance of the button of the edit button control.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvFilenameEdit.Images property

TJvFilenameEdit	See Also	Edit topic

Lists the images that can appear on the button.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the button of the combo button control. If Images is unassigned, no images are displayed on the button unless ImageKind is set to a value other than ikCustom.

Created with Doc-O-Matic.


See Also

ImageIndex, ImageKind


TJvFilenameEdit.InitialDir property

TJvFilenameEdit	Edit topic

Determines the current directory when the dialog opens.

Pascal

property InitialDir: string;

Description

See Delphi help at TOpenDialog.InitialDir for more info.

Created with Doc-O-Matic.


TJvFilenameEdit.NumGlyphs property

TJvFilenameEdit	Edit topic

Indicates the number of images that are in the graphic specified in the Glyph property. (Obsolete.)

Pascal

property NumGlyphs: TNumGlyphs;

Description

NumGlyphs is maintained for compatibility with older versions of TJvCustomComboEdit and its descendant classes. It is not used.

Created with Doc-O-Matic.


TJvFilenameEdit.OnKeyDown event

TJvFilenameEdit	See Also	Edit topic

Occurs when a user presses any key while the control has focus.

Pascal

property OnKeyDown: TKeyEvent;

Description

Use the OnKeyDown event handler to specify special processing to occur when a key is pressed. The OnKeyDown handler can respond to all keyboard keys, including function keys and keys combined with the Shift, Alt, and Ctrl keys, and pressed mouse buttons.

Created with Doc-O-Matic.


See Also

OnButtonClick


TJvFilenameEdit.ReadOnly property

TJvFilenameEdit	See Also	Edit topic

Determines whether the user can change the text of the combo edit control.

Pascal

property ReadOnly: Boolean;

Description

To restrict the edit control to display only, set the ReadOnly property to true. Set ReadOnly to false to allow the contents of the edit control to be edited.

Setting ReadOnly to true ensures that the text is not altered, while still allowing the user to select text. The selected text can then be manipulated by the application, or copied to the Clipboard.

Created with Doc-O-Matic.


See Also

AlwaysEnableButton


TJvFilenameEdit.ShowButton property

TJvFilenameEdit	Edit topic

Indicates whether the button should be shown.

Pascal

property ShowButton: Boolean;

Description

Set ShowButton to false to hide the button of the combo edit; set it to true to show it.

Created with Doc-O-Matic.


TJvFilenameEdit.DefaultImageIndex method

TJvFilenameEdit	Edit topic

Not documented

Pascal

class function DefaultImageIndex: TImageIndex; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilterKeys
JEDI-VCL Reference

TJvFilterKeys

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvFilterKeys = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilterKeys Properties

TJvFilterKeys	Legend

Properties

 BounceMSec

 DelayMSec

 Flags

NativeType

 RepeatMSec

 WaitMSec

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvFilterKeys

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvFilterKeys


TJvFilterKeys Members

TJvFilterKeys	Legend

Members

Properties

 BounceMSec

 DelayMSec

 Flags

NativeType

 RepeatMSec

 WaitMSec

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvFilterKeys.BounceMSec property

TJvFilterKeys	Edit topic

Not documented

Pascal

property BounceMSec: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilterKeys.DelayMSec property

TJvFilterKeys	Edit topic

Not documented

Pascal

property DelayMSec: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilterKeys.Flags property

TJvFilterKeys	Edit topic

Not documented

Pascal

property Flags: TJvFilterKeyFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilterKeys.NativeType property

TJvFilterKeys	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: FILTERKEYS;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvFilterKeys.RepeatMSec property

TJvFilterKeys	Edit topic

Not documented

Pascal

property RepeatMSec: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFilterKeys.WaitMSec property

TJvFilterKeys	Edit topic

Not documented

Pascal

property WaitMSec: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFindFilesDialog
JEDI-VCL Reference

 TJvFindFilesDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Simplifies searching for files.

Pascal

TJvFindFilesDialog = class(TJvCommonDialogF);

File

JvFindFiles

Description

Use a TJvFindFilesDialog to access the file search functionality built into Windows Explorer. If you are running Windows 95, 98 or NT, this component displays a dialog. If you are using Windows 2000 or XP, it displays a search panel inside Windows Explorer.

Notes

This component doesn't give much control of the search. Specifically, you can't access the files found when the search has completed. If you need a file search engine with full control of options and return values, consider using the TJvSearchFiles component instead.

Created with Doc-O-Matic.


TJvFindFilesDialog Properties

TJvFindFilesDialog	Legend

Properties

 Directory

 SpecialFolder

 UseSpecialFolder

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFindFilesDialog Methods

TJvFindFilesDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvFindFilesDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvFindFilesDialog


TJvFindFilesDialog Members

TJvFindFilesDialog	Legend

Members

Properties

 Directory

 SpecialFolder

 UseSpecialFolder

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvFindFilesDialog.Directory property

TJvFindFilesDialog	See Also	Edit topic

Specifies the start directory for the search.

Pascal

property Directory: string;

Description

Set Directory to the file system directory where the search should start. To start the search in a special folder (like Control Panel or Printers), use the SpecialFolder property instead.

Notes

The UseSpecialFolder property controls whether Directory or SpecialFolder is used as the start value.

Created with Doc-O-Matic.


See Also

TJvFindFilesDialog.SpecialFolder


TJvFindFilesDialog.SpecialFolder property

TJvFindFilesDialog	See Also	Edit topic

Specifies the start folder for the search.

Pascal

property SpecialFolder: TJvSpecialFolder;

Description

Use SpecialFolder when you want to start a search in folders like Control Panel or Printers or a special folder that isn't a real file system folder.

Created with Doc-O-Matic.


See Also

TJvFindFilesDialog.Directory


TJvFindFilesDialog.UseSpecialFolder property

TJvFindFilesDialog	See Also	Edit topic

Specifies what property is used for the root search folder.

Pascal

property UseSpecialFolder: Boolean;

Description

Use UseSpecialFolder to specify whether the Directory or SpecialFolder property is used as the root folder for the search. Set this value to false to use Directory and to true to use SpecialFolder.

Created with Doc-O-Matic.


See Also

TJvFindFilesDialog.Directory, TJvFindFilesDialog.SpecialFolder


TJvFindFilesDialog.Execute method

TJvFindFilesDialog	Edit topic

Shows the search dialog.

Pascal

function Execute: Boolean; override;

Return Value

True if the user didn't cancel the search.

Description

Call Execute to display the search dialog.

Created with Doc-O-Matic.


TJvFindReplace
JEDI-VCL Reference

 TJvFindReplace

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A component to easily provide search and replace functionality for controls derived from TCustomEdit.

Pascal

TJvFindReplace = class(TJvFindReplaceBase);

File

JvFindReplace

Description

The TJvFindReplace component can display built-in search and replace dialogs, search through the text in the edit control, select the found text and replace it.

Created with Doc-O-Matic.


TJvFindReplace Properties

TJvFindReplace	Legend

Properties

 EditControl

 Fast

 FindText

 HelpContext

 Options

 ReplaceText

 ShowDialogs

TJvFindReplaceBase

 Fast

 FindText

 HelpContext

Left

 Options

Position

 ReplaceText

 ShowDialogs

Top

TJvComponent

 AboutJVCL

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvFindReplace Events

TJvFindReplace	Legend

Events

TJvFindReplaceBase

 OnFind

 OnNotFound

 OnProgress

 OnReplace

 OnReplacedAll

 OnReplacingAll

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFindReplace Methods

TJvFindReplace	Legend

Methods

TJvFindReplaceBase

 Find

 FindAgain

 Replace

 ReplaceAll

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFindReplace

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvFindReplaceBase
            TJvFindReplace


TJvFindReplace Members

TJvFindReplace	Legend

Members

Properties

 EditControl

 Fast

 FindText

 HelpContext

 Options

 ReplaceText

 ShowDialogs

TJvFindReplaceBase

 Fast

 FindText

 HelpContext

Left

 Options

Position

 ReplaceText

 ShowDialogs

Top

TJvComponent

 AboutJVCL

Events

TJvFindReplaceBase

 OnFind

 OnNotFound

 OnProgress

 OnReplace

 OnReplacedAll

 OnReplacingAll

Methods

TJvFindReplaceBase

 Find

 FindAgain

 Replace

 ReplaceAll

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Dlgs


TJvFindReplace.EditControl property

TJvFindReplace	Edit topic

Specifies the edit control that contains the text to search and/or replace.

Pascal

property EditControl: TCustomEdit;

Description

Use EditControl to specify the control that contains the text to search and replace in.

Created with Doc-O-Matic.


TJvFindReplace.Fast property

TJvFindReplace	Edit topic

Specifies the search method used.

Pascal

property Fast: Boolean;

Description

Use Fast to specify the search method used by the component. If Fast is true, a Boyer-Moore search algorithm is used, if Fast is false, the standard Pos function is used instead.

Use Boyer-Moore to significantly speed up searches in large texts. Since Boyer-Moore need to set up internal fields and variables before starting the search, Pos can be faster for shorter texts.

Created with Doc-O-Matic.


TJvFindReplace.FindText property

TJvFindReplace	See Also	Edit topic

Specifies the text to search for.

Pascal

property FindText: string;

Description

Set FindText to the string to search for in EditControl.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Options, TJvFindReplaceBase.ReplaceText


TJvFindReplace.HelpContext property

TJvFindReplace	Edit topic

Sets the help context value for the built-in dialogs.

Pascal

property HelpContext: THelpContext;

Description

Use HelpContext to set the help context of the built-in search and replace dialogs.

Created with Doc-O-Matic.


TJvFindReplace.Options property

TJvFindReplace	Edit topic

Determines the appearance and behavior of the component and the built-in dialogs.

Pascal

property Options: TFindOptions;

Description

Use Options to

Determine which controls in the dialog are disabled (greyed).

Determine which controls do not appear in the dialog.

Specify settings for the search direction, case-sensitivity, and "whole word" attributes of the search.

By default, all options except frDown are off.

Created with Doc-O-Matic.


TJvFindReplace.ReplaceText property

TJvFindReplace	See Also	Edit topic

Specifies the text to use as a substitute for FindText when a replace process is running.

Pascal

property ReplaceText: string;

Description

Use ReplaceText to specify the text to replace with.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.FindText, TJvFindReplaceBase.Replace


TJvFindReplace.ShowDialogs property

TJvFindReplace	See Also	Edit topic

Specifies if the built-in dialogs are used.

Pascal

property ShowDialogs: Boolean;

Description

Use ShowDialogs to specify if you want to use the built-in search and replace dialogs or if you want to use your own dialogs when prompting the user for options and input.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Find, TJvFindReplaceBase.Options, TJvFindReplaceBase.Replace


TJvFindReplaceBase
JEDI-VCL Reference

TJvFindReplaceBase

Hierarchy	Properties	Methods	Events	 Edit topic

A component to easily provide search and replace functionality for controls derived from TCustomEdit.

Pascal

TJvFindReplaceBase = class(TJvComponent);

File

JvFindReplace

Description

The TJvFindReplaceBase component can display built-in search and replace dialogs, search through the text in the edit control, select the found text and replace it.

Created with Doc-O-Matic.


TJvFindReplaceBase Properties

TJvFindReplaceBase	Legend

Properties

 Fast

 FindText

 HelpContext

Left

 Options

Position

 ReplaceText

 ShowDialogs

Top

TJvComponent

 AboutJVCL

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvFindReplaceBase Events

TJvFindReplaceBase	Legend

Events

 OnFind

 OnNotFound

 OnProgress

 OnReplace

 OnReplacedAll

 OnReplacingAll

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFindReplaceBase Methods

TJvFindReplaceBase	Legend

Methods

 Find

 FindAgain

 Replace

 ReplaceAll

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFindReplaceBase

Legend

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvFindReplaceBase


TJvFindReplaceBase Members

TJvFindReplaceBase	Legend

Members

Properties

 Fast

 FindText

 HelpContext

Left

 Options

Position

 ReplaceText

 ShowDialogs

Top

TJvComponent

 AboutJVCL

Events

 OnFind

 OnNotFound

 OnProgress

 OnReplace

 OnReplacedAll

 OnReplacingAll

Methods

 Find

 FindAgain

 Replace

 ReplaceAll

Legend

protected

published

virtual

Created with Doc-O-Matic.


Legend

protected

published

virtual


TJvFindReplaceBase.Fast property

TJvFindReplaceBase	Edit topic

Specifies the search method used.

Pascal

property Fast: Boolean;

Description

Use Fast to specify the search method used by the component. If Fast is true, a Boyer-Moore search algorithm is used, if Fast is false, the standard Pos function is used instead.

Use Boyer-Moore to significantly speed up searches in large texts. Since Boyer-Moore need to set up internal fields and variables before starting the search, Pos can be faster for shorter texts.

Created with Doc-O-Matic.


TJvFindReplaceBase.FindText property

TJvFindReplaceBase	See Also	Edit topic

Specifies the text to search for.

Pascal

property FindText: string;

Description

Set FindText to the string to search for in EditControl.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Options, TJvFindReplaceBase.ReplaceText


TJvFindReplaceBase.HelpContext property

TJvFindReplaceBase	Edit topic

Sets the help context value for the built-in dialogs.

Pascal

property HelpContext: THelpContext;

Description

Use HelpContext to set the help context of the built-in search and replace dialogs.

Created with Doc-O-Matic.


TJvFindReplaceBase.Left property

TJvFindReplaceBase	See Also	Edit topic

Specifies the horizontal coordinate of the left edge of the built-in dialogs relative to the screen.

Pascal

property Left: Integer;

Description

Use the Left property to determine where the left side of the built-in dialogs begins or to reposition the left side of the dialogs. Left is in screen coordinates.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Position, TJvFindReplaceBase.Top


TJvFindReplaceBase.OnFind event

TJvFindReplaceBase	See Also	Edit topic

Occurs when FindText has been found in EditControl

Pascal

property OnFind: TNotifyEvent;

Description

Write a handler for the OnFind event to take specific action when FindText has been found in the text of EditControl.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.OnNotFound


TJvFindReplaceBase.OnNotFound event

TJvFindReplaceBase	See Also	Edit topic

Occurs if FindText could not be found in EditControl

Pascal

property OnNotFound: TNotifyEvent;

Description

Write a handler for the OnNotFound event to take specific action when FindText couldn't be found in the text of EditControl. For example, you can display a dialog to the user that explains that the searched text couldn't be found.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.OnFind


TJvFindReplaceBase.OnProgress event

TJvFindReplaceBase	Edit topic

Occurs when the component is searching for the text.

Pascal

TJvReplaceProgressEvent = procedure (Sender: TObject; Position: Integer; var Terminate: Boolean) of object;
property OnProgress: TJvReplaceProgressEvent;

Parameters

Terminate

Set to true to stop the search.

Position

The current position of the search in the text body.

Sender

The object whose event handler has been called.

Description

Write a handler for the OnProgress event to take specific actions when a search is in progress. The OnProgress is called periodically on long searches (about every 60 characters).

Created with Doc-O-Matic.


TJvFindReplaceBase.OnReplace event

TJvFindReplaceBase	See Also	Edit topic

Occurs when the user clicks the Replace or Replace All button.

Pascal

property OnReplace: TNotifyEvent;

Description

OnReplace occurs whenever the user clicks Replace or Replace All. In addition, when the user clicks Replace, the frReplace flag is set (and the frReplaceAll flag is turned off) in Options. When the user clicks Replace All, the frReplaceAll flag is set (and the frReplace flag is turned off) in Options.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.OnReplacedAll


TJvFindReplaceBase.OnReplacedAll event

TJvFindReplaceBase	See Also	Edit topic

Occurs when the component has replaced all occurrences of FindText with ReplaceText in EditControl.

Pascal

TJvReplaceAllEvent = procedure (Sender: TObject; ReplaceCount: Integer) of object;
property OnReplacedAll: TJvReplaceAllEvent;

Parameters

ReplaceCount

Indicates the number of occurrence of FindText that has been replaced.

Sender

The object whose event handler has been called.

Description

Write a handler for the OnReplacedAll event to take specific actions when the FindText in EditControl has been replaced with ReplaceText.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.OnReplace, TJvFindReplaceBase.OnReplacingAll


TJvFindReplaceBase.OnReplacingAll event

TJvFindReplaceBase	See Also	Edit topic

Occurs just before the component starts replacing all FindText occurrences with ReplaceText.

Pascal

property OnReplacingAll: TNotifyEvent;

Description

Write a handler for OnReplacingAll to take specific actions just before a search and replace operation is started. To stop the search and replace, call Abort in the event handler.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.OnReplace, TJvFindReplaceBase.OnReplacedAll


TJvFindReplaceBase.Options property

TJvFindReplaceBase	Edit topic

Determines the appearance and behavior of the component and the built-in dialogs.

Pascal

property Options: TFindOptions;

Description

Use Options to

Determine which controls in the dialog are disabled (greyed).

Determine which controls do not appear in the dialog.

Specify settings for the search direction, case-sensitivity, and "whole word" attributes of the search.

By default, all options except frDown are off.

Created with Doc-O-Matic.


TJvFindReplaceBase.Position property

TJvFindReplaceBase	See Also	Edit topic

Determines the position of the built-in dialogs on the screen.

Pascal

property Position: TPoint;

Description

Position gives the pixel coordinates of the dialog’s upper left corner.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Left, TJvFindReplaceBase.Top


TJvFindReplaceBase.ReplaceText property

TJvFindReplaceBase	See Also	Edit topic

Specifies the text to use as a substitute for FindText when a replace process is running.

Pascal

property ReplaceText: string;

Description

Use ReplaceText to specify the text to replace with.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.FindText, TJvFindReplaceBase.Replace


TJvFindReplaceBase.ShowDialogs property

TJvFindReplaceBase	See Also	Edit topic

Specifies if the built-in dialogs are used.

Pascal

property ShowDialogs: Boolean;

Description

Use ShowDialogs to specify if you want to use the built-in search and replace dialogs or if you want to use your own dialogs when prompting the user for options and input.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Find, TJvFindReplaceBase.Options, TJvFindReplaceBase.Replace


TJvFindReplaceBase.Top property

TJvFindReplaceBase	See Also	Edit topic

Specifies the Y coordinate of the top left corner of a built-in dialog, relative to the screen

Pascal

property Top: Integer;

Description

Use Top to locate the top of a built-in dialog or reposition the dialog to a different Y coordinate. Top is in screen coordinates.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Left, TJvFindReplaceBase.Position


TJvFindReplaceBase.Find method

TJvFindReplaceBase	See Also	Edit topic

Displays the built-in Find dialog or starts a new search.

Pascal

procedure Find; virtual;

Description

Call Find to start a new search or to display the built-in dialog to start a new search. The built-in find dialog will be displayed if ShowDialogs is true.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.FindAgain, TJvFindReplaceBase.ShowDialogs


TJvFindReplaceBase.FindAgain method

TJvFindReplaceBase	See Also	Edit topic

Continues a search.

Pascal

procedure FindAgain; virtual;

Description

Call FindAgain to continue a search previously started with Find. If no search is in progress, FindAgain calls Find.

Created with Doc-O-Matic.


See Also

TJvFindReplaceBase.Find, TJvFindReplaceBase.Replace, TJvFindReplaceBase.ShowDialogs


TJvFindReplaceBase.Replace method

TJvFindReplaceBase	See Also	Edit topic

Displays the built-in replace dialog or starts the replace process.

Pascal

procedure Replace; virtual;

Description

Call Replace to start a new replace process or display the built-in dialog. The built-in replace dialog will be displayed if ShowDialogs is true.

Created with Doc-O-Matic.


See Also

ReplaceAll


TJvFindReplaceBase.ReplaceAll method

TJvFindReplaceBase	Edit topic

Replaces all text in EditControl.

Pascal

procedure ReplaceAll(const SearchText: string; const ReplaceText: string); virtual;

Parameters

const SearchText: string

The text to find.

const ReplaceText: string

The text to replace with.

Description

Call ReplaceAll to start a search and replace on the complete content of EditControl.

Created with Doc-O-Matic.


TJvFixedDataContext
JEDI-VCL Reference

TJvFixedDataContext

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvFixedDataContext = class(TJvDataContext);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFixedDataContext Methods

TJvFixedDataContext	Legend

Methods

 IsDeletable

TJvDataContext

 DoSetName

 Name

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvFixedDataContext Fields

TJvFixedDataContext	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvFixedDataContext Properties

TJvFixedDataContext	Legend

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvFixedDataContext

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContext
                TJvBaseDataContext
                    TJvDataContext
                        TJvFixedDataContext


TJvFixedDataContext Members

TJvFixedDataContext	Legend

Members

Methods

 IsDeletable

TJvDataContext

 DoSetName

 Name

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvFixedDataContext.IsDeletable method

TJvFixedDataContext	Edit topic

Not documented

Pascal

function IsDeletable: Boolean; override;

Description

This is an overridden method, you don't have to describe these if it does the same as the inherited method This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvFloppyFormatAction
JEDI-VCL Reference

TJvFloppyFormatAction

Hierarchy	Properties	Events	 Edit topic

Action that displays the TJvFormatDriveDialog dialog.

Pascal

TJvFloppyFormatAction = class(TJvCommonDialogFAction);

File

JvDialogActns

Description

Add TJvFloppyFormatAction to an action list to add a standard Shell format dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display the standard Shell format dialog when invoked, that allows the user to format a drive.

Created with Doc-O-Matic.


TJvFloppyFormatAction Properties

TJvFloppyFormatAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvFloppyFormatAction Events

TJvFloppyFormatAction	Legend

Events

TJvCommonDialogFAction

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvFloppyFormatAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvCommonDialogFAction
            TJvFloppyFormatAction


TJvFloppyFormatAction Members

TJvFloppyFormatAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogFAction

 AfterExecute

 BeforeExecute

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFloppyFormatAction.Dialog property

TJvFloppyFormatAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvFormatDriveDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvFontComboBox
JEDI-VCL Reference

 TJvFontComboBox

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Combo box that enables the user to select a font from a drop-down list.

Pascal

TJvFontComboBox = class(TJvCustomComboBox);

File

JvColorCombo

Description

TJvFontCombobox is a TJvCustomComboBox descendant which enables the user to select a font from a drop-down list of the face names for all fonts supported by the screen /installed on the system.

Created with Doc-O-Matic.


TJvFontComboBox Properties

TJvFontComboBox	Legend

Properties

 Device

 DroppedDownWidth

 FontName

 FontSizes

 HiliteColor

 HiliteText

 MaxMRUCount

 MRUCount

 Options

 Sorted

 UseImages

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvFontComboBox Events

TJvFontComboBox	Legend

Events

 OnDrawPreviewEvent

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFontComboBox Methods

TJvFontComboBox

Methods

AddToMRU

BeginUpdate

ClearMRU

EndUpdate

FontSizeList

FontSubstitute

IsTrueType

Created with Doc-O-Matic.


Legend

TJvFontComboBox

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TJvCustomComboBox
    TJvFontComboBox


TJvFontComboBox Members

TJvFontComboBox	Legend

Members

Properties

 Device

 DroppedDownWidth

 FontName

 FontSizes

 HiliteColor

 HiliteText

 MaxMRUCount

 MRUCount

 Options

 Sorted

 UseImages

Events

 OnDrawPreviewEvent

Methods

AddToMRU

BeginUpdate

ClearMRU

EndUpdate

FontSizeList

FontSubstitute

IsTrueType

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

StdCtrls


TJvFontComboBox.Device property

TJvFontComboBox	See Also	Edit topic

Specifies the device from which to retrieve the list of available fonts.

Pascal

property Device: TFontDialogDevice;

Description

These are the possible values of Device:
Value	Meaning
fdScreen	Retrieve from the screen.
fdPrinter	Retrieve from the printer.
fdBoth	Retrieve from both the screen and the printer.
Created with Doc-O-Matic.


See Also

TJvFontComboBox.UseImages


TJvFontComboBox.DroppedDownWidth property

TJvFontComboBox	Edit topic

Specifies the width, in pixels, of the drop-down list.

Pascal

property DroppedDownWidth: Integer;

Description

Use DropDownWidth to customize the width of the drop-down list.

Created with Doc-O-Matic.


TJvFontComboBox.FontName property

TJvFontComboBox	Edit topic

Specifies the font name that is displayed in the edit box.

Pascal

property FontName: string;

Description

Use the FontName property to read the text of the combo box or specify a new string for the FontName value, to change the current selected font name.

Created with Doc-O-Matic.


TJvFontComboBox.FontSizes property

TJvFontComboBox	Edit topic

Not documented

Pascal

property FontSizes: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFontComboBox.HiliteColor property

TJvFontComboBox	See Also	Edit topic

Specifies the background color of the text that is focused.

Pascal

property HiliteColor: TColor;

Description

Use HiliteColor to read or change the background color of the text that is focused. The focused line is painted using highlight colors, to make it stand out.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.HiliteText


TJvFontComboBox.HiliteText property

TJvFontComboBox	See Also	Edit topic

Specifies the color of the text that is focused.

Pascal

property HiliteText: TColor;

Description

Use HiliteText to specify the color of the text characters (as opposed to the background color) of the focused line. The focused text is painted using highlight colors, to make it stand out.

Created with Doc-O-Matic.


See Also

MaxMRUCount, HiliteColor


TJvFontComboBox.MaxMRUCount property

TJvFontComboBox	See Also	Edit topic

Specifies the max number of MRU items to display in the control.

Pascal

property MaxMRUCount: Integer;

Description

Use MaxMRUCount to specify the max number of recently selected fonts at the top of the control. Setting MaxMRUCount to 0 (the default), means that the MRU list can contain any number of MRU items. To active the MRU list, include foMRU in Options. The MRU items are delimited by a double gray line beneath the last MRU item.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.AddToMRU, TJvFontComboBox.ClearMRU, TJvFontComboBox.MRUCount


TJvFontComboBox.MRUCount property

TJvFontComboBox	See Also	Edit topic

Specifies the number of MRU items in the control.

Pascal

property MRUCount: Integer;

Description

Use MRUCount to read the number of items currently in the MRU list.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.AddToMRU, TJvFontComboBox.ClearMRU, TJvFontComboBox.MaxMRUCount


TJvFontComboBox.OnDrawPreviewEvent event

TJvFontComboBox	See Also	Edit topic

Occurs when the control is about to draw a font preview.

Pascal

property OnDrawPreviewEvent: TJvDrawPreviewEvent;

Parameters

Sender

The control that triggered the event.

AFontName

The name pf the fnt about to be drawn.

APreviewText

The text to use to draw the preview.

ATextWidth

The approximate width required to draw the font name and the preview text.

DrawPreview

Indicates whether to draw the preview or not for this font. The default value is determined by comparing ATextWidth with ClientWidth.

Description

Write a handler for the OnDrawPreviewEvent to selectively suppress drawing of the font preview in the control. OnDrawPreviewEvent is only called if foPreviewFont is in Options.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.Options


TJvFontComboBox.Options property

TJvFontComboBox	See Also	Edit topic

Determines the appearance and behavior of the font combo box.

Pascal

property Options: TJvFontComboOptions;

Description

Use the Options property to customize the appearance and functionality of the combo box.

Use Options to

Specify which type of fonts the combobox should contain.

Display each font name in the combo box using the specific font.

Display a font preview in the control.

Display a MRU list at the top of the control.

Created with Doc-O-Matic.


See Also

TJvFontComboOptions


TJvFontComboBox.Sorted property

TJvFontComboBox	See Also	Edit topic

Determines whether the list portion of the combo box is alphabetized.

Pascal

property Sorted: Boolean;

Description

Set Sorted to true to sort the font names in the list alphabetically.

When Sorted is changed from false to true, the original order of the items is lost. Setting Sorted back to false does not restore the original order.

Notes

If foMRU is in Options, Sorted is set to false and cannot be set to true.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.FontName, TJvFontComboBox.Options


TJvFontComboBox.UseImages property

TJvFontComboBox	Edit topic

Specifies whether to use images to indicate the font type.

Pascal

property UseImages: Boolean;

Description

If UseImages is set to True, the combobox uses images to indicate the font type. Set UseImages to False to disable showing images.

The following table lists the possible images and their meaning.
Image	Font Type
	TrueType font.
	The printer supports downloading this TrueType font.
	Other font, such as vector or raster fonts.
Created with Doc-O-Matic.


TJvFontComboBox.AddToMRU method

TJvFontComboBox	See Also	Edit topic

Adds the currently selected font to the MRU list.

Pascal

function AddToMRU: Integer;

Return Value

0 if the item was added (MRU items are always added at the top) or the index of an existing item in the MRU list.

Description

Call AddToMRU to programmatically add the currently selected font to the MRU list. This method only has effect if foMRU is in Options.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.ClearMRU, TJvFontComboBox.MaxMRUCount, TJvFontComboBox.MRUCount, TJvFontComboBox.Options


TJvFontComboBox.BeginUpdate method

TJvFontComboBox	Edit topic

Not documented

Pascal

function BeginUpdate: integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFontComboBox.ClearMRU method

TJvFontComboBox	See Also	Edit topic

Clears the MRU list.

Pascal

procedure ClearMRU;

Description

Call ClearMRU to remove all fonts from the MRU list.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.AddToMRU


TJvFontComboBox.EndUpdate method

TJvFontComboBox	Edit topic

Not documented

Pascal

function EndUpdate: integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFontComboBox.FontSizeList method

TJvFontComboBox	Edit topic

Not documented

Pascal

procedure FontSizeList(SizeList: TList);

Parameters

SizeList: TList

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFontComboBox.FontSubstitute method

TJvFontComboBox	See Also	Edit topic

Returns a substitute font for a specific font.

Pascal

function FontSubstitute(const AFontName: string): string;

Return Value

Returns the name of a substitute font, or the value of parameter AFontName if no substitute is found.

Parameters

const AFontName: string

The name of the font to search a substitute for.

Description

Call FontSubstitute to retrieve the name of a substitute font for a font specified by parameter AFontName. This might be useful when a font is not installed on a system (for example, a font in a specific locale).

Created with Doc-O-Matic.


See Also

TJvFontComboBox.FontName


TJvFontComboBox.IsTrueType method

TJvFontComboBox	Edit topic

Not documented

Pascal

function IsTrueType: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvForm
JEDI-VCL Reference

TJvForm

Hierarchy	Properties	Events	 See Also	Edit topic

The base class for forms.

Pascal

TJvForm = class(TJvExForm);

File

JvComponent

Description

TJvForm is the base class for forms within the JEDI VCL. The class defines one published property, AboutJVCL, that is used to display information about the currently installed JEDI-VCL release.

Created with Doc-O-Matic.


TJvForm Properties

TJvForm	Legend

Properties

TJvExForm

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvForm Events

TJvForm	Legend

Events

TJvExForm

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvForm

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TForm, IJvExControl
        TJvExForm
            TJvForm


TJvForm Members

TJvForm	Legend

Members

Properties

TJvExForm

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvExForm

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


See Also

TJvWinControl


TJvFormatDriveDialog
JEDI-VCL Reference

 TJvFormatDriveDialog

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Displays the standard Shell format dialog.

Pascal

TJvFormatDriveDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

TJvFormatDrive is a wrapper for the Windows SHFormatDrive API.

This Windows API function displays the standard Shell format dialog. The actual format process is controlled by the dialog interface. It cannot be started programmatically.

Use Drive to specify the drive to format. Use FormatType to specify which option button is selected in the Format type group box of the format dialog. Note that the user can nevertheless select another format type. Use Capacity to specify the formatted capacity of the drive.

Some values of FormatType and Capacity are ignored on Windows NT, 2000 and XP systems. For example, if you set Capacity to dcSize360kB, under Windows XP this value is ignored and the system uses the drives default capacity.

Call Execute to display the format dialog.

Created with Doc-O-Matic.


TJvFormatDriveDialog Properties

TJvFormatDriveDialog	Legend

Properties

 Capacity

 Drive

 FormatType

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFormatDriveDialog Events

TJvFormatDriveDialog	Legend

Events

 OnError

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFormatDriveDialog Methods

TJvFormatDriveDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvFormatDriveDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvFormatDriveDialog


TJvFormatDriveDialog Members

TJvFormatDriveDialog	Legend

Members

Properties

 Capacity

 Drive

 FormatType

TJvComponent

 AboutJVCL

Events

 OnError

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvFormatDriveDialog.Capacity property

TJvFormatDriveDialog	See Also	Edit topic

Specifies the formatted capacity of the drive.

Pascal

property Capacity: TJvDriveCapacity;

Description

Use Capacity to specify the formatted capacity of the drive.

Notes

The dcSize360kB and dcSize720kB values are only supported on Windows 95, 98 and ME. On Windows NT and XP systems, the value of Capacity is ignored.

Created with Doc-O-Matic.


See Also

Execute, TJvFormatDriveDialog.Drive, TJvFormatDriveDialog.FormatType


TJvFormatDriveDialog.Drive property

TJvFormatDriveDialog	See Also	Edit topic

Specifies the drive to format.

Pascal

property Drive: Char;

Description

Use Drive to specify the drive letter of the drive to format.

Created with Doc-O-Matic.


See Also

Execute, TJvFormatDriveDialog.Capacity, TJvFormatDriveDialog.FormatType


TJvFormatDriveDialog.FormatType property

TJvFormatDriveDialog	See Also	Edit topic

Specifies the type of format operation.

Pascal

property FormatType: TJvFormatDriveKind;

Description

Use FormatType to specify which option button is selected in the Format type group box of the format dialog.

Notes

The ftBootable value is only supported on Windows 95, 98 and ME. On Windows NT and XP systems, if FormatType is set to ftBootable, Execute behaves as if FormatType was set to ftStandard.

Created with Doc-O-Matic.


See Also

Execute, TJvFormatDriveDialog.Capacity, TJvFormatDriveDialog.Drive


TJvFormatDriveDialog.OnError event

TJvFormatDriveDialog	See Also	Edit topic

Occurs when the format operation fails or when the user cancels the format dialog.

Pascal

TJvFormatDriveErrorEvent = procedure (Sender: TObject; Error: TJvFormatDriveError) of object;
property OnError: TJvFormatDriveErrorEvent;

Parameters

Error

Indicates the type of error that occurred.

Sender

The TJvFormatDrive component that has sent this event.

Description

Write an OnError event handler to take specific actions when the format operation fails or when the user cancels the format dialog.

Created with Doc-O-Matic.


See Also

Execute


TJvFormatDriveDialog.Execute method

TJvFormatDriveDialog	See Also	Edit topic

Displays the standard Shell format dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true on success, otherwise false.

Description

Call Execute to display the standard Shell format dialog.

When Execute does not succeed or when the user cancels the format dialog, an OnError event is fired.

Created with Doc-O-Matic.


See Also

TJvFormatDriveDialog.Capacity, TJvFormatDriveDialog.Drive, TJvFormatDriveDialog.FormatType, TJvFormatDriveDialog.OnError


TJvFormAutoSize
JEDI-VCL Reference

 TJvFormAutoSize

Hierarchy	Properties	Package	 Edit topic

Component that will resize all components of the form whenever the form resizes.

Pascal

TJvFormAutoSize = class(TJvComponent);

File

JvFormAutoSize

Description

The TJvFormAutoSize component will resize and move your controls whenever the form is resized. This is achieved by assigning the form's OnResize event to the components Resize method. The old event will be saved and called from this method.

To have your controls move and resize according to the forms size you should execute the following tasks:

Drop a TJvFormAutoSize component on a form.

Activate the component.

Notes

Do not assign a new OnResize event handler after the component has been activated. If you do assign a new handler, TJvFormAutoSize will not work.

Created with Doc-O-Matic.


TJvFormAutoSize Properties

TJvFormAutoSize	Legend

Properties

 Active

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFormAutoSize

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvFormAutoSize


TJvFormAutoSize Members

TJvFormAutoSize	Legend

Members

Properties

 Active

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

AppFrm


TJvFormAutoSize.Active property

TJvFormAutoSize	Edit topic

Indicates whether or not control adjusting is active.

Pascal

property Active: Boolean;

Description

Active indicates whether or not the control position and sizing is active. When set to true, controls position and size will be adjusted to the form size.

Created with Doc-O-Matic.


TJvFormPlacement
JEDI-VCL Reference

TJvFormPlacement

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Enables storing and retrieving the placement and size of a form.

Pascal

TJvFormPlacement = class(TJvComponent);

File

JvFormPlacement

Description

TJvFormPlacement is a base class for the TJvFormStorage component. These components provide a quick method for storing and retrieving data to a storage.

The TJvFormPlacement component enables automatically storing and retrieving the placement and size of its parent form.

To use this component, do the following:

Drop a TJvFormPlacement on a form.

Use Options to specify what information about the parent form should be stored.

Use the AppStorage property to link the component to a storage component.

Use AppStoragePath to specify the location in the storage to save and read the data to.

You can then set property Active to true to allow automatically save and restore the specified properties, or call the RestoreFormPlacement and SaveFormPlacement methods at run-time to retrieve or save the form.

The MinMaxInfo property provides an easy way to limit a sizable form's minimum and maximum tracking size.

Write OnSavePlacement and OnRestorePlacement event handlers to save and restore additional information, but you could also use the TJvFormStorage for this task.

Link the TJvFormPlacement (or TJvFormStorage) component to the IniStorage property of other components to save and load information specific for these components (TJvCheckListBox, TJvDrawGrid, TJvSpeedbar, TJvMRUManager, TJvDBGrid) with no additional code.

Created with Doc-O-Matic.


TJvFormPlacement Properties

TJvFormPlacement	Legend

Properties

 Active

 AppStorage

 AppStoragePath

 Form

 MinMaxInfo

 Options

 PreventResize

 Version

 VersionCheck

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvFormPlacement Events

TJvFormPlacement	Legend

Events

 OnRestorePlacement

 OnSavePlacement

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFormPlacement Methods

TJvFormPlacement

Methods

EraseSections

IsActive

ReadBoolean

ReadDateTime

ReadFloat

ReadInteger

ReadString

RestoreFormPlacement

SaveFormPlacement

WriteBoolean

WriteDateTime

WriteFloat

WriteInteger

WriteString

Created with Doc-O-Matic.


Legend

TJvFormPlacement

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvFormPlacement


TJvFormPlacement Members

TJvFormPlacement	Legend

Members

Properties

 Active

 AppStorage

 AppStoragePath

 Form

 MinMaxInfo

 Options

 PreventResize

 Version

 VersionCheck

TJvComponent

 AboutJVCL

Events

 OnRestorePlacement

 OnSavePlacement

Methods

EraseSections

IsActive

ReadBoolean

ReadDateTime

ReadFloat

ReadInteger

ReadString

RestoreFormPlacement

SaveFormPlacement

WriteBoolean

WriteDateTime

WriteFloat

WriteInteger

WriteString

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


See Also

TJvFormStorage


TJvFormPlacement.Active property

TJvFormPlacement	See Also	Edit topic

Indicates whether the component automatically restores and saves the form's placement.

Pascal

property Active: Boolean;

Description

If Active is set to true, the component automatically restores the form's placement when the form is shown, and saves the form's placement when the form is closed.

Alternatively, you can call the RestoreFormPlacement and SaveFormPlacement methods to explicitly restore and save the form's placement.

Created with Doc-O-Matic.


See Also

RestoreFormPlacement, SaveFormPlacement


TJvFormPlacement.AppStorage property

TJvFormPlacement	See Also	Edit topic

Links the component to a storage component.

Pascal

property AppStorage: TJvCustomAppStorage;

Description

Set AppStorage to an application storage component that gives access to a specific storage, such as a xml file or the registry. AppStorage allows the TJvFormPlacement component to read from and write to the storage.

To allow the placement data of a form to be read or written from a storage, both the AppStorage and the AppStoragePath properties must be set.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.AppStoragePath


TJvFormPlacement.AppStoragePath property

TJvFormPlacement	See Also	Edit topic

Specifies the location of the stored data in the storage.

Pascal

property AppStoragePath: string;

Description

Use AppStoragePath to specify the location of the stored data in the storage.

The storage system uses paths and uses the concept of folders and values (much like folders and files on an OS). AppStoragePath is a path relative to the root folder of the storage component.

To allow the placement data of a form to be read or written from a storage, both the AppStorage and the AppStoragePath properties must be set.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.AppStorage


TJvFormPlacement.Form property

TJvFormPlacement	Edit topic

Provides access to the form which placement is controlled by the component.

Pascal

property Form: TForm;

Description

Use Form to access the form - the owner of this component - which placement is controlled by this component.

Created with Doc-O-Matic.


TJvFormPlacement.MinMaxInfo property

TJvFormPlacement	Edit topic

Specifies the size constraints for the form.

Pascal

property MinMaxInfo: TJvWinMinMaxInfo;

Description

Use MinMaxInfo to specify the minimum and maximum width and height of the form.

When MinMaxInfo contains maximum or minimum values, the form cannot be resized to violate those constraints.

Created with Doc-O-Matic.


TJvFormPlacement.OnRestorePlacement event

TJvFormPlacement	See Also	Edit topic

Occurs after the form's placement has been retrieved and restored.

Pascal

property OnRestorePlacement: TNotifyEvent;

Description

Write an OnRestorePlacement event handler to respond after the the form's placement has been retrieved and restored. For example you can read other values from the storage that are not managed by the component - using the ReadInteger and ReadString methods.

This event is fired before the control that has focus on the form is retrieved and restored; thus, you can alter this restoring behavior in an event handler by modifying property Options.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.OnSavePlacement


TJvFormPlacement.OnSavePlacement event

TJvFormPlacement	See Also	Edit topic

Occurs after the form's placement has been stored.

Pascal

property OnSavePlacement: TNotifyEvent;

Description

Write an OnSavePlacement event handler to respond after the form's placement has been stored. For example you can write other values to the storage that are not managed by the component - using the WriteInteger and WriteString methods.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.OnRestorePlacement


TJvFormPlacement.Options property

TJvFormPlacement	See Also	Edit topic

Specifies which information to store and retrieve from the storage.

Pascal

property Options: TPlacementOptions;

Description

Use Options to specify whether to store and retrieve:

How the form appears on the screen: minimized, maximized, or in a normal state.

The placement of the form: the form's normal, minimized and maximized size and position and its minimum and maximum tracking size, use MinMaxInfo to specify values other than the system-defined default values.

The control that has focus on the form.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.MinMaxInfo


TJvFormPlacement.PreventResize property

TJvFormPlacement	Edit topic

Specifies whether the component prevents the form from being resized.

Pascal

property PreventResize: Boolean;

Description

Set PreventResize to true, to prevent the form from being resized. For example, you can drop an TJvFormPlacement component on a MDI child form, and set PreventResize to true, to prevent the user from resizing the child form.

Created with Doc-O-Matic.


TJvFormPlacement.Version property

TJvFormPlacement	See Also	Edit topic

Specifies a version number.

Pascal

property Version: Integer;

Description

Use Version to prevent the component from retrieving the form's placement from out-of-date information in the storage.

The Version number is stored together with the form's placement information in the storage. Then, before the component retrieves the placement info from the storage, it compares the stored version number with the value specified by Version. If the stored version is less then the value specified by Version, the component does not retrieve the placement info.

Thus increase Version each time stored placement information becomes out-of-date.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.EraseSections


TJvFormPlacement.VersionCheck property

TJvFormPlacement	Edit topic

Not documented

Pascal

property VersionCheck: TJvFormPlacementVersionCheck;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormPlacement.EraseSections method

TJvFormPlacement	See Also	Edit topic

Erases all sections used by this component of the storage.

Pascal

procedure EraseSections;

Description

Call EraseSection to remove all sections, all their keys, and their data values from the storage.

Created with Doc-O-Matic.


See Also

Version


TJvFormPlacement.IsActive method

TJvFormPlacement	See Also	Edit topic

Indicates whether Active is set to true and an application storage component is specified.

Pascal

function IsActive: Boolean;

Return Value

Returns true when Active is true and AppStorage is not nil, otherwise returns false.

Description

IsActive indicates whether the form storage component is active.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.Active, TJvFormPlacement.AppStorage


TJvFormPlacement.ReadBoolean method

TJvFormPlacement	Edit topic

Not documented

Pascal

function ReadBoolean(const Ident: string; Default: Boolean): Boolean;

Parameters

const Ident: string

Not documented

Default: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormPlacement.ReadDateTime method

TJvFormPlacement	Edit topic

Not documented

Pascal

function ReadDateTime(const Ident: string; Default: TDateTime = 0): TDateTime;

Parameters

const Ident: string

Not documented

Default: TDateTime = 0

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormPlacement.ReadFloat method

TJvFormPlacement	Edit topic

Not documented

Pascal

function ReadFloat(const Ident: string; Default: Double = 0): Double;

Parameters

const Ident: string

Not documented

Default: Double = 0

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormPlacement.ReadInteger method

TJvFormPlacement	See Also	Edit topic

Retrieves an integer value from the storage.

Pascal

function ReadInteger(const Ident: string; Default: Longint = 0): Longint;

Parameters

const Ident: string

Identifies the name of the data value from which to retrieve the value.

Default: Longint = 0

Specifies an integer value to use if the data value is not in the storage.

Description

Call ReadInteger to retrieve an integer value from the storage.

Created with Doc-O-Matic.


See Also

ReadString , WriteInteger


TJvFormPlacement.ReadString method

TJvFormPlacement	See Also	Edit topic

Retrieves a string value from the storage.

Pascal

function ReadString(const Ident: string; const Default: string = ''): string;

Parameters

const Ident: string

Identifies the name of the data value from which to retrieve the value.

const Default: string = ''

Specifies a string value to use if the data value is not in the storage.

Description

Call ReadString to retrieve a string value from the storage.

Created with Doc-O-Matic.


See Also

ReadInteger , WriteString


TJvFormPlacement.RestoreFormPlacement method

TJvFormPlacement	See Also	Edit topic

Restores the form's placement to the placement retrieved from the storage.

Pascal

procedure RestoreFormPlacement;

Description

Call RestoreFormPlacement to explicitly restore the form's placement to the placement retrieved from the storage.

If Active is set to true, the component automatically restores the placement information when the form is shown; thus, no call to RestoreFormPlacement is needed.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.Active, SaveFormPlacement


TJvFormPlacement.SaveFormPlacement method

TJvFormPlacement	See Also	Edit topic

Stores the form's placement information in the storage.

Pascal

procedure SaveFormPlacement;

Description

Call SaveFormPlacement to explicitly store the form's placement in the storage.

If Active is set to true, the component automatically stores the placement information when the form is closed; thus, no call to SaveFormPlacement is needed.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.Active, RestoreFormPlacement


TJvFormPlacement.WriteBoolean method

TJvFormPlacement	Edit topic

Not documented

Pascal

procedure WriteBoolean(const Ident: string; AValue: Boolean);

Parameters

const Ident: string

Not documented

AValue: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormPlacement.WriteDateTime method

TJvFormPlacement	Edit topic

Not documented

Pascal

procedure WriteDateTime(const Ident: string; AValue: TDateTime);

Parameters

const Ident: string

Not documented

AValue: TDateTime

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormPlacement.WriteFloat method

TJvFormPlacement	Edit topic

Not documented

Pascal

procedure WriteFloat(const Ident: string; AValue: Double);

Parameters

const Ident: string

Not documented

AValue: Double

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormPlacement.WriteInteger method

TJvFormPlacement	See Also	Edit topic

Writes an integer value to the storage.

Pascal

procedure WriteInteger(const Ident: string; AValue: Longint);

Parameters

const Ident: string

Identifies the name of the data value into which to write.

AValue: Longint

The integer value to write.

Description

Call WriteInteger to store an integer value in the storage.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.AppStorage, TJvFormPlacement.AppStoragePath, TJvFormPlacement.ReadInteger, TJvFormPlacement.WriteString


TJvFormPlacement.WriteString method

TJvFormPlacement	See Also	Edit topic

Writes a string value to the storage.

Pascal

procedure WriteString(const Ident: string; const AValue: string);

Parameters

const Ident: string

Identifies the name of the data value into which to write.

const AValue: string

The string value to write.

Description

Call WriteInteger to store an integer value in the storage.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.AppStorage, TJvFormPlacement.AppStoragePath, TJvFormPlacement.ReadString, TJvFormPlacement.WriteInteger


TJvFormStorage
JEDI-VCL Reference

 TJvFormStorage

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

General storage component.

Pascal

TJvFormStorage = class(TJvFormPlacement);

File

JvFormPlacement

Description

Use a TJvFormStorage component to store and retrieve data from a storage - either the system registry or an ini file. The component can store, retrieve and restore published properties of any component on the form.

For example you can use the component to save the position of a splitter, the text of an edit control or the checked value of a ch ckbox on closure of a form, and later retrieve and restore the properties of these components on re-opening of the form.

TJvFormStorage descends from TJvFormPlacement; thus, it also enables you to store and retrieve the forms placement.

To use this component, do the following:

Drop a TJvFormStorage on a form.

Use either the StoredProps editor by double-clicking the component, or the component's properties, to specify which properties of what components you want to be stored and retrieved.

Use the AppStorage property to link the component to a storage component.

Use AppStoragePath to specify the location in the storage to save and read the data to.

You can then set property Active to true to allow automatically save and restore the specified properties, or call the RestoreFormPlacement and SaveFormPlacement methods at run-time to retrieve and store the form.

Link the TJvFormStorage (or TJvFormPlacement) component to the IniStorage property of other components to save and load information specific for these components (TJvCheckListBox, TJvDrawGrid, TJvSpeedbar, TJvMRUManager, TJvDBGrid) with no additional code.

Created with Doc-O-Matic.


TJvFormStorage Properties

TJvFormStorage	Legend

Properties

DefaultValue

 StoredProps

 StoredPropsPath

StoredValue

 StoredValues

 StoredValuesPath

TJvFormPlacement

 Active

 AppStorage

 AppStoragePath

 Form

 MinMaxInfo

 Options

 PreventResize

 Version

 VersionCheck

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvFormStorage Methods

TJvFormStorage

Methods

SetNotification

TJvFormPlacement

EraseSections

IsActive

ReadBoolean

ReadDateTime

ReadFloat

ReadInteger

ReadString

RestoreFormPlacement

SaveFormPlacement

WriteBoolean

WriteDateTime

WriteFloat

WriteInteger

WriteString

Created with Doc-O-Matic.


TJvFormStorage Events

TJvFormStorage	Legend

Events

TJvFormPlacement

 OnRestorePlacement

 OnSavePlacement

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFormStorage

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvFormPlacement
            TJvFormStorage


TJvFormStorage Members

TJvFormStorage	Legend

Members

Properties

DefaultValue

 StoredProps

 StoredPropsPath

StoredValue

 StoredValues

 StoredValuesPath

TJvFormPlacement

 Active

 AppStorage

 AppStoragePath

 Form

 MinMaxInfo

 Options

 PreventResize

 Version

 VersionCheck

TJvComponent

 AboutJVCL

Methods

SetNotification

TJvFormPlacement

EraseSections

IsActive

ReadBoolean

ReadDateTime

ReadFloat

ReadInteger

ReadString

RestoreFormPlacement

SaveFormPlacement

WriteBoolean

WriteDateTime

WriteFloat

WriteInteger

WriteString

Events

TJvFormPlacement

 OnRestorePlacement

 OnSavePlacement

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


See Also

TJvFormPlacement


Package

System


TJvFormStorage.DefaultValue property

TJvFormStorage	See Also	Edit topic

References the stored values in the list by their name.

Pascal

property DefaultValue [const Name: string; DefValue: Variant]: Variant;

Parameters

Name

Identifies the name of the stored value.

DefValue

Specifies a value to use if the stored value is not in the storage.

Description

Use the DefaultValue property to get or set the value represented by a stored value object with a particular name.

If you use DefaultValue to get the value of a stored value object that is NULL, DefaultValue returns the value represented by the Default parameter. If you try to set the value of a stored value object to NULL, then it is actually set to the value represented by the Default parameter.

Created with Doc-O-Matic.


See Also

TJvFormStorage.StoredValue


TJvFormStorage.StoredProps property

TJvFormStorage	See Also	Edit topic

Lists all controls and their stored properties, that are managed by the storage component.

Pascal

property StoredProps: TStrings;

Description

Use StoredProps to directly determine the components and their properties that are managed by the storage component. The format of the list is:

  component.property

Thus for example:

  CheckBox1.Checked

  Button1.Caption

A StoredProps editor is provided for design-time editing of the StoredProps property.

Created with Doc-O-Matic.


See Also

TJvFormStorage.StoredValue


TJvFormStorage.StoredPropsPath property

TJvFormStorage	See Also	Edit topic

The path to add before the name of any item of StoredProps

Pascal

property StoredPropsPath: string;

Description

If there are items of StoredProps and StoredValues that have the same name, the generated file will be invalid and will not be readable. To avoid this, set this property and/or StoredValuesPath to a non empty value.

Created with Doc-O-Matic.


See Also

TJvFormStorage.StoredProps, TJvFormStorage.StoredValues, TJvFormStorage.StoredValuesPath


TJvFormStorage.StoredValue property

TJvFormStorage	See Also	Edit topic

References the stored values in the list by their name.

Pascal

property StoredValue [const Name: string]: Variant;

Description

Use the StoredValue property to get or set the value represented by a stored value object with a particular name.

Created with Doc-O-Matic.


See Also

TJvFormStorage.DefaultValue, TJvFormStorage.StoredProps, TJvStoredValues.Items, TJvStoredValues.Values


TJvFormStorage.StoredValues property

TJvFormStorage	See Also	Edit topic

Contains the stored values for a storage component.

Pascal

property StoredValues: TJvStoredValues;

Description

Access StoredValues at runtime to view and set stored value names and values dynamically (at design time use the collection editor f r the StoredProps property to set stored value information). StoredValues can be accessed as a zero-based array of TJvStoredValue objects. Index specifies the array element to access.

The following code assumes that the storage component has 3 stored value objects, and sets and stores their values:

  JvFormStorage1.StoredValues[0].Value := 'Germany';

  JvFormStorage1.StoredValues[1].Value := 'Berlin';

  JvFormStorage1.StoredValues[2].Value := 10331000;

  JvFormStorage1.StoredValues.SaveValues;

Notes

An easier way to set and retrieve values of stored value objects when the name of each stored value object is known is to call StoredValue; however, StoredValue cannot be used to change a stored value’s name.

Created with Doc-O-Matic.


See Also

TJvFormStorage.StoredValue, TJvStoredValues, TJvStoredValues.Items


TJvFormStorage.StoredValuesPath property

TJvFormStorage	See Also	Edit topic

The path to add before the name of any item of StoredValues

Pascal

property StoredValuesPath: string;

Description

If there are items of StoredProps and StoredValues that have the same name, the generated file will be invalid and will not be readable. To avoid this, set this property and/or StoredPropsPath to a non empty value.

Created with Doc-O-Matic.


See Also

TJvFormStorage.StoredProps, TJvFormStorage.StoredValues, TJvFormStorage.StoredPropsPath


TJvFormStorage.SetNotification method

TJvFormStorage	Edit topic

Ensures that the storage component is notified that a component with a stored property is going to be destroyed.

Pascal

procedure SetNotification;

Description

SetNotification is called by the storage component, after an update of StoredProps. It ensures that the components whose properties are listed in StoredProps notify the storage component when they are going to be destroyed.

Created with Doc-O-Matic.


TJvFormToHtml
JEDI-VCL Reference

 TJvFormToHtml

Hierarchy	Properties	Methods	Package	 Edit topic

Converts a TForm and content to HTML code.

Pascal

TJvFormToHtml = class(TJvComponent);

File

JvFormToHtml

Description

Use a TJvFormToHtml to convert a TForm and its content to the equivalent HTML. Note that TJvFormToHtml can only convert controls also available in HTML (see the description of FormToHtml for a detailed list of supported controls).

Created with Doc-O-Matic.


TJvFormToHtml Methods

TJvFormToHtml

Methods

FormToHtml

Created with Doc-O-Matic.


TJvFormToHtml Properties

TJvFormToHtml	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFormToHtml

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvFormToHtml


TJvFormToHtml Members

TJvFormToHtml	Legend

Members

Methods

FormToHtml

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Net


TJvFormToHtml.FormToHtml method

TJvFormToHtml	Edit topic

Converts a form to HTML.

Pascal

procedure FormToHtml(const Form: TCustomForm; const Filename: string);

Parameters

const Form: TCustomForm

The form to convert.

const Filename: string

The file to save the generated HTML to.

Description

Call FormToHtml to convert a form to HTML code. The content of the form (controls and their positions) is converted to and saved to a file. Note that only controls available in HTML are converted (edits, memos, buttons, checkboxes, radiobuttons, comboboxes, listboxes and labels).

Created with Doc-O-Matic.


TJvFormWallpaper
JEDI-VCL Reference

 TJvFormWallpaper

Hierarchy	Properties	Package	 Edit topic

Fills the background of a form or a panel with an image.

Pascal

TJvFormWallpaper = class(TJvGraphicControl);

File

JvFormWallpaper

Description

Use this component to fill the background of a form with an image; such an image is called a wallpaper. You may know it from your Windows Desktop, to which you may assign a wallpaper as well.

After dropping the component on the form, you may specify the image (property Image), which is to be displayed.

Wallpapers can be aligned and respect the ownership of a panel, i.e. you can use this component not only for forms, but for panels as well.

Created with Doc-O-Matic.


TJvFormWallpaper Properties

TJvFormWallpaper	Legend

Properties

 Image

 Offset

 OffsetMode

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFormWallpaper

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvFormWallpaper


TJvFormWallpaper Members

TJvFormWallpaper	Legend

Members

Properties

 Image

 Offset

 OffsetMode

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

AppFrm


TJvFormWallpaper.Image property

TJvFormWallpaper	Edit topic

Image to be displayed as the background of a form or a panel.

Pascal

property Image: TPicture;

Description

Assign an image to this property which is to be used as a wallpaper.

Created with Doc-O-Matic.


TJvFormWallpaper.Offset property

TJvFormWallpaper	Edit topic

Not documented

Pascal

property Offset: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFormWallpaper.OffsetMode property

TJvFormWallpaper	Edit topic

Not documented

Pascal

property OffsetMode: TJvOffsetMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber
JEDI-VCL Reference

 TJvFtpUrlGrabber

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This is the grabber for FTP URLs

Pascal

TJvFtpUrlGrabber = class(TJvProxyingUrlGrabber);

File

JvUrlGrabbers

Description

This grabber handles FTP URLs, that is URLs that start with 'ftp://'

Created with Doc-O-Matic.


TJvFtpUrlGrabber Properties

TJvFtpUrlGrabber	Legend

Properties

 Agent

 FileName

 Mode

 OutputMode

 Passive

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 Url

 UserName

TJvProxyingUrlGrabber

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvFtpUrlGrabber Events

TJvFtpUrlGrabber	Legend

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFtpUrlGrabber Methods

TJvFtpUrlGrabber	Legend

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFtpUrlGrabber

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomUrlGrabber
            TJvProxyingUrlGrabber
                TJvFtpUrlGrabber


TJvFtpUrlGrabber Members

TJvFtpUrlGrabber	Legend

Members

Properties

 Agent

 FileName

 Mode

 OutputMode

 Passive

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 Url

 UserName

TJvProxyingUrlGrabber

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Net


TJvFtpUrlGrabber.Agent property

TJvFtpUrlGrabber	Edit topic

The Agent to impersonate

Pascal

property Agent: string;

Description

Most protocols use an agent name to identify the software used to communicate. Use this property to indicate the agent string.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.FileName property

TJvFtpUrlGrabber	See Also	Edit topic

The name of the file to write to if OutputMode is omFile

Pascal

property FileName: TFileName;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OutputMode


TJvFtpUrlGrabber.Mode property

TJvFtpUrlGrabber	See Also	Edit topic

The mode in which the transfer will occur

Pascal

property Mode: TJvFtpDownloadMode;
property Mode: TJvFtpDownloadMode;

Description

Either Binary or ASCII

Created with Doc-O-Matic.


See Also

TJvFtpUrlGrabber.Passive


TJvFtpUrlGrabber.OnClosingConnection event

TJvFtpUrlGrabber	See Also	Edit topic

This event is triggered when the connection is about to be closed

Pascal

property OnClosingConnection: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectionClosed


TJvFtpUrlGrabber.OnConnectedToServer event

TJvFtpUrlGrabber	See Also	Edit topic

This event is triggered when the connection to the server has been established

Pascal

property OnConnectedToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectingToServer


TJvFtpUrlGrabber.OnConnectingToServer event

TJvFtpUrlGrabber	See Also	Edit topic

This event is triggered when about to connect to the server

Pascal

property OnConnectingToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectedToServer


TJvFtpUrlGrabber.OnConnectionClosed event

TJvFtpUrlGrabber	See Also	Edit topic

This event is triggered when the connection has been closed

Pascal

property OnConnectionClosed: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnClosingConnection


TJvFtpUrlGrabber.OnDoneFile event

TJvFtpUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the file is finished

Pascal

property OnDoneFile: TJvDoneFileEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneStream, TJvCustomUrlGrabber.OutputMode


TJvFtpUrlGrabber.OnDoneStream event

TJvFtpUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the stream is finished

Pascal

property OnDoneStream: TJvDoneStreamEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneFile, TJvCustomUrlGrabber.OutputMode


TJvFtpUrlGrabber.OnError event

TJvFtpUrlGrabber	Edit topic

This event is triggered when an error has occurred

Pascal

property OnError: TJvErrorEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.OnNameResolved event

TJvFtpUrlGrabber	See Also	Edit topic

This event is triggered when the name used in the Url has been resolved

Pascal

property OnNameResolved: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResolvingName


TJvFtpUrlGrabber.OnProgress event

TJvFtpUrlGrabber	Edit topic

This event is triggered while the grabbing is in progress

Pascal

property OnProgress: TJvUrlGrabberProgressEvent;

Parameters

Sender

The grabber object that has made some progress

Position

The position in the object where the grabbing process is at the moment

TotalSize

The total size of the object being grabbed. It may be 0 if the protocol could not give the size of the object

Url

The URL of the object being grabbed

Continue

If you set this value to False, the grabbing will be canceled

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.OnReceivingResponse event

TJvFtpUrlGrabber	See Also	Edit topic

Event triggered when a response is being received

Pascal

property OnReceivingResponse: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResponseReceived


TJvFtpUrlGrabber.OnRedirect event

TJvFtpUrlGrabber	Edit topic

Event triggered when the server indicated to go to another URL to get the content

Pascal

property OnRedirect: TNotifyEvent;

Description

This event is usually only triggered by HTTP protocols

Created with Doc-O-Matic.


TJvFtpUrlGrabber.OnRequestComplete event

TJvFtpUrlGrabber	See Also	Edit topic

Event triggered when a request is complete

Pascal

property OnRequestComplete: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent, TJvCustomUrlGrabber.OnSendingRequest


TJvFtpUrlGrabber.OnRequestSent event

TJvFtpUrlGrabber	See Also	Edit topic

Event triggered when a request has been sent

Pascal

property OnRequestSent: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnSendingRequest


TJvFtpUrlGrabber.OnResolvingName event

TJvFtpUrlGrabber	See Also	Edit topic

Event triggered when a name is about to be resolved

Pascal

property OnResolvingName: TNotifyEvent;

Description

If the URL doesn't indicate an IP, the name needs to be resolved before being used

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnNameResolved


TJvFtpUrlGrabber.OnResponseReceived event

TJvFtpUrlGrabber	See Also	Edit topic

Event triggered when a response has been received

Pascal

property OnResponseReceived: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnReceivingResponse


TJvFtpUrlGrabber.OnSendingRequest event

TJvFtpUrlGrabber	See Also	Edit topic

Event triggered when a request is being sent

Pascal

property OnSendingRequest: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent


TJvFtpUrlGrabber.OnStatusChange event

TJvFtpUrlGrabber	See Also	Edit topic

Event triggered when the status of the grabber has changed

Pascal

property OnStatusChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Status


TJvFtpUrlGrabber.OutputMode property

TJvFtpUrlGrabber	Edit topic

The output mode to use for the grabbing operation

Pascal

property OutputMode: TJvOutputMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.Passive property

TJvFtpUrlGrabber	See Also	Edit topic

If true, the FTP transfer will be done in passive mode

Pascal

property Passive: Boolean;
property Passive: Boolean;

Description

There are two modes for a FTP transfer: Active or Passive. Use this property to indicate which one to use

Created with Doc-O-Matic.


See Also

TJvFtpUrlGrabber.Mode


TJvFtpUrlGrabber.Password property

TJvFtpUrlGrabber	See Also	Edit topic

The password to use along with the user name

Pascal

property Password: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

UserName


TJvFtpUrlGrabber.Port property

TJvFtpUrlGrabber	See Also	Edit topic

The port to connect onto the host

Pascal

property Port: Cardinal;

Description

If you want to specifically connect to a given port, indicate it here

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Url


TJvFtpUrlGrabber.ProxyAddresses property

TJvFtpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyAddresses: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.ProxyIgnoreList property

TJvFtpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyIgnoreList: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.ProxyMode property

TJvFtpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyMode: TJvProxyMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.ProxyPassword property

TJvFtpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyPassword: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.ProxyUserName property

TJvFtpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyUserName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.Url property

TJvFtpUrlGrabber	See Also	Edit topic

The URL to grab

Pascal

property Url: string;

Description

When you set this property, the value will be parsed using ParseUrl and if the various non compulsory parts are indicated, they will be the new value of their respective properties.

Created with Doc-O-Matic.


See Also

UserName, TJvCustomUrlGrabber.Password, TJvCustomUrlGrabber.Port


TJvFtpUrlGrabber.UserName property

TJvFtpUrlGrabber	See Also	Edit topic

The user name to use along with the password

Pascal

property UserName: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Password


TJvFtpUrlGrabber.CanGrab method

TJvFtpUrlGrabber	Edit topic

Returns true if the URL is a FTP URL

Pascal

class function CanGrab(const Url: string): Boolean; override;

Return Value

True if the URL is a FTP URL, that is it starts with 'ftp://'

Parameters

const Url: string

The URL to test

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.GetDefaultPropertiesClass method

TJvFtpUrlGrabber	Edit topic

Returns the class to use to display default properties for this type of grabber

Pascal

class function GetDefaultPropertiesClass: TJvCustomUrlGrabberDefaultPropertiesClass; override;

Return Value

Returns TJvFtpUrlGrabberDefaultProperties

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabber.GetSupportedProtocolMarker method

TJvFtpUrlGrabber	See Also	Edit topic

This function returns the marker that indicates the protocol in a URL.

Pascal

class function GetSupportedProtocolMarker: string; override;

Return Value

A string indicating the marker for protocol supported by the class.

Description

For instance, for an HTTP grabber, this would return 'http://'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedURLName


TJvFtpUrlGrabber.GetSupportedURLName method

TJvFtpUrlGrabber	See Also	Edit topic

This function returns the name of the URL supported by the grabber. This is not the protocol part of a URL, but a user displayable string.

Pascal

class function GetSupportedURLName: string; override;

Return Value

A string indicating the type of URL supported by the class.

Description

This function returns a user displayable name that indicates the type of URL supported by the class. For instance, a HTTP grabber class would return 'HTTP'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedProtocolMarker


TJvFtpUrlGrabberDefaultProperties
JEDI-VCL Reference

TJvFtpUrlGrabberDefaultProperties

Hierarchy	Properties	 Edit topic

A class that holds default properties for TJvFtpUrlGrabber

Pascal

TJvFtpUrlGrabberDefaultProperties = class(TJvProxyingUrlGrabberDefaultProperties);

File

JvUrlGrabbers

Description

This class is used by TJvUrlGrabber to display the default properties of the TJvFtpUrlGrabber objects it may create

Created with Doc-O-Matic.


TJvFtpUrlGrabberDefaultProperties Properties

TJvFtpUrlGrabberDefaultProperties	Legend

Properties

 Agent

 Mode

 Passive

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 UserName

TJvProxyingUrlGrabberDefaultProperties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvFtpUrlGrabberDefaultProperties

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomUrlGrabberDefaultProperties
        TJvProxyingUrlGrabberDefaultProperties
            TJvFtpUrlGrabberDefaultProperties


TJvFtpUrlGrabberDefaultProperties Members

TJvFtpUrlGrabberDefaultProperties	Legend

Members

Properties

 Agent

 Mode

 Passive

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 UserName

TJvProxyingUrlGrabberDefaultProperties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvFtpUrlGrabberDefaultProperties.Port property

TJvFtpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property Port: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabberDefaultProperties.ProxyAddresses property

TJvFtpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyAddresses: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabberDefaultProperties.ProxyIgnoreList property

TJvFtpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyIgnoreList: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabberDefaultProperties.ProxyMode property

TJvFtpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyMode: TJvProxyMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabberDefaultProperties.ProxyPassword property

TJvFtpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyPassword: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabberDefaultProperties.ProxyUserName property

TJvFtpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyUserName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabberThread
JEDI-VCL Reference

TJvFtpUrlGrabberThread

Hierarchy	Properties	Methods	 Edit topic

The thread used to grab FTP URLs

Pascal

TJvFtpUrlGrabberThread = class(TJvCustomUrlGrabberThread);

File

JvUrlGrabbers

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFtpUrlGrabberThread Properties

TJvFtpUrlGrabberThread	Legend

Properties

 Grabber

TJvCustomUrlGrabberThread

 Continue

 ErrorText

Status

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvFtpUrlGrabberThread Fields

TJvFtpUrlGrabberThread	Legend

Fields

TJvCustomUrlGrabberThread

 FGrabber

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvFtpUrlGrabberThread Methods

TJvFtpUrlGrabberThread	Legend

Methods

TJvCustomUrlGrabberThread

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvFtpUrlGrabberThread

Legend

read only

protected

Created with Doc-O-Matic.


Hierarchy

TThread
    TJvCustomUrlGrabberThread
        TJvFtpUrlGrabberThread


TJvFtpUrlGrabberThread Members

TJvFtpUrlGrabberThread	Legend

Members

Properties

 Grabber

TJvCustomUrlGrabberThread

 Continue

 ErrorText

Status

Fields

TJvCustomUrlGrabberThread

 FGrabber

Methods

TJvCustomUrlGrabberThread

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvFtpUrlGrabberThread.Grabber property

TJvFtpUrlGrabberThread	Edit topic

Provides an easy access to the grabber associated with the thread

Pascal

property Grabber: TJvFtpUrlGrabber;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFullColorAxisCombo
JEDI-VCL Reference

 TJvFullColorAxisCombo

Hierarchy	Properties	Events	Package	 Edit topic

Combobox filled with the 6 axis configurations.

Pascal

TJvFullColorAxisCombo = class(TCustomComboBox);

File

JvFullColorCtrls

Description

This component is a combobox filled with the 6 axis configurations. This is an useful component to be used with TJvFullColorPanel, TJvFullColorCircle and TJvFullColorTrackBar component.

Created with Doc-O-Matic.


TJvFullColorAxisCombo Properties

TJvFullColorAxisCombo	Legend

Properties

 ColorID

 ItemFormat

 Selected

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFullColorAxisCombo Events

TJvFullColorAxisCombo	Legend

Events

 OnFormatItem

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFullColorAxisCombo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCustomComboBox
    TJvFullColorAxisCombo


TJvFullColorAxisCombo Members

TJvFullColorAxisCombo	Legend

Members

Properties

 ColorID

 ItemFormat

 Selected

Events

 OnFormatItem

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

MM


TJvFullColorAxisCombo.ColorID property

TJvFullColorAxisCombo	Edit topic

Color space ID used to format the item.

Pascal

property ColorID: TJvFullColorSpaceID;

Description

This color space ID is used to format the item string if ItemFormat is afComplete If ID is csRGB, the item acXYZ will be formatted as '[X] Red ; [Y] Green ; [Z] Blue'

Created with Doc-O-Matic.


TJvFullColorAxisCombo.ItemFormat property

TJvFullColorAxisCombo	Edit topic

Method used to format the item.

Pascal

property ItemFormat: TJvFullColorAxisConfigFormat;

Description

Specifies the format used to fill items in the combobox.

If the OnFormatItem event handler exists, the item receive the returned string otherwise the control uses default formatting techniques : The axis configuration is acXYZ If ItemFormat is afShort, the item string will be 'XYZ' If ItemFormat is afIndent, the item string will be 'acXYZ' If ItemFormat is afComplete, the item string will be '[X] xxx ; [Y] yyy ; [Z] zzz' where xxx, yyy and zzz are the color space axis names.

Created with Doc-O-Matic.


TJvFullColorAxisCombo.OnFormatItem event

TJvFullColorAxisCombo	Edit topic

Not documented

Pascal

TJvFullColorAxisFormatEvent = procedure (Sender: TObject; AAxisConfig: TJvFullColorAxisConfig; out ACaption: string) of object;
property OnFormatItem: TJvFullColorAxisFormatEvent;

Parameters

ACaption

Not documented

AAxisConfig

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvFullColorAxisCombo.Selected property

TJvFullColorAxisCombo	Edit topic

Get the selected axis configuration

Pascal

property Selected: TJvFullColorAxisConfig;

Description

Return the selected axis configuration.

Created with Doc-O-Matic.


TJvFullColorCircle
JEDI-VCL Reference

 TJvFullColorCircle

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This control displays a circle useful for color rotation functions

Pascal

TJvFullColorCircle = class(TJvFullColorComponent2D);

File

JvFullColorCtrls

Description

This control is a circle displaying 2 axes of a full color space. One axis is the radius of the control, the other is the rotation. The main advantage of this control is the loop of the axis assigned as the rotation axis. There may be 3 different cursors on the circle to set variations of Green, Red and Blue values. These variations can be used by RotateColor and RotateBitmap functions.

Created with Doc-O-Matic.


TJvFullColorCircle Properties

TJvFullColorCircle	Legend

Properties

 BlueColor

 BlueTrackBar

 CommonTrackBar

 CrossBlueColor

 CrossCenter

 CrossGreenColor

 CrossRedColor

 CrossSize

 CrossStyle

 GreenColor

 GreenTrackBar

 InvertRadius

 InvertRotation

 LineWidth

 RedColor

 RedTrackBar

 Styles

TJvFullColorComponent2D

 ValueZ

 ValueZAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFullColorCircle Events

TJvFullColorCircle	Legend

Events

 OnBlueColorChange

 OnColorSpaceChange

 OnGreenColorChange

 OnRedColorChange

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFullColorCircle Methods

TJvFullColorCircle

Methods

ConvertToID

FullColorToPosition

PositionToFullColor

Created with Doc-O-Matic.


Legend

TJvFullColorCircle

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvFullColorComponent
        TJvFullColorComponent2D
            TJvFullColorCircle


TJvFullColorCircle Members

TJvFullColorCircle	Legend

Members

Properties

 BlueColor

 BlueTrackBar

 CommonTrackBar

 CrossBlueColor

 CrossCenter

 CrossGreenColor

 CrossRedColor

 CrossSize

 CrossStyle

 GreenColor

 GreenTrackBar

 InvertRadius

 InvertRotation

 LineWidth

 RedColor

 RedTrackBar

 Styles

TJvFullColorComponent2D

 ValueZ

 ValueZAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Events

 OnBlueColorChange

 OnColorSpaceChange

 OnGreenColorChange

 OnRedColorChange

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Methods

ConvertToID

FullColorToPosition

PositionToFullColor

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Package

MM


TJvFullColorCircle.BlueColor property

TJvFullColorCircle	Edit topic

Color associated to blue variations.

Pascal

property BlueColor: TJvFullColor;

Description

This color is associated with the blue cross (this color may be modified by the CrossBlueColor). The color space is always the current color space of the control. Changing the color value will change the blue cross position, changing the color space will change the control color space.

Created with Doc-O-Matic.


TJvFullColorCircle.BlueTrackBar property

TJvFullColorCircle	Edit topic

TJvFullColorTrackBar associated with the blue color variations

Pascal

property BlueTrackBar: TJvFullColorTrackBar;

Description

The TJvFullColorTrackBar linked to this property will display the third axis of the BlueColor. Changing the FullColor property of the linked trackbar will change the BlueColor property of the circle and changing the BlueColor property of the circle will change the FullColor of the trackbar.

Warning: a TJvFullColorTrackBar instance can be linked only to one other component.

Created with Doc-O-Matic.


TJvFullColorCircle.CommonTrackBar property

TJvFullColorCircle	Edit topic

TJvFullColorTrackBar associated with the common color variations

Pascal

property CommonTrackBar: TJvFullColorTrackBar;

Description

This property is only used if csShowCommon is set in the styles.

The TJvFullColorTrackBar linked to this property will display the third axis of the RedColor property (which equals to BlueColor and GreenColor properties in this style). Changing the FullColor property of the linked trackbar will change the BlueColor and RedColor and GreenColor properties of the circle and changing the BlueColor property (or RedColor or GreenColor properties) of the circle will change the FullColor of the trackbar.

Warning: a TJvFullColorTrackBar instance can be linked only to one other component.

Created with Doc-O-Matic.


TJvFullColorCircle.CrossBlueColor property

TJvFullColorCircle	Edit topic

Color used to display the blue cross

Pascal

property CrossBlueColor: TColor;

Description

This is the color used to draw the blue cross (this cross is only visible if csShowBlue is included in Styles).

Created with Doc-O-Matic.


TJvFullColorCircle.CrossCenter property

TJvFullColorCircle	Edit topic

Number of pixels in the center of the cross

Pascal

property CrossCenter: Integer;

Description

This property sets the size in pixel between the center of the cross and the start of the dash.

Created with Doc-O-Matic.


TJvFullColorCircle.CrossGreenColor property

TJvFullColorCircle	Edit topic

Color used to display the green cross

Pascal

property CrossGreenColor: TColor;

Description

This is the color used to draw the green cross (this cross is only visible if csShowGreen is included in Styles).

Created with Doc-O-Matic.


TJvFullColorCircle.CrossRedColor property

TJvFullColorCircle	Edit topic

Color used to display the red cross

Pascal

property CrossRedColor: TColor;

Description

This is the color used to draw the red cross (this cross is only visible if csShowRed is included in Styles).

Created with Doc-O-Matic.


TJvFullColorCircle.CrossSize property

TJvFullColorCircle	Edit topic

Size in pixel of a cross.

Pascal

property CrossSize: Integer;

Description

This property sets the size in pixel between the center of the cross and the end of the dash.

Created with Doc-O-Matic.


TJvFullColorCircle.CrossStyle property

TJvFullColorCircle	Edit topic

TPen used to draw the crosses

Pascal

property CrossStyle: TPen;

Description

This pen is used to draw crosses on the control. Only TPen.Style, TPen.Mode and TPen.Width are used: TPen.Color is replaced by each cross specific color (CrossBlueColor for the blue cross, CrossGreenColor for the green cross, CrossRedColor for the red cross).

Created with Doc-O-Matic.


TJvFullColorCircle.GreenColor property

TJvFullColorCircle	Edit topic

Color associated to green variations.

Pascal

property GreenColor: TJvFullColor;

Description

This color is associated with the green cross (this color may be modified by the CrossGreenColor). The color space is always the current color space of the control. Changing the color value will change the green cross position, changing the color space will change the control color space.

Created with Doc-O-Matic.


TJvFullColorCircle.GreenTrackBar property

TJvFullColorCircle	Edit topic

TJvFullColorTrackBar associated with the green color variations

Pascal

property GreenTrackBar: TJvFullColorTrackBar;

Description

The TJvFullColorTrackBar linked to this property will display the third axis of the GreenColor. Changing the FullColor property of the linked trackbar will change the GreenColor property of the circle and changing the GreenColor property of the circle will change the FullColor of the trackbar.

Created with Doc-O-Matic.


TJvFullColorCircle.InvertRadius property

TJvFullColorCircle	Edit topic

Graphical inversion of the radius

Pascal

property InvertRadius: Boolean;

Description

Setting this property to True will place the maximum of the radius axis at the center of the circle, setting this property to false will place the minimum of the radius axis at the center of the circle.

Created with Doc-O-Matic.


TJvFullColorCircle.InvertRotation property

TJvFullColorCircle	Edit topic

Graphical inversion of the rotation

Pascal

property InvertRotation: Boolean;

Description

Setting this property to True will decrement the rotation axis in the clockwise direction. Setting this property to False will increment the rotation axis in the clockwise direction.

Created with Doc-O-Matic.


TJvFullColorCircle.LineWidth property

TJvFullColorCircle	Edit topic

Width of the line drawn between the center and a cross

Pascal

property LineWidth: Integer;

Description

This property sets the with in pixel of the line between the center of the circle and the center of a cross.

Created with Doc-O-Matic.


TJvFullColorCircle.OnBlueColorChange event

TJvFullColorCircle	Edit topic

Event sent when the BlueColor property is changed by code or by the user

Pascal

property OnBlueColorChange: TNotifyEvent;

Description

This event is sent by the control after the BlueColor property is changed.

Created with Doc-O-Matic.


TJvFullColorCircle.OnColorSpaceChange event

TJvFullColorCircle	Edit topic

Event sent when the colorspace is changed.

Pascal

property OnColorSpaceChange: TNotifyEvent;

Description

When the colorspace is changed by code (after calling the ConvertToID function or changing the colorspace of BlueColor, GreenColor or RedColor properties), the BlueColor, RedColor and GreenColor properties are converted to the new colorspace, then this event is sent.

Created with Doc-O-Matic.


TJvFullColorCircle.OnGreenColorChange event

TJvFullColorCircle	Edit topic

Event sent when the GreenColor property is changed by code or by the user.

Pascal

property OnGreenColorChange: TNotifyEvent;

Description

This event is sent by the control after the GreenColor property is changed.

Created with Doc-O-Matic.


TJvFullColorCircle.OnRedColorChange event

TJvFullColorCircle	Edit topic

Event sent when the RedColor property is changed by code or by the user

Pascal

property OnRedColorChange: TNotifyEvent;

Description

This event is sent by the control after the RedColor property is changed.

Created with Doc-O-Matic.


TJvFullColorCircle.RedColor property

TJvFullColorCircle	Edit topic

Color associated to red variations.

Pascal

property RedColor: TJvFullColor;

Description

This color is associated with the red cross (this color may be modified by the CrossRedColor). The color space is always the current color space of the control. Changing the color value will change the blue cross position, changing the color space will change the control color space.

Created with Doc-O-Matic.


TJvFullColorCircle.RedTrackBar property

TJvFullColorCircle	Edit topic

TJvFullColorTrackBar associated with the red color variations

Pascal

property RedTrackBar: TJvFullColorTrackBar;

Description

The TJvFullColorTrackBar linked to this property will display the third axis of the RedColor. Changing the FullColor property of the linked trackbar will change the RedColor property of the circle and changing the RedColor property of the circle will change the FullColor of the trackbar.

Warning: a TJvFullColorTrackBar instance can be linked only to one other component.

Created with Doc-O-Matic.


TJvFullColorCircle.Styles property

TJvFullColorCircle	Edit topic

Styles of the controls

Pascal

property Styles: TJvFullColorCircleStyles;

Description

This property set the behavior of the TJvFullColorCircle control.

Created with Doc-O-Matic.


TJvFullColorCircle.ConvertToID method

TJvFullColorCircle	Edit topic

Convert the control to the specified color space

Pascal

procedure ConvertToID(NewFullColor: TJvFullColor);

Parameters

NewFullColor: TJvFullColor

Only the highest byte (which contains the colorspace) of this parameter is used.

Description

Calling this function changes the control color space (the graphic is repainted to the new color space), BlueColor, GreenColor, RedColor, CommonColor properties are converted to the new color space. Linked components (BlueTrackbar, RedTrackbar, GreenTrackbar, CommonTrackbar are converted too.

Created with Doc-O-Matic.


TJvFullColorCircle.FullColorToPosition method

TJvFullColorCircle	Edit topic

Convert a color to a graphic position

Pascal

function FullColorToPosition(AFullColor: TJvFullColor): TPoint;

Return Value

Returned graphic position

Parameters

AFullColor: TJvFullColor

Color to be converted

Description

This function convert a full color to a graphical position. This conversion uses InvertRadius, InvertRotation and AxisConfig properties to give the position (x,y) of this color on the control.

Created with Doc-O-Matic.


TJvFullColorCircle.PositionToFullColor method

TJvFullColorCircle	Edit topic

Convert a graphic position to a color

Pascal

function PositionToFullColor(APoint: TPoint): TJvFullColor;

Return Value

Returned color

Parameters

APoint: TPoint

graphic position

Description

This function convert a graphical position to a full color. This conversion uses InvertRadius, InvertRotation and AxisConfig properties to give the color at the position (x,y) on the control.

Created with Doc-O-Matic.


TJvFullColorCircleDialog
JEDI-VCL Reference

 TJvFullColorCircleDialog

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Dialog box displaying a TJvFullColorCircle and its TJvFullColorTrackBar.

Pascal

TJvFullColorCircleDialog = class(TComponent);

File

JvFullColorDialogs

Description

This dialog displays a dialog box to configure color rotations structures used in the JvFullColorRotate.pas unit.

Created with Doc-O-Matic.


TJvFullColorCircleDialog Properties

TJvFullColorCircleDialog	Legend

Properties

BlueDelta

ColorID

 Delta

 Form

GreenDelta

 HelpContext

 Options

RedDelta

 Title

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvFullColorCircleDialog Events

TJvFullColorCircleDialog	Legend

Events

 OnApply

 OnCloseQuery

 OnShow

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFullColorCircleDialog Methods

TJvFullColorCircleDialog

Methods

Execute

Created with Doc-O-Matic.


Legend

TJvFullColorCircleDialog

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvFullColorCircleDialog


TJvFullColorCircleDialog Members

TJvFullColorCircleDialog	Legend

Members

Properties

BlueDelta

ColorID

 Delta

 Form

GreenDelta

 HelpContext

 Options

RedDelta

 Title

Events

 OnApply

 OnCloseQuery

 OnShow

Methods

Execute

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Package

MM


TJvFullColorCircleDialog.BlueDelta property

TJvFullColorCircleDialog	See Also	Edit topic

Delta used for blue transformations.

Pascal

property BlueDelta: TJvAxisDelta;

Description

This property gets and sets the delta for blue transformations.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.GreenDelta, TJvFullColorCircleDialog.RedDelta, TJvFullColorCircleDialog.Delta


TJvFullColorCircleDialog.ColorID property

TJvFullColorCircleDialog	See Also	Edit topic

Identifier of the color space.

Pascal

property ColorID: TJvFullColorSpaceID;

Description

This is the identifier of the color space displayed in the dialog box.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.Delta


TJvFullColorCircleDialog.Delta property

TJvFullColorCircleDialog	See Also	Edit topic

Contains all data needed by a transformation.

Pascal

property Delta: TJvColorDelta;

Description

This property contains all data needed to make a transformation: RedDelta, BlueDelta, GreenDelta and ColorID. You can call RotateColor or RotateBitmap with this class as an argument.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.BlueDelta, TJvFullColorCircleDialog.GreenDelta, TJvFullColorCircleDialog.RedDelta, TJvFullColorCircleDialog.ColorID, RotateColor, RotateBitmap


TJvFullColorCircleDialog.Form property

TJvFullColorCircleDialog	See Also	Edit topic

Form displayed as a dialog box.

Pascal

property Form: TForm;

Description

This property gives you direct access to the form used as a dialog box. You may customize its appearance by using the OnShow, OnCloseQuery and OnApply events. This property is valid only during the execution of the Execute function.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.OnShow, TJvFullColorCircleDialog.OnCloseQuery, TJvFullColorCircleDialog.OnApply


TJvFullColorCircleDialog.GreenDelta property

TJvFullColorCircleDialog	See Also	Edit topic

Delta used for green transformations.

Pascal

property GreenDelta: TJvAxisDelta;

Description

This property gets and sets the delta for green transformations.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.BlueDelta, TJvFullColorCircleDialog.RedDelta, TJvFullColorCircleDialog.Delta


TJvFullColorCircleDialog.HelpContext property

TJvFullColorCircleDialog	See Also	Edit topic

Help context of the dialog box.

Pascal

property HelpContext: THelpContext;

Description

This property is the help context viewed when the user clicks on the "Help" button. The "Help" button is only visible if coShowHelp is included in Options.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.Options


TJvFullColorCircleDialog.OnApply event

TJvFullColorCircleDialog	See Also	Edit topic

Event sent when the user clicks on the "Apply" button.

Pascal

TJvColorCircleEvent = procedure (Sender: TObject) of object;
property OnApply: TJvColorCircleEvent;

Parameters

Sender

Identifier of the TObject that sent the event. This is a TJvFullColorCircleDialog instance.

Description

This event is triggered when the user clicks on the "Apply" button of the dialog box. This event is valid only during the execution of the Execute function and if coShowApply is included in the Options property.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.Options, TJvFullColorCircleDialog.Execute


TJvFullColorCircleDialog.OnCloseQuery event

TJvFullColorCircleDialog	See Also	Edit topic

Event sent when the dialog box need a confirmation to be closed.

Pascal

property OnCloseQuery: TCloseQueryEvent;

Description

This event is triggered when the dialog box is about to be closed. This event is valid only during the execution of the Execute function.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.Execute


TJvFullColorCircleDialog.OnShow event

TJvFullColorCircleDialog	See Also	Edit topic

Event sent when the dialog box is shown.

Pascal

property OnShow: TNotifyEvent;

Description

This event is triggered when the dialog box is shown on the screen. You may customize its appearance with the Form property. This event is valid only during the execution of the Execute function.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.Execute, TJvFullColorCircleDialog.Form


TJvFullColorCircleDialog.Options property

TJvFullColorCircleDialog	See Also	Edit topic

Options to configure the dialog box appearance.

Pascal

property Options: TJvFullColorCircleDialogOptions;

Description

This property sets the appearance of the dialog box displayed by the Execute function.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialogOptions, TJvFullColorCircleDialog.Execute


TJvFullColorCircleDialog.RedDelta property

TJvFullColorCircleDialog	See Also	Edit topic

Delta used for red transformations.

Pascal

property RedDelta: TJvAxisDelta;

Description

This property gets and sets the delta for red transformations.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.GreenDelta, TJvFullColorCircleDialog.BlueDelta, TJvFullColorCircleDialog.Delta


TJvFullColorCircleDialog.Title property

TJvFullColorCircleDialog	See Also	Edit topic

Title of the dialog box.

Pascal

property Title: string;

Description

This property changes the title of the dialog box displayed. You may have more customization by using the Form property during the OnShow event.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.OnShow, TJvFullColorCircleDialog.Form


TJvFullColorCircleDialog.Execute method

TJvFullColorCircleDialog	See Also	Edit topic

Execute the dialog box.

Pascal

function Execute: Boolean;

Return Value

Return true if the dialog box was closed using the "OK" button.

Description

The dialog box is initialized by the existing values of Delta, ColorID, GreenDelta, BlueDelta and RedDelta and configured by the Options property. Execute the dialog box, modify the Delta, ColorID, GreenDelta, BlueDelta, RedDelta properties according to changes made by the user. Even if the dialog box is canceled, these properties are modified to reflect changes made by the user.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialog.BlueDelta, TJvFullColorCircleDialog.ColorID, TJvFullColorCircleDialog.GreenDelta, TJvFullColorCircleDialog.RedDelta, TJvFullColorCircleDialog.Delta, TJvFullColorCircleDialog.Options


TJvFullColorComponent
JEDI-VCL Reference

TJvFullColorComponent

Hierarchy	Properties	Events	 Edit topic

Parent class of TJvFullColorPanel, TJvFullColorTrackBar, TJvFullColorCircle.

Pascal

TJvFullColorComponent = class(TCustomControl);

File

JvFullColorCtrls

Description

This class implements all common properties for the following components : TJvFullColorPanel, TJvFullColorTrackBar, TJvFullColorCircle. These components are dedicated to color space conversions and color editions if several color spaces.

Created with Doc-O-Matic.


TJvFullColorComponent Properties

TJvFullColorComponent	Legend

Properties

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFullColorComponent Events

TJvFullColorComponent	Legend

Events

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFullColorComponent

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvFullColorComponent


TJvFullColorComponent Members

TJvFullColorComponent	Legend

Members

Properties

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Events

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFullColorComponent.AutoMouse property

TJvFullColorComponent	Edit topic

Activate the mouse as input to move cursors.

Pascal

property AutoMouse: Boolean;

Description

Allow cursors to be moved using the mouse. When it is false only the keyboard can be used to move cursors.

Created with Doc-O-Matic.


TJvFullColorComponent.AxisConfig property

TJvFullColorComponent	Edit topic

Axis configuration used to display controls.

Pascal

property AxisConfig: TJvFullColorAxisConfig;

Description

This property sets the axis convention used to paint the graphic. It makes all combination between full color axis (0, 1 and 2) and graphical axis (X, Y and Z).

Created with Doc-O-Matic.


TJvFullColorComponent.ColorSpace property

TJvFullColorComponent	Edit topic

The active color space.

Pascal

property ColorSpace: TJvColorSpace;

Description

The property is read-only. It returns the current color space used to paint the control. It is the color space associated with the FullColor property.

Created with Doc-O-Matic.


TJvFullColorComponent.FullColor property

TJvFullColorComponent	Edit topic

Indicate the cursor position.

Pascal

property FullColor: TJvFullColor;

Description

This property returns the color displayed at the cursor position. Changing one of the color's axis value update the cross position. Changing its color space change the color space used to display the control.

Created with Doc-O-Matic.


TJvFullColorComponent.MouseDragging property

TJvFullColorComponent	Edit topic

Indicate that the user is dragging one cursor.

Pascal

property MouseDragging: Boolean;

Description

Read-only, this flag is true when the user is dragging one cursor inside the control.

Created with Doc-O-Matic.


TJvFullColorComponent.OnAxisConfigChange event

TJvFullColorComponent	Edit topic

The axis configuration has changed.

Pascal

property OnAxisConfigChange: TNotifyEvent;

Description

This event is triggered after the axis configuration is changed.

Created with Doc-O-Matic.


TJvFullColorComponent.OnColorChange event

TJvFullColorComponent	Edit topic

The color has changed.

Pascal

property OnColorChange: TNotifyEvent;

Description

This event is triggered when the color is changed, it occurs in these cases :

the FullColor property was changed.

the user changed the cursor position using the mouse.

the user changed the cursor position using the keyboard.

the color space was changed. This is useful because there may be some rounding that may affect the color.

Created with Doc-O-Matic.


TJvFullColorComponent.OnColorSpaceChange event

TJvFullColorComponent	Edit topic

The color space was changed.

Pascal

property OnColorSpaceChange: TNotifyEvent;

Description

This event is triggered after the color space was changed. The color space can be changed with the FullColor property.

Created with Doc-O-Matic.


TJvFullColorComponent.OnMouseColor event

TJvFullColorComponent	Edit topic

The mouse is dragging one cursor.

Pascal

TJvFullColorMouseEvent = procedure (Sender: TObject; ColorX, ColorY: Byte) of object;
property OnMouseColor: TJvFullColorMouseEvent;

Parameters

ColorY

the Y position of the mouse cursor inside the control.

ColorX

The X position of the mouse cursor inside the control.

Sender

The sender of this event.

Description

This event is sent when the user is dragging one cursor. It is sent at the beginning of the movement and each time the mouse cursor is moved.

Created with Doc-O-Matic.


TJvFullColorComponent.WantDrawBuffer property

TJvFullColorComponent	Edit topic

The buffer must be repainted.

Pascal

property WantDrawBuffer: Boolean;

Description

Do not use it directly, it is used by the control to indicate that the buffer need to be refreshed. The control use a bitmap as buffer because it takes some fractions of second to paint the color rect. The buffer need to be refreshed when the color space is changed or when the default value of undisplayed axis is changed.

Created with Doc-O-Matic.


TJvFullColorComponent2D
JEDI-VCL Reference

TJvFullColorComponent2D

Hierarchy	Properties	Events	 Edit topic

Parent class of TJvFullColor* that display 2 axis.

Pascal

TJvFullColorComponent2D = class(TJvFullColorComponent);

File

JvFullColorCtrls

Description

This class is the ancestor of TJvFullColorPanel and TJvFullColorCircle. It contains all the common properties of these component.

Created with Doc-O-Matic.


TJvFullColorComponent2D Properties

TJvFullColorComponent2D	Legend

Properties

 ValueZ

 ValueZAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFullColorComponent2D Events

TJvFullColorComponent2D	Legend

Events

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFullColorComponent2D

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvFullColorComponent
        TJvFullColorComponent2D


TJvFullColorComponent2D Members

TJvFullColorComponent2D	Legend

Members

Properties

 ValueZ

 ValueZAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Events

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFullColorComponent2D.ValueZ property

TJvFullColorComponent2D	Edit topic

The third axis value.

Pascal

property ValueZ: Byte;

Description

The user is able to modify the value of axis X and axis Y using the keyboard and the keyboard. But he can't change the third axis value. This value is used to paint the buffer, this value is used in any point to get the RGB value of the color (X,Y,ValueZ) --> (R,G,B). The Z axis is given by the current axis configuration.

Created with Doc-O-Matic.


TJvFullColorComponent2D.ValueZAuto property

TJvFullColorComponent2D	Edit topic

Use default value of the color space for axis Z.

Pascal

property ValueZAuto: Boolean;

Description

When this property is True, the ValueZ property is automatically set to the default value of the Z axis in the current color space. The Z axis is given by the current axis configuration.

Created with Doc-O-Matic.


TJvFullColorDialog
JEDI-VCL Reference

 TJvFullColorDialog

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A standard "Choose a color" dialog box

Pascal

TJvFullColorDialog = class(TComponent);

File

JvFullColorDialogs

Description

This component is a dialog box for the user to choose a color. All registered color spaces may be used by this dialog (the standard dialog box only handle HLS and RGB).

Created with Doc-O-Matic.


TJvFullColorDialog Properties

TJvFullColorDialog	Legend

Properties

 Color

 Form

 FullColor

 HelpContext

 OldColorSpace

 Options

 Title

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvFullColorDialog Events

TJvFullColorDialog	Legend

Events

 OnApply

 OnCloseQuery

 OnShow

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFullColorDialog Methods

TJvFullColorDialog

Methods

Execute

Created with Doc-O-Matic.


Legend

TJvFullColorDialog

Legend

read only

published

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvFullColorDialog


TJvFullColorDialog Members

TJvFullColorDialog	Legend

Members

Properties

 Color

 Form

 FullColor

 HelpContext

 OldColorSpace

 Options

 Title

Events

 OnApply

 OnCloseQuery

 OnShow

Methods

Execute

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


Package

MM


TJvFullColorDialog.Color property

TJvFullColorDialog	See Also	Edit topic

Returns the selected color.

Pascal

property Color: TColor;

Description

This property (read-only) returns the selected color converted into the RGB color space (and can be directly assigned to a TColor).

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.FullColor


TJvFullColorDialog.Form property

TJvFullColorDialog	See Also	Edit topic

Direct access to the dialog box form.

Pascal

property Form: TForm;

Description

This property is only valid during the Execute function. You may customize the dialog appearance by handling the OnShow, OnApply and OnCloseQuery events.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.Execute, TJvFullColorDialog.OnApply, TJvFullColorDialog.OnCloseQuery, TJvFullColorDialog.OnShow


TJvFullColorDialog.FullColor property

TJvFullColorDialog	See Also	Edit topic

Color selected in the dialog box.

Pascal

property FullColor: TJvFullColor;

Description

This property sets the initial color displayed when the dialog box is created and gets the color selected by the user.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.Color


TJvFullColorDialog.HelpContext property

TJvFullColorDialog	See Also	Edit topic

Help context associated with the dialog box.

Pascal

property HelpContext: THelpContext;

Description

Help context opened when the "Help" button is clicked. It is only used when Options contains foShowHelp.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.Options, TJvFullColorDialogOption.foShowHelp


TJvFullColorDialog.OldColorSpace property

TJvFullColorDialog	See Also	Edit topic

Initial color space identifier when the dialog is shown.

Pascal

property OldColorSpace: TJvFullColorSpaceID;

Description

This is the identifier of the initial color space when the dialog box is shown. If foConvertToOriginalSpace is included in Options, the FullColor is converted back in this color space when the Execute function returns.

Created with Doc-O-Matic.


See Also

TJvFullColorDialogOption.foConvertToOriginalSpace, TJvFullColorDialog.Options, TJvFullColorDialog.Execute


TJvFullColorDialog.OnApply event

TJvFullColorDialog	See Also	Edit topic

Event sent when the user clicks on the "Apply" button.

Pascal

TJvFullColorEvent = procedure (Sender: TObject; AFullColor: TJvFullColor) of object;
property OnApply: TJvFullColorEvent;

Parameters

AFullColor

Color currently selected in the dialog box.

Sender

Identifier of the TObject that sent the event. This is a TJvFullColorCircleDialog instance.

Description

This event is triggered when the user clicks on the "Apply" button of the dialog box. This event is valid only during the execution of the Execute function and if coShowApply is included in the Options property.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.Execute, TJvFullColorDialogOption.foShowApply, TJvFullColorDialog.Options


TJvFullColorDialog.OnCloseQuery event

TJvFullColorDialog	See Also	Edit topic

Event sent when the dialog box need a confirmation to be closed.

Pascal

property OnCloseQuery: TCloseQueryEvent;

Description

This event is triggered when the dialog box is about to be closed. This event is valid only during the execution of the Execute function.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.Execute


TJvFullColorDialog.OnShow event

TJvFullColorDialog	See Also	Edit topic

Event sent when the dialog box is shown.

Pascal

property OnShow: TNotifyEvent;

Description

This event is triggered when the dialog box is shown on the screen. You may customize its appearance with the Form property. This event is valid only during the execution of the Execute function.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.Execute


TJvFullColorDialog.Options property

TJvFullColorDialog	See Also	Edit topic

Options to configure the dialog box appearance.

Pascal

property Options: TJvFullColorDialogOptions;

Description

This property sets the appearance of the dialog box displayed by the Execute function.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.Execute, TJvFullColorDialogOptions


TJvFullColorDialog.Title property

TJvFullColorDialog	See Also	Edit topic

Title of the dialog box.

Pascal

property Title: string;

Description

This property changes the title of the dialog box displayed. You may have more customization by using the Form property during the OnShow event.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.OnShow, TJvFullColorDialog.Form


TJvFullColorDialog.Execute method

TJvFullColorDialog	See Also	Edit topic

Execute the dialog box.

Pascal

function Execute: Boolean;

Return Value

Return True if the dialog box was closed with the "OK" button.

Description

This function show the dialog box using a ShowModal call. To customize the appearance of the dialog, the event OnShow, OnApply and OnCloseQuery are triggered during this function. When the dialog box is shown, the color (and the color space) is initialized by the FullColor property and is configured by the Options property. When the dialog box is closed, the FullColor property is the latest color selected by the user.

Created with Doc-O-Matic.


See Also

TJvFullColorDialog.OnApply, TJvFullColorDialog.OnCloseQuery, TJvFullColorDialog.OnShow, TJvFullColorDialog.Options, TJvFullColorDialog.FullColor


TJvFullColorGroup
JEDI-VCL Reference

 TJvFullColorGroup

Hierarchy	Properties	Events	Package	 Edit topic

Component that display a list of TJvFullColor

Pascal

TJvFullColorGroup = class(TCustomControl);

File

JvFullColorCtrls

Description

This component displays a list of TJvFullColor, the user can select one color inside the list using the mouse.

Created with Doc-O-Matic.


TJvFullColorGroup Properties

TJvFullColorGroup	Legend

Properties

 Brush

 ColCount

 Edge

 Items

 MouseEdge

 MouseIndex

 RowCount

Selected

 SelectedEdge

SelectedIndex

 SquareSize

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvFullColorGroup Events

TJvFullColorGroup	Legend

Events

 OnChange

 OnFormatHint

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFullColorGroup

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvFullColorGroup


TJvFullColorGroup Members

TJvFullColorGroup	Legend

Members

Properties

 Brush

 ColCount

 Edge

 Items

 MouseEdge

 MouseIndex

 RowCount

Selected

 SelectedEdge

SelectedIndex

 SquareSize

Events

 OnChange

 OnFormatHint

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

MM


TJvFullColorGroup.Brush property

TJvFullColorGroup	Edit topic

Brush used to paint rectangles of color.

Pascal

property Brush: TBrush;

Description

This property set the brush used to fill rectangles of color. The color property of the brush is not used because it is replaced by the color of each rectangle.

Created with Doc-O-Matic.


TJvFullColorGroup.ColCount property

TJvFullColorGroup	Edit topic

Number of columns displayed.

Pascal

property ColCount: Integer;

Description

This property set the number of columns displayed by the control. The number of lines is given by the number of items divided this number.

Created with Doc-O-Matic.


TJvFullColorGroup.Edge property

TJvFullColorGroup	Edit topic

Edge drawn around any rectangle of color.

Pascal

property Edge: TJvFullColorEdge;

Description

This property set the line drawn around each rectangle of color. This is the normal state when the item is not selected and not under the mouse cursor.

Created with Doc-O-Matic.


TJvFullColorGroup.Items property

TJvFullColorGroup	Edit topic

List of colors

Pascal

property Items: TJvFullColorList;

Description

This is the list of colors displayed in the control.

Created with Doc-O-Matic.


TJvFullColorGroup.MouseEdge property

TJvFullColorGroup	Edit topic

Edge drawn around the rectangle of color under the mouse cursor.

Pascal

property MouseEdge: TJvFullColorEdge;

Description

This property set the line drawn around each rectangle of color when the rectangle is under the mouse cursor.

Created with Doc-O-Matic.


TJvFullColorGroup.MouseIndex property

TJvFullColorGroup	Edit topic

Index of the color under the mouse cursor.

Pascal

property MouseIndex: Integer;

Description

Read-only, this property returns the index of the rectangle under the mouse cursor. If the mouse cursor is not on a rectangle, it returns -1.

Created with Doc-O-Matic.


TJvFullColorGroup.OnChange event

TJvFullColorGroup	Edit topic

The selection has changed.

Pascal

property OnChange: TNotifyEvent;

Description

This event is triggered when the selection was changed.

Created with Doc-O-Matic.


TJvFullColorGroup.OnFormatHint event

TJvFullColorGroup	Edit topic

The control is requesting a color description.

Pascal

TJvFormatHintEvent = procedure (Sender: TObject; HintColor: TJvFullColor; var HintText: string) of object;
property OnFormatHint: TJvFormatHintEvent;

Parameters

HintText

Description returned

HintColor

Color to be described

Sender

Control that sent the event

Description

This event is triggered when the control need a description of a color. This text will be displayed in the hint window.

Created with Doc-O-Matic.


TJvFullColorGroup.RowCount property

TJvFullColorGroup	Edit topic

The number of rows displayed.

Pascal

property RowCount: Integer;

Description

Read-only - this property returns the number of lines displayed in the control. This number is given but the division of the number of items by the number of columns.

Created with Doc-O-Matic.


TJvFullColorGroup.Selected property

TJvFullColorGroup	Edit topic

The selected color

Pascal

property Selected: TJvFullColor;

Description

This is the value of the selected color. Setting a value to this property change the selected color if it is in the Items full color list.

Created with Doc-O-Matic.


TJvFullColorGroup.SelectedEdge property

TJvFullColorGroup	Edit topic

Edge drawn around the selected rectangle of color.

Pascal

property SelectedEdge: TJvFullColorEdge;

Description

This property set the line drawn around the selected rectangle of color.

Created with Doc-O-Matic.


TJvFullColorGroup.SelectedIndex property

TJvFullColorGroup	Edit topic

Index of the selected color

Pascal

property SelectedIndex: Integer;

Description

Index of the selected color in the Items full-color list. Valid index are from -1 to Items.Count-1. -1 indicates that no color is selected.

Created with Doc-O-Matic.


TJvFullColorGroup.SquareSize property

TJvFullColorGroup	Edit topic

Size of color squares

Pascal

property SquareSize: Integer;

Description

This is the size in pixel of a square. This value is maximized by the minimum of Width/ColCount and Height/RowCount.

Created with Doc-O-Matic.


TJvFullColorLabel
JEDI-VCL Reference

 TJvFullColorLabel

Hierarchy	Properties	Package	 Edit topic

Label with color view

Pascal

TJvFullColorLabel = class(TGraphicControl);

File

JvFullColorCtrls

Description

This control is the association of a label and a shape filled with a full color. The shape can be placed on the top, bottom, left or right of the label. It is possible to change the shape (square, rectangle, rounded rectangle, rounded square, ellipse and circle).

Created with Doc-O-Matic.


TJvFullColorLabel Properties

TJvFullColorLabel	Legend

Properties

 Brush

 Caption

 Color

 Font

 LabelColor

 Pen

 RoundShapeHeight

 RoundShapeWidth

 Shape

 ShapeHeight

 ShapePosition

 ShapeWidth

 Spacing

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFullColorLabel

Legend

published

Created with Doc-O-Matic.


Hierarchy

TGraphicControl
    TJvFullColorLabel


TJvFullColorLabel Members

TJvFullColorLabel	Legend

Members

Properties

 Brush

 Caption

 Color

 Font

 LabelColor

 Pen

 RoundShapeHeight

 RoundShapeWidth

 Shape

 ShapeHeight

 ShapePosition

 ShapeWidth

 Spacing

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

MM


TJvFullColorLabel.Brush property

TJvFullColorLabel	Edit topic

Brush used to fill the shape.

Pascal

property Brush: TBrush;

Description

This property sets the brush used to fill the shape. The color is not used because it is overridden by the LabelColor property. The border styles of the shape is set by the Pen property.

Created with Doc-O-Matic.


TJvFullColorLabel.Caption property

TJvFullColorLabel	Edit topic

Text displayed in the label

Pascal

property Caption: TCaption;

Description

This property is the text displayed in the label. Multi-line texts are currently not supported. The property Spacing set the space between the shape and the caption.

Created with Doc-O-Matic.


TJvFullColorLabel.Color property

TJvFullColorLabel	Edit topic

Color of the control.

Pascal

property Color;

Description

Background color of this control.

Created with Doc-O-Matic.


TJvFullColorLabel.Font property

TJvFullColorLabel	Edit topic

Font used to display the text.

Pascal

property Font: TFont;

Description

This font is used to display the caption of the label (given by the Caption property).

Created with Doc-O-Matic.


TJvFullColorLabel.LabelColor property

TJvFullColorLabel	Edit topic

Color displayed in the shape

Pascal

property LabelColor: TJvFullColor;

Description

Specify the color used to paint the shape, all registered color spaces are supported.

Created with Doc-O-Matic.


TJvFullColorLabel.Pen property

TJvFullColorLabel	Edit topic

Pen used to draw the shape's outline.

Pascal

property Pen: TPen;

Description

This pen is used to draw the line around the shape, dashes and dots are supported.

Created with Doc-O-Matic.


TJvFullColorLabel.RoundShapeHeight property

TJvFullColorLabel	Edit topic

Height or the rounded edge

Pascal

property RoundShapeHeight: Integer;

Description

When shape is stRoundRect or stRoundSquare, this is the height of the rounded edge. In other shape, RoundShapeHeight is not used.

Created with Doc-O-Matic.


TJvFullColorLabel.RoundShapeWidth property

TJvFullColorLabel	Edit topic

Width of rounded edges.

Pascal

property RoundShapeWidth: Integer;

Description

When shape is stRoundRect or stRoundSquare, this is the width of the rounded edge. In other shape, RoundShapeHeight is not used.

Created with Doc-O-Matic.


TJvFullColorLabel.Shape property

TJvFullColorLabel	Edit topic

Geometric aspect of the shape.

Pascal

property Shape: TShapeType;

Description

This property set the shape aspect. Its size is set by ShapeWidth and ShapeHeight properties. Additional properties RoundShapeHeight and RoundShapeWidth are used to set rounded edges sizes. The position of the shape around the text is set by the ShapePosition property.

Created with Doc-O-Matic.


TJvFullColorLabel.ShapeHeight property

TJvFullColorLabel	Edit topic

Height of the shape.

Pascal

property ShapeHeight: Integer;

Description

Height in pixels of the shape.

Created with Doc-O-Matic.


TJvFullColorLabel.ShapePosition property

TJvFullColorLabel	Edit topic

Position of the shape.

Pascal

property ShapePosition: TJvShapePosition;

Description

Position of the shape around the text. The space between the text and the shape is given by the Spacing property.

Created with Doc-O-Matic.


TJvFullColorLabel.ShapeWidth property

TJvFullColorLabel	Edit topic

Width of the shape.

Pascal

property ShapeWidth: Integer;

Description

Width in pixel of the shape.

Created with Doc-O-Matic.


TJvFullColorLabel.Spacing property

TJvFullColorLabel	Edit topic

Space between the shape and the text.

Pascal

property Spacing: Integer;

Description

Space in pixels between the shape and the text. This space is vertical if ShapePosition is spTop or spBottom, it is horizontal if ShapePosition is spLeft or spRight.

Created with Doc-O-Matic.


TJvFullColorList
JEDI-VCL Reference

TJvFullColorList

Hierarchy	Properties	Methods	Events	 Edit topic

List of TJvFullColor

Pascal

TJvFullColorList = class(TPersistent);

File

JvFullColorCtrls

Description

This list of TJvFullColor is used by TJvFullColorGroup. It can store many items and is implemented like TList.

Created with Doc-O-Matic.


TJvFullColorList Properties

TJvFullColorList	Legend

Properties

AllocBy

Capacity

Count

Items

 List

 UpdateCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvFullColorList Events

TJvFullColorList

Events

OnChange

Created with Doc-O-Matic.


TJvFullColorList Methods

TJvFullColorList	Legend

Methods

Add

 Assign

BeginUpdate

Clear

Delete

DeleteRedundant

EndUpdate

Exchange

IndexOf

Insert

Remove

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFullColorList

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvFullColorList


TJvFullColorList Members

TJvFullColorList	Legend

Members

Properties

AllocBy

Capacity

Count

Items

 List

 UpdateCount

Events

OnChange

Methods

Add

 Assign

BeginUpdate

Clear

Delete

DeleteRedundant

EndUpdate

Exchange

IndexOf

Insert

Remove

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvFullColorList.AllocBy property

TJvFullColorList	Edit topic

Granularity of allocation

Pascal

property AllocBy: Integer;

Description

When there is no free space in the list (Count = Capacity), this is the number of new items allocated.

Created with Doc-O-Matic.


TJvFullColorList.Capacity property

TJvFullColorList	Edit topic

Number of items allocated.

Pascal

property Capacity: Integer;

Description

The Capacity property is the number of items allocated to store the list's content. Capacity is always greater or equal (> =) than the Count property. When there is not enough space to store new items, the Capacity property is incremented by the AllocBy property.

Created with Doc-O-Matic.


TJvFullColorList.Count property

TJvFullColorList	Edit topic

Number of items in the list.

Pascal

property Count: Integer;

Description

This property is the number of valid items in the list. All items are placed at the beginning of the list (from 0 to Count-1), items between Count and Capacity-1 are allocated but not valid. Changing the Count property delete the last items from the list.

Created with Doc-O-Matic.


TJvFullColorList.Items property

TJvFullColorList	Edit topic

Retrieve items of the list.

Pascal

property Items [Index: Integer]: TJvFullColor;

Description

This is the default property for this class. It retrieves or set the item at the specified index. If Index is negative or greater or equal (> =) than Count, an exception is raised. When an item is changed, an OnChange event is triggered.

Created with Doc-O-Matic.


TJvFullColorList.List property

TJvFullColorList	Edit topic

Address of the list in memory.

Pascal

property List: PJvFullColorArray;

Description

Retrieve the list location in the memory. This pointer is a dynamically allocated according to the Capacity property. This pointer is provided for fast memory access and copy of memory, no event is triggered when an item is changed in this array. Only capacity items are allocated (from 0 to Capacity-1), but only Count items are valid (from 0 to Count-1).

Created with Doc-O-Matic.


TJvFullColorList.OnChange event

TJvFullColorList	Edit topic

Event triggered when the list is changed.

Pascal

TJvFullColorListOperation = (foAllChanged, foDeleted, foAdded, foChanged);
TJvFullColorListEvent = procedure (Sender: TObject; Index: Integer; Operation: TJvFullColorListOperation) of object;
property OnChange: TJvFullColorListEvent;

Parameters

Operation

Operation that changed this item.

Index

Index of the changed item.

Sender

List that send the event.

Description

Operation gives informations about the operation made on the item. If Operation is foAllChanged, all items are changed in the list, Index is not useful. If Operation is foDeleted, an item was deleted, Index is the old index of this item in the list. If Operation is foAdded, an item was added, Index is the index of this item in the list. If Operation is foChanged, an item was changed, Index is the index of this item in the list.

No event is triggered if UpdateCount is not 0.

Created with Doc-O-Matic.


TJvFullColorList.UpdateCount property

TJvFullColorList	Edit topic

Number of updates being made on the list.

Pascal

property UpdateCount: Integer;

Description

UpdateCount prevents the OnChange event from being called when it is not 0. You can increment UpdateCount by calling BeginUpdate and decrement it by calling EndUpdate.

Created with Doc-O-Matic.


TJvFullColorList.Add method

TJvFullColorList	Edit topic

Add a new color.

Pascal

function Add(AColor: TJvFullColor): Integer;

Return Value

Index of this new item in the list.

Parameters

AColor: TJvFullColor

Color to add.

Description

This function adds a new item in the list. This color is added at the end of the list. The return value is the index of this item in the list after being added (Count-1).

Created with Doc-O-Matic.


TJvFullColorList.Assign method

TJvFullColorList	Edit topic

Copy from the content of a source list

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

Source for the copy

Description

This function assign the content of the current instance from the list given as parameter. The source list must be a descendant of TJvFullColorList, if this parameter is not a TJvFullColor list, an exception is raised. The current list is cleared and filled with items from the source list.

Created with Doc-O-Matic.


TJvFullColorList.BeginUpdate method

TJvFullColorList	Edit topic

Begin an update of items.

Pascal

procedure BeginUpdate;

Description

This function increment the UpdateCount property. While UpdateCount is not 0, the event OnChange is not triggered when the list is changed. This result in a fast way to change the content of the current list.

Created with Doc-O-Matic.


TJvFullColorList.Clear method

TJvFullColorList	Edit topic

Clear all items of the list.

Pascal

procedure Clear;

Description

This function delete all items of the list. After the call of Clear, Capacity and Count are reset to

0.	After clearing the list, the OnChange event is triggered with Operation = ofAllChanged.

Created with Doc-O-Matic.


TJvFullColorList.Delete method

TJvFullColorList	Edit topic

Delete an item from the list

Pascal

procedure Delete(Index: Integer);

Parameters

Index: Integer

Index of the item to delete.

Description

This function delete an item from the list. After removing this item, items that had a greater Index are shifted to the right, the list is always packed. After deleting the item, the OnChange event is triggered with Operation = ofDelete.

Created with Doc-O-Matic.


TJvFullColorList.DeleteRedundant method

TJvFullColorList	Edit topic

Pack the list by deleting redundant items.

Pascal

procedure DeleteRedundant;

Description

This function delete redundant items (present more than one time in the list). The first case if kept, following matches are deleted.

Created with Doc-O-Matic.


TJvFullColorList.EndUpdate method

TJvFullColorList	Edit topic

End an update of items.

Pascal

procedure EndUpdate;

Description

This function decrement the UpdateCount property. The if UpdateCount is 0, an OnChange event is triggered with Operation set to foAllChanged.

Created with Doc-O-Matic.


TJvFullColorList.Exchange method

TJvFullColorList	Edit topic

Exchange 2 items of the list.

Pascal

procedure Exchange(Index1: Integer; Index2: Integer);

Parameters

Index1: Integer

first index.

Index2: Integer

second index.

Description

This function exchange two items of the list. After the exchange, two OnChange event are triggered (one per index) with Operation = ofChanged.

Created with Doc-O-Matic.


TJvFullColorList.IndexOf method

TJvFullColorList	Edit topic

Index of an item in the list

Pascal

function IndexOf(AColor: TJvFullColor): Integer;

Return Value

Index of the first match in the list.

Parameters

AColor: TJvFullColor

Color to search

Description

This function search for a color in the list and return the first match found. If the color is not in the list, -1 is returned.

Created with Doc-O-Matic.


TJvFullColorList.Insert method

TJvFullColorList	Edit topic

Insert an item in the list.

Pascal

procedure Insert(Index: Integer; AColor: TJvFullColor);

Parameters

Index: Integer

Index to insert the item.

AColor: TJvFullColor

Color to insert at this position.

Description

Insert a color at the given position. Lower indexes are not changed. Higher indexes are shift left to make a free space to place the new item. After inserting the item, an OnChange event is triggered with Operation = foAdded.

Created with Doc-O-Matic.


TJvFullColorList.Remove method

TJvFullColorList	Edit topic

Remove a color of the list.

Pascal

function Remove(AColor: TJvFullColor): Integer;

Return Value

Old index of this color in the list.

Parameters

AColor: TJvFullColor

Color to remove.

Description

This function delete the first match of the AColor parameter in the list. If one color is found, it is deleted and an OnChange event is sent with Operation = ofDeleted, the result of this function is he old index of this color in the list. If the color is not found in the list, the return value is -1 and the list remains unchanged. This remove only the first match of the color in the list.

Created with Doc-O-Matic.


TJvFullColorPanel
JEDI-VCL Reference

 TJvFullColorPanel

Hierarchy	Properties	Events	Package	 See Also	Edit topic

Control displaying 2 axes of a color space.

Pascal

TJvFullColorPanel = class(TJvFullColorComponent2D);

File

JvFullColorCtrls

Description

This control mimics the behavior and the functionality of the plane displayed in the "Choose a color..." standard-dialog box. It is highly configurable :

the property AxisConfig changes the configuration of axes used to display the panel.

the properties CrossStyle, CrossSize and CrossCircle change the Cross appearance.

the properties ReverseAxisX and ReverseAxisY can change the panel orientation.

Created with Doc-O-Matic.


TJvFullColorPanel Properties

TJvFullColorPanel	Legend

Properties

 ColorTrackBar

 CrossCenter

 CrossSize

 CrossStyle

 ReverseAxisX

 ReverseAxisY

TJvFullColorComponent2D

 ValueZ

 ValueZAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFullColorPanel Events

TJvFullColorPanel	Legend

Events

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFullColorPanel

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvFullColorComponent
        TJvFullColorComponent2D
            TJvFullColorPanel


TJvFullColorPanel Members

TJvFullColorPanel	Legend

Members

Properties

 ColorTrackBar

 CrossCenter

 CrossSize

 CrossStyle

 ReverseAxisX

 ReverseAxisY

TJvFullColorComponent2D

 ValueZ

 ValueZAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Events

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


See Also

TJvFullColorComponent.AxisConfig, TJvFullColorPanel.CrossStyle, TJvFullColorPanel.CrossSize, TJvFullColorPanel.CrossCircle, TJvFullColorPanel.ReverseAxisX, TJvFullColorPanel.ReverseAxisY.


Package

MM


TJvFullColorPanel.ColorTrackBar property

TJvFullColorPanel	See Also	Edit topic

TJvFullColorTrackBar linked to the component.

Pascal

property ColorTrackBar: TJvFullColorTrackBar;

Description

This property sets the TJvFullColorTrackBar used to display the third color axis of the color space. When changing the FullColor property of either the panel or the trackbar, the changes (of color and/or color space) are applied automatically to the other control.

Created with Doc-O-Matic.


See Also

TJvFullColorComponent.AxisConfig, TJvFullColorComponent.FullColor, TJvFullColorTrackBar


TJvFullColorPanel.CrossCenter property

TJvFullColorPanel	See Also	Edit topic

Size of the hole at the center of the cross.

Pascal

property CrossCenter: Integer;

Description

This property is the size of the hole in pixels at the center of the cross.

Created with Doc-O-Matic.


See Also

TJvFullColorPanel.CrossSize, TJvFullColorPanel.CrossStyle


TJvFullColorPanel.CrossSize property

TJvFullColorPanel	See Also	Edit topic

Size of the cross.

Pascal

property CrossSize: Integer;

Description

This property changes the size in pixel of the cross.

Created with Doc-O-Matic.


See Also

TJvFullColorPanel.CrossStyle, TJvFullColorPanel.CrossCenter.


TJvFullColorPanel.CrossStyle property

TJvFullColorPanel	Edit topic

Pen used to render the cross.

Pascal

property CrossStyle: TPen;

Description

This property changes the pen used to render the cross on the panel display. All properties of TPen (Width, Color, Mode, Style) are applied.

Created with Doc-O-Matic.


TJvFullColorPanel.ReverseAxisX property

TJvFullColorPanel	See Also	Edit topic

Orientation of the horizontal axis.

Pascal

property ReverseAxisX: Boolean;

Description

This property changes the orientation of the horizontal axis of the panel. The horizontal axis is linked to a color space axis according to the AxisConfig property. When ReverseAxisX is false, the lowest value of the axis is located at the left side of the control, the highest is located at the right side. When ReverseAxisX is false, the lowest value of the axis is located at the right side of the control, the highest is located at the left side.

Created with Doc-O-Matic.


See Also

TJvFullColorComponent.AxisConfig, TJvFullColorPanel.ReverseAxisY.


TJvFullColorPanel.ReverseAxisY property

TJvFullColorPanel	See Also	Edit topic

Orientation of the vertical axis.

Pascal

property ReverseAxisY: Boolean;

Description

This property changes the orientation of the vertical axis of the panel. The vertical axis is linked to a color space axis according to the AxisConfig property. When ReverseAxisY is false, the lowest value of the axis is located at the top side of the control, the highest is located at the bottom side. When ReverseAxisY is false, the lowest value of the axis is located at the bottom side of the control, the highest is located at the top side.

Created with Doc-O-Matic.


See Also

TJvFullColorComponent.AxisConfig, TJvFullColorPanel.ReverseAxisX


TJvFullColorSpaceCombo
JEDI-VCL Reference

 TJvFullColorSpaceCombo

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

ComboBox filled with all available color spaces.

Pascal

TJvFullColorSpaceCombo = class(TCustomComboBox);

File

JvFullColorCtrls

Description

This control is the standard combobox automatically filled with all registered color spaces.

Created with Doc-O-Matic.


TJvFullColorSpaceCombo Properties

TJvFullColorSpaceCombo	Legend

Properties

 AllowVariable

 ColorSpaceID

 ItemFormat

SelectedSpace

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFullColorSpaceCombo Events

TJvFullColorSpaceCombo	Legend

Events

 OnFormatItem

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvFullColorSpaceCombo Methods

TJvFullColorSpaceCombo	Legend

Methods

 MakeList

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvFullColorSpaceCombo

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomComboBox
    TJvFullColorSpaceCombo


TJvFullColorSpaceCombo Members

TJvFullColorSpaceCombo	Legend

Members

Properties

 AllowVariable

 ColorSpaceID

 ItemFormat

SelectedSpace

Events

 OnFormatItem

Methods

 MakeList

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


See Also

TJvFullColorSpaceCombo.ColorSpaceID, TJvFullColorSpaceCombo.SelectedSpace


Package

MM


TJvFullColorSpaceCombo.AllowVariable property

TJvFullColorSpaceCombo	See Also	Edit topic

Specify if variable color spaces are added to the list.

Pascal

property AllowVariable: Boolean;

Description

This property specify if variable color spaces (like predefined color space) are added to the list.

Created with Doc-O-Matic.


See Also

TJvDEFColorSpace


TJvFullColorSpaceCombo.ColorSpaceID property

TJvFullColorSpaceCombo	See Also	Edit topic

Identifier of the selected color space.

Pascal

property ColorSpaceID: TJvFullColorSpaceID;

Description

This property gets and sets the current identifier of the selected color space.

Created with Doc-O-Matic.


See Also

TJvFullColorSpaceCombo.SelectedSpace


TJvFullColorSpaceCombo.ItemFormat property

TJvFullColorSpaceCombo	See Also	Edit topic

Format used to display the caption of an item.

Pascal

property ItemFormat: TJvFullColorSpaceFormat;

Description

This property changes the way to format the text displayed in the drop down list and in the edit control. The OnFormatItem event overrides this format and allows the user to custom the items' text.

Created with Doc-O-Matic.


See Also

TJvFullColorSpaceCombo.OnFormatItem, TJvFullColorSpaceFormat


TJvFullColorSpaceCombo.OnFormatItem event

TJvFullColorSpaceCombo	See Also	Edit topic

Event triggered when an item need to be formatted.

Pascal

TJvFullColorSpaceFormatEvent = procedure (Sender: TObject; AColorSpace: TJvColorSpace; out ACaption: string) of object;
property OnFormatItem: TJvFullColorSpaceFormatEvent;

Parameters

ACaption

(out) Caption that will be displayed for this item.

AColorSpace

Color space corresponding to the item.

Sender

The TJvFullColorAxisCombo instance which is asking for a format event.

Description

The TJvFullColorSpaceCombo triggers this event when the list is filled (in the MakeList procedure), this event overrides the settings of the ItemFormat property.

Created with Doc-O-Matic.


See Also

TJvFullColorSpaceCombo.MakeList, TJvFullColorSpaceCombo.ItemFormat


TJvFullColorSpaceCombo.SelectedSpace property

TJvFullColorSpaceCombo	See Also	Edit topic

Selected color space.

Pascal

property SelectedSpace: TJvColorSpace;

Description

This property gets and sets the selected color space.

Created with Doc-O-Matic.


See Also

TJvFullColorSpaceCombo.ColorSpaceID


TJvFullColorSpaceCombo.MakeList method

TJvFullColorSpaceCombo	See Also	Edit topic

Refill the list of color spaces.

Pascal

procedure MakeList; virtual;

Description

This procedure refills the list of color spaces displayed in the drop down list. The ItemFormat property and the OnFormatItem event control the format of each item.

Created with Doc-O-Matic.


See Also

TJvFullColorSpaceCombo.ItemFormat, TJvFullColorSpaceCombo.OnFormatItem


TJvFullColorTrackBar
JEDI-VCL Reference

 TJvFullColorTrackBar

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Control displaying one axis of a color space.

Pascal

TJvFullColorTrackBar = class(TJvFullColorComponent);

File

JvFullColorCtrls

Description

This control mimics the behavior and the functionality of the trackbar displayed in the "Choose a color..." standard-dialog box. It is configurable :

the property AxisConfig changes the configuration of axes used to display the panel.

the properties ArrowPosition, ArrowWidth and ArrowColor control the arrow appearance.

the property ColorOrientation can change the panel orientation.

Created with Doc-O-Matic.


TJvFullColorTrackBar Properties

TJvFullColorTrackBar	Legend

Properties

 ArrowColor

 ArrowPosition

 ArrowWidth

 ColorOrientation

 FullColorDrawing

 Orientation

 ValueX

 ValueXAuto

 ValueY

 ValueYAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvFullColorTrackBar Methods

TJvFullColorTrackBar

Methods

FreeLink

Linked

LinkerName

SetLink

Created with Doc-O-Matic.


TJvFullColorTrackBar Events

TJvFullColorTrackBar	Legend

Events

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvFullColorTrackBar

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvFullColorComponent
        TJvFullColorTrackBar


TJvFullColorTrackBar Members

TJvFullColorTrackBar	Legend

Members

Properties

 ArrowColor

 ArrowPosition

 ArrowWidth

 ColorOrientation

 FullColorDrawing

 Orientation

 ValueX

 ValueXAuto

 ValueY

 ValueYAuto

TJvFullColorComponent

 AutoMouse

 AxisConfig

 ColorSpace

 FullColor

 MouseDragging

 WantDrawBuffer

Methods

FreeLink

Linked

LinkerName

SetLink

Events

TJvFullColorComponent

 OnAxisConfigChange

 OnColorChange

 OnColorSpaceChange

 OnMouseColor

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


See Also

TJvFullColorComponent.AxisConfig, TJvFullColorTrackBar.ArrowPosition, TJvFullColorTrackBar.ArrowWidth, TJvFullColorTrackBar.ArrowColor, TJvFullColorTrackBar.ColorOrientation


Package

MM


TJvFullColorTrackBar.ArrowColor property

TJvFullColorTrackBar	See Also	Edit topic

Color of the arrow.

Pascal

property ArrowColor: TColor;

Description

This property changes the color used to display the arrow pointing the selected color.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.ArrowPosition, TJvFullColorTrackBar.ArrowWidth


TJvFullColorTrackBar.ArrowPosition property

TJvFullColorTrackBar	See Also	Edit topic

Position of the arrow in the control.

Pascal

property ArrowPosition: TJvArrowPosition;

Description

This property changes the position of the arrow in the control. Its effect depends on the Orientation property.

If the Orientation property is trHorizontal :

ArrowPosition = coNormal places the arrow above the bar.

ArrowPosition = coOpposite places the arrow below the bar.

If the Orientation property is trVertical :

ArrowPosition = coNormal places the arrow at the left side of the bar.

ArrowPosition = coOpposite places the arrow at the right side of the bar.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.Orientation


TJvFullColorTrackBar.ArrowWidth property

TJvFullColorTrackBar	See Also	Edit topic

Width of the arrow.

Pascal

property ArrowWidth: Integer;

Description

This property changes the width (in pixels) of the arrow.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.ArrowColor, TJvFullColorTrackBar.ArrowPosition


TJvFullColorTrackBar.ColorOrientation property

TJvFullColorTrackBar	See Also	Edit topic

Orientation of the color space axis.

Pascal

property ColorOrientation: TJvFullColorOrientation;

Description

This property changes the orientation of the color space axis. Its effect depends on the Orientation property.

If the Orientation property is trHorizontal :

ArrowPosition = coNormal : the lower value of the axis is located at the left side of the control, the higher value of the axis is located at the right side of the control.

ArrowPosition = coOpposite : the lower value of the axis is located at the right side of the control, the higher value of the axis is located at the left side of the control.

If the Orientation property is trVertical :

ArrowPosition = coNormal : the lower value of the axis is located at the top side of the control, the higher value of the axis is located at the bottom side of the control.

ArrowPosition = coOpposite : the lower value of the axis is located at the bottom side of the control, the higher value of the axis is located at the top side of the control.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.Orientation, TJvFullComponent.AxisConfig


TJvFullColorTrackBar.FullColorDrawing property

TJvFullColorTrackBar	See Also	Edit topic

Change the color display.

Pascal

property FullColorDrawing: Boolean;

Description

This property enable or not the values of the others axes during the rendering. IE: if this property is true, each color will get the current value of others axes (in the FullColor property); if it is false each color will get the values specified by the ValueX and ValueY properties.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.ValueX, TJvFullColorTrackBar.ValueY, TJvFullColorComponent.FullColor, TJvColorSpace.AxisDefault


TJvFullColorTrackBar.Orientation property

TJvFullColorTrackBar	See Also	Edit topic

Specify the orientation of the bar.

Pascal

property Orientation: TTrackBarOrientation;

Description

This property changes the orientation of the bar :

trHorizontal : the bar orientation will be horizontal.

trVertical : the bar orientation will be vertical.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.ColorOrientation


TJvFullColorTrackBar.ValueX property

TJvFullColorTrackBar	See Also	Edit topic

Default value for the X Axis.

Pascal

property ValueX: Byte;

Description

This property sets the default value of the X-axis (specified by the AxisConfig property) when rendering the bar. This property is only used when FullColorDrawing is false and ValueXAuto is false.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.FullColorDrawing, TJvFullColorTrackBar.ValueY, TJvFullColorTrackBar.ValueXAuto, TJvFullColorComponent.AxisConfig


TJvFullColorTrackBar.ValueXAuto property

TJvFullColorTrackBar	See Also	Edit topic

Adjust the ValueX property to the color space default value.

Pascal

property ValueXAuto: Boolean;

Description

If this property is true, the ValueX property will be automatically set to the color space default value.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.ValueX, TJvFullColorTrackBar.ValueYAuto


TJvFullColorTrackBar.ValueY property

TJvFullColorTrackBar	See Also	Edit topic

Default value for the Y Axis.

Pascal

property ValueY: Byte;

Description

This property sets the default value of the Y-axis (specified by the AxisConfig property) when rendering the bar. This property is only used when FullColorDrawing is false and ValueYAuto is false.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.FullColorDrawing, TJvFullColorTrackBar.ValueX, TJvFullColorTrackBar.ValueYAuto, TJvFullColorComponent.AxisConfig


TJvFullColorTrackBar.ValueYAuto property

TJvFullColorTrackBar	See Also	Edit topic

Adjust the ValueY property to the color space default value.

Pascal

property ValueYAuto: Boolean;

Description

If this property is true, the ValueY property will be automatically set to the color space default value.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.ValueY, TJvFullColorTrackBar.ValueXAuto


TJvFullColorTrackBar.FreeLink method

TJvFullColorTrackBar	See Also	Edit topic

Remove the link between the TJvFullColorTrackBar and an other control.

Pascal

procedure FreeLink;

Description

This function removes the link between the TJvFullColorTrackBar and an other FullColor component (TJvFullColorPanel or TJvFullColorCircle).

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.Linked, TJvFullColorTrackBar.LinkerName, TJvFullColorTrackBar.SetLink, TJvFullColorPanel, TJvFullColorCircle


TJvFullColorTrackBar.Linked method

TJvFullColorTrackBar	See Also	Edit topic

Returns if the trackbar is linked to an other component.

Pascal

function Linked: Boolean;

Return Value

Returns if the trackbar is linked to an other component.

Description

This function returns true if the trackbar is linked to an other full color component (TJvFullColorPanel or TJvFullColorCircle), false otherwise.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.FreeLink, TJvFullColorTrackBar.LinkerName, TJvFullColorTrackBar.SetLink, TJvFullColorPanel, TJvFullColorCircle


TJvFullColorTrackBar.LinkerName method

TJvFullColorTrackBar	See Also	Edit topic

Returns the name of the linked component.

Pascal

function LinkerName: TComponentName;

Return Value

The name of the linked component.

Description

This function returns the name of the linked component.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.FreeLink, TJvFullColorTrackBar.Linked, TJvFullColorTrackBar.SetLink, TJvFullColorPanel, TJvFullColorCircle


TJvFullColorTrackBar.SetLink method

TJvFullColorTrackBar	See Also	Edit topic

Set the link to an other component.

Pascal

procedure SetLink(AComponent: TComponent);

Parameters

AComponent: TComponent

New component to be linked.

Description

This function changes the component linked to the trackbar.

Created with Doc-O-Matic.


See Also

TJvFullColorTrackBar.FreeLink, TJvFullColorTrackBar.Linked, TJvFullColorTrackBar.LinkerName, TJvFullColorPanel, TJvFullColorCircle


TJvGIFFrame
JEDI-VCL Reference

TJvGIFFrame

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvGIFFrame = class(TPersistent);

File

JvGIF

Description

Object storing a Frame of a GIF image

Created with Doc-O-Matic.


TJvGIFFrame Properties

TJvGIFFrame	Legend

Properties

AnimateInterval

 Bitmap

 ColorCount

Comment

 Corrupted

DisposalMethod

 Height

 Interlaced

Origin

TransparentColor

 Width

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvGIFFrame Methods

TJvGIFFrame

Methods

Draw

Created with Doc-O-Matic.


Legend

TJvGIFFrame

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvGIFFrame


TJvGIFFrame Members

TJvGIFFrame	Legend

Members

Properties

AnimateInterval

 Bitmap

 ColorCount

Comment

 Corrupted

DisposalMethod

 Height

 Interlaced

Origin

TransparentColor

 Width

Methods

Draw

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvGIFFrame.AnimateInterval property

TJvGIFFrame	Edit topic

Not documented

Pascal

property AnimateInterval: Word;

Description

Interval of time for current frame

Run-time only

Created with Doc-O-Matic.


TJvGIFFrame.Bitmap property

TJvGIFFrame	Edit topic

Not documented

Pascal

property Bitmap: TBitmap;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFFrame.ColorCount property

TJvGIFFrame	Edit topic

Not documented

Pascal

property ColorCount: Integer;

Description

Used color count in frame

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFFrame.Comment property

TJvGIFFrame	Edit topic

Not documented

Pascal

property Comment: TStrings;

Description

Frame comment

Run-time only

Created with Doc-O-Matic.


TJvGIFFrame.Corrupted property

TJvGIFFrame	Edit topic

Not documented

Pascal

property Corrupted: Boolean;

Description

If True, the frame is corrupted

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFFrame.DisposalMethod property

TJvGIFFrame	Edit topic

Not documented

Pascal

property DisposalMethod: TDisposalMethod;

Description

Frame disposal method (leave, restore background, restore previous)

Run-time only

Created with Doc-O-Matic.


TJvGIFFrame.Height property

TJvGIFFrame	Edit topic

Not documented

Pascal

property Height: Integer;

Description

Frame height

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFFrame.Interlaced property

TJvGIFFrame	Edit topic

Not documented

Pascal

property Interlaced: Boolean;

Description

True if frame format is Interlaced

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFFrame.Origin property

TJvGIFFrame	Edit topic

Not documented

Pascal

property Origin: TPoint;

Description

Frame origin point

Run-time only

Created with Doc-O-Matic.


TJvGIFFrame.TransparentColor property

TJvGIFFrame	Edit topic

Not documented

Pascal

property TransparentColor: TColor;

Description

Frame transparent color

Run-time only

Created with Doc-O-Matic.


TJvGIFFrame.Width property

TJvGIFFrame	Edit topic

Not documented

Pascal

property Width: Integer;

Description

Frame width

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFFrame.Draw method

TJvGIFFrame	Edit topic

Not documented

Pascal

procedure Draw(ACanvas: TCanvas; const ARect: TRect; Transparent: Boolean);

Parameters

ACanvas: TCanvas

Not documented

const ARect: TRect

Not documented

Transparent: Boolean

Not documented

Description

Draws the frame onto Acanvas in ARect with or w/o transparency

Created with Doc-O-Matic.


TJvGIFImage
JEDI-VCL Reference

TJvGIFImage

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvGIFImage = class(TGraphic);

File

JvGIF

Description

TGIFImage supports reading and writing GIF compressed image data. The GIFImage object uses the data from an instance of a TGIFData object, which contains that actual GIF data source and is never modified. Each GIF image object may share this data source object with other instances of a GIF image that are copies of it, created by using the Assign method. The GIF data source does referencing counting for the GIF image objects that are linked to it.

The properties of TGIFImage indicate the size and characteristics of the GIF image.

TGIFImage supports up to 256-colors GIF images versions 87a and 89a (you can determine version of loaded image by Version property), and supports graphic control extensions (multiple images, transparency) and comment extensions of GIF format. Plain text extensions are not supported.

Single image from GIF animation sequence can be accessible by the Frames property.

TGIFImage has an internal bitmaps for each frame that contains the GIF image. These internal images and the original data source of a GIF image are read only.

A TGIFImage object:

Has no canvas (and thus it cannot draw onto a canvas). A TGIFImage object does implement the protected Draw method introduced in TGraphic. This means that it can draw itself. When TGIFImage contains multiple frames (animated GIF) the Draw method will be draw frame specified by FrameIndex property.

Provides no access to the internal bitmap image that it creates for the GIF image.

TGIFImage and TGIFFrame can be assign to TBitmap object and you can assign TBitmap object to the TGIFImage or TGIFFrame. So you can create TGIFImage, assign bitmap to it and then store image as GIF file by using SaveToFile method.

Created with Doc-O-Matic.


TJvGIFImage Properties

TJvGIFImage	Legend

Properties

BackgroundColor

 Bitmap

Comment

 Corrupted

 Count

FrameIndex

 Frames

 GlobalColorCount

Looping

 PixelFormat

RepeatCount

 ScreenHeight

 ScreenWidth

 TransparentColor

 Version

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvGIFImage Methods

TJvGIFImage	Legend

Methods

 AddFrame

Clear

DecodeAllFrames

DeleteFrame

EncodeAllFrames

Grayscale

 LoadFromClipboardFormat

LoadFromResourceID

LoadFromResourceName

 LoadFromStream

MoveFrame

 SaveToClipboardFormat

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvGIFImage

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TGraphic
    TJvGIFImage


TJvGIFImage Members

TJvGIFImage	Legend

Members

Properties

BackgroundColor

 Bitmap

Comment

 Corrupted

 Count

FrameIndex

 Frames

 GlobalColorCount

Looping

 PixelFormat

RepeatCount

 ScreenHeight

 ScreenWidth

 TransparentColor

 Version

Methods

 AddFrame

Clear

DecodeAllFrames

DeleteFrame

EncodeAllFrames

Grayscale

 LoadFromClipboardFormat

LoadFromResourceID

LoadFromResourceName

 LoadFromStream

MoveFrame

 SaveToClipboardFormat

 SaveToStream

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvGIFImage.BackgroundColor property

TJvGIFImage	Edit topic

Not documented

Pascal

property BackgroundColor: TColor;

Description

The BackgroundColor property determines which background color stored in the GIF file to use when drawing a GIF image. The background color is the color used for those pixels on the screen that are not covered by an image.

Created with Doc-O-Matic.


TJvGIFImage.Bitmap property

TJvGIFImage	Edit topic

Not documented

Pascal

property Bitmap: TBitmap;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFImage.Comment property

TJvGIFImage	Edit topic

Not documented

Pascal

property Comment: TStrings;

Description

GIF image embedded comment

Run-time only

Created with Doc-O-Matic.


TJvGIFImage.Corrupted property

TJvGIFImage	Edit topic

Not documented

Pascal

property Corrupted: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFImage.Count property

TJvGIFImage	Edit topic

Not documented

Pascal

property Count: Integer;

Description

Number of frames (for animated GIF)

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFImage.FrameIndex property

TJvGIFImage	Edit topic

Not documented

Pascal

property FrameIndex: Integer;

Description

Current frame index. When this property is changed, it would change the frame being displayed on the canvas.

Run-time only

Created with Doc-O-Matic.


TJvGIFImage.Frames property

TJvGIFImage	Edit topic

Not documented

Pascal

property Frames [Index: Integer]: TJvGIFFrame;

Description

Gives access to each frame of an animated image

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFImage.GlobalColorCount property

TJvGIFImage	Edit topic

Not documented

Pascal

property GlobalColorCount: Integer;

Description

Used color count.

Run-time only.

Read-only.

Created with Doc-O-Matic.


TJvGIFImage.Looping property

TJvGIFImage	Edit topic

Not documented

Pascal

property Looping: Boolean;

Description

If True, animation will loop

Run-time only

Created with Doc-O-Matic.


TJvGIFImage.PixelFormat property

TJvGIFImage	Edit topic

Not documented

Pascal

property PixelFormat: TPixelFormat;

Description

Pixel format (bit per pixel)

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFImage.RepeatCount property

TJvGIFImage	Edit topic

Not documented

Pascal

property RepeatCount: Word;

Description

Number of time the animation will loop

Run-time only

Created with Doc-O-Matic.


TJvGIFImage.ScreenHeight property

TJvGIFImage	See Also	Edit topic

Not documented

Pascal

property ScreenHeight: Integer;

Description

Screen height (as Delphi Screen.Height but concerning the screen on which the GIF was created)

Run-time only

Read-only

Created with Doc-O-Matic.


See Also

TJvGIFImage.ScreenWidth


TJvGIFImage.ScreenWidth property

TJvGIFImage	See Also	Edit topic

Not documented

Pascal

property ScreenWidth: Integer;

Description

Screen Width (as Delphi Screen.Width but concerning the screen on which the GIF was created)

Run-time only

Read-only

Created with Doc-O-Matic.


See Also

TJvGIFImage.ScreenHeight


TJvGIFImage.TransparentColor property

TJvGIFImage	Edit topic

Not documented

Pascal

property TransparentColor: TColor;

Description

If GIF is transparent, this is the transparent color

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFImage.Version property

TJvGIFImage	Edit topic

Not documented

Pascal

property Version: TGIFVersion;

Description

GIF version of the image

Run-time only

Read-only

Created with Doc-O-Matic.


TJvGIFImage.AddFrame method

TJvGIFImage	Edit topic

Not documented

Pascal

function AddFrame(Value: TGraphic): Integer; virtual;

Parameters

Value: TGraphic

Not documented

Description

Adds a frame to an animated GIF

Created with Doc-O-Matic.


TJvGIFImage.Clear method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure Clear;

Description

Clears the GIF

Created with Doc-O-Matic.


TJvGIFImage.DecodeAllFrames method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure DecodeAllFrames;

Description

Decode all frames as a bitmap

Created with Doc-O-Matic.


TJvGIFImage.DeleteFrame method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure DeleteFrame(Index: Integer);

Parameters

Index: Integer

Not documented

Description

Deletes frames number Index

Created with Doc-O-Matic.


TJvGIFImage.EncodeAllFrames method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure EncodeAllFrames;

Description

Encodes all frames

Created with Doc-O-Matic.


TJvGIFImage.Grayscale method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure Grayscale(ForceEncoding: Boolean);

Parameters

ForceEncoding: Boolean

Not documented

Description

Converts the image into a grayscaled one.

Created with Doc-O-Matic.


TJvGIFImage.LoadFromClipboardFormat method

TJvGIFImage	Edit topic

Write here a summary (1 line) This is an overridden method, you don't have to describe these if it does the same as the inherited method

Pascal

procedure LoadFromClipboardFormat(AFormat: Word; AData: THandle; APalette: HPALETTE); override;

Parameters

AFormat: Word

Not documented

AData: THandle

Not documented

APalette: HPALETTE

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFImage.LoadFromResourceID method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure LoadFromResourceID(Instance: THandle; ResID: Integer; ResType: PChar);

Parameters

Instance: THandle

Not documented

ResID: Integer

Not documented

ResType: PChar

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFImage.LoadFromResourceName method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure LoadFromResourceName(Instance: THandle; const ResName: string; ResType: PChar);

Parameters

Instance: THandle

Not documented

const ResName: string

Not documented

ResType: PChar

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFImage.LoadFromStream method

TJvGIFImage	Edit topic

Write here a summary (1 line) This is an overridden method, you don't have to describe these if it does the same as the inherited method

Pascal

procedure LoadFromStream(Stream: TStream); override;

Parameters

Stream: TStream

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFImage.MoveFrame method

TJvGIFImage	Edit topic

Not documented

Pascal

procedure MoveFrame(CurIndex: Integer; NewIndex: Integer);

Parameters

CurIndex: Integer

Not documented

NewIndex: Integer

Not documented

Description

Moves a frame from one index to another

Created with Doc-O-Matic.


TJvGIFImage.SaveToClipboardFormat method

TJvGIFImage	Edit topic

Write here a summary (1 line) This is an overridden method, you don't have to describe these if it does the same as the inherited method

Pascal

procedure SaveToClipboardFormat(var AFormat: Word; var AData: THandle; var APalette: HPALETTE); override;

Parameters

var AFormat: Word

Not documented

var AData: THandle

Not documented

var APalette: HPALETTE

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGIFImage.SaveToStream method

TJvGIFImage	Edit topic

Write here a summary (1 line) This is an overridden method, you don't have to describe these if it does the same as the inherited method

Pascal

procedure SaveToStream(Stream: TStream); override;

Parameters

Stream: TStream

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager
JEDI-VCL Reference

TJvGlobalDockManager

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvGlobalDockManager = class(TJvDockManager);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager Properties

TJvGlobalDockManager	Legend

Properties

 DockableForm

 DockableFormCount

 DockClient

 DockClientCount

 DockServer

 DockServerCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvGlobalDockManager Methods

TJvGlobalDockManager

Methods

FindDockClientForm

FindDockControlForm

FindDockServerForm

RegisterDockableForm

RegisterDockClient

RegisterDockServer

UnRegisterDockableForm

UnRegisterDockClient

UnRegisterDockServer

Created with Doc-O-Matic.


Legend

TJvGlobalDockManager

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TJvDockManager
    TJvGlobalDockManager


TJvGlobalDockManager Members

TJvGlobalDockManager	Legend

Members

Properties

 DockableForm

 DockableFormCount

 DockClient

 DockClientCount

 DockServer

 DockServerCount

Methods

FindDockClientForm

FindDockControlForm

FindDockServerForm

RegisterDockableForm

RegisterDockClient

RegisterDockServer

UnRegisterDockableForm

UnRegisterDockClient

UnRegisterDockServer

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvGlobalDockManager.DockableForm property

TJvGlobalDockManager	Edit topic

Not documented

Pascal

property DockableForm [const Index: Integer]: TJvDockableForm;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.DockableFormCount property

TJvGlobalDockManager	Edit topic

Not documented

Pascal

property DockableFormCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.DockClient property

TJvGlobalDockManager	Edit topic

Not documented

Pascal

property DockClient [const Index: Integer]: TJvDockClient;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.DockClientCount property

TJvGlobalDockManager	Edit topic

Not documented

Pascal

property DockClientCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.DockServer property

TJvGlobalDockManager	Edit topic

Not documented

Pascal

property DockServer [const Index: Integer]: TJvDockServer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.DockServerCount property

TJvGlobalDockManager	Edit topic

Not documented

Pascal

property DockServerCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.FindDockClientForm method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

function FindDockClientForm(const AName: string): TControl;

Parameters

const AName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.FindDockControlForm method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

function FindDockControlForm(const AName: string): TControl;

Parameters

const AName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.FindDockServerForm method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

function FindDockServerForm(const AName: string): TControl;

Parameters

const AName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.RegisterDockableForm method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

procedure RegisterDockableForm(ADockableForm: TJvDockableForm);

Parameters

ADockableForm: TJvDockableForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.RegisterDockClient method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

procedure RegisterDockClient(ADockClient: TJvDockClient);

Parameters

ADockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.RegisterDockServer method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

procedure RegisterDockServer(ADockServer: TJvDockServer);

Parameters

ADockServer: TJvDockServer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.UnRegisterDockableForm method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

procedure UnRegisterDockableForm(ADockableForm: TJvDockableForm);

Parameters

ADockableForm: TJvDockableForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.UnRegisterDockClient method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

procedure UnRegisterDockClient(ADockClient: TJvDockClient);

Parameters

ADockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGlobalDockManager.UnRegisterDockServer method

TJvGlobalDockManager	Edit topic

Not documented

Pascal

procedure UnRegisterDockServer(ADockServer: TJvDockServer);

Parameters

ADockServer: TJvDockServer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvGraphicControl
JEDI-VCL Reference

TJvGraphicControl

Hierarchy	 See Also	Edit topic

The base class for custom graphic controls.

Pascal

TJvGraphicControl = class(TJvExGraphicControl);

File

JvComponent

Description

TJvGraphicControl is the base class for custom graphic controls within the JEDI VCL. The class defines one published property, AboutJVCL, that is used to display information about the currently installed JEDI-VCL release.

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl


See Also

TJvComponent, TJvWinControl


TJvgSingleInstance
JEDI-VCL Reference

 TJvgSingleInstance

Hierarchy	Properties	Package	 Edit topic

Not documented

Pascal

TJvgSingleInstance = class(TJvComponent);

File

JvgSingleInstance

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgSingleInstance Properties

TJvgSingleInstance	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvgSingleInstance

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvgSingleInstance


TJvgSingleInstance Members

TJvgSingleInstance	Legend

Members

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Globus


TJvgSmallFontsDefense
JEDI-VCL Reference

 TJvgSmallFontsDefense

Hierarchy	Properties	Package	 Edit topic

Not documented

Pascal

TJvgSmallFontsDefense = class(TJvComponent);

File

JvgSmallFontsDefense

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgSmallFontsDefense Properties

TJvgSmallFontsDefense	Legend

Properties

 Options

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvgSmallFontsDefense

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvgSmallFontsDefense


TJvgSmallFontsDefense Members

TJvgSmallFontsDefense	Legend

Members

Properties

 Options

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Globus


TJvgSmallFontsDefense.Options property

TJvgSmallFontsDefense	Edit topic

Not documented

Pascal

property Options: TglSmallFontsDefenseOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgSplitter
JEDI-VCL Reference

 TJvgSplitter

Hierarchy	Properties	Methods	Package	 Edit topic

Not documented

Pascal

TJvgSplitter = class(TSplitter);

File

JvgSplit

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgSplitter Properties

TJvgSplitter	Legend

Properties

 AboutJVCL

 Displace

 HotTrack

 TrackCount

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvgSplitter Methods

TJvgSplitter	Legend

Methods

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvgSplitter

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TSplitter
    TJvgSplitter


TJvgSplitter Members

TJvgSplitter	Legend

Members

Properties

 AboutJVCL

 Displace

 HotTrack

 TrackCount

Methods

 Paint

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

Globus


TJvgSplitter.AboutJVCL property

TJvgSplitter

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvgSplitter.Displace property

TJvgSplitter	Edit topic

Not documented

Pascal

property Displace: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgSplitter.HotTrack property

TJvgSplitter	See Also	Edit topic

Specifies whether the is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the text. When HotTrack is False, there is no visual feedback when the mouse passes over the .

Created with Doc-O-Matic.


See Also

HotGlyph, HotTrackFont, OnMouseEnter, OnMouseLeave


TJvgSplitter.TrackCount property

TJvgSplitter	Edit topic

Not documented

Pascal

property TrackCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgSplitter.Paint method

TJvgSplitter	Edit topic

Not documented

Pascal

procedure Paint; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgTransparentMemo
JEDI-VCL Reference

 TJvgTransparentMemo

Hierarchy	Properties	Methods	Package	 Edit topic

Not documented

Pascal

TJvgTransparentMemo = class(TMemo);

File

JvgTransparentMemo

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgTransparentMemo Properties

TJvgTransparentMemo	Legend

Properties

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvgTransparentMemo Methods

TJvgTransparentMemo	Legend

Methods

 CreateParams

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvgTransparentMemo

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TMemo
    TJvgTransparentMemo


TJvgTransparentMemo Members

TJvgTransparentMemo	Legend

Members

Properties

 AboutJVCL

Methods

 CreateParams

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

Globus


TJvgTransparentMemo.AboutJVCL property

TJvgTransparentMemo

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvgTransparentMemo.CreateParams method

TJvgTransparentMemo	Edit topic

Not documented

Pascal

procedure CreateParams(var Params: TCreateParams); override;

Parameters

var Params: TCreateParams

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer
JEDI-VCL Reference

 TJvgXMLSerializer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This component converts a given component to XML and back according to published interface of its class.

Pascal

TJvgXMLSerializer = class(TJvComponent);

File

JvgXMLSerializer

Description

The root tag is named after the class of the object. Inner tags are named after the names of the published properties. Tag containing TCollectionItem are named after the name of the class.

Tags' nesting is unlimited and reproduces the whole published interface of the class of the given object

The following types are supported: integers, floats, enumerations, sets, strings and chars, variants, classes, stringlists and collections.

Limitations:

Each object can have only one collection of any given collection item class

TStrings derivatives must not have any published properties

Procedure types (events) are not supported

Created with Doc-O-Matic.


TJvgXMLSerializer Fields

TJvgXMLSerializer

Fields

DefaultXMLHeader

tickCount

tickCounter

Created with Doc-O-Matic.


TJvgXMLSerializer Events

TJvgXMLSerializer	Legend

Events

 BeforeParsing

 OnGetXMLHeader

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvgXMLSerializer Properties

TJvgXMLSerializer	Legend

Properties

 ExcludeDefaultValues

 ExcludeEmptyValues

 GenerateFormattedXML

 IgnoreUnknownTags

 ReplaceReservedSymbols

 StrongConformity

 WrapCollections

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvgXMLSerializer Methods

TJvgXMLSerializer

Methods

DeSerialize

GenerateDTD

Serialize

Created with Doc-O-Matic.


Legend

TJvgXMLSerializer

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvgXMLSerializer


TJvgXMLSerializer Members

TJvgXMLSerializer	Legend

Members

Fields

DefaultXMLHeader

tickCount

tickCounter

Events

 BeforeParsing

 OnGetXMLHeader

Properties

 ExcludeDefaultValues

 ExcludeEmptyValues

 GenerateFormattedXML

 IgnoreUnknownTags

 ReplaceReservedSymbols

 StrongConformity

 WrapCollections

TJvComponent

 AboutJVCL

Methods

DeSerialize

GenerateDTD

Serialize

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Globus


TJvgXMLSerializer.DefaultXMLHeader field

TJvgXMLSerializer	See Also	Edit topic

The XML header to output if no handler is given for OnGetXMLHeader

Pascal

DefaultXMLHeader: string;

Description

A typical value would be:

  <?xml version="1" standalone="yes"?>

Created with Doc-O-Matic.


See Also

TJvgXMLSerializer.OnGetXMLHeader


TJvgXMLSerializer.tickCount field

TJvgXMLSerializer	Edit topic

Not documented

Pascal

tickCount: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.tickCounter field

TJvgXMLSerializer	Edit topic

This public variable is not used in the component

Pascal

tickCounter: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.BeforeParsing event

TJvgXMLSerializer	Edit topic

Event triggered just before deserializing a component

Pascal

TBeforeParsingEvent = procedure (Sender: TObject; Buffer: PChar) of object;
property BeforeParsing: TBeforeParsingEvent;

Parameters

Buffer

The raw data as read from the stream

Sender

The TJvgXMLSerialize component about to deserialize

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.ExcludeDefaultValues property

TJvgXMLSerializer	Edit topic

If True, skip properties with default values

Pascal

property ExcludeDefaultValues: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.ExcludeEmptyValues property

TJvgXMLSerializer	Edit topic

If True, skip properties with empty values

Pascal

property ExcludeEmptyValues: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.GenerateFormattedXML property

TJvgXMLSerializer	Edit topic

Determines if the output XML is formatted

Pascal

property GenerateFormattedXML: Boolean;

Description

Formatted means indented and with carriage returns

Created with Doc-O-Matic.


TJvgXMLSerializer.IgnoreUnknownTags property

TJvgXMLSerializer	Edit topic

Ignore unknown tags when loading XML

Pascal

property IgnoreUnknownTags: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.OnGetXMLHeader event

TJvgXMLSerializer	See Also	Edit topic

Event triggered when about to write the XML header

Pascal

TOnGetXMLHeader = procedure (Sender: TObject; var Value: string) of object;
property OnGetXMLHeader: TOnGetXMLHeader;

Parameters

Value

Put the header you want to output in this variable

Sender

The object asking for the header

Description

The header is the a string that will be written as the first thing in the output file. Usually, you would give something like this:

  <?xml version="1" standalone="yes"?>

If you don't provide an event handler or give an empty string, the default header will be used

Created with Doc-O-Matic.


See Also

TJvgXMLSerializer.DefaultXMLHeader


TJvgXMLSerializer.ReplaceReservedSymbols property

TJvgXMLSerializer	Edit topic

If true, replaces special characters in the property values

Pascal

property ReplaceReservedSymbols: Boolean;

Description

Special characters are ' <' and '> ' and get replaced by '&lt;' and '&gt;' respectively The replacement happens either at loading or saving time

Created with Doc-O-Matic.


TJvgXMLSerializer.StrongConformity property

TJvgXMLSerializer	Edit topic

Requires XML to have all the corresponding tags for all class types

Pascal

property StrongConformity: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.WrapCollections property

TJvgXMLSerializer	Edit topic

If True, collections are stored in individual XML nodes

Pascal

property WrapCollections: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgXMLSerializer.DeSerialize method

TJvgXMLSerializer	See Also	Edit topic

Reads a component from a given XML stream

Pascal

procedure DeSerialize(Component: TObject; Stream: TStream);

Parameters

Component: TObject

The component to read the properties for

Stream: TStream

The stream that contains the XML data

Description

The component must have been created before calling this function

Created with Doc-O-Matic.


See Also

TJvgXMLSerializer.Serialize


TJvgXMLSerializer.GenerateDTD method

TJvgXMLSerializer	See Also	Edit topic

Generates the DTD for a given component

Pascal

procedure GenerateDTD(Component: TObject; Stream: TStream);

Parameters

Component: TObject

The component to generate the DTD for

Stream: TStream

The stream to write the DTD into

Description

The DTD is written in the stream

Created with Doc-O-Matic.


See Also

TJvgXMLSerializer.Serialize


TJvgXMLSerializer.Serialize method

TJvgXMLSerializer	See Also	Edit topic

Writes a component into the given stream

Pascal

procedure Serialize(Component: TObject; Stream: TStream);

Parameters

Component: TObject

The component to write into the stream

Stream: TStream

The stream to write into

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvgXMLSerializer.DeSerialize


TJvHardwareProfile
JEDI-VCL Reference

TJvHardwareProfile

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvHardwareProfile = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHardwareProfile Properties

TJvHardwareProfile	Legend

Properties

 DockInfo

 GUID

 Name

 NativeType

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvHardwareProfile

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvHardwareProfile


TJvHardwareProfile Members

TJvHardwareProfile	Legend

Members

Properties

 DockInfo

 GUID

 Name

 NativeType

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvHardwareProfile.DockInfo property

TJvHardwareProfile	Edit topic

Not documented

Pascal

property DockInfo: TJvHWDockInfo;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHardwareProfile.GUID property

TJvHardwareProfile	Edit topic

Not documented

Pascal

property GUID: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHardwareProfile.Name property

TJvHardwareProfile	Edit topic

Not documented

Pascal

property Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHardwareProfile.NativeType property

TJvHardwareProfile	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: HW_PROFILE_INFO;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvHeaderControl
JEDI-VCL Reference

 TJvHeaderControl

Hierarchy	Properties	Events	Package	 Edit topic

Adds events that can be used for hot tracking.

Pascal

TJvHeaderControl = class(TJvExHeaderControl);

File

JvHeaderControl

Description

TJvHeaderControl is a header control that supports extended features. You can use OnMouseEnter and OnMouseLeave to alter the controls look or behavior, when the user moves the mouse pointer over the control.

Use property HintColor to change the color of the hint boxes for the header control.

Created with Doc-O-Matic.


TJvHeaderControl Properties

TJvHeaderControl	Legend

Properties

 HintColor

TJvExHeaderControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvHeaderControl Events

TJvHeaderControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExHeaderControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvHeaderControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

THeaderControl, IJvExControl
        TJvExHeaderControl
            TJvHeaderControl


TJvHeaderControl Members

TJvHeaderControl	Legend

Members

Properties

 HintColor

TJvExHeaderControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExHeaderControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvHeaderControl.HintColor property

TJvHeaderControl	Edit topic

Determines the color of the hint boxes for the Help Hints for the header control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvHeaderControl.OnMouseEnter event

TJvHeaderControl	See Also	Edit topic

Occurs when the mouse pointer moves over the header control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the header control.

Created with Doc-O-Matic.


See Also

TJvExHeaderControl.OnMouseLeave


TJvHeaderControl.OnMouseLeave event

TJvHeaderControl	See Also	Edit topic

Occurs when the mouse pointer moves off the header control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the header control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExHeaderControl.OnMouseEnter


TJvHeaderControl.OnParentColorChange event

TJvHeaderControl	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvHighContrast
JEDI-VCL Reference

TJvHighContrast

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvHighContrast = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHighContrast Properties

TJvHighContrast	Legend

Properties

 DefaultScheme

 Flags

NativeType

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvHighContrast

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvHighContrast


TJvHighContrast Members

TJvHighContrast	Legend

Members

Properties

 DefaultScheme

 Flags

NativeType

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvHighContrast.DefaultScheme property

TJvHighContrast	Edit topic

Not documented

Pascal

property DefaultScheme: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHighContrast.Flags property

TJvHighContrast	Edit topic

Not documented

Pascal

property Flags: TJvHighContrastFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHighContrast.NativeType property

TJvHighContrast	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: HIGHCONTRAST;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvHotKey
JEDI-VCL Reference

 TJvHotKey

Hierarchy	Properties	Events	Package	 Edit topic

Adds events that can be used for hot tracking.

Pascal

TJvHotKey = class(TJvExHotKey);

File

JvHotKey

Description

TJvHotKey is a toolbar that supports extended features. You can use OnMouseEnter and OnMouseLeave to alter the controls look or behavior, when the user moves the mouse pointer over the control.

Use property HintColor to change the color of the hint boxes for the hot key.

Created with Doc-O-Matic.


TJvHotKey Properties

TJvHotKey	Legend

Properties

 HintColor

TJvExHotKey

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvHotKey Events

TJvHotKey	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExHotKey

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvHotKey

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

THotKey, IJvExControl
        TJvExHotKey
            TJvHotKey


TJvHotKey Members

TJvHotKey	Legend

Members

Properties

 HintColor

TJvExHotKey

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExHotKey

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvHotKey.HintColor property

TJvHotKey	Edit topic

Determines the color of the hint boxes for the Help Hints for the hot key.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvHotKey.OnMouseEnter event

TJvHotKey	See Also	Edit topic

Occurs when the mouse pointer moves over the hot key.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the hot key.

Created with Doc-O-Matic.


See Also

TJvExHotKey.OnMouseLeave


TJvHotKey.OnMouseLeave event

TJvHotKey	See Also	Edit topic

Occurs when the mouse pointer moves off the hot key.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the hot key. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExHotKey.OnMouseEnter


TJvHotKey.OnParentColorChange event

TJvHotKey	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvHTComboBox
JEDI-VCL Reference

 TJvHTComboBox

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Implements an HTML-enabled ComboBox control.

Pascal

TJvHTComboBox = class(TJvCustomHTComboBox);

File

JvHtControls

Description

TJvHTComboBox is a TJvCustomHTComboBox descendant that implements an HTML-enabled ComboBox control. TJvHTComboBox provides the ability to render HTML tags and attributes in the Items for the component, and to trigger events when an HTML anchor is clicked.

TJvHTComboBox overrides methods in the ancestor class to provide sizing of HTML content based on changes in font size.

TJvHTComboBox recognizes the following HTML tags and attributes:

Tags

<A></A>

<B></B>

<I></I>

<U></U>

<S></S>

<FONT></FONT>

<HR>

<BR>

Attribute	Usage
HREF	Valid URL for anchor tags.
ALIGN	"CENTER" or "RIGHT" ("LEFT" is the default)
COLOR	String representation of TColor values.
BGCOLOR	"clRED", "clGREEN", "clBLUE", etc.
SIZE	Font size in points (1/72 inch).
IND	Indent in pixels.

HTML Character entities are recognized in the content for the control. The following character entities are rendered as the indicated characters or symbols:

Entity	Character or Symbol
&lt;	< (Less-than character)
&gt;	> (Greater-than character)
&amp;	& (Ampersand character)
&quot;	" (Double Quote character)
&reg;	® (Registered symbol)
&copy;	© (Copyright symbol)
&trade;	™ (Trademark symbol)
&euro;	€ (Euro symbol)
&nbsp;	(Non-breaking space character)

Use the OnHyperLinkClick event handler to respond to mouse clicks on Anchor tags found in the content for the control.

Use the ColorHighlight, ColorHighlightText, and ColorDisabledText properties to set the TColor values applied to the control when selected or disabled.

Created with Doc-O-Matic.


TJvHTComboBox Properties

TJvHTComboBox	Legend

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 DropWidth

 HideSel

TJvCustomHTComboBox

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 DropWidth

 HideSel

 PlainItems

TJvExCustomComboBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvHTComboBox Methods

TJvHTComboBox

Methods

TJvCustomHTComboBox

GetHeight

SetHeight

Created with Doc-O-Matic.


TJvHTComboBox Events

TJvHTComboBox	Legend

Events

TJvExCustomComboBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvHTComboBox

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomComboBox, IJvExControl
        TJvExCustomComboBox
            TJvCustomHTComboBox
                TJvHTComboBox


TJvHTComboBox Members

TJvHTComboBox	Legend

Members

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 DropWidth

 HideSel

TJvCustomHTComboBox

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 DropWidth

 HideSel

 PlainItems

TJvExCustomComboBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Methods

TJvCustomHTComboBox

GetHeight

SetHeight

Events

TJvExCustomComboBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


See Also

ColorHighlight, ColorHighlightText, ColorDisabledText, OnHyperLinkClick


Package

Ctrls


TJvHTComboBox.ColorDisabledText property

TJvHTComboBox	See Also	Edit topic

Color used to draw text in the control when not Enabled.

Pascal

property ColorDisabledText: TColor;

Description

ColorDisabledText is a TColor property that represents the color used to draw text in the control when not Enabled. The default value for ColorDisabledText is clGrayText as assigned in the constructor for the control.

ColorDisabledText is used to set the font color in the DrawItem method when the Enabled property contains False. Use ColorHighlight and ColorHighlightText to set the values for the canvas brush and font colors for items when the control is Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorHighlightText


TJvHTComboBox.ColorHighlight property

TJvHTComboBox	See Also	Edit topic

Color used when highlighting a selected item in the control.

Pascal

property ColorHighlight: TColor;

Description

ColorHighlight is a TColor property that represents the color used when highlighting a selected item in the control. The default value for ColorHilight is clHighlight as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlightText, ColorDisabled


TJvHTComboBox.ColorHighlightText property

TJvHTComboBox	See Also	Edit topic

Color used when drawing highlighted text for the selected item in the control.

Pascal

property ColorHighlightText: TColor;

Description

ColorHighlightText is a TColor property that represents the color used when drawing highlighted text for the selected item in the control. The default value for ColorHilightText is clHighlightText as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorDisabled


TJvHTComboBox.DropWidth property

TJvHTComboBox	Edit topic

Width of the drop-down area for the ComboBox control.

Pascal

property DropWidth: Integer;

Description

DropWidth is an Integer property that represents the width of the drop-down area for the ComboBox control. DropWidth is updated when the control is created to ensure that the drop-down area is sized to match the width of the associated edit control.

Changing the value in DropWidth causes the WIndows CB_SETDROPPEDWIDTH message to be performed using the new value for the drop-down area.

Created with Doc-O-Matic.


TJvHTComboBox.HideSel property

TJvHTComboBox	Edit topic

Influences redrawing of the control following changes in the focused selection.

Pascal

property HideSel: Boolean;

Description

HideSel is a Boolean property that influences redrawing of the control following changes in the focused selection. Changing the value of the HideSel property force the control to be redrawn by calling Invalidate.

Please note that HideSel has relationship to or bearing upon the HideSelection property inherited from TCustomEdit.

Created with Doc-O-Matic.


TJvHTLabel
JEDI-VCL Reference

 TJvHTLabel

Hierarchy	Properties	Events	Package	 See Also	Edit topic

Implements an HTML-enabled label control.

Pascal

TJvHTLabel = class(TJvCustomHTLabel);

File

JvHtControls

Description

TJvHTLabel is a TJvCustomHTLabel descendant that implements an HTML-enabled label component. TJvHTLabel adds the capability to render HTML tags in the caption for the component and to trigger events when an HTML anchor is clicked.

TJvHTLabel publishes properties specified in the ancestor class. TJvHTLabel overrides methods in the ancestor class to provide sizing of HTML content based on changes in font size.

TJvHTLabel recognizes the following HTML tags and attributes:

Tags

<A></A>

<B></B>

<I></I>

<U></U>

<S></S>

<FONT></FONT>

<HR>

<BR>

Attribute	Usage
HREF	Valid URL for anchor tags.
ALIGN	"CENTER" or "RIGHT" ("LEFT" is the default)
COLOR	String representation of TColor values.
BGCOLOR	"clRED", "clGREEN", "clBLUE", etc.
SIZE	Font size in points (1/72 inch).
IND	Indent in pixels.

HTML Character entities are recognized in the content for the control. The following character entities are rendered as the indicated characters or symbols:

Entity	Character or Symbol
&lt;	< (Less-than character)
&gt;	> (Greater-than character)
&amp;	& (Ampersand character)
&quot;	" (Double Quote character)
&reg;	® (Registered symbol)
&copy;	© (Copyright symbol)
&trade;	™ (Trademark symbol)
&euro;	€ (Euro symbol)
&nbsp;	(Non-breaking space character)

Use the OnHyperLinkClick event handler to respond to mouse clicks on Anchor tags found in the content for the control.

Use the ColorHighlight, ColorHighlightText, and ColorDisabledText properties to set the TColor values applied to the control when selected or disabled.

Created with Doc-O-Matic.


TJvHTLabel Events

TJvHTLabel	Legend

Events

 OnHyperLinkClick

TJvCustomHTLabel

 OnHyperLinkClick

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvHTLabel Properties

TJvHTLabel	Legend

Properties

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvHTLabel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomLabel, IJvExControl
        TJvExCustomLabel
            TJvCustomHTLabel
                TJvHTLabel


TJvHTLabel Members

TJvHTLabel	Legend

Members

Events

 OnHyperLinkClick

TJvCustomHTLabel

 OnHyperLinkClick

TJvExCustomLabel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Properties

TJvExCustomLabel

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


See Also

ColorHighlight, ColorHighlightText, ColorDisabledText, OnHyperLinkClick, TJvCustomHTLabel


Package

Ctrls


TJvHTLabel.OnHyperLinkClick event

TJvHTLabel	See Also	Edit topic

Event handler signaled when an HTML anchor in the control is clicked.

Pascal

property OnHyperLinkClick: THyperLinkClick;

Description

OnHyperLinkClick is a THyperLinkClick property that represents the event handler signaled when the user clicks on an HTML <A> tag found in the caption for the control.

OnHyperLinkClick is used during execution of the MouseUp event when the Item has been rendered using the colors specified in ColorHighlight and ColorHighlightText. The event handler is fired immediately after calling ShellExecute with the URL specified in the HREF attribute for the tag.

Applications must assign a procedure to the OnHyperLinkClick event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

Caption, ColorHighlight, ColorHighlightText


TJvHTListBox
JEDI-VCL Reference

 TJvHTListBox

Hierarchy	Properties	Events	Package	 See Also	Edit topic

Implements an HTML-enabled list box.

Pascal

TJvHTListBox = class(TJvCustomHTListBox);

File

JvHtControls

Description

TJvHTListBox is a TJvCustomHTListBox descendant that implements an HTML-enabled list box component.

TJvHTListBox provides the ability to render HTML tags found in the Items property, and includes the following tags and attributes:

Tags

<A></A>

<B></B>

<I></I>

<U></U>

<S></S>

<FONT></FONT>

<HR>

<BR>

Attribute	Usage
HREF	Valid URL for anchor tags.
ALIGN	"CENTER" or "RIGHT" ("LEFT" is the default)
COLOR	String representation of TColor values.
BGCOLOR	"clRED", "clGREEN", "clBLUE", etc.
SIZE	Font size in points (1/72 inch).
IND	Indent in pixels.

HTML Character entities are recognized in the content for the control. The following character entities are rendered as the indicated characters or symbols:

Entity	Character or Symbol
&lt;	< (Less-than character)
&gt;	> (Greater-than character)
&amp;	& (Ampersand character)
&quot;	" (Double Quote character)
&reg;	® (Registered symbol)
&copy;	© (Copyright symbol)
&trade;	™ (Trademark symbol)
&euro;	€ (Euro symbol)
&nbsp;	(Non-breaking space character)

Use the OnHyperLinkClick event handler to respond to mouse clicks on Anchor tags found in the content for the control.

Use PlainItems to access the content of the control as plain text instead of HTML tagged content.

Use the ColorHighlight, ColorHighlightText, and ColorDisabledText properties to set the TColor values applied to the control when selected or disabled.

Created with Doc-O-Matic.


TJvHTListBox Properties

TJvHTListBox	Legend

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 HideSel

TJvCustomHTListBox

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 HideSel

 PlainItems

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvHTListBox Events

TJvHTListBox	Legend

Events

 OnHyperLinkClick

TJvCustomHTListBox

 OnHyperLinkClick

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvHTListBox

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomHTListBox
                TJvHTListBox


TJvHTListBox Members

TJvHTListBox	Legend

Members

Properties

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 HideSel

TJvCustomHTListBox

 ColorDisabledText

 ColorHighlight

 ColorHighlightText

 HideSel

 PlainItems

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnHyperLinkClick

TJvCustomHTListBox

 OnHyperLinkClick

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


See Also

OnHyperLinkClick, PlainItems, ColorHighlight, ColorHighlightText, ColorDisabledText, TJvCustomHTListBox


Package

Ctrls


TJvHTListBox.ColorDisabledText property

TJvHTListBox	See Also	Edit topic

Color used to draw text in the control when not Enabled.

Pascal

property ColorDisabledText: TColor;

Description

ColorDisabledText is a TColor property that represents the color used to draw text in the control when not Enabled. The default value for ColorDisabledText is clGrayText as assigned in the constructor for the control.

ColorDisabledText is used to set the font color in the DrawItem method when the Enabled property contains False. Use ColorHighlight and ColorHighlightText to set the values for the canvas brush and font colors for items when the control is Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorHighlightText


TJvHTListBox.ColorHighlight property

TJvHTListBox	See Also	Edit topic

Color used when highlighting a selected item in the control.

Pascal

property ColorHighlight: TColor;

Description

ColorHighlight is a TColor property that represents the color used when highlighting a selected item in the list. The default value for ColorHilight is clHighlight as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlightText, ColorDisabled


TJvHTListBox.ColorHighlightText property

TJvHTListBox	See Also	Edit topic

Color used when drawing highlighted text for the selected item in the control.

Pascal

property ColorHighlightText: TColor;

Description

ColorHighlightText is a TColor property that represents the color used when drawing highlighted text for the selected item in the control. The default value for ColorHilightText is clHighlightText as assigned in the constructor of the control.

ColorHighlight and ColorHighlightText are used to set the values for the canvas brush and font colors when items are rendered in DrawItem. ColorHighlight and ColorHighlightText are also used when the selected item in the control may have change after MouseMove or MouseUp messages.

Use ColorDisabled to indicate the font color used when the control is not Enabled.

Created with Doc-O-Matic.


See Also

ColorHighlight, ColorDisabled


TJvHTListBox.HideSel property

TJvHTListBox	Edit topic

Influences redrawing of the control following changes in the focused selection.

Pascal

property HideSel: Boolean;

Description

HideSel is a Boolean property that influences redrawing of the control following changes in the focused selection. Changing the value of the HideSel property force the control to be redrawn by calling Invalidate.

Please note that HideSel has relationship to or bearing upon the HideSelection property inherited from TCustomEdit.

Created with Doc-O-Matic.


TJvHTListBox.OnHyperLinkClick event

TJvHTListBox	See Also	Edit topic

Event handler signaled when an anchor in the list is clicked.

Pascal

property OnHyperLinkClick: THyperLinkClick;

Description

OnHyperLinkClick is a THyperLinkClick property that represents the event handler signaled when the user clicks on an HTML <A> tag found in the Items for the control.

OnHyperLinkClick is used during execution of the MouseUp event when the Item has been rendered using the colors specified in ColorHighlight and ColorHighlightText. The event handler is fired immediately after calling ShellExecute with the URL specified in the HREF attribute for the tag.

Applications must assign a procedure to the OnHyperLinkClick event handler to allow responding to the event notification.

Created with Doc-O-Matic.


See Also

Items, ColorHighlight, ColorHighlightText


TJvHTMLElement
JEDI-VCL Reference

TJvHTMLElement

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents text metrics and font settings for markup in an HTML-enabled control.

Pascal

TJvHTMLElement = class(TObject);

File

JvMarkupCommon

Description

TJvHTMLElement is a TObject descendant that represents HTML tags or rendering elements for HTML markup found in the content for controls like TJvMarkupViewer and TJvMarkupLabel.

TJvHTMLElement is the type used for items maintained in the TJvHTMLElementStack container.

Application do not normally create or use TJvHTMLElement or TJvHTMLElementStack instances; they are created and maintained internally during parsing and rendering of TJvMarkupViewer and TJvMarkupLabel controls.

TJvHTMLElement provides properties to identify the Text metrics and Font settings required for HTML markup found in an HTML-enabled control. TJvHTMLElement also provides methods to ensure that rendered content fits within the drawing area for the Canvas used in the HTML-enabled control.

Created with Doc-O-Matic.


TJvHTMLElement Properties

TJvHTMLElement

Properties

Ascent

BreakLine

EolText

FontColor

FontName

FontSize

FontStyle

Height

SolText

Text

Width

Created with Doc-O-Matic.


TJvHTMLElement Methods

TJvHTMLElement

Methods

Breakup

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvHTMLElement


TJvHTMLElement Members

TJvHTMLElement

Members

Properties

Ascent

BreakLine

EolText

FontColor

FontName

FontSize

FontStyle

Height

SolText

Text

Width

Methods

Breakup

Created with Doc-O-Matic.


See Also

TJvHTMLElementStack, TJvMarkupViewer, TJvMarkupLabel


TJvHTMLElement.Ascent property

TJvHTMLElement	See Also	Edit topic

Units above the baseline for the rendered HTML markup.

Pascal

property Ascent: Integer;

Description

Ascent is an Integer property that represents the number of units above the baseline for Text rendered using the Canvas for an HTML-enabled control. Ascent is updated when the dimensions for the HTML tag or element are calculated using methods in TJvMarkupLabel or TJvMarkupViewer.

Ascent is based on text metrics derived using the values in FontName, FontSize, FontStyle, and FontColor.

Use Height to determine the Height of Text rendered using the current Text metrics.

Use Width to determine the Width of Text rendered using the current Text metrics.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.Height, TJvHTMLElement.Width, TJvHTMLElement.FontName, TJvHTMLElement.FontColor, TJvHTMLElement.FontSize, TJvHTMLElement.FontStyle, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.BreakLine property

TJvHTMLElement	See Also	Edit topic

Indicates if the HTML element represents the HTML BR tag.

Pascal

property BreakLine: Boolean;

Description

BreakLine is a Boolean property that indicates if the HTML element represents the HTML BR tag. BreakLine is updated and used when parsing and rendering the HTML markup for the TJvMarkupLabel and TJvMarkupViewer controls.

When BreakLine contains True, the current line for the drawing area of the control is incremented after rendering the HTML element.

Created with Doc-O-Matic.


See Also

TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.EolText property

TJvHTMLElement	See Also	Edit topic

Portion of the Text that does not fit in the drawing area for the HTML-enabled control.

Pascal

property EolText: string;

Description

EolText is a String property that represents the portion of the Text property that does not fit in the drawing area for the HTML-enabled control.

SolText and EolText are updated and used when rendering the HTML markup for TJvMarkupLabel or TJvMarkupViewer controls. The values SolText and EolText are updated in the Breakup method during rendering of the control.

When the entire contents of the rendered markup fits on the current line for the drawing canvas, only the SolText property contains a non-blank value. EolText contains any portion of the HTML element that needs to be rendered on the next line using the text metrics for the HTML element.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.SolText, TJvHTMLElement.Breakup, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.FontColor property

TJvHTMLElement	See Also	Edit topic

Font color used when rendering the Text for the HTML markup.

Pascal

property FontColor: TColor;

Description

FontColor is a TColor property that represents the font color used when rendering the Text for the HTML markup.

Values in FontName, FontSize, FontStyle, and FontColor are assigned to the Canvas used to render the Text for TJvMarkupLabel and TJvMarkupViewer controls. The text metrics in the Height, Width, and Ascent properties are updated after assignment of the font properties to the Canvas.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.FontSize, TJvHTMLElement.FontStyle, TJvHTMLElement.FontName, TJvHTMLElement.Text, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.FontName property

TJvHTMLElement	See Also	Edit topic

Font name used when rendering the Text for the HTML markup.

Pascal

property FontName: string;

Description

FontName is a String property that represents the font name used when rendering the Text for the HTML markup.

Values in FontName, FontSize, FontStyle, and FontColor are assigned to the Canvas used to render the Text for TJvMarkupLabel and TJvMarkupViewer controls. The text metrics in the Height, Width, and Ascent properties are updated after assignment of the font properties to the Canvas.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.FontSize, TJvHTMLElement.FontStyle, TJvHTMLElement.FontColor, TJvHTMLElement.Text, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.FontSize property

TJvHTMLElement	See Also	Edit topic

Font size used when rendering the Text for the HTML markup.

Pascal

property FontSize: Integer;

Description

FontSize is an Integer property that represents the font size used when rendering the Text for the HTML markup.

Values in FontName, FontSize, FontStyle, and FontColor are assigned to the Canvas used to render the Text for TJvMarkupLabel and TJvMarkupViewer controls. The text metrics in the Height, Width, and Ascent properties are updated after assignment of the font properties to the Canvas.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.FontName, TJvHTMLElement.FontStyle, TJvHTMLElement.FontColor, TJvHTMLElement.Text, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.FontStyle property

TJvHTMLElement	See Also	Edit topic

Font style used when rendering the Text for the HTML markup.

Pascal

property FontStyle: TFontStyles;

Description

FontStyle is a TFontStyles property that represents the font style used when rendering the Text for the HTML markup.

Values in FontName, FontSize, FontStyle, and FontColor are assigned to the Canvas used to render the Text for TJvMarkupLabel and TJvMarkupViewer controls. The text metrics in the Height, Width, and Ascent properties are updated after assignment of the font properties to the Canvas.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.FontName, TJvHTMLElement.FontSize, TJvHTMLElement.FontColor, TJvHTMLElement.Text, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.Height property

TJvHTMLElement	See Also	Edit topic

Height of the rendered HTML markup.

Pascal

property Height: Integer;

Description

Height is an Integer property that represents the height of the Text property when rendered using the Canvas for an HTML-enabled control. Height is updated when the dimensions for the HTML tag or element are calculated using methods in TJvMarkupLabel or TJvMarkupViewer.

The value in Height is based on text metrics derived using the values in FontName, FontSize, FontStyle, and FontColor.

Use Width to determine the Width of Text rendered using the current Text metrics.

Use Ascent to determine the units above the base line for values rendered using the current Text metrics.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.Width, TJvHTMLElement.FontName, TJvHTMLElement.FontColor, TJvHTMLElement.FontSize, TJvHTMLElement.FontStyle, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.SolText property

TJvHTMLElement	See Also	Edit topic

Portion of the Text that fits in the drawing area for the HTML-enabled control.

Pascal

property SolText: string;

Description

SolText is a String property that represents the portion of the Text property that fits in the drawing area for the HTML-enabled control.

SolText and EolText are updated and used when rendering the HTML markup for TJvMarkupLabel or TJvMarkupViewer controls. The values SolText and EolText are updated in the Breakup method during rendering of the control.

When the entire contents of the rendered markup fits on the current line for the drawing canvas, only the SolText property contains a non-blank value. EolText contains any portion of the HTML element that needs to be rendered on the next line using the text metrics for the HTML element.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.EolText, TJvHTMLElement.Breakup, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.Text property

TJvHTMLElement	See Also	Edit topic

Text rendered for HTML markup found in a control.

Pascal

property Text: string;

Description

Text is a String property that represents the values rendered for HTML markup found in TJvMarkupLabel or TJvMarkupViewer controls. Values in Text, SolText, and EolText are updated when the dimensions of HTML markup tags and content elements are calculated after changing parsing the HTML markup in the Text for the associated control.

SolText represents the text value rendered at the start of the line.

EolText represents the text value at the end of the line that cannot be rendered in the Width of the canvas for the control.

Use TJvMarkupLabel.Text and TJvMarkupViewer.Text to update the control using HTML markup.

Created with Doc-O-Matic.


See Also

SolText, EolText, TJvMarkupLabel.Text, TJvMarkupViewer.Text


TJvHTMLElement.Width property

TJvHTMLElement	See Also	Edit topic

Width of the rendered HTML markup.

Pascal

property Width: Integer;

Description

Width is an Integer property that represents the width of the Text property when rendered using the Canvas for an HTML-enabled control. Width is updated when the dimensions for the HTML tag or element are calculated using methods in TJvMarkupLabel or TJvMarkupViewer.

The value in Width is based on text metrics derived using the values in FontName, FontSize, FontStyle, and FontColor.

Use Height to determine the height of Text rendered using the current Text metrics.

Use Ascent to determine the units above the base line for values rendered using the current Text metrics.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.Height, TJvHTMLElement.FontName, TJvHTMLElement.FontColor, TJvHTMLElement.FontSize, TJvHTMLElement.FontStyle, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElement.Breakup method

TJvHTMLElement	See Also	Edit topic

Updates the HTML element to match the drawing area for an HTML-enabled control.

Pascal

procedure Breakup(ACanvas: TCanvas; Available: Integer);

Parameters

ACanvas: TCanvas

Drawing canvas for an HTML-enabled control.

Available: Integer

Remaining portion of the drawing area for the current line.

Description

Breakup is a method used to update an HTML element when rending the markup for an HTML-enabled control. Breakup determines if the Text for the HTML element will fit in the drawing area represented by the ACanvas and Available arguments.

ACanvas is the Canvas used to render the HTML-enabled control.

Available indicates the remaining drawing area left on the current line of the control canvas.

Values in the FontName, FontSize, FontStyle, and FontColor properties are assigned to ACanvas and used to get the text metrics for the control canvas.

The Width for the value in Text is determined using the text metrics for the control canvas. When the Width exceeds the value in Available, values in SolText and EolText are derived that allow rendering in the visible bounds for the control canvas.

Created with Doc-O-Matic.


See Also

TJvHTMLElement.FontColor, TJvHTMLElement.FontName, TJvHTMLElement.FontSize, TJvHTMLElement.FontStyle, TJvHTMLElement.Text, TJvHTMLElement.SolText, TJvHTMLElement.EolText, TJvMarkupLabel, TJvMarkupViewer


TJvHTMLElementStack
JEDI-VCL Reference

TJvHTMLElementStack

Hierarchy	Methods	 See Also	Edit topic

Stack-like container for HTML markup.

Pascal

TJvHTMLElementStack = class(TList);

File

JvMarkupCommon

Description

TJvHTMLElementStack is a TList descendant that implements a stack-like container for HTML markup found in the content for controls like TJvMarkupViewer and TJvMarkupLabel. TJvHTMLElementStack stores TJvHTMLElement instances created during parsing and rendering of HTML markup in the controls.

TJvHTMLElementStack has Push, Pop, and Peek methods that implement the behaviors of a stack container. The Push and Pop methods handle adding or removing a TJvHTMLElement instance for the stack. Peek is used to access the top of the stack without removing the TJvHTMLElement instance.

Use Clear to remove all TJvHTMLElement instances stored in the stack. Please note that TJvHTMLElementStack does not have any concept of ownership; the calling routine is responsible for freeing TJvHTMLElement instances stored in the stack.

Created with Doc-O-Matic.


TJvHTMLElementStack Methods

TJvHTMLElementStack	Legend

Methods

 Clear

Peek

Pop

Push

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvHTMLElementStack

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TList
    TJvHTMLElementStack


TJvHTMLElementStack Members

TJvHTMLElementStack	Legend

Members

Methods

 Clear

Peek

Pop

Push

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


See Also

TJvHTMLElement, TJvMarkupViewer, TJvMarkupLabel


TJvHTMLElementStack.Clear method

TJvHTMLElementStack	See Also	Edit topic

Removes all items stored in the container.

Pascal

procedure Clear; override;

Description

Clear is an overridden method used to remove all TJvHTMLElement instances stored in the stack-like container using Push. Clear iterates over the items stored in the list, and frees each of the TJvHTMLElement instances.

Clear calls the inherited method prior to exit.

Use Pop to remove the TJvHTMLElement instance stored at the top of the stack.

Created with Doc-O-Matic.


See Also

TJvHTMLElementStack.Push, TJvHTMLElementStack.Pop


TJvHTMLElementStack.Peek method

TJvHTMLElementStack	See Also	Edit topic

Provides access to the item stored at the top of the stack.

Pascal

function Peek: TJvHTMLElement;

Return Value

TJvHTMLElement - Item at the top of the stack, or Nil.

Description

Peek is a TJvHTMLElement function used to access the item stored at the top of the stack container.

The return value is the TJvHTMLElement instance that represents the item stored at the top of the stack, or Nil when the number of items in the stack is 0 (zero).

Use Push to add a TJvHTMLElement instance to the stack.

Use Pop to remove the TJvHTMLElement instance at the top of the stack.

Created with Doc-O-Matic.


See Also

TJvHTMLElement, TJvHTMLElementStack.Pop, TJvHTMLElementStack.Push


TJvHTMLElementStack.Pop method

TJvHTMLElementStack	See Also	Edit topic

Removes the item stored at the top of the stack.

Pascal

function Pop: TJvHTMLElement;

Return Value

TJvHTMLElement - Item at the top of the stack, or Nil.

Description

Pop is a TJvHTMLElement function used to remove the TJvHTMLElement instance stored at the top of the stack container. The return value for the method is the TJvHTMLElement instance stored at the top of the stack, or Nil when the number of items in the stack is 0 (zero).

Pop calls Delete method in TList to remove the TJvHTMLElement instance from the internal storage for the stack container.

Use Clear to remove all items stored in the stack.

Use Peek to access (without removing) the TJvHTMLElement instance stored at the top of the stack.

Use Push to add a TJvHTMLElement instance to the stack container.

Created with Doc-O-Matic.


See Also

TJvHTMLElementStack.Push, TJvHTMLElementStack.Peek, TJvHTMLElementStack.Clear


TJvHTMLElementStack.Push method

TJvHTMLElementStack	See Also	Edit topic

Adds the specified item to the top of the stack container.

Pascal

procedure Push(Element: TJvHTMLElement);

Parameters

Element: TJvHTMLElement

Item to add to the stack.

Description

Push is a method used to add the TJvHTMLElement instance specified in Element to the internal storage for the stack container. Push calls the inherited Add method to allocate storage for the item in Element.

Use Pop to retrieve and remove the item stored at the top of the stack container.

Use Clear to remove all items stored in the stack.

Use Peek to access (without removing) the TJvHTMLElement instance stored at the top of the stack.

Created with Doc-O-Matic.


See Also

TJvHTMLElement, TJvHTMLElementStack.Pop, TJvHTMLElementStack.Peek, TJvHTMLElementStack.Clear


TJvHTMLParser
JEDI-VCL Reference

 TJvHTMLParser

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Implements an HTML parser.

Pascal

TJvHTMLParser = class(TJvComponent);

File

JvHtmlParser

Description

TJvHTMLParser is a TJvComponent descendant that implements an HTML parser. HTML Content can specified using a string value or loaded from a specified file.

TJvHTMLParser contains properties and methods needed to define HTML tags and conditional parsing performed when analyzing the HTML Content passed to the parser.

Use AddCondition, ClearConditions, and RemoveCondition to maintain HTML tag definitions at run-time.

Use Parser to specify the HTML tag definition(s) at design-time.

Use OnKeyFound or OnKeyFoundEx to respond to event notifications that occur when an HTML is encountered during parsing using the component.

Created with Doc-O-Matic.


TJvHTMLParser Properties

TJvHTMLParser	Legend

Properties

 ConditionsCount

 Content

 FileName

 Parser

 TagList

TJvComponent

 AboutJVCL

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvHTMLParser Events

TJvHTMLParser	Legend

Events

 OnKeyFound

 OnKeyFoundEx

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvHTMLParser Methods

TJvHTMLParser

Methods

AddCondition

AnalyseFile

AnalyseString

ClearConditions

GetCondition

RemoveCondition

Created with Doc-O-Matic.


Legend

TJvHTMLParser

Legend

read only

published

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvHTMLParser


TJvHTMLParser Members

TJvHTMLParser	Legend

Members

Properties

 ConditionsCount

 Content

 FileName

 Parser

 TagList

TJvComponent

 AboutJVCL

Events

 OnKeyFound

 OnKeyFoundEx

Methods

AddCondition

AnalyseFile

AnalyseString

ClearConditions

GetCondition

RemoveCondition

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


See Also

TJvHTMLParser.Content, TJvHTMLParser.FileName, TJvHTMLParser.AnalyseString, TJvHTMLParser.AnalyseFile, TJvHTMLParser.AddCondition, TJvHTMLParser.ClearConditions, TJvHTMLParser.RemoveCondition, TJvHTMLParser.OnKeyFound, TJvHTMLParser.OnKeyFoundEx, TJvHTMLParser.Parser


Package

Net


TJvHTMLParser.ConditionsCount property

TJvHTMLParser	See Also	Edit topic

Number of HTML tags and conditional parsing definitions for the parser.

Pascal

property ConditionsCount: Integer;

Description

ConditionsCount is a read-only Integer property that indicates the total number of HTML tags defined for use in the parser component. ConditionsCount is derived from the length of the internal list used to store TJvParserInfo instances.

Created with Doc-O-Matic.


See Also

TJvParserInfo


TJvHTMLParser.Content property

TJvHTMLParser	See Also	Edit topic

HTML content to parse using the component.

Pascal

property Content: string;

Description

Content is a read-only string property that represents the HTML content to examine when parsing HTML tags and attributes in the AnalyseString method. Content is updated using the value passed as an argument to the AnalyseString method.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.AnalyseString


TJvHTMLParser.FileName property

TJvHTMLParser	See Also	Edit topic

File name used to load the HTML content for the parser.

Pascal

property FileName: TFileName;

Description

FileName is a TFileName property that specifies the file name used to load the HTML Content used during parsing operation in the parser component.

At run-time, assigning a new value to the FileName property causes the AnalyseFile method to be called. Assigning a FileName value at design-time has no effect other than updating the property value.

Use AnalyseString to parse the HTML content specified using a string value.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.AnalyseFile, TJvHTMLParser.AnalyseString


TJvHTMLParser.OnKeyFound event

TJvHTMLParser	See Also	Edit topic

Event handler signaled when a defined HTML tag is encountered during parsing.

Pascal

TJvKeyFoundEvent = procedure (Sender: TObject; Key, Results, OriginalLine: string) of object;
property OnKeyFound: TJvKeyFoundEvent;

Parameters

Results

Textual context for the HTL tag.

OriginalLine

Line of text containing the HTML tag.

Sender

Object generating the event notification.

Key

Name associated with the HTML tag.

Description

OnKeyFound is a TJvKeyFoundEvent property that represents the event handler signaled when a defined HTML tag is encountered during parsing.

OnKeyFound is signaled in the AnalyseString method after HTML tags have been parsed from the HTML Content for the parser component. OnKeyFound is fired for each value stored in list of parsed tags in TagList, and includes the arguments described in the list of Parameters.

Use the OnKeyFoundEx event handler to respond to tags that include attributes with values in the HTML tag.

Applications must assign a procedure to the event handler to allow responding to the event notifications. If an event handler is unassigned, the event notification is not performed. If both event handlers are assigned, both events are fired for each HTML tag in the TagList.

Use the Parser property or the AddCondition method to define HTML tags recognized during parsing operations using the parser component.

Created with Doc-O-Matic.


See Also

TJvKeyFoundExEvent, TJvHTMLParser.AnalyseString, TJvHTMLParser.TagList, TJvHTMLParser.Parser, TJvHTMLParser.AddCondition, TJvHTMLParser.OnKeyFoundEx


TJvHTMLParser.OnKeyFoundEx event

TJvHTMLParser	See Also	Edit topic

Event handler signaled when a defined HTML tag is encountered during parsing.

Pascal

TJvKeyFoundExEvent = procedure (Sender: TObject; Key, Results, OriginalLine: string; TagInfo: TTagInfo; Attributes: TStrings) of object;
property OnKeyFoundEx: TJvKeyFoundExEvent;

Parameters

OriginalLine

Line of text containing the HTML tag.

TagInfo

Storage allocated for the HTML tag definition.

Attributes

Attribute names and values found in the HTML start tag.

Sender

Object generating the event notification.

Key

Name associated with the HTML tag.

Results

Textual context for the HTL tag.

Description

OnKeyFoundEx is a TJvKeyFoundExEvent property that represents the event handler signaled when a defined HTML tag is encountered during parsing.

OnKeyFoundEx is signaled in the AnalyseString method after HTML tags have been parsed from the HTML Content for the parser component. OnKeyFoundEx is fired for each value stored in list of parsed tags in TagList, and includes the arguments described in the list of Parameters.

Use the OnKeyFound event handler to respond to tags that do not include attributes with values in the HTML tag.

Applications must assign a procedure to the event handler to allow responding to the event notifications. If an event handler is unassigned, the event notification is not performed. If both event handlers are assigned, both events are fired for each HTML tag in the TagList.

Use the Parser property or the AddCondition method to define HTML tags recognized during parsing operations using the parser component.

Created with Doc-O-Matic.


See Also

TJvKeyFoundEvent, TJvHTMLParser.AnalyseString, TJvHTMLParser.TagList, TJvHTMLParser.Parser, TJvHTMLParser.AddCondition, TJvHTMLParser.OnKeyFound


TJvHTMLParser.Parser property

TJvHTMLParser	See Also	Edit topic

Design-time HTML tag definitions for the HTML parser.

Pascal

property Parser: TStrings;

Description

Parser is a TStrings property that represents HTML tag definitions created at design-time for the HTML parser. Parser is used when the Delphi component streaming mechanism has completely loaded the component. Values in Parser are used to create and store the HTML tag definitions maintained internally in the parser.

Lines must be added to the Parser property in multiples of 5; in other words, 5 lines are required for a single tag definition. The following table indicates the relative positions and uses of the lines added to the Parser property:

Position	Meaning
0	Keyword or Name associated with the tag definition.
1	HTML representing the start of the tag.
2	HTML representing the end of the tag.
3	Ordinal position of the tag definition in the resulting list of tags.
4	Conditional parsing required for the tag. See TJvParserInfo.MustBe for acceptable values.

Use AddCondition, ClearConditions, and RemoveCondition to maintain HTML tag definitions at run-time.

Use TagList to access the HTML tags encountered during parsing of the HTML content for the parser.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.AddCondition, TJvHTMLParser.ClearConditions, TJvHTMLParser.RemoveCondition, TJvHTMLParser.TagList, TJvParserInfo.MustBe


TJvHTMLParser.TagList property

TJvHTMLParser	See Also	Edit topic

List of HTML tags parsed using tag definitions in the HTML Parser.

Pascal

property TagList: TTagInfoList;

Description

TagList is a protected TTagInfoList property that represents the HTML tags encountered when parsing values in the HTML Content. TagList is maintained in the AnalyseString method when an HTML tag defined using the Parser property or the AddCondition method is found.

TTagInfo instances are created and stored in TagList for HTML tags found the HTML Content. Values in TagList are also used in the AnalyseString method to perform event notifications to the OnKeyFound and OnKeyFoundEx event handlers.

Created with Doc-O-Matic.


See Also

TTagInfoList, TJvHTMLParser.Content, TJvHTMLParser.AnalyseString, TJvHTMLParser.OnKeyFound, TJvHTMLParser.OnKeyFoundEx


TJvHTMLParser.AddCondition method

TJvHTMLParser	See Also	Edit topic

Adds an HTML tag definition with conditional parsing information to the HTML parser.

Pascal

procedure AddCondition(const Keyword: string; const StartTag: string = '<'; const EndTag: string = '>'; TextSelection: Integer = 0);

Parameters

const Keyword: string

Name associated with the HTML tag definition.

const StartTag: string = '<'

HTML that marks the start of the defined tag.

const EndTag: string = '>'

HTML that marls the end of the defined tag.

TextSelection: Integer = 0

Conditional text parsing required for the HTML tag definition.

Description

AddCondition is a procedure used to define an HTML tag recognized by the parser component during parsing operations in the AnalyseString method. AddCondition ensures that values passed in the Keyword, StartTag, EndTag, and TextSelection arguments are used in the internal TJvParserInfo instance created for the tag definition.

AddCondition is used to define HTML tags at run-time. Use the Parser property to define HTML tags recognized by the parser at design-time.

Use RemoveCondition or ClearConditions to delete one or more HTML tag definitions recognized by the parser.

Use ConditionsCount to determine the total number of HTML tags defined for the parser component.

Created with Doc-O-Matic.


See Also

TJvParserInfo, TJvHTMLParser.RemoveCondition, TJvHTMLParser.ClearConditions, TJvHTMLParser.ConditionsCount


TJvHTMLParser.AnalyseFile method

TJvHTMLParser	See Also	Edit topic

Loads and parses HTML content found in the file name for the parser.

Pascal

procedure AnalyseFile;

Description

AnalyseFile is a procedure used to load an to parse the HTML content found in the file specified in the FileName property. AnalyseFile stores the HTML in FileName in a string that is passed as an argument to the AnalyseString method.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.AnalyseString, TJvHTMLParser.FileName


TJvHTMLParser.AnalyseString method

TJvHTMLParser	See Also	Edit topic

Parses the specified HTML content.

Pascal

procedure AnalyseString(const Str: string);

Parameters

const Str: string

HTML content to parse.

Description

AnalyseString is a procedure used to specify the HTML Content to be parsed, and to generate a list with information about tags detected during the method. The value in the Str argument is stored for subsequent use in the Content property.

HTML tags recognized by the parser are defined using the AddCondition method or the Parser property. Use AddCondition to define the HTML tags at run-time. Use the Parser property to define the HTML tags at design-time. If no tags have been defined at run-time using AddCondition, any assigned values in Parser are used to create the HTML tag definitions for the parser.

The TagList property is cleared proper to parsing, and updated to reflect HTML tags found matching the their corresponding TJvParserInfo instance. All values in the Content property are examined for recognized HTML tags during the parsing operation. When the parsing operation has been completed, the values in TagList are sorted by their offset into the Content property.

Event notifications are performed using the OnKeyFound and OnKeyFoundEx event handlers for each HTML tag stored in the TagList. When both the OnKeyFound and the OnKeyFoundEx events handlers are assigned, both events are fired for each HTML tag. The OnKeyFoundEx event handler include any attribute names and values found in the parsed HTML tags.

AnalyseString is called in the AnalyseFile method.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.Content, TJvHTMLParser.AddCondition, TJvHTMLParser.Parser, TJvHTMLParser.TagList, TJvHTMLParser.OnKeyFound, TJvHTMLParser.OnKeyFoundEx


TJvHTMLParser.ClearConditions method

TJvHTMLParser	See Also	Edit topic

Clears all HTML tag definitions.

Pascal

procedure ClearConditions;

Description

ClearConditions is a procedure used to remove HTML tags defined using the Parser property or the AddCondition method. ClearConditions removes all lines in the Parser property and clears the internal list of TJvParserInfo instances used for tag definitions.

Use RemoveCondition to delete a single HTML tag definition recognized by the parser.

Use ConditionsCount to determine the total number of HTML tags defined for the parser component.

Created with Doc-O-Matic.


See Also

TJvParserInfo, TJvHTMLParser.RemoveCondition, TJvHTMLParser.ConditionsCount


TJvHTMLParser.GetCondition method (Integer, string, string, string)

TJvHTMLParser	See Also	Edit topic

Retrieves values for a tag definition by ordinal position.

Pascal

procedure GetCondition(Index: Integer; var Keyword: string; var StartTag: string; var EndTag: string); overload;

Parameters

Index: Integer

Position of the HTML tag and parsing conditions in the list of defined tags.

var Keyword: string

Name associated with the HTML tag definition.

var StartTag: string

HTML that marks the start of the defined tag.

var EndTag: string

HTML that marls the end of the defined tag.

Description

GetCondition is an overloaded procedure used to access and store the information about an HTML tag defined for use in the parser. GetCondition accesses internal TJvParserInfo instances stored for use when parsing the HTML content in the parser.

Index indicates the ordinal position of the HTML tag and parsing conditions in the list of defined tags. Use ConditionsCount to determine the total number of tags defined in the parser. Values in the indicated TJvParserInfo instance are stored in the Keyword, StartTag, and EndTag variable arguments.

Use the Parser property or the AddCondition method to define HTML tags recognized during parsing operations using the parser component.

Created with Doc-O-Matic.


See Also

TJvParserInfo, TJvHTMLParser.ConditionsCount, TJvHTMLParser.AddCondition, TJvHTMLParser.Parser


TJvHTMLParser.GetCondition method (Integer, string, string, string, Integer)

TJvHTMLParser	See Also	Edit topic

Retrieves values for a tag definition by ordinal position.

Pascal

procedure GetCondition(Index: Integer; var Keyword: string; var StartTag: string; var EndTag: string; var TextSelection: Integer); overload;

Parameters

Index: Integer

Position of the HTML tag and parsing conditions in the list of defined tags.

var Keyword: string

Name associated with the HTML tag definition.

var StartTag: string

HTML that marks the start of the defined tag.

var EndTag: string

HTML that marls the end of the defined tag.

var TextSelection: Integer

Position of the text matching the selected tag definition.

Description

GetCondition is an overloaded procedure used to access and store the information about an HTML tag defined for use in the parser. GetCondition accesses internal TJvParserInfo instances stored for use when parsing the HTML content in the parser.

Index indicates the ordinal position of the HTML tag and parsing conditions in the list of defined tags. Use ConditionsCount to determine the total number of tags defined in the parser. Values in the indicated TJvParserInfo instance are stored in the Keyword, StartTag, EndTag, and TextSelection variable arguments.

Use the Parser property or the AddCondition method to define HTML tags recognized during parsing operations using the parser component.

Created with Doc-O-Matic.


See Also

TJvParserInfo, TJvHTMLParser.ConditionsCount, TJvHTMLParser.AddCondition, TJvHTMLParser.Parser


TJvHTMLParser.RemoveCondition method

TJvHTMLParser	See Also	Edit topic

Removes the tag and parsing conditions at the specified position.

Pascal

procedure RemoveCondition(Index: Integer);

Parameters

Index: Integer

Position to be removed from the list of defined tags and parsing conditions.

Description

RemoveCondition is a procedure used to remove the HTML tag definition at the position specified in Index from the internal list in the HTML parser.

Use GetCondition to access values for the HTML tag definition at a specified position.

Use ClearConditions to remove all HTML tag definitions for the parser.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.GetCondition, TJvHTMLParser.ClearConditions


TJvHttpUrlGrabber
JEDI-VCL Reference

 TJvHttpUrlGrabber

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This a grabber for HTPP URLs

Pascal

TJvHttpUrlGrabber = class(TJvProxyingUrlGrabber);

File

JvUrlGrabbers

Description

This grabber handles HTTP URLs, that is URLs that start with 'http://'

Created with Doc-O-Matic.


TJvHttpUrlGrabber Properties

TJvHttpUrlGrabber	Legend

Properties

 Agent

 FileName

 OutputMode

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 Referer

 Url

 UserName

TJvProxyingUrlGrabber

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvHttpUrlGrabber Events

TJvHttpUrlGrabber	Legend

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvHttpUrlGrabber Methods

TJvHttpUrlGrabber	Legend

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvHttpUrlGrabber

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomUrlGrabber
            TJvProxyingUrlGrabber
                TJvHttpUrlGrabber


TJvHttpUrlGrabber Members

TJvHttpUrlGrabber	Legend

Members

Properties

 Agent

 FileName

 OutputMode

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 Referer

 Url

 UserName

TJvProxyingUrlGrabber

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Net


TJvHttpUrlGrabber.Agent property

TJvHttpUrlGrabber	Edit topic

The Agent to impersonate

Pascal

property Agent: string;

Description

Most protocols use an agent name to identify the software used to communicate. Use this property to indicate the agent string.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.FileName property

TJvHttpUrlGrabber	See Also	Edit topic

The name of the file to write to if OutputMode is omFile

Pascal

property FileName: TFileName;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OutputMode


TJvHttpUrlGrabber.OnClosingConnection event

TJvHttpUrlGrabber	See Also	Edit topic

This event is triggered when the connection is about to be closed

Pascal

property OnClosingConnection: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectionClosed


TJvHttpUrlGrabber.OnConnectedToServer event

TJvHttpUrlGrabber	See Also	Edit topic

This event is triggered when the connection to the server has been established

Pascal

property OnConnectedToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectingToServer


TJvHttpUrlGrabber.OnConnectingToServer event

TJvHttpUrlGrabber	See Also	Edit topic

This event is triggered when about to connect to the server

Pascal

property OnConnectingToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectedToServer


TJvHttpUrlGrabber.OnConnectionClosed event

TJvHttpUrlGrabber	See Also	Edit topic

This event is triggered when the connection has been closed

Pascal

property OnConnectionClosed: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnClosingConnection


TJvHttpUrlGrabber.OnDoneFile event

TJvHttpUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the file is finished

Pascal

property OnDoneFile: TJvDoneFileEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneStream, TJvCustomUrlGrabber.OutputMode


TJvHttpUrlGrabber.OnDoneStream event

TJvHttpUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the stream is finished

Pascal

property OnDoneStream: TJvDoneStreamEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneFile, TJvCustomUrlGrabber.OutputMode


TJvHttpUrlGrabber.OnError event

TJvHttpUrlGrabber	Edit topic

This event is triggered when an error has occurred

Pascal

property OnError: TJvErrorEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.OnNameResolved event

TJvHttpUrlGrabber	See Also	Edit topic

This event is triggered when the name used in the Url has been resolved

Pascal

property OnNameResolved: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResolvingName


TJvHttpUrlGrabber.OnProgress event

TJvHttpUrlGrabber	Edit topic

This event is triggered while the grabbing is in progress

Pascal

property OnProgress: TJvUrlGrabberProgressEvent;

Parameters

Sender

The grabber object that has made some progress

Position

The position in the object where the grabbing process is at the moment

TotalSize

The total size of the object being grabbed. It may be 0 if the protocol could not give the size of the object

Url

The URL of the object being grabbed

Continue

If you set this value to False, the grabbing will be canceled

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.OnReceivingResponse event

TJvHttpUrlGrabber	See Also	Edit topic

Event triggered when a response is being received

Pascal

property OnReceivingResponse: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResponseReceived


TJvHttpUrlGrabber.OnRedirect event

TJvHttpUrlGrabber	Edit topic

Event triggered when the server indicated to go to another URL to get the content

Pascal

property OnRedirect: TNotifyEvent;

Description

This event is usually only triggered by HTTP protocols

Created with Doc-O-Matic.


TJvHttpUrlGrabber.OnRequestComplete event

TJvHttpUrlGrabber	See Also	Edit topic

Event triggered when a request is complete

Pascal

property OnRequestComplete: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent, TJvCustomUrlGrabber.OnSendingRequest


TJvHttpUrlGrabber.OnRequestSent event

TJvHttpUrlGrabber	See Also	Edit topic

Event triggered when a request has been sent

Pascal

property OnRequestSent: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnSendingRequest


TJvHttpUrlGrabber.OnResolvingName event

TJvHttpUrlGrabber	See Also	Edit topic

Event triggered when a name is about to be resolved

Pascal

property OnResolvingName: TNotifyEvent;

Description

If the URL doesn't indicate an IP, the name needs to be resolved before being used

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnNameResolved


TJvHttpUrlGrabber.OnResponseReceived event

TJvHttpUrlGrabber	See Also	Edit topic

Event triggered when a response has been received

Pascal

property OnResponseReceived: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnReceivingResponse


TJvHttpUrlGrabber.OnSendingRequest event

TJvHttpUrlGrabber	See Also	Edit topic

Event triggered when a request is being sent

Pascal

property OnSendingRequest: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent


TJvHttpUrlGrabber.OnStatusChange event

TJvHttpUrlGrabber	See Also	Edit topic

Event triggered when the status of the grabber has changed

Pascal

property OnStatusChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Status


TJvHttpUrlGrabber.OutputMode property

TJvHttpUrlGrabber	Edit topic

The output mode to use for the grabbing operation

Pascal

property OutputMode: TJvOutputMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.Password property

TJvHttpUrlGrabber	See Also	Edit topic

The password to use along with the user name

Pascal

property Password: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

UserName


TJvHttpUrlGrabber.Port property

TJvHttpUrlGrabber	See Also	Edit topic

The port to connect onto the host

Pascal

property Port: Cardinal;

Description

If you want to specifically connect to a given port, indicate it here

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Url


TJvHttpUrlGrabber.ProxyAddresses property

TJvHttpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyAddresses: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.ProxyIgnoreList property

TJvHttpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyIgnoreList: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.ProxyMode property

TJvHttpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyMode: TJvProxyMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.ProxyPassword property

TJvHttpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyPassword: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.ProxyUserName property

TJvHttpUrlGrabber	Edit topic

Not documented

Pascal

property ProxyUserName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.Referer property

TJvHttpUrlGrabber	Edit topic

The URL to indicate as the referer to grab the current URL.

Pascal

property Referer: string;
property Referer: string;

Description

In the HTTP protocol, most navigators indicate the page the user was before moving to another page. This is known as the Referer. Some web sites check that the Referer is set to a correct value and if it is not a value they expect, they refuse to serve the page. By using this property, you can emulate the correct behavior and get the page.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.Url property

TJvHttpUrlGrabber	See Also	Edit topic

The URL to grab

Pascal

property Url: string;

Description

When you set this property, the value will be parsed using ParseUrl and if the various non compulsory parts are indicated, they will be the new value of their respective properties.

Created with Doc-O-Matic.


See Also

UserName, TJvCustomUrlGrabber.Password, TJvCustomUrlGrabber.Port


TJvHttpUrlGrabber.UserName property

TJvHttpUrlGrabber	See Also	Edit topic

The user name to use along with the password

Pascal

property UserName: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Password


TJvHttpUrlGrabber.CanGrab method

TJvHttpUrlGrabber	Edit topic

Returns True if the URL is a HTTP URL

Pascal

class function CanGrab(const Url: string): Boolean; override;

Return Value

True if the URL is a HTTP URL, that is it starts with 'http://'

Parameters

const Url: string

The URL to test

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.GetDefaultPropertiesClass method

TJvHttpUrlGrabber	Edit topic

Returns the class to use to display default properties for this type of grabber

Pascal

class function GetDefaultPropertiesClass: TJvCustomUrlGrabberDefaultPropertiesClass; override;

Return Value

Returns TJvHttpUrlGrabberDefaultProperties

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabber.GetSupportedProtocolMarker method

TJvHttpUrlGrabber	See Also	Edit topic

This function returns the marker that indicates the protocol in a URL.

Pascal

class function GetSupportedProtocolMarker: string; override;

Return Value

A string indicating the marker for protocol supported by the class.

Description

For instance, for an HTTP grabber, this would return 'http://'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedURLName


TJvHttpUrlGrabber.GetSupportedURLName method

TJvHttpUrlGrabber	See Also	Edit topic

This function returns the name of the URL supported by the grabber. This is not the protocol part of a URL, but a user displayable string.

Pascal

class function GetSupportedURLName: string; override;

Return Value

A string indicating the type of URL supported by the class.

Description

This function returns a user displayable name that indicates the type of URL supported by the class. For instance, a HTTP grabber class would return 'HTTP'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedProtocolMarker


TJvHttpUrlGrabberDefaultProperties
JEDI-VCL Reference

TJvHttpUrlGrabberDefaultProperties

Hierarchy	Properties	 Edit topic

A class that holds default properties for TJvHttpUrlGrabber

Pascal

TJvHttpUrlGrabberDefaultProperties = class(TJvProxyingUrlGrabberDefaultProperties);

File

JvUrlGrabbers

Description

This class is used by TJvUrlGrabber to display the default properties of the TJvHttpUrlGrabber objects it may create

Created with Doc-O-Matic.


TJvHttpUrlGrabberDefaultProperties Properties

TJvHttpUrlGrabberDefaultProperties	Legend

Properties

 Agent

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 Referer

 UserName

TJvProxyingUrlGrabberDefaultProperties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvHttpUrlGrabberDefaultProperties

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomUrlGrabberDefaultProperties
        TJvProxyingUrlGrabberDefaultProperties
            TJvHttpUrlGrabberDefaultProperties


TJvHttpUrlGrabberDefaultProperties Members

TJvHttpUrlGrabberDefaultProperties	Legend

Members

Properties

 Agent

 Password

 Port

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

 Referer

 UserName

TJvProxyingUrlGrabberDefaultProperties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvHttpUrlGrabberDefaultProperties.Port property

TJvHttpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property Port: Cardinal;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabberDefaultProperties.ProxyAddresses property

TJvHttpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyAddresses: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabberDefaultProperties.ProxyIgnoreList property

TJvHttpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyIgnoreList: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabberDefaultProperties.ProxyMode property

TJvHttpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyMode: TJvProxyMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabberDefaultProperties.ProxyPassword property

TJvHttpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyPassword: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabberDefaultProperties.ProxyUserName property

TJvHttpUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyUserName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabberThread
JEDI-VCL Reference

TJvHttpUrlGrabberThread

Hierarchy	Properties	Methods	 Edit topic

The thread used to grad HTTP URLs

Pascal

TJvHttpUrlGrabberThread = class(TJvCustomUrlGrabberThread);

File

JvUrlGrabbers

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHttpUrlGrabberThread Properties

TJvHttpUrlGrabberThread	Legend

Properties

 Grabber

TJvCustomUrlGrabberThread

 Continue

 ErrorText

Status

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvHttpUrlGrabberThread Fields

TJvHttpUrlGrabberThread	Legend

Fields

TJvCustomUrlGrabberThread

 FGrabber

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvHttpUrlGrabberThread Methods

TJvHttpUrlGrabberThread	Legend

Methods

TJvCustomUrlGrabberThread

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvHttpUrlGrabberThread

Legend

read only

protected

Created with Doc-O-Matic.


Hierarchy

TThread
    TJvCustomUrlGrabberThread
        TJvHttpUrlGrabberThread


TJvHttpUrlGrabberThread Members

TJvHttpUrlGrabberThread	Legend

Members

Properties

 Grabber

TJvCustomUrlGrabberThread

 Continue

 ErrorText

Status

Fields

TJvCustomUrlGrabberThread

 FGrabber

Methods

TJvCustomUrlGrabberThread

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvHttpUrlGrabberThread.Grabber property

TJvHttpUrlGrabberThread	Edit topic

Provides an easy access to the grabber associated with the thread

Pascal

property Grabber: TJvHttpUrlGrabber;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIconMetrics
JEDI-VCL Reference

TJvIconMetrics

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvIconMetrics = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIconMetrics Properties

TJvIconMetrics	Legend

Properties

 Font

 HorzSpacing

NativeType

 TitleWrap

 VertSpacing

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvIconMetrics

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvIconMetrics


TJvIconMetrics Members

TJvIconMetrics	Legend

Members

Properties

 Font

 HorzSpacing

NativeType

 TitleWrap

 VertSpacing

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvIconMetrics.Font property

TJvIconMetrics	Edit topic

Not documented

Pascal

property Font: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIconMetrics.HorzSpacing property

TJvIconMetrics	Edit topic

Not documented

Pascal

property HorzSpacing: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIconMetrics.NativeType property

TJvIconMetrics	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: ICONMETRICS;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvIconMetrics.TitleWrap property

TJvIconMetrics	Edit topic

Not documented

Pascal

property TitleWrap: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIconMetrics.VertSpacing property

TJvIconMetrics	Edit topic

Not documented

Pascal

property VertSpacing: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvID3AudioEncryptionFrame
JEDI-VCL Reference

TJvID3AudioEncryptionFrame

Hierarchy	Properties	Methods	 Edit topic

Represents an audio encryption frame in a tag.

Pascal

TJvID3AudioEncryptionFrame = class(TJvID3BinaryFrame);

File

JvID3v2Base

Description

Use TJvID3AudioEncryptionFrame to represent an audio encryption frame in a tag. Such a frame has frame identifier fiAudioCrypto ("AENC").

This frame indicates if the actual audio stream is encrypted, and by whom.

The frame contains a URL containing an email address, or a link to a location where an email address can be found, that belongs to the organization responsible for this specific encrypted audio file.

PreviewStart and PreviewLength are described in frames, and are pointers to an unencrypted part of the audio. If no part is unencrypted, these fields should be left zeroed.

TJvID3GeneralObjFrame is a TJvID3BinaryFrame descendant. The binary data can optionally contain a datablock required for decryption of the audio.

There may be more than one audio encryption frames in a tag, but only one with the same OwnerID 'Owner identifier'.

Created with Doc-O-Matic.


TJvID3AudioEncryptionFrame Properties

TJvID3AudioEncryptionFrame	Legend

Properties

 OwnerID

 PreviewLength

 PreviewStart

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3AudioEncryptionFrame Methods

TJvID3AudioEncryptionFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3AudioEncryptionFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3BinaryFrame
            TJvID3AudioEncryptionFrame


TJvID3AudioEncryptionFrame Members

TJvID3AudioEncryptionFrame	Legend

Members

Properties

 OwnerID

 PreviewLength

 PreviewStart

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvID3AudioEncryptionFrame.OwnerID property

TJvID3AudioEncryptionFrame	Edit topic

Identifies who is responsible for this specific encrypted audio file.

Pascal

property OwnerID: string;

Description

Use OwnerID to specify a URL containing an email address, or a link to a location where an email address can be found, that belongs to the organization responsible for this specific encrypted audio file. Questions regarding the encrypted audio should be sent to the email address specified.

Created with Doc-O-Matic.


TJvID3AudioEncryptionFrame.PreviewLength property

TJvID3AudioEncryptionFrame	See Also	Edit topic

Specifies the length in frames of an unencrypted part of the audio.

Pascal

property PreviewLength: Word;

Description

Use PreviewLength and PreviewStart to specify an unencrypted part of the audio.

If no part is unencrypted, PreviewStart and PreviewLength should be set to 0.

Created with Doc-O-Matic.


See Also

TJvID3AudioEncryptionFrame.PreviewStart


TJvID3AudioEncryptionFrame.PreviewStart property

TJvID3AudioEncryptionFrame	See Also	Edit topic

Specifies the frame that marks the start of an unencrypted part of the audio.

Pascal

property PreviewStart: Word;

Description

Use PreviewLength and PreviewStart to specify an unencrypted part of the audio.

If no part is unencrypted, PreviewStart and PreviewLength should be set to 0.

Created with Doc-O-Matic.


See Also

TJvID3AudioEncryptionFrame.PreviewLength


TJvID3AudioEncryptionFrame.CanAddFrame method

TJvID3AudioEncryptionFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3AudioEncryptionFrame.CheckFrame method

TJvID3AudioEncryptionFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3AudioEncryptionFrame.Clear method

TJvID3AudioEncryptionFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3AudioEncryptionFrame.Find method

TJvID3AudioEncryptionFrame	See Also	Edit topic

Returns a TJvID3AudioEncryptionFrame frame with a specific owner identifier.

Pascal

class function Find(AController: TJvID3Controller; const AOwnerID: string): TJvID3AudioEncryptionFrame;

Return Value

Returns a TJvID3AudioEncryptionFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AOwnerID: string

The owner identifier to search for.

Description

Call Find to search in an ID3 tag for an audio encryption frame with a specific owner identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3AudioEncryptionFrame.FindOrCreate


TJvID3AudioEncryptionFrame.FindOrCreate method

TJvID3AudioEncryptionFrame	See Also	Edit topic

Returns a TJvID3AudioEncryptionFrame frame with a specific owner identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AOwnerID: string): TJvID3AudioEncryptionFrame;

Return Value

Returns a TJvID3AudioEncryptionFrame frame with the specified owner identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame. If a new frame is created, its OwnerID property will be set to the value specified by the AOwnerID parameter.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AOwnerID: string

The owner identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for an audio encryption frame with a specific owner identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3AudioEncryptionFrame.Find


TJvID3Base
JEDI-VCL Reference

TJvID3Base

Hierarchy	Properties	Methods	 Edit topic

Base class for objects that belong to a tag controller.

Pascal

TJvID3Base = class(TPersistent);

File

JvID3v2Base

Description

TJvID3Base is the base class for objects such as TJvID3Header, TJvID3ExtendedHeader and TJvID3Frames.

Created with Doc-O-Matic.


TJvID3Base Properties

TJvID3Base	Legend

Properties

 Controller

 Stream

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvID3Base Methods

TJvID3Base	Legend

Methods

 ChangeToVersion

Legend

abstract

Created with Doc-O-Matic.


Legend

abstract


Legend

TJvID3Base

Legend

read only

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Base


TJvID3Base Members

TJvID3Base	Legend

Members

Properties

 Controller

 Stream

Methods

 ChangeToVersion

Legend

read only

protected

abstract

Created with Doc-O-Matic.


Legend

read only

protected

abstract


TJvID3Base.Controller property

TJvID3Base	Edit topic

Identifies the tag controller to which an object belongs.

Pascal

property Controller: TJvID3Controller;

Description

Use Controller to access the properties, events, and methods of the tag controller component associated with this object. Controller is a read-only property that is automatically set when the object is created.

Created with Doc-O-Matic.


TJvID3Base.Stream property

TJvID3Base	Edit topic

Gives access to the tag stream.

Pascal

property Stream: TJvID3Stream;

Description

Application should not use Stream. It's used by to write or read data to the tag stream.

Created with Doc-O-Matic.


TJvID3Base.ChangeToVersion method

TJvID3Base	Edit topic

Changes the data of the object to a specific tag version.

Pascal

procedure ChangeToVersion(const ANewVersion: TJvID3Version); virtual; abstract;

Parameters

const ANewVersion: TJvID3Version

The new tag version for the object.

Description

ChangeToVersion is intended primarily for internal use. Use TJvID3Controller.Version instead.

Created with Doc-O-Matic.


TJvID3BinaryFrame
JEDI-VCL Reference

TJvID3BinaryFrame

Hierarchy	Properties	Methods	 Edit topic

Base class for frames that contain a binary field.

Pascal

TJvID3BinaryFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

TJvID3BinaryFrame encapsulates the fundamental behavior common to frames that contain a binary field. TJvID3BinaryFrame introduces new properties to manipulate, load and save binary data to and from the frame.

You can use TJvID3BinaryFrame directly to represent a music CD identifier frame in a tag. Such a frame has frame identifier fiCDID ("MCDI"). The frame consists of a binary dump of the Table Of Contents, TOC, from the CD.

In addition, TJvID3BinaryFrame is the direct ancestor of the following frame components:

TJvID3SkipFrame, that is used when the tag controller encounters an unknown frame in the tag, and encapsulates the data belonging to that unknown frame.

TJvID3GeneralObjFrame, that can encapsulate any type of file.

TJvID3AudioEncryptionFrame, that can encapsulate a datablock required for decryption of the audio.

TJvID3PictureFrame, that can encapsulate a picture as binary data.

Created with Doc-O-Matic.


TJvID3BinaryFrame Properties

TJvID3BinaryFrame	Legend

Properties

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvID3BinaryFrame Methods

TJvID3BinaryFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3BinaryFrame

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3BinaryFrame


TJvID3BinaryFrame Members

TJvID3BinaryFrame	Legend

Members

Properties

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Legend

read only

published

protected

virtual


TJvID3BinaryFrame.DataSize property

TJvID3BinaryFrame	See Also	Edit topic

Indicates the number of bytes of data contained in the binary field of the current frame.

Pascal

property DataSize: Cardinal;

Description

Read DataSize to determine the amount of memory required to store the contents of the binary field.

Created with Doc-O-Matic.


See Also

TJvID3Frame.FrameSize


TJvID3BinaryFrame.CanAddFrame method

TJvID3BinaryFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3BinaryFrame.CheckFrame method

TJvID3BinaryFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3BinaryFrame.Clear method

TJvID3BinaryFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3BinaryFrame.Find method

TJvID3BinaryFrame	See Also	Edit topic

Returns a TJvID3BinaryFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3BinaryFrame;

Return Value

Returns a TJvID3BinaryFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a binary frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.FindOrCreate


TJvID3BinaryFrame.FindOrCreate method

TJvID3BinaryFrame	See Also	Edit topic

Returns a TJvID3BinaryFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3BinaryFrame;

Return Value

Returns a TJvID3BinaryFrame frame with the specified frame identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a binary frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.Find


TJvID3BinaryFrame.GetData method

TJvID3BinaryFrame	See Also	Edit topic

Returns the unformatted data for the field.

Pascal

function GetData(P: Pointer; const Size: Cardinal): Boolean;

Return Value

Returns true on success, false on failure.

Parameters

P: Pointer

The buffer where to the binary data of the frame will be copied.

const Size: Cardinal

The number of bytes P points to. This may be smaller than property DataSize.

Description

Call GetData to return the data in a field to a buffer. GetData is intended primarily for internal use.

P must have sufficient space allocated for the data. Use the DataSize property to determine the space required.

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.SaveToFile, TJvID3BinaryFrame.SaveToStream, TJvID3BinaryFrame.SetData


TJvID3BinaryFrame.LoadFromFile method

TJvID3BinaryFrame	See Also	Edit topic

Loads data from a file into the binary field of the frame.

Pascal

procedure LoadFromFile(const FileName: string); virtual;

Parameters

const FileName: string

The name of the file to load into the field as the value of the FileName parameter.

Description

Use LoadFromFile to load the contents of a file into the binary field of the frame.

LoadFromFile reallocates the memory buffer so that the contents of the file will exactly fit. It sets the DataSize property accordingly, and then reads the entire contents of the file into the memory buffer. Thus, LoadFromFile will discard any pre-existing data stored in the frame.

Example:

  JvID3v21.Open;

  with TJvID3PictureFrame.FindOrCreate(JvID3v21, ptOther) do

  begin

    LoadFromFile('c:\Windows\Waves.bmp');

    MIMEType := 'image/bmp';Description := 'Waves';

  end;

  JvID3v21.Commit;

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.DataSize, TJvID3BinaryFrame.LoadFromStream


TJvID3BinaryFrame.LoadFromStream method

TJvID3BinaryFrame	See Also	Edit topic

Loads the entire contents of a stream into the binary field of the frame.

Pascal

procedure LoadFromStream(Stream: TStream); virtual;

Parameters

Stream: TStream

Specifies the stream from which the binary field’s value of the tag is copied.

Description

Use LoadFromStream to copy the contents of a stream into the binary field of the frame. LoadFromStream always sets the Position of the source stream to 0, before streaming in the number of bytes indicated by the source stream’s Size property.

LoadFromStream reallocates the internal buffer of the binary field so that the contents of the stream will exactly fit. It sets the DataSize property accordingly, and then read the entire contents of the stream into the binary field. Thus, LoadFromStream will discard any pre-existing data stored in the binary field of the tag.

Example:

  var

    MS: TMemoryStream;

  begin

    JvID3v21.Open;

    MS := TMemoryStream.Create;

    try

      Image1.Picture.Bitmap.SaveToStream(MS);

      TJvID3PictureFrame.FindOrCreate(JvID3v21, ptArtist).LoadFromStream(MS);

    finally

      MS.Free;

    end;

    JvID3v21.Commit;

   end;

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.DataSize, TJvID3BinaryFrame.LoadFromFile


TJvID3BinaryFrame.SaveToFile method

TJvID3BinaryFrame	See Also	Edit topic

Writes the entire contents of the binary field of the tag to the file with a given file name.

Pascal

procedure SaveToFile(const FileName: string); virtual;

Parameters

const FileName: string

Specifies the name of the file.

Description

Use SaveToFile to write the contents of the binary field of the tag to a file.

If the named file cannot be created or opened, SaveToFile raises an exception.

Example:

  var

    Frame: TJvID3BinaryFrame;

    TmpFileName: string;

  begin

    JvID3v21.Open;

    Frame := TJvID3BinaryFrame.Find(JvID3v21, fiPicture);

    if Assigned(Frame) then

    begin

      TmpFileName := JclFileUtils.FileGetTempName('TJvID3PictureFrame');

      TmpFileName := ChangeFileExt(TmpFileName, MIMETypeToExt(Frame.MIMEType));

      Frame.SaveToFile(TmpFileName);

    end;

  end;

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.SaveToStream


TJvID3BinaryFrame.SaveToStream method

TJvID3BinaryFrame	See Also	Edit topic

Writes the entire contents of the memory stream to the stream object specified by Stream.

Pascal

procedure SaveToStream(Stream: TStream); virtual;

Parameters

Stream: TStream

Specifies the name of the stream to which the binary field’s value is saved.

Description

Use SaveToStream to copy the contents of the binary field of the tag into another storage medium. SaveToStream writes the entire contents into the indicated stream object, starting at the current position in the stream that was passed as a parameter.

If the entire contents of the memory stream cannot be written to the target stream, SaveToStream raises an exception.

Example:

  var

    MS: TMemoryStream;

    Frame: TJvID3BinaryFrame;

  begin

    Frame := TJvID3BinaryFrame.Find(JvID3v21, fiPicture);

    if (Frame is TJvID3PictureFrame) and

       SameText(TJvID3PictureFrame(Frame).MIMEType, 'image/bmp') then

    begin

      MS := TMemoryStream.Create;

      try

        Frame.SaveToStream(MS);

        Image1.Picture.Bitmap.LoadFromStream(MS);

      finally

        MS.Free;

      end;

    end;

  end;

Note that you can rewrite this example as

    { If Find results nil then the picture is cleared }

    Image1.Picture.Assign(TJvID3BinaryFrame.Find(JvID3v21, fiPicture));

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.SaveToFile


TJvID3BinaryFrame.SetData method

TJvID3BinaryFrame	See Also	Edit topic

Replaces the memory buffer associated with the binary field of the frame.

Pascal

function SetData(P: Pointer; const Size: Cardinal): Boolean;

Return Value

Returns true on success, false on failure.

Parameters

P: Pointer

Holds the new data for the binary field.

const Size: Cardinal

The number of bytes P points to.

Description

Use SetData to set the internal memory buffer to be the value passed in by P.

Created with Doc-O-Matic.


See Also

TJvID3BinaryFrame.GetData, TJvID3BinaryFrame.LoadFromFile, TJvID3BinaryFrame.LoadFromStream


TJvID3ContentFrame
JEDI-VCL Reference

TJvID3ContentFrame

Hierarchy	Properties	Methods	 Edit topic

Represents a frame consisting of text in a specific language and a description.

Pascal

TJvID3ContentFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

The following frame identifiers are supported by TJvID3ContentFrame.

Frame ID, name	Description
fiComment - COMM	The 'content' frame is intended for any kind of full text information that does not fit in any other frame.
fiUnsyncedLyrics - USLT	The 'Unsynchronized lyric/text transcription' frame contains the lyrics of the song or a text transcription of other vocal activities.

There may be more than one TJvID3ContentFrame frame in each tag, but only one with the same language and content

  descriptor.

Created with Doc-O-Matic.


TJvID3ContentFrame Properties

TJvID3ContentFrame	Legend

Properties

 Description

 DescriptionW

 Language

 Text

 TextW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3ContentFrame Methods

TJvID3ContentFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3ContentFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3ContentFrame


TJvID3ContentFrame Members

TJvID3ContentFrame	Legend

Members

Properties

 Description

 DescriptionW

 Language

 Text

 TextW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvID3ContentFrame.Description property

TJvID3ContentFrame	See Also	Edit topic

Specifies the content descriptor for this frame.

Pascal

property Description: string;
property DescriptionW: WideString;

Description

Use the Description or DescriptionW property to read or specify a short content description for the frame.

Use Encoding to specify whether to use Description or DescriptionW.

Created with Doc-O-Matic.


See Also

TJvID3ContentFrame.Text, TJvID3ContentFrame.TextW, TJvID3Frame.Encoding


TJvID3ContentFrame.Language property

TJvID3ContentFrame	See Also	Edit topic

Specifies the language identifier for this frame.

Pascal

property Language: string;

Description

Use Language to specify the language identifier for the content of the frame (as specified by Text or TextW). The value of Language must be in ISO-639-2 format.

Created with Doc-O-Matic.


See Also

TJvID3ContentFrame.Text, TJvID3ContentFrame.TextW


TJvID3ContentFrame.Text property

TJvID3ContentFrame	See Also	Edit topic

Specifies the content of the frame.

Pascal

property Text: string;
property TextW: WideString;

Description

Use the Text or TextW property to read or specify the content for the frame.

Newline characters are allowed in the content text string.

Use Encoding to specify whether Text or TextW is valid for the frame.

Created with Doc-O-Matic.


See Also

TJvID3ContentFrame.Description, TJvID3ContentFrame.DescriptionW, TJvID3ContentFrame.Language, TJvID3Frame.Encoding


TJvID3ContentFrame.CanAddFrame method

TJvID3ContentFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3ContentFrame.CheckFrame method

TJvID3ContentFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3ContentFrame.Clear method

TJvID3ContentFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3ContentFrame.Find method

TJvID3ContentFrame	See Also	Edit topic

Returns a TJvID3ContentFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3ContentFrame;

Return Value

Returns a TJvID3ContentFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a content frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3ContentFrame.FindOrCreate


TJvID3ContentFrame.FindOrCreate method

TJvID3ContentFrame	See Also	Edit topic

Returns a TJvID3ContentFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3ContentFrame;

Return Value

Returns a TJvID3ContentFrame frame with the specified frame identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

The tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a content frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3ContentFrame.Find


TJvID3Controller
JEDI-VCL Reference

TJvID3Controller

Hierarchy	Properties	Methods	 Edit topic

Gives access to a file's ID3 v2 tag.

Pascal

TJvID3Controller = class(TJvComponent);

File

JvID3v2Base

Description

Use the TJvID3Controller component to read, alter or remove the ID3 v2 tag of a file.

Use Active to open or close the tag controller. When Active is set to true then the controller will be populated with frames from the file specified by the FileName property.

When open, the TJvID3Controller gives direct access to the individual frames in the tag, the header and the extended header.

At design time, read, alter or remove the tag controlled by the tag controller by right-clicking on the TJvID3Controller and using the pop-up menu.

Created with Doc-O-Matic.


TJvID3Controller Properties

TJvID3Controller	Legend

Properties

 Active

 Designer

 ExtendedHeader

 FileInfo

 FileName

 FrameCount

 Frames

 Header

 Modified

 Options

 ReadEncodingAs

 ReadVersion

 ReadVersionAs

 TagSize

 Version

 WriteEncodingAs

 WriteVersion

 WriteVersionAs

TJvComponent

 AboutJVCL

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3Controller Methods

TJvID3Controller

Methods

AddFrame

BeginUpdate

CanAddFrame

Close

Commit

CopyFromID3v1

CopyFromID3v1Ctrl

CopyToID3v1

CopyToID3v1Ctrl

EndUpdate

EnsureExists

Erase

FindFirstFrame

FindNextFrame

GetFrameCountFor

HasFrame

Open

Created with Doc-O-Matic.


Legend

TJvID3Controller

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvID3Controller


TJvID3Controller Members

TJvID3Controller	Legend

Members

Properties

 Active

 Designer

 ExtendedHeader

 FileInfo

 FileName

 FrameCount

 Frames

 Header

 Modified

 Options

 ReadEncodingAs

 ReadVersion

 ReadVersionAs

 TagSize

 Version

 WriteEncodingAs

 WriteVersion

 WriteVersionAs

TJvComponent

 AboutJVCL

Methods

AddFrame

BeginUpdate

CanAddFrame

Close

Commit

CopyFromID3v1

CopyFromID3v1Ctrl

CopyToID3v1

CopyToID3v1Ctrl

EndUpdate

EnsureExists

Erase

FindFirstFrame

FindNextFrame

GetFrameCountFor

HasFrame

Open

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3Controller.Active property

TJvID3Controller	See Also	Edit topic

Specifies whether or not a tag controller is open.

Pascal

property Active: Boolean;

Description

Use Active to determine or set whether an ID3 tag controller is populated with data. When Active is false, the controller is closed; the controller cannot read or write data. When Active is true, the controller will be populated with frames from the file specified by the FileName property.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Close, TJvID3Controller.Open


TJvID3Controller.Designer property

TJvID3Controller	See Also	Edit topic

Returns a pointer to the tag editor.

Pascal

property Designer: TJvID3ControllerDesigner;

Description

Use Designer to determine whether the tag is currently being edited and, if so, to access the Frames editor. When the Frames editor, is created for a tag controller at design time, it sets the Designer property to itself. When the Frames editor is destroyed, the Designer property is set back to nil. A Frames editor enables a developer to alter the frames of a tag at design time.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3Controller.ExtendedHeader property

TJvID3Controller	See Also	Edit topic

Provides access to the extended header of the tag.

Pascal

property ExtendedHeader: TJvID3ExtendedHeader;

Description

Use ExtendedHeader to access the extended header of the tag.

The information provided by ExtendedHeader is only valid if hfExtendedHeader is included in property Flags of Header.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Header


TJvID3Controller.FileInfo property

TJvID3Controller	See Also	Edit topic

Contains file information for the file.

Pascal

property FileInfo: TJvID3FileInfo;

Description

Use FileInfo to read file information for the file.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Header


TJvID3Controller.FileName property

TJvID3Controller	See Also	Edit topic

Specifies the name of the file associated with this tag controller.

Pascal

property FileName: TFileName;

Description

Use FileName to specify the name of the file to associate with this tag controller.

You can change FileName when the tag controller is active. If so, then the tag controller will read the tag of the new specified file.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Active


TJvID3Controller.FrameCount property

TJvID3Controller	See Also	Edit topic

Indicates the number of frames in the tag.

Pascal

property FrameCount: Integer;

Description

Examine FrameCount to determine the number of frames listed by the Frames property.

The tag controller must be active, otherwise FrameCount returns 0.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3Controller.Frames property

TJvID3Controller	See Also	Edit topic

Lists all frame components of the tag.

Pascal

property Frames: TJvID3Frames;

Description

Use Frames to access frames components. The order of frame components in Frames corresponds directly to the order of the frames in the tag of the file.

The preferred method for retrieving and assigning field values is to use the FindOrCreate method of TJvID3Frame descendants.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Commit, TJvID3Controller.Erase, TJvID3Controller.FrameCount


TJvID3Controller.Header property

TJvID3Controller	See Also	Edit topic

Provides access to the header of the tag.

Pascal

property Header: TJvID3Header;

Description

Use Header to access the header of the tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ExtendedHeader


TJvID3Controller.Modified property

TJvID3Controller	See Also	Edit topic

Indicates whether the tag is modified.

Pascal

property Modified: Boolean;

Description

Check Modified to determine whether the tag is modified. If Modified is true, the tag controlled by the tag controller is modified. If false, the tag is not modified.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Commit, TJvID3Controller.Erase


TJvID3Controller.Options property

TJvID3Controller	See Also	Edit topic

Specifies options for the tag controller.

Pascal

property Options: TJvID3ControllerOptions;

Description

Use the Options type to specify whether to

Correct the values of frames in the tag before a tag is written to a file.

Automatically remove empty frames before a tag is written to a file.

Created with Doc-O-Matic.


See Also

TJvID3Frames.CheckFrames, TJvID3Frames.RemoveEmptyFrames


TJvID3Controller.ReadEncodingAs property

TJvID3Controller	See Also	Edit topic

Enforces a specific encoding for all frames in a tag after it has been read.

Pascal

property ReadEncodingAs: TJvID3ForceEncoding;

Description

Use ReadEncodingAs to enforce a specific encoding for all frames in a tag after it has been read.

You can either specify:

that you don't want that all frames are translated to a specific encoding after a tag has been read; the Encoding property of frames might be different after the tag has been read.

a specific encoding for all frames: then the tag controller will translate the values of all frames to a specific encoding after it's read from the file.

Created with Doc-O-Matic.


See Also

TJvID3Controller.WriteEncodingAs, TJvID3Frame.Encoding


TJvID3Controller.ReadVersion property

TJvID3Controller	See Also	Edit topic

Indicates what the version of the tag will be after it has been read.

Pascal

property ReadVersion: TJvID3Version;

Description

Read ReadVersion to determine what the version of a tag will be after it has been read. The value of ReadVersion depends on the values of ReadVersionAs and Version.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ReadVersionAs, TJvID3Controller.Version, TJvID3Controller.WriteVersion, TJvID3Controller.WriteVersionAs


TJvID3Controller.ReadVersionAs property

TJvID3Controller	See Also	Edit topic

Enforces a specific version of the tag after it has been read.

Pascal

property ReadVersionAs: TJvID3ForceVersion;

Description

Use ReadVersionAs to automatically translate the version of a tag to a specific version after it has been read.

If a value other than ifvDontCare is specified, the tag controller will translate - after the tag has been read - all frames that are not available or deprecated for the specified version to their available counterpart.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Version, TJvID3Controller.WriteVersionAs


TJvID3Controller.TagSize property

TJvID3Controller	See Also	Edit topic

Indicates the size of the ID3 v2 tag.

Pascal

property TagSize: Cardinal;

Description

Use TagSize to determine the the size of the complete ID3 v2 tag after unsynchronization, including padding, excluding the header but not excluding the extended header.

The tag controller must be active, otherwise TagSize returns 0.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Header


TJvID3Controller.Version property

TJvID3Controller	See Also	Edit topic

Specifies the version of the tag.

Pascal

property Version: TJvID3Version;

Description

Use Version to determine the version of the tag or translate the tag to a specific version. Supported versions are:

ID3 tag version 2.2.0 (ive2_2).

ID3 tag version 2.3.0 (ive2_3).

ID3 tag version 2.4.0 (ive2_4).

Version 2.2.0 is obsolete, and tags should not be written as this version.

You can use the ReadVersionAs property to specify to what version the tag will be translated after the tag has been read. Use the WriteVersionAs property to specify as which version the tag will be written.

Some differences between version 2.3.0 and version 2.4.0 are:

Only version 2.4.0 supports UTF-16BE and UTF-8 encoding for frames (See TJvID3Frame.Encoding).

Version 2.4.0 tags can include a tag footer. (not implemented by TJvID3Controller).

Unsynchronisation is done on frame level in version 2.4.0, instead of on tag level.

Some frames are deprecated as of version 2.4.0, others are introduced in version 2.4.0. By changing property Version the tag controller automatically translates deprecated frames to newly introduced frames and vice versa. For example, if you change Version from ive2_4 to ive2_3, the tag controller, will remove fiInvolvedPeople2 and fiMusicianCreditList frames, and combine these into a new fiInvolvedPeople frame.

Deprecated frames as of version 2.4.0
TJvID3FrameID	Name	Implemented By	Use instead
fiDate	TDAT	TJvID3TextFrame	fiRecordingTime
fiEqualization	EQUA	-	fiEqualization2
fiInvolvedPeople	IPLS	TJvID3DoubleListFrame	fiInvolvedPeople2, fiMusicianCreditList
fiOrigYear	TORY	TJvID3NumberFrame	fiOrigReleaseTime
fiRecordingDates	TRDA	TJvID3TextFrame	fiRecordingTime
fiSize	TSIZ	TJvID3NumberFrame	-
fiTime	TIME	TJvID3TextFrame	fiRecordingTime
fiVolumeAdj	RVAD	-	fiVolumeAdj2
fiYear	TYER	TJvID3NumberFrame	fiRecordingTime

Frames introduced in version 2.4.0.
TJvID3FrameID	Name	Implemented By
fiAlbumSortOrder	TSOA	TJvID3TextFrame
fiAudioSeekPoint	ASPI	-
fiEncodingTime	TDEN	TJvID3TimestampFrame
fiEqualization2	EQU2	-
fiInvolvedPeople2	TIPL	TJvID3DoubleListFrame
fiMood	TMOO	TJvID3TextFrame
fiMusicianCreditList	TMCL	TJvID3DoubleListFrame
fiOrigReleaseTime	TDOR	TJvID3TimestampFrame
fiPerformerSortOrder	TSOP	TJvID3TextFrame
fiProducedNotice	TPRO	TJvID3TextFrame
fiRecordingTime	TDRC	TJvID3TimestampFrame
fiReleaseTime	TDRL	TJvID3TimestampFrame
fiSeekFrame	SEEK	-
fiSetSubTitle	TSST	TJvID3TextFrame
fiSignature	SIGN	-
fiTaggingTime	TDTG	TJvID3TimestampFrame
fiTitleSortOrder	TSOT	TJvID3TextFrame
fiVolumeAdj2	RVA2	-
Created with Doc-O-Matic.


See Also

TJvID3Controller.ReadVersionAs, TJvID3Controller.WriteVersionAs


TJvID3Controller.WriteEncodingAs property

TJvID3Controller	See Also	Edit topic

Enforces with which encoding all frames in a tag should be written.

Pascal

property WriteEncodingAs: TJvID3ForceEncoding;

Description

Use WriteEncodingAs to enforce that all frames in a tag will be written with a specific encoding.

You can either specify:

that you don't want that all frames will be written with a specific encoding: the Encoding property of a frame determines with which encoding a frame will be written.

a specific encoding for all frames: then the tag controller will translate the values of all frames to a specific encoding before it's written to the file. Note that the tag controller will not change any of the values of a frame in the translation process.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ReadEncodingAs, TJvID3Frame.Encoding


TJvID3Controller.WriteVersion property

TJvID3Controller	See Also	Edit topic

Indicates as which version the tag will be written.

Pascal

property WriteVersion: TJvID3Version;

Description

Read WriteVersion to determine as which version the tag will be written. The value of WriteVersion depends on the values of WriteVersionAs and Version.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ReadVersion, TJvID3Controller.ReadVersionAs, TJvID3Controller.Version, TJvID3Controller.WriteVersionAs


TJvID3Controller.WriteVersionAs property

TJvID3Controller	See Also	Edit topic

Enforces the tag to be written as a specific version.

Pascal

property WriteVersionAs: TJvID3ForceVersion;

Description

Use WriteVersionAs to enforce the tag to be written as a specific version.

You can either specify:

that you don't care with what version the tag will be written: the tag will be written with the version as specified by Version, or

a specific version as which the tag will be written.

Notes

The tag controller will not translate frames that are not available or deprecated for the specified version. These frames will simply not be written to the tag. Change the value of property Version before writing the tag to the file, to automatically translate the frames.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ReadVersionAs, TJvID3Controller.Version


TJvID3Controller.AddFrame method

TJvID3Controller	See Also	Edit topic

Adds a frame with a specific frame identifier to the tag.

Pascal

function AddFrame(const AFrameID: TJvID3FrameID): TJvID3Frame;

Return Value

Returns the added frame.

Parameters

const AFrameID: TJvID3FrameID

Specifies the frame identifier to add.

Description

Call AddFrame to add a frame with frame identifier AFrameID to the tag.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag. So you might want to check CanAddFrame before calling AddFrame.

Alternatively, you can use the FindOrCreate methods of frames to a specific frame component:

  var

    Frame: TJvID3Frame;

  begin

    { JvID3v21 is the tag controller }

    JvID3v21.Open;

    Frame := JvID3v21.Frames.FrameByID(fiAlbum);

    if not Assigned(Frame) then

      Frame := JvID3v21.AddFrame(fiAlbum);

    if Frame is TJvID3TextFrame then

      TJvID3TextFrame(Frame).Text := 'The white album';

  end;

Or:

  begin

    { JvID3v21 is the tag controller }

    JvID3v21.Open;

    TJvID3TextFrame.FindOrCreate(fiAlbum).Text := 'The White Album';

  end;

Created with Doc-O-Matic.


See Also

TJvID3Controller.CanAddFrame, TJvID3Frames.FrameByID


TJvID3Controller.BeginUpdate method

TJvID3Controller	See Also	Edit topic

Prevents updating of the frame editor until the EndUpdate method is called.

Pascal

procedure BeginUpdate;

Description

BeginUpdate is intended primarily for internal use.

Created with Doc-O-Matic.


See Also

TJvID3Controller.EndUpdate


TJvID3Controller.CanAddFrame method

TJvID3Controller	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

function CanAddFrame(const AFrameID: TJvID3FrameID): Boolean;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

const AFrameID: TJvID3FrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3Controller.Close method

TJvID3Controller	See Also	Edit topic

Closes the tag controller.

Pascal

procedure Close;

Description

Call Close to set the Active property of a tag controller to false. When Active is false, the tag controller cannot read or write data from or to the tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Active, TJvID3Controller.Open


TJvID3Controller.Commit method

TJvID3Controller	See Also	Edit topic

Writes a modified tag to the file.

Pascal

procedure Commit;

Description

Call Commit to write a modified tag to the file specified by property FileName.

You can use WriteEncodingAs and WriteVersionAs to enforce that the frames in the tag will be written with a specific encoding, and enforce the tag to be written as a specific version, resp. It is recommended to use Version instead of WriteVersionAs.

When you call Commit the tag controller checks whether all frames in the tag are unique and whether the values of the frames are correct. Depending on the value of Options the duplicate frames are removed and invalid values are corrected or an error is raised.

The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Erase, TJvID3Frames.CheckFrames, TJvID3Frames.RemoveEmptyFrames


TJvID3Controller.CopyFromID3v1 method

TJvID3Controller	See Also	Edit topic

Copies the ID3 v1 tag of the file to the relevant frames of the ID3 v2 tag.

Pascal

function CopyFromID3v1(const DoOverwrite: Boolean = True): Boolean;

Return Value

Returns true on success, false on failure.

Parameters

const DoOverwrite: Boolean = True

Specifies whether to overwrite the values of existing frames by the values of the ID3 v1 tag.

Description

Call CopyFromID3v1 to copy the ID3 v1 tag of the file specified by the FileName property to the ID3 v2 tag. The new tag isn't actually written to the file until you call Commit.

The ID3 v2 frames that correspond to ID3 v1 fields are:

ID3 v1	ID3 v2 frame ID	Implemented by
SongName	fiTitle	TJvID3TextFrame
Artist	fiLeadArtist	TJvID3SimpleListFrame
Album	fiAlbum	TJvID3TextFrame
Year	fiRecordingTime (v2.4.0) or fiYear (v2.3.0)	TJvID3TimestampFrame, TJvID3NumberFrame resp.
Comment	fiComment	TJvID3ContentFrame
Genre	fiContentType	TJvID3TextFrame

The tag controller must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

CopyFromID3v1Ctrl , CopyToID3v1 , CopyToID3v1Ctrl


TJvID3Controller.CopyFromID3v1Ctrl method

TJvID3Controller	See Also	Edit topic

Copies the properties of the ID3 v1 component to the relevant frames of the ID3 v2 tag.

Pascal

procedure CopyFromID3v1Ctrl(AID3v1: TJvID3v1; const DoOverwrite: Boolean = True);

Parameters

AID3v1: TJvID3v1

The ID3 v1 component.

const DoOverwrite: Boolean = True

Specifies whether to overwrite the values of existing frames by the values of the ID3 v1 tag.

Description

Call CopyFromID3v1Ctrl to copy the properties of the ID3 v1 component to the ID3 v2 tag. The new tag isn't actually written to the file until you call Commit.

See CopyFromID3v1 for a list of ID3 v2 frames that correspond to ID3 v1 fields.

The tag controller must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

CopyFromID3v1 , CopyToID3v1 , CopyToID3v1Ctrl


TJvID3Controller.CopyToID3v1 method

TJvID3Controller	See Also	Edit topic

Copies the relevant frames of the ID3 v2 tag to the ID3 v1 tag of the file.

Pascal

function CopyToID3v1(const DoOverwrite: Boolean = True): Boolean;

Return Value

Returns true on success, false on failure.

Parameters

const DoOverwrite: Boolean = True

Specifies whether to overwrite the values of existing frames by the values of the ID3 v1 tag.

Description

Call CopyToID3v1 to copy the ID3 v2 tag to the ID3 v1 tag of the file specified by the FileName property.

See CopyFromID3v1 for a list of ID3 v2 frames that correspond to ID3 v1 fields.

The tag controller must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

CopyFromID3v1 , CopyFromID3v1Ctrl , CopyToID3v1Ctrl


TJvID3Controller.CopyToID3v1Ctrl method

TJvID3Controller	See Also	Edit topic

Copies the relevant frames of the ID3 v2 tag to the properties of the ID3 v1 component.

Pascal

procedure CopyToID3v1Ctrl(AID3v1: TJvID3v1; const DoOverwrite: Boolean = True);

Parameters

AID3v1: TJvID3v1

The ID3 v1 component.

const DoOverwrite: Boolean = True

Specifies whether to overwrite the values of existing frames by the values of the ID3 v1 tag.

Description

Call CopyToID3v1Ctrl to copy the ID3 v2 tag to the properties of the ID3 v1 component.

See CopyFromID3v1 for a list of ID3 v2 frames that correspond to ID3 v1 fields.

The tag controller must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

CopyFromID3v1 , CopyFromID3v1Ctrl , CopyToID3v1


TJvID3Controller.EndUpdate method

TJvID3Controller	See Also	Edit topic

Reenables the Frames editor that was turned off with the BeginUpdate method.

Pascal

procedure EndUpdate;

Description

EndUpdate is intended primarily for internal use.

Created with Doc-O-Matic.


See Also

TJvID3Controller.BeginUpdate


TJvID3Controller.EnsureExists method

TJvID3Controller	See Also	Edit topic

Ensures that the specified frames exists in the tag.

Pascal

procedure EnsureExists(const FrameIDs: TJvID3FrameIDs);

Parameters

const FrameIDs: TJvID3FrameIDs

The frame identifiers that should exists in the tag.

Description

Call EnsureExists to ensure that the frames corresponding to the frame identifiers specified by the FrameIDs exists in the tag.

The tag controller must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3Controller.AddFrame


TJvID3Controller.Erase method

TJvID3Controller	See Also	Edit topic

Removes the tag from the file.

Pascal

procedure Erase;

Description

Call Erase to remove the ID3 v2 tag from the file specified by FileName.

The tag controller does not have to be active, when you call Erase.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Commit


TJvID3Controller.FindFirstFrame method

TJvID3Controller	See Also	Edit topic

Searches for the first frame in the tag with a specific frame identifier.

Pascal

function FindFirstFrame(const AFrameID: TJvID3FrameID; var Frame: TJvID3Frame): Boolean;

Return Value

Returns true when a frame was found, or false otherwise.

Parameters

const AFrameID: TJvID3FrameID

The frame identifier to search for.

var Frame: TJvID3Frame

Returns the first frame in the tag with AFrameID as frame identifier, or nil if no such frame was found.

Description

FindFirstFrame searches for the first frame in the tag with AFrameID as frame identifier. Use FindFirstFrame in conjunction with FindNextFrame to search for all frames with a specific frame identifier in the tag.

Created with Doc-O-Matic.


See Also

FindNextFrame


TJvID3Controller.FindNextFrame method

TJvID3Controller	See Also	Edit topic

Returns the next frame in the tag with a specific frame identifier.

Pascal

function FindNextFrame(const AFrameID: TJvID3FrameID; var From: TJvID3Frame): Boolean;

Return Value

Returns true when a frame was found, or false otherwise.

Parameters

const AFrameID: TJvID3FrameID

The frame identifier to search for.

var From: TJvID3Frame

Specifies the frame after which to search for the frame identifier. FindNextFrame sets From to the next frame found or nil if no such frame was found.

Description

Call FindNextFrame to search for the first frame found after the frame specified by From, with AFrameID as frame identifier in the tag.

Example, search for a picture frame with a specific picture type:

  function FindPictureType(const APictureType: TJvID3PictureType): TJvID3PictureFrame; var

    Frame: TJvID3Frame;

  begin

    Result := nil;

    if not JvID3v21.FindFirstFrame(fiPicture, Frame) then

      Exit;

    while (Frame is TJvID3PictureFrame) and

          (TJvID3PictureFrame(Frame).PictureType <> AType) do

      JvID3v21.FindNextFrame(fiPicture, Frame);

    if Frame is TJvID3PictureFrame then

      Result := TJvID3PictureFrame(Frame);

  end;

Created with Doc-O-Matic.


See Also

FindFirstFrame


TJvID3Controller.GetFrameCountFor method

TJvID3Controller	See Also	Edit topic

Returns the number of frames with a specific frame identifier.

Pascal

function GetFrameCountFor(const AFrameID: TJvID3FrameID): Cardinal;

Return Value

Returns the number of frames with a specific frame identifier.

Parameters

const AFrameID: TJvID3FrameID

Specifies the frame identifier to search for.

Description

Call GetFrameCountFor to retrieve the number of frames with a frame identifier as specified by parameter AFrameID, in the tag controlled by the tag controller.

Created with Doc-O-Matic.


See Also

TJvID3Controller.HasFrame, TJvID3Frame.FrameID


TJvID3Controller.HasFrame method

TJvID3Controller	See Also	Edit topic

Indicates whether the tag contains a frame with a specific frame identifier.

Pascal

function HasFrame(const AFrameID: TJvID3FrameID): Boolean;

Return Value

Returns true if the tag controlled by the tag controller contains a frame with AFrameID as frame identifier, otherwise returns false.

Parameters

const AFrameID: TJvID3FrameID

Specifies the frame identifier to search for.

Description

Call HasFrame to check whether the tag controlled by the tag controller has a frame with a frame identifier as specified by parameter AFrameID.

Created with Doc-O-Matic.


See Also

TJvID3Controller.EnsureExists, TJvID3Controller.GetFrameCountFor, TJvID3Frame.FrameID


TJvID3Controller.Open method

TJvID3Controller	See Also	Edit topic

Opens the tag controller.

Pascal

procedure Open;

Description

Call Open to set the Active property of a tag controller to true. When Active is set to true, the tag controller is populated with frames read from the ID3 v2 tag from the file specified by FileName. The frames can be modified and you can add or delete specific frames. When you are done you can call Commit to write the changed tag back to the file.

You can use ReadEncodingAs to enforce a specific encoding for all frames in a tag after it has been read. Use ReadVersionAs to automatically translate the version of a tag to a specific version after it has been read.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Active, TJvID3Controller.Close, TJvID3Controller.Commit


TJvID3ControllerDesigner
JEDI-VCL Reference

TJvID3ControllerDesigner

Hierarchy	Properties	Methods	 Edit topic

Base class for Frame designers.

Pascal

TJvID3ControllerDesigner = class(TObject);

File

JvID3v2Base

Description

Use TJvID3ControllerDesigner when defining a design-time editor, such as the Frames editor, that enables a developer to specify the frames that belong to a tag at design time. The tag designer is specified as the LINK TJvID3Controller.Designer,Designer> property of a tag controller that uses it to enable design-time specification of its structure.

Created with Doc-O-Matic.


TJvID3ControllerDesigner Properties

TJvID3ControllerDesigner	Legend

Properties

 Controller

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvID3ControllerDesigner Methods

TJvID3ControllerDesigner	Legend

Methods

BeginDesign

EndDesign

 ID3Event

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3ControllerDesigner

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvID3ControllerDesigner


TJvID3ControllerDesigner Members

TJvID3ControllerDesigner	Legend

Members

Properties

 Controller

Methods

BeginDesign

EndDesign

 ID3Event

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvID3ControllerDesigner.Controller property

TJvID3ControllerDesigner	See Also	Edit topic

Provides a reference to the tag controller currently being designed.

Pascal

property Controller: TJvID3Controller;

Description

Use Controller to access the ID3 v2 tag, if any, that is being designed. When the user specifies changes in the tag designer, the changes can be made to the tag controller specified by the Controller property.

Created with Doc-O-Matic.


See Also

TJvID3Controller


TJvID3ControllerDesigner.BeginDesign method

TJvID3ControllerDesigner	See Also	Edit topic

Disables notifications from the tag controller while design changes are made.

Pascal

procedure BeginDesign;

Description

BeginDesign is called before changing the structure of the associated tag controller. BeginDesign deactivates notifications from the tag controller until the EndDesign method is called.

Created with Doc-O-Matic.


See Also

TJvID3ControllerDesigner.Controller, TJvID3ControllerDesigner.EndDesign


TJvID3ControllerDesigner.EndDesign method

TJvID3ControllerDesigner	See Also	Edit topic

Enables notifications from the tag controller.

Pascal

procedure EndDesign;

Description

Call EndDesign when changes to the tag are complete. EndDesign re-enables notifications from the tag controller.

Created with Doc-O-Matic.


See Also

TJvID3ControllerDesigner.BeginDesign, TJvID3ControllerDesigner.Controller


TJvID3ControllerDesigner.ID3Event method

TJvID3ControllerDesigner	Edit topic

Provides the interface for a method that can respond to ID3 events.

Pascal

procedure ID3Event(Event: TJvID3Event; Info: Longint); virtual;

Parameters

Event: TJvID3Event

The type of event that is occurring.

Info: Longint

Additional information about the event. Its value depends on the type of ID3 event.

Description

Call ID3Event to pass information about data events to the tag designer.

The ID3Event method for TJvID3ControllerDesigner does nothing when informed of a data event. Override this method to allow the tag designer to respond to different types of events.

Created with Doc-O-Matic.


TJvID3CustomTextFrame
JEDI-VCL Reference

TJvID3CustomTextFrame

Hierarchy	Properties	Methods	 Edit topic

Base class for text information frames.

Pascal

TJvID3CustomTextFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

TJvID3CustomTextFrame encapsulates the fundamental behavior common to text information frames.

TJvID3CustomTextFrame is the direct ancestor of the following frame components:

TJvID3NumberFrame, that represents a numerical text information frame.

TJvID3SimpleListFrame, that represents a frame that contains a list of values.

TJvID3TextFrame, that represents a text information frame in a tag.

TJvID3TimestampFrame, that represents a timestamp text information frame in a tag.

Created with Doc-O-Matic.


TJvID3CustomTextFrame Methods

TJvID3CustomTextFrame	Legend

Methods

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvID3CustomTextFrame Properties

TJvID3CustomTextFrame	Legend

Properties

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Legend

TJvID3CustomTextFrame

Legend

virtual

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3CustomTextFrame


TJvID3CustomTextFrame Members

TJvID3CustomTextFrame	Legend

Members

Methods

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Properties

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

virtual

published

read only

protected

Created with Doc-O-Matic.


Legend

virtual

published

read only

protected


TJvID3CustomTextFrame.CanAddFrame method

TJvID3CustomTextFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3CustomTextFrame.Clear method

TJvID3CustomTextFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3DoubleListFrame
JEDI-VCL Reference

TJvID3DoubleListFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a frame containing the names of those involved, and how they were involved with the audio.

Pascal

TJvID3DoubleListFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

The following frame identifiers are supported by TJvID3DoubleListFrame.

Frame ID, name	Description
fiInvolvedPeople - IPLS	The 'Involved people list' frame contains the names of those involved, and how they were involved. (Not in v2.4.0 tags)
fiMusicianCreditList - TMCL	The 'Musician credits list' frame is intended as a mapping between instruments and the musician that played it. (Only in v2.4.0 tags)
fiInvolvedPeople2 - TIPL	The 'Involved people list' is very similar to the musician credits list, but maps between functions, like producer, and names. (Only in v2.4.0 tags)

The fiInvolvedPeople frame is deprecated as of version 2.4 and replaced by fiMusicianCreditList and fiInvolvedPeople2. These last two are only valid in version 2.4.

There may only be one fiInvolvedPeople frame in a version 2.2 or version 2.3 tag, and there may only be one fiMusicianCreditList and one fiInvolvedPeople2 frame in a version 2.4 tag.

Created with Doc-O-Matic.


TJvID3DoubleListFrame Properties

TJvID3DoubleListFrame	Legend

Properties

 List

 ListW

 Names

 NamesW

 Values

 ValuesW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3DoubleListFrame Methods

TJvID3DoubleListFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3DoubleListFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3DoubleListFrame


TJvID3DoubleListFrame Members

TJvID3DoubleListFrame	Legend

Members

Properties

 List

 ListW

 Names

 NamesW

 Values

 ValuesW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3Controller.Version


TJvID3DoubleListFrame.List property

TJvID3DoubleListFrame	See Also	Edit topic

Contains the strings from the list frame.

Pascal

property List: TStrings;
property ListW: TWideStrings;

Description

Use List or ListW to add, insert, delete and move values in the list frame.

If you add a string to the list, the string should have the name-value format:

  Sam Williams=Horns

  John Cornfield=Percussion

  Some guy=Mixer

Use Encoding to specify whether to use List or ListW.

Created with Doc-O-Matic.


See Also

TJvID3DoubleListFrame.Names, TJvID3DoubleListFrame.Values, TJvID3Frame.Encoding


TJvID3DoubleListFrame.Names property

TJvID3DoubleListFrame	See Also	Edit topic

Represents the name part of a string associated with a given index.

Pascal

property Names [Index: Integer]: string;
property NamesW [Index: Integer]: string;

Description

Read Names or NamesW to access the name part of a string. Names (NamesW) is the name part of the string at Index, where 0 is the first string, 1 is the second string, and so on.

Use Encoding to determine whether to use Names or NamesW.

Created with Doc-O-Matic.


See Also

TJvID3DoubleListFrame.List, TJvID3DoubleListFrame.Values, TJvID3Frame.Encoding


TJvID3DoubleListFrame.Values property

TJvID3DoubleListFrame	See Also	Edit topic

Represents the value part of a string associated with a given index.

Pascal

property Values [Index: Integer]: string;
property ValuesW [Index: Integer]: string;

Description

Read Values or ValuesW to access the name part of a string. Values (ValuesW) is the value part of the string at Index, where 0 is the first string, 1 is the second string, and so on.

Use Encoding to determine whether to use Values or ValuesW.

Created with Doc-O-Matic.


See Also

TJvID3DoubleListFrame.List, TJvID3DoubleListFrame.Names, TJvID3Frame.Encoding


TJvID3DoubleListFrame.CanAddFrame method

TJvID3DoubleListFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3DoubleListFrame.CheckFrame method

TJvID3DoubleListFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3DoubleListFrame.Clear method

TJvID3DoubleListFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3DoubleListFrame.Find method

TJvID3DoubleListFrame	See Also	Edit topic

Returns a TJvID3DoubleListFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3DoubleListFrame;

Return Value

Returns a TJvID3DoubleListFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a double list frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3DoubleListFrame.FindOrCreate


TJvID3DoubleListFrame.FindOrCreate method

TJvID3DoubleListFrame	See Also	Edit topic

Returns a TJvID3DoubleListFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3DoubleListFrame;

Return Value

Returns a TJvID3DoubleListFrame frame with the specified frame identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

The tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a double list frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3DoubleListFrame.Find


TJvID3ExtendedHeader
JEDI-VCL Reference

TJvID3ExtendedHeader

Hierarchy	Properties	Methods	 Edit topic

Wrapper for the extended header of an ID3 v2 tag.

Pascal

TJvID3ExtendedHeader = class(TJvID3Base);

File

JvID3v2Base

Description

An extended header of an ID3 v2 tag contains:

The CRC of the tag: See TotalFrameCRC.

Some flags that specify extended options for the tag.

Notes

The information in TJvID3ExtendedHeader is only valid if hfExtendedHeader is included in the Flags property of Header.

Created with Doc-O-Matic.


TJvID3ExtendedHeader Properties

TJvID3ExtendedHeader	Legend

Properties

 Flags

 Size

 SizeOfPadding

 TotalFrameCRC

TJvID3Base

 Controller

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3ExtendedHeader Methods

TJvID3ExtendedHeader	Legend

Methods

 ChangeToVersion

TJvID3Base

 ChangeToVersion

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvID3ExtendedHeader

Legend

published

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Base
        TJvID3ExtendedHeader


TJvID3ExtendedHeader Members

TJvID3ExtendedHeader	Legend

Members

Properties

 Flags

 Size

 SizeOfPadding

 TotalFrameCRC

TJvID3Base

 Controller

 Stream

Methods

 ChangeToVersion

TJvID3Base

 ChangeToVersion

Legend

published

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual

abstract


TJvID3ExtendedHeader.Flags property

TJvID3ExtendedHeader	See Also	Edit topic

Specifies extended options for the tag.

Pascal

property Flags: TJvID3HeaderExtendedFlags;

Description

The extended header contains information that is not vital to the correct parsing of the tag information, hence the extended header is optional.

Use Flags to read or set whether the following applies to the tag:

whether the tag is an update.

whether CRC data is included in the tag. The CRC data can be used to check the integrity of the audio data.

v2.4.0 whether restrictions specifiers are included in the tag. For some applications it might be desired to restrict a tag in more ways than imposed by the ID3v2 specification. Note that the presence of these restrictions does not affect how the tag is decoded, merely how it was restricted before encoding.

Created with Doc-O-Matic.


See Also

TJvID3ExtendedHeader.TotalFrameCRC


TJvID3ExtendedHeader.Size property

TJvID3ExtendedHeader	See Also	Edit topic

Indicates the size of the whole extended header.

Pascal

property Size: Cardinal;

Description

Read Size the determine the size of the whole extended header.

Created with Doc-O-Matic.


See Also

TJvID3ExtendedHeader.SizeOfPadding


TJvID3ExtendedHeader.SizeOfPadding property

TJvID3ExtendedHeader	See Also	Edit topic

Indicates the padding size in the tag.

Pascal

property SizeOfPadding: Cardinal;

Description

Read SizeOfPadding to determine the total tag size excluding the frames and the headers, in other words the padding.

Created with Doc-O-Matic.


See Also

TJvID3ExtendedHeader.Size


TJvID3ExtendedHeader.TotalFrameCRC property

TJvID3ExtendedHeader	See Also	Edit topic

Indicates the CRC data for the frames.

Pascal

property TotalFrameCRC: Cardinal;

Description

Read TotalFrameCRC to determine the CRC-32 data for the frames. The tag controller calculates the CRC before unsynchronisation on the data between the extended header and the padding, i.e. the frames and only the frames.

Notes

Only valid when hefCRCDataPresent is included in Flags.

Created with Doc-O-Matic.


See Also

TJvID3ExtendedHeader.Flags


TJvID3ExtendedHeader.ChangeToVersion method

TJvID3ExtendedHeader	Edit topic

Changes the data of the object to a specific tag version.

Pascal

procedure ChangeToVersion(const ANewVersion: TJvID3Version); override;

Parameters

ANewVersion

The new tag version for the object.

Description

ChangeToVersion is intended primarily for internal use. Use TJvID3Controller.Version instead.

Created with Doc-O-Matic.


TJvID3FileInfo
JEDI-VCL Reference

TJvID3FileInfo

Hierarchy	Properties	Methods	 Edit topic

Contains information about a MP3 file.

Pascal

TJvID3FileInfo = class(TPersistent);

File

JvID3v2Base

Description

The TJvID3FileInfo object contains information about a MP3 file, as found in the MPEG Audio Frame Header, and in the Xing or extended Info tag if those exists.

This information indicates how the MP3 file is encoded.

Created with Doc-O-Matic.


TJvID3FileInfo Properties

TJvID3FileInfo	Legend

Properties

 Bitrate

 Bits

 ChannelMode

 Emphasis

 FileSize

 FrameCount

 FrameLengthInBytes

 HeaderFoundAt

 IsValid

 IsVBR

 Layer

 LengthInSec

 ModeExtension

 SamplingRateFrequency

 Version

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvID3FileInfo Methods

TJvID3FileInfo

Methods

Read

Created with Doc-O-Matic.


Legend

TJvID3FileInfo

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3FileInfo


TJvID3FileInfo Members

TJvID3FileInfo	Legend

Members

Properties

 Bitrate

 Bits

 ChannelMode

 Emphasis

 FileSize

 FrameCount

 FrameLengthInBytes

 HeaderFoundAt

 IsValid

 IsVBR

 Layer

 LengthInSec

 ModeExtension

 SamplingRateFrequency

 Version

Methods

Read

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvID3FileInfo.Bitrate property

TJvID3FileInfo	See Also	Edit topic

Indicates the bitrate of the MP3 file in kbit/s.

Pascal

property Bitrate: Integer;

Description

Read Bitrate to determine the bitrate of the MP3 file.

Notes

MPEG files may have variable bitrate (VBR). This means that bitrate in the file may change per frame. If so, then Bitrate indicates the average bitrate in the file.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.IsVBR


TJvID3FileInfo.Bits property

TJvID3FileInfo	Edit topic

Specifies MPEG characteristics for an audio file.

Pascal

property Bits: TJvMPEGBits;

Description

Read Bits to determine some MPEG characteristics for an audio file.

Created with Doc-O-Matic.


TJvID3FileInfo.ChannelMode property

TJvID3FileInfo	Edit topic

Specifies the channel mode of the MP3 file.

Pascal

property ChannelMode: TJvMPEGChannelMode;

Description

Read ChannelMode to determine the channel mode for an audio file.

Created with Doc-O-Matic.


TJvID3FileInfo.Emphasis property

TJvID3FileInfo	Edit topic

Specifies the emphasis of the MP3 file.

Pascal

property Emphasis: TJvMPEGEmphasis;

Description

The emphasis tells the decoder that the file must be de-emphasized, i.e., the decoder must 're-equalize' the sound after a Dolby-like noise suppression. It is rarely used.

Created with Doc-O-Matic.


TJvID3FileInfo.FileSize property

TJvID3FileInfo	See Also	Edit topic

Indicates the size of the MP3 file in bytes.

Pascal

property FileSize: Int64;

Description

Read FileSize to determine the size of the MP3 file in bytes.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.HeaderFoundAt, TJvID3FileInfo.LengthInSec


TJvID3FileInfo.FrameCount property

TJvID3FileInfo	See Also	Edit topic

Indicates the number of MPEG frames in the MP3 file.

Pascal

property FrameCount: Integer;

Description

Read FrameCount to determine the number of MPEG frames in the MP3 file. If no Xing or Info tag is found, the value is an approximation.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.FrameLengthInBytes


TJvID3FileInfo.FrameLengthInBytes property

TJvID3FileInfo	See Also	Edit topic

Indicates the length of a MPEG frame in the MP3 file.

Pascal

property FrameLengthInBytes: Integer;

Description

Read FrameLengthInBytes to determine the length of a MPEG frame in the MP3 file. If no Xing or Info tag is found, the value is an approximation.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.FrameCount


TJvID3FileInfo.HeaderFoundAt property

TJvID3FileInfo	See Also	Edit topic

Indicates the location in the MP3 file where at the MPEG header is found.

Pascal

property HeaderFoundAt: Int64;

Description

Read HeaderFoundAt to determine the location in the MP3 file where the MPEG Audio Frame Header was found. If HeaderFoundAt is smaller than 0, then no MPEG header was found.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.IsValid


TJvID3FileInfo.IsValid property

TJvID3FileInfo	See Also	Edit topic

Indicates whether a valid MPEG header is found in the MP3 file.

Pascal

property IsValid: Boolean;

Description

Read IsValid to determine whether the information provided by the properties of the file info object are valid.

IsValid is true if a valid MPEG header is found in the MP3 file. If so, then HeaderFoundAt indicates the position in the file where the MPEG header tag was found.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.HeaderFoundAt


TJvID3FileInfo.IsVBR property

TJvID3FileInfo	See Also	Edit topic

Indicates whether the MP3 file has a variable bitrate (VBR).

Pascal

property IsVBR: Boolean;

Description

MPEG files may have variable bitrate (VBR). This means that bitrate in the file may change per frame. If IsVbr is true then property Bitrate indicates the average bitrate in the file.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Bitrate


TJvID3FileInfo.Layer property

TJvID3FileInfo	See Also	Edit topic

Indicates the layer of the MP3 file.

Pascal

property Layer: TJvMPEGLayer;

Description

Read Layer to determine the layer of the MP3 file.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Version


TJvID3FileInfo.LengthInSec property

TJvID3FileInfo	See Also	Edit topic

Indicates the length in seconds of the MP3 file.

Pascal

property LengthInSec: Integer;

Description

Read LengthInSec to determine the length in seconds of the MP3 file.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.FileSize


TJvID3FileInfo.ModeExtension property

TJvID3FileInfo	Edit topic

Indicates the mode extension of the MP3 file.

Pascal

property ModeExtension: TJvMPEGModeExtension;

Description

Read ModeExtension to determine the mode extension of the MP3 file.

Mode extension is used to join informations that are of no use for stereo effect, thus reducing needed bits. These bits are dynamically determined by an encoder in Joint stereo mode, and Joint Stereo can be changed from one frame to another, or even switched on or off.

Complete frequency range of MPEG file is divided in subbands. There are 32 subbands. For Layer I & II, ModeExtension determines frequency range (bands) where intensity stereo is applied. For Layer III, ModeExtension determines which type of joint stereo is used (intensity stereo or m/s stereo). Frequency range is determined within decompression algorithm.

Layer I & II:
Value	Frequency range
meModeExt0	bands 4 to 31
meModeExt1	bands 8 to 31
meModeExt2	bands 12 to 31
meModeExt3	bands 16 to 31

Layer III:
Value	Intensity stereo	MS stereo
meModeExt0	off	off
meModeExt1	on	off
meModeExt2	off	on
meModeExt3	on	on
Created with Doc-O-Matic.


TJvID3FileInfo.SamplingRateFrequency property

TJvID3FileInfo	See Also	Edit topic

Indicates the sampling rate frequency of the MP3 file in Hz.

Pascal

property SamplingRateFrequency: Integer;

Description

Read SamplingRateFrequency to determine the sampling rate frequency of the MP3 file in Hz, as found in the MPEG header tag.

Possible values are:

For MPEG version 1: 32000, 44100 or 48000 Hz.

For MPEG version 2: 16000, 22050 or 24000 Hz.

For MPEG version 2.5: 8000, 11025 or 12000 Hz.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Version


TJvID3FileInfo.Version property

TJvID3FileInfo	See Also	Edit topic

Indicates the MPEG version of the MP3 file.

Pascal

property Version: TJvMPEGVersion;

Description

Read Version to determine the MPEG version of the MP3 file, as found in the MPEG header tag.
Value	Meaning
mvVersion1	MPEG Version 1 (ISO/IEC 11172-3)
mvVersion2	MPEG Version 2 (ISO/IEC 13818-3)
mvVersion25	MPEG Version 2.5
mvReserved	An undefined MPEG version
Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Layer


TJvID3FileInfo.Read method

TJvID3FileInfo	Edit topic

Reads file information from a specific stream.

Pascal

procedure Read(AStream: TStream; const Offset: Int64);

Parameters

AStream: TStream

The stream wherefore to determine the file information.

const Offset: Int64

The starting point in the stream.

Description

Call Read to read file information from the stream specified by parameter AStream.

Created with Doc-O-Matic.


TJvID3Frame
JEDI-VCL Reference

TJvID3Frame

Hierarchy	Properties	Methods	 Edit topic

Common ancestor of all the frame components.

Pascal

TJvID3Frame = class(TComponent);

File

JvID3v2Base

Description

TJvID3Frame encapsulates the fundamental behavior common to all frame components. It introduces the properties, events, and methods that are used to:

Change the encoding of a frame.

Convert the frame by changing the frame identifier.

Check the values of the frame.

Determine whether a specific frame can be added to the tag.

Do not create instances of TJvID3Frame. TJvID3Frame descendants are created automatically each time a tag controller is activated.

A frame in a tag is always treated as one of the following TJvID3Frame descendant classes below:

TJvID3AudioEncryptionFrame	TJvID3PopularimeterFrame
TJvID3BinaryFrame	TJvID3SimpleListFrame
TJvID3ContentFrame	TJvID3SkipFrame
TJvID3DoubleListFrame	TJvID3TermsOfUseFrame
TJvID3GeneralObjFrame	TJvID3TextFrame
TJvID3NumberFrame	TJvID3TimestampFrame
TJvID3OwnershipFrame	TJvID3URLFrame
TJvID3PictureFrame	TJvID3URLUserFrame
TJvID3PlayCounterFrame	TJvID3UserFrame
Created with Doc-O-Matic.


TJvID3Frame Properties

TJvID3Frame	Legend

Properties

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3Frame Methods

TJvID3Frame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3Frame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame


TJvID3Frame Members

TJvID3Frame	Legend

Members

Properties

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvID3Frame.Controller property

TJvID3Frame	See Also	Edit topic

Identifies the tag controller to which a frame belongs.

Pascal

property Controller: TJvID3Controller;

Description

Check the value of Controller to determine the tag controller that uses the frame component to represent one of the ID3 frames from the tag it controls. Applications should not directly assign the Controller property of a frame. It is assigned automatically when the frame is created, by calling AddFrame.

Created with Doc-O-Matic.


See Also

TJvID3Controller.AddFrame


TJvID3Frame.Encoding property

TJvID3Frame	See Also	Edit topic

Specifies the encoding for the frame.

Pascal

property Encoding: TJvID3Encoding;

Description

Use Encoding to specify an encoding for the frame. Possible encodings are:

ISO-8859-1.

UTF-16 encoded Unicode with BOM.

UTF-16BE encoded Unicode without BOM. (only for version 2.4)

UTF-8 encoded Unicode. (only for version 2.4)

Some frames allow different types of text encoding for specific fields of the frame (such as the text field of TJvID3TextFrame); other fields are always represented as ISO-8859-1 characters (such as TJvID3PictureFrame.MIMEType).

Property Encoding specifies the encoding of all fields that allow different types of text encoding of a frame. Frames that do not have fields that allow different types of text encoding, ignore the value of Encoding.

Fields that allow different types of text encoding are typically accessible via two properties. One that has the name of the field as name, and can be used to access the ISO-8859-1 encoding of the field. The other has the name of the field postfixed with 'W' as name, and can be used to access the unicode encoding of the field. Examples are Description and DescriptionW, FileName and FileNameW etc.

You can use the ReadEncodingAs property of a tag controller to specify the encoding of all frames after a tag has been read. Use the WriteEncodingAs property to specify with which encoding all frames are written to a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ReadEncodingAs, TJvID3Controller.WriteEncodingAs


TJvID3Frame.EncryptionID property

TJvID3Frame	See Also	Edit topic

Specifies with which method the frame is encrypted.

Pascal

property EncryptionID: Byte;

Description

Use the EncryptionID to specify with which method the frame is encrypted. Encryption is not supported by TJvID3Controller.

Notes

EncryptionID is only valid if fhfIsEncrypted is included in Flags.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Flags


TJvID3Frame.Flags property

TJvID3Frame	Edit topic

Specifies 'status messages' and format description for the frame.

Pascal

property Flags: TJvID3FrameHeaderFlags;

Description

Use Flags to specify 'status messages' and format description for the frame. Use Flags to specify

whether to apply unsynchronization to this frame.

whether the contents of this frame are intended to be read only.

what the tag parser should do when it doesn't know the frame.

Some properties are only valid if some flags are included in Flags:

EncryptionID is only valid if fhfIsEncrypted is included in Flags.

GroupID is only valid if fhfContainsGroupInformation is included in Flags.

Created with Doc-O-Matic.


TJvID3Frame.FrameID property

TJvID3Frame	See Also	Edit topic

Specifies the frame identifier for the frame.

Pascal

property FrameID: TJvID3FrameID;

Description

The tag controller uses the TJvID3FrameID type to identify frames. In the tag itself the frames are identified by a 4 character long name. FrameID identifies the frame by the TJvID3FrameID type and FrameName identifies the frame by the 4 characters.

Read or set FrameID to determine or specify the frame identifier for the frame. When setting FrameID be sure that the frame identifier is supported by that specific TJvID3Frame descendant class.

Example:

  var

    TextFrame: TJvID3TextFrame;

  begin

    TextFrame := TJvID3TextFrame.FindOrCreate(MyController, fiAlbum);

    { TJvID3TextFrame supports fiTitleSortOrder }

    TextFrame.FrameID := fiTitleSortOrder;

    { TJvID3TextFrame does not support fiComment, thus this will

      generate an error }

    TextFrame.FrameID := fiComment;

  end;

Created with Doc-O-Matic.


See Also

TJvID3Frame.FrameName


TJvID3Frame.FrameName property

TJvID3Frame	See Also	Edit topic

Specifies the tag frame identifier for the frame.

Pascal

property FrameName: string;

Description

The tag controller uses the TJvID3FrameID type to identify frames. In the tag itself the frames are identified by a 4 character long name. FrameID identifies the frame by the TJvID3FrameID type and FrameName identifies the frame by the 4 characters.

Read or set FrameName to determine or specify the frame identifier for the frame. When setting FrameName be sure that the frame identifier is supported by that specific TJvID3Frame descendant class.

Example:

  var

    TextFrame: TJvID3TextFrame;

  begin

    TextFrame := TJvID3TextFrame.FindOrCreate(MyController, fiAlbum);

    { TJvID3TextFrame supports fiTitleSortOrder (TSOT) }

    TextFrame.FrameName := 'TSOT';

    { TJvID3TextFrame does not support fiComment (COMM), thus this will

      generate an error }

    TextFrame.FrameName := 'COMM';

  end;

Created with Doc-O-Matic.


See Also

TJvID3Frame.FrameID


TJvID3Frame.FrameSize property

TJvID3Frame	Edit topic

Indicates the amount of memory needed to store a frame.

Pascal

property FrameSize: Cardinal;

Description

Check FrameSize to determine the number of bytes required to store a frame.

The value of FrameSize for TJvID3Frame is 0. Most descendants of TJvID3Frame override this property to specify the size required by the specific frame they represent.

Created with Doc-O-Matic.


TJvID3Frame.GroupID property

TJvID3Frame	See Also	Edit topic

Specifies the group identifier for this frame.

Pascal

property GroupID: Byte;

Description

Property GroupID can be used to group specific frames. Every frame with the same group identifier belongs to the same group.

Notes

GroupID is only valid if fhfContainsGroupInformation is included in Flags.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Flags


TJvID3Frame.Index property

TJvID3Frame	See Also	Edit topic

Specifies the frame component’s index in the Frames property of the tag controller.

Pascal

property Index: Integer;

Description

Use the Index property to:

Find the position of the frame in the tag.

Change the order of a frame's position in the tag by changing the value of Index. Changing the Index value affects the position of the frames in the ID3 v2 tag.

Notes

The frame order can also be changed by dragging and dropping frames in the Frames editor at design time.

Created with Doc-O-Matic.


See Also

TJvID3Frames.Frames


TJvID3Frame.IsEmpty property

TJvID3Frame	See Also	Edit topic

Indicates whether the frame is empty.

Pascal

property IsEmpty: Boolean;

Description

Read IsEmpty to determine whether the frame is empty.

The tag controller uses this property when coRemoveEmptyFrames is included in Options to determine whether a frame can be removed from the tag.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Clear


TJvID3Frame.Stream property

TJvID3Frame	Edit topic

Gives access to the tag stream.

Pascal

property Stream: TJvID3Stream;

Description

Application should not use Stream. It's used by frames to write or read the frame data to the tag stream.

Created with Doc-O-Matic.


TJvID3Frame.CanAddFrame method

TJvID3Frame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; virtual;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController: TJvID3Controller

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID: TJvID3FrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3Frame.CheckFrame method

TJvID3Frame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; virtual;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

const HandleError: TJvID3HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3Frame.Clear method

TJvID3Frame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; virtual;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3Frames
JEDI-VCL Reference

TJvID3Frames

Hierarchy	Properties	Methods	 Edit topic

Holds the frame (TJvID3Frame) objects that represent the frames in an ID3 v2 tag.

Pascal

TJvID3Frames = class(TJvID3Base);

File

JvID3v2Base

Description

TJvID3Frames is used by a tag controller to manage the frame objects that correspond to frames in the tag.

Use the properties and methods of TJvID3Frames to:

Access a specific frame.

Add or delete frames from the ID3 v2 tag.

Find out how many frames there are.

Created with Doc-O-Matic.


TJvID3Frames Properties

TJvID3Frames	Legend

Properties

 Count

Frames

TJvID3Base

 Controller

 Stream

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvID3Frames Methods

TJvID3Frames	Legend

Methods

Add

 ChangeToVersion

CheckFrames

CheckIsUnique

Clear

FindFrame

FrameByID

FrameByName

GetFrameIDs

GetFrameNames

IndexOf

Remove

RemoveEmptyFrames

TJvID3Base

 ChangeToVersion

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvID3Frames

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Base
        TJvID3Frames


TJvID3Frames Members

TJvID3Frames	Legend

Members

Properties

 Count

Frames

TJvID3Base

 Controller

 Stream

Methods

Add

 ChangeToVersion

CheckFrames

CheckIsUnique

Clear

FindFrame

FrameByID

FrameByName

GetFrameIDs

GetFrameNames

IndexOf

Remove

RemoveEmptyFrames

TJvID3Base

 ChangeToVersion

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

protected

virtual

abstract


TJvID3Frames.Count property

TJvID3Frames	See Also	Edit topic

Indicates the number of frames in the frames object.

Pascal

property Count: Integer;

Description

Use Count to determine the number of frames referenced by the TJvID3Frames object.

Created with Doc-O-Matic.


See Also

TJvID3Frames.Frames


TJvID3Frames.Frames property

TJvID3Frames	See Also	Edit topic

Lists the frame references that are managed by the TJvID3Frames object.

Pascal

property Frames [Index: Integer]: TJvID3Frame;

Description

Use Frames to obtain a pointer to a specific frame. The Index parameter indicates the index of the frame, where 0 is the index of the first frame, 1 is the index of the second frame, and so on.

Use Frames with the Count property to iterate through all of the frames in the list.

Created with Doc-O-Matic.


See Also

TJvID3Frames.Count


TJvID3Frames.Add method

TJvID3Frames	Edit topic

Inserts a new frame to the end of the Frames array.

Pascal

procedure Add(Frame: TJvID3Frame);

Parameters

Frame: TJvID3Frame

Specifies the frame to add.

Description

Applications do not normally call the Add method directly. When frame objects are created, Add is called automatically by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag. Therefore use FindOrCreate to add frames to the tag, which checks whether there already exists such frame in the tag. For example:

  var

    TextFrame: TJvTextFrame;

    PictureFrame: TJvPictureFrame;

  begin

    TextFrame := TJvTextFrame.FindOrCreate(MyTagController, fiAlbum);

    TextFrame.Text := 'Some album';

    PictureFrame := TJvPictureFrame.FindOrCreate(MyTagController, ptBand);

    PictureFrame.MIMEType := 'image/jpeg';

    PictureFrame.LoadFromFile('somepicture.jpg');

  end;

Created with Doc-O-Matic.


TJvID3Frames.ChangeToVersion method

TJvID3Frames	Edit topic

Changes all frames to a specific version.

Pascal

procedure ChangeToVersion(const ANewVersion: TJvID3Version); override;

Parameters

const ANewVersion: TJvID3Version

The new version for the frames.

Description

ChangeToVersion is intended primarily for internal use. Use TJvID3Controller.Version instead.

Created with Doc-O-Matic.


TJvID3Frames.CheckFrames method

TJvID3Frames	See Also	Edit topic

Indicates whether the value(s) of all frames are valid, and whether each frame is unique in the tag.

Pascal

function CheckFrames(const HandleError: TJvID3HandleError): Boolean;

Return Value

The return value of CheckFrame depends on the value of HandleError:
HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when a frame is invalid, otherwise returns true.
heBoolean	Returns false when a frame is invalid, otherwise returns true.
Parameters

const HandleError: TJvID3HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

CheckFrame check for each frame in the tag, whether its values are correct. For example specifying an invalid language such as 'AAA' for the language property of a picture frame is incorrect. CheckFrame also checks whether all frames are unique in the tag. See CheckIsUnique for more info.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames, duplicate frames will then be removed of the tag.

When you call Commit the tag controller always checks the value(s) of all frames are valid, and whether all frames in the tag are unique.

Created with Doc-O-Matic.


See Also

TJvID3Frame.ChangeToVersion


TJvID3Frames.CheckIsUnique method

TJvID3Frames	See Also	Edit topic

Checks whether a specific frame is unique in the tag.

Pascal

function CheckIsUnique(Frame: TJvID3Frame): Boolean;

Return Value

Returns true if no duplicate frame of the specific frame was found in the tag; returns false otherwise.

Parameters

Frame: TJvID3Frame

The frame to check.

Description

Call CheckIsUnique to check whether a specific frame is unique in the tag. The ID3 v2 specification forbids that there are duplicate frames in the tag. What makes a frame a duplicate of another frame depends on the frame identifier, for example:

A text frame is a duplicate of another text frame if it has the same frame identifier. For example, there may be only one fiAlbum frame in a tag.

A content frame is a duplicate of another content frame if it has the same language and content

    descriptor.

A picture frame is a duplicate of another picture frame if it has the same content descriptor (PictureType and Description) or both PictureType properties are set to ptOther or ptFileIcon.

When you call Commit the tag controller always checks whether all frames in the tag are unique.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Commit, TJvID3Frames.CheckFrames


TJvID3Frames.Clear method

TJvID3Frames	See Also	Edit topic

Deletes all frames from the TJvID3Frames object.

Pascal

procedure Clear;

Description

Clear empties the Frames property array.

Created with Doc-O-Matic.


See Also

TJvID3Frames.Frames, TJvID3Frames.RemoveEmptyFrames


TJvID3Frames.FindFrame method (string)

TJvID3Frames	See Also	Edit topic

Returns a frame given its frame name.

Pascal

function FindFrame(const FrameName: string): TJvID3Frame; overload;
function FindFrame(const FrameID: TJvID3FrameID): TJvID3Frame; overload;

Return Value

If FindFrame finds a frame with a matching name, it returns the TJvID3Frame component for the specified frame. Otherwise it returns nil.

Parameters

const FrameName: string

The frame name of the frame for which to search.

const FrameID: TJvID3FrameID

The frame identifier of the frame for which to search.

Description

Call FindFrame to determine if a specified frame component is referenced in the TJvID3Frames object.

The tag controller uses the TJvID3FrameID type to identify frames. In the tag itself the frames are identified by a 4 character long name. FrameID identifies the frame by the TJvID3FrameID type and FrameName identifies the frame by the 4 characters.

Notes

FindFrame differs from the FrameByName method only when the named frame is not in the list. When the frame is not found, FindFrame returns nil, while FrameByName raises an exception.

Created with Doc-O-Matic.


See Also

TJvID3Frame.FrameName, TJvID3Frames.FrameByID, TJvID3Frames.FrameByName


TJvID3Frames.FrameByID method

TJvID3Frames	See Also	Edit topic

Returns a frame given its frame identifier.

Pascal

function FrameByID(const FrameID: TJvID3FrameID): TJvID3Frame;

Return Value

FrameByID returns the TJvID3Frame component for the specified frame. If the frame can not be found, an exception is raised.

Parameters

const FrameID: TJvID3FrameID

The frame identifier of the frame for which to search.

Description

Call FrameByID to determine if a specified frame component is referenced in the TJvID3Frames object.

The tag controller uses the TJvID3FrameID type to identify frames. In the tag itself the frames are identified by a 4 character long name. Parameter FrameID identifies the frame by the TJvID3FrameID type.

Created with Doc-O-Matic.


See Also

FindFrame


TJvID3Frames.FrameByName method

TJvID3Frames	See Also	Edit topic

Returns a frame given its frame name.

Pascal

function FrameByName(const FrameName: string): TJvID3Frame;

Return Value

FrameByName returns the TJvID3Frame component for the specified frame. If the frame can not be found, an exception is raised.

Parameters

const FrameName: string

The frame name of an existing frame.

Description

Call FrameByName to retrieve frame information for a frame when only the frame’s name is known.

The tag controller uses the TJvID3FrameID type to identify frames. In the tag itself the frames are identified by a 4 character long name. Parameter FrameName identifies the frame by the 4 characters.

Notes

FrameByName differs from the FindFrame method only when the named frame is not in the list. When the frame is not found, FrameByName raises an exception, while FindFrame returns nil.

Created with Doc-O-Matic.


See Also

FindFrame


TJvID3Frames.GetFrameIDs method

TJvID3Frames	See Also	Edit topic

Returns all frame identifiers in the tag.

Pascal

function GetFrameIDs: TJvID3FrameIDs;

Return Value

Returns all frame identifiers in the tag as a set of TJvID3FrameID values.

Description

Use GetFrameIDs to retrieve all frame identifiers in the tag.

Created with Doc-O-Matic.


See Also

TJvID3Frames.GetFrameNames


TJvID3Frames.GetFrameNames method

TJvID3Frames	See Also	Edit topic

Retrieves a list of frame names for all frames in a frames object.

Pascal

procedure GetFrameNames(List: TStrings);

Parameters

List: TStrings

A TStrings descendant that receives the frame names. List must be created and maintained by the application.

Description

Call GetFrameNames to fill a list with the frame names for all frames in the frames object.

Created with Doc-O-Matic.


See Also

TJvID3Frames.FrameByID, TJvID3Frames.FrameByName, TJvID3Frames.Frames, TJvID3Frames.GetFrameIDs


TJvID3Frames.IndexOf method

TJvID3Frames	See Also	Edit topic

Finds the index of a frame object in the Frames array from the frame object.

Pascal

function IndexOf(Frame: TJvID3Frame): Integer;

Return Value

Returns the index of the frame object in the Frames array. Returns -1, if the frame is not in the Frames array.

Parameters

Frame: TJvID3Frame

The frame for which to search.

Description

Call IndexOf to get the index for a frame in the Frames array. Specify the frame as the Frame parameter.

The first frame in the array has index 0, the second frame has index 1, and so on. If a frame is not in the Frames array, IndexOf returns -1.

Created with Doc-O-Matic.


See Also

TJvID3Frames.FrameByID, TJvID3Frames.Frames


TJvID3Frames.Remove method

TJvID3Frames	See Also	Edit topic

Deletes the reference to the Frame parameter from the Frames array.

Pascal

procedure Remove(Frame: TJvID3Frame);

Parameters

Frame: TJvID3Frame

The frame which to delete from the Frames array.

Description

Applications do not normally call the Remove method directly. After a frame is removed, all of the items that follow it are moved up in index position and the Count is reduced by one.

Notes

Unlike the Clear method, which frees the frame components when it removes them, Remove does not free the specified frame component.

Created with Doc-O-Matic.


See Also

TJvID3Frames.Add, TJvID3Frames.Frames


TJvID3Frames.RemoveEmptyFrames method

TJvID3Frames	See Also	Edit topic

Removes all empty frames from the Frames array.

Pascal

procedure RemoveEmptyFrames;

Description

Call RemoveEmptyFrames to remove all empty frames from the Frames array. The IsEmpty property of a frame indicates whether the frame is empty. For example a text information frame is empty if the Text or TextW is set to an empty string.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3GeneralObjFrame
JEDI-VCL Reference

TJvID3GeneralObjFrame

Hierarchy	Properties	Methods	 Edit topic

Represents a general encapsulated object frame.

Pascal

TJvID3GeneralObjFrame = class(TJvID3BinaryFrame);

File

JvID3v2Base

Description

Use TJvID3GeneralObjFrame to represent a general encapsulated object frame in a tag. Such a frame has frame identifier fiGeneralObject ("GEOB").

In this frame any type of file can be encapsulated.

TJvID3GeneralObjFrame is a TJvID3BinaryFrame descendant; thus, the encapsulated object is accessible as binary data.

There may be more than one fiGeneralObject frame in each tag, but only one with the same content descriptor.

Created with Doc-O-Matic.


TJvID3GeneralObjFrame Properties

TJvID3GeneralObjFrame	Legend

Properties

 ContentDescription

 ContentDescriptionW

 FileName

 FileNameW

 MIMEType

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3GeneralObjFrame Methods

TJvID3GeneralObjFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

FindOrCreateW

FindW

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3GeneralObjFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3BinaryFrame
            TJvID3GeneralObjFrame


TJvID3GeneralObjFrame Members

TJvID3GeneralObjFrame	Legend

Members

Properties

 ContentDescription

 ContentDescriptionW

 FileName

 FileNameW

 MIMEType

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

FindOrCreateW

FindW

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvID3GeneralObjFrame.ContentDescription property

TJvID3GeneralObjFrame	See Also	Edit topic

Specifies a description for the object.

Pascal

property ContentDescription: string;
property ContentDescriptionW: WideString;

Description

Use ContentDescription to specify a string for the description field in the general encapsulated object frame.

Created with Doc-O-Matic.


See Also

TJvID3GeneralObjFrame.FileName, TJvID3GeneralObjFrame.MIMEType


TJvID3GeneralObjFrame.FileName property

TJvID3GeneralObjFrame	See Also	Edit topic

Specifies the name of the file.

Pascal

property FileName: string;
property FileNameW: WideString;

Description

Use FileName or FileNameW to specify a string for the filename field in the general encapsulated object frame.

May be omitted.

Created with Doc-O-Matic.


See Also

TJvID3GeneralObjFrame.ContentDescription


TJvID3GeneralObjFrame.MIMEType property

TJvID3GeneralObjFrame	See Also	Edit topic

Specifies the object's format.

Pascal

property MIMEType: string;

Description

Use MIMEType to specify the object's format.

May be omitted.

Created with Doc-O-Matic.


See Also

TJvID3GeneralObjFrame.FileName


TJvID3GeneralObjFrame.CanAddFrame method

TJvID3GeneralObjFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3GeneralObjFrame.CheckFrame method

TJvID3GeneralObjFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3GeneralObjFrame.Clear method

TJvID3GeneralObjFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3GeneralObjFrame.Find method (TJvID3Controller)

TJvID3GeneralObjFrame	See Also	Edit topic

Returns a TJvID3GeneralObjFrame frame with a specific content descriptor.

Pascal

class function Find(AController: TJvID3Controller): TJvID3GeneralObjFrame; overload;
class function Find(AController: TJvID3Controller; const AContentDescription: string): TJvID3GeneralObjFrame; overload;
class function FindW(AController: TJvID3Controller; const AContentDescription: WideString): TJvID3GeneralObjFrame;

Return Value

Returns a TJvID3GeneralObjFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AContentDescription: string

The content descriptor to search for.

Description

Call Find to search in an ID3 tag for a general encapsulated object frame with a specific content descriptor and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

FindOrCreate


TJvID3GeneralObjFrame.FindOrCreate method (TJvID3Controller)

TJvID3GeneralObjFrame	See Also	Edit topic

Returns a TJvID3GeneralObjFrame frame with a specific content descriptor.

Pascal

class function FindOrCreate(AController: TJvID3Controller): TJvID3GeneralObjFrame; overload;
class function FindOrCreate(AController: TJvID3Controller; const AContentDescription: string): TJvID3GeneralObjFrame; overload;
class function FindOrCreateW(AController: TJvID3Controller; const AContentDescription: WideString): TJvID3GeneralObjFrame;

Return Value

Returns a TJvID3GeneralObjFrame frame with the specified owner identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame. If a new frame is created, its ContentDescription property will be set to the value specified by the AContentDescription parameter.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AContentDescription: string

The content descriptor to search for.

Description

Call FindOrCreate to search in an ID3 tag for general encapsulated object frame with a specific content descriptor. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

Find


TJvID3Header
JEDI-VCL Reference

TJvID3Header

Hierarchy	Properties	Methods	 Edit topic

Wrapper for the header of the ID3 v2 tag.

Pascal

TJvID3Header = class(TJvID3Base);

File

JvID3v2Base

Description

A header of an ID3 v2 tag contains:

The version of the tag: See MajorVersion and RevisionNumber. The value returned by the Version property of a tag controller is determined by these values.

The complete size of the tag: See Size.

Some flags that specify options for the tag. For example, if hfExtendedHeader is included in these flags then the tag contains an extended header, and the information from the ExtendedHeader property of the tag controller is valid.

Created with Doc-O-Matic.


TJvID3Header Properties

TJvID3Header	Legend

Properties

 Flags

 HasTag

 MajorVersion

 RevisionNumber

 Size

TJvID3Base

 Controller

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3Header Methods

TJvID3Header	Legend

Methods

 ChangeToVersion

TJvID3Base

 ChangeToVersion

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvID3Header

Legend

published

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Base
        TJvID3Header


TJvID3Header Members

TJvID3Header	Legend

Members

Properties

 Flags

 HasTag

 MajorVersion

 RevisionNumber

 Size

TJvID3Base

 Controller

 Stream

Methods

 ChangeToVersion

TJvID3Base

 ChangeToVersion

Legend

published

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual

abstract


TJvID3Header.Flags property

TJvID3Header	See Also	Edit topic

Specifies options for the tag.

Pascal

property Flags: TJvID3HeaderFlags;

Description

Use Flags to read or set whether the following applies to the tag:

whether unsynchronisation is applied on all frames.

whether an extended header is included in the tag.

whether the tag is in experimental state.

whether a footer is included in the tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ExtendedHeader


TJvID3Header.HasTag property

TJvID3Header	Edit topic

Indicates whether the file has an ID3 v2 tag.

Pascal

property HasTag: Boolean;

Description

Read HasTag to determine whether the file specified by FileName has an ID3 v2 tag.

Created with Doc-O-Matic.


TJvID3Header.MajorVersion property

TJvID3Header	See Also	Edit topic

Indicates the major version of the tag.

Pascal

property MajorVersion: Byte;

Description

Read MajorVersion to determine the major version of the tag.

Version	TJvID3Controller.Version	MajorVersion	RevisionNumber
2.2.0	ive2_2	2	0
2.2.1	ive2_2	2	1
2.3.0	ive2_3	3	0
2.4.0	ive2_4	4	0
Created with Doc-O-Matic.


See Also

TJvID3Controller.Version


TJvID3Header.RevisionNumber property

TJvID3Header	See Also	Edit topic

Indicates the revision number of the tag.

Pascal

property RevisionNumber: Byte;

Description

Read RevisionNumber to determine the revision number of the tag.

See MajorVersion for more information.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Version


TJvID3Header.Size property

TJvID3Header	Edit topic

Indicates the size of the complete tag.

Pascal

property Size: Cardinal;

Description

Read Size the determine the size of the complete tag after unsynchronization, including padding, excluding the header but not excluding the extended header

Created with Doc-O-Matic.


TJvID3Header.ChangeToVersion method

TJvID3Header	Edit topic

Changes the data of the object to a specific tag version.

Pascal

procedure ChangeToVersion(const ANewVersion: TJvID3Version); override;

Parameters

ANewVersion

The new tag version for the object.

Description

ChangeToVersion is intended primarily for internal use. Use TJvID3Controller.Version instead.

Created with Doc-O-Matic.


TJvID3Images
JEDI-VCL Reference

TJvID3Images

Hierarchy	Properties	 Edit topic

Contains the data of the picture frames in an ID3 v2 tag.

Pascal

TJvID3Images = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3Owner object contains the data of the picture frames in an ID3 v2 tag.

Frame name:	APIC
Frame ID:	fiPicture
Versions:	All
Implemented by:	TJvID3PictureFrame
Created with Doc-O-Matic.


TJvID3Images Properties

TJvID3Images	Legend

Properties

 Infos

 Pictures

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvID3Images

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3Images


TJvID3Images Members

TJvID3Images	Legend

Members

Properties

 Infos

 Pictures

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvID3Images.Infos property

TJvID3Images	See Also	Edit topic

Provides easy access to the descriptions fields of picture frames in an ID3 v2 tag.

Pascal

property Infos: TJvID3PicturesDesc;

Description

Use the Infos property to access the descriptions fields of picture frames in an ID3 v2 tag.

Created with Doc-O-Matic.


See Also

TJvID3Images.Pictures


TJvID3Images.Pictures property

TJvID3Images	See Also	Edit topic

Provides easy access to the data fields of picture frames in an ID3 v2 tag.

Pascal

property Pictures: TJvID3Pictures;

Description

Use the Pictures property to access the data fields of picture frames in an ID3 v2 tag.

Created with Doc-O-Matic.


See Also

TJvID3Images.Infos


TJvID3Ipl
JEDI-VCL Reference

TJvID3Ipl

Hierarchy	Properties	 Edit topic

Contains the data of the involved people frames in an ID3 v2 tag.

Pascal

TJvID3Ipl = class(TJvID3Persistent);

File

JvId3v2

Description

Use the properties of a TJvID3Ipl to set or get fields of the involved people frames in an ID3 v2 tag.

Frame name:	IPLS, TIPL, TMCL
Frame ID:	fiInvolvedPeople, fiInvolvedPeople2, fiMusicianCreditList
Versions:	All
Implemented by:	TJvID3DoubleListFrame
Created with Doc-O-Matic.


TJvID3Ipl Properties

TJvID3Ipl	Legend

Properties

 ItemCount

 ItemIndex

 Job

 Person

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvID3Ipl

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3Ipl


TJvID3Ipl Members

TJvID3Ipl	Legend

Members

Properties

 ItemCount

 ItemIndex

 Job

 Person

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3Ipl.ItemCount property

TJvID3Ipl	See Also	Edit topic

Indicates the number of involved people frames in the ID3 v2 tag.

Pascal

property ItemCount: Integer;

Description

Read ItemCount to determine the number of involved people frames in the ID3 v2 tag. Use ItemCount as an upper limit when iterating over the frames.

Created with Doc-O-Matic.


See Also

TJvID3Ipl.ItemIndex


TJvID3Ipl.ItemIndex property

TJvID3Ipl	See Also	Edit topic

Specifies the index of the current frame.

Pascal

property ItemIndex: Integer;

Description

Read ItemIndex to determine which item is selected. The first item in the list has index 0, the second item has index 1, and so on. If no item is selected, the value of ItemIndex is -1.

Set ItemIndex programmatically to select a frame by passing in the index value.

Created with Doc-O-Matic.


See Also

TJvID3Ipl.ItemCount


TJvID3Ipl.Job property

TJvID3Ipl	See Also	Edit topic

Specifies the job of a person.

Pascal

property Job: string;

Description

Use Job to specify the job of a person.

Created with Doc-O-Matic.


See Also

TJvID3Ipl.ItemIndex, TJvID3Ipl.Person


TJvID3Ipl.Person property

TJvID3Ipl	See Also	Edit topic

Specifies the name of a person.

Pascal

property Person: string;

Description

Use Person to specify the name of a person.

Created with Doc-O-Matic.


See Also

TJvID3Ipl.ItemIndex, TJvID3Ipl.Job


TJvID3NumberFrame
JEDI-VCL Reference

TJvID3NumberFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a numerical text information frame in a tag.

Pascal

TJvID3NumberFrame = class(TJvID3CustomTextFrame);

File

JvID3v2Base

Description

Use TJvID3NumberFrame to represent a numerical text information frame in a tag.

There may only be one text information frame of its kind in a tag.

The following frame identifiers are supported by TJvID3NumberFrame.

Frame ID, name	Description
fiBPM - TBPM	The 'BPM' frame contains the number of beats per minute in the main part of the audio.
fiOrigYear - TORY	The 'Original release year' frame is intended for the year when the original recording, if for example the music in the file should be a cover of a previously released song, was released. (Not in v2.4.0 tags)
fiPlaylistDelay - TDLY	The 'Playlist delay' defines the numbers of milliseconds of silence that should be inserted before this audio. The value zero indicates that this is a part of a multifile audio track that should be played continuously.
fiSize - TSIZ	The 'Size' frame contains the size of the audio file in bytes, excluding the ID3 v2 tag. (Not in v2.4.0 tags)
fiSongLen - TLEN	The 'Length' frame contains the length of the audio file in milliseconds.
fiYear - TYER	The 'Year' frame contains the year of the recording. (Not in v2.4.0 tags)

Use the Value property to specify the numerical value of the frame, for example:

 { Sets the value of the BMP frame to 120 }

  TJvID3NumberFrame.FindOrCreate(MyTagController, fiBPM).Value := 120;

Created with Doc-O-Matic.


TJvID3NumberFrame Properties

TJvID3NumberFrame	Legend

Properties

 Value

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3NumberFrame Methods

TJvID3NumberFrame	Legend

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3NumberFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3CustomTextFrame
            TJvID3NumberFrame


TJvID3NumberFrame Members

TJvID3NumberFrame	Legend

Members

Properties

 Value

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3TextFrame, TJvID3TimestampFrame


TJvID3NumberFrame.Value property

TJvID3NumberFrame	Edit topic

Specifies the numerical value of the frame.

Pascal

property Value: Cardinal;

Description

Use Value to specify the numerical value of the frame.

Created with Doc-O-Matic.


TJvID3NumberFrame.CheckFrame method

TJvID3NumberFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3NumberFrame.Find method

TJvID3NumberFrame	See Also	Edit topic

Returns a TJvID3NumberFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3NumberFrame;

Return Value

Returns a TJvID3NumberFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a numerical text information frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3NumberFrame.FindOrCreate


TJvID3NumberFrame.FindOrCreate method

TJvID3NumberFrame	See Also	Edit topic

Returns a TJvID3NumberFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3NumberFrame;

Return Value

Returns a TJvID3NumberFrame frame with the specified owner identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a numerical text information frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3NumberFrame.Find


TJvID3Owner
JEDI-VCL Reference

TJvID3Owner

Hierarchy	Properties	 See Also	Edit topic

Contains the data of an ownership frame in an ID3 v2 tag.

Pascal

TJvID3Owner = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3Owner object contains the data of an ownership frame in an ID3 v2 tag.

This frame might be used as a reminder of a made transaction or, if signed, as proof.

Frame name:	OWNE
Frame ID:	fiOwnership
Versions:	2.3, 2.4
Implemented by:	TJvID3OwnershipFrame
Created with Doc-O-Matic.


TJvID3Owner Properties

TJvID3Owner	Legend

Properties

 DatePurchased

 Price

 Seller

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvID3Owner

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3Owner


TJvID3Owner Members

TJvID3Owner	Legend

Members

Properties

 DatePurchased

 Price

 Seller

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvID3OwnershipFrame


TJvID3Owner.DatePurchased property

TJvID3Owner	See Also	Edit topic

Specifies the date of purchase.

Pascal

property DatePurchased: TDateTime;

Description

Use DatePurchased to specify the date of purchase.

Created with Doc-O-Matic.


See Also

TJvID3Owner.Price, TJvID3Owner.Seller


TJvID3Owner.Price property

TJvID3Owner	See Also	Edit topic

Specifies the price payed.

Pascal

property Price: string;

Description

Use Price to specify the price payed.

The first three characters of Price should contain the currency used for the transaction, encoded according to ISO 4217 alphabetic currency code. Concatenated to this is the actual price paid, as a numerical string using "." as the decimal separator.

Created with Doc-O-Matic.


See Also

TJvID3Owner.DatePurchased, TJvID3Owner.Seller


TJvID3Owner.Seller property

TJvID3Owner	See Also	Edit topic

Specifies the name of the seller.

Pascal

property Seller: string;

Description

Use Seller to specify the name of the seller.

Created with Doc-O-Matic.


See Also

TJvID3Owner.DatePurchased, TJvID3Owner.Price


TJvID3OwnershipFrame
JEDI-VCL Reference

TJvID3OwnershipFrame

Hierarchy	Properties	Methods	 Edit topic

Represents an ownership frame in a tag.

Pascal

TJvID3OwnershipFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

Use TJvID3OwnershipFrame to represent an ownership frame in a tag. Such a frame has frame identifier fiOwnership ("OWNE").

The ownership frame might be used as a reminder of a made transaction or, if signed, as proof. Note that the fiTermsOfUse and fiFileOwner frames are good to use in conjunction with this one.

There may only be one ownership frame in a tag.

Created with Doc-O-Matic.


TJvID3OwnershipFrame Properties

TJvID3OwnershipFrame	Legend

Properties

 DateOfPurch

 PricePayed

 Seller

 SellerW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3OwnershipFrame Methods

TJvID3OwnershipFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3OwnershipFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3OwnershipFrame


TJvID3OwnershipFrame Members

TJvID3OwnershipFrame	Legend

Members

Properties

 DateOfPurch

 PricePayed

 Seller

 SellerW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvID3OwnershipFrame.DateOfPurch property

TJvID3OwnershipFrame	See Also	Edit topic

Specifies the date of purchase.

Pascal

property DateOfPurch: TDateTime;

Description

Use DateOfPurch to specify the date of purchase.

Created with Doc-O-Matic.


See Also

TJvID3OwnershipFrame.PricePayed, TJvID3OwnershipFrame.Seller


TJvID3OwnershipFrame.PricePayed property

TJvID3OwnershipFrame	See Also	Edit topic

Specifies the price payed.

Pascal

property PricePayed: string;

Description

Use PricePayed to specify the price payed.

The first three characters of PricePayed should contain the currency used for the transaction, encoded according to ISO 4217 alphabetic currency code. Concatenated to this is the actual price paid, as a numerical string using "." as the decimal separator.

Created with Doc-O-Matic.


See Also

TJvID3OwnershipFrame.DateOfPurch, TJvID3OwnershipFrame.Seller


TJvID3OwnershipFrame.Seller property

TJvID3OwnershipFrame	See Also	Edit topic

Specifies the name of the seller.

Pascal

property Seller: string;
property SellerW: WideString;

Description

Use Seller or SellerW to specify the name of the seller.

Use Encoding to specify whether to use Seller or SellerW.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding, TJvID3OwnershipFrame.DateOfPurch, TJvID3OwnershipFrame.PricePayed


TJvID3OwnershipFrame.CanAddFrame method

TJvID3OwnershipFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3OwnershipFrame.CheckFrame method

TJvID3OwnershipFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3OwnershipFrame.Clear method

TJvID3OwnershipFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3OwnershipFrame.Find method

TJvID3OwnershipFrame	See Also	Edit topic

Returns a TJvID3OwnershipFrame frame.

Pascal

class function Find(AController: TJvID3Controller): TJvID3OwnershipFrame;

Return Value

Returns a TJvID3OwnershipFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

Description

Call Find to search in an ID3 tag for an ownership frame and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3OwnershipFrame.FindOrCreate


TJvID3OwnershipFrame.FindOrCreate method

TJvID3OwnershipFrame	See Also	Edit topic

Returns a TJvID3OwnershipFrame frame.

Pascal

class function FindOrCreate(AController: TJvID3Controller): TJvID3OwnershipFrame;

Return Value

Returns a TJvID3OwnershipFrame frame with the specified owner identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

Description

Call FindOrCreate to search in an ID3 tag for an ownership frame. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3OwnershipFrame.Find


TJvID3Persistent
JEDI-VCL Reference

TJvID3Persistent

Hierarchy	 Edit topic

Ancestor for objects that are maintained by a TJvID3Controller object.

Pascal

TJvID3Persistent = class(TPersistent);

File

JvId3v2

Description

TJvID3Persistent is the base class for objects that are maintained by a TJvID3Controller object.

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent


TJvID3PictureFrame
JEDI-VCL Reference

TJvID3PictureFrame

Hierarchy	Properties	Methods	 Edit topic

Represents a picture frame in a tag.

Pascal

TJvID3PictureFrame = class(TJvID3BinaryFrame);

File

JvID3v2Base

Description

Use TJvID3PictureFrame to represent a picture frame in a tag. Such a frame has frame identifier fiPicture ("APIC").

This frame contains a picture directly related to the audio file.

MIMEType specifies the image format and subtype for the image. In the event that the MIME media type name is omitted, "image/" will be implied. The "image/png" or "image/jpeg" picture format should be used when interoperability is wanted.

Description is a short description of the picture, represented as a terminated textstring. The description has a maximum length of 64 characters, but may be empty.

There may be several pictures attached to one file, each in their individual TJvID3PictureFrame frame, but only one with the same content descriptor. There may only be one picture with PictureType ptOther or ptFileIcon respectively.

There is the possibility to put only a link to the image file by setting MIMEType to "--> " and set property URL to a complete URL. The use of linked files should however be used sparingly since there is the risk of separation of files.

The following example adds a frame with a picture selected by the user to the tag:

  with TOpenPictureDialog.Create(Application) do

  try

    if not Execute then

      Exit;

    with TJvID3PictureFrame(JvID3v21.AddFrame(fiPicture)) do

    begin

      PictureType := ptCoverFront;Description := 'Cover front';

      MIMEType := ExtToMIMEType(ExtractFileExt(FileName));

      { Insert the picture in the frame }

      LoadFromFile(FileName);

    end;

  finally

    Free;

  end;

Created with Doc-O-Matic.


TJvID3PictureFrame Properties

TJvID3PictureFrame	Legend

Properties

 Description

 DescriptionW

 HasOnlyURL

 MIMEType

 PictureType

 URL

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvID3PictureFrame Methods

TJvID3PictureFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3PictureFrame

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3BinaryFrame
            TJvID3PictureFrame


TJvID3PictureFrame Members

TJvID3PictureFrame	Legend

Members

Properties

 Description

 DescriptionW

 HasOnlyURL

 MIMEType

 PictureType

 URL

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvID3PictureFrame.Description property

TJvID3PictureFrame	See Also	Edit topic

Specifies a short description of the picture.

Pascal

property Description: string;
property DescriptionW: WideString;

Description

Use Description or DescriptionW to specify a short description for the picture contained in this TJvID3PictureFrame. The description has a maximum length of 64 characters, but may be empty.

Use Encoding to specify whether to use Description or DescriptionW.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding


TJvID3PictureFrame.HasOnlyURL property

TJvID3PictureFrame	Edit topic

Not documented

Pascal

property HasOnlyURL: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvID3PictureFrame.MIMEType property

TJvID3PictureFrame	See Also	Edit topic

Specifies the image format.

Pascal

property MIMEType: string;

Description

Use MIMEType to specify the image format. For example, if the TJvID3PictureFrame contains a bitmap, then MIMEType should be "image/bmp".

The "image/png" or "image/jpeg" picture format should be used when interoperability is wanted.

Created with Doc-O-Matic.


See Also

ExtToMIMEType, MIMETypeToExt


TJvID3PictureFrame.PictureType property

TJvID3PictureFrame	See Also	Edit topic

Specifies the type of picture.

Pascal

property PictureType: TJvID3PictureType;

Description

Use PictureType to specify a type of picture for the picture contained in this TJvID3PictureFrame.

There may only be one picture with PictureType ptOther or ptFileIcon respectively, in a tag.

Created with Doc-O-Matic.


See Also

TJvID3PictureFrame.MIMEType


TJvID3PictureFrame.URL property

TJvID3PictureFrame	See Also	Edit topic

Specifies a link to an image.

Pascal

property URL: string;

Description

There is the possibility to put only a link to the image file by setting MIMEType to "--> " and set property URL to a complete URL. The use of linked files should however be used sparingly since there is the risk of separation of files.

A URL may be relative, e.g. "picture.png".

Created with Doc-O-Matic.


See Also

TJvID3PictureFrame.MIMEType


TJvID3PictureFrame.CanAddFrame method

TJvID3PictureFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3PictureFrame.CheckFrame method

TJvID3PictureFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3PictureFrame.Clear method

TJvID3PictureFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3PictureFrame.Find method

TJvID3PictureFrame	See Also	Edit topic

Returns a TJvID3PictureFrame frame with a specific picture type.

Pascal

class function Find(AController: TJvID3Controller; const AType: TJvID3PictureType): TJvID3PictureFrame;

Return Value

Returns a TJvID3PictureFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AType: TJvID3PictureType

Specifies the picture type to search for.

Description

Call Find to search in an ID3 tag for a picture frame with a specific picture type and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3PictureFrame.FindOrCreate, TJvID3PictureFrame.PictureType


TJvID3PictureFrame.FindOrCreate method

TJvID3PictureFrame	See Also	Edit topic

Returns a TJvID3PictureFrame frame with a specific picture type.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AType: TJvID3PictureType): TJvID3PictureFrame;

Return Value

Returns a TJvID3PictureFrame frame with the specified picture type, that was found in the ID3 tag, or

when no such frame was found - a newly created frame. If a new frame is created, its PictureType

property will be set to the value specified by the AType parameter.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AType: TJvID3PictureType

Specifies the picture type to search for.

Description

Call FindOrCreate to search in an ID3 tag for a picture frame with a specific picture type. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3PictureFrame.Find, TJvID3PictureFrame.PictureType


TJvID3Pictures
JEDI-VCL Reference

TJvID3Pictures

Hierarchy	Properties	 Edit topic

Contains the data fields of picture frames in an ID3 v2 tag.

Pascal

TJvID3Pictures = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3Pictures object contains the data fields of picture frames in an ID3 v2 tag.

Created with Doc-O-Matic.


TJvID3Pictures Properties

TJvID3Pictures	Legend

Properties

 Artist

 Band

 BandLogotype

 BrightColouredFish

 Composer

 Conductor

 CoverBack

 CoverFront

 DuringPerformance

 DuringRecording

 FileIcon

 Illustration

 LeadArtist

 LeafletPage

 Lyricist

 Media

 MovieVideoScreenCapture

 Other

 OtherFileIcon

 PublisherLogotype

 RecordingLocation

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvID3Pictures

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3Pictures


TJvID3Pictures Members

TJvID3Pictures	Legend

Members

Properties

 Artist

 Band

 BandLogotype

 BrightColouredFish

 Composer

 Conductor

 CoverBack

 CoverFront

 DuringPerformance

 DuringRecording

 FileIcon

 Illustration

 LeadArtist

 LeafletPage

 Lyricist

 Media

 MovieVideoScreenCapture

 Other

 OtherFileIcon

 PublisherLogotype

 RecordingLocation

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3Pictures.Artist property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Artist/performer' image.

Pascal

property Artist: TPicture;

Description

Use Artist to specify the 'Artist/performer' image. Artist is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Artist at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.Band, TJvID3Pictures.LeadArtist


TJvID3Pictures.Band property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Band/Orchestra' image.

Pascal

property Band: TPicture;

Description

Use Band to specify the 'Band/Orchestra' image. Band is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Band at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.Artist, TJvID3Pictures.BandLogotype, TJvID3Pictures.LeadArtist


TJvID3Pictures.BandLogotype property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Band/artist logotype' image.

Pascal

property BandLogotype: TPicture;

Description

Use BandLogotype to specify the 'Band/artist logotype' image. BandLogotype is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting BandLogotype at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.Band


TJvID3Pictures.BrightColouredFish property

TJvID3Pictures	Edit topic

Specifies the 'A bright coloured fish' image.

Pascal

property BrightColouredFish: TPicture;

Description

Use BrightColouredFish to specify the 'A bright coloured fish' image. BrightColouredFish is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting BrightColouredFish at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


TJvID3Pictures.Composer property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Composer' image.

Pascal

property Composer: TPicture;

Description

Use Composer to specify the 'Composer' image. Composer is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Composer at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.Conductor


TJvID3Pictures.Conductor property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Conductor' image.

Pascal

property Conductor: TPicture;

Description

Use Conductor to specify the 'Conductor' image. Conductor is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Conductor at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.Composer


TJvID3Pictures.CoverBack property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Cover (back)' image.

Pascal

property CoverBack: TPicture;

Description

Use CoverBack to specify the 'Cover (back)' image. CoverBack is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting CoverBack at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.CoverFront, TJvID3Pictures.Media


TJvID3Pictures.CoverFront property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Cover (front)' image.

Pascal

property CoverFront: TPicture;

Description

Use CoverFront to specify the 'Cover (front)' image. CoverFront is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting CoverFront at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.CoverBack, TJvID3Pictures.Media


TJvID3Pictures.DuringPerformance property

TJvID3Pictures	See Also	Edit topic

Specifies the 'During performance' image.

Pascal

property DuringPerformance: TPicture;

Description

Use DuringPerformance to Specifies the 'During performance' image. DuringPerformance is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting DuringPerformance at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.DuringRecording


TJvID3Pictures.DuringRecording property

TJvID3Pictures	See Also	Edit topic

Specifies the 'During recording' image.

Pascal

property DuringRecording: TPicture;

Description

Use DuringRecording to Specifies the 'During recording' image. DuringRecording is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting DuringRecording at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.DuringPerformance, TJvID3Pictures.RecordingLocation


TJvID3Pictures.FileIcon property

TJvID3Pictures	See Also	Edit topic

Specifies the '32x32 pixels 'file icon' (PNG only)' image.

Pascal

property FileIcon: TPicture;

Description

Use FileIcon to specify the '32x32 pixels 'file icon' (PNG only)' image. FileIcon is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting FileIcon at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.OtherFileIcon


TJvID3Pictures.Illustration property

TJvID3Pictures	Edit topic

Specifies the 'Illustration' image.

Pascal

property Illustration: TPicture;

Description

Use Illustration to specify the 'Illustration' image. Illustration is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Illustration at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


TJvID3Pictures.LeadArtist property

TJvID3Pictures	See Also	Edit topic

Specifies the 'Lead artist/lead performer/soloist' image.

Pascal

property LeadArtist: TPicture;

Description

Use LeadArtist to specify the 'Lead artist/lead performer/soloist' image. LeadArtist is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting LeadArtist at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.Artist, TJvID3Pictures.Band


TJvID3Pictures.LeafletPage property

TJvID3Pictures	Edit topic

Specifies the image for the 'Leaflet page'.

Pascal

property LeafletPage: TPicture;

Description

Use LeafletPage to specify the 'Leaflet page' image. LeafletPage is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting LeafletPage at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


TJvID3Pictures.Lyricist property

TJvID3Pictures	See Also	Edit topic

Specifies the image for the 'Lyricist/text writer'.

Pascal

property Lyricist: TPicture;

Description

Use Lyricist to specify the 'Lyricist/text writer' image. Lyricist is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Lyricist at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.Composer


TJvID3Pictures.Media property

TJvID3Pictures	See Also	Edit topic

Specifies the image for the 'Media (e.g. lable side of CD)'.

Pascal

property Media: TPicture;

Description

Use Media to specify the 'Media (e.g. lable side of CD)' image. Media is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Media at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.CoverBack, TJvID3Pictures.CoverFront


TJvID3Pictures.MovieVideoScreenCapture property

TJvID3Pictures	Edit topic

Specifies the image for the 'Movie/video screen capture'.

Pascal

property MovieVideoScreenCapture: TPicture;

Description

Use MovieVideoScreenCapture to specify the 'Movie/video screen capture' image. MovieVideoScreenCapture is a reference to a Picture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting MovieVideoScreenCapture at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


TJvID3Pictures.Other property

TJvID3Pictures	Edit topic

Specifies the image for the 'Other'.

Pascal

property Other: TPicture;

Description

Use Other to specify the 'Other' image. Other is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Other at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


TJvID3Pictures.OtherFileIcon property

TJvID3Pictures	See Also	Edit topic

Specifies the image for the 'Other file icon'.

Pascal

property OtherFileIcon: TPicture;

Description

Use OtherFileIcon to specify the 'Other file icon' image. OtherFileIcon is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting OtherFileIcon at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.FileIcon


TJvID3Pictures.PublisherLogotype property

TJvID3Pictures	Edit topic

Specifies the image for the 'Publisher/Studio logotype'.

Pascal

property PublisherLogotype: TPicture;

Description

Use PublisherLogotype to specify the 'Publisher/Studio logotype' image. PublisherLogotype is a reference to a Picture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting PublisherLogotype at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


TJvID3Pictures.RecordingLocation property

TJvID3Pictures	See Also	Edit topic

Specifies the image for the 'Recording Location'.

Pascal

property RecordingLocation: TPicture;

Description

Use RecordingLocation to specify the 'Recording Location' image. RecordingLocation is a reference to a Picture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting RecordingLocation at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Created with Doc-O-Matic.


See Also

TJvID3Pictures.DuringRecording


TJvID3PicturesDesc
JEDI-VCL Reference

TJvID3PicturesDesc

Hierarchy	Properties	 Edit topic

Contains the descriptions of picture frames in an ID3 v2 tag.

Pascal

TJvID3PicturesDesc = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3PicturesDesc object contains the descriptions fields of picture frames in an ID3 v2 tag.

Created with Doc-O-Matic.


TJvID3PicturesDesc Properties

TJvID3PicturesDesc	Legend

Properties

 Artist

 Band

 BandLogotype

 BrightColouredFish

 Composer

 Conductor

 CoverBack

 CoverFront

 DuringPerformance

 DuringRecording

 FileIcon

 Illustration

 LeadArtist

 LeafletPage

 Lyricist

 Media

 MovieVideoScreenCapture

 Other

 OtherFileIcon

 PublisherLogotype

 RecordingLocation

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvID3PicturesDesc

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3PicturesDesc


TJvID3PicturesDesc Members

TJvID3PicturesDesc	Legend

Members

Properties

 Artist

 Band

 BandLogotype

 BrightColouredFish

 Composer

 Conductor

 CoverBack

 CoverFront

 DuringPerformance

 DuringRecording

 FileIcon

 Illustration

 LeadArtist

 LeafletPage

 Lyricist

 Media

 MovieVideoScreenCapture

 Other

 OtherFileIcon

 PublisherLogotype

 RecordingLocation

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3PicturesDesc.Artist property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Artist/performer' image.

Pascal

property Artist: string;

Description

Use the Artist property to specify a short description for the 'Artist/performer' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.Band, TJvID3PicturesDesc.LeadArtist


TJvID3PicturesDesc.Band property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Band/Orchestra' image.

Pascal

property Band: string;

Description

Use the Band property to specify a short description for the 'Band/Orchestra' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.Artist, TJvID3PicturesDesc.BandLogotype, TJvID3PicturesDesc.LeadArtist


TJvID3PicturesDesc.BandLogotype property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Band/artist logotype' image.

Pascal

property BandLogotype: string;

Description

Use the BandLogotype property to specify a short description for the 'Band/artist logotype' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.Band


TJvID3PicturesDesc.BrightColouredFish property

TJvID3PicturesDesc	Edit topic

Specifies the short description of the 'A bright coloured fish' image.

Pascal

property BrightColouredFish: string;

Description

Use the BrightColouredFish property to specify a short description for the 'A bright coloured fish' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


TJvID3PicturesDesc.Composer property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Composer' image.

Pascal

property Composer: string;

Description

Use the Composer property to specify a short description for the 'Composer' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.Conductor


TJvID3PicturesDesc.Conductor property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Conductor' image.

Pascal

property Conductor: string;

Description

Use the Conductor property to specify a short description for the 'Conductor' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.Composer


TJvID3PicturesDesc.CoverBack property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Cover (back)' image.

Pascal

property CoverBack: string;

Description

Use the CoverBack property to specify a short description for the 'Cover (back)' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.CoverFront, TJvID3PicturesDesc.Media


TJvID3PicturesDesc.CoverFront property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Cover (front)' image.

Pascal

property CoverFront: string;

Description

Use the CoverFront property to specify a short description for the 'Cover (front)' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.CoverBack, TJvID3PicturesDesc.Media


TJvID3PicturesDesc.DuringPerformance property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'During performance' image.

Pascal

property DuringPerformance: string;

Description

Use the DuringPerformance property to specify a short description for the 'During performance' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.DuringRecording


TJvID3PicturesDesc.DuringRecording property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'During recording' image.

Pascal

property DuringRecording: string;

Description

Use the DuringRecording property to specify a short description for the 'During recording' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.DuringPerformance, TJvID3PicturesDesc.RecordingLocation


TJvID3PicturesDesc.FileIcon property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the '32x32 pixels 'file icon' (PNG only)' image.

Pascal

property FileIcon: string;

Description

Use the FileIcon property to specify a short description for the '32x32 pixels 'file icon' (PNG only)' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.OtherFileIcon


TJvID3PicturesDesc.Illustration property

TJvID3PicturesDesc	Edit topic

Specifies the short description of the 'Illustration' image.

Pascal

property Illustration: string;

Description

Use the Illustration property to specify a short description for the 'Illustration' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


TJvID3PicturesDesc.LeadArtist property

TJvID3PicturesDesc	Edit topic

Specifies the short description of the 'Lead artist/lead performer/soloist' image.

Pascal

property LeadArtist: string;

Description

Use the LeadArtist property to specify a short description for the 'Lead artist/lead performer/soloist' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


TJvID3PicturesDesc.LeafletPage property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Leaflet page' image.

Pascal

property LeafletPage: string;

Description

Use the LeafletPage property to specify a short description for the 'Leaflet page' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.Artist, TJvID3PicturesDesc.Band


TJvID3PicturesDesc.Lyricist property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Lyricist/text writer' image.

Pascal

property Lyricist: string;

Description

Use the Lyricist property to specify a short description for the 'Lyricist/text writer' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.Composer


TJvID3PicturesDesc.Media property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Media (e.g. lable side of CD)' image.

Pascal

property Media: string;

Description

Use the Media property to specify a short description for the 'Media (e.g. lable side of CD)' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.CoverBack, TJvID3PicturesDesc.CoverFront


TJvID3PicturesDesc.MovieVideoScreenCapture property

TJvID3PicturesDesc	Edit topic

Specifies the short description of the 'Movie/video screen capture' image.

Pascal

property MovieVideoScreenCapture: string;

Description

Use the MovieVideoScreenCapture property to specify a short description for the 'Movie/video screen capture' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


TJvID3PicturesDesc.Other property

TJvID3PicturesDesc	Edit topic

Specifies the short description of the 'Other' image.

Pascal

property Other: string;

Description

Use the Other property to specify a short description for the 'Other' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


TJvID3PicturesDesc.OtherFileIcon property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Other file icon' image.

Pascal

property OtherFileIcon: string;

Description

Use the OtherFileIcon property to specify a short description for the 'Other file icon' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.FileIcon


TJvID3PicturesDesc.PublisherLogotype property

TJvID3PicturesDesc	Edit topic

Specifies the short description of the 'Publisher/Studio logotype' image.

Pascal

property PublisherLogotype: string;

Description

Use the PublisherLogotype property to specify a short description for the 'Publisher/Studio logotype' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


TJvID3PicturesDesc.RecordingLocation property

TJvID3PicturesDesc	See Also	Edit topic

Specifies the short description of the 'Recording Location' image.

Pascal

property RecordingLocation: string;

Description

Use the RecordingLocation property to specify a short description for the 'Recording Location' image. Maximum length is 64 characters.

Created with Doc-O-Matic.


See Also

TJvID3PicturesDesc.DuringRecording


TJvID3PlayCounterFrame
JEDI-VCL Reference

TJvID3PlayCounterFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a play counter frame.

Pascal

TJvID3PlayCounterFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

Use TJvID3PlayCounterFrame to represent a play counter frame in a tag. Such a frame has frame identifier fiPlayCounter ("PCNT").

This is simply a counter of the number of times a file has been played. The value is increased by one every time the file begins to play.

Use property Counter to specifies the number of times a file has been played.

There may only be one play counter frame in each tag.

Created with Doc-O-Matic.


TJvID3PlayCounterFrame Properties

TJvID3PlayCounterFrame	Legend

Properties

 Counter

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3PlayCounterFrame Methods

TJvID3PlayCounterFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3PlayCounterFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3PlayCounterFrame


TJvID3PlayCounterFrame Members

TJvID3PlayCounterFrame	Legend

Members

Properties

 Counter

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3PopularimeterFrame


TJvID3PlayCounterFrame.Counter property

TJvID3PlayCounterFrame	Edit topic

Specifies the number of times a file has been played.

Pascal

property Counter: Cardinal;

Description

Use Counter to specify the number of times a file has been played.

Created with Doc-O-Matic.


TJvID3PlayCounterFrame.CanAddFrame method

TJvID3PlayCounterFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3PlayCounterFrame.CheckFrame method

TJvID3PlayCounterFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3PlayCounterFrame.Clear method

TJvID3PlayCounterFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3PlayCounterFrame.Find method

TJvID3PlayCounterFrame	See Also	Edit topic

Returns a TJvID3PlayCounterFrame frame.

Pascal

class function Find(AController: TJvID3Controller): TJvID3PlayCounterFrame;

Return Value

Returns a TJvID3PlayCounterFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

Description

Call Find to search in an ID3 tag for a play counter frame and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3PlayCounterFrame.FindOrCreate


TJvID3PlayCounterFrame.FindOrCreate method

TJvID3PlayCounterFrame	See Also	Edit topic

Returns a TJvID3PlayCounterFrame frame.

Pascal

class function FindOrCreate(AController: TJvID3Controller): TJvID3PlayCounterFrame;

Return Value

Returns a TJvID3PlayCounterFrame frame, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

Description

Call FindOrCreate to search in an ID3 tag for a play counter frame. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3PlayCounterFrame.Find


TJvID3Popularimeter
JEDI-VCL Reference

TJvID3Popularimeter

Hierarchy	Properties	 Edit topic

Contains data of a populari meter frame.

Pascal

TJvID3Popularimeter = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3Popularimeter object contains data of a populari meter frame.

Frame name:	POPM
Frame ID:	fiPopularimeter
Versions:	All
Implemented by:	TJvID3PopularimeterFrame
Created with Doc-O-Matic.


TJvID3Popularimeter Properties

TJvID3Popularimeter	Legend

Properties

 Counter

 EMailAddress

 Rating

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvID3Popularimeter

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3Popularimeter


TJvID3Popularimeter Members

TJvID3Popularimeter	Legend

Members

Properties

 Counter

 EMailAddress

 Rating

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3Popularimeter.Counter property

TJvID3Popularimeter	See Also	Edit topic

Specifies a play counter for this audio file.

Pascal

property Counter: Cardinal;

Description

Use Counter to determine or specify the number of times a file has been played.

The value of Counter should be increased with one for every time the file is played.

Created with Doc-O-Matic.


See Also

TJvID3Popularimeter.Rating, TJvID3PlayCounterFrame.Counter


TJvID3Popularimeter.EMailAddress property

TJvID3Popularimeter	See Also	Edit topic

Specifies an e-mail address to the user.

Pascal

property EMailAddress: string;

Description

Use EMailAddress to specify the e-mail address to the user that made the rating.

Created with Doc-O-Matic.


See Also

TJvID3Popularimeter.Rating


TJvID3Popularimeter.Rating property

TJvID3Popularimeter	See Also	Edit topic

Specifies how good an audio file is.

Pascal

property Rating: Byte;

Description

Use Rating to specify how good an audio file is. The rating is 1-255 where 1 is worst and 255 is best. 0 is unknown.

Created with Doc-O-Matic.


See Also

TJvID3Popularimeter.Counter, TJvID3Popularimeter.EMailAddress


TJvID3PopularimeterFrame
JEDI-VCL Reference

TJvID3PopularimeterFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a populari meter frame.

Pascal

TJvID3PopularimeterFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

Use TJvID3PopularimeterFrame to represent a populari meter frame in a tag. Such a frame has frame identifier fiPopularimeter ("POPM").

The purpose of this frame is to specify how good an audio file is. Many interesting applications could be found to this frame such as a playlist that features better audio files more often than others or it could be used to profile a person's taste and find other 'good' files by comparing people's profiles.

The frame is very simple. It contains the email address to the user, a rating and a play counter, intended to be increased with one for every time the file is played.

There may be more than one populari meter frame in each tag, but only one with the same email address.

Created with Doc-O-Matic.


TJvID3PopularimeterFrame Properties

TJvID3PopularimeterFrame	Legend

Properties

 Counter

 EMailAddress

 Rating

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3PopularimeterFrame Methods

TJvID3PopularimeterFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3PopularimeterFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3PopularimeterFrame


TJvID3PopularimeterFrame Members

TJvID3PopularimeterFrame	Legend

Members

Properties

 Counter

 EMailAddress

 Rating

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3PlayCounterFrame


TJvID3PopularimeterFrame.Counter property

TJvID3PopularimeterFrame	See Also	Edit topic

Specifies a play counter for this audio file.

Pascal

property Counter: Cardinal;

Description

Use Counter to determine or specify the number of times a file has been played.

The value of Counter should be increased with one for every time the file is played.

Created with Doc-O-Matic.


See Also

TJvID3PlayCounterFrame.Counter, TJvID3PopularimeterFrame.Rating


TJvID3PopularimeterFrame.EMailAddress property

TJvID3PopularimeterFrame	See Also	Edit topic

Specifies an email address to the user.

Pascal

property EMailAddress: string;

Description

Use EMailAddress to specify the email address to the user that made the rating.

Created with Doc-O-Matic.


See Also

TJvID3PopularimeterFrame.Rating


TJvID3PopularimeterFrame.Rating property

TJvID3PopularimeterFrame	See Also	Edit topic

Specifies how good an audio file is.

Pascal

property Rating: Byte;

Description

Use Rating to specify how good an audio file is. The rating is 1-255 where 1 is worst and 255 is best. 0 is unknown.

Created with Doc-O-Matic.


See Also

TJvID3PopularimeterFrame.Counter, TJvID3PopularimeterFrame.EMailAddress


TJvID3PopularimeterFrame.CanAddFrame method

TJvID3PopularimeterFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3PopularimeterFrame.CheckFrame method

TJvID3PopularimeterFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3PopularimeterFrame.Clear method

TJvID3PopularimeterFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3PopularimeterFrame.Find method (TJvID3Controller)

TJvID3PopularimeterFrame	See Also	Edit topic

Returns a TJvID3PopularimeterFrame frame with a specific email address.

Pascal

class function Find(AController: TJvID3Controller): TJvID3PopularimeterFrame; overload;
class function Find(AController: TJvID3Controller; const AEmailAddress: string): TJvID3PopularimeterFrame; overload;

Return Value

Returns a TJvID3PopularimeterFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AEmailAddress: string

The email address to search for.

Description

Call Find to search in an ID3 tag for a popularimeter frame with a specific email address and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

FindOrCreate


TJvID3PopularimeterFrame.FindOrCreate method (TJvID3Controller)

TJvID3PopularimeterFrame	See Also	Edit topic

Returns a TJvID3PopularimeterFrame frame with a specific email address.

Pascal

class function FindOrCreate(AController: TJvID3Controller): TJvID3PopularimeterFrame; overload;
class function FindOrCreate(AController: TJvID3Controller; const AEmailAddress: string): TJvID3PopularimeterFrame; overload;

Return Value

Returns a TJvID3PopularimeterFrame frame with the specified owner identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame. If a new frame is created, its EMailAddress property will be set to the value specified by the AEmailAddress parameter.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AEmailAddress: string

The email address to search for.

Description

Call FindOrCreate to search in an ID3 tag for a popularimeter frame with a specific email address. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

Find


TJvID3SimpleListFrame
JEDI-VCL Reference

TJvID3SimpleListFrame

Hierarchy	Properties	Methods	 Edit topic

Represents a frame that contains a list of values.

Pascal

TJvID3SimpleListFrame = class(TJvID3CustomTextFrame);

File

JvID3v2Base

Description

Use TJvID3SimpleListFrame to represent a list frame in a tag.

Use the List or ListW property to access the individual values of the list.

There may only be one text information frame of its kind in a tag.

The following frame identifiers are supported by TJvID3SimpleListFrame.

Frame ID, name	Description
fiComposer - TCOM	The 'Composer(s)' frame is intended for the name of the composer(s).
fiLanguage - TLAN	The 'Language(s)' frame should contain the languages of the text or lyrics spoken or sung in the audio. The language is represented with three characters according to ISO-639-2
fiLeadArtist - TPE1	The 'Lead artist(s)/Lead performer(s)/Soloist(s)/Performing group' is used for the main artist(s).
fiLyricist - TEXT	The 'Lyricist(s)/Text writer(s)' frame is intended for the writer(s) of the text or lyrics in the recording.
fiOrigArtist - TOPE	The 'Original artist(s)/performer(s)' frame is intended for the performer(s) of the original recording, if for example the music in the file should be a cover of a previously released song.
fiOrigLyricist - TOLY	The 'Original lyricist(s)/text writer(s)' frame is intended for the text writer(s) of the original recording, if for example the music in the file should be a cover of a previously released song.
Created with Doc-O-Matic.


TJvID3SimpleListFrame Properties

TJvID3SimpleListFrame	Legend

Properties

 FixedStringLength

 IsNullSeparator

 List

 ListW

 Separator

 SeparatorW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvID3SimpleListFrame Methods

TJvID3SimpleListFrame	Legend

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3SimpleListFrame

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3CustomTextFrame
            TJvID3SimpleListFrame


TJvID3SimpleListFrame Members

TJvID3SimpleListFrame	Legend

Members

Properties

 FixedStringLength

 IsNullSeparator

 List

 ListW

 Separator

 SeparatorW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Legend

read only

published

protected

virtual


TJvID3SimpleListFrame.FixedStringLength property

TJvID3SimpleListFrame	Edit topic

Indicates the fixed character length of items in the list.

Pascal

property FixedStringLength: Integer;

Description

Read FixedStringLength to determine the fixed character length of items in the list. If these items do not have a fixed width, FixedStringLength returns -1.

Created with Doc-O-Matic.


TJvID3SimpleListFrame.IsNullSeparator property

TJvID3SimpleListFrame	Edit topic

Not documented

Pascal

property IsNullSeparator: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvID3SimpleListFrame.List property

TJvID3SimpleListFrame	See Also	Edit topic

Contains the strings from the list frame.

Pascal

property List: TStrings;
property ListW: TWideStrings;

Description

Use List or ListW to add, insert, delete and move values in the list frame.

Use Encoding to specify whether to use List or ListW.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding


TJvID3SimpleListFrame.Separator property

TJvID3SimpleListFrame	See Also	Edit topic

Indicates the Separator used to separate items in the list.

Pascal

property Separator: Char;
property SeparatorW: WideChar;

Description

The items in the list frame are stored in the tag as one string with the items separated by the separator specified by Separator or SeperatorW.

Frames that contains items with a fixed character length, do not use a separator. Separator returns #0 in these cases. (SeparatorW returns #0#0).

Created with Doc-O-Matic.


See Also

TJvID3SimpleListFrame.FixedStringLength


TJvID3SimpleListFrame.CheckFrame method

TJvID3SimpleListFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3SimpleListFrame.Find method

TJvID3SimpleListFrame	See Also	Edit topic

Returns a TJvID3SimpleListFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3SimpleListFrame;

Return Value

Returns a TJvID3SimpleListFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a list frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3SimpleListFrame.FindOrCreate


TJvID3SimpleListFrame.FindOrCreate method

TJvID3SimpleListFrame	See Also	Edit topic

Returns a TJvID3SimpleListFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3SimpleListFrame;

Return Value

Returns a TJvID3SimpleListFrame frame with the specified frame identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame. If a new frame is created, its FrameID property will be set to the value specified by the AFrameID parameter.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a list frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3SimpleListFrame.Find


TJvID3SkipFrame
JEDI-VCL Reference

TJvID3SkipFrame

Hierarchy	Properties	Methods	 Edit topic

Represents an unknown frame in a tag.

Pascal

TJvID3SkipFrame = class(TJvID3BinaryFrame);

File

JvID3v2Base

Description

The TJvID3SkipFrame is used by the tag controller to represent frames it doesn't know.

TJvID3SkipFrame is a TJvID3BinaryFrame descendant; thus, the data of the unknown frame is accessible as binary data.

Created with Doc-O-Matic.


TJvID3SkipFrame Properties

TJvID3SkipFrame	Legend

Properties

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvID3SkipFrame Methods

TJvID3SkipFrame	Legend

Methods

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3SkipFrame

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3BinaryFrame
            TJvID3SkipFrame


TJvID3SkipFrame Members

TJvID3SkipFrame	Legend

Members

Properties

TJvID3BinaryFrame

 DataSize

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

TJvID3BinaryFrame

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

GetData

 LoadFromFile

 LoadFromStream

 SaveToFile

 SaveToStream

SetData

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

read only

published

protected

virtual

Created with Doc-O-Matic.


Legend

read only

published

protected

virtual


TJvID3TermsOfUseFrame
JEDI-VCL Reference

TJvID3TermsOfUseFrame

Hierarchy	Properties	Methods	 Edit topic

Represents a frame containing the terms of use of the file.

Pascal

TJvID3TermsOfUseFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

Use TJvID3TermsOfUseFrame to represent a play counter frame in a tag. Such a frame has frame identifier fiTermsOfUse ("USER").

This frame contains a brief description of the terms of use and ownership of the file. More detailed information concerning the legal terms might be available through the fiWWWCopyright frame. (represented by TJvID3URLFrame).

There may only be one TJvID3TermsOfUseFrame frame in a tag.

Created with Doc-O-Matic.


TJvID3TermsOfUseFrame Properties

TJvID3TermsOfUseFrame	Legend

Properties

 Language

 Text

 TextW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3TermsOfUseFrame Methods

TJvID3TermsOfUseFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3TermsOfUseFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3TermsOfUseFrame


TJvID3TermsOfUseFrame Members

TJvID3TermsOfUseFrame	Legend

Members

Properties

 Language

 Text

 TextW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


TJvID3TermsOfUseFrame.Language property

TJvID3TermsOfUseFrame	See Also	Edit topic

Specifies the language identifier for this frame.

Pascal

property Language: string;

Description

Use Language to specify the language identifier for the content of the frame (as specified by Text or TextW). The value of Language must be in ISO-639-2 format.

Created with Doc-O-Matic.


See Also

TJvID3TermsOfUseFrame.Text, TJvID3TermsOfUseFrame.TextW


TJvID3TermsOfUseFrame.Text property

TJvID3TermsOfUseFrame	See Also	Edit topic

Specifies the content of the frame.

Pascal

property Text: string;
property TextW: WideString;

Description

Use the Text or TextW property to read or specify the content for the frame.

Newline characters are allowed in the content text string.

Use Encoding to specify whether Text or TextW is valid for the frame.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding, TJvID3TermsOfUseFrame.Language


TJvID3TermsOfUseFrame.CanAddFrame method

TJvID3TermsOfUseFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3TermsOfUseFrame.CheckFrame method

TJvID3TermsOfUseFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3TermsOfUseFrame.Clear method

TJvID3TermsOfUseFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3TermsOfUseFrame.Find method

TJvID3TermsOfUseFrame	See Also	Edit topic

Returns a TJvID3TermsOfUseFrame frame.

Pascal

class function Find(AController: TJvID3Controller): TJvID3TermsOfUseFrame;

Return Value

Returns a TJvID3TermsOfUseFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

Description

Call Find to search in an ID3 tag for a terms of use frame with a and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3TermsOfUseFrame.FindOrCreate


TJvID3TermsOfUseFrame.FindOrCreate method

TJvID3TermsOfUseFrame	See Also	Edit topic

Returns a TJvID3TermsOfUseFrame frame.

Pascal

class function FindOrCreate(AController: TJvID3Controller): TJvID3TermsOfUseFrame;

Return Value

Returns a TJvID3TermsOfUseFrame frame, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

Description

Call FindOrCreate to search in an ID3 tag for a terms of use frame. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3TermsOfUseFrame.Find


TJvID3Text
JEDI-VCL Reference

TJvID3Text

Hierarchy	Properties	 Edit topic

Contains the data of text frames in an ID3 v2 tag.

Pascal

TJvID3Text = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3Text object contains the data of text information frames in an ID3 v2 tag.

The following table lists the relation between Winamp's description of frames and properties of a TJvID3Text object:

Winamp	Property
Genre	ContentType
Comment	-
Year	RecordingTime or Year depending on the tag version.
Album	Album
Artist	LeadArtist
Songname	Title
AlbumTrack	TrackNum

The TJvID3ContentFrame object can be used to access comments in the tag. The following example alters the first comment frame in a tag of JvID3v21 (if the tag has no comment frame, then one is inserted):

  with TJvID3ContentFrame.FindOrCreate(JvID3v21, fiComment) do

  beginDescription := 'My comment';

    Language := 'eng';

    Text := 'Some'#13#10'Multi'#13#10'line'#13#10'comment'

  end;

Created with Doc-O-Matic.


TJvID3Text Properties

TJvID3Text	Legend

Properties

 Album

 AlbumSortOrder

 Band

 BPM

 Composer

 Conductor

 ContentGroup

 ContentType

 Copyright

 Date

 EncodedBy

 EncoderSettings

 EncodingTime

 FileOwner

 FileType

 InitialKey

 ISRC

 Language

 LeadArtist

 Lyricist

 MediaType

 MixArtist

 Mood

 NetRadioOwner

 NetRadioStation

 OrigAlbum

 OrigArtist

 OrigFileName

 OrigLyricist

 OrigReleaseTime

 OrigYear

 PartInSet

 PerformerSortOrder

 PlaylistDelay

 ProducedNotice

 Publisher

 RecordingDates

 RecordingTime

 ReleaseTime

 SetSubTitle

 Size

 SongLen

 SubTitle

 TaggingTime

 Time

 Title

 TitleSortOrder

 TrackNum

 Year

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvID3Text

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3Text


TJvID3Text Members

TJvID3Text	Legend

Members

Properties

 Album

 AlbumSortOrder

 Band

 BPM

 Composer

 Conductor

 ContentGroup

 ContentType

 Copyright

 Date

 EncodedBy

 EncoderSettings

 EncodingTime

 FileOwner

 FileType

 InitialKey

 ISRC

 Language

 LeadArtist

 Lyricist

 MediaType

 MixArtist

 Mood

 NetRadioOwner

 NetRadioStation

 OrigAlbum

 OrigArtist

 OrigFileName

 OrigLyricist

 OrigReleaseTime

 OrigYear

 PartInSet

 PerformerSortOrder

 PlaylistDelay

 ProducedNotice

 Publisher

 RecordingDates

 RecordingTime

 ReleaseTime

 SetSubTitle

 Size

 SongLen

 SubTitle

 TaggingTime

 Time

 Title

 TitleSortOrder

 TrackNum

 Year

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3Text.Album property

TJvID3Text	See Also	Edit topic

Specifies the title of the recording from which the audio is taken.

Pascal

property Album: string;

Description

Property Album represents the value of the 'Album/Movie/Show title' frame. It is intended for the title of the recording (or source of sound) from which the audio in the file is taken.

Frame name:	TALB
Frame ID:	fiAlbum
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.AlbumSortOrder, TJvID3Text.PartInSet, TJvID3Text.TrackNum


TJvID3Text.AlbumSortOrder property

TJvID3Text	See Also	Edit topic

Specifies a string to be used when sorting album names.

Pascal

property AlbumSortOrder: string;

Description

Property AlbumSortOrder represents the value of the 'Album sort order' frame. It specifies a string which should be used instead of the album name for sorting purposes. E.g. an album named "A Soundtrack" might preferably be sorted as "Soundtrack".

Frame name:	TSOA
Frame ID:	fiAlbumSortOrder
Versions:	2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Album


TJvID3Text.Band property

TJvID3Text	See Also	Edit topic

Specifies additional information about the performers.

Pascal

property Band: string;

Description

Property Band represents the value of the 'Band/Orchestra/Accompaniment' frame. It is used for additional information about the performers in the recording.

Frame name:	TPE2
Frame ID:	fiBand
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Conductor


TJvID3Text.BPM property

TJvID3Text	See Also	Edit topic

Specifies the number of beats per minute in the audio.

Pascal

property BPM: Cardinal;

Description

Property BPM represents the value of the 'BPM' frame. It contains the number of beats per minute in the main part of the audio.

Frame name:	TBPM
Frame ID:	fiBPM
Versions:	All
Implemented by:	TJvID3NumberFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.SongLen


TJvID3Text.Composer property

TJvID3Text	See Also	Edit topic

Specifies the name(s) of the composer(s).

Pascal

property Composer: TStrings;

Description

Property Composer represents the value of the 'Composer' frame. It is intended for the name(s) of the composer(s).

Property Composer is of type TStrings. Use this type to access its methods or properties to manipulate the composers in the list.

Frame name:	TCOM
Frame ID:	fiComposer
Versions:	All
Implemented by:	TJvID3SimpleListFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Conductor


TJvID3Text.Conductor property

TJvID3Text	See Also	Edit topic

Specifies the name of the conductor.

Pascal

property Conductor: string;

Description

Property Conductor represents the value of the 'Conductor' frame. It is used for the name of the conductor.

Frame name:	TPE3
Frame ID:	fiConductor
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Band, TJvID3Text.Composer


TJvID3Text.ContentGroup property

TJvID3Text	See Also	Edit topic

Specifies a content group description for the audio.

Pascal

property ContentGroup: string;

Description

Property ContentGroup represents the value of the 'Content group description' frame. It is used if the sound belongs to a larger category of sounds/music. For example, classical music is often sorted in different musical sections (e.g. "Piano Concerto", "Weather - Hurricane").

Frame name:	TIT1
Frame ID:	fiContentGroup
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.ContentType, TJvID3Text.Title


TJvID3Text.ContentType property

TJvID3Text	See Also	Edit topic

Specifies the content type.

Pascal

property ContentType: TStrings;

Description

Property ContentType represents the value of the 'Content type' frame.

You can make references to the ID3v1 genres by specifying '(x)' where x is some number from the genres list. This is optionally followed by a refinement. Examples are:

(21)

(4)Eurodisco

(51)(39)

(55)((I think...)

Don't know

Frame name:	TCON
Frame ID:	fiContentType
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3v1.Genre, TJvID3Text.ContentGroup, TJvID3Text.Mood


TJvID3Text.Copyright property

TJvID3Text	See Also	Edit topic

Specifies the copyright holder of the original sound.

Pascal

property Copyright: string;

Description

Property Copyright represents the value of the 'Copyright message' frame. It is intended for the copyright holder of the original sound, not the audio file itself.

Copyright must begin with a year and a space character (five characters).

Frame name:	TCOP
Frame ID:	fiCopyright
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.ProducedNotice


TJvID3Text.Date property

TJvID3Text	See Also	Edit topic

Specifies the date for the recording of the audio.

Pascal

property Date: string;

Description

Property Date represents the value of the 'Date' frame. It contains the date for the recording.

This field is always four characters long; format is DDMM, with DD the days and MM the months.

Frame name:	TDAT
Frame ID:	fiDate
Versions:	2.2, 2.3, replaced by RecordingTime in 2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.RecordingDates, TJvID3Text.RecordingTime, TJvID3Text.Time, TJvID3Text.Year


TJvID3Text.EncodedBy property

TJvID3Text	See Also	Edit topic

Specifies the person or organization that encoded the audio file.

Pascal

property EncodedBy: string;

Description

Property EncodedBy represents the value of the 'Encoded by' frame. It contains the name of the person or organization that encoded the audio file. This field may contain a copyright message, if the audio file also is copyrighted by the encoder.

Frame name:	TENC
Frame ID:	fiEncodedBy
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.EncoderSettings


TJvID3Text.EncoderSettings property

TJvID3Text	See Also	Edit topic

Specifies the used audio encoder and its settings.

Pascal

property EncoderSettings: string;

Description

Property EncoderSettings represents the value of the 'Software/Hardware and settings used for encoding' frame. It includes the used audio encoder and its settings when the file was encoded. Hardware refers to hardware encoders, not the computer on which a program was run.

Frame name:	TSSE
Frame ID:	fiEncoderSettings
Versions:	2.3, 2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.EncodedBy


TJvID3Text.EncodingTime property

TJvID3Text	See Also	Edit topic

Specifies the time when the audio was encoded.

Pascal

property EncodingTime: TDateTime;

Description

Property EncodingTime represents the value of the 'Encoding time' frame. It contains a timestamp describing when the audio was encoded.

Frame name:	TDEN
Frame ID:	fiEncodingTime
Versions:	2.4
Implemented by:	TJvID3TimestampFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.TaggingTime


TJvID3Text.FileOwner property

TJvID3Text	See Also	Edit topic

Specifies the owner or licensee of the file and its contents.

Pascal

property FileOwner: string;

Description

Property FileOwner represents the value of the 'File owner/licensee' frame. It contains the name of the owner or licensee of the file and its contents.

Frame name:	TOWN
Frame ID:	fiFileOwner
Versions:	2.3, 2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Copyright, TJvID3Text.ProducedNotice


TJvID3Text.FileType property

TJvID3Text	See Also	Edit topic

Specifies which type of audio this tag defines.

Pascal

property FileType: string;

Description

Property FileType represents the value of the 'File type' frame. It indicates which type of audio this tag defines.

Frame name:	TFLT
Frame ID:	fiFileType
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.MediaType


TJvID3Text.InitialKey property

TJvID3Text	Edit topic

Specifies the musical key in which the sound starts.

Pascal

property InitialKey: string;

Description

Property InitialKey represents the value of the 'Initial key' frame. It contains the musical key in which the sound starts. It is represented as a string with a maximum length of three characters. The ground keys are represented with "A","B","C","D","E", "F" and "G" and halfkeys represented with "b" and "#". Minor is represented as "m", e.g. "Dbm". Off key is represented with an "o" only.

Frame name:	TKEY
Frame ID:	fiInitialKey
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


TJvID3Text.ISRC property

TJvID3Text	Edit topic

Specifies the ISRC code.

Pascal

property ISRC: string;

Description

Property ISRC represents the value of the 'ISRC' frame. It should contain the International Standard Recording Code (ISO 3901). It should be 12 characters long.

Frame name:	TSRC
Frame ID:	fiISRC
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


TJvID3Text.Language property

TJvID3Text	Edit topic

Specifies the language(s) of the text or lyrics in the audio.

Pascal

property Language: TStrings;

Description

Property Language represents the value of the 'Language' frame. It should contain the languages of the text or lyrics spoken or sung in the audio. The language is represented with three characters according to ISO-639-2.

Property Language is of type TStrings. Use this type to access its methods or properties to manipulate the languages in the list.

Frame name:	TLAN
Frame ID:	fiLanguage
Versions:	All
Implemented by:	TJvID3SimpleListFrame
Created with Doc-O-Matic.


TJvID3Text.LeadArtist property

TJvID3Text	See Also	Edit topic

Specifies the main artist.

Pascal

property LeadArtist: TStrings;

Description

Property LeadArtist represents the value of the 'Lead artist/Lead performer/Soloist/Performing group' frame. It is used for the main artist.

Property LeadArtist is of type TStrings. Use this type to access its methods or properties to manipulate the names in the list.

Frame name:	TPE1
Frame ID:	fiLeadArtist
Versions:	All
Implemented by:	TJvID3SimpleListFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Band, TJvID3Text.OrigArtist


TJvID3Text.Lyricist property

TJvID3Text	See Also	Edit topic

Specifies the writer of the text or lyrics in the recording.

Pascal

property Lyricist: TStrings;

Description

Property Lyricist represents the value of the 'Lyricist/Text writer' frame. It is intended for the writer of the text or lyrics in the recording.

Property Lyricist is of type TStrings. Use this type to access its methods or properties to manipulate the names in the list.

Frame name:	TEXT
Frame ID:	fiLyricist
Versions:	All
Implemented by:	TJvID3SimpleListFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.OrigLyricist


TJvID3Text.MediaType property

TJvID3Text	See Also	Edit topic

Specifies from which media the sound originated.

Pascal

property MediaType: string;

Description

Property MediaType represents the value of the 'Media type' frame. It describes from which media the sound originated.

Frame name:	TMED
Frame ID:	fiMediaType
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.FileType


TJvID3Text.MixArtist property

TJvID3Text	See Also	Edit topic

Specifies information about the people behind a remix.

Pascal

property MixArtist: string;

Description

Property MixArtist represents the value of the 'Interpreted, remixed, or otherwise modified by' frame. It contains more information about the people behind a remix and similar interpretations of another existing piece.

Frame name:	TPE4
Frame ID:	fiMixArtist
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.LeadArtist


TJvID3Text.Mood property

TJvID3Text	See Also	Edit topic

Specifies the mood of the audio.

Pascal

property Mood: string;

Description

Property Mood represents the value of the 'Mood' frame. It is intended to reflect the mood of the audio with a few keywords, e.g. "Romantic" or "Sad".

Frame name:	TMOO
Frame ID:	fiMood
Versions:	2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.ContentType


TJvID3Text.NetRadioOwner property

TJvID3Text	See Also	Edit topic

Specifies the owner of the internet radio station.

Pascal

property NetRadioOwner: string;

Description

Property NetRadioOwner represents the value of the 'Internet radio station owner' frame. It contains the name of the owner of the internet radio station from which the audio is streamed.

Frame name:	TRSO
Frame ID:	fiNetRadioOwner
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.NetRadioStation


TJvID3Text.NetRadioStation property

TJvID3Text	See Also	Edit topic

Specifies the internet radio station.

Pascal

property NetRadioStation: string;

Description

Property NetRadioStation represents the value of the 'internet radio station name' frame. It contains the name of the internet radio station from which the audio is streamed.

Frame name:	TRSN
Frame ID:	fiNetRadioStation
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.NetRadioOwner


TJvID3Text.OrigAlbum property

TJvID3Text	See Also	Edit topic

Specifies the title of the original recording.

Pascal

property OrigAlbum: string;

Description

Property OrigAlbum represents the value of the 'Original album/movie/show title' frame. It is intended for the title of the original recording (or source of sound), if for example the music in the file should be a cover of a previously released song.

Frame name:	TOAL
Frame ID:	fiOrigAlbum
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Album, TJvID3Text.OrigArtist


TJvID3Text.OrigArtist property

TJvID3Text	See Also	Edit topic

Specifies the performer of the original recording.

Pascal

property OrigArtist: TStrings;

Description

Property OrigArtist represents the value of the 'Original artist/performer' frame. It is intended for the performer of the original recording, if for example the music in the file should be a cover of a previously released song.

Property OrigArtist is of type TStrings. Use this type to access its methods or properties to manipulate the names in the list.

Frame name:	TOPE
Frame ID:	fiOrigArtist
Versions:	All
Implemented by:	TJvID3SimpleListFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.LeadArtist, TJvID3Text.OrigAlbum


TJvID3Text.OrigFileName property

TJvID3Text	Edit topic

Specifies the preferred filename for the file.

Pascal

property OrigFileName: string;

Description

Property OrigFileName represents the value of the 'Original filename' frame. It contains the preferred filename for the file, since some media doesn't allow the desired length of the filename. The filename is case sensitive and includes its suffix.

Frame name:	TOFN
Frame ID:	fiOrigFileName
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


TJvID3Text.OrigLyricist property

TJvID3Text	See Also	Edit topic

Specifies the text writer of the original recording.

Pascal

property OrigLyricist: TStrings;

Description

Property OrigLyricist represents the value of the 'Original lyricist/text writer' frame. It is intended for the text writer of the original recording, if for example the music in the file should be a cover of a previously released song.

Property OrigLyricist is of type TStrings. Use this type to access its methods or properties to manipulate the names in the list.

Frame name:	TOLY
Frame ID:	fiOrigLyricist
Versions:	All
Implemented by:	TJvID3SimpleListFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Lyricist


TJvID3Text.OrigReleaseTime property

TJvID3Text	See Also	Edit topic

Specifies the release time of the original recording.

Pascal

property OrigReleaseTime: TDateTime;

Description

Property OrigReleaseTime represents the value of the 'Original release time' frame. It contains a timestamp describing when the original recording of the audio was released.

Frame name:	TDOR
Frame ID:	fiOrigReleaseTime
Versions:	2.4
Implemented by:	TJvID3TimestampFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.OrigAlbum, TJvID3Text.OrigArtist, TJvID3Text.ReleaseTime


TJvID3Text.OrigYear property

TJvID3Text	See Also	Edit topic

TORY

Pascal

property OrigYear: Cardinal;

Description

Property OrigYear represents the value of the 'Original release year' frame. It is intended for the year when the original recording, if for example the music in the file should be a cover of a previously released song, was released.

This frames is always four characters long.

Frame name:	TORY
Frame ID:	fiOrigYear
Versions:	2.2, 2.3, replaced by OrigReleaseTime in 2.4
Implemented by:	TJvID3NumberFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.OrigReleaseTime


TJvID3Text.PartInSet property

TJvID3Text	See Also	Edit topic

Specifies which part of a set the audio came from.

Pascal

property PartInSet: string;

Description

Property PartInSet represents the value of the 'Part of a set' frame. It describes which part of a set the audio came from. This frame is used if the source described by the Album property is divided into several mediums, e.g. a double CD.

The value may be extended with a "/" character and a numeric string containing the total number of parts in the set. E.g. "1/2".

Frame name:	TPOS
Frame ID:	fiPartInSet
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Album, TJvID3Text.SetSubTitle, TJvID3Text.TrackNum


TJvID3Text.PerformerSortOrder property

TJvID3Text	See Also	Edit topic

Specifies a string to be used when sorting performer names.

Pascal

property PerformerSortOrder: string;

Description

Property PerformerSortOrder represents the value of the 'Performer sort order' frame. It defines a string which should be used instead of the performer for sorting purposes.

Frame name:	TSOP
Frame ID:	fiPerformerSortOrder
Versions:	2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Band


TJvID3Text.PlaylistDelay property

TJvID3Text	See Also	Edit topic

Specifies the number of milliseconds of silence that should be inserted before this audio.

Pascal

property PlaylistDelay: Cardinal;

Description

Property PlaylistDelay represents the value of the 'Playlist delay' frame. It defines the numbers of milliseconds of silence that should be inserted before this audio. The value zero indicates that this is a part of a multifile audio track that should be played continuously.

Frame name:	TDLY
Frame ID:	fiPlaylistDelay
Versions:	All
Implemented by:	TJvID3NumberFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.SongLen


TJvID3Text.ProducedNotice property

TJvID3Text	See Also	Edit topic

Specifies the production copyright holder of the original sound.

Pascal

property ProducedNotice: string;

Description

Property ProducedNotice represents the value of the 'Produced notice' frame. It is intended for the production copyright holder of the original sound, not the audio file itself. The absence of this frame means only that the production copyright information is unavailable or has been removed and must not be interpreted to mean that the audio is public domain.

Every time this field is displayed the field must be preceded with "Produced (P) ", where (P) is one character showing a P in a circle.

ProducedNotice must begin with a year and a space character (five characters).

Frame name:	TPRO
Frame ID:	fiProducedNotice
Versions:	2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Copyright


TJvID3Text.Publisher property

TJvID3Text	See Also	Edit topic

Specifies the name of the label or publisher.

Pascal

property Publisher: string;

Description

Property Publisher represents the value of the 'Publisher' frame. It contains the name of the label or publisher.

Frame name:	TPUB
Frame ID:	fiPublisher
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.ProducedNotice


TJvID3Text.RecordingDates property

TJvID3Text	See Also	Edit topic

Specifies the recording dates of the audio.

Pascal

property RecordingDates: string;

Description

Property RecordingDates represents the value of the 'Recording dates' frame. It is intended to be used as complement to the Year, Date and Time frames. E.g. "4th-7th June, 12th June" in combination with the Year frame.

Frame name:	TRDA
Frame ID:	fiRecordingDates
Versions:	2.2, 2.3, replaced by RecordingTime in 2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Date, TJvID3Text.RecordingTime, TJvID3Text.Time, TJvID3Text.Year


TJvID3Text.RecordingTime property

TJvID3Text	See Also	Edit topic

Specifies the time when the audio was recorded.

Pascal

property RecordingTime: TDateTime;

Description

Property RecordingTime represents the value of the 'Recording time' frame. It contains a timestamp describing when the audio was recorded.

Frame name:	TDRC
Frame ID:	fiRecordingTime
Versions:	2.4
Implemented by:	TJvID3TimestampFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.ReleaseTime


TJvID3Text.ReleaseTime property

TJvID3Text	See Also	Edit topic

Specifies the time when the audio was first released.

Pascal

property ReleaseTime: TDateTime;

Description

Property ReleaseTime represents the value of the 'Release time' frame. It contains a timestamp describing when the audio was first released.

Frame name:	TDRL
Frame ID:	fiReleaseTime
Versions:	2.4
Implemented by:	TJvID3TimestampFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.OrigReleaseTime, TJvID3Text.RecordingTime


TJvID3Text.SetSubTitle property

TJvID3Text	See Also	Edit topic

Specifies the subtitle of the part of a set this track belongs to.

Pascal

property SetSubTitle: string;

Description

Property SetSubTitle represents the value of the 'Set subtitle' frame. It is intended for the subtitle of the part of a set this track belongs to.

Frame name:	TSST
Frame ID:	fiSetSubTitle
Versions:	2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.PartInSet, TJvID3Text.SubTitle


TJvID3Text.Size property

TJvID3Text	See Also	Edit topic

Specifies the size of the audio file in bytes.

Pascal

property Size: Cardinal;

Description

Property Size represents the value of the 'Size' frame. It contains the size of the audio file in bytes, excluding the ID3v2 tag.

Frame name:	TSIZ
Frame ID:	fiSize
Versions:	2.2, 2.3
Implemented by:	TJvID3NumberFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.SongLen


TJvID3Text.SongLen property

TJvID3Text	See Also	Edit topic

Specifies the length of the audio file in milliseconds.

Pascal

property SongLen: Cardinal;

Description

Property SongLen represents the value of the 'Length' frame. It contains the length of the audio file in milliseconds.

Frame name:	TLEN
Frame ID:	fiSongLen
Versions:	All
Implemented by:	TJvID3NumberFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.PlaylistDelay, TJvID3Text.Size


TJvID3Text.SubTitle property

TJvID3Text	See Also	Edit topic

Specifies information directly related to the contests title.

Pascal

property SubTitle: string;

Description

Property SubTitle represents the value of the 'Subtitle/Description refinement' frame. It is used for information directly related to the contents title (e.g. "Op. 16" or "Performed live at Wembley").

Frame name:	TIT3
Frame ID:	fiSubTitle
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.SetSubTitle, TJvID3Text.Title


TJvID3Text.TaggingTime property

TJvID3Text	See Also	Edit topic

Specifies the time when the audio was tagged.

Pascal

property TaggingTime: TDateTime;

Description

Property TaggingTime represents the value of the 'Tagging time' frame. It contains a timestamp describing then the audio was tagged.

Frame name:	TDTG
Frame ID:	fiTaggingTime
Versions:	2.4
Implemented by:	TJvID3TimestampFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.EncodingTime


TJvID3Text.Time property

TJvID3Text	See Also	Edit topic

Specifies the time for the recording of the audio.

Pascal

property Time: string;

Description

Property Time represents the value of the 'Time' frame. It contains the time for the recording.

This field is always four characters long; format is HHMM, with HH the hours and MM the minutes.

Frame name:	TIME
Frame ID:	fiTime
Versions:	2.2, 2.3, replaced by RecordingTime in 2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Date, TJvID3Text.RecordingDates, TJvID3Text.RecordingTime, TJvID3Text.Year


TJvID3Text.Title property

TJvID3Text	See Also	Edit topic

Specifies the actual name of the audio.

Pascal

property Title: string;

Description

Property Title represents the value of the 'Title/Songname/Content description' frame. It contains the actual name of the piece (e.g. "Adagio", "Hurricane Donna").

Frame name:	TIT2
Frame ID:	fiTitle
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.ContentGroup, TJvID3Text.SubTitle, TJvID3Text.TitleSortOrder


TJvID3Text.TitleSortOrder property

TJvID3Text	See Also	Edit topic

Specifies a string to be used when sorting title names.

Pascal

property TitleSortOrder: string;

Description

Property TitleSortOrder represents the value of the 'Title sort order' frame. It defines a string which should be used instead of the title for sorting purposes.
Frame name:	TSOT
Frame ID:	fiTitleSortOrder
Versions:	2.4
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Title


TJvID3Text.TrackNum property

TJvID3Text	See Also	Edit topic

Specifies the order number of the audio file on its original recording.

Pascal

property TrackNum: string;

Description

Property TrackNum represents the value of the 'Track number/Position in set' frame. It contains the order number of the audio file on its original recording. This may be extended with a "/" character and a numeric string containing the total number of tracks/elements on the original recording. E.g. "4/9".

Frame name:	TRCK
Frame ID:	fiTrackNum
Versions:	All
Implemented by:	TJvID3TextFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Album, TJvID3Text.PartInSet


TJvID3Text.Year property

TJvID3Text	See Also	Edit topic

Specifies the year of the recording of the audio.

Pascal

property Year: Cardinal;

Description

Property Year represents the value of the 'Year' frame. It contains the year of the recording.

This frames is always four characters long.

Frame name:	TYER
Frame ID:	fiYear
Versions:	2.2, 2.3, replaced by RecordingTime in 2.4
Implemented by:	TJvID3NumberFrame
Created with Doc-O-Matic.


See Also

TJvID3Text.Date, TJvID3Text.RecordingDates, TJvID3Text.RecordingTime, TJvID3Text.Time


TJvID3TextFrame
JEDI-VCL Reference

TJvID3TextFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a text information frame in a tag.

Pascal

TJvID3TextFrame = class(TJvID3CustomTextFrame);

File

JvID3v2Base

Description

The text information frames are the most important frames, containing information like artist, album and more. There may only be one text information frame of its kind in a tag.

Use the Text or TextW property to specify the value of the frame, for example:

 { Sets the value of the Album frame  }

  with TJvID3TextFrame.FindOrCreate(MyTagController, fiAlbum) do

  begin

    Encoding := ienUTF_16;

    TextW := 'The White Album';

  end;

There may only be one text information frame of its kind in a tag.

The following frame identifiers are supported by TJvID3TextFrame.

Frame ID, name	Description
fiAlbum - TALB	The 'Album/Movie/Show title' frame is intended for the title of the recording (or source of sound) from which the audio in the file is taken.
fiAlbumSortOrder - TSOA	The 'Album sort order' frame defines a string which should be used instead of the album name (fiAlbum) for sorting purposes. E.g. an album named "A Soundtrack" might preferably be sorted as "Soundtrack". (Only in v2.4.0 tags)
fiBand - TPE2	The 'Band/Orchestra/Accompaniment' frame is used for additional information about the performers in the recording.
fiConductor - TPE3	The 'Conductor' frame is used for the name of the conductor.
fiContentGroup - TIT1	The 'Content group description' frame is used if the sound belongs to a larger category of sounds/music. For example, classical music is often sorted in different musical sections (e.g. "Piano Concerto", "Weather - Hurricane").
fiContentType - TCON
fiCopyright - TCOP	The 'Copyright message' frame is intended for the copyright holder of the original sound, not the audio file itself.
fiDate - TDAT	The 'Date' frame contains the the date for the recording. (Not in v2.4.0 tags)
fiEncodedBy - TENC	The 'Encoded by' frame contains the name of the person or organization that encoded the audio file.
fiEncoderSettings - TSSE	The 'Software/Hardware and settings used for encoding' frame includes the used audio encoder and its settings when the file was encoded. Hardware refers to hardware encoders, not the computer on which a program was run.
fiFileOwner - TOWN	The 'File owner/licensee' frame contains the name of the owner or licensee of the file and its contents.
fiFileType - TFLT	The 'File type' frame indicates which type of audio this tag defines.
fiISRC - TSRC	The 'ISRC' frame should contain the International Standard Recording Code (12 characters).
fiInitialKey - TKEY	The 'Initial key' frame contains the musical key in which the sound starts.
fiMediaType - TMED	The 'Media type' frame describes from which media the sound originated.
fiMixArtist - TPE4	The 'Interpreted, remixed, or otherwise modified by' frame contains more information about the people behind a remix and similar interpretations of another existing piece.
fiMood - TMOO	The 'Mood' frame is intended to reflect the mood of the audio with a few keywords, e.g. "Romantic" or "Sad". (Only in v2.4.0 tags)
fiNetRadioOwner - TRSO	The 'Internet radio station owner' frame contains the name of the owner of the internet radio station from which the audio is streamed.
fiNetRadioStation - TRSN	The 'Internet radio station name' frame contains the name of the internet radio station from which the audio is streamed.
fiOrigAlbum - TOAL	The 'Original album/movie/show title' frame is intended for the title of the original recording (or source of sound), if for example the music in the file should be a cover of a previously released song.
fiOrigFileName - TOFN	The 'Original filename' frame contains the preferred filename for the file, since some media doesn't allow the desired length of the filename.
fiPartInSet - TPOS	The 'Part of a set' frame is a numeric string that describes which part of a set the audio came from. This frame is used if the source described in the fiAlbum frame is divided into several mediums, e.g. a double CD. The value MAY be extended with a "/" character and a numeric string containing the total number of parts in the set. E.g. "1/2".
fiPerformerSortOrder - TSOP	The 'Performer sort order' frame defines a string which should be used instead of the performer (TPE2) for sorting purposes. (Only in v2.4.0 tags)
fiProducedNotice - TPRO	The 'Produced notice' frame is intended for the production copyright holder of the original sound, not the audio file itself. (Only in v2.4.0 tags)
fiPublisher - TPUB	The 'Publisher' frame simply contains the name of the label or publisher.
fiRecordingDates - TRDA	The 'Recording dates' frame contains the recording dates, E.g. "4th-7th June, 12th June" in combination with the fiYear frame. (Not in v2.4.0 tags)
fiSetSubTitle - TSST	The 'Set subtitle' frame is intended for the subtitle of the part of a set this track belongs to. (Only in v2.4.0 tags)
fiSubTitle - TIT3	The 'Subtitle/Description refinement' frame is used for information directly related to the contents title (e.g. "Op. 16" or "Performed live at Wembley").
fiTime - TIME	The 'Time' frame contains the time for the recording. (Not in v2.4.0 tags)
fiTitle - TIT2	The 'Title/Songname/Content description' frame is the actual name of the piece (e.g. "Adagio", "Hurricane Donna").
fiTitleSortOrder - TSOT	The 'Title sort order' frame defines a string which should be used instead of the title (TIT2) for sorting purposes. (Only in v2.4.0 tags)
fiTrackNum - TRCK	The 'Track number/Position in set' frame is a numeric string containing the order number of the audio file on its original recording. This MAY be extended with a "/" character and a numeric string containing the total number of tracks/elements on the original recording. E.g. "4/9".
Created with Doc-O-Matic.


TJvID3TextFrame Properties

TJvID3TextFrame	Legend

Properties

 Text

 TextW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3TextFrame Methods

TJvID3TextFrame	Legend

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3TextFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3CustomTextFrame
            TJvID3TextFrame


TJvID3TextFrame Members

TJvID3TextFrame	Legend

Members

Properties

 Text

 TextW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3NumberFrame, TJvID3TimestampFrame


TJvID3TextFrame.Text property

TJvID3TextFrame	See Also	Edit topic

Specifies the text for the frame.

Pascal

property Text: string;
property TextW: WideString;

Description

Use Text or TextW to specify text for the frame.

Use Encoding to specify whether to use Text or TextW.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding


TJvID3TextFrame.CheckFrame method

TJvID3TextFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3TextFrame.Find method

TJvID3TextFrame	See Also	Edit topic

Returns a TJvID3TextFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3TextFrame;

Return Value

Returns a TJvID3TextFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a text information frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3TextFrame.FindOrCreate


TJvID3TextFrame.FindOrCreate method

TJvID3TextFrame	See Also	Edit topic

Returns a TJvID3TextFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3TextFrame;

Return Value

Returns a TJvID3TextFrame frame with the specified frame identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a text information frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3TextFrame.Find


TJvID3TimestampFrame
JEDI-VCL Reference

TJvID3TimestampFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a timestamp text information frame in a tag.

Pascal

TJvID3TimestampFrame = class(TJvID3CustomTextFrame);

File

JvID3v2Base

Description

The text information frames are the most important frames, containing information like artist, album and more. There may only be one text information frame of its kind in a tag.

Use the Value property to specify the timestamp value of the frame, for example:

 { Sets the encoding time frame to the current time }

  TJvID3TextFrame.FindOrCreate(MyTagController, fiEncodingTime).Value := Now;

There may only be one text information frame of its kind in a tag. All the TJvID3TimestampFrame's are only valid in version 2.4.0 tags.

The following frame identifiers are supported by TJvID3TimestampFrame.

Frame ID, name	Description
fiEncodingTime - TDEN	The 'Encoding time' frame contains a timestamp describing when the audio was encoded.
fiOrigReleaseTime - TDOR	The 'Original release time' frame contains a timestamp describing when the original recording of the audio was released.
fiRecordingTime - TDRC	The 'Recording time' frame contains a timestamp describing when the audio was recorded.
fiReleaseTime - TDRL	The 'Release time' frame contains a timestamp describing when the audio was first released.
fiTaggingTime - TDTG	The 'Tagging time' frame contains a timestamp describing then the audio was tagged.
Created with Doc-O-Matic.


TJvID3TimestampFrame Properties

TJvID3TimestampFrame	Legend

Properties

 Value

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3TimestampFrame Methods

TJvID3TimestampFrame	Legend

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3TimestampFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3CustomTextFrame
            TJvID3TimestampFrame


TJvID3TimestampFrame Members

TJvID3TimestampFrame	Legend

Members

Properties

 Value

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CheckFrame

Find

FindOrCreate

TJvID3CustomTextFrame

 CanAddFrame

 Clear

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3NumberFrame, TJvID3TextFrame


TJvID3TimestampFrame.Value property

TJvID3TimestampFrame	Edit topic

Specifies the timestamp value.

Pascal

property Value: TDateTime;

Description

Use Value to specify a TDateTime value for the timestamp field in the timestamp text information frame.

Created with Doc-O-Matic.


TJvID3TimestampFrame.CheckFrame method

TJvID3TimestampFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3TimestampFrame.Find method

TJvID3TimestampFrame	See Also	Edit topic

Returns a TJvID3TimestampFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3TimestampFrame;

Return Value

Returns a TJvID3TimestampFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a timestamp text information frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3TimestampFrame.FindOrCreate


TJvID3TimestampFrame.FindOrCreate method

TJvID3TimestampFrame	See Also	Edit topic

Returns a TJvID3TimestampFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3TimestampFrame;

Return Value

Returns a TJvID3TimestampFrame frame with the specified frame identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a timestamp text information frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3TimestampFrame.Find


TJvID3UDText
JEDI-VCL Reference

TJvID3UDText

Hierarchy	Properties	Methods	 See Also	Edit topic

Contains the data of user defined text information frames.

Pascal

TJvID3UDText = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3Text object contains the data of user defined text information frames in an ID3 v2 tag.

These frames are intended for one-string text information concerning the audio file in a similar way to the other text frames.

Frame name:	TXXX
Frame ID:	fiUserText
Versions:	All
Implemented by:	TJvID3UserFrame
Created with Doc-O-Matic.


TJvID3UDText Properties

TJvID3UDText	Legend

Properties

 Description

 ItemCount

 ItemIndex

 Value

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3UDText Methods

TJvID3UDText

Methods

Add

Created with Doc-O-Matic.


Legend

TJvID3UDText

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3UDText


TJvID3UDText Members

TJvID3UDText	Legend

Members

Properties

 Description

 ItemCount

 ItemIndex

 Value

Methods

Add

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvID3UserFrame


TJvID3UDText.Description property

TJvID3UDText	See Also	Edit topic

Specifies a description for the information text.

Pascal

property Description: string;

Description

Use Description to specify the description field in the user defined text information frame.

Created with Doc-O-Matic.


See Also

TJvID3UDText.Value


TJvID3UDText.ItemCount property

TJvID3UDText	See Also	Edit topic

Indicates the number of user defined text information frames in the ID3 v2 tag.

Pascal

property ItemCount: Integer;

Description

Read ItemCount to determine the number of user defined text information frames in the ID3 v2 tag. Use ItemCount as an upper limit when iterating over the frames.

Created with Doc-O-Matic.


See Also

TJvID3UDText.Add, TJvID3UDText.ItemIndex


TJvID3UDText.ItemIndex property

TJvID3UDText	See Also	Edit topic

Specifies the index of the current frame.

Pascal

property ItemIndex: Integer;

Description

Read ItemIndex to determine which item is selected. The first item in the list has index 0, the second item has index 1, and so on. If no item is selected, the value of ItemIndex is -1.

Set ItemIndex programmatically to select a frame by passing in the index value.

Created with Doc-O-Matic.


See Also

TJvID3UDText.ItemCount


TJvID3UDText.Value property

TJvID3UDText	See Also	Edit topic

Specifies the information text.

Pascal

property Value: string;

Description

Use Value to specify the information text field in the user defined text information frame.

Created with Doc-O-Matic.


See Also

TJvID3UDText.Description


TJvID3UDText.Add method

TJvID3UDText	See Also	Edit topic

Adds a user defined text information frame to the ID3 v2 tag.

Pascal

procedure Add(const ADescription: string; const AValue: string);

Parameters

const ADescription: string

Description for the information text.

const AValue: string

The information text.

Description

Call Add to add a user defined text information frame to the ID3 v2 tag.

Created with Doc-O-Matic.


See Also

TJvID3UDText.ItemCount


TJvID3UDUrl
JEDI-VCL Reference

TJvID3UDUrl

Hierarchy	Properties	Methods	 Edit topic

Contains the data of user defined URL link frames.

Pascal

TJvID3UDUrl = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3UDUrl object contains the data of user defined URL link frames in an ID3 v2 tag.

These frames are intended for URL links concerning the audio file in a similar way to the other "W"-frames. A single frame consists of a description of the string and the actual URL.

Frame name:	WXXX
Frame ID:	fiWWWUser
Versions:	All
Implemented by:	TJvID3URLUserFrame
Created with Doc-O-Matic.


TJvID3UDUrl Properties

TJvID3UDUrl	Legend

Properties

 Description

 ItemCount

 ItemIndex

 URL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3UDUrl Methods

TJvID3UDUrl

Methods

Add

Created with Doc-O-Matic.


Legend

TJvID3UDUrl

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3UDUrl


TJvID3UDUrl Members

TJvID3UDUrl	Legend

Members

Properties

 Description

 ItemCount

 ItemIndex

 URL

Methods

Add

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3UDUrl.Description property

TJvID3UDUrl	See Also	Edit topic

Specifies a description for the URL.

Pascal

property Description: string;

Description

Use Description to specify a string for the description field in the user defined URL link frame.

Created with Doc-O-Matic.


See Also

TJvID3UDUrl.URL


TJvID3UDUrl.ItemCount property

TJvID3UDUrl	See Also	Edit topic

Indicates the number of user defined URL link frames in the ID3 v2 tag.

Pascal

property ItemCount: Integer;

Description

Read ItemCount to determine the number of user defined URL link frames in the ID3 v2 tag. Use ItemCount as an upper limit when iterating over the frames.

Created with Doc-O-Matic.


See Also

TJvID3UDUrl.Add, TJvID3UDUrl.ItemIndex


TJvID3UDUrl.ItemIndex property

TJvID3UDUrl	See Also	Edit topic

Specifies the index of the current frame.

Pascal

property ItemIndex: Integer;

Description

Read ItemIndex to determine which item is selected. The first item in the list has index 0, the second item has index 1, and so on. If no item is selected, the value of ItemIndex is -1.

Set ItemIndex programmatically to select a frame by passing in the index value.

Created with Doc-O-Matic.


See Also

TJvID3UDUrl.ItemCount


TJvID3UDUrl.URL property

TJvID3UDUrl	See Also	Edit topic

Specifies the URL.

Pascal

property URL: string;

Description

Use URL to specify a string for the URL field in the user defined URL link frame.

A URL may be relative, e.g. "picture.png", "../doc.txt".

Created with Doc-O-Matic.


See Also

TJvID3UDUrl.Description


TJvID3UDUrl.Add method

TJvID3UDUrl	See Also	Edit topic

Adds a user defined URL link frame to the ID3 v2 tag.

Pascal

procedure Add(const ADescription: string; const AURL: string);

Parameters

const ADescription: string

Description for the URL.

const AURL: string

The URL.

Description

Call Add to add a user defined URL link frame to the ID3 v2 tag.

Created with Doc-O-Matic.


See Also

TJvID3UDUrl.ItemCount


TJvID3URLFrame
JEDI-VCL Reference

TJvID3URLFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a URL link frame in a tag.

Pascal

TJvID3URLFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

Use TJvID3URLFrame to represent a URL link frame in a tag.

With these frames dynamic data such as webpages with touring information, price information or plain ordinary news can be added to the tag. There may only be one URL link frame of its kind in a tag, except when stated otherwise in the frame description.

All URL link frame names begins with "W". Only URL link frame names begins with "W".

Use the URL property to specify the URL link of the frame, for example:

  { Sets the official artist web page frame }

  TJvID3TextFrame.FindOrCreate(MyTagController, fiWWWArtist).Value := 'http://www.paulvandyk.de';

There may only be one text information frame of its kind in a tag.

The following frame identifiers are supported by TJvID3URLFrame.

Frame ID, name	Description
fiWWWArtist - WOAR	The 'Official artist/performer web page' frame is a URL pointing at the artists official web page. There may be more than one "WOAR" frame in a tag if the audio contains more than one performer, but not with the same content.
fiWWWAudioFile - WOAF	The 'Official audio file web page' frame is a URL pointing at a file specific web page.
fiWWWAudioSource - WOAS	The 'Official audio source web page' frame is a URL pointing at the official web page for the source of the audio file, e.g. a movie.
fiWWWCommercialInfo - WCOM	The 'Commercial information' frame is a URL pointing at a web page with information such as where the album can be bought.
fiWWWCopyright - WCOP	The 'Copyright/Legal information' frame is a URL pointing at a web page where the terms of use and ownership of the file is described.
fiWWWPayment - WPAY	The 'Payment' frame is a URL pointing at a web page that will handle the process of paying for this file.
fiWWWPublisher - WPUB	The 'Publishers official web page' frame is a URL pointing at the official web page for the publisher.
fiWWWRadioPage - WORS	The 'Official internet radio station homepage' contains a URL pointing at the homepage of the internet radio station.
Created with Doc-O-Matic.


TJvID3URLFrame Properties

TJvID3URLFrame	Legend

Properties

 URL

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3URLFrame Methods

TJvID3URLFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3URLFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3URLFrame


TJvID3URLFrame Members

TJvID3URLFrame	Legend

Members

Properties

 URL

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3URLUserFrame


TJvID3URLFrame.URL property

TJvID3URLFrame	Edit topic

Specifies the URL.

Pascal

property URL: string;

Description

Use URL to specify a URL for the frame.

Created with Doc-O-Matic.


TJvID3URLFrame.CanAddFrame method

TJvID3URLFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3URLFrame.CheckFrame method

TJvID3URLFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3URLFrame.Clear method

TJvID3URLFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3URLFrame.Find method

TJvID3URLFrame	See Also	Edit topic

Returns a TJvID3URLFrame frame with a specific frame identifier.

Pascal

class function Find(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3URLFrame;

Return Value

Returns a TJvID3URLFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call Find to search in an ID3 tag for a URL link frame with a specific frame identifier and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3URLFrame.FindOrCreate


TJvID3URLFrame.FindOrCreate method

TJvID3URLFrame	See Also	Edit topic

Returns a TJvID3URLFrame frame with a specific frame identifier.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const AFrameID: TJvID3FrameID): TJvID3URLFrame;

Return Value

Returns a TJvID3URLFrame frame with the specified frame identifier, that was found in the ID3 tag, or

when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const AFrameID: TJvID3FrameID

The frame identifier to search for.

Description

Call FindOrCreate to search in an ID3 tag for a URL link frame with a specific frame identifier. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3URLFrame.Find


TJvID3URLUserFrame
JEDI-VCL Reference

TJvID3URLUserFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a user defined URL link frame in a tag.

Pascal

TJvID3URLUserFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

Use TJvID3URLUserFrame to represent a user defined URL link frame in a tag. Such a frame has frame identifier fiWWWUser ("WXXX").

This frame is intended for URL links concerning the audio file in a similar way to the other "W"-frames. The frame consists of a description of the string and the actual URL.

There may be more than one user defined URL link frame in each tag, but only one with the same description.

Created with Doc-O-Matic.


TJvID3URLUserFrame Properties

TJvID3URLUserFrame	Legend

Properties

 Description

 DescriptionW

 URL

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3URLUserFrame Methods

TJvID3URLUserFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3URLUserFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3URLUserFrame


TJvID3URLUserFrame Members

TJvID3URLUserFrame	Legend

Members

Properties

 Description

 DescriptionW

 URL

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3URLFrame, TJvID3UserFrame


TJvID3URLUserFrame.Description property

TJvID3URLUserFrame	See Also	Edit topic

Specifies a description for the URL.

Pascal

property Description: string;
property DescriptionW: WideString;

Description

Use Description or DescriptionW to specify a string for the description field in the user defined URL link frame.

Use Encoding to specify whether to use Description or DescriptionW.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding, TJvID3URLUserFrame.URL


TJvID3URLUserFrame.URL property

TJvID3URLUserFrame	See Also	Edit topic

Specifies the URL.

Pascal

property URL: string;

Description

Use URL to specify a string for the URL field in the user defined URL link frame.

An URLs may be relative, e.g. "picture.png", "../doc.txt".

Created with Doc-O-Matic.


See Also

TJvID3URLUserFrame.Description


TJvID3URLUserFrame.CanAddFrame method

TJvID3URLUserFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3URLUserFrame.CheckFrame method

TJvID3URLUserFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3URLUserFrame.Clear method

TJvID3URLUserFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3URLUserFrame.Find method

TJvID3URLUserFrame	See Also	Edit topic

Returns a TJvID3URLUserFrame frame with an index.

Pascal

class function Find(AController: TJvID3Controller; const Index: Integer): TJvID3URLUserFrame;

Return Value

Returns a TJvID3URLUserFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const Index: Integer

Specifies the index of the user defined URL link frame. Specifying 0 for Index searches for the first user defined URL link frame in the tag, specifying 1 for the second, etc.

Description

Call Find to search in an ID3 tag for a user defined URL link frame with a specific index and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3URLUserFrame.FindOrCreate


TJvID3URLUserFrame.FindOrCreate method

TJvID3URLUserFrame	See Also	Edit topic

Returns a TJvID3URLUserFrame frame with an index.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const Index: Integer): TJvID3URLUserFrame;

Return Value

Returns a TJvID3URLUserFrame frame with the specified owner identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const Index: Integer

Specifies the index of the user defined URL link frame. Specifying 0 for Index searches for the first user defined URL link frame in the tag, specifying 1 for the second, etc.

Description

Call FindOrCreate to search in an ID3 tag for a user defined URL link frame with a specific index. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3URLUserFrame.Find


TJvID3UserFrame
JEDI-VCL Reference

TJvID3UserFrame

Hierarchy	Properties	Methods	 See Also	Edit topic

Represents a user defined text information frame in a tag.

Pascal

TJvID3UserFrame = class(TJvID3Frame);

File

JvID3v2Base

Description

Use TJvID3UserFrame to represent a user defined text information frame in a tag. Such a frame has frame identifier fiUserText ("TXXX").

This frame is intended for one-string text information concerning the audio file in a similar way to the other text frames.

There may be more than one fiUserText frame in each tag, but only one with the same description.

Created with Doc-O-Matic.


TJvID3UserFrame Properties

TJvID3UserFrame	Legend

Properties

 Description

 DescriptionW

 Value

 ValueW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3UserFrame Methods

TJvID3UserFrame	Legend

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvID3UserFrame

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvID3Frame
        TJvID3UserFrame


TJvID3UserFrame Members

TJvID3UserFrame	Legend

Members

Properties

 Description

 DescriptionW

 Value

 ValueW

TJvID3Frame

Controller

 Encoding

 EncryptionID

 Flags

 FrameID

 FrameName

 FrameSize

 GroupID

 Index

 IsEmpty

 Stream

Methods

 CanAddFrame

 CheckFrame

 Clear

Find

FindOrCreate

TJvID3Frame

 CanAddFrame

 CheckFrame

 Clear

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvID3TextFrame


TJvID3UserFrame.Description property

TJvID3UserFrame	See Also	Edit topic

Specifies a description for the information text.

Pascal

property Description: string;
property DescriptionW: WideString;

Description

Use Description to specify the description field in the user defined text information frame.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding, TJvID3UserFrame.Value


TJvID3UserFrame.Value property

TJvID3UserFrame	See Also	Edit topic

Specifies the information text.

Pascal

property Value: string;
property ValueW: WideString;

Description

Use Value to specify the information text field in the user defined text information frame.

Created with Doc-O-Matic.


See Also

TJvID3Frame.Encoding, TJvID3UserFrame.Description


TJvID3UserFrame.CanAddFrame method

TJvID3UserFrame	See Also	Edit topic

Returns whether a frame with a specific frame identifier can be added to the tag.

Pascal

class function CanAddFrame(AController: TJvID3Controller; AFrameID: TJvID3FrameID): Boolean; override;

Return Value

Returns true if a frame with a frame identifier as specified by AFrameID can be added to the tag. Returns false otherwise.

Parameters

AController

The tag controller that holds an ID3 v2 tag where to add the frame.

AFrameID

The frame identifier of the frame.

Description

Call CanAddFrame to check whether a frame with a frame identifier as specified by parameter AFrameID can be added to the tag controlled by the tag controller.

Certain frames may only appear once in a tag regardless of its value. For example, there may only be one fiAlbum frame in a tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Frames


TJvID3UserFrame.CheckFrame method

TJvID3UserFrame	See Also	Edit topic

Indicates whether the value(s) of the frame are valid.

Pascal

function CheckFrame(const HandleError: TJvID3HandleError): Boolean; override;

Return Value

The return value of CheckFrame depends on the value of HandleError:

HandleError	Return value
heAutoCorrect	Always returns true.
heRaise	Raises an error when the frame is invalid, otherwise returns true.
heBoolean	Returns false when the frame is invalid, otherwise returns true.
Parameters

HandleError

Specifies how to handle errors.

Description

CheckFrame is used by a tag controller, to check whether the value(s) of the frames in the tag are valid.

When HandleError is set to heAutoCorrect, then CheckFrame will auto correct invalid frames.

Created with Doc-O-Matic.


See Also

TJvID3Frames.ChangeToVersion


TJvID3UserFrame.Clear method

TJvID3UserFrame	See Also	Edit topic

Clears the values of the frame.

Pascal

procedure Clear; override;

Description

Call the Clear method to give the frame a blank value.

Created with Doc-O-Matic.


See Also

TJvID3Frame.IsEmpty


TJvID3UserFrame.Find method

TJvID3UserFrame	See Also	Edit topic

Returns a TJvID3UserFrame frame with a specific index.

Pascal

class function Find(AController: TJvID3Controller; const Index: Integer): TJvID3UserFrame;

Return Value

Returns a TJvID3UserFrame frame, if there is such a frame in the tag controlled by the tag controller specified by the AController parameter. Otherwise returns nil.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const Index: Integer

Specifies the index of the user defined text frame. Specifying 0 for Index searches for the first user defined text frame in the tag, specifying 1 for the second, etc.

Description

Call Find to search in an ID3 tag for a user defined text information frame with a specific index and determine if it exists. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3UserFrame.FindOrCreate


TJvID3UserFrame.FindOrCreate method

TJvID3UserFrame	See Also	Edit topic

Returns a TJvID3UserFrame frame with a specific index.

Pascal

class function FindOrCreate(AController: TJvID3Controller; const Index: Integer): TJvID3UserFrame;

Return Value

Returns a TJvID3UserFrame frame with the specified owner identifier, that was found in the ID3 tag, or - when no such frame was found - a newly created frame.

Parameters

AController: TJvID3Controller

Specifies the tag controller that holds an ID3 v2 tag where in to search.

const Index: Integer

Specifies the index of the user defined text frame. Specifying 0 for Index searches for the first user text link frame in the tag, specifying 1 for the second, etc.

Description

Call FindOrCreate to search in an ID3 tag for a user defined text information frame with a specific index. If there is no such frame then one is created. The tag controller specified by AController must be active - Do this by setting Active to true or calling Open.

Created with Doc-O-Matic.


See Also

TJvID3UserFrame.Find


TJvID3v1
JEDI-VCL Reference

 TJvID3v1

Hierarchy	Properties	Methods	Package	 Edit topic

Gives access to a file's ID3v1 tag.

Pascal

TJvID3v1 = class(TJvComponent);

File

JvId3v1

Description

Use the TJvID3v1 component to read, alter or remove the ID3v1 tag of a file.

To read a tag, set FileName to a name of a file, then set Active to true. Now the properties - such as Album, Artist - of the component give access to the fields of the ID3v1 tag of the file.

If the file does not have an ID3v1 tag, then HasTag returns false.

After reading and setting these properties, you can call Commit to write the altered tag data to the file. If the file did not have a tag, one is created.

Alternatively, to remove a file's ID3v1 tag, set FileName to a name of file and call Erase. You don't have to set Active to true.

Created with Doc-O-Matic.


TJvID3v1 Properties

TJvID3v1	Legend

Properties

 Active

 Album

 AlbumTrack

 Artist

 Comment

 FileName

 Genre

 GenreAsString

 HasTag

 SongName

 Year

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvID3v1 Methods

TJvID3v1

Methods

Close

Commit

Erase

Open

Refresh

Created with Doc-O-Matic.


Legend

TJvID3v1

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvID3v1


TJvID3v1 Members

TJvID3v1	Legend

Members

Properties

 Active

 Album

 AlbumTrack

 Artist

 Comment

 FileName

 Genre

 GenreAsString

 HasTag

 SongName

 Year

TJvComponent

 AboutJVCL

Methods

Close

Commit

Erase

Open

Refresh

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

MM


TJvID3v1.Active property

TJvID3v1	See Also	Edit topic

Specifies whether or not the ID3v1 component is open.

Pascal

property Active: Boolean;

Description

Use Active to determine or set whether the component is populated with data from the ID3v1 tag. When Active is false, the component cannot read or write data from or to the tag.

When Active is set to true, the component reads the tag from the file specified by FileName.

Created with Doc-O-Matic.


See Also

ReadID3v1Tag


TJvID3v1.Album property

TJvID3v1	See Also	Edit topic

Specifies the album where the MP3 comes from.

Pascal

property Album: string;

Description

Use Album to specify the album where the MP3 comes from. Maximal length of the string is 30.

Before reading or setting Album, you must set Active to true.

Created with Doc-O-Matic.


See Also

TJvID3v1.AlbumTrack, TJvID3v1.Artist, TJvID3v1.Comment, TJvID3v1.Genre, TJvID3v1.SongName, TJvID3v1.Year


TJvID3v1.AlbumTrack property

TJvID3v1	See Also	Edit topic

Specifies the tracknumber of the MP3.

Pascal

property AlbumTrack: Byte;

Description

Use AlbumTrack to specify the tracknumber of the MP3.

In ID3v1.1, Michael Mutschler revised the specification of the comment field in order to implement the track number. The new length of the comment field is 28 character, thus making room to store a track number in the tag.

If you specify a string for Comment of length 29 or 30, AlbumTrack is ignored.

Before reading or setting AlbumTrack, you must set Active to true.

Created with Doc-O-Matic.


See Also

TJvID3v1.Album, TJvID3v1.Artist, TJvID3v1.Comment, TJvID3v1.Genre, TJvID3v1.SongName, TJvID3v1.Year


TJvID3v1.Artist property

TJvID3v1	See Also	Edit topic

Specifies the artist of the MP3

Pascal

property Artist: string;

Description

Use Artist to specify the artist of the MP3. Maximal length of the string is 30.

Before reading or setting Artist, you must set Active to true.

Created with Doc-O-Matic.


See Also

TJvID3v1.Album, TJvID3v1.AlbumTrack, TJvID3v1.Comment, TJvID3v1.Genre, TJvID3v1.SongName, TJvID3v1.Year


TJvID3v1.Comment property

TJvID3v1	See Also	Edit topic

Specifies a comment for the MP3.

Pascal

property Comment: string;

Description

Use Comment to specify a comment for the MP3. Maximal length of the string is 30.

In ID3v1.1, Michael Mutschler revised the specification of the comment field in order to implement the track number. The new length of the comment field is 28 character, thus making room to store a track number in the tag.

If you specify a string for Comment of length 29 or 30, AlbumTrack is ignored.

Before reading or setting Comment, you must set Active to true.

Created with Doc-O-Matic.


See Also

TJvID3v1.Album, TJvID3v1.AlbumTrack, TJvID3v1.Artist, TJvID3v1.Genre, TJvID3v1.SongName, TJvID3v1.Year


TJvID3v1.FileName property

TJvID3v1	See Also	Edit topic

Specifies the file containing an ID3v1 tag.

Pascal

property FileName: TFileName;

Description

FileName specifies the file:

From which the tag must be read when Active is set to true.

From which the tag will be altered if you call Commit.

From which the tag will be removed if you call Erase.

Created with Doc-O-Matic.


See Also

TJvID3v1.Active, TJvID3v1.Close, TJvID3v1.Erase, TJvID3v1.HasTag, TJvID3v1.Open


TJvID3v1.Genre property

TJvID3v1	See Also	Edit topic

Specifies the offset of a genre in a predefined list.

Pascal

property Genre: Byte;

Description

Use Genre to specify the offset of a genre. You can call ID3_Genres to retrieve all valid genre strings.

Before reading or setting Genre, you must set Active to true.

Created with Doc-O-Matic.


See Also

ID3_Genres


TJvID3v1.GenreAsString property

TJvID3v1	See Also	Edit topic

Specifies the genre as string for the MP3.

Pascal

property GenreAsString: string;

Description

Use GenreAsString to specify a genre as string for the MP3. The string must be from the predefined list. You can call ID3_Genres to retrieve all valid genre strings.

Before reading or setting GenreAsString, you must set Active to true.

Created with Doc-O-Matic.


See Also

ID3_Genres


TJvID3v1.HasTag property

TJvID3v1	See Also	Edit topic

Indicates whether the MP3 file has an ID3v1 tag.

Pascal

property HasTag: Boolean;

Description

Read HasTag to determine whether the MP3 file specified by FileName has an ID3v1 tag.

Created with Doc-O-Matic.


See Also

HasID3v1Tag


TJvID3v1.SongName property

TJvID3v1	See Also	Edit topic

Specifies the title of the MP3.

Pascal

property SongName: string;

Description

Use SongName to specify the title of the MP3. Maximal length of the string is 30.

Before reading or setting SongName, you must set Active to true.

Created with Doc-O-Matic.


See Also

TJvID3v1.Album, TJvID3v1.AlbumTrack, TJvID3v1.Artist, TJvID3v1.Comment, TJvID3v1.Genre, TJvID3v1.Year


TJvID3v1.Year property

TJvID3v1	See Also	Edit topic

Specifies the year when this song has originally been released.

Pascal

property Year: string;

Description

Use Year to specify the year when this song has originally been released. Maximal length of the string is 4.

Before reading or setting Year, you must set Active to true.

Created with Doc-O-Matic.


See Also

TJvID3v1.Album, TJvID3v1.AlbumTrack, TJvID3v1.Artist, TJvID3v1.Comment, TJvID3v1.Genre, TJvID3v1.SongName


TJvID3v1.Close method

TJvID3v1	See Also	Edit topic

Deactivates the component.

Pascal

procedure Close;

Description

Call Close to set the Active property of the component to false. When Active is false, you can not change the tag of the file and all properties that specify fields of the ID3v1 tag are reset.

Created with Doc-O-Matic.


See Also

TJvID3v1.Active, TJvID3v1.FileName, TJvID3v1.Open


TJvID3v1.Commit method

TJvID3v1	See Also	Edit topic

Writes the ID3v1 tag to the file.

Pascal

function Commit: Boolean;

Return Value

Returns true if the commit was successful, otherwise returns false.

Description

Writes the data specified by the properties - such as Album, Artist - to the tag of the file specified by FileName. If the file does not have an ID3v1 tag, a tag is created.

Active must have been set to true before calling Commit.

Created with Doc-O-Matic.


See Also

WriteID3v1Tag


TJvID3v1.Erase method

TJvID3v1	See Also	Edit topic

Removes the ID3v1 tag.

Pascal

procedure Erase;

Description

Call Erase to remove the ID3v1 tag from the file specified by FileName. You don't have to set Active to true before you call Erase.

Created with Doc-O-Matic.


See Also

RemoveID3v1Tag


TJvID3v1.Open method

TJvID3v1	See Also	Edit topic

Activates the component.

Pascal

procedure Open;

Description

Call Open to set the Active property for the component to true. When Active is true, you can change the tag by changing the values of the properties of the component that represent fields of the tag such as Album, Artist - and then call Commit.

When Active is set to true, the component reads the tag from the file specified by FileName.

Created with Doc-O-Matic.


See Also

TJvID3v1.Active, TJvID3v1.Close, TJvID3v1.FileName, TJvID3v1.HasTag


TJvID3v1.Refresh method

TJvID3v1	See Also	Edit topic

Rereads the ID3v1 tag.

Pascal

procedure Refresh;

Description

Call Refresh to reread the tag from the file specified by FileName. Active must have been set to true before calling Refresh.

Created with Doc-O-Matic.


See Also

TJvID3v1.Active, TJvID3v1.HasTag, TJvID3v1.Open


TJvID3v2
JEDI-VCL Reference

 TJvID3v2

Hierarchy	Properties	Methods	Package	 See Also	Edit topic

Gives easy access to a file's ID3 v2 tag.

Pascal

TJvID3v2 = class(TJvID3Controller);

File

JvId3v2

Description

Use the TJvID3v2 component to read, alter or remove the ID3 v2 tag of a file.

TJvID3v2 is a TJvID3Controller descendant. It introduces properties to easy access the frames in an ID3 v2 tag.

Use Active to open or close the tag controller. When Active is set to true then you can use the component's properties to alter the values of frames from the file specified by the FileName property.

For more control, use the properties and methods of TJvID3Controller to access the frames.

At design time, read, alter or remove the tag controlled by the component by right-clicking on the TJvID3v2 and using the pop-up menu.

Created with Doc-O-Matic.


TJvID3v2 Properties

TJvID3v2	Legend

Properties

ExtendedHeader

 FileInfo

Header

 Images

 InvolvedPeople

 Owner

 PlayCounter

 Popularimeter

 Texts

 UserDefinedText

 UserDefinedWeb

 Version

 Web

TJvID3Controller

 Active

 Designer

 ExtendedHeader

 FileInfo

 FileName

 FrameCount

 Frames

 Header

 Modified

 Options

 ReadEncodingAs

 ReadVersion

 ReadVersionAs

 TagSize

 Version

 WriteEncodingAs

 WriteVersion

 WriteVersionAs

TJvComponent

 AboutJVCL

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvID3v2 Methods

TJvID3v2

Methods

TJvID3Controller

AddFrame

BeginUpdate

CanAddFrame

Close

Commit

CopyFromID3v1

CopyFromID3v1Ctrl

CopyToID3v1

CopyToID3v1Ctrl

EndUpdate

EnsureExists

Erase

FindFirstFrame

FindNextFrame

GetFrameCountFor

HasFrame

Open

Created with Doc-O-Matic.


Legend

TJvID3v2

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvID3Controller
            TJvID3v2


TJvID3v2 Members

TJvID3v2	Legend

Members

Properties

ExtendedHeader

 FileInfo

Header

 Images

 InvolvedPeople

 Owner

 PlayCounter

 Popularimeter

 Texts

 UserDefinedText

 UserDefinedWeb

 Version

 Web

TJvID3Controller

 Active

 Designer

 ExtendedHeader

 FileInfo

 FileName

 FrameCount

 Frames

 Header

 Modified

 Options

 ReadEncodingAs

 ReadVersion

 ReadVersionAs

 TagSize

 Version

 WriteEncodingAs

 WriteVersion

 WriteVersionAs

TJvComponent

 AboutJVCL

Methods

TJvID3Controller

AddFrame

BeginUpdate

CanAddFrame

Close

Commit

CopyFromID3v1

CopyFromID3v1Ctrl

CopyToID3v1

CopyToID3v1Ctrl

EndUpdate

EnsureExists

Erase

FindFirstFrame

FindNextFrame

GetFrameCountFor

HasFrame

Open

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


See Also

TJvID3Controller


Package

MM


TJvID3v2.ExtendedHeader property

TJvID3v2	See Also	Edit topic

Provides access to the extended header of the tag.

Pascal

property ExtendedHeader: TJvID3ExtendedHeader;

Description

Use ExtendedHeader to access the extended header of the tag.

The information provided by ExtendedHeader is only valid if hfExtendedHeader is included in property Flags of Header.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Header


TJvID3v2.FileInfo property

TJvID3v2	See Also	Edit topic

Contains file information for the file.

Pascal

property FileInfo: TJvID3FileInfo;

Description

Use FileInfo to read file information for the file.

Created with Doc-O-Matic.


See Also

TJvID3Controller.Header


TJvID3v2.Header property

TJvID3v2	See Also	Edit topic

Provides access to the header of the tag.

Pascal

property Header: TJvID3Header;

Description

Use Header to access the header of the tag.

Created with Doc-O-Matic.


See Also

TJvID3Controller.ExtendedHeader


TJvID3v2.Images property

TJvID3v2	Edit topic

Provides easy access to the picture frames in an ID3 v2 tag.

Pascal

property Images: TJvID3Images;

Description

Use the Images property to access the picture frames in an ID3 v2 tag. Picture frames contain pictures directly related to the audio file.

Created with Doc-O-Matic.


TJvID3v2.InvolvedPeople property

TJvID3v2	Edit topic

Provides easy access to the involved people frames in an ID3 v2 tag.

Pascal

property InvolvedPeople: TJvID3Ipl;

Description

Use the InvolvedPeople property to access the involved people frames in an ID3 v2 tag.

Created with Doc-O-Matic.


TJvID3v2.Owner property

TJvID3v2	Edit topic

Provides easy access to the ownership frame in an ID3 v2 tag.

Pascal

property Owner: TJvID3Owner;

Description

Use the Owner property to access the ownership frame in an ID3 v2 tag. The ownership frame might be used as a reminder of a made transaction or, if signed, as proof.

Created with Doc-O-Matic.


TJvID3v2.PlayCounter property

TJvID3v2	See Also	Edit topic

Specifies the number of times a file has been played.

Pascal

property PlayCounter: Cardinal;

Description

Use PlayCounter to specify the number of times a file has been played.

Frame name:	PCNT
Frame ID:	fiPlayCounter
Versions:	All
Implemented by:	TJvID3PlayCounterFrame
Created with Doc-O-Matic.


See Also

TJvID3v2.Popularimeter


TJvID3v2.Popularimeter property

TJvID3v2	See Also	Edit topic

Provides easy access to the populari meter frame in an ID3 v2 tag.

Pascal

property Popularimeter: TJvID3Popularimeter;

Description

Use the Popularimeter property to access the populari meter frame in an ID3 v2 tag. The purpose of this frame is to specify how good an audio file is.

Created with Doc-O-Matic.


See Also

TJvID3v2.PlayCounter


TJvID3v2.Texts property

TJvID3v2	See Also	Edit topic

Provides easy access to the text frames in an ID3 v2 tag.

Pascal

property Texts: TJvID3Text;

Description

Use the Texts property to access the text frames in an ID3 v2 tag. The text information frames are the most important frames, containing information like artist, album and more.

Created with Doc-O-Matic.


See Also

TJvID3v2.UserDefinedText, TJvID3v2.Web


TJvID3v2.UserDefinedText property

TJvID3v2	See Also	Edit topic

Provides easy access to the user defined text frames in an ID3 v2 tag.

Pascal

property UserDefinedText: TJvID3UDText;

Description

Use the UserDefinedText property to access the user defined text frames in an ID3 v2 tag. These frame are intended for one-string text information concerning the audio file in a similar way to the other "T"-frames.

Created with Doc-O-Matic.


See Also

TJvID3v2.Texts, TJvID3v2.UserDefinedWeb


TJvID3v2.UserDefinedWeb property

TJvID3v2	See Also	Edit topic

Provides easy access to the user defined URL link frames in an ID3 v2 tag.

Pascal

property UserDefinedWeb: TJvID3UDUrl;

Description

Use the UserDefinedWeb property to access the user defined URL link frames in an ID3 v2 tag. This frame is intended for URL links concerning the audio file in a similar way to the other "W"-frames.

Created with Doc-O-Matic.


See Also

TJvID3v2.UserDefinedText, TJvID3v2.Web


TJvID3v2.Version property

TJvID3v2	See Also	Edit topic

Specifies the version of the tag.

Pascal

property Version: TJvID3Version;

Description

Use Version to determine the version of the tag or translate the tag to a specific version. Supported versions are:

ID3 tag version 2.2.0 (ive2_2).

ID3 tag version 2.3.0 (ive2_3).

ID3 tag version 2.4.0 (ive2_4).

Version 2.2.0 is obsolete, and tags should not be written as this version.

You can use the ReadVersionAs property to specify to what version the tag will be translated after the tag has been read. Use the WriteVersionAs property to specify as which version the tag will be written.

Some differences between version 2.3.0 and version 2.4.0 are:

Only version 2.4.0 supports UTF-16BE and UTF-8 encoding for frames (See TJvID3Frame.Encoding).

Version 2.4.0 tags can include a tag footer. (not implemented by TJvID3Controller).

Unsynchronisation is done on frame level in version 2.4.0, instead of on tag level.

Some frames are deprecated as of version 2.4.0, others are introduced in version 2.4.0. By changing property Version the tag controller automatically translates deprecated frames to newly introduced frames and vice versa. For example, if you change Version from ive2_4 to ive2_3, the tag controller, will remove fiInvolvedPeople2 and fiMusicianCreditList frames, and combine these into a new fiInvolvedPeople frame.

Deprecated frames as of version 2.4.0
TJvID3FrameID	Name	Implemented By	Use instead
fiDate	TDAT	TJvID3TextFrame	fiRecordingTime
fiEqualization	EQUA	-	fiEqualization2
fiInvolvedPeople	IPLS	TJvID3DoubleListFrame	fiInvolvedPeople2, fiMusicianCreditList
fiOrigYear	TORY	TJvID3NumberFrame	fiOrigReleaseTime
fiRecordingDates	TRDA	TJvID3TextFrame	fiRecordingTime
fiSize	TSIZ	TJvID3NumberFrame	-
fiTime	TIME	TJvID3TextFrame	fiRecordingTime
fiVolumeAdj	RVAD	-	fiVolumeAdj2
fiYear	TYER	TJvID3NumberFrame	fiRecordingTime

Frames introduced in version 2.4.0.
TJvID3FrameID	Name	Implemented By
fiAlbumSortOrder	TSOA	TJvID3TextFrame
fiAudioSeekPoint	ASPI	-
fiEncodingTime	TDEN	TJvID3TimestampFrame
fiEqualization2	EQU2	-
fiInvolvedPeople2	TIPL	TJvID3DoubleListFrame
fiMood	TMOO	TJvID3TextFrame
fiMusicianCreditList	TMCL	TJvID3DoubleListFrame
fiOrigReleaseTime	TDOR	TJvID3TimestampFrame
fiPerformerSortOrder	TSOP	TJvID3TextFrame
fiProducedNotice	TPRO	TJvID3TextFrame
fiRecordingTime	TDRC	TJvID3TimestampFrame
fiReleaseTime	TDRL	TJvID3TimestampFrame
fiSeekFrame	SEEK	-
fiSetSubTitle	TSST	TJvID3TextFrame
fiSignature	SIGN	-
fiTaggingTime	TDTG	TJvID3TimestampFrame
fiTitleSortOrder	TSOT	TJvID3TextFrame
fiVolumeAdj2	RVA2	-
Created with Doc-O-Matic.


See Also

TJvID3Controller.ReadVersionAs, TJvID3Controller.WriteVersionAs


TJvID3v2.Web property

TJvID3v2	See Also	Edit topic

Provides easy access to the URL link frames in an ID3 v2 tag.

Pascal

property Web: TJvID3Web;

Description

Use the Web property to access the URL link frames in an ID3 v2 tag. With these frames dynamic data such as webpages with touring information, price information or plain ordinary news can be added to the tag.

Created with Doc-O-Matic.


See Also

TJvID3v2.Texts, TJvID3v2.UserDefinedWeb


TJvID3Web
JEDI-VCL Reference

TJvID3Web

Hierarchy	Properties	 Edit topic

Contains the values of URL link frames in an ID3 v2 tag.

Pascal

TJvID3Web = class(TJvID3Persistent);

File

JvId3v2

Description

The TJvID3Web object contains the values of URL link frames in an ID3 v2 tag.

Created with Doc-O-Matic.


TJvID3Web Properties

TJvID3Web	Legend

Properties

 Artist

 AudioFile

 AudioSource

 CommercialInfo

 Copyright

 Payment

 Publisher

 RadioPage

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvID3Web

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvID3Persistent
        TJvID3Web


TJvID3Web Members

TJvID3Web	Legend

Members

Properties

 Artist

 AudioFile

 AudioSource

 CommercialInfo

 Copyright

 Payment

 Publisher

 RadioPage

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvID3Web.Artist property

TJvID3Web	Edit topic

Specifies the URL of the artists official webpage.

Pascal

property Artist: string;

Description

Property Artist represents the value of the 'Official artist/performer webpage' frame. It is a URL pointing at the artists official webpage.

Frame name:	WOAR
Frame ID:	fiWWWArtist
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvID3Web.AudioFile property

TJvID3Web	Edit topic

Specifies the URL of a file specific webpage.

Pascal

property AudioFile: string;

Description

Property AudioFile represents the value of the 'Official audio file webpage' frame. It is a URL pointing at a file specific webpage.

Frame name:	WOAF
Frame ID:	fiWWWAudioFile
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvID3Web.AudioSource property

TJvID3Web	Edit topic

Specifies the URL of the official webpage for the source of the audio file.

Pascal

property AudioSource: string;

Description

Property AudioSource represents the value of the 'Official audio source webpage' frame. It is an URL pointing at the official webpage for the source of the audio file, e.g. a movie.

Frame name:	WOAS
Frame ID:	fiWWWAudioSource
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvID3Web.CommercialInfo property

TJvID3Web	Edit topic

Specifies the URL of a webpage with commercial information about the audio.

Pascal

property CommercialInfo: string;

Description

Property CommercialInfo represents the value of the 'Commercial information' frame. It is a URL pointing at a webpage with information such as where the album can be bought.

Frame name:	WCOM
Frame ID:	fiWWWCommercialInfo
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvID3Web.Copyright property

TJvID3Web	Edit topic

Specifies the URL of a webpage where the terms of use and ownership of the file is described.

Pascal

property Copyright: string;

Description

Property Copyright represents the value of the 'Copyright/Legal information' frame. It is a URL pointing at a webpage where the terms of use and ownership of the file is described.

Frame name:	WCOP
Frame ID:	fiWWWCopyright
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvID3Web.Payment property

TJvID3Web	Edit topic

Specifies the URL of a webpage that will handle the process of paying for this file.

Pascal

property Payment: string;

Description

Property Payment represents the value of the 'Payment' frame. It is a URL pointing at a webpage that will handle the process of paying for this file.

Frame name:	WPAY
Frame ID:	fiWWWPayment
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvID3Web.Publisher property

TJvID3Web	Edit topic

Specifies the URL of the official webpage for the publisher.

Pascal

property Publisher: string;

Description

Property Publisher represents the value of the 'Publishers official webpage' frame. It is an URL pointing at the official webpage for the publisher.

Frame name:	WPUB
Frame ID:	fiWWWPublisher
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvID3Web.RadioPage property

TJvID3Web	Edit topic

Specifies the URL of the homepage of the internet radio station.

Pascal

property RadioPage: string;

Description

Property RadioPage represents the value of the 'Official Internet radio station homepage' frame. It contains a URL pointing at the homepage of the internet radio station.

Frame name:	WORS
Frame ID:	fiWWWRadioPage
Versions:	All
Implemented by:	TJvID3URLFrame
Created with Doc-O-Matic.


TJvIdentification
JEDI-VCL Reference

TJvIdentification

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvIdentification = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification Properties

TJvIdentification	Legend

Properties

 Comment

 DomainName

 HostIPAddress

 IPAddress

 LocalComputerName

 LocalUserName

 LocalWorkgroup

 RegisteredCompany

 RegisteredOwner

 UserDomainName

 VolumeFileSystem

 VolumeName

 VolumeSerialNumber

TJvWriteableInfo

 ReadOnly

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Legend

TJvIdentification

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvIdentification


TJvIdentification Members

TJvIdentification	Legend

Members

Properties

 Comment

 DomainName

 HostIPAddress

 IPAddress

 LocalComputerName

 LocalUserName

 LocalWorkgroup

 RegisteredCompany

 RegisteredOwner

 UserDomainName

 VolumeFileSystem

 VolumeName

 VolumeSerialNumber

TJvWriteableInfo

 ReadOnly

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvIdentification.Comment property

TJvIdentification	Edit topic

Not documented

Pascal

property Comment: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.DomainName property

TJvIdentification	Edit topic

Not documented

Pascal

property DomainName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.HostIPAddress property

TJvIdentification	Edit topic

Not documented

Pascal

property HostIPAddress [const HostName: string]: string;

Parameters

HostName

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.IPAddress property

TJvIdentification	Edit topic

Not documented

Pascal

property IPAddress: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.LocalComputerName property

TJvIdentification	Edit topic

Not documented

Pascal

property LocalComputerName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.LocalUserName property

TJvIdentification	Edit topic

Not documented

Pascal

property LocalUserName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.LocalWorkgroup property

TJvIdentification	Edit topic

Not documented

Pascal

property LocalWorkgroup: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.RegisteredCompany property

TJvIdentification	Edit topic

Not documented

Pascal

property RegisteredCompany: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.RegisteredOwner property

TJvIdentification	Edit topic

Not documented

Pascal

property RegisteredOwner: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.UserDomainName property

TJvIdentification	Edit topic

Not documented

Pascal

property UserDomainName [const CurUser: string]: string;

Parameters

CurUser

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.VolumeFileSystem property

TJvIdentification	Edit topic

Not documented

Pascal

property VolumeFileSystem [const Drive: string]: string;

Parameters

Drive

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.VolumeName property

TJvIdentification	Edit topic

Not documented

Pascal

property VolumeName [const Drive: string]: string;

Parameters

Drive

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvIdentification.VolumeSerialNumber property

TJvIdentification	Edit topic

Not documented

Pascal

property VolumeSerialNumber [const Drive: string]: string;

Parameters

Drive

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageComboBox
JEDI-VCL Reference

 TJvImageComboBox

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A combobox that can display images as well as items in the list.

Pascal

TJvImageComboBox = class(TJvImageComboBoxBase, IUnknown, IJvResetItemHeight);

File

JvListComb

Description

Use TJvImageComboBox when you need a combobox that can display items as well as images in the list. TJvImageComboBox derives from TCustomComboBox and exposes most of its properties and also adds the ability to display an image from an image list next to each item.

Created with Doc-O-Matic.


TJvImageComboBox Properties

TJvImageComboBox	Legend

Properties

 ButtonFrame

 ButtonStyle

 Canvas

 ColorHighlight

 ColorHighlightText

 DefaultIndent

 DroppedWidth

 FullWidthItemDraw

 ImageHeight

 Images

 ImageWidth

 IndentSelected

 Items

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvImageComboBox Events

TJvImageComboBox	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvImageComboBox Methods

TJvImageComboBox

Methods

IJvResetItemHeight

ResetItemHeight

Created with Doc-O-Matic.


Legend

TJvImageComboBox

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TJvImageComboBoxBase, IUnknown, IJvResetItemHeight
            TJvImageComboBox


TJvImageComboBox Members

TJvImageComboBox	Legend

Members

Properties

 ButtonFrame

 ButtonStyle

 Canvas

 ColorHighlight

 ColorHighlightText

 DefaultIndent

 DroppedWidth

 FullWidthItemDraw

 ImageHeight

 Images

 ImageWidth

 IndentSelected

 Items

Events

 OnChange

Methods

IJvResetItemHeight

ResetItemHeight

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Ctrls


TJvImageComboBox.ButtonFrame property

TJvImageComboBox	See Also	Edit topic

Specifies whether a button frame is drawn next to the selected item.

Pascal

property ButtonFrame: Boolean;

Description

Set ButtonFrame to true to display a frame around the image of the selected item. The visual appearance of the button frame is controlled with the ButtonStyle property.

Created with Doc-O-Matic.


See Also

TJvImageComboBox.ButtonStyle


TJvImageComboBox.ButtonStyle property

TJvImageComboBox	See Also	Edit topic

Specifies the style of the button frame.

Pascal

property ButtonStyle: TJvButtonColors;

Description

Use ButtonStyle to set the visual appearance of the button frame displayed when ButtonFrame is true.

Created with Doc-O-Matic.


See Also

TJvImageComboBox.ButtonFrame


TJvImageComboBox.Canvas property

TJvImageComboBox	See Also	Edit topic

Provides access to the canvas of the control.

Pascal

property Canvas: TCanvas;

Description

Use Canvas when you need access to the drawing surface of the control. Canvas is a read-only property but you can use the methods of TCanvas to draw on the surface.

Created with Doc-O-Matic.


See Also

TCanvas


TJvImageComboBox.ColorHighlight property

TJvImageComboBox	See Also	Edit topic

Specifies the background color for the highlighted item.

Pascal

property ColorHighlight: TColor;

Description

Use ColorHighlight to specify the color to use for highlighted items. An item is highlighted when the mouse hovers over it or when it is selected in the edit portion of the combobox.

Created with Doc-O-Matic.


See Also

TJvImageComboBox.ColorHighlightText


TJvImageComboBox.ColorHighlightText property

TJvImageComboBox	See Also	Edit topic

Specifies the text color for the highlighted item.

Pascal

property ColorHighlightText: TColor;

Description

Use ColorHighlightText to specify the text color to use for highlighted items. An item is highlighted when the mouse hovers over it or when it is selected in the edit portion of the combobox.

Created with Doc-O-Matic.


See Also

TJvImageComboBox.ColorHighlight


TJvImageComboBox.DefaultIndent property

TJvImageComboBox	See Also	Edit topic

Specifies the default indentation for new items.

Pascal

property DefaultIndent: Integer;

Description

Use DefaultIndent to set the amount of indentation of new items added to the list. You can change the indentation of individual items with the Indent property of the TJvImageItem.

Created with Doc-O-Matic.


See Also

TJvImageItem, TJvImageComboBox.IndentSelected, TJvImageComboBox.Items


TJvImageComboBox.DroppedWidth property

TJvImageComboBox	Edit topic

Specifies the width of the drop-down list box.

Pascal

property DroppedWidth: Integer;

Description

Use DroppedWidth to specify the width of the drop-down listbox of the combobox. By default, the width is set to the same width as the combobox.

Created with Doc-O-Matic.


TJvImageComboBox.FullWidthItemDraw property

TJvImageComboBox	Edit topic

Not documented

Pascal

property FullWidthItemDraw: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageComboBox.ImageHeight property

TJvImageComboBox	Edit topic

Not documented

Pascal

property ImageHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageComboBox.Images property

TJvImageComboBox	See Also	Edit topic

Specifies the image list from which images are retrieved.

Pascal

property Images: TCustomImageList;

Description

Specify an available image list for the Images property to set the images that are displayed for the items in the list. Change the images for individual items by assigning a new value to their ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvImageItem.ImageIndex


TJvImageComboBox.ImageWidth property

TJvImageComboBox	Edit topic

Not documented

Pascal

property ImageWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageComboBox.IndentSelected property

TJvImageComboBox	See Also	Edit topic

Specifies the indentation to use for a selected item.

Pascal

property IndentSelected: Boolean;

Description

Use IndentSelected to temporarily set the indentation for an item that is selected in the edit portion of the combobox. The normal indentation for the item is not affected: the item will still be displayed using its Indent property when it is rendered in the drop-down list.

Created with Doc-O-Matic.


See Also

TJvImageComboBox.DefaultIndent


TJvImageComboBox.Items property

TJvImageComboBox	Edit topic

Provides indexed access to the individual items in the list.

Pascal

property Items: TJvImageItems;

Description

Use Items to access the individual items in the list using an index.

Created with Doc-O-Matic.


TJvImageComboBox.OnChange event

TJvImageComboBox	Edit topic

Occurs when the selection in the combobox changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for the OnChange event to take specific action when the selected item in the control changes.

Created with Doc-O-Matic.


TJvImageControl
JEDI-VCL Reference

TJvImageControl

Hierarchy	 Edit topic

This is a control that displays an image using buffered painting

Pascal

TJvImageControl = class(TJvGraphicControl);

File

JvAnimatedImage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvImageControl


TJvImageItem
JEDI-VCL Reference

TJvImageItem

Hierarchy	Properties	 Edit topic

Class type used for items that can display images and text as well as be assigned an indentation value.

Pascal

TJvImageItem = class(TCollectionItem);

File

JvListComb

Description

TJvImageItem is the type used for individual items in a TJvImageComboBox and TJvImageListBox. Use the properties of TJvImageItem to set the Indent, Text and ImageIndex of the items displayed.

Created with Doc-O-Matic.


TJvImageItem Properties

TJvImageItem	Legend

Properties

 Brush

 ColorHighlight

 ColorHighlightText

 Font

 Glyph

 ImageIndex

 Indent

LinkedObject

 ListPropertiesUsed

 Text

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvImageItem

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvImageItem


TJvImageItem Members

TJvImageItem	Legend

Members

Properties

 Brush

 ColorHighlight

 ColorHighlightText

 Font

 Glyph

 ImageIndex

 Indent

LinkedObject

 ListPropertiesUsed

 Text

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvImageItem.Brush property

TJvImageItem	Edit topic

Not documented

Pascal

property Brush: TBrush;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItem.ColorHighlight property

TJvImageItem	Edit topic

Not documented

Pascal

property ColorHighlight: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItem.ColorHighlightText property

TJvImageItem	Edit topic

Not documented

Pascal

property ColorHighlightText: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItem.Font property

TJvImageItem	Edit topic

Not documented

Pascal

property Font: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItem.Glyph property

TJvImageItem	Edit topic

Not documented

Pascal

property Glyph: TBitmap;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItem.ImageIndex property

TJvImageItem	Edit topic

Determines which image is displayed as the icon for the item.

Pascal

property ImageIndex: Integer;

Description

Set ImageIndex to associate the item with one of the images in the imagelist of the owning control.

Created with Doc-O-Matic.


TJvImageItem.Indent property

TJvImageItem	Edit topic

Specifies the indentation of the item.

Pascal

property Indent: Integer;

Description

Set Indent to specify the indentation of the item. Indentation is used by the owning control (a TJvImageListBox or TJvImageComboBox) to determine where to draw the item on its canvas.

Created with Doc-O-Matic.


TJvImageItem.LinkedObject property

TJvImageItem	Edit topic

Not documented

Pascal

property LinkedObject: TObject;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItem.ListPropertiesUsed property

TJvImageItem	Edit topic

Not documented

Pascal

property ListPropertiesUsed: TJvListPropertiesUsed;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItem.Text property

TJvImageItem	Edit topic

Contains a text string associated with the item.

Pascal

property Text: string;

Description

Use the Text property to read the Text of the item or specify a new string for the Text value. By default, Text is empty.

Created with Doc-O-Matic.


TJvImageItems
JEDI-VCL Reference

TJvImageItems

Hierarchy	Properties	Methods	 Edit topic

Collection class that maintains a list of TJvImageItem objects.

Pascal

TJvImageItems = class(TOwnedCollection);

File

JvListComb

Description

TJvImageItems is the class type of the Items property of TJvImageListBox and TJvImageComboBox. TJvImageItems maintains a list of items of type TJvImageItem. Use the methods of TJvImageItems to Add, Delete and copy items to and from the list.

Created with Doc-O-Matic.


TJvImageItems Properties

TJvImageItems

Properties

Items

Objects

Created with Doc-O-Matic.


TJvImageItems Methods

TJvImageItems	Legend

Methods

Add

AddObject

AddText

 Assign

IndexOfLinkedObject

Insert

InsertObject

InsertText

Move

Sort

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvImageItems

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvImageItems


TJvImageItems Members

TJvImageItems	Legend

Members

Properties

Items

Objects

Methods

Add

AddObject

AddText

 Assign

IndexOfLinkedObject

Insert

InsertObject

InsertText

Move

Sort

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvImageItems.Items property

TJvImageItems	Edit topic

Provides indexed access to the items in the list.

Pascal

property Items [Index: Integer]: TJvImageItem;

Description

Use Items to access the items in the list using an index. Since Items is the default property of TJvImageItems, you can access the items without the Items specifier.

Example:

    JvImageComboBox.Items.Items[i].Text := 'Hello';

Equivalent:

    JvImageComboBox.Items[i].Text := 'Hello';

Created with Doc-O-Matic.


TJvImageItems.Objects property

TJvImageItems	Edit topic

Not documented

Pascal

property Objects [Index: Integer]: TObject;

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.Add method

TJvImageItems	See Also	Edit topic

Adds a new item to the list.

Pascal

function Add: TJvImageItem;

Return Value

The newly created TJvImageItem.

Description

Call Add to add a new TJvImageItem item to the list. The item will be added as the last item in the list and will be assigned default values.

Created with Doc-O-Matic.


See Also

Assign , Insert, Delete


TJvImageItems.AddObject method

TJvImageItems	Edit topic

Not documented

Pascal

function AddObject(const Text: string; ALinkedObject: TObject): Integer;

Parameters

const Text: string

Not documented

ALinkedObject: TObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.AddText method

TJvImageItems	Edit topic

Not documented

Pascal

function AddText(const Text: string): Integer;

Parameters

const Text: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.Assign method

TJvImageItems	Edit topic

Copies the properties and items of a compatible object into this object.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from. This can be a TJvImageItems or descendant or a TStrings or descendant.

Description

Call Assign to copy the properties and Items of another TJvImageItems or descendant object into this object. If Source is a TStrings object, the Items array is cleared and new items are created where the Text of each item is assigned from the TStrings.

Created with Doc-O-Matic.


TJvImageItems.IndexOfLinkedObject method

TJvImageItems	Edit topic

Not documented

Pascal

function IndexOfLinkedObject(ALinkedObject: TObject): Integer;

Parameters

ALinkedObject: TObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.Insert method

TJvImageItems	Edit topic

Not documented

Pascal

function Insert(Index: Integer): TJvImageItem;

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.InsertObject method

TJvImageItems	Edit topic

Not documented

Pascal

procedure InsertObject(Index: Integer; const Text: string; ALinkedObject: TObject);

Parameters

Index: Integer

Not documented

const Text: string

Not documented

ALinkedObject: TObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.InsertText method

TJvImageItems	Edit topic

Not documented

Pascal

procedure InsertText(Index: Integer; const Text: string);

Parameters

Index: Integer

Not documented

const Text: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.Move method

TJvImageItems	Edit topic

Not documented

Pascal

procedure Move(CurIndex: Integer; NewIndex: Integer);

Parameters

CurIndex: Integer

Not documented

NewIndex: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageItems.Sort method

TJvImageItems	Edit topic

Not documented

Pascal

procedure Sort(SortProc: TCollectionSortProc);

Parameters

SortProc: TCollectionSortProc

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageList
JEDI-VCL Reference

 TJvImageList

Hierarchy	Properties	Methods	Package	 Edit topic

An extended Image list component.

Pascal

TJvImageList = class(TCustomImageList);

File

JvImageList

Description

This image list allows to use a picture and resource bitmaps as the image list content.

Created with Doc-O-Matic.


TJvImageList Properties

TJvImageList	Legend

Properties

 FileName

 Items

 Mode

 Picture

 PixelFormat

 ResourceIds

 TransparentColor

 TransparentMode

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvImageList Methods

TJvImageList	Legend

Methods

AddItem

BeginUpdate

ClearItems

DeleteItem

EndUpdate

GetItemInfoStr

LoadFromFile

 LoadFromStream

SaveToFile

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvImageList

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomImageList
    TJvImageList


TJvImageList Members

TJvImageList	Legend

Members

Properties

 FileName

 Items

 Mode

 Picture

 PixelFormat

 ResourceIds

 TransparentColor

 TransparentMode

Methods

AddItem

BeginUpdate

ClearItems

DeleteItem

EndUpdate

GetItemInfoStr

LoadFromFile

 LoadFromStream

SaveToFile

 SaveToStream

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

StdCtrls


TJvImageList.FileName property

TJvImageList	See Also	Edit topic

Contains the filename of the picture on the developers hard disk.

Pascal

property FileName: TFileName;

Description

FileName specifies a graphic file that is available on the developer's system which contains the bitmaps which can be exported by the ImageList. The Data is copied to Picture.Graphic. If the file does not exists at design time the stored Picture.Graphic is used. FileName only works if Mode is set to imPicture.

Created with Doc-O-Matic.


See Also

TJvImageList.Mode, TJvImageList.Picture, TJvImageList.ResourceIds


TJvImageList.Items property

TJvImageList	Edit topic

Not documented

Pascal

property Items: TJvImageListItems;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageList.Mode property

TJvImageList	See Also	Edit topic

Sets the mode of the image list.

Pascal

property Mode: TJvImageListMode;

Description

Set Mode to one of the following values:

Value	Meaning
imClassic	The image list acts as TImageList. The Filename, Picture and ResourceIds properties are ignored.
imPicture	The FileName and Picture property are used.
imResourceIds	The ResourceIds property is used.
imItemList	The AddItem, DeleteItem, ClearItems and GetItemInfoStr are used
Created with Doc-O-Matic.


See Also

AddItem


TJvImageList.Picture property

TJvImageList	See Also	Edit topic

Contains the picture that is used for the image list.

Pascal

property Picture: TPicture;

Description

Specify a picture that should be used as the image list's content. The Picture property might be updated at design time by the FileName property. To use this feature the Mode property must be imPicture.

Created with Doc-O-Matic.


See Also

TJvImageList.FileName, TJvImageList.Mode, TJvImageList.ResourceIds


TJvImageList.PixelFormat property

TJvImageList	Edit topic

Specifies the pixel format for the internal image

Pascal

property PixelFormat: TPixelFormat;

Description

PixelFormat is the color resolution of the image list. pf1bit and pfCustom are not supported. pf32bit works under Windows XP only.

Created with Doc-O-Matic.


TJvImageList.ResourceIds property

TJvImageList	See Also	Edit topic

Specifies the resource identifiers for the bitmaps.

Pascal

property ResourceIds: TStrings;

Description

ResourceIds contains the resource ids of the bitmaps to load. Allowed are RCDATA (a bitmap file) and BITMAP. ResourceIds property is only loaded into the image list if Mode is imResourceIds.

Created with Doc-O-Matic.


See Also

TJvImageList.FileName, TJvImageList.Mode, TJvImageList.Picture


TJvImageList.TransparentColor property

TJvImageList	See Also	Edit topic

Specifies the transparent color.

Pascal

property TransparentColor: TColor;

Description

Specifies the color that is used as the MaskColor when spitting the graphic in Picture.Graphic or adding the Resource bitmaps to the image list.

Created with Doc-O-Matic.


See Also

TJvImageList.TransparentMode


TJvImageList.TransparentMode property

TJvImageList	See Also	Edit topic

Specifies the transparent mode.

Pascal

property TransparentMode: TJvImageListTransparentMode;

Description

TransparentMode is used for adding the bitmaps from Picture or ResourceIds.

Value	Meaning
tmNone	no mask
tmAuto	use the pixel at the left bottom edge
tmColor	use TransparentColor
Created with Doc-O-Matic.


See Also

TJvImageList.TransparentColor


TJvImageList.AddItem method (string, TColor)

TJvImageList	See Also	Edit topic

Adds a new item to the ItemList.

Pascal

procedure AddItem(ABitmap: TBitmap; ATransparentColor: TColor); overload;
procedure AddItem(const AResourceName: string; ATransparentColor: TColor); overload;

Parameters

ABitmap: TBitmap

Not documented

ATransparentColor: TColor

Not documented

const AResourceName: string

Not documented

Description

AddItem adds a bitmap or resource to the ItemList with ATransparentColor as transparent color. If the image list mode is not imItemList the image list is cleared and the mode is set to imItemList.

Created with Doc-O-Matic.


See Also

TJvImageList.Mode


TJvImageList.BeginUpdate method

TJvImageList	See Also	Edit topic

Block all OnChange events.

Pascal

procedure BeginUpdate;

Description

Call BeginUpdate in combination with EndUpdate to prevent OnChange events while changing the data.

Created with Doc-O-Matic.


See Also

TJvImageList.EndUpdate


TJvImageList.ClearItems method

TJvImageList	See Also	Edit topic

Clears the ItemList

Pascal

procedure ClearItems;

Description

ClearItems clears the ItemList. When the ImageList is not in imItemList mode the method raises an RJvImageListError.

Created with Doc-O-Matic.


See Also

TJvImageList.DeleteItem


TJvImageList.DeleteItem method

TJvImageList	See Also	Edit topic

Removes an item from the ItemList

Pascal

procedure DeleteItem(AIndex: Integer);

Description

DeleteItem deletes the ItemList item that is identified by AIndex. When the ImageList is not in imItenList mode the method raises an EJvImageListError.

Created with Doc-O-Matic.


See Also

TJvImageList.AddItem@TBitmap@TColor


TJvImageList.EndUpdate method

TJvImageList	See Also	Edit topic

Unlock the blocked OnChange events.

Pascal

procedure EndUpdate;

Description

Call EndUpdate unlock an OnChange event lock that was caused by BeginUpdate.

Created with Doc-O-Matic.


See Also

TJvImageList.BeginUpdate


TJvImageList.GetItemInfoStr method

TJvImageList	Edit topic

Returns the info string for an item

Pascal

function GetItemInfoStr(AIndex: Integer): string;

Description

GetItemInfoStr returns the info string of the ItemList item that is identified by AIndex. When the ImageList is not in imItenList mode the method raises an EJvImageListError.

Created with Doc-O-Matic.


TJvImageList.LoadFromFile method

TJvImageList	See Also	Edit topic

Loads the image list from a bitmap file.

Pascal

procedure LoadFromFile(const FileName: string);

Parameters

const FileName: string

File to load

Description

Loads the image list from a bitmap file. The bitmap is spitted into ImageList.Width * ImageList.Height sized slices.

Created with Doc-O-Matic.


See Also

TJvImageList.LoadFromStream, TJvImageList.SaveToFile


TJvImageList.LoadFromStream method

TJvImageList	See Also	Edit topic

Loads the image list from a bitmap stream.

Pascal

procedure LoadFromStream(Stream: TStream); virtual;

Parameters

Stream: TStream

bitmap stream to load

Description

Loads the image list from a bitmap stream. The bitmap is spitted into ImageList.Width * ImageList.Height sized slices.

Created with Doc-O-Matic.


See Also

TJvImageList.LoadFromFile, TJvImageList.SaveToStream


TJvImageList.SaveToFile method

TJvImageList	See Also	Edit topic

Saves the image list to a bitmap file.

Pascal

procedure SaveToFile(const FileName: string);

Parameters

const FileName: string

File name of the bitmap file

Description

Call SaveToFile to save the image list to the bitmap file FileName.

Created with Doc-O-Matic.


See Also

TJvImageList.LoadFromFile, TJvImageList.SaveToStream


TJvImageList.SaveToStream method

TJvImageList	See Also	Edit topic

Saves the image list to a bitmap stream.

Pascal

procedure SaveToStream(Stream: TStream); virtual;

Parameters

Stream: TStream

destination stream

Description

Call SaveToStream to save the image list to a bitmap stream.

Created with Doc-O-Matic.


See Also

TJvImageList.LoadFromStream, TJvImageList.SaveToFile


TJvImageListBox
JEDI-VCL Reference

 TJvImageListBox

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A listbox that can display images as well as items in the list.

Pascal

TJvImageListBox = class(TJvExCustomListBox, IUnknown, IJvResetItemHeight);

File

JvListComb

Description

Use TJvImageListBox when you need a listbox that can display items as well as images in the list. TJvImageListBox derives from TCustomListBox and exposes most of its properties and also adds the ability to display an image from an image list next to each item.

Created with Doc-O-Matic.


TJvImageListBox Properties

TJvImageListBox	Legend

Properties

 Alignment

 ButtonFrame

 ButtonStyle

 Canvas

 ColorHighlight

 ColorHighlightText

 FullWidthItemDraw

 ImageHeight

 Images

 ImageWidth

 Items

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvImageListBox Methods

TJvImageListBox

Methods

IJvResetItemHeight

ResetItemHeight

Created with Doc-O-Matic.


TJvImageListBox Events

TJvImageListBox	Legend

Events

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvImageListBox

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox, IUnknown, IJvResetItemHeight
                    TJvImageListBox


TJvImageListBox Members

TJvImageListBox	Legend

Members

Properties

 Alignment

 ButtonFrame

 ButtonStyle

 Canvas

 ColorHighlight

 ColorHighlightText

 FullWidthItemDraw

 ImageHeight

 Images

 ImageWidth

 Items

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Methods

IJvResetItemHeight

ResetItemHeight

Events

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Package

Ctrls


TJvImageListBox.Alignment property

TJvImageListBox	Edit topic

Controls the horizontal placement of the text and images within the label.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text and images of the items are justified within the listbox.

When Alignment is set to taCenter, images are displayed above the text, when Alignment is either taLeftJustify or taRightJustify, images are displayed on either side of the text.

The height of items are automatically adjusted to make sure that the entire item is visible.

Created with Doc-O-Matic.


TJvImageListBox.ButtonFrame property

TJvImageListBox	See Also	Edit topic

Specifies whether a button frame is drawn next to the selected item.

Pascal

property ButtonFrame: Boolean;

Description

Set ButtonFrame to true to display a frame around the image of the selected item. The visual appearance of the button frame is controlled with the ButtonStyle property.

Created with Doc-O-Matic.


See Also

TJvImageListBox.ButtonStyle


TJvImageListBox.ButtonStyle property

TJvImageListBox	See Also	Edit topic

Specifies the style of the button frame.

Pascal

property ButtonStyle: TJvButtonColors;

Description

Use ButtonStyle to set the visual appearance of the button frame displayed when ButtonFrame is true.

Created with Doc-O-Matic.


See Also

TJvImageListBox.ButtonFrame


TJvImageListBox.Canvas property

TJvImageListBox	See Also	Edit topic

Provides access to the canvas of the control.

Pascal

property Canvas: TCanvas;

Description

Use Canvas when you need access to the drawing surface of the control. Canvas is a read-only property but you can use the methods of TCanvas to draw on the surface.

Created with Doc-O-Matic.


See Also

TCanvas


TJvImageListBox.ColorHighlight property

TJvImageListBox	See Also	Edit topic

Specifies the background color for the highlighted item.

Pascal

property ColorHighlight: TColor;

Description

Use ColorHighlight to specify the color to use for highlighted items. An item is highlighted when the mouse hovers over it or when it is selected in the control.

Created with Doc-O-Matic.


See Also

TJvImageListBox.ColorHighlightText


TJvImageListBox.ColorHighlightText property

TJvImageListBox	See Also	Edit topic

Specifies the text color for the highlighted item.

Pascal

property ColorHighlightText: TColor;

Description

Use ColorHighlightText to specify the text color to use for highlighted items. An item is highlighted when the mouse hovers over it or when it is selected.

Created with Doc-O-Matic.


See Also

TJvImageListBox.ColorHighlight


TJvImageListBox.FullWidthItemDraw property

TJvImageListBox	Edit topic

Not documented

Pascal

property FullWidthItemDraw: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListBox.ImageHeight property

TJvImageListBox	Edit topic

Not documented

Pascal

property ImageHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListBox.Images property

TJvImageListBox	See Also	Edit topic

Specifies the image list from which images are retrieved.

Pascal

property Images: TCustomImageList;

Description

Specify an available image list for the Images property to set the images that are displayed for the items in the list. Change the images for individual items by assigning a new value to their ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvImageItem.ImageIndex


TJvImageListBox.ImageWidth property

TJvImageListBox	Edit topic

Not documented

Pascal

property ImageWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListBox.Items property

TJvImageListBox	Edit topic

Provides indexed access to the individual items in the list.

Pascal

property Items: TJvImageItems;

Description

Use Items to access the individual items in the list using an index.

Created with Doc-O-Matic.


TJvImageListItem
JEDI-VCL Reference

TJvImageListItem

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvImageListItem = class(TCollectionItem);

File

JvImageList

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItem Properties

TJvImageListItem	Legend

Properties

 Bitmap

 Kind

 ResourceName

 TransparentColor

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvImageListItem Methods

TJvImageListItem

Methods

UpdateImageList

Created with Doc-O-Matic.


Legend

TJvImageListItem

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvImageListItem


TJvImageListItem Members

TJvImageListItem	Legend

Members

Properties

 Bitmap

 Kind

 ResourceName

 TransparentColor

Methods

UpdateImageList

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvImageListItem.Bitmap property

TJvImageListItem	Edit topic

Not documented

Pascal

property Bitmap: TBitmap;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItem.Kind property

TJvImageListItem	Edit topic

Not documented

Pascal

property Kind: TJvImageListItemKind;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItem.ResourceName property

TJvImageListItem	Edit topic

Not documented

Pascal

property ResourceName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItem.TransparentColor property

TJvImageListItem	Edit topic

Not documented

Pascal

property TransparentColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItem.UpdateImageList method

TJvImageListItem	Edit topic

Not documented

Pascal

procedure UpdateImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItems
JEDI-VCL Reference

TJvImageListItems

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvImageListItems = class(TOwnedCollection);

File

JvImageList

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItems Properties

TJvImageListItems

Properties

Items

Created with Doc-O-Matic.


TJvImageListItems Methods

TJvImageListItems

Methods

Add

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvImageListItems


TJvImageListItems Members

TJvImageListItems

Members

Properties

Items

Methods

Add

Created with Doc-O-Matic.


TJvImageListItems.Items property

TJvImageListItems	Edit topic

Not documented

Pascal

property Items [AIndex: Integer]: TJvImageListItem;

Parameters

AIndex

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListItems.Add method

TJvImageListItems	Edit topic

Not documented

Pascal

function Add: TJvImageListItem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvImageListViewer
JEDI-VCL Reference

 TJvImageListViewer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Control that displays the images from an image list.

Pascal

TJvImageListViewer = class(TJvCustomItemViewer);

File

JvImageListViewer

Description

Use TJvImageListViewer when you need to display the images from an image list in a grid like control.

Created with Doc-O-Matic.


TJvImageListViewer Properties

TJvImageListViewer	Legend

Properties

 Images

 Options

 SelectedIndex

TJvCustomItemViewer

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvImageListViewer Events

TJvImageListViewer	Legend

Events

 OnDrawItem

 OnGetCaption

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

TJvCustomItemViewer

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvImageListViewer Methods

TJvImageListViewer	Legend

Methods

 DrawItem

 GetOptionsClass

TJvCustomItemViewer

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvImageListViewer

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TScrollingWinControl, IJvExControl
        TJvExScrollingWinControl
            TJvCustomItemViewer
                TJvImageListViewer


TJvImageListViewer Members

TJvImageListViewer	Legend

Members

Properties

 Images

 Options

 SelectedIndex

TJvCustomItemViewer

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnDrawItem

 OnGetCaption

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

TJvCustomItemViewer

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 DrawItem

 GetOptionsClass

TJvCustomItemViewer

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Custom


TJvImageListViewer.Images property

TJvImageListViewer	Edit topic

Lists images available for items in the TJvImageListViewer.

Pascal

property Images: TCustomImageList;

Description

Images is a list of bitmaps that can be displayed for each item in the TJvImageListViewer. Each item in the control displays the image corresponding to the item's index in the control.

Created with Doc-O-Matic.


TJvImageListViewer.OnDrawItem event

TJvImageListViewer	See Also	Edit topic

Called whenever an item needs to be drawn.

Pascal

property OnDrawItem: TJvViewerItemDrawEvent;

Parameters

Sender

The object that triggered the event.

Index

The index of the item to draw.

State

The state of the item to draw.

Canvas

The control's canvas to draw on.

ItemRect

The bounding rect of the item to draw, excluding the text area.

TextRect

The bounding rect of the text area for the item.

Description

Assign an event handler to the OnDrawItem to control the way an item is drawn in the control. DrawItem calls OnDrawItem for each item in the Items array as needed.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.DrawItem


TJvImageListViewer.OnGetCaption event

TJvImageListViewer	Edit topic

Called when the control needs to get the caption to use for an item.

Pascal

TJvImageListViewerCaptionEvent = procedure (Sender: TObject; ImageIndex: Integer; var ACaption: WideString) of object;
property OnGetCaption: TJvImageListViewerCaptionEvent;

Parameters

ACaption

The caption to draw along with the image.

ImageIndex

The index of the image in the image list to provide a caption for.

Sender

The object that triggered the event.

Description

Write a handler for the OnGetCaption event when you want to provide captions for the items in a TJvImageListViewer.

Created with Doc-O-Matic.


TJvImageListViewer.OnItemChanged event

TJvImageListViewer	See Also	Edit topic

Called when an item has changed.

Pascal

property OnItemChanged: TJvViewerItemChangedEvent;

Parameters

Sender

The object that triggered the event.

Item

The item that has changed.

Description

Write an event handler for the OnItemChanged event to take specific action when an item in the Items array has changed. For example, you might want to update a status display whenever a property of an item has been modified.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanging


TJvImageListViewer.OnItemChanging event

TJvImageListViewer	See Also	Edit topic

Called when an item is about to change.

Pascal

property OnItemChanging: TJvViewerItemChangingEvent;

Parameters

Sender

The object that triggered the event.

Item

The item that is about to change.

Allow

Set to false to disallow the change. Default value is true.

Description

Write an event handler for the OnItemChanging event to take specific action when an item in the Items array is about to change. For example, you might want to prohibit changes to items under certain circumstances.

To disallow an item to change, set the Allow parameter to false. By default, Allow is true.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanged


TJvImageListViewer.OnItemHint event

TJvImageListViewer	Edit topic

Occurs when the hint for an item is about to be displayed.

Pascal

property OnItemHint: TJvViewerItemHintEvent;

Parameters

Sender

The item viewer that triggered the event.

Index

The index of the item for which a hint is to be displayed

HintInfo

Provides access to the hint info.

Handled

Set this to true if your code handles the hint itself.

Description

Write a handler for this event to take specific action when the hint for an item is about to be displayed.

Created with Doc-O-Matic.


TJvImageListViewer.OnOptionsChanged event

TJvImageListViewer	See Also	Edit topic

Called when an option has changed.

Pascal

property OnOptionsChanged: TNotifyEvent;

Description

Write an event handler for the OnOptionsChanged event to take specific action whenever an option has changed.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OptionsChanged


TJvImageListViewer.Options property

TJvImageListViewer	Edit topic

Specifies the global options for the control.

Pascal

property Options: TJvImageListViewerOptions;

Description

Use Options to set the default behavior of the control.

Created with Doc-O-Matic.


TJvImageListViewer.SelectedIndex property

TJvImageListViewer	See Also	Edit topic

Specifies the index of the currently or last selected item.

Pascal

property SelectedIndex: Integer;

Description

Read SelectedIndex to determine the index of the currently selected item. If SelectedIndex is -1, no item is selected. If Options.MultiSelect is true, SelectedIndex returns the index of the item that was selected most recently.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Selected


TJvImageListViewer.DrawItem method

TJvImageListViewer	Edit topic

Called when an item needs to be visually updated.

Pascal

procedure DrawItem(Index: Integer; State: TCustomDrawState; Canvas: TCanvas; ItemRect: TRect; TextRect: TRect); override;

Parameters

Index

The index of the item in the Items array.

State

The current state of the item to draw.

Canvas

The canvas to draw on.

ItemRect

The rect of the item to draw excluding TextRect.

TextRect

The rect of the text (if any) to draw. This rect is adjusted according to Options.Layout and Options.Alignment.

Description

DrawItem is called for each item when it needs to be redrawn. Override this method in a descendant class to change the way items are drawn. Depending on the value of Options.LazyRead, DrawItem is called differently. If LazyRead is true, DrawItem is called for each visible item. If LazyRead is false, DrawItem is called for all items.

Created with Doc-O-Matic.


TJvImageListViewer.GetOptionsClass method

TJvImageListViewer	Edit topic

Returns the class type of the class used for the Options property.

Pascal

function GetOptionsClass: TJvItemViewerOptionsClass; override;

Return Value

The class type of the Options property.

Description

Override GetOptionsClass in descendant classes to return the class type for the control's Options property.

Created with Doc-O-Matic.


TJvImageListViewerOptions
JEDI-VCL Reference

TJvImageListViewerOptions

Hierarchy	Properties	Methods	 Edit topic

Options class for the TJvImageListViewer control.

Pascal

TJvImageListViewerOptions = class(TJvCustomItemViewerOptions);

File

JvImageListViewer

Description

TJvImageListViewerOptions is the class used for the Options property of a TJvImageListViewer. It derives from TJvCustomItemViewerOptions and publishes many of its properties as well as introducing new ones.

Created with Doc-O-Matic.


TJvImageListViewerOptions Properties

TJvImageListViewerOptions	Legend

Properties

 AutoCenter

 BrushPattern

 DragAutoScroll

 DrawingStyle

 FillCaption

 Height

 Layout

 RightClickSelect

 ScrollBar

 SelectedStyle

 ShowCaptions

 Tracking

 Width

TJvCustomItemViewerOptions

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvImageListViewerOptions Methods

TJvImageListViewerOptions	Legend

Methods

TJvCustomItemViewerOptions

 Change

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvImageListViewerOptions

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomItemViewerOptions
        TJvImageListViewerOptions


TJvImageListViewerOptions Members

TJvImageListViewerOptions	Legend

Members

Properties

 AutoCenter

 BrushPattern

 DragAutoScroll

 DrawingStyle

 FillCaption

 Height

 Layout

 RightClickSelect

 ScrollBar

 SelectedStyle

 ShowCaptions

 Tracking

 Width

TJvCustomItemViewerOptions

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Methods

TJvCustomItemViewerOptions

 Change

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


TJvImageListViewerOptions.AutoCenter property

TJvImageListViewerOptions	See Also	Edit topic

Specifies whether items are centered within the control.

Pascal

property AutoCenter: Boolean;

Description

Set AutoCenter to true to center the visible items in the control. Centering is done differently depending on the value of ScrollBar. If ScrollBar is tvHorizontal, the visible items are center vertically in the control, otherwise they are centered horizontally.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.ScrollBar


TJvImageListViewerOptions.BrushPattern property

TJvImageListViewerOptions	See Also	Edit topic

Specifies the background brush pattern to use for a selected item.

Pascal

property BrushPattern: TJvBrushPattern;

Description

BrushPattern provides access to properties that control the appearance of the background pattern used for selected items in a TJvCustomItemViewer.

Created with Doc-O-Matic.


See Also

TJvBrushPattern


TJvImageListViewerOptions.DragAutoScroll property

TJvImageListViewerOptions	Edit topic

Specifies whether the control scrolls automatically when needed in a drag drop event.

Pascal

property DragAutoScroll: Boolean;

Description

Set DragAutoScroll to true to make the TJvCustomItemViewer scroll automatically when the mouse is near an edge in a drag and drop process. SetAutoDragScroll to false, to disable or handle the scrolling manually.

Created with Doc-O-Matic.


TJvImageListViewerOptions.DrawingStyle property

TJvImageListViewerOptions	See Also	Edit topic

Specifies the style to be used when an item is drawn.

Pascal

property DrawingStyle: TDrawingStyle;

Description

Use the DrawingStyle property to control how an item is to appear. DrawingStyle controls how much of the blend color specified by the image list's BlendColor is combined with the foreground, or what background color to use.

Created with Doc-O-Matic.


See Also

TJvImageListViewerOptions.SelectedStyle


TJvImageListViewerOptions.FillCaption property

TJvImageListViewerOptions	Edit topic

Specifies whether the background of captions are filled in their entirety or not.

Pascal

property FillCaption: Boolean;

Description

Use FillCaption to specify whether the background of the caption of an item is filled in such a manner that the fill extends from the left to the right edge. If FillCaption is false, only the area covered by the caption is filled.

FillCaption only affects selected items.

Created with Doc-O-Matic.


TJvImageListViewerOptions.Height property

TJvImageListViewerOptions	See Also	Edit topic

Specifies the vertical size of an item in the control in pixels.

Pascal

property Height: Integer;

Description

Use the Height property to read or change the height of an item in the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Width


TJvImageListViewerOptions.Layout property

TJvImageListViewerOptions	See Also	Edit topic

Specifies the vertical placement of the text within an item.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of an item is placed within the bounds of the item. Layout is the vertical analog to the Alignment property.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Alignment


TJvImageListViewerOptions.RightClickSelect property

TJvImageListViewerOptions	Edit topic

Determines whether items that are clicked using the right mouse button are also selected.

Pascal

property RightClickSelect: Boolean;

Description

Use RightClickSelect to allow the user to select items using the right mouse button. If RightClickSelect is True, the value of Selected is the value of the node last clicked with either the right or left mouse button. If RightClickSelect is False, the value of Selected is the node last clicked using the left mouse button.

Created with Doc-O-Matic.


TJvImageListViewerOptions.ScrollBar property

TJvImageListViewerOptions	Edit topic

Specifies which scrollbar is displayed when items cannot fit within the client rect of the control.

Pascal

property ScrollBar: TJvItemViewerScrollBar;

Description

Set ScrollBar to tvHorizontal to display a horizontal scrollbar when the items cannot fit inside the client area of the control. Set ScrollBar to tvVertical to display a vertical scrollbar when the items cannot fit.

Notes

Although the control publishes the HorzScrollBar and VertScrollBar properties, do not use these to set the Visible property of the scrollbars since it will be changed immediately by the control. HorzScrollBar and VertScrollBar are published by the ancestor TScrollingWinControl and thus cannot be unpublished again.

Created with Doc-O-Matic.


TJvImageListViewerOptions.SelectedStyle property

TJvImageListViewerOptions	See Also	Edit topic

Specifies the style to be used when a selected item is drawn.

Pascal

property SelectedStyle: TDrawingStyle;

Description

Use SelectedStyle to specify the style to use for selected items.

Created with Doc-O-Matic.


See Also

TJvImageListViewerOptions.DrawingStyle


TJvImageListViewerOptions.ShowCaptions property

TJvImageListViewerOptions	Edit topic

Specifies whether items display text or not.

Pascal

property ShowCaptions: Boolean;

Description

Use the ShowCaptions property to specify whether items show their captions or not. This property affects the calculation of the ItemRect and TextRect parameters passed to TJvCustomItemViewer.DrawItem.

Created with Doc-O-Matic.


TJvImageListViewerOptions.Tracking property

TJvImageListViewerOptions	Edit topic

Determines whether the scroll box moves before the thumb tab is released.

Pascal

property Tracking: Boolean;

Description

Use Tracking to control whether the scrollbar and associated control repaint while the thumb tab is dragged with the mouse. If Tracking is True, the image moves as the user drags the thumb tab. If Tracking is False, the image remains static until the thumb tab is released.

Repainting while the thumb tab is dragged can provide useful feedback to the user about how far the control has scrolled, but slows performance.

Created with Doc-O-Matic.


TJvImageListViewerOptions.Width property

TJvImageListViewerOptions	See Also	Edit topic

Specifies the horizontal size of an item the control in pixels.

Pascal

property Width: Integer;

Description

Use the Width property to read or change the width of an item in the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Height


TJvImageMargin
JEDI-VCL Reference

TJvImageMargin

Hierarchy	Properties	 Edit topic

The margins around an image, as a TPersistent descendant

Pascal

TJvImageMargin = class(TPersistent);

File

JvMenus

Description

This class is being used instead of TRect so that it can be shown in the property editor and properly streamed in and out of DFMs files. It basically contains the values of the margins to put around an image when rendering it

Created with Doc-O-Matic.


TJvImageMargin Properties

TJvImageMargin	Legend

Properties

 Bottom

 Left

 Right

 Top

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvImageMargin

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvImageMargin


TJvImageMargin Members

TJvImageMargin	Legend

Members

Properties

 Bottom

 Left

 Right

 Top

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvImageMargin.Bottom property

TJvImageMargin	See Also	Edit topic

The bottom margin, in pixels

Pascal

property Bottom: Integer;

Description

The bottom margin, in pixels

Created with Doc-O-Matic.


See Also

TJvImageMargin.Left, TJvImageMargin.Right, TJvImageMargin.Top


TJvImageMargin.Left property

TJvImageMargin	See Also	Edit topic

The left margin, in pixels

Pascal

property Left: Integer;

Description

The left margin, in pixels

Created with Doc-O-Matic.


See Also

TJvImageMargin.Bottom, TJvImageMargin.Right, TJvImageMargin.Top


TJvImageMargin.Right property

TJvImageMargin	See Also	Edit topic

The right margin, in pixels

Pascal

property Right: Integer;

Description

The right margin, in pixels

Created with Doc-O-Matic.


See Also

TJvImageMargin.Bottom, TJvImageMargin.Left, TJvImageMargin.Top


TJvImageMargin.Top property

TJvImageMargin	See Also	Edit topic

The top margin, in pixels

Pascal

property Top: Integer;

Description

The top margin, in pixels

Created with Doc-O-Matic.


See Also

TJvImageMargin.Bottom, TJvImageMargin.Left, TJvImageMargin.Right


TJvImageSpeedButton
JEDI-VCL Reference

TJvImageSpeedButton

Hierarchy	Properties	Methods	 Edit topic

Enhanced speed button.

Pascal

TJvImageSpeedButton = class(TJvCustomSpeedButton);

File

JvSpeedButton

Description

TJvImageSpeedButton is a descendant of TJvCustomSpeedButton. See the help at TJvCustomSpeedButton for the properties introduced by that component.

TJvImageSpeedButton introduces properties to display an image from an imagelist on the speed button:

Propery	Meaning
HotTrackImageIndex	Determines which image appears on the button when the mouse pointer passes over the button.
ImageIndex	Determines which image appears on the button.
Images	Lists the images that can appear on the button.
Created with Doc-O-Matic.


TJvImageSpeedButton Properties

TJvImageSpeedButton	Legend

Properties

 Alignment

 AllowAllUp

 AllowTimer

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackImageIndex

 ImageIndex

 Images

 InitPause

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

TJvCustomSpeedButton

 Alignment

 AllowAllUp

 AllowTimer

 ButtonGlyph

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackOptions

 InitPause

 IsDragging

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvImageSpeedButton Methods

TJvImageSpeedButton	Legend

Methods

TJvCustomSpeedButton

ButtonClick

CheckBtnMenuDropDown

 Click

UpdateTracking

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvImageSpeedButton

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl, IJvHotTrack
            TJvCustomSpeedButton
                TJvImageSpeedButton


TJvImageSpeedButton Members

TJvImageSpeedButton	Legend

Members

Properties

 Alignment

 AllowAllUp

 AllowTimer

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackImageIndex

 ImageIndex

 Images

 InitPause

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

TJvCustomSpeedButton

 Alignment

 AllowAllUp

 AllowTimer

 ButtonGlyph

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackOptions

 InitPause

 IsDragging

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

Methods

TJvCustomSpeedButton

ButtonClick

CheckBtnMenuDropDown

 Click

UpdateTracking

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvImageSpeedButton.Alignment property

TJvImageSpeedButton	Edit topic

Determines how text is aligned within the button.

Pascal

property Alignment: TAlignment;

Description

The possible values of Alignment are

Value	Meaning
taLeftJustify	Text is aligned at the left of the control.
taCenter	Text is centered in the control.
taRightJustify	Text is aligned at the right of the control.
Created with Doc-O-Matic.


TJvImageSpeedButton.AllowAllUp property

TJvImageSpeedButton	See Also	Edit topic

Specifies whether all speed buttons in the group that contains this speed button can be unselected at the same time.

Pascal

property AllowAllUp: Boolean;

Description

See Delphi help at TSpeedButton.AllowAllUp for more info.

Created with Doc-O-Matic.


See Also

Down


TJvImageSpeedButton.AllowTimer property

TJvImageSpeedButton	See Also	Edit topic

Determines whether the OnClick event occurs at regular intervals while the button is in the depressed state.

Pascal

property AllowTimer: Boolean;

Description

Use AllowTimer to specify whether an OnClick event continues to be generated at regular intervals while the button is in the depressed state. If AllowTimer is set to false, a single OnClick event is generated when the button is released. If AllowTimer is set to true, the OnClick event continues to be generated at regular intervals while the button is in the depressed state.

Use InitPause and RepeatInterval to specify the amount of time, in milliseconds that passes before the first OnClick event is fired and before another OnClick event is fired, resp.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.InitPause, TJvCustomSpeedButton.RepeatInterval


TJvImageSpeedButton.DoubleBuffered property

TJvImageSpeedButton	Edit topic

Determines whether the control’s image is rendered directly to the window or painted to an in-memory bitmap first.

Pascal

property DoubleBuffered: Boolean;

Description

When DoubleBuffered is false, the windowed control paints itself directly to the window. When DoubleBuffered is true, the windowed control paints itself to an in-memory bitmap that is then used to paint the window. Double buffering reduces the amount of flicker when the control repaints, but is more memory intensive.

Created with Doc-O-Matic.


TJvImageSpeedButton.Down property

TJvImageSpeedButton	See Also	Edit topic

Specifies whether the button is selected (down) or unselected (up).

Pascal

property Down: Boolean;

Description

See Delphi help at TSpeedButton.Down for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowAllUp, TJvCustomSpeedButton.GroupIndex


TJvImageSpeedButton.DropDownMenu property

TJvImageSpeedButton	See Also	Edit topic

Identifies a pop-up menu associated with the speed button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a value to DropDownMenu to make a menu appear when the button is pressed. (To display the menu programmatically, call the speed button’s Click or ButtonClickmethod.) If the menu’s AutoPopup property is set to true, the menu appears automatically. If AutoPopup is false, display the menu by calling the menu’s Popup method in the speed button’s OnClick event handler.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Click, TJvCustomSpeedButton.MarkDropDown, TJvCustomSpeedButton.MenuPosition


TJvImageSpeedButton.Flat property

TJvImageSpeedButton	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property Flat: Boolean;

Description

See Delphi help at TSpeedButton.Flat for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.GrayedInactive


TJvImageSpeedButton.GrayedInactive property

TJvImageSpeedButton	See Also	Edit topic

Indicates whether to display the image of the button grayed when the button is inactive.

Pascal

property GrayedInactive: Boolean;

Description

Set GrayedInactive to true to render the image of the button grayed, when the button is flat and the mouse pointer is not on the button (i.e., the button is inactive)

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Flat, TJvCustomSpeedButton.GrayNewStyle


TJvImageSpeedButton.GrayNewStyle property

TJvImageSpeedButton	Edit topic

Specifies the graying style of the image when the button is not enabled.

Pascal

property GrayNewStyle: Boolean;

Description

Set GrayNewStyle to false to render the image of a disabled button the same way as TSpeedButton does. Set GrayNewStyle to true to render the image of a disabled button the same way as TImageList does.

Created with Doc-O-Matic.


TJvImageSpeedButton.GroupIndex property

TJvImageSpeedButton	See Also	Edit topic

Allows speed buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

See Delphi help at TSpeedButton.GroupIndex for more info.

Created with Doc-O-Matic.


See Also

Down


TJvImageSpeedButton.HotTrack property

TJvImageSpeedButton	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is false, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvImageSpeedButton.HotTrackFont property

TJvImageSpeedButton	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is true.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to true, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.HotTrack, TJvImageSpeedButton.HotTrackImageIndex, TJvSpeedButton.HotTrackGlyph


TJvImageSpeedButton.HotTrackFontOptions property

TJvImageSpeedButton	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.HotTrack, TJvCustomSpeedButton.HotTrackFont


TJvImageSpeedButton.HotTrackImageIndex property

TJvImageSpeedButton	See Also	Edit topic

Determines which image appears on the button when the mouse pointer passes over the button.

Pascal

property HotTrackImageIndex: TImageIndex;

Description

The HotTrackImageIndex property determines which image from the Images list appears on the button when the mouse pointer passes over the button.

An image list is zero-based: the first image is indexed by 0, the second by 1, and so forth.

Created with Doc-O-Matic.


See Also

TJvImageSpeedButton.ImageIndex, TJvImageSpeedButton.Images


TJvImageSpeedButton.ImageIndex property

TJvImageSpeedButton	See Also	Edit topic

Determines which image appears on the button.

Pascal

property ImageIndex: TImageIndex;

Description

The ImageIndex property determines which image from the Images list appears on the button. If the HotTrackImageIndex is set, different images appear when the mouse pointer passes over the button.

An image list is zero-based: the first image is indexed by 0, the second by 1, and so forth.

Created with Doc-O-Matic.


See Also

TJvImageSpeedButton.HotTrackImageIndex, TJvImageSpeedButton.Images


TJvImageSpeedButton.Images property

TJvImageSpeedButton	See Also	Edit topic

Lists the images that can appear on the button.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of images that can appear on the button. If Images is unassigned, no images are displayed on the button.

Created with Doc-O-Matic.


See Also

TJvImageSpeedButton.HotTrackImageIndex, TJvImageSpeedButton.ImageIndex


TJvImageSpeedButton.InitPause property

TJvImageSpeedButton	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Pascal

property InitPause: Word;

Description

Use InitPause to set the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Property RepeatInterval determines the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Notes

AllowTimer must be set to true.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowTimer, TJvCustomSpeedButton.RepeatInterval


TJvImageSpeedButton.Layout property

TJvImageSpeedButton	See Also	Edit topic

Specifies where the image appears on the button.

Pascal

property Layout: TButtonLayout;

Description

Layout indicates whether the text appears on the left of the button (blGlyphLeft), the right of the button (blGlyphRight), the top (blGlyphTop) or the bottom (blGlyphBottom).

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Margin


TJvImageSpeedButton.Margin property

TJvImageSpeedButton	See Also	Edit topic

Specifies the number of pixels between the edge of the image (specified in the Glyph property) and the edge of the button.

Pascal

property Margin: Integer;

Description

The margin is the space between the image edge and the button edge. The format of the edges depends on the layout of the image and text (specified in the Layout property). For example, if Layout is blGlyphLeft, the margin appears between the left edge of the image and the left edge of the button. If Margin is 3, three pixels separate the image and the button edges. If Margin is 0, there is no space between the image and the button edges.

If Margin is -1 (the default value), the image and text (specified in the Caption property) are centered. The number of pixels between the image and button edge is equal to the number of pixels between the opposite edge of the button and the text.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Spacing


TJvImageSpeedButton.MarkDropDown property

TJvImageSpeedButton	See Also	Edit topic

Specifies whether the button displays a downward-pointing arrow.

Pascal

property MarkDropDown: Boolean;

Description

Use MarkDropDown to get or set whether the button displays a downward-pointing arrow. MarkDropDown is typically set to true when a pop-up menu is associated with the speed button (via property DropDownMenu)

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.DropDownMenu, TJvCustomSpeedButton.MenuPosition


TJvImageSpeedButton.MenuPosition property

TJvImageSpeedButton	See Also	Edit topic

Specifies the position where the pop-up menu will appear.

Pascal

property MenuPosition: TJvDropDownMenuPos;

Description

Use MenuPosition to set the position where the pop-up menu will appear. Use property DropDownMenu to associate a pop-up menu with the speed button.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.DropDownMenu, TJvCustomSpeedButton.MarkDropDown


TJvImageSpeedButton.ModalResult property

TJvImageSpeedButton	Edit topic

Determines whether and how the button closes its (modal) parent form.

Pascal

property ModalResult: TModalResult;

Description

Setting the button’s ModalResult property is an easy way to make clicking the button close a modal form. When a button is clicked, the ModalResult property of its parent form is set to the same value as the button’s ModalResult property.

For example, if a dialog box has OK and Cancel buttons, their ModalResult properties could be set at design time to mrOk and mrCancel, respectively. At runtime, clicking the OK button then changes the dialog’s ModalResult property to mrOk, and clicking the Cancel button changes the dialog’s ModalResult property to mrCancel. Unless further processing is required, no OnClick event handlers are required for the buttons.

Created with Doc-O-Matic.


TJvImageSpeedButton.RepeatInterval property

TJvImageSpeedButton	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Pascal

property RepeatInterval: Word;

Description

Use RepeatInterval to set the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Property InitPause determines the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Notes

AllowTimer must be set to true.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowTimer, TJvCustomSpeedButton.InitPause


TJvImageSpeedButton.Spacing property

TJvImageSpeedButton	See Also	Edit topic

Determines where the image and text appear on a speed button.

Pascal

property Spacing: Integer;

Description

See Delphi help at TSpeedButton.Spacing for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Layout, TJvCustomSpeedButton.Margin


TJvImageSpeedButton.Style property

TJvImageSpeedButton	Edit topic

Determines the appearance of a button.

Pascal

property Style: TButtonStyle;

Description

Style indicates whether the speed button uses the modern button look, or reflects the look of a 16-bit Windows pushbutton.

Created with Doc-O-Matic.


TJvImageSpeedButton.Transparent property

TJvImageSpeedButton	See Also	Edit topic

Specifies whether the background of the button is transparent.

Pascal

property Transparent: Boolean;

Description

Use Transparent to specify whether the background of the button is transparent.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Flat


TJvImageSpeedButton.WordWrap property

TJvImageSpeedButton	Edit topic

Specifies whether the button text wraps to fit the width of the control.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to true to allow the speed button to display multiple line of text. When WordWrap is true, text that is too wide for the control wraps at the right margin.

Set WordWrap to false to limit the button to a single line. When WordWrap is false, text that is too wide for the button appears truncated.

Created with Doc-O-Matic.


TJvImageSquare
JEDI-VCL Reference

 TJvImageSquare

Hierarchy	Properties	Package	 Edit topic

A control that can display an image from an imagelist.

Pascal

TJvImageSquare = class(TJvGraphicControl);

File

JvImageSquare

Description

Use TJvImageSquare when you need a control that can display an image from an imagelist. By setting the Images and ImageIndex properties, the control displays the selected image in its client area.

Use properties like Color, HiColor and BorderStyle to modify the control's appearance. Use ShowClick to alter its behavior.

Created with Doc-O-Matic.


TJvImageSquare Properties

TJvImageSquare	Legend

Properties

 BorderStyle

 HiColor

 ImageIndex

 Images

 ShowClick

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvImageSquare

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvImageSquare


TJvImageSquare Members

TJvImageSquare	Legend

Members

Properties

 BorderStyle

 HiColor

 ImageIndex

 Images

 ShowClick

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

MM


TJvImageSquare.BorderStyle property

TJvImageSquare	Edit topic

Specifies whether the control has a border.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to get or set whether the control has a border.

Created with Doc-O-Matic.


TJvImageSquare.HiColor property

TJvImageSquare	See Also	Edit topic

Specifies the background color to use when hot tracking.

Pascal

property HiColor: TColor;

Description

Use HiColor to specify the color to use when the mouse is hovering over the control.

Created with Doc-O-Matic.


See Also

Color


TJvImageSquare.ImageIndex property

TJvImageSquare	See Also	Edit topic

Specifies the index of the image to display from the image list.

Pascal

property ImageIndex: Integer;

Description

Use ImageIndex to specify the image to display in the control. The icon with the specified index is drawn using Images. To not display an image, set ImageIndex to -1.

Created with Doc-O-Matic.


See Also

TJvImageSquare.Images


TJvImageSquare.Images property

TJvImageSquare	See Also	Edit topic

Specifies an imagelist to retrieve the displayed image from.

Pascal

property Images: TCustomImageList;

Description

Set Images to an imagelist where the component should retrieve the image to display. Images in combination with the ImageIndex property determines what image to display.

Created with Doc-O-Matic.


See Also

TJvImageSquare.ImageIndex


TJvImageSquare.ShowClick property

TJvImageSquare	See Also	Edit topic

Specifies if mouse clicks are shown visually.

Pascal

property ShowClick: Boolean;

Description

Use ShowClick to specify whether mouse clinks are shown or not. if ShowClick is true, a small, double-line frame with a white background is drawn around the image when the user clicks with the mouse.

Created with Doc-O-Matic.


See Also

Click, OnClick


TJvImagesViewer
JEDI-VCL Reference

 TJvImagesViewer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Control that can display images in a grid like fashion.

Pascal

TJvImagesViewer = class(TJvCustomItemViewer);

File

JvImagesViewer

Description

Use the TJvImagesViewer control when you need to display images from disk files or from other sources in a grid like control. To display images from disk files, use the Directory and FileMask properties to specify what images should be displayed and from where. To display images from other sources, set the Count property and use each item's Picture property to assign the images to display.

Created with Doc-O-Matic.


TJvImagesViewer Properties

TJvImagesViewer	Legend

Properties

Count

 Directory

 FileMask

 Items

 Options

 SelectedIndex

TJvCustomItemViewer

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvImagesViewer Events

TJvImagesViewer	Legend

Events

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnLoadBegin

 OnLoadEnd

 OnLoadError

 OnLoadProgress

 OnOptionsChanged

 OnScroll

TJvCustomItemViewer

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvImagesViewer Methods

TJvImagesViewer	Legend

Methods

 DrawItem

 GetItemClass

 GetOptionsClass

 LoadImages

TJvCustomItemViewer

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvImagesViewer

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TScrollingWinControl, IJvExControl
        TJvExScrollingWinControl
            TJvCustomItemViewer
                TJvImagesViewer


TJvImagesViewer Members

TJvImagesViewer	Legend

Members

Properties

Count

 Directory

 FileMask

 Items

 Options

 SelectedIndex

TJvCustomItemViewer

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnLoadBegin

 OnLoadEnd

 OnLoadError

 OnLoadProgress

 OnOptionsChanged

 OnScroll

TJvCustomItemViewer

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 DrawItem

 GetItemClass

 GetOptionsClass

 LoadImages

TJvCustomItemViewer

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

Custom


TJvImagesViewer.Count property

TJvImagesViewer	See Also	Edit topic

Specifies the number of items in the control.

Pascal

property Count: Integer;

Description

Use Count to read and change the number of items in the control. Changing Count will change the upper bound of the Items array. Calling Add, Delete and Clear automatically changes Count.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Add, TJvCustomItemViewer.Clear, TJvCustomItemViewer.Delete, TJvCustomItemViewer.Items


TJvImagesViewer.Directory property

TJvImagesViewer	See Also	Edit topic

Specifies the directory to search for files.

Pascal

property Directory: WideString;

Description

Use the Directory property to specify the directory to search for image files. Directory in combination with FileMask defines the file types to find.

If you set Directory to an empty string, it will be expanded to the current directory (as returned by GetCurrentDir).

Notes

Changing Directory triggers the LoadImages method.

Created with Doc-O-Matic.


See Also

TJvImagesViewer.FileMask, TJvImagesViewer.LoadImages


TJvImagesViewer.FileMask property

TJvImagesViewer	See Also	Edit topic

Specifies the file mask to use to filter the files to display.

Pascal

property FileMask: WideString;

Description

Use FileMask to specify the file types to display in the control. FileMask can contain multiple file masks and accepts wildcards. Separate individual items with comma or semicolon. Each individual mask item is concatenated with the value of Directory and a search is done on that value.

The following examples are all valid file masks:

  *.gif

  *.bmp;*.jpg;*.jpeg

  Jv*.bm?,*.g*,*.ico,*.ani,*.cur

Notes

Changing FileMask triggers the LoadImages method.

Created with Doc-O-Matic.


See Also

TJvImagesViewer.Directory, TJvImagesViewer.LoadImages


TJvImagesViewer.Items property

TJvImagesViewer	See Also	Edit topic

Provides indexed access to the items in the control.

Pascal

property Items [Index: Integer]: TJvPictureItem;

Parameters

Index

The index of the item. Valid indices is in the range 0 to Count - 1.

Description

Use Items to access the items in the control.

Created with Doc-O-Matic.


See Also

Count


TJvImagesViewer.OnDeletion event

TJvImagesViewer	See Also	Edit topic

Occurs when an item is deleted in the list.

Pascal

property OnDeletion: TJvViewerItemChangedEvent;

Description

Write a handler for this event to take specific action when an item is deleted from the list.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnInsertion


TJvImagesViewer.OnDrawItem event

TJvImagesViewer	See Also	Edit topic

Called whenever an item needs to be drawn.

Pascal

property OnDrawItem: TJvViewerItemDrawEvent;

Parameters

Sender

The object that triggered the event.

Index

The index of the item to draw.

State

The state of the item to draw.

Canvas

The control's canvas to draw on.

ItemRect

The bounding rect of the item to draw, excluding the text area.

TextRect

The bounding rect of the text area for the item.

Description

Assign an event handler to the OnDrawItem to control the way an item is drawn in the control. DrawItem calls OnDrawItem for each item in the Items array as needed.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.DrawItem


TJvImagesViewer.OnInsertion event

TJvImagesViewer	See Also	Edit topic

Occurs when a new item is added to the list.

Pascal

property OnInsertion: TJvViewerItemChangedEvent;

Description

Write a handler for this event to take specific action when an item is added to the list.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnDeletion


TJvImagesViewer.OnItemChanged event

TJvImagesViewer	See Also	Edit topic

Called when an item has changed.

Pascal

property OnItemChanged: TJvViewerItemChangedEvent;

Parameters

Sender

The object that triggered the event.

Item

The item that has changed.

Description

Write an event handler for the OnItemChanged event to take specific action when an item in the Items array has changed. For example, you might want to update a status display whenever a property of an item has been modified.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanging


TJvImagesViewer.OnItemChanging event

TJvImagesViewer	See Also	Edit topic

Called when an item is about to change.

Pascal

property OnItemChanging: TJvViewerItemChangingEvent;

Parameters

Sender

The object that triggered the event.

Item

The item that is about to change.

Allow

Set to false to disallow the change. Default value is true.

Description

Write an event handler for the OnItemChanging event to take specific action when an item in the Items array is about to change. For example, you might want to prohibit changes to items under certain circumstances.

To disallow an item to change, set the Allow parameter to false. By default, Allow is true.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanged


TJvImagesViewer.OnItemHint event

TJvImagesViewer	Edit topic

Occurs when the hint for an item is about to be displayed.

Pascal

property OnItemHint: TJvViewerItemHintEvent;

Parameters

Sender

The item viewer that triggered the event.

Index

The index of the item for which a hint is to be displayed

HintInfo

Provides access to the hint info.

Handled

Set this to true if your code handles the hint itself.

Description

Write a handler for this event to take specific action when the hint for an item is about to be displayed.

Created with Doc-O-Matic.


TJvImagesViewer.OnLoadBegin event

TJvImagesViewer	See Also	Edit topic

Occurs just before the loading of images starts.

Pascal

property OnLoadBegin: TNotifyEvent;

Description

Write a handler for the OnLoadBegin event to take specific action just before the image loading begin. Image loading begins when you call LoadImages or change the Directory or FileMask properties and ends when all image files matching the file mask in FileMask located in Directory has been loaded.

Created with Doc-O-Matic.


See Also

TJvImagesViewer.Directory, TJvImagesViewer.FileMask, TJvImagesViewer.LoadImages, TJvImagesViewer.OnLoadEnd


TJvImagesViewer.OnLoadEnd event

TJvImagesViewer	See Also	Edit topic

Occurs after the loading of images completed.

Pascal

property OnLoadEnd: TNotifyEvent;

Description

Write a handler for the OnLoadEnd event to take specific action just after the image loading ends. Image loading begins when you call LoadImages or change the Directory or FileMask properties and ends when all image files matching the file mask in FileMask located in Directory has been loaded.

Created with Doc-O-Matic.


See Also

TJvImagesViewer.Directory, TJvImagesViewer.FileMask, TJvImagesViewer.LoadImages, TJvImagesViewer.OnLoadBegin


TJvImagesViewer.OnLoadError event

TJvImagesViewer	Edit topic

Occurs when an error occurs while loading an image.

Pascal

TJvImageLoadErrorEvent = procedure (Sender: TObject; E: Exception; const FileName: WideString; var Handled: Boolean) of object;
property OnLoadError: TJvImageLoadErrorEvent;

Parameters

FileName

The file that triggered the event. This is empty if the image is loaded from some other source than a file on disk (like the clipboard or a TPicture object).

Handled

Set this parameter to true if you want to handle the error yourself. If Handled is false (the default), no error is reported and the item is removed from the Items property. If Handled is set to true, the image is cleared and the exception is raised but the item is left in the Items property.

Sender

The object that triggered the event.

E

The Exception object that was triggered.

Description

Write a handler for the OnLoadError event to take specific actions when an error occurs while loading an image from file. For example, if the image file is corrupted or the file does not contain a recognized image format, this event is triggered.

Created with Doc-O-Matic.


TJvImagesViewer.OnLoadProgress event

TJvImagesViewer	Edit topic

Occurs periodically during slow operations that affect the image being loaded.

Pascal

TJvImageViewerLoadProgress = procedure (Sender: TObject; Item: TJvPictureItem; Stage: TProgressStage; PercentDone: Byte; RedrawNow: Boolean; const R: TRect; const Msg: string) of object;
property OnLoadProgress: TJvImageViewerLoadProgress;

Parameters

RedrawNow

True if the control should be redrawn.

R

Indicates whether the image can safely be drawn on screen at this point. The R parameter specifies the portion of the image that has changed and needs to be redrawn.

Msg

Contains one or two words that describe what operation is occurring. For example, the value of Msg could be a string such as Loading, Storing, or Reducing colors. The Msg string can also be empty.

PercentDone

An approximation of how much of the operation has completed. Use PercentDone to update the position of a progress bar or other indicator.

Sender

The object that triggered the event.

Item

The item that is being loaded.

Stage

Indicates whether the operation is beginning, continuing, or ending. If the event handler displays an indicator such as a progress bar, the indicator can be created when Stage is psStarting, updated while Stage is psRunning, and removed when Stage is psEnding.

Description

OnLoadProgress is generated by the particular graphic that the picture object contains. Whether OnLoadProgress occurs depends upon the type of graphic the item is loading. Some graphics generate this event, others do not. Jpeg images, for example, generate an OnLoadProgress event.

Write an OnLoadProgress event handler to provide the user with feedback during slow operations such as loading large compressed images.

Notes

The PercentDone parameter is only an approximation. With some image formats, the value of PercentDone may actually decrease from the value in previous events, as the graphic object discovers there is more work to do.

Created with Doc-O-Matic.


TJvImagesViewer.OnOptionsChanged event

TJvImagesViewer	See Also	Edit topic

Called when an option has changed.

Pascal

property OnOptionsChanged: TNotifyEvent;

Description

Write an event handler for the OnOptionsChanged event to take specific action whenever an option has changed.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OptionsChanged


TJvImagesViewer.OnScroll event

TJvImagesViewer	Edit topic

Called when the control is scrolled.

Pascal

property OnScroll: TNotifyEvent;

Description

Write an event handler for the OnScroll event to take specific action when the control is scrolled using the scroll bar.

Created with Doc-O-Matic.


TJvImagesViewer.Options property

TJvImagesViewer	Edit topic

Specifies options and default appearance for the images viewer.

Pascal

property Options: TJvImageViewerOptions;

Description

Use the Options property to customize the appearance and functionality of the images viewer.

Created with Doc-O-Matic.


TJvImagesViewer.SelectedIndex property

TJvImagesViewer	See Also	Edit topic

Specifies the index of the currently or last selected item.

Pascal

property SelectedIndex: Integer;

Description

Read SelectedIndex to determine the index of the currently selected item. If SelectedIndex is -1, no item is selected. If Options.MultiSelect is true, SelectedIndex returns the index of the item that was selected most recently.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Selected


TJvImagesViewer.DrawItem method

TJvImagesViewer	Edit topic

Called when an item needs to be visually updated.

Pascal

procedure DrawItem(Index: Integer; State: TCustomDrawState; Canvas: TCanvas; ItemRect: TRect; TextRect: TRect); override;

Parameters

Index

The index of the item in the Items array.

State

The current state of the item to draw.

Canvas

The canvas to draw on.

ItemRect

The rect of the item to draw excluding TextRect.

TextRect

The rect of the text (if any) to draw. This rect is adjusted according to Options.Layout and Options.Alignment.

Description

DrawItem is called for each item when it needs to be redrawn. Override this method in a descendant class to change the way items are drawn. Depending on the value of Options.LazyRead, DrawItem is called differently. If LazyRead is true, DrawItem is called for each visible item. If LazyRead is false, DrawItem is called for all items.

Created with Doc-O-Matic.


TJvImagesViewer.GetItemClass method

TJvImagesViewer	Edit topic

Returns the class type of the items in the Items list.

Pascal

function GetItemClass: TJvViewerItemClass; override;

Description

Override GetItemClass in descendant classes to return the class type of the items in the Items array.

Created with Doc-O-Matic.


TJvImagesViewer.GetOptionsClass method

TJvImagesViewer	Edit topic

Returns the class type of the class used for the Options property.

Pascal

function GetOptionsClass: TJvItemViewerOptionsClass; override;

Return Value

The class type of the Options property.

Description

Override GetOptionsClass in descendant classes to return the class type for the control's Options property.

Created with Doc-O-Matic.


TJvImagesViewer.LoadImages method

TJvImagesViewer	Edit topic

Updates the control to display the image files available in the selected directory.

Pascal

function LoadImages: Boolean; virtual;

Return Value

LoadImages returns true if it found at least one matching image.

Description

Call LoadImages to reread and display the content of a specific directory.

Created with Doc-O-Matic.


TJvImageViewerOptions
JEDI-VCL Reference

TJvImageViewerOptions

Hierarchy	Properties	Methods	 See Also	Edit topic

Class used for the Options property in a TJvImagesViewer.

Pascal

TJvImageViewerOptions = class(TJvCustomItemViewerOptions);

File

JvImagesViewer

Description

TJvImageViewerOptions is the class type for the Options property in a TJvImagesViewer. TJvImageViewerOptions derives from TJvCustomItemViewerOptions and publishes many of its properties as well as introducing new ones.

Created with Doc-O-Matic.


TJvImageViewerOptions Properties

TJvImageViewerOptions	Legend

Properties

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 FrameColor

 Height

 HorzSpacing

 HotColor

 HotFrameSize

 HotTrack

 ImagePadding

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Tracking

 Transparent

 VertSpacing

 Width

TJvCustomItemViewerOptions

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvImageViewerOptions Methods

TJvImageViewerOptions	Legend

Methods

TJvCustomItemViewerOptions

 Change

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvImageViewerOptions

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomItemViewerOptions
        TJvImageViewerOptions


TJvImageViewerOptions Members

TJvImageViewerOptions	Legend

Members

Properties

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 FrameColor

 Height

 HorzSpacing

 HotColor

 HotFrameSize

 HotTrack

 ImagePadding

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Tracking

 Transparent

 VertSpacing

 Width

TJvCustomItemViewerOptions

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Methods

TJvCustomItemViewerOptions

 Change

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


See Also

TJvCustomItemViewerOptions, TJvImagesViewer


TJvImageViewerOptions.Alignment property

TJvImageViewerOptions	See Also	Edit topic

Specifies how text is aligned within an item.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to specify whether values should be left-justified, right-justified, or centered in an item.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Layout


TJvImageViewerOptions.AutoCenter property

TJvImageViewerOptions	See Also	Edit topic

Specifies whether items are centered within the control.

Pascal

property AutoCenter: Boolean;

Description

Set AutoCenter to true to center the visible items in the control. Centering is done differently depending on the value of ScrollBar. If ScrollBar is tvHorizontal, the visible items are center vertically in the control, otherwise they are centered horizontally.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.ScrollBar


TJvImageViewerOptions.BrushPattern property

TJvImageViewerOptions	See Also	Edit topic

Specifies the background brush pattern to use for a selected item.

Pascal

property BrushPattern: TJvBrushPattern;

Description

BrushPattern provides access to properties that control the appearance of the background pattern used for selected items in a TJvCustomItemViewer.

Created with Doc-O-Matic.


See Also

TJvBrushPattern


TJvImageViewerOptions.DragAutoScroll property

TJvImageViewerOptions	Edit topic

Specifies whether the control scrolls automatically when needed in a drag drop event.

Pascal

property DragAutoScroll: Boolean;

Description

Set DragAutoScroll to true to make the TJvCustomItemViewer scroll automatically when the mouse is near an edge in a drag and drop process. SetAutoDragScroll to false, to disable or handle the scrolling manually.

Created with Doc-O-Matic.


TJvImageViewerOptions.FrameColor property

TJvImageViewerOptions	See Also	Edit topic

Specifies the color to use for the frame around an item.

Pascal

property FrameColor: TColor;

Description

Use FrameColor to set the color used for the frame around an item. If color is set to clNone, no frame is displayed.

Created with Doc-O-Matic.


See Also

TJvImageViewerOptions.HotColor


TJvImageViewerOptions.Height property

TJvImageViewerOptions	See Also	Edit topic

Specifies the vertical size of an item in the control in pixels.

Pascal

property Height: Integer;

Description

Use the Height property to read or change the height of an item in the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Width


TJvImageViewerOptions.HorzSpacing property

TJvImageViewerOptions	See Also	Edit topic

Specifies the horizontal spacing between items.

Pascal

property HorzSpacing: Integer;

Description

Use the HorzSpacing property to read or change the horizontal distance between two items in the control. The distance is expressed in pixels.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.VertSpacing


TJvImageViewerOptions.HotColor property

TJvImageViewerOptions	See Also	Edit topic

Specifies the color to use when an item is hot tracked.

Pascal

property HotColor: TColor;

Description

Use HotColor to specify the color to use when an item is hot tracked. This property only has effect when HotTrack is true. If HotColor is set to clNone, no frame is displayed when the mouse hovers over the item, regardless of the HotTrack setting.

Created with Doc-O-Matic.


See Also

HotTrack


TJvImageViewerOptions.HotFrameSize property

TJvImageViewerOptions	See Also	Edit topic

Specifies the size of the frame of a hot tracked item.

Pascal

property HotFrameSize: Integer;

Description

Use HotFrameSize to specify the size of the frame when an item is hot tracked. This property only has effect when HotTrack is true,

Created with Doc-O-Matic.


See Also

HotTrack


TJvImageViewerOptions.HotTrack property

TJvImageViewerOptions	Edit topic

Specifies whether items are highlighted when the mouse passes over them.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse. When HotTrack is False, there is no visual feedback when the mouse passes over the item.

Created with Doc-O-Matic.


TJvImageViewerOptions.ImagePadding property

TJvImageViewerOptions	Edit topic

Specifies the spacing around the image in an item.

Pascal

property ImagePadding: Integer;

Description

Use ImagePadding to specify the amount of padding that should surround the image in an item. For example, if the item is 20 pixels wide and the ImagePadding is 10, only 10 pixels remain to display the image.

Created with Doc-O-Matic.


TJvImageViewerOptions.Layout property

TJvImageViewerOptions	See Also	Edit topic

Specifies the vertical placement of the text within an item.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of an item is placed within the bounds of the item. Layout is the vertical analog to the Alignment property.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Alignment


TJvImageViewerOptions.LazyRead property

TJvImageViewerOptions	See Also	Edit topic

Specifies how and when items are created.

Pascal

property LazyRead: Boolean;

Description

Use the LazyRead property to specify how and when items are created by the control. If LazyRead is true, items are created and initialized when needed. If LazyRead is false, items are created as soon as they are added to the Items array.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Add, TJvCustomItemViewer.Count, TJvCustomItemViewer.Insert, TJvCustomItemViewer.Items


TJvImageViewerOptions.MultiSelect property

TJvImageViewerOptions	Edit topic

Specifies whether the user can select more than one item at a time.

Pascal

property MultiSelect: Boolean;

Description

Use the MultiSelect property to specify whether the users can select more than one item at a time in the control.

Created with Doc-O-Matic.


TJvImageViewerOptions.ReduceMemoryUsage property

TJvImageViewerOptions	Edit topic

Specifies whether memory usage should be kept to a minimum.

Pascal

property ReduceMemoryUsage: Boolean;

Description

Set ReduceMemoryUsage to minimize the memory usage of the items in the control. Note that reducing memory usage might affect the update speed of the control.

Created with Doc-O-Matic.


TJvImageViewerOptions.RightClickSelect property

TJvImageViewerOptions	Edit topic

Determines whether items that are clicked using the right mouse button are also selected.

Pascal

property RightClickSelect: Boolean;

Description

Use RightClickSelect to allow the user to select items using the right mouse button. If RightClickSelect is True, the value of Selected is the value of the node last clicked with either the right or left mouse button. If RightClickSelect is False, the value of Selected is the node last clicked using the left mouse button.

Created with Doc-O-Matic.


TJvImageViewerOptions.ScrollBar property

TJvImageViewerOptions	Edit topic

Specifies which scrollbar is displayed when items cannot fit within the client rect of the control.

Pascal

property ScrollBar: TJvItemViewerScrollBar;

Description

Set ScrollBar to tvHorizontal to display a horizontal scrollbar when the items cannot fit inside the client area of the control. Set ScrollBar to tvVertical to display a vertical scrollbar when the items cannot fit.

Notes

Although the control publishes the HorzScrollBar and VertScrollBar properties, do not use these to set the Visible property of the scrollbars since it will be changed immediately by the control. HorzScrollBar and VertScrollBar are published by the ancestor TScrollingWinControl and thus cannot be unpublished again.

Created with Doc-O-Matic.


TJvImageViewerOptions.ShowCaptions property

TJvImageViewerOptions	Edit topic

Specifies whether items display text or not.

Pascal

property ShowCaptions: Boolean;

Description

Use the ShowCaptions property to specify whether items show their captions or not. This property affects the calculation of the ItemRect and TextRect parameters passed to TJvCustomItemViewer.DrawItem.

Created with Doc-O-Matic.


TJvImageViewerOptions.Tracking property

TJvImageViewerOptions	Edit topic

Determines whether the scroll box moves before the thumb tab is released.

Pascal

property Tracking: Boolean;

Description

Use Tracking to control whether the scrollbar and associated control repaint while the thumb tab is dragged with the mouse. If Tracking is True, the image moves as the user drags the thumb tab. If Tracking is False, the image remains static until the thumb tab is released.

Repainting while the thumb tab is dragged can provide useful feedback to the user about how far the control has scrolled, but slows performance.

Created with Doc-O-Matic.


TJvImageViewerOptions.Transparent property

TJvImageViewerOptions	Edit topic

Specifies whether the images are drawn transparently.

Pascal

property Transparent: Boolean;

Description

Use Transparent to specify whether images are drawn transparently or not.

Notes

Not all image formats supports the notion of transparency.

Created with Doc-O-Matic.


TJvImageViewerOptions.VertSpacing property

TJvImageViewerOptions	See Also	Edit topic

Specifies the vertical spacing between items.

Pascal

property VertSpacing: Integer;

Description

Use the VertSpacing property to read or change the vertical distance between two items in the control. The distance is expressed in pixels.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.HorzSpacing


TJvImageViewerOptions.Width property

TJvImageViewerOptions	See Also	Edit topic

Specifies the horizontal size of an item the control in pixels.

Pascal

property Width: Integer;

Description

Use the Width property to read or change the width of an item in the control.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewerOptions.Height


TJvImgBtn
JEDI-VCL Reference

 TJvImgBtn

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A button similar to TJvBitBtn that displays images from an imagelist instead of from a bitmap. This button can also show an animation.

Pascal

TJvImgBtn = class(TJvCustomImageButton);

File

JvCtrls

Description

Use TJvImgBtn when you need a button that can have focus (derived from TWinControl) and can display text as well as an image. TJvImgBtn is very similar to a TJvBitBtn but gets its images from an imagelist instead of from a bitmap.

Using imagelists is the preferred method in modern UIs since it minimizes memory usage and simplifies a consistent look and feel.

Created with Doc-O-Matic.


TJvImgBtn Properties

TJvImgBtn	Legend

Properties

 Alignment

 Animate

 AnimateFrames

 AnimateInterval

 DropArrow

 DropDownMenu

 Flat

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 ImageIndex

 Images

 ImageVisible

 Kind

 Layout

 Margin

 OwnerDraw

 Spacing

 WordWrap

TJvCustomImageButton

 Alignment

 Animate

 AnimateFrames

 AnimateInterval

 Canvas

 CurrentAnimateFrame

 Flat

 ImageIndex

 Images

 ImageVisible

 Kind

 Layout

 Margin

 MouseInControl

 OwnerDraw

 Spacing

TJvCustomButton

 DropArrow

 DropDownMenu

 ForceSameSize

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 WordWrap

TJvExButton

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvImgBtn Events

TJvImgBtn	Legend

Events

 OnButtonDraw

 OnDropDownMenu

 OnGetAnimateIndex

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomImageButton

 OnButtonDraw

 OnGetAnimateIndex

TJvCustomButton

 OnDropDownMenu

 OnParentColorChange

TJvExButton

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvImgBtn Methods

TJvImgBtn	Legend

Methods

TJvCustomImageButton

 Click

DrawButtonFocusRect

DrawButtonFrame

DrawButtonImage

DrawButtonText

TJvCustomButton

 Click

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvImgBtn

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TButton, IJvExControl
        TJvExButton
            TJvCustomButton
                TJvCustomImageButton
                    TJvImgBtn


TJvImgBtn Members

TJvImgBtn	Legend

Members

Properties

 Alignment

 Animate

 AnimateFrames

 AnimateInterval

 DropArrow

 DropDownMenu

 Flat

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 ImageIndex

 Images

 ImageVisible

 Kind

 Layout

 Margin

 OwnerDraw

 Spacing

 WordWrap

TJvCustomImageButton

 Alignment

 Animate

 AnimateFrames

 AnimateInterval

 Canvas

 CurrentAnimateFrame

 Flat

 ImageIndex

 Images

 ImageVisible

 Kind

 Layout

 Margin

 MouseInControl

 OwnerDraw

 Spacing

TJvCustomButton

 DropArrow

 DropDownMenu

 ForceSameSize

 HintColor

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 WordWrap

TJvExButton

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnButtonDraw

 OnDropDownMenu

 OnGetAnimateIndex

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomImageButton

 OnButtonDraw

 OnGetAnimateIndex

TJvCustomButton

 OnDropDownMenu

 OnParentColorChange

TJvExButton

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomImageButton

 Click

DrawButtonFocusRect

DrawButtonFrame

DrawButtonImage

DrawButtonText

TJvCustomButton

 Click

 DrawDropArrow

 SetBounds

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvImgBtn.Alignment property

TJvImgBtn	Edit topic

Controls the horizontal placement of the text within the control.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text of the control is justified within the ClientRect.

The effect of the Alignment property is more obvious if the WordWrap property is True and the control includes more than one line of text.

Created with Doc-O-Matic.


TJvImgBtn.Animate property

TJvImgBtn	See Also	Edit topic

Specifies if the image on the button is animated

Pascal

property Animate: Boolean;

Description

Set Animate to true to start an animation of the image on the button. To set up the animation, use the properties AnimateFrames and AnimateInterval.

Created with Doc-O-Matic.


See Also

AnimateFrames, AnimateInterval, CurrentAnimateFrame


TJvImgBtn.AnimateFrames property

TJvImgBtn	See Also	Edit topic

Specifies how many images are animated when Animate is True.

Pascal

property AnimateFrames: Integer;

Description

Use AnimateFrames to specify how many images in the imagelist are displayed before restarting the animation. The animation always starts at the image indicated by the ImageIndex property.

For example, if ImageIndex is set to 0 and AnimateFrames is set to 3, the images with index 0, 1 and 3 are animated.

Created with Doc-O-Matic.


See Also

Animate, AnimateInterval, ImageIndex, Images


TJvImgBtn.AnimateInterval property

TJvImgBtn	See Also	Edit topic

Specifies the interval between the animations.

Pascal

property AnimateInterval: Cardinal;

Description

Use AnimateInterval to set the number of milliseconds that should pass before a new image is displayed on the button when animation is active.

Created with Doc-O-Matic.


See Also

Animate, AnimateFrames


TJvImgBtn.DropArrow property

TJvImgBtn	See Also	Edit topic

Determines whether a drop arrow is drawn on the control when a DropDownMenu is assigned

Pascal

property DropArrow: Boolean;

Description

Set DropArrow to true to automatically show an arrow in the button when the DropDownMenu property is assigned. The arrow is always displayed in a fixed position on the right side of the button. If the arrow interferes with the image or text of the button, either resize the button or change the values of Margin and Spacing until you are satisfied.

Created with Doc-O-Matic.


See Also

DropDownMenu, Margin, Spacing


TJvImgBtn.DropDownMenu property

TJvImgBtn	Edit topic

Specifies a TPopupMenu to display when the button is clicked

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu to display a menu when the button is clicked. The menu is displayed below the button. To control where the menu is displayed (right, left, center), use the menus Align property

Created with Doc-O-Matic.


TJvImgBtn.Flat property

TJvImgBtn	Edit topic

Determines whether the button has a 3D or flat border.

Pascal

property Flat: Boolean;

Description

Set Flat to True to change the normal thick 3D border into a thinner and flatter looking border. When Flat is True, the border is only shown when the button has focus or when the mouse is within the control's client area.

Created with Doc-O-Matic.


TJvImgBtn.HintColor property

TJvImgBtn	Edit topic

Determines the color of the hint boxes for the Help Hints for the button.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvImgBtn.HotTrack property

TJvImgBtn	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is False, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

HotTrackFont, HotGlyph, OnMouseEnter, OnMouseLeave


TJvImgBtn.HotTrackFont property

TJvImgBtn	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is True.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to True, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

HotTrack, HotGlyph


TJvImgBtn.HotTrackFontOptions property

TJvImgBtn	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

HotTrack, HotTrackFont


TJvImgBtn.ImageIndex property

TJvImgBtn	See Also	Edit topic

Identifies the image associated with the control.

Pascal

property ImageIndex: Integer;

Description

Set ImageIndex to specify the image that appears in the control. ImageIndex is an index into the Images property of the control.

Created with Doc-O-Matic.


See Also

Images


TJvImgBtn.Images property

TJvImgBtn	See Also	Edit topic

Specifies the imagelist containing the image displayed in the control.

Pascal

property Images: TCustomImageList;

Description

Use Images to specify the imagelist that contains the image you want to display in the control. To select an image from the list, set the ImageIndex property to a valid value.

Created with Doc-O-Matic.


See Also

ImageIndex


TJvImgBtn.ImageVisible property

TJvImgBtn	See Also	Edit topic

Specifies if an image is shown in the control.

Pascal

property ImageVisible: Boolean;

Description

Use ImageVisible to quickly turn on and off the display of the image in the control without having to change any image related settings.

To display an image, you must first set up the Images and ImageIndex properties. To animate the image, you must also set up the AnimateInterval and AnimateFrames properties as well as set Animate to true.

Created with Doc-O-Matic.


See Also

Animate, AnimateFrames, AnimateInterval, ImageIndex, Images


TJvImgBtn.Kind property

TJvImgBtn	See Also	Edit topic

Specifies the kind of image the button displays.

Pascal

property Kind: TJvImgBtnKind;

Description

Use Kind to specify the appearance of the image button and the value of ModalResult when the user clicks the button.

The images (such as the green check mark on the OK button) appear on the button when using this version of TBitBtn.

Created with Doc-O-Matic.


See Also

ModalResult


TJvImgBtn.Layout property

TJvImgBtn	See Also	Edit topic

Specifies where the image appears on the image button.

Pascal

property Layout: TJvImgBtnLayout;

Description

Layout indicates whether the text appears on the left of the button (blImageLeft) or the right of the button (blImageRight).

Created with Doc-O-Matic.


See Also

List here other properties, methods (comma seperated)


TJvImgBtn.Margin property

TJvImgBtn	See Also	Edit topic

Specifies the number of pixels between the edge of the image and the edge of the button.

Pascal

property Margin: Integer;

Description

The margin is the space between the image edge and the button edge. The format of the edges depends on the layout of the image and text (specified in the Layout property). For example, if Layout is blImageLeft, the margin appears between the left edge of the image and the left edge of the button. If Margin is 3, three pixels separate the image and the button edges. If Margin is 0, there is no space between the image and the button edges.

If Margin is -1 (the default value), the image and text (specified in the Caption property) are centered. The number of pixels between the image and button edge is equal to the number of pixels between the opposite edge of the button and the text.

Created with Doc-O-Matic.


See Also

ImageIndex, Images, Layout


TJvImgBtn.OnButtonDraw event

TJvImgBtn	See Also	Edit topic

Occurs when the button needs to be drawn

Pascal

property OnButtonDraw: TJvImgBtnDrawEvent;

Parameters

Sender

The object that triggered the event

DrawItemStruct

Holds information about the current state of the control

Description

Write a handler for this event to draw the button yourself. To activate this event, you must set OwnerDraw to true.

Created with Doc-O-Matic.


See Also

OwnerDraw


TJvImgBtn.OnDropDownMenu event

TJvImgBtn	See Also	Edit topic

Occurs just before the DropDownMenu is displayed

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when a DropDownMenu is about to be shown. For example, you can prevent the menu to be displayed by setting the Handled parameter to True.

Note that this event is only triggered if there is a DropDownMenu assigned to the button.

Created with Doc-O-Matic.


See Also

DropDownMenu, OnContextPopup


TJvImgBtn.OnGetAnimateIndex event

TJvImgBtn	Edit topic

Occurs just before a new image is to be displayed in an animation sequence

Pascal

property OnGetAnimateIndex: TJvImgBtnAnimIndexEvent;

Parameters

Sender

The object that triggered the event

CurrentAnimateFrame

The index of the currently displayed image

ImageIndex

The index of the next image to display

Description

Assign a handler to this event if you want to be notified when the image is changed in the button or if you want to handle image transitions yourself. Assign a new value to ImageIndex to change the next image that is displayed.

Created with Doc-O-Matic.


TJvImgBtn.OnMouseEnter event

TJvImgBtn	See Also	Edit topic

Occurs when the mouse pointer moves over the button.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the button.

Created with Doc-O-Matic.


See Also

TJvExButton.OnMouseLeave


TJvImgBtn.OnMouseLeave event

TJvImgBtn	See Also	Edit topic

Occurs when the mouse pointer moves off the button.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the button. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExButton.OnMouseEnter


TJvImgBtn.OnParentColorChange event

TJvImgBtn	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvImgBtn.OwnerDraw property

TJvImgBtn	See Also	Edit topic

Specifies whether the control receives an OnButtonDraw event.

Pascal

property OwnerDraw: Boolean;

Description

Set OwnerDraw to True to allow the button to receive the OnButtonDraw event. If OwnerDraw is true, the button is not drawn automatically, instead you will have to provide the drawing logic in the event handler.

Created with Doc-O-Matic.


See Also

OnButtonDraw


TJvImgBtn.Spacing property

TJvImgBtn	See Also	Edit topic

Determines where the image and text appear on an image button.

Pascal

property Spacing: Integer;

Description

Spacing determines the number of pixels between the image and the text. The default value is 4 pixels.

Created with Doc-O-Matic.


See Also

ImageIndex, Images, Layout


TJvImgBtn.WordWrap property

TJvImgBtn	Edit topic

Specifies whether the text wraps when it is too long for the width of the button.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to True to allow the button to display multiple line of text. When WordWrap is True, text that is too wide for the control wraps at the right margin and continues in additional lines.

Set WordWrap to False to limit the text to a single line. When WordWrap is False, text that is too wide for the button appears truncated.

Notes

To control where lines are word wrapped, you can include '||' in the Caption. These are replaced at run-time with CRLF's to break the text.

Created with Doc-O-Matic.


TJvImgBtnActionLink
JEDI-VCL Reference

TJvImgBtnActionLink

Hierarchy	 Edit topic

Action link class used internally by TJvImgBtn to support the Action property

Pascal

TJvImgBtnActionLink = class(TButtonActionLink);

File

JvCtrls

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TButtonActionLink
    TJvImgBtnActionLink


TJvIniLink
JEDI-VCL Reference

TJvIniLink

Hierarchy	Properties	Events	 See Also	Edit topic

Helper class used by objects that store data in a storage to coordinate to respond to storage events.

Pascal

TJvIniLink = class(TPersistent);

File

JvFormPlacement

Description

Use TJvIniLink in any object that stores data in a storage to represent its link to a storage component or that needs to respond to storage events.

The constructor of the object that stores data in a storage should call the constructor of TJvIniLink, and initialize any relevant properties. The object can then respond to the OnLoad and OnSave events to store or retrieve its data from the storage.

Created with Doc-O-Matic.


TJvIniLink Events

TJvIniLink

Events

OnLoad

OnSave

Created with Doc-O-Matic.


TJvIniLink Properties

TJvIniLink

Properties

Storage

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvIniLink


TJvIniLink Members

TJvIniLink

Members

Events

OnLoad

OnSave

Properties

Storage

Created with Doc-O-Matic.


See Also

TJvFormPlacement, TJvFormStorage


TJvIniLink.OnLoad event

TJvIniLink	See Also	Edit topic

Occurs when the storage component notifies the link a storage load event.

Pascal

property OnLoad: TNotifyEvent;

Description

Write an OnLoad event handler to take specific actions when the storage component specified by property Storage notifies the link a storage load event.

Objects that use a TJvIniLink object typically write an OnLoad event handler to retrieve its specific data from the storage.

Created with Doc-O-Matic.


See Also

OnSave


TJvIniLink.OnSave event

TJvIniLink	See Also	Edit topic

Occurs when the storage component notifies the link a storage save event.

Pascal

property OnSave: TNotifyEvent;

Description

Write an OnSave event handler to take specific actions when the storage component specified by property Storage notifies the link a storage save event.

Objects that use a TJvIniLink object typically write an OnSave event handler to store its specific data to the storage.

Created with Doc-O-Matic.


See Also

OnLoad


TJvIniLink.Storage property

TJvIniLink	See Also	Edit topic

Specifies the form storage component that manages the storage.

Pascal

property Storage: TJvFormPlacement;

Description

Read Storage to determine the form storage component that manages the storage. The TJvIniLink responds to storage events that are send by Storage, by notifying the object that owns the TJvIniLink object - by triggering the OnLoad and OnSave events.

Created with Doc-O-Matic.


See Also

TJvFormPlacement.Active, TJvFormPlacement.RestoreFormPlacement, TJvFormPlacement.SaveFormPlacement


TJvInspDataReg
JEDI-VCL Reference

TJvInspDataReg

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvInspDataReg = class(TPersistent);

File

JvInspector

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspDataReg Properties

TJvInspDataReg	Legend

Properties

 Count

 Items

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspDataReg Methods

TJvInspDataReg

Methods

Add

Clear

Locate

Remove

Created with Doc-O-Matic.


Legend

TJvInspDataReg

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvInspDataReg


TJvInspDataReg Members

TJvInspDataReg	Legend

Members

Properties

 Count

 Items

Methods

Add

Clear

Locate

Remove

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspDataReg.Count property

TJvInspDataReg	Edit topic

Not documented

Pascal

property Count: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspDataReg.Items property

TJvInspDataReg	Edit topic

Not documented

Pascal

property Items [I: Integer]: TJvCustomInspectorData;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspDataReg.Add method

TJvInspDataReg	Edit topic

Not documented

Pascal

function Add(Instance: TJvCustomInspectorData): TJvCustomInspectorData;

Parameters

Instance: TJvCustomInspectorData

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspDataReg.Clear method

TJvInspDataReg	Edit topic

Not documented

Pascal

procedure Clear;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspDataReg.Locate method

TJvInspDataReg	Edit topic

Not documented

Pascal

function Locate(Instance: TJvCustomInspectorData): Integer;

Parameters

Instance: TJvCustomInspectorData

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspDataReg.Remove method

TJvInspDataReg	Edit topic

Not documented

Pascal

procedure Remove(Instance: TJvCustomInspectorData);

Parameters

Instance: TJvCustomInspectorData

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector
JEDI-VCL Reference

 TJvInspector

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Inspector control.

Pascal

TJvInspector = class(TJvCustomInspector);

File

JvInspector

Description

TJvInspector is an inspector control. The inspector control is responsible of displaying and navigating the data tree. The control is completely separated from the editing layer and the editing layer is completely separated from the data layer. This means the control is able to "inspect" a wide variety of data types, without the need of creating a new descendant of the inspector control. It also means you can mix various data sources in one view.

The control does not handle the painting itself. This is left to a painter object.

Created with Doc-O-Matic.


TJvInspector Events

TJvInspector	Legend

Events

 AfterDataCreate

 AfterItemCreate

 BeforeEdit

 BeforeItemCreate

 BeforeSelection

 OnDataValueChanged

 OnEditorContextPopup

 OnEditorKeyDown

 OnEditorKeyPress

 OnEditorKeyUp

 OnEditorMouseDown

 OnItemDoubleClicked

 OnItemEdit

 OnItemSelected

 OnItemValueChanged

 OnItemValueChanging

 OnItemValueError

TJvCustomInspector

 AfterDataCreate

 AfterItemCreate

 BeforeEdit

 BeforeItemCreate

 BeforeSelection

 OnDataValueChanged

 OnEditorContextPopup

 OnEditorKeyDown

 OnEditorKeyPress

 OnEditorKeyUp

 OnEditorMouseDown

 OnItemDoubleClicked

 OnItemEdit

 OnItemSelected

 OnItemValueChanged

 OnItemValueChanging

 OnItemValueError

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvInspector Properties

TJvInspector	Legend

Properties

 AutoComplete

 AutoDropDown

 BandWidth

 CollapseButton

 Divider

 ExpandButton

InspectObject

 ItemHeight

LockCount

 Painter

 ReadOnly

 RelativeDivider

Root

Selected

SelectedIndex

TopIndex

 UseBands

VisibleCount

VisibleItems

 WantTabs

TJvCustomInspector

 AutoComplete

 AutoDropDown

 BandSizing

 BandSizingBand

 BandStarts

 BandWidth

 CollapseButton

 Divider

 DividerAbs

 DividerDragBandX

 DraggingDivider

 ExpandButton

 ImageHeight

 InspectObject

 ItemHeight

 LockCount

 NeedRebuild

 NeedRedraw

 Painter

 PaintGeneration

 ReadOnly

 RelativeDivider

 Root

 RowSizing

 RowSizingItem

 Selected

 SelectedIndex

 Selecting

 SortNotificationList

 TopIndex

 UseBands

 VisibleCount

 VisibleItems

 WantTabs

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspector Methods

TJvInspector	Legend

Methods

TJvCustomInspector

AddComponent

 BeginUpdate

 CalcImageHeight

 CalcItemIndex

 CalcItemRect

Clear

 DoAfterDataCreate

 DoAfterItemCreate

 DoBeforeItemCreate

 DoBeforeItemSelect

 DoItemSelected

 EndUpdate

 Focused

 FocusedItem

 GetBandFor

 GetButtonRect

 GetLastFullVisible

 HandleBandResize

 IdxToY

 IncPaintGeneration

 InvalidateHeight

 InvalidateItem

 InvalidateList

 NotifySort

 Paint

 RebuildVisible

RefreshValues

 RemoveNotifySort

SaveValues

 ScrollFactorV

 UpdateScrollBars

 ViewHeight

 ViewRect

 ViewWidth

 VisibleIndex

 YToIdx

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvInspector

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvCustomInspectorBase
    TJvCustomInspector
        TJvInspector


TJvInspector Members

TJvInspector	Legend

Members

Events

 AfterDataCreate

 AfterItemCreate

 BeforeEdit

 BeforeItemCreate

 BeforeSelection

 OnDataValueChanged

 OnEditorContextPopup

 OnEditorKeyDown

 OnEditorKeyPress

 OnEditorKeyUp

 OnEditorMouseDown

 OnItemDoubleClicked

 OnItemEdit

 OnItemSelected

 OnItemValueChanged

 OnItemValueChanging

 OnItemValueError

TJvCustomInspector

 AfterDataCreate

 AfterItemCreate

 BeforeEdit

 BeforeItemCreate

 BeforeSelection

 OnDataValueChanged

 OnEditorContextPopup

 OnEditorKeyDown

 OnEditorKeyPress

 OnEditorKeyUp

 OnEditorMouseDown

 OnItemDoubleClicked

 OnItemEdit

 OnItemSelected

 OnItemValueChanged

 OnItemValueChanging

 OnItemValueError

Properties

 AutoComplete

 AutoDropDown

 BandWidth

 CollapseButton

 Divider

 ExpandButton

InspectObject

 ItemHeight

LockCount

 Painter

 ReadOnly

 RelativeDivider

Root

Selected

SelectedIndex

TopIndex

 UseBands

VisibleCount

VisibleItems

 WantTabs

TJvCustomInspector

 AutoComplete

 AutoDropDown

 BandSizing

 BandSizingBand

 BandStarts

 BandWidth

 CollapseButton

 Divider

 DividerAbs

 DividerDragBandX

 DraggingDivider

 ExpandButton

 ImageHeight

 InspectObject

 ItemHeight

 LockCount

 NeedRebuild

 NeedRedraw

 Painter

 PaintGeneration

 ReadOnly

 RelativeDivider

 Root

 RowSizing

 RowSizingItem

 Selected

 SelectedIndex

 Selecting

 SortNotificationList

 TopIndex

 UseBands

 VisibleCount

 VisibleItems

 WantTabs

Methods

TJvCustomInspector

AddComponent

 BeginUpdate

 CalcImageHeight

 CalcItemIndex

 CalcItemRect

Clear

 DoAfterDataCreate

 DoAfterItemCreate

 DoBeforeItemCreate

 DoBeforeItemSelect

 DoItemSelected

 EndUpdate

 Focused

 FocusedItem

 GetBandFor

 GetButtonRect

 GetLastFullVisible

 HandleBandResize

 IdxToY

 IncPaintGeneration

 InvalidateHeight

 InvalidateItem

 InvalidateList

 NotifySort

 Paint

 RebuildVisible

RefreshValues

 RemoveNotifySort

SaveValues

 ScrollFactorV

 UpdateScrollBars

 ViewHeight

 ViewRect

 ViewWidth

 VisibleIndex

 YToIdx

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


See Also

$JVCL.Info.Inspector


Package

RuntimeDesign


TJvInspector.AfterDataCreate event

TJvInspector	Edit topic

Event called when the data instance has been created

Pascal

property AfterDataCreate: TInspectorDataEvent;

Parameters

Sender

The inspector control that fired the event

Data

The data instance belonging to the event

Description

The AfterDataCreate event is called right after the data instance has been created.

Created with Doc-O-Matic.


TJvInspector.AfterItemCreate event

TJvInspector	Edit topic

Event called when the item has been created.

Pascal

property AfterItemCreate: TInspectorItemEvent;

Parameters

Item

The item that has just been created.

Sender

Inspector that fired the event

Description

The AfterItemCreate event is called after the item has been constructed.

Created with Doc-O-Matic.


TJvInspector.AutoComplete property

TJvInspector	Edit topic

Not documented

Pascal

property AutoComplete: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.AutoDropDown property

TJvInspector	Edit topic

Not documented

Pascal

property AutoDropDown: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.BandWidth property

TJvInspector	See Also	Edit topic

Width of a band.

Pascal

property BandWidth: Integer;

Description

BandWidth holds the width of a band. Read BandWith to determine the current width of a band or set it to a new value.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.UseBands


TJvInspector.BeforeEdit event

TJvInspector	Edit topic

Not documented

Pascal

property BeforeEdit: TInspectorBeforeEditEvent;

Parameters

Sender

Not documented

Item

Not documented

Edit

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.BeforeItemCreate event

TJvInspector	Edit topic

Event fired before an item is constructed.

Pascal

property BeforeItemCreate: TInspectorItemBeforeCreateEvent;

Parameters

Sender

The inspector that fired the event

Data

A reference to the data instance

ItemClass

The item to be constructed for this data object.

Description

The BeforeItemCreate event is called after the data has been constructed and right before the item is constructed. The Data parameter references the Data instance just created. The ItemClass parameter can be set to an item class or nil to prevent the item from being created.

Created with Doc-O-Matic.


TJvInspector.BeforeSelection event

TJvInspector	See Also	Edit topic

Event fired before an item is selected.

Pascal

property BeforeSelection: TInspectorItemBeforeSelectEvent;

Parameters

Sender

The inspector that fired the event

NewItem

The item about to be selected.

Allow

When set to True, the selection will happen, otherwise the selection is aborted.

Description

The BeforeSelection event is called just before an item is selected.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.OnItemSelected


TJvInspector.CollapseButton property

TJvInspector	Edit topic

Bitmap to use as a collapse button.

Pascal

property CollapseButton: TBitmap;

Description

CollapseButton holds the TBitmap to use as a collapse button for an item. By default it uses the image used in Borlands Object Inspector.

Created with Doc-O-Matic.


TJvInspector.Divider property

TJvInspector	See Also	Edit topic

Divider position.

Pascal

property Divider: Integer;

Description

Divider is the position of the divider between the name and the value part.

Depending on the value of RelativeDivider, this is either an actual position in pixels (RelativeDivider set to False) or the percentage (RelativeDivider set to True) of the width of a band (UseBands set to True) or the width of the inspector (UseBands set to False).

To obtain or modify the actual position is pixels, regardless of the state of RelativeDivider you can read or set DividerAbs.

Read Divider to determine its current location or set it to a new position.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandWidth, TJvCustomInspector.DividerAbs, TJvCustomInspector.RelativeDivider, TJvCustomInspector.UseBands


TJvInspector.ExpandButton property

TJvInspector	Edit topic

Bitmap to use as an expand button.

Pascal

property ExpandButton: TBitmap;

Description

ExpandButton holds the TBitmap to use as an expand button for an item. By default it uses the image used in Borlands Object Inspector.

Created with Doc-O-Matic.


TJvInspector.InspectObject property

TJvInspector	See Also	Edit topic

Inspects the specified object.

Pascal

property InspectObject: TObject;

Description

Use InspectObject to specify a single object. The value of InspectObject is not reset when the items of the inspector is manually modified (e.g. after clearing the inspector or manually adding items).

Setting InspectObject to a new value will clear the inspector and add all published properties of the object to the root of the inspector.

Read InspectObject to determine the instance last inspected or set it to a new instance.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.AddComponent


TJvInspector.ItemHeight property

TJvInspector	See Also	Edit topic

Standard item height.

Pascal

property ItemHeight: Integer;

Description

ItemHeight is the standard items height. Although each item can have its own height, this property determines the default height for all non-resized items. In addition, this value could be used to determine the resize increments of an item.

When you change this property, all non-resizable items are resized accordingly. In addition the items that resize in increments of ItemHeight or need a minimum height of ItemHeight are adjusted as well.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.InvalidateHeight


TJvInspector.LockCount property

TJvInspector	Edit topic

Number of BeginUpdates not ended.

Pascal

property LockCount: Integer;

Description

LockCount is the number of BeginUpdates that have been issued but have not been matched with an EndUpdate.

Created with Doc-O-Matic.


TJvInspector.OnDataValueChanged event

TJvInspector	See Also	Edit topic

Event fired after the data value is changed.

Pascal

property OnDataValueChanged: TInspectorDataEvent;

Parameters

Sender

The inspector that fired the event. Data - Reference to the data instance who's value has changed.

Description

Write an OnDataValueChanged to perform additional actions when the value of a data instance is changed.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.OnItemValueChanged


TJvInspector.OnEditorContextPopup event

TJvInspector	Edit topic

Not documented

Pascal

property OnEditorContextPopup: TContextPopupEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnEditorKeyDown event

TJvInspector	Edit topic

Not documented

Pascal

property OnEditorKeyDown: TKeyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnEditorKeyPress event

TJvInspector	Edit topic

Not documented

Pascal

property OnEditorKeyPress: TKeyPressEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnEditorKeyUp event

TJvInspector	Edit topic

Not documented

Pascal

property OnEditorKeyUp: TKeyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnEditorMouseDown event

TJvInspector	Edit topic

Not documented

Pascal

property OnEditorMouseDown: TOnJvInspectorMouseDown;

Parameters

Sender

Not documented

Item

Not documented

Button

Not documented

Shift

Not documented

X

Not documented

Y

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnItemDoubleClicked event

TJvInspector	Edit topic

Not documented

Pascal

property OnItemDoubleClicked: TInspectorItemEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnItemEdit event

TJvInspector	Edit topic

Not documented

Pascal

property OnItemEdit: TOnJvInspectorItemEdit;

Parameters

Sender

Not documented

Item

Not documented

DisplayStr

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnItemSelected event

TJvInspector	See Also	Edit topic

Event fired after an item is selected.

Pascal

property OnItemSelected: TNotifyEvent;

Parameters

Sender

The inspector that fired the event.

Description

The OnItemSelected event is fired when a new item is selected.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BeforeSelection


TJvInspector.OnItemValueChanged event

TJvInspector	Edit topic

Not documented

Pascal

property OnItemValueChanged: TInspectorItemEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnItemValueChanging event

TJvInspector	Edit topic

Not documented

Pascal

property OnItemValueChanging: TInspectorValueChangingEvent;

Parameters

Sender

Not documented

Item

Not documented

NewValue

Not documented

AllowChange

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.OnItemValueError event

TJvInspector	Edit topic

Not documented

Pascal

property OnItemValueError: TInspectorValueErrorEvent;

Parameters

Sender

Not documented

Item

Not documented

ExceptObject

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspector.Painter property

TJvInspector	See Also	Edit topic

Reference to the painter object.

Pascal

property Painter: TJvInspectorPainter;

Description

Painter is a reference to the painter object currently assigned. Painter are responsible for painting the control in different styles. By assigning a different painter to the inspector you can switch the viewing style.

Read Painter to find out which painter is currently used to render the inspector or set it to another painter to change styles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter


TJvInspector.ReadOnly property

TJvInspector	See Also	Edit topic

Indicates whether the inspector is in read-only mode.

Pascal

property ReadOnly: Boolean;

Description

ReadOnly indicates the read-only state of the inspector. When ReadOnly is True, the inspector is locked and items can not be edited. When ReadOnly is False, items can be edited (provided their ReadOnly property is True).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.ReadOnly


TJvInspector.RelativeDivider property

TJvInspector	See Also	Edit topic

Determines whether the divider bar is a percentage of the width or an absolute position.

Pascal

property RelativeDivider: Boolean;

Description

RelativeDivider determines whether the value represented by the Divider property is an absolute position is pixels or a percentage of either the width of a band (UseBands set to True) or the control (UseBands set to False).

When RelativeDivider is set to True, the Divider property is percentage and the divider bar will adjust when the width of the band or control changes. The DividerAbs property will hold the calculated absolute position in pixels.

When RelativeDivider is set to False, the Divider property is an absolute position in pixels and the divider bar will remain at it's set position when the band or control is resized (although the bar will be adjusted if the minimum width to the right of bar becomes to small). The DividerAbs property will be the same as the Divider property.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandWidth, TJvCustomInspector.Divider, TJvCustomInspector.UseBands


TJvInspector.Root property

TJvInspector	Edit topic

References the root item.

Pascal

property Root: TJvCustomInspectorItem;

Description

Root is a reference to the inspector's root item. The root item is a hidden item that functions as a place holder for the actual items to be inspected.

Created with Doc-O-Matic.


TJvInspector.Selected property

TJvInspector	See Also	Edit topic

Reference to the selected item

Pascal

property Selected: TJvCustomInspectorItem;

Description

Selected is the current selected item. If no item is selected, nil will be returned. Reading Selected is the same as:

  if SelectedIndex > -1 then

    Selected := VisibleItems[SelectedIndex]

  else

    Selected := nil;

When you set Selected to a new item, and that item is not visible, Selected and SelectedIndex will not be changed.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.SelectedIndex, TJvCustomInspector.VisibleItems


TJvInspector.SelectedIndex property

TJvInspector	See Also	Edit topic

Index of selected item.

Pascal

property SelectedIndex: Integer;

Description

SelectedIndex indicates which item in the VisibleItems array is currently selected. If no item is selected, -1 will be returned, otherwise the 0-based index into the VisibleItems property is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Selected, TJvCustomInspector.VisibleItems


TJvInspector.TopIndex property

TJvInspector	See Also	Edit topic

Index of the first displayed item.

Pascal

property TopIndex: Integer;

Description

TopIndex indicates which item is displayed first (the item in the top left corner). Read TopIndex to find out which item is in the top left corner of the view or set it to a new index to scroll the view.

Notes

Although you can change this value, it will be adjusted to display the selected item as soon as the user presses a key.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Selected, TJvCustomInspector.SelectedIndex, TJvCustomInspector.VisibleItems


TJvInspector.UseBands property

TJvInspector	See Also	Edit topic

Indicates if inspector bands are used.

Pascal

property UseBands: Boolean;

Description

UseBands indicates if inspector bands are used. Bands are resizable inspector columns, where each column will contain a number of items. The number of bands and items per band are calculated on each resize.

When using bands (UseBands is True), the inspector will never show a vertical scroll bar, but a horizontal scroll bar can appear if more bands are shown than actually fit in the control.

When not using bands (UseBands is False), the inspector will never show a horizontal scroll bar, but a vertical scroll bar may appear if more items are shown than actually fit in the control.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.BandWidth


TJvInspector.VisibleCount property

TJvInspector	See Also	Edit topic

Number of visible items.

Pascal

property VisibleCount: Integer;

Description

VisibleCount indicates the number of items that are visible. This does not mean that the items are actually displayed at the moment, it means that that number of items are displayable using the current settings.

Use VisibleItems to find out which items are visible.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.VisibleItems


TJvInspector.VisibleItems property

TJvInspector	See Also	Edit topic

Array of displayable items

Pascal

property VisibleItems [const I: Integer]: TJvCustomInspectorItem;

Description

VisibleItems is a 0-based array of displayable items. Read VisibleItems to find out which items are being displayed and in what order. Use VisibleCount to find out how many items are displayable.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.VisibleCount


TJvInspector.WantTabs property

TJvInspector	Edit topic

Indicates if TABs are wanted as alternative navigation keys.

Pascal

property WantTabs: Boolean;

Description

WantTabs indicates whether the TAB and Shift-TAB keys will function as a "Next" and "Prior" item respectively. If WantTabs is True, TAB and Shift-TAB will function as navigation keys in addition to the standard up and down keys.

Created with Doc-O-Matic.


TJvInspectorBooleanItem
JEDI-VCL Reference

TJvInspectorBooleanItem

Hierarchy	Properties	Methods	Events	 Edit topic

Boolean inspector item.

Pascal

TJvInspectorBooleanItem = class(TJvInspectorEnumItem);

File

JvInspector

Description

TJvInspectorBooleanItem is an inspector item that allows boolean values to be edited, either through the normal enumeration combo box or with a check box.

TJvCustomInspectorData registers this item for all boolean types (ie. Boolean, BYTEBOOL, WORDBOOL and LONGBOOL).

Created with Doc-O-Matic.


TJvInspectorBooleanItem Properties

TJvInspectorBooleanItem	Legend

Properties

ShowAsCheckBox

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorBooleanItem Methods

TJvInspectorBooleanItem	Legend

Methods

 DoneEdit

 DrawValue

 EditKeyDown

 InitEdit

 MouseDown

TJvInspectorEnumItem

 GetValueList

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorBooleanItem Events

TJvInspectorBooleanItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorBooleanItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorEnumItem
            TJvInspectorBooleanItem


TJvInspectorBooleanItem Members

TJvInspectorBooleanItem	Legend

Members

Properties

ShowAsCheckBox

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 DoneEdit

 DrawValue

 EditKeyDown

 InitEdit

 MouseDown

TJvInspectorEnumItem

 GetValueList

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvInspectorBooleanItem.ShowAsCheckBox property

TJvInspectorBooleanItem	Edit topic

Indicates whether the item is shown and edited using a check box.

Pascal

property ShowAsCheckBox: Boolean;

Description

ShowAsCheckbox indicates whether the item is shown and edited using a check box. If ShowAsCheckbox is True, the value is displayed and edited using a check box, otherwise the standard displaying and editing for enumeration types is used (ie. a drop down list).

Created with Doc-O-Matic.


TJvInspectorBooleanItem.DoneEdit method

TJvInspectorBooleanItem	Edit topic

Sets the item in browse mode.

Pascal

procedure DoneEdit(const CancelEdits: Boolean = False); override;

Parameters

CancelEdits

Flag to indicate if changes should discarded or applied. If set to True, modifications done in the editor are discarded, otherwise they are applied.

Description

DoneEdit sets the item in browse mode, provided the item is in edit mode. The current edit value can be either applied or discarded before returning to browse mode.

Created with Doc-O-Matic.


TJvInspectorBooleanItem.DrawValue method

TJvInspectorBooleanItem	Edit topic

Draws the item value.

Pascal

procedure DrawValue(const ACanvas: TCanvas); override;

Parameters

ACanvas

Canvas to draw on.

Description

DrawValue draws the item's value. The default implementation either calls the DrawEditor method (if the item is in edit mode) or draws the current value using the current font and brush.

Descendants should override this method to provide other means of painting the value. Note: the font color for values is determined by the painter object, not by the DrawValue method.

Created with Doc-O-Matic.


TJvInspectorBooleanItem.EditKeyDown method

TJvInspectorBooleanItem	Edit topic

OnKeyDown handler for the edit control.

Pascal

procedure EditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState); override;

Parameters

Sender

Originator of the call. This is either the edit control or the inspector.

Key

The key on the keyboard. For non-alphanumeric keys, you must use WinAPI virtual key codes to determine the key pressed. For more information, search for virtual key codes in the Win32 Developer's Reference (WIN32.HLP).

Shift

Indicates whether the Shift, Alt, or Ctrl keys are combined with the keystroke.

Description

EditKeyDown is the OnKeyDown handler for the edit control. On entry to the method the Sender property is checked. If it is not set to the inspector, the method was indeed called from the edit control. Execution is transferred to the inspector.

If the call originated from the inspector (Sender is set to Inspector), the item editor keys are processed. This means the keys for Apply, Undo, select prior value, select next value and to invoke the Edit method are checked.

Descendants that override this should call inherited and only process special keys if Sender is set to Inspector (so that the inspector had a change to process its own keys first).

Created with Doc-O-Matic.


TJvInspectorBooleanItem.InitEdit method

TJvInspectorBooleanItem	Edit topic

Sets the item in edit mode.

Pascal

procedure InitEdit; override;

Description

InitEdit sets the item in edit mode, provided the item can be edited (CanEdit returns True).

Created with Doc-O-Matic.


TJvInspectorBooleanItem.MouseDown method

TJvInspectorBooleanItem	Edit topic

Handles mouse clicks on the item.

Pascal

procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); override;

Parameters

Button

The mouse button that is held down.

Shift

Indicates the shift state at the time the button was pressed.

X

X-position of the mouse in the client area of the sender.

Y

Y-position of the mouse in the client area of the sender.

Description

MouseDown handles mouse clicks that occur on the item.

The base implementation handles double clicks to select the next value from the value list as well as begin tracking the edit button. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvInspectorBorlandNETBasePainter
JEDI-VCL Reference

TJvInspectorBorlandNETBasePainter

Hierarchy	Properties	Methods	 Edit topic

Base inspector painter class common for Borland and .NET styles.

Pascal

TJvInspectorBorlandNETBasePainter = class(TJvInspectorPainter);

File

JvInspector

Description

TJvInspectorBorlandNETBasePainter is the common base painter class for the Borland and .NET paint styles. It implements many of the methods to setup the various item rectangles, fonts and colors in such a way that is common for the Borland and .NET styles.

Created with Doc-O-Matic.


TJvInspectorBorlandNETBasePainter Properties

TJvInspectorBorlandNETBasePainter	Legend

Properties

 BackgroundColor

 CategoryColor

 CategoryTextColor

 NameColor

 RealButtonAreaWidth

 ValueColor

TJvInspectorPainter

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorBorlandNETBasePainter Methods

TJvInspectorBorlandNETBasePainter	Legend

Methods

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 SetupRects

TJvInspectorPainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorBorlandNETBasePainter

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvInspectorPainter
            TJvInspectorBorlandNETBasePainter


TJvInspectorBorlandNETBasePainter Members

TJvInspectorBorlandNETBasePainter	Legend

Members

Properties

 BackgroundColor

 CategoryColor

 CategoryTextColor

 NameColor

 RealButtonAreaWidth

 ValueColor

TJvInspectorPainter

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Methods

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 SetupRects

TJvInspectorPainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvInspectorBorlandNETBasePainter.BackgroundColor property

TJvInspectorBorlandNETBasePainter	Edit topic

Background color of the inspector.

Pascal

property BackgroundColor: TColor;

Description

BackgroundColor indicates the color used to render the background of the inspector. Read Background to find out which color is used as the background color or set it to another value to change it.

Created with Doc-O-Matic.


TJvInspectorBorlandNETBasePainter.CategoryColor property

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Background color for category items.

Pascal

property CategoryColor: TColor;

Description

CategoryColor indicates the background color for category items. Read CategoryColor to find out which color is used as a background when rendering a category item or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCategoryItem, TJvInspectorPainter.CategoryTextColor


TJvInspectorBorlandNETBasePainter.CategoryTextColor property

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Font color for selected items.

Pascal

property CategoryTextColor: TColor;

Description

CategoryTextColor indicates the font color for category items. Read CategoryTextColor to find out which color is used for the font when rendering a category item or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCategoryItem, TJvInspectorPainter.CategoryColor


TJvInspectorBorlandNETBasePainter.NameColor property

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Font color for item names.

Pascal

property NameColor: TColor;

Description

NameColor indicates the font color used to render an item's name in (unless the item is either selected or a category, in which case SelectedTextColor or CategoryTextColor will be used respectively). Read NameColor to find out which font color is used to render an item's name, or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CategoryTextColor, TJvInspectorPainter.SelectedTextColor, TJvInspectorPainter.ValueColor


TJvInspectorBorlandNETBasePainter.RealButtonAreaWidth property

TJvInspectorBorlandNETBasePainter	Edit topic

Not documented

Pascal

property RealButtonAreaWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorBorlandNETBasePainter.ValueColor property

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Font color for item values.

Pascal

property ValueColor: TColor;

Description

ValueColor indicates the font color used to render an item's value. Read ValueColor to find out which font color is used to render an item's value, or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.NameColor


TJvInspectorBorlandNETBasePainter.ApplyNameFont method

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Activates the name font.

Pascal

procedure ApplyNameFont; override;

Description

ApplyNameFont sets the Canvas font to the font used to display the name. The base implementation sets this to the inspector font and selects the NameColor as the font color.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.ApplyValueFont, TJvInspectorPainter.Canvas, TJvInspectorPainter.NameColor


TJvInspectorBorlandNETBasePainter.ApplyValueFont method

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Activates the value font.

Pascal

procedure ApplyValueFont; override;

Description

ApplyValueFont sets the Canvas font to the font used to display the value.

The base implementation sets this to the inspector font and selects the ValueColor as the font color.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.ApplyNameFont, TJvInspectorPainter.Canvas, TJvInspectorPainter.ValueColor


TJvInspectorBorlandNETBasePainter.CalcButtonBasedRects method

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Calculates rectangles for the expand/collapse button of an item.

Pascal

procedure CalcButtonBasedRects; override;

Description

CalcButtonBasedRects calculates the rectangles needed to render the expand/collapse button of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcEditBasedRects, TJvInspectorPainter.CalcNameBasedRects, TJvInspectorPainter.CalcValueBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorBorlandNETBasePainter.CalcEditBasedRects method

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Calculates rectangles for the edit control and button of an item.

Pascal

procedure CalcEditBasedRects; override;

Description

CalcEditBasedRects calculates the rectangles needed to render the edit control and its optional button of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcButtonBasedRects, TJvInspectorPainter.CalcNameBasedRects, TJvInspectorPainter.CalcValueBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorBorlandNETBasePainter.CalcNameBasedRects method

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Calculates rectangles for the name of an item.

Pascal

procedure CalcNameBasedRects; override;

Description

CalcNameBasedRects calculates the rectangles needed to render the name of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcButtonBasedRects, TJvInspectorPainter.CalcEditBasedRects, TJvInspectorPainter.CalcValueBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorBorlandNETBasePainter.CalcValueBasedRects method

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Calculates rectangles for the value of an item.

Pascal

procedure CalcValueBasedRects; override;

Description

CalcValueBasedRects calculates the rectangles needed to render the value of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcButtonBasedRects, TJvInspectorPainter.CalcEditBasedRects, TJvInspectorPainter.CalcNameBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorBorlandNETBasePainter.SetupRects method

TJvInspectorBorlandNETBasePainter	See Also	Edit topic

Initializes item rectangles.

Pascal

procedure SetupRects; override;

Description

SetupRects initializes the items rectangles to their proper values. It will set the item's iprItem rectangle to the paint rectangle, setting the bottom value to PaintItem.Top + Item.Height.

Descendants should override this method to initialize the other rectangles.

Created with Doc-O-Matic.


See Also

PaintItem


TJvInspectorBorlandPainter
JEDI-VCL Reference

 TJvInspectorBorlandPainter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Inspector painter class for Borland style.

Pascal

TJvInspectorBorlandPainter = class(TJvInspectorBorlandNETBasePainter);

File

JvInspector

Description

TJvInspectorBorlandPainter is the painter component that implements the Borland paint style.

Created with Doc-O-Matic.


TJvInspectorBorlandPainter Properties

TJvInspectorBorlandPainter	Legend

Properties

 BackgroundColor

 DividerColor

 DividerLightColor

 ValueColor

TJvInspectorBorlandNETBasePainter

 BackgroundColor

 CategoryColor

 CategoryTextColor

 NameColor

 RealButtonAreaWidth

 ValueColor

TJvInspectorPainter

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorBorlandPainter Events

TJvInspectorBorlandPainter	Legend

Events

 OnSetItemColors

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvInspectorBorlandPainter Methods

TJvInspectorBorlandPainter	Legend

Methods

 DividerWidth

 DoPaint

 InitializeColors

 PaintDivider

 Setup

TJvInspectorBorlandNETBasePainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 SetupRects

TJvInspectorPainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorBorlandPainter

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvInspectorPainter
            TJvInspectorBorlandNETBasePainter
                TJvInspectorBorlandPainter


TJvInspectorBorlandPainter Members

TJvInspectorBorlandPainter	Legend

Members

Properties

 BackgroundColor

 DividerColor

 DividerLightColor

 ValueColor

TJvInspectorBorlandNETBasePainter

 BackgroundColor

 CategoryColor

 CategoryTextColor

 NameColor

 RealButtonAreaWidth

 ValueColor

TJvInspectorPainter

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Events

 OnSetItemColors

Methods

 DividerWidth

 DoPaint

 InitializeColors

 PaintDivider

 Setup

TJvInspectorBorlandNETBasePainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 SetupRects

TJvInspectorPainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

RuntimeDesign


TJvInspectorBorlandPainter.BackgroundColor property

TJvInspectorBorlandPainter	Edit topic

Background color of the inspector.

Pascal

property BackgroundColor: TColor;

Description

BackgroundColor indicates the color used to render the background of the inspector. Read Background to find out which color is used as the background color or set it to another value to change it.

Created with Doc-O-Matic.


TJvInspectorBorlandPainter.DividerColor property

TJvInspectorBorlandPainter	See Also	Edit topic

Pen color of the divider bar.

Pascal

property DividerColor: TColor;

Description

DividerColor indicates the pen color used to render the divider bar. Read DividerColor to find out which color is used to render the divider bar or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Divider


TJvInspectorBorlandPainter.DividerLightColor property

TJvInspectorBorlandPainter	See Also	Edit topic

Pen color of the light side of the divider bar.

Pascal

property DividerLightColor: TColor;

Description

DividerLightColor indicates the pen color used to render the lighter part of the divider bar (the line on the right). Read DividerLightColor to find out which color is used to render the right side of the divider bar or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Divider, TJvInspectorPainter.DividerColor


TJvInspectorBorlandPainter.OnSetItemColors event

TJvInspectorBorlandPainter	Edit topic

Not documented

Pascal

property OnSetItemColors: TOnJvInspectorSetItemColors;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorBorlandPainter.ValueColor property

TJvInspectorBorlandPainter	See Also	Edit topic

Font color for item values.

Pascal

property ValueColor: TColor;

Description

ValueColor indicates the font color used to render an item's value. Read ValueColor to find out which font color is used to render an item's value, or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.NameColor


TJvInspectorBorlandPainter.DividerWidth method

TJvInspectorBorlandPainter	See Also	Edit topic

Returns the width of the divider bar

Pascal

function DividerWidth: Integer; override;

Description

DividerWidth returns the width of the bar dividing the name and value column.

The base implementation returns 1. Descendants can override this method to return another value.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.PaintDivider


TJvInspectorBorlandPainter.DoPaint method

TJvInspectorBorlandPainter	Edit topic

Renders the current item.

Pascal

procedure DoPaint; override;

Description

DoPaint renders the item that has just been setup. The Item property indicates the item to render while Rects hold the various calculated rectangles. ButtonImage will hold the image of the collapse/expand button if one is needed, or it is set to nil if no button is to be drawn. Use ApplyNameFont/ApplyValueFont to activate the font to render the name/value and use PaintDivider to render the divider bar.

The base implementation does nothing. Descendants should override this method to do the actual painting.

Created with Doc-O-Matic.


TJvInspectorBorlandPainter.InitializeColors method

TJvInspectorBorlandPainter	Edit topic

Sets the color properties to their defaults.

Pascal

procedure InitializeColors; override;

Description

InitializeColors presets the color properties to the defaults of the class, according to the RTTI info.

The base implementation presets the following properties:

BackgroundColor

DividerColor

NameColor

ValueColor

CategoryColor

CategoryTextColor

SelectedColor

SelectedTextColor

Descendants can override this method to preset additional properties.

Created with Doc-O-Matic.


TJvInspectorBorlandPainter.PaintDivider method

TJvInspectorBorlandPainter	Edit topic

Renders the name/value column divider bar at arbitrary positions.

Pascal

procedure PaintDivider(const X: Integer; const YTop: Integer; const YBottom: Integer); override;

Parameters

X

X-position of the bar.

YTop

Top of the divider bar.

YBottom

Bottom of the divider bar.

Description

PaintDivider is called whenever the name/value column divider bar needs to be rendered. Because this divider bar is also used to divide columns in compound items, the PaintDivider method can paint the divider at any location.

The base implementation does nothing. Descendants should override this method to paint the divider bar.

Created with Doc-O-Matic.


TJvInspectorBorlandPainter.Setup method

TJvInspectorBorlandPainter	See Also	Edit topic

Initializes the painter.

Pascal

procedure Setup(const ACanvas: TCanvas); override;

Parameters

ACanvas

Not documented

Description

Setup initializes the painter to use the specified canvas and initializes the Canvas.Brush.Color to the BackgroundColor.

Setup is called by the Inspector.Paint method before it issues the paint request.

Descendants can override this method to do additional initialization if needed.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Paint, TJvInspectorPainter.BackgroundColor, TJvInspectorPainter.Canvas


TJvInspectorCharItem
JEDI-VCL Reference

TJvInspectorCharItem

Hierarchy	Properties	Methods	Events	 Edit topic

Char inspector item.

Pascal

TJvInspectorCharItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorCharItem is an inspector item that allows character values to be edited. Values below the space or above the tilde (~) are shown/edited as #ordinal value. In either case you can enter a character in both forms (ie. as a character or as an ordinal value).

TJvCustomInspectorData registers this item for all character types (ie. Char and WideChar).

Created with Doc-O-Matic.


TJvInspectorCharItem Properties

TJvInspectorCharItem	Legend

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorCharItem Events

TJvInspectorCharItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorCharItem Methods

TJvInspectorCharItem	Legend

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorCharItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorCharItem


TJvInspectorCharItem Members

TJvInspectorCharItem	Legend

Members

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvInspectorClassItem
JEDI-VCL Reference

TJvInspectorClassItem

Hierarchy	Properties	Methods	Events	 Edit topic

Class inspector item.

Pascal

TJvInspectorClassItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorClassItem is an inspector item that allows class values to be edited. The item provides two properties that control the way the value can be edited. You can specify that instance members are to be created as child items and/or if the value is assignable.

To specify the item is assignable, specify the iifValueList in the Flags property and assign a handler to the OnGetValueList event.

To specify the assigned classes properties should be shown, set the CreateClassMembers property to True.

TJvCustomInspectorData registers this item for the class type.

Created with Doc-O-Matic.


TJvInspectorClassItem Properties

TJvInspectorClassItem	Legend

Properties

CreateMemberItems

ItemClassFlags

RenderAsCategory

ShowClassName

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorClassItem Events

TJvInspectorClassItem	Legend

Events

OnGetValueList

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorClassItem Methods

TJvInspectorClassItem	Legend

Methods

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateItem

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorClassItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorClassItem


TJvInspectorClassItem Members

TJvInspectorClassItem	Legend

Members

Properties

CreateMemberItems

ItemClassFlags

RenderAsCategory

ShowClassName

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

OnGetValueList

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Methods

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateItem

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvInspectorClassItem.CreateMemberItems property

TJvInspectorClassItem	See Also	Edit topic

Flag to control whether or not class properties are created as child item.

Pascal

property CreateMemberItems: Boolean;

Description

CreateMemberItems control whether or not the class properties are created as child items. If CreateMemberItems is True, properties for the class are created as child items, otherwise the child items are not created.

CreateMemberItems maps to the icfCreateMemberItems in the ItemClassFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorClassItem.ItemClassFlags


TJvInspectorClassItem.ItemClassFlags property

TJvInspectorClassItem	See Also	Edit topic

Class item flags.

Pascal

property ItemClassFlags: TInspectorClassFlags;

Description

ItemClassFlags are the flags specific to the class inspector item. Read ItemClassFlags to determine the current flags or set it to a new value.

Created with Doc-O-Matic.


See Also

TJvInspectorClassItem.CreateMembers, TJvInspectorClassItem.ShowClassName


TJvInspectorClassItem.OnGetValueList event

TJvInspectorClassItem	Edit topic

Event to retrieve a value list.

Pascal

property OnGetValueList: TInspectorItemGetValueListEvent;

Parameters

Item

The item requesting the value list.

Values

TStrings instance to receive the value list. If you assign objects to the values, they will not be freed when the list is freed.

Description

OnGetValueList is the event that is called when the GetValueList is called.

Created with Doc-O-Matic.


TJvInspectorClassItem.RenderAsCategory property

TJvInspectorClassItem	Edit topic

Not documented

Pascal

property RenderAsCategory: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorClassItem.ShowClassName property

TJvInspectorClassItem	See Also	Edit topic

Flag to control whether or not the class name is shown as a value.

Pascal

property ShowClassName: Boolean;

Description

ShowClassName controls whether the class name is shown as a value or the instance value is shown. If ShowClassName is True, the class' name is shown in parenthesis as the item's value.

If ShowClassName is False, the value of the instance is shown. If no instance is assigned, an empty string is used, otherwise the name of the TComponent is shown if the instance is a TComponent or the specified value name in the value list is used.

ShowClassName maps to the icfShowClassName in the ItemClassFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorClassItem.ItemClassFlags


TJvInspectorClassItem.CanEdit method

TJvInspectorClassItem	Edit topic

Determines if the item can be edited.

Pascal

function CanEdit: Boolean; override;

Description

CanEdit determines if the item can be edited and returns True if that's the case. An item can be edited if all of the following conditions apply:

It's not a read-only item (ReadOnly = False)

The inspector is not read-only (Inspector.ReadOnly = False)

The data instance has been initialized ( Data.IsInitialized returns True)

The data instance has a value (Data.HasValue returns True).

Can edit is used by InitEdit before the item is set to edit mode.

Created with Doc-O-Matic.


TJvInspectorClassItem.Create constructor

TJvInspectorClassItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorClassItem.CreateMembers method

TJvInspectorClassItem	See Also	Edit topic

Creates the class properties as child items.

Pascal

procedure CreateMembers; virtual;

Description

CreateMembers will create all published properties of the class it represents as child items. CreateMembers will be called from InvalidateMetaData if the CreateMemberItems property is set to True.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.InvalidateMetaData, TJvInspectorClassItem.CreateMemberItems, TJvInspectorClassItem.DeleteMembers


TJvInspectorClassItem.DeleteMembers method

TJvInspectorClassItem	See Also	Edit topic

Deletes the child items that represent properties of the class.

Pascal

procedure DeleteMembers; virtual;

Description

DeleteMembers will delete all sub items that are published properties of the class it represents. DeleteMembers will be called from CreateMembers to refresh the member list.

Created with Doc-O-Matic.


See Also

TJvInspectorClassItem.CreateMembers


TJvInspectorClassItem.InvalidateItem method

TJvInspectorClassItem	Edit topic

Signals the inspector the item has changed.

Pascal

procedure InvalidateItem; override;

Description

InvalidateItem notifies the inspector that the item has changed appearance.

In its current implementation this means the Inspector.InvalidateItem method will be called.

Created with Doc-O-Matic.


TJvInspectorClassItem.InvalidateMetaData method

TJvInspectorClassItem	Edit topic

Signals the inspector the item's meta data has changed.

Pascal

procedure InvalidateMetaData; override;

Description

InvalidateMetaData notifies the inspector that the item's meta data has changed.

Because as far the inspector is concerned, there is no difference between a data change and meta data change, the current implementation will call InvalidateItem. However, this might change in the future and descendants can override this method to take appropriate action when meta data has changed.

Created with Doc-O-Matic.


TJvInspectorClassItem.IsCategory method

TJvInspectorClassItem	See Also	Edit topic

Determines if the item represents a category item.

Pascal

function IsCategory: Boolean; override;

Description

IsCategory determines if the item represents a category item.

If the item represents a category the method will return True, otherwise False is returned.

TJvCustomInspectorItem implements this method to always return False. There are currently two descendants that override this method: TJvInspectorCustomCategoryItem and TJvInspectorSetItem.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCategoryItem, TJvInspectorSetItem


TJvInspectorComponentItem
JEDI-VCL Reference

TJvInspectorComponentItem

Hierarchy	Properties	Methods	Events	 Edit topic

Component inspector item.

Pascal

TJvInspectorComponentItem = class(TJvInspectorClassItem);

File

JvInspector

Description

TJvInspectorComponentItem is an inspector item that allows component values to be edited. The item is derived from TJvInspectorClassItem and as such allows published properties of an assigned component to be viewed. The iifValueList flag, however will be fixed to allow components to be picked and the icfShowClassName flag will be suppressed (ShowClassName property will be False).

In addition the item provides properties that control the way the component names are added. You can specify to show no owner names, all owner names or all but the first owner names. You can also specify the order of the components.

To specify the assigned component properties should be shown, set the CreateClassMembers property to True.

To specify that owner names are to be shown, set the ShowOwnerNames property to True.

To specify that the first owner name should not be shown, set NoShowFirstOwnerName to True in addition to setting ShowOwnerNames to True.

To specify that the component list should be sorted by owner, set SortOwners to True.

To specify that the components of the first owner should show first regardless of any sorting, set KeepFirstOwnerAsFirst to True.

To specify that the component list should be sorted by component name, set SortComponents to True.

Use AddOwner to add a list of component owners (such as forms and data modules) to be scanned for assignable components.

Optionally in addition to or instead of the above AddOwner, assign an OnGetValueList event handler to provide additionally selectable components.

TJvCustomInspectorData registers this item for the TComponent type.

Created with Doc-O-Matic.


TJvInspectorComponentItem Properties

TJvInspectorComponentItem	Legend

Properties

ItemComponentFlags

KeepFirstOwnerAsFirst

NoShowFirstOwnerName

 OwnerCount

Owners

ShowOwnerNames

SortComponents

SortOwners

TJvInspectorClassItem

CreateMemberItems

ItemClassFlags

RenderAsCategory

ShowClassName

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvInspectorComponentItem Methods

TJvInspectorComponentItem	Legend

Methods

AddOwner

 Create

DeleteOwner

 GetValueList

TJvInspectorClassItem

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateItem

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorComponentItem Events

TJvInspectorComponentItem	Legend

Events

TJvInspectorClassItem

OnGetValueList

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorComponentItem

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorClassItem
            TJvInspectorComponentItem


TJvInspectorComponentItem Members

TJvInspectorComponentItem	Legend

Members

Properties

ItemComponentFlags

KeepFirstOwnerAsFirst

NoShowFirstOwnerName

 OwnerCount

Owners

ShowOwnerNames

SortComponents

SortOwners

TJvInspectorClassItem

CreateMemberItems

ItemClassFlags

RenderAsCategory

ShowClassName

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

AddOwner

 Create

DeleteOwner

 GetValueList

TJvInspectorClassItem

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateItem

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvInspectorClassItem

OnGetValueList

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Legend

read only

protected

virtual


TJvInspectorComponentItem.ItemComponentFlags property

TJvInspectorComponentItem	See Also	Edit topic

Component item flags.

Pascal

property ItemComponentFlags: TInspectorComponentFlags;

Description

ItemComponentFlags are the flags specific to the component inspector item. Read ItemComponentFlags to determine the current flags or set it to a new value.

Created with Doc-O-Matic.


See Also

TJvInspectorComponentItem.KeepFirstOwnerAsFirst, TJvInspectorComponentItem.NoShowFirstOwnerName, TJvInspectorComponentItem.ShowOwnerNames, TJvInspectorComponentItem.SortComponents, TJvInspectorComponentItem.SortOwners


TJvInspectorComponentItem.KeepFirstOwnerAsFirst property

TJvInspectorComponentItem	See Also	Edit topic

Indicates whether the components of the first owner should appear before other owner components.

Pascal

property KeepFirstOwnerAsFirst: Boolean;

Description

KeepFirstOwnerAsFirst indicates whether the components of the first owner should appear before the components of the other owners, regardless of any sorting option.

Created with Doc-O-Matic.


See Also

TJvInspectorComponentItem.ItemComponentFlags, TJvInspectorComponentItem.Owners, TJvInspectorComponentItem.SortComponents, TJvInspectorComponentItem.SortOwners


TJvInspectorComponentItem.NoShowFirstOwnerName property

TJvInspectorComponentItem	See Also	Edit topic

Indicates whether the first owner's name is to be shown in the drop down list.

Pascal

property NoShowFirstOwnerName: Boolean;

Description

NoShowFirstOwnerName indicates whether the first owner's name is to be prefixed in the drop down list of assignable components.

When set to True, the name of the first owner is not shown, regardless of the state of the ShowOwnerNames property. When set to False, the name of the first owner will be shown if ShowOwnerNames is also set to True.

NoShowFirstOwnerName maps to the icfNoShowFirstOwnerName in the ItemComponentFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorComponentItem.ItemComponentFlags, TJvInspectorComponentItem.ShowOwnerNames


TJvInspectorComponentItem.OwnerCount property

TJvInspectorComponentItem	See Also	Edit topic

Number of component owners.

Pascal

property OwnerCount: Integer;

Description

OwnerCount holds the number of component owners in the Owners list.

Read OwnerCount to find out how many component owners are in the Owners list.

Created with Doc-O-Matic.


See Also

TJvInspectorComponentItem.Owners


TJvInspectorComponentItem.Owners property

TJvInspectorComponentItem	See Also	Edit topic

List of component owners.

Pascal

property Owners [I: Integer]: TComponent;

Description

Owners is a 0-based array of component owners.

Component owners are components who's Component list are scanned for assignable components to this item. The drop down list will be filled with a list of sub components of these owners that are assignment compatible with the class this item represents.

Read Owners to find out which component owners are available to this item or change a specific owner by setting it to a new one.

Created with Doc-O-Matic.


See Also

DeleteOwner


TJvInspectorComponentItem.ShowOwnerNames property

TJvInspectorComponentItem	See Also	Edit topic

Indicates whether the owner names are to be shown in the drop down list.

Pascal

property ShowOwnerNames: Boolean;

Description

ShowOwnerNames indicates whether the owner names are to be prefixed in the drop down list of assignable components.

When set to True, the name of the owners are shown. If NoShowFirstOwnerName is also set to True, the name of the first owner will not be shown.

ShowOwnerNames maps to the icfShowOwnerNames in the ItemComponentFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorComponentItem.ItemComponentFlags, TJvInspectorComponentItem.NoShowFirstOwnerName


TJvInspectorComponentItem.SortComponents property

TJvInspectorComponentItem	See Also	Edit topic

Indicates whether components are sorted alphabetically.

Pascal

property SortComponents: Boolean;

Description

SortComponents indicates whether or not the components of each owner are sorted alphabetically.

Sorting owners can be controlled separately through the SortOwners property.

Created with Doc-O-Matic.


See Also

TJvInspectorComponentItem.ItemComponentFlags, TJvInspectorComponentItem.Owners, TJvInspectorComponentItem.SortOwners


TJvInspectorComponentItem.SortOwners property

TJvInspectorComponentItem	See Also	Edit topic

Indicates whether owners are grouped alphabetically.

Pascal

property SortOwners: Boolean;

Description

SortOwners indicates whether or not the owner list is sorted alphabetically before searching for components.

Sorting components can be controlled separately through the SortComponents property. In addition, if KeepFirstOwnerAsFirst is set to True, the first owner of the list (Owners[0]) will always be the first in the list.

Created with Doc-O-Matic.


See Also

TJvInspectorComponentItem.ItemComponentFlags, TJvInspectorComponentItem.KeepFirstOwnerAsFirst, TJvInspectorComponentItem.Owners, TJvInspectorComponentItem.SortComponents


TJvInspectorComponentItem.AddOwner method

TJvInspectorComponentItem	See Also	Edit topic

Adds a component owner to the owners list.

Pascal

procedure AddOwner(const AOwner: TComponent);

Parameters

const AOwner: TComponent

The component to add to the Owners list

Description

AddOwner adds the specified component as a new component owner.

Component owners are components who's Component list are scanned for assignable components to this item. The drop down list will be filled with a list of sub components of these owners that are assignment compatible with the class this item represents.

If the specified owner already is in the list, AddOwner does nothing.

Created with Doc-O-Matic.


See Also

DeleteOwner


TJvInspectorComponentItem.Create constructor

TJvInspectorComponentItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorComponentItem.DeleteOwner method (Integer)

TJvInspectorComponentItem	See Also	Edit topic

Removes a component owner from the owners list.

Pascal

procedure DeleteOwner(const AOwner: TComponent); overload;
procedure DeleteOwner(const Index: Integer); overload;

Parameters

const AOwner: TComponent

The component to add to the Owners list

const Index: Integer

Index into the Owners list of the owner to be removed.

Description

DeleteOwner removes the specified component or the component at the specified index from the owners list.

Component owners are components who's Component list are scanned for assignable components to this item. The drop down list will be filled with a list of sub components of these owners that are assignment compatible with the class this item represents.

If the specified owner does not exist, DeleteOwner does nothing. If the specified index is out of range, an EListError exception will be raised.

Created with Doc-O-Matic.


See Also

DeleteOwner


TJvInspectorComponentItem.GetValueList method

TJvInspectorComponentItem	See Also	Edit topic

Retrieves the list of selectable values.

Pascal

procedure GetValueList(const Strings: TStrings); override;

Parameters

Strings

Instance of a TStrings descendant to receive the list. This list is not cleared on entry, although the event handler called might.

Description

GetValueList retrieves the list of selectable values.

GetValueList simply calls DoGetValueList. However, descendants might override GetValueList to bypass or augment the event handler, without overriding the DoGetValueList method, which is the wrapper method for the OnGetValueList event.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifValueList, TJvCustomInspectorItem.DoGetValueList, TJvCustomInspectorItem.OnGetValueList


TJvInspectorCompoundColumn
JEDI-VCL Reference

TJvInspectorCompoundColumn

Hierarchy	Properties	Methods	 Edit topic

Holds column information for a compound item.

Pascal

TJvInspectorCompoundColumn = class(TPersistent);

File

JvInspector

Description

The TJvInspectorCompoundColumn class is used by the TJvInspectorCompoundItem class to represent a column. The class provides properties to get/set the item associated with the column, its width as it is displayed and the width it is set to.

Do not create instances of TJvInspectorCompoundColumn, use TJvInspectorCompoundItem.AddColumn to add columns to a compound item.

Created with Doc-O-Matic.


TJvInspectorCompoundColumn Properties

TJvInspectorCompoundColumn	Legend

Properties

Item

 Parent

Width

 WidthSet

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorCompoundColumn Methods

TJvInspectorCompoundColumn

Methods

Create

Created with Doc-O-Matic.


Legend

TJvInspectorCompoundColumn

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvInspectorCompoundColumn


TJvInspectorCompoundColumn Members

TJvInspectorCompoundColumn	Legend

Members

Properties

Item

 Parent

Width

 WidthSet

Methods

Create

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorCompoundColumn.Item property

TJvInspectorCompoundColumn	Edit topic

The item associated with the column.

Pascal

property Item: TJvCustomInspectorItem;

Description

Item is the inspector item the column represents. Read Item to determine the current item for this column, or set it to a new item.

When setting the Item, the previous item (if any) will be moved back to the child list of the compound item. The new item (if any) will be moved out of the child list of the compound item.

Created with Doc-O-Matic.


TJvInspectorCompoundColumn.Parent property

TJvInspectorCompoundColumn	Edit topic

The compound item that owns this column.

Pascal

property Parent: TJvInspectorCustomCompoundItem;

Description

Parent is the compound item that owns this column and is therefor the parent of the associated item.

Created with Doc-O-Matic.


TJvInspectorCompoundColumn.Width property

TJvInspectorCompoundColumn	See Also	Edit topic

The (display) width of the column.

Pascal

property Width: Integer;

Description

Width indicates the width of the column as it is displayed. The width is represented as a percentage. Read Width to determine the width of the item as it is displayed or set it to a desired new width.

Setting Width to 0 will result in whatever space the column can get. When multiple columns have a width of 0, the available space will be equally distributed among those columns.

Notes

When setting Width, you actually set WidthSet. Width will then be determined based on the other columns (ie. it might not be the value you have set it to).

Created with Doc-O-Matic.


See Also

TJvInspectorCompoundColumn.WidthSet


TJvInspectorCompoundColumn.WidthSet property

TJvInspectorCompoundColumn	Edit topic

The set width of the column.

Pascal

property WidthSet: Integer;

Description

WidthSet indicates the width the column has been set to. The width is represented as a percentage. Note that the width of the column might not be this value. WidthSet indicates what the ideal width should be.

A width to 0 will result in whatever space the column can get. When multiple columns have a width of 0, the available space will be equally distributed among those columns.

Created with Doc-O-Matic.


TJvInspectorCompoundColumn.Create constructor

TJvInspectorCompoundColumn	Edit topic

Instantiates a new column.

Pascal

constructor Create(const AParent: TJvInspectorCustomCompoundItem; const AItem: TJvCustomInspectorItem);

Parameters

const AParent: TJvInspectorCustomCompoundItem

Compound item the column belongs too.

const AItem: TJvCustomInspectorItem

The item that is to be associated with the column. The item must be a child of Parent, and will be moved out of the child list.

Description

Create instantiates a new column. The parameters will initialize the column to use the given item, initializing its Width to 0.

Created with Doc-O-Matic.


TJvInspectorCompoundItem
JEDI-VCL Reference

TJvInspectorCompoundItem

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Compound row inspector item.

Pascal

TJvInspectorCompoundItem = class(TJvInspectorCustomCompoundItem);

File

JvInspector

Description

TJvInspectorCompoundItem is an inspector item that allows some of its child items to be shown as sub columns of itself.

Created with Doc-O-Matic.


TJvInspectorCompoundItem Properties

TJvInspectorCompoundItem	Legend

Properties

ColumnCount

Columns

CompoundItemFlags

SelectedColumn

SelectedColumnIndex

SingleName

SingleNameUseFirstCol

TJvInspectorCustomCompoundItem

 ColumnCount

 Columns

 CompoundItemFlags

 SelectedColumn

 SelectedColumnIndex

 SingleName

 SingleNameUseFirstCol

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorCompoundItem Methods

TJvInspectorCompoundItem	Legend

Methods

AddColumn

DeleteColumn

IndexOfColumn

InsertColumn

TJvInspectorCustomCompoundItem

 AddColumnPrim

 Create

 DeleteColumnPrim

 DivideRect

 DoneEdit

 DrawEditor

 DrawName

 DrawValue

 EditFocused

 EditKeyDown

 IndexOfColumnPrim

 InitEdit

 InsertColumnPrim

 MouseDown

 RecalcColumnWidths

 SetFocus

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvInspectorCompoundItem Events

TJvInspectorCompoundItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorCompoundItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorCustomCompoundItem
            TJvInspectorCompoundItem


TJvInspectorCompoundItem Members

TJvInspectorCompoundItem	Legend

Members

Properties

ColumnCount

Columns

CompoundItemFlags

SelectedColumn

SelectedColumnIndex

SingleName

SingleNameUseFirstCol

TJvInspectorCustomCompoundItem

 ColumnCount

 Columns

 CompoundItemFlags

 SelectedColumn

 SelectedColumnIndex

 SingleName

 SingleNameUseFirstCol

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

AddColumn

DeleteColumn

IndexOfColumn

InsertColumn

TJvInspectorCustomCompoundItem

 AddColumnPrim

 Create

 DeleteColumnPrim

 DivideRect

 DoneEdit

 DrawEditor

 DrawName

 DrawValue

 EditFocused

 EditKeyDown

 IndexOfColumnPrim

 InitEdit

 InsertColumnPrim

 MouseDown

 RecalcColumnWidths

 SetFocus

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


See Also

TJvCustomInspectorItem.IsCompoundColumn


TJvInspectorCompoundItem.ColumnCount property

TJvInspectorCompoundItem	See Also	Edit topic

Indicates the number of columns.

Pascal

property ColumnCount: Integer;

Description

ColumnCount retrieves the number of columns that are in the column list. Read ColumnCount to find out how many columns the compound item has.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.Columns


TJvInspectorCompoundItem.Columns property

TJvInspectorCompoundItem	See Also	Edit topic

List of columns.

Pascal

property Columns [I: Integer]: TJvInspectorCompoundColumn;

Description

Columns is a 0-based array of columns the compound item has. Use Columns to retrieve an instance of a specific column.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.ColumnCount


TJvInspectorCompoundItem.CompoundItemFlags property

TJvInspectorCompoundItem	See Also	Edit topic

Determines flags specific for compound items.

Pascal

property CompoundItemFlags: TInspectorCompoundItemFlags;

Description

CompoundItemFlags determines the options specific for the compound item. Each flag is also represented by a separate property.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.SingleName, TJvInspectorCustomCompoundItem.SingleNameUseFirstCol


TJvInspectorCompoundItem.SelectedColumn property

TJvInspectorCompoundItem	See Also	Edit topic

Currently selected (focused) column.

Pascal

property SelectedColumn: TJvInspectorCompoundColumn;

Description

SelectedColumn indicates which column currently has the input focus. Read SelectedColumn to determine which column has focus or set it to a column that is to receive input focus.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.SelectedColumnIndex


TJvInspectorCompoundItem.SelectedColumnIndex property

TJvInspectorCompoundItem	See Also	Edit topic

Index of currently selected (focused) column.

Pascal

property SelectedColumnIndex: Integer;

Description

SelectedColumnIndex indicates which column currently has the input focus. Read SelectedColumnIndex to determine which column has focus or set it to a column that is to receive input focus.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.SelectedColumn


TJvInspectorCompoundItem.SingleName property

TJvInspectorCompoundItem	Edit topic

Determines if the compound item uses a single name to represent the different columns.

Pascal

property SingleName: Boolean;

Description

SingleName determines if the compound item uses a single name to represent the different columns.

Set SingleName to True if you want only 1 name displayed, regardless of the number of columns.

Set SingleName to False if you want separate names displayed for each column. The displayed names are then determined by the DisplayName of the items associated with the columns. Note: when setting SingleName to False, SingleNameUseFirstCol will also be set to False.

SingleName maps to the icifSingleName in the CompoundItemFlags property.

Created with Doc-O-Matic.


TJvInspectorCompoundItem.SingleNameUseFirstCol property

TJvInspectorCompoundItem	Edit topic

Determines if the single name shown is that of the first column.

Pascal

property SingleNameUseFirstCol: Boolean;

Description

SingleNameUseFirstCol determines if the name displayed in SingleName mode, is the DisplayName of the item associated with the first column.

Set SingleNameUseFirstCol to True to let the item associated with the first column provide the name to show. Note: setting SingleNameUseFirstCol to True will also set SingleName to True.

Set SingleNameUseFirstCol to False to keep the DisplayName of the compound item separated from any column in SingleName mode.

SingleNameUseFirstCol maps to the icifSingleNameUseFirstCol in the CompoundItemFlags property.

Created with Doc-O-Matic.


TJvInspectorCompoundItem.AddColumn method (Integer)

TJvInspectorCompoundItem	See Also	Edit topic

Adds the specified child to column list.

Pascal

function AddColumn(const Item: TJvCustomInspectorItem): Integer; overload;
function AddColumn(const ItemIndex: Integer): Integer; overload;

Parameters

const Item: TJvCustomInspectorItem

Item to add as a column. Item is checked to be a child of the compound item.

const ItemIndex: Integer

Index into the Items item list of the item to add.

Description

AddColumn will add the specified child in the Items list to the Columns list. This will remove the specified item from the Items list (a column item can't be shown as a child item as well). The column is initialized to a width of 0 (see Width and WidthSet for more information).

AddColumn comes in two overloaded versions: one to add an Item instance and one to add the item at an index in the Items property.

Created with Doc-O-Matic.


See Also

DeleteColumn, InsertColumn


TJvInspectorCompoundItem.DeleteColumn method (Integer)

TJvInspectorCompoundItem	Edit topic

Deletes an item from the column list.

Pascal

procedure DeleteColumn(const Column: TJvInspectorCompoundColumn); overload;
procedure DeleteColumn(const Index: Integer); overload;
procedure DeleteColumn(const Item: TJvCustomInspectorItem); overload;

Parameters

const Column: TJvInspectorCompoundColumn

Column to delete.

const Index: Integer

Column index to delete.

const Item: TJvCustomInspectorItem

Item to delete from the column list.

Description

DeleteColumn will remove an item from the column list. The item will be moved back to the Items list.

DeleteColumn comes in three overloaded versions: one to delete a column instance, one to delete the column at an index and one to delete an item instance.

Created with Doc-O-Matic.


TJvInspectorCompoundItem.IndexOfColumn method (TJvCustomInspectorItem)

TJvInspectorCompoundItem	Edit topic

Locates a specific column.

Pascal

function IndexOfColumn(const Col: TJvInspectorCompoundColumn): Integer; overload;
function IndexOfColumn(const Item: TJvCustomInspectorItem): Integer; overload;

Parameters

const Col: TJvInspectorCompoundColumn

Column instance to locate.

const Item: TJvCustomInspectorItem

Item instance to locate.

Description

IndexOfColumn searches for a column and returns the index. If the requested column is not found, -1 will be returned, otherwise it's a 0-based index into the Columns list.

IndexOfColumn comes in two overloaded versions: one to locate a column instance and one to locate an item instance.

Created with Doc-O-Matic.


TJvInspectorCompoundItem.InsertColumn method (Integer, Integer)

TJvInspectorCompoundItem	See Also	Edit topic

Inserts the specified child to column list at a specified index.

Pascal

procedure InsertColumn(const Index: Integer; const Item: TJvCustomInspectorItem); overload;
procedure InsertColumn(const Index: Integer; const ItemIndex: Integer); overload;

Parameters

const Index: Integer

Index at which the item is to be inserted into the column list. This is a 0-based index. The item will be inserted at the index, moving all items at or above the index to the right. If Index = ColumnCount, the item will be added to the column list.

const Item: TJvCustomInspectorItem

Item to add as a column. Item is checked to be a child of the compound item.

const ItemIndex: Integer

Index into the Items item list of the item to add.

Description

InsertColumn will insert the specified child in the Items list to the Columns list at the specified index. This will remove the specified item from the Items list (a column item can't be shown as a child item as well). The column is initialized to a width of 0 (see Width and WidthSet for more information).

InsertColumn comes in two overloaded versions: one to insert an Item instance and one to insert the item at an index in the Items property.

Created with Doc-O-Matic.


See Also

AddColumn, DeleteColumn


TJvInspectorCustomCategoryItem
JEDI-VCL Reference

TJvInspectorCustomCategoryItem

Hierarchy	Properties	Methods	Events	 Edit topic

Inspector category item.

Pascal

TJvInspectorCustomCategoryItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorCustomCategoryItem is an inspector item that represents a category. A category is a data-less item that allows you to group several items that are related to each other.

Created with Doc-O-Matic.


TJvInspectorCustomCategoryItem Properties

TJvInspectorCustomCategoryItem	Legend

Properties

 Name

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

write only

protected

read only

Created with Doc-O-Matic.


Legend

write only

protected

read only


TJvInspectorCustomCategoryItem Methods

TJvInspectorCustomCategoryItem	Legend

Methods

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvInspectorCustomCategoryItem Events

TJvInspectorCustomCategoryItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorCustomCategoryItem

Legend

write only

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorCustomCategoryItem


TJvInspectorCustomCategoryItem Members

TJvInspectorCustomCategoryItem	Legend

Members

Properties

 Name

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

write only

protected

read only

virtual

Created with Doc-O-Matic.


Legend

write only

protected

read only

virtual


TJvInspectorCustomCategoryItem.Name property

TJvInspectorCustomCategoryItem	Edit topic

Not documented

Pascal

property Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorCustomCategoryItem.IsCategory method

TJvInspectorCustomCategoryItem	Edit topic

Determines if the item represents a category item.

Pascal

function IsCategory: Boolean; override;

Description

IsCategory determines if the item represents a category item.

If the item represents a category the method will return True, otherwise False is returned.

TJvInspectorCustomCategoryItem implements this method to always return True.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem
JEDI-VCL Reference

TJvInspectorCustomCompoundItem

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Compound row inspector item.

Pascal

TJvInspectorCustomCompoundItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorCustomCompoundItem is an inspector item that allows some of its child items to be shown as sub columns of itself. It's primarily intended as a base class for multicolumn items.

Use a TJvInspectorCompoundItem to define a multicolumn item you can manage yourself.

TJvInspectorDateTimeItem also descends from TJvInspectorCustomCompoundItem but you have no control over the columns.

DisplayName is reimplemented by TJvInspectorCustomCompoundItem to take the SingleName and SingleNameUseFirstCol properties into account when retrieving/setting the DisplayName.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem Properties

TJvInspectorCustomCompoundItem	Legend

Properties

 ColumnCount

 Columns

 CompoundItemFlags

 SelectedColumn

 SelectedColumnIndex

 SingleName

 SingleNameUseFirstCol

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorCustomCompoundItem Methods

TJvInspectorCustomCompoundItem	Legend

Methods

 AddColumnPrim

 Create

 DeleteColumnPrim

 DivideRect

 DoneEdit

 DrawEditor

 DrawName

 DrawValue

 EditFocused

 EditKeyDown

 IndexOfColumnPrim

 InitEdit

 InsertColumnPrim

 MouseDown

 RecalcColumnWidths

 SetFocus

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvInspectorCustomCompoundItem Events

TJvInspectorCustomCompoundItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorCustomCompoundItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorCustomCompoundItem


TJvInspectorCustomCompoundItem Members

TJvInspectorCustomCompoundItem	Legend

Members

Properties

 ColumnCount

 Columns

 CompoundItemFlags

 SelectedColumn

 SelectedColumnIndex

 SingleName

 SingleNameUseFirstCol

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 AddColumnPrim

 Create

 DeleteColumnPrim

 DivideRect

 DoneEdit

 DrawEditor

 DrawName

 DrawValue

 EditFocused

 EditKeyDown

 IndexOfColumnPrim

 InitEdit

 InsertColumnPrim

 MouseDown

 RecalcColumnWidths

 SetFocus

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


See Also

TJvCustomInspectorItem.IsCompoundColumn


TJvInspectorCustomCompoundItem.ColumnCount property

TJvInspectorCustomCompoundItem	See Also	Edit topic

Indicates the number of columns.

Pascal

property ColumnCount: Integer;

Description

ColumnCount retrieves the number of columns that are in the column list. Read ColumnCount to find out how many columns the compound item has.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.Columns


TJvInspectorCustomCompoundItem.Columns property

TJvInspectorCustomCompoundItem	See Also	Edit topic

List of columns.

Pascal

property Columns [I: Integer]: TJvInspectorCompoundColumn;

Description

Columns is a 0-based array of columns the compound item has. Use Columns to retrieve an instance of a specific column.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.ColumnCount


TJvInspectorCustomCompoundItem.CompoundItemFlags property

TJvInspectorCustomCompoundItem	See Also	Edit topic

Determines flags specific for compound items.

Pascal

property CompoundItemFlags: TInspectorCompoundItemFlags;

Description

CompoundItemFlags determines the options specific for the compound item. Each flag is also represented by a separate property.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.SingleName, TJvInspectorCustomCompoundItem.SingleNameUseFirstCol


TJvInspectorCustomCompoundItem.SelectedColumn property

TJvInspectorCustomCompoundItem	See Also	Edit topic

Currently selected (focused) column.

Pascal

property SelectedColumn: TJvInspectorCompoundColumn;

Description

SelectedColumn indicates which column currently has the input focus. Read SelectedColumn to determine which column has focus or set it to a column that is to receive input focus.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.SelectedColumnIndex


TJvInspectorCustomCompoundItem.SelectedColumnIndex property

TJvInspectorCustomCompoundItem	See Also	Edit topic

Index of currently selected (focused) column.

Pascal

property SelectedColumnIndex: Integer;

Description

SelectedColumnIndex indicates which column currently has the input focus. Read SelectedColumnIndex to determine which column has focus or set it to a column that is to receive input focus.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCompoundItem.SelectedColumn


TJvInspectorCustomCompoundItem.SingleName property

TJvInspectorCustomCompoundItem	Edit topic

Determines if the compound item uses a single name to represent the different columns.

Pascal

property SingleName: Boolean;

Description

SingleName determines if the compound item uses a single name to represent the different columns.

Set SingleName to True if you want only 1 name displayed, regardless of the number of columns.

Set SingleName to False if you want separate names displayed for each column. The displayed names are then determined by the DisplayName of the items associated with the columns. Note: when setting SingleName to False, SingleNameUseFirstCol will also be set to False.

SingleName maps to the icifSingleName in the CompoundItemFlags property.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.SingleNameUseFirstCol property

TJvInspectorCustomCompoundItem	Edit topic

Determines if the single name shown is that of the first column.

Pascal

property SingleNameUseFirstCol: Boolean;

Description

SingleNameUseFirstCol determines if the name displayed in SingleName mode, is the DisplayName of the item associated with the first column.

Set SingleNameUseFirstCol to True to let the item associated with the first column provide the name to show. Note: setting SingleNameUseFirstCol to True will also set SingleName to True.

Set SingleNameUseFirstCol to False to keep the DisplayName of the compound item separated from any column in SingleName mode.

SingleNameUseFirstCol maps to the icifSingleNameUseFirstCol in the CompoundItemFlags property.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.AddColumnPrim method (Integer)

TJvInspectorCustomCompoundItem	See Also	Edit topic

Adds the specified child to column list.

Pascal

function AddColumnPrim(const Item: TJvCustomInspectorItem): Integer; virtual; overload;
function AddColumnPrim(const ItemIndex: Integer): Integer; virtual; overload;

Parameters

const Item: TJvCustomInspectorItem

Item to add as a column. Item is checked to be a child of the compound item.

const ItemIndex: Integer

Index into the Items item list of the item to add.

Description

AddColumnPrim will add the specified child in the Items list to the Columns list. This will remove the specified item from the Items list (a column item can't be shown as a child item as well). The column is initialized to a width of 0 (see Width and WidthSet for more information).

AddColumnPrim comes in two overloaded versions: one to add an Item instance and one to add the item at an index in the Items property.

This method primarily intended as an internal method to add columns. Some descendants will surface this behavior through publicly declared methods, others don't but add the columns automatically (such as TJvInspectorDateTimeItem).

Created with Doc-O-Matic.


See Also

DeleteColumnPrim, InsertColumnPrim


TJvInspectorCustomCompoundItem.Create constructor

TJvInspectorCustomCompoundItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.DeleteColumnPrim method (Integer)

TJvInspectorCustomCompoundItem	Edit topic

Deletes an item from the column list.

Pascal

procedure DeleteColumnPrim(const Column: TJvInspectorCompoundColumn); virtual; overload;
procedure DeleteColumnPrim(const Index: Integer); virtual; overload;
procedure DeleteColumnPrim(const Item: TJvCustomInspectorItem); virtual; overload;

Parameters

const Column: TJvInspectorCompoundColumn

Column to delete.

const Index: Integer

Column index to delete.

const Item: TJvCustomInspectorItem

Item to delete from the column list.

Description

DeleteColumnPrim will remove an item from the column list. The item will be moved back to the Items list.

DeleteColumnPrim comes in three overloaded versions: one to delete a column instance, one to delete the column at an index and one to delete an item instance.

This method primarily intended as an internal method to delete columns. Some descendants will surface this behavior through publicly declared methods, others don't but delete the columns automatically (such as TJvInspectorDateTimeItem).

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.DivideRect method

TJvInspectorCustomCompoundItem	See Also	Edit topic

Divides the specified rectangle over the columns.

Pascal

procedure DivideRect(const RectKind: TInspectorPaintRect; const Value: TRect); virtual;

Parameters

const RectKind: TInspectorPaintRect

The rectangle kind to set.

const Value: TRect

The rectangle to divide.

Description

DivideRect divides the specified rectangle over the columns (taking into account the columns Width property) and set's the associated item's rectangle accordingly.

If DivideRect divides the iprValue rectangle, the Painter will be requested to calculate the edit based rectangles.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Painter, TJvInspectorCompoundColumn.Width, TJvInspectorPainter.CalcEditBasedRects


TJvInspectorCustomCompoundItem.DoneEdit method

TJvInspectorCustomCompoundItem	Edit topic

Sets the item in browse mode.

Pascal

procedure DoneEdit(const CancelEdits: Boolean = False); override;

Parameters

CancelEdits

Flag to indicate if changes should discarded or applied. If set to True, modifications done in the editor are discarded, otherwise they are applied.

Description

DoneEdit sets the item in browse mode, provided the item is in edit mode. The current edit value can be either applied or discarded before returning to browse mode.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.DrawEditor method

TJvInspectorCustomCompoundItem	Edit topic

Draws the editor.

Pascal

procedure DrawEditor(const ACanvas: TCanvas); override;

Parameters

ACanvas

Canvas to draw on.

Description

DrawEditor draws the editor. The implementation of TJvCustomInspectorItem will check if an edit control has been generated and paint the edit's image onto the inspector's canvas, including any edit buttons (drop-down or ellipses). This will reduce the flickering when dragging the divider bar.

Descendants can override this method to paint a state / value to be used while editing. For example, TJvInspectorBooleanItem overrides DrawEditor to draw the image of a checkbox (no actual checkbox is used).

DrawEditor is called by DrawValue when the item is in edit mode.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.DrawName method

TJvInspectorCustomCompoundItem	Edit topic

Draws the item name.

Pascal

procedure DrawName(const ACanvas: TCanvas); override;

Parameters

ACanvas

Canvas to draw on.

Description

DrawName draws the item's name. The default implementation simply draws the name using the current font and brush.

Descendants should override this method to provide other means of painting the name. Note: the fact that category names are painted bold is not determined by the DrawName method, but rather by the painter object.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.DrawValue method

TJvInspectorCustomCompoundItem	Edit topic

Draws the item value.

Pascal

procedure DrawValue(const ACanvas: TCanvas); override;

Parameters

ACanvas

Canvas to draw on.

Description

DrawValue draws the item's value. The default implementation either calls the DrawEditor method (if the item is in edit mode) or draws the current value using the current font and brush.

Descendants should override this method to provide other means of painting the value. Note: the font color for values is determined by the painter object, not by the DrawValue method.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.EditFocused method

TJvInspectorCustomCompoundItem	Edit topic

Determines if the edit control has focus.

Pascal

function EditFocused: Boolean; override;

Description

EditFocused determines if the edit control has focus. If the item is in edit mode, has an edit control and the control has focus, the function will return True, otherwise False is returned.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.EditKeyDown method

TJvInspectorCustomCompoundItem	Edit topic

OnKeyDown handler for the edit control.

Pascal

procedure EditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState); override;

Parameters

Sender

Originator of the call. This is either the edit control or the inspector.

Key

The key on the keyboard. For non-alphanumeric keys, you must use WinAPI virtual key codes to determine the key pressed. For more information, search for virtual key codes in the Win32 Developer's Reference (WIN32.HLP).

Shift

Indicates whether the Shift, Alt, or Ctrl keys are combined with the keystroke.

Description

EditKeyDown is the OnKeyDown handler for the edit control. On entry to the method the Sender property is checked. If it is not set to the inspector, the method was indeed called from the edit control. Execution is transferred to the inspector.

If the call originated from the inspector (Sender is set to Inspector), the item editor keys are processed. This means the keys for Apply, Undo, select prior value, select next value and to invoke the Edit method are checked.

Descendants that override this should call inherited and only process special keys if Sender is set to Inspector (so that the inspector had a change to process its own keys first).

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.IndexOfColumnPrim method (TJvCustomInspectorItem)

TJvInspectorCustomCompoundItem	Edit topic

Locates a specific column.

Pascal

function IndexOfColumnPrim(const Col: TJvInspectorCompoundColumn): Integer; virtual; overload;
function IndexOfColumnPrim(const Item: TJvCustomInspectorItem): Integer; virtual; overload;

Parameters

const Col: TJvInspectorCompoundColumn

Column instance to locate.

const Item: TJvCustomInspectorItem

Item instance to locate.

Description

IndexOfColumnPrim searches for a column and returns the index. If the requested column is not found, -1 will be returned, otherwise it's a 0-based index into the Columns list.

IndexOfColumnPrim comes in two overloaded versions: one to locate a column instance and one to locate an item instance.

This method primarily intended as an internal method to locate columns. Some descendants will surface this behavior through publicly declared methods, others don't (such as TJvInspectorDateTimeItem).

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.InitEdit method

TJvInspectorCustomCompoundItem	Edit topic

Sets the item in edit mode.

Pascal

procedure InitEdit; override;

Description

InitEdit sets the item in edit mode, provided the item can be edited (CanEdit returns True).

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.InsertColumnPrim method (Integer, Integer)

TJvInspectorCustomCompoundItem	See Also	Edit topic

Inserts the specified child to column list at a specified index.

Pascal

procedure InsertColumnPrim(const Index: Integer; const Item: TJvCustomInspectorItem); virtual; overload;
procedure InsertColumnPrim(const Index: Integer; const ItemIndex: Integer); virtual; overload;

Parameters

const Index: Integer

Index at which the item is to be inserted into the column list. This is a 0-based index. The item will be inserted at the index, moving all items at or above the index to the right. If Index = ColumnCount, the item will be added to the column list.

const Item: TJvCustomInspectorItem

Item to add as a column. Item is checked to be a child of the compound item.

const ItemIndex: Integer

Index into the Items item list of the item to add.

Description

InsertColumnPrim will insert the specified child in the Items list to the Columns list at the specified index. This will remove the specified item from the Items list (a column item can't be shown as a child item as well). The column is initialized to a width of 0 (see Width and WidthSet for more information).

InsertColumnPrim comes in two overloaded versions: one to insert an Item instance and one to insert the item at an index in the Items property.

This method primarily intended as an internal method to insert columns. Some descendants will surface this behavior through publicly declared methods, others don't but insert the columns automatically (such as TJvInspectorDateTimeItem).

Created with Doc-O-Matic.


See Also

AddColumnPrim, DeleteColumnPrim


TJvInspectorCustomCompoundItem.MouseDown method

TJvInspectorCustomCompoundItem	Edit topic

Handles mouse clicks on the item.

Pascal

procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); override;

Parameters

Button

The mouse button that is held down.

Shift

Indicates the shift state at the time the button was pressed.

X

X-position of the mouse in the client area of the sender.

Y

Y-position of the mouse in the client area of the sender.

Description

MouseDown handles mouse clicks that occur on the item.

The base implementation handles double clicks to select the next value from the value list as well as begin tracking the edit button. Descendants can override this method to provide additional functionality.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.RecalcColumnWidths method

TJvInspectorCustomCompoundItem	Edit topic

Update column widths

Pascal

procedure RecalcColumnWidths(const SetColumn: TJvInspectorCompoundColumn = nil); virtual;

Parameters

const SetColumn: TJvInspectorCompoundColumn = nil

Column which has to be set to the width that is specified. This column is guaranteed to be set to that width, unless its width is 0, which means it will be set to whatever width remains after the main loop.

Description

RecalcColumnWidths will recalculate all column widths such that the total width will be 100. If the SetColumn property is set to a column, that column is guaranteed to be the width it was set to.

RecalcColumnWidths will loop over all columns and adjust there widths if needed. If a columns width would make the total > 100, it is resized to a smaller value. If a columns width was set to 0, it will be added to a list of columns to be set after the main loop.

After the main loop has ended and the total width < 100, a second loop will start to loop over all item for which the width was set to 0. The remaining space will be equally divided over the columns.

Created with Doc-O-Matic.


TJvInspectorCustomCompoundItem.SetFocus method

TJvInspectorCustomCompoundItem	Edit topic

Moves focus to the item.

Pascal

procedure SetFocus; override;

Description

SetFocus moves window focus to this item. If the item is in edit mode and the edit control can receive focus, the edit control will receive focus. Otherwise, the inspector will receive focus.

Created with Doc-O-Matic.


TJvInspectorCustomConfData
JEDI-VCL Reference

TJvInspectorCustomConfData

Hierarchy	Properties	Methods	Events	 Edit topic

Base configuration data layer.

Pascal

TJvInspectorCustomConfData = class(TJvCustomInspectorData);

File

JvInspector

Description

TJvInspectorCustomConfData is the base inspector data layer that obtains its data from configuration files/settings databases. The class implements all access properties, but the type info will be used to check the legality of the access (ie. a float can't be accessed as Int64). Note: you can change the type info pointer of the data layer instance. This can be useful to provide alternative enumeration constants (including names with spaces) by using the JclRTTI unit and its JclGenerateEnumType function.

The data layer provides in the common properties and methods to access configuration files/settings databases.

Created with Doc-O-Matic.


TJvInspectorCustomConfData Properties

TJvInspectorCustomConfData	Legend

Properties

Key

Section

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorCustomConfData Methods

TJvInspectorCustomConfData	Legend

Methods

 ExistingValue

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 ReadValue

 SetAsSet

 WriteValue

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

protected

abstract

virtual


TJvInspectorCustomConfData Events

TJvInspectorCustomConfData

Events

TJvCustomInspectorData

OnValueChanged

Created with Doc-O-Matic.


Legend

TJvInspectorCustomConfData

Legend

read only

protected

abstract

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorData
        TJvInspectorCustomConfData


TJvInspectorCustomConfData Members

TJvInspectorCustomConfData	Legend

Members

Properties

Key

Section

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Methods

 ExistingValue

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 ReadValue

 SetAsSet

 WriteValue

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Events

TJvCustomInspectorData

OnValueChanged

Legend

read only

protected

abstract

virtual

Created with Doc-O-Matic.


Legend

read only

protected

abstract

virtual


TJvInspectorCustomConfData.Key property

TJvInspectorCustomConfData	See Also	Edit topic

The key this instance represents.

Pascal

property Key: string;

Description

Key holds the key name within the section specified by Section in the configuration file/settings database.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomConfData.Section


TJvInspectorCustomConfData.Section property

TJvInspectorCustomConfData	See Also	Edit topic

The section this instance represents.

Pascal

property Section: string;

Description

Section holds the section name within the configuration file/settings database.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomConfData.Key


TJvInspectorCustomConfData.ExistingValue method

TJvInspectorCustomConfData	See Also	Edit topic

Indicates whether the specified section and key exist.

Pascal

function ExistingValue: Boolean; virtual; abstract;

Description

ExistingValue determines whether or not the section/key pair is an actual value within the configuration file/settings database.

Descendants must override this method to provide a meaningful result. The implementation of IsAssigned uses the result of this method.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned


TJvInspectorCustomConfData.GetAsSet method

TJvInspectorCustomConfData	Edit topic

Retrieve the data as a set value.

Pascal

procedure GetAsSet(var Buf); override;

Parameters

Buf

A set variable to retrieve the value in

Description

GetAsSet will try to retrieve the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is read CheckReadAccess is called to check read access.

Created with Doc-O-Matic.


TJvInspectorCustomConfData.HasValue method

TJvInspectorCustomConfData	See Also	Edit topic

Determines if the data object actually represents a value.

Pascal

function HasValue: Boolean; override;

Description

HasValue determines if the data object represents a value. This is dependent on the data the object is representing and therefor changes for each data class. If the data object represents a value, HasValue returns True, otherwise False is returned. If HasValue is False, data can not be read or written and the inspector will show (no value).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned, TJvCustomInspectorData.IsInitialized


TJvInspectorCustomConfData.IsAssigned method

TJvInspectorCustomConfData	See Also	Edit topic

Determines if the data object has been assigned a value.

Pascal

function IsAssigned: Boolean; override;

Description

IsAssigned determines if the data object has a value assigned to it. This is dependent on the data the object is representing and therefor changes for each data class. If a value is assigned, IsAssigned returns True, otherwise False is returned. If IsAssigned is False, data can not be read and the inspector will show (unassigned).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsInitialized


TJvInspectorCustomConfData.IsEqualReference method

TJvInspectorCustomConfData	See Also	Edit topic

Determines if the specified data instance references the same data.

Pascal

function IsEqualReference(const Ref: TJvCustomInspectorData): Boolean; override;

Parameters

Ref

The data instance to check.

Description

IsEqualReference determines if the specified data instance references the same physical data as Self does.

If the specified instance references the same data True will be returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.NotifyRemoveData, TJvCustomInspectorData.RegisterInstance


TJvInspectorCustomConfData.IsInitialized method

TJvInspectorCustomConfData	See Also	Edit topic

Determines if the data object is properly initialized.

Pascal

function IsInitialized: Boolean; override;

Description

IsInitialized determines if the data object has been properly initialized. This is dependent on the data the object is representing and therefor changes for each data class. If the data is properly initialized, IsIntialized returns True, otherwise False is returned. If IsInitialized is False, the data object can not be used and the inspector will show (uninitialized)

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsAssigned


TJvInspectorCustomConfData.ReadValue method

TJvInspectorCustomConfData	See Also	Edit topic

Reads a string value.

Pascal

function ReadValue: string; virtual; abstract;

Description

ReadValue reads the string value from the configuration file/settings database where the Section/Key pair is pointing to.

Descendants should override this method to read the value represented by the Section/Key pair from the configuration file/settings database.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomConfData.Key, TJvInspectorCustomConfData.Section, TJvInspectorCustomConfData.WriteValue


TJvInspectorCustomConfData.SetAsSet method

TJvInspectorCustomConfData	Edit topic

Set the data as a set value.

Pascal

procedure SetAsSet(const Buf); override;

Parameters

Buf

The value to set the data to.

Description

SetAsSet will try to change the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvInspectorCustomConfData.WriteValue method

TJvInspectorCustomConfData	See Also	Edit topic

Writes a string value.

Pascal

procedure WriteValue(const Value: string); virtual; abstract;

Parameters

const Value: string

Not documented

Description

WriteValue writes the string value to the configuration file/settings database where the Section/Key pair is pointing to.

Descendants should override this method to write the value to the configuration file/settings database at the location represented by the Section/Key pair.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomConfData.Key, TJvInspectorCustomConfData.ReadValue, TJvInspectorCustomConfData.Section


TJvInspectorDateItem
JEDI-VCL Reference

TJvInspectorDateItem

Hierarchy	Properties	Methods	Events	 Edit topic

TDate inspector item.

Pascal

TJvInspectorDateItem = class(TJvInspectorFloatItem);

File

JvInspector

Description

TJvInspectorDateItem is an inspector item that allows TDate values to be edited through a simple editor.

TJvCustomInspectorData registers this item for TDate types.

Created with Doc-O-Matic.


TJvInspectorDateItem Properties

TJvInspectorDateItem	Legend

Properties

 Format

TJvInspectorFloatItem

 Format

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorDateItem Methods

TJvInspectorDateItem	Legend

Methods

 Create

TJvInspectorFloatItem

 Create

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorDateItem Events

TJvInspectorDateItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorDateItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorFloatItem
            TJvInspectorDateItem


TJvInspectorDateItem Members

TJvInspectorDateItem	Legend

Members

Properties

 Format

TJvInspectorFloatItem

 Format

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 Create

TJvInspectorFloatItem

 Create

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvInspectorDateItem.Format property

TJvInspectorDateItem	Edit topic

Determines the format for the date.

Pascal

property Format: string;

Description

Format determines the display/edit format of the date string. The format string should only contain the d, dd, m, mm, yy, yyyy or date separator characters. Other settings are not allowed.

Created with Doc-O-Matic.


TJvInspectorDateItem.Create constructor

TJvInspectorDateItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorDateTimeItem
JEDI-VCL Reference

TJvInspectorDateTimeItem

Hierarchy	Properties	Methods	Events	 Edit topic

TDateTime inspector item.

Pascal

TJvInspectorDateTimeItem = class(TJvInspectorCustomCompoundItem);

File

JvInspector

Description

TJvInspectorDateTimItem is a compound inspector item that allows TDateTime values to be edited through two simple editors. The two columns will consist of a TJvInspectorDateItem and a TJvInspectorTimeItem. This item will allow you to set the various settings of the two editors. There's no reference to the two editors used available in the public interface.

TJvCustomInspectorData registers this item for TDateTime types.

Created with Doc-O-Matic.


TJvInspectorDateTimeItem Properties

TJvInspectorDateTimeItem	Legend

Properties

 DateFormat

 TimeShowAMPM

 TimeShowSeconds

TJvInspectorCustomCompoundItem

 ColumnCount

 Columns

 CompoundItemFlags

 SelectedColumn

 SelectedColumnIndex

 SingleName

 SingleNameUseFirstCol

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorDateTimeItem Methods

TJvInspectorDateTimeItem	Legend

Methods

 Create

TJvInspectorCustomCompoundItem

 AddColumnPrim

 Create

 DeleteColumnPrim

 DivideRect

 DoneEdit

 DrawEditor

 DrawName

 DrawValue

 EditFocused

 EditKeyDown

 IndexOfColumnPrim

 InitEdit

 InsertColumnPrim

 MouseDown

 RecalcColumnWidths

 SetFocus

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorDateTimeItem Events

TJvInspectorDateTimeItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorDateTimeItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorCustomCompoundItem
            TJvInspectorDateTimeItem


TJvInspectorDateTimeItem Members

TJvInspectorDateTimeItem	Legend

Members

Properties

 DateFormat

 TimeShowAMPM

 TimeShowSeconds

TJvInspectorCustomCompoundItem

 ColumnCount

 Columns

 CompoundItemFlags

 SelectedColumn

 SelectedColumnIndex

 SingleName

 SingleNameUseFirstCol

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 Create

TJvInspectorCustomCompoundItem

 AddColumnPrim

 Create

 DeleteColumnPrim

 DivideRect

 DoneEdit

 DrawEditor

 DrawName

 DrawValue

 EditFocused

 EditKeyDown

 IndexOfColumnPrim

 InitEdit

 InsertColumnPrim

 MouseDown

 RecalcColumnWidths

 SetFocus

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvInspectorDateTimeItem.DateFormat property

TJvInspectorDateTimeItem	See Also	Edit topic

Determines the format for the date editor.

Pascal

property DateFormat: string;

Description

DateFormat determines the format of the date editor. DateFormat is a direct reference to the Format property of the TJvInspectorDateItem.

Created with Doc-O-Matic.


See Also

TJvInspectorDateItem.Format


TJvInspectorDateTimeItem.TimeShowAMPM property

TJvInspectorDateTimeItem	See Also	Edit topic

Determines if the time editor shows AM/PM.

Pascal

property TimeShowAMPM: Boolean;

Description

TimeShowAMPM determines if the time editor will show AM/PM or use the 24-hour notation. TimeShowAMPM is a direct reference to the ShowAMPM property of the TJvInspectorTimeItem.

Created with Doc-O-Matic.


See Also

TJvInspectorTimeItem.ShowAMPM


TJvInspectorDateTimeItem.TimeShowSeconds property

TJvInspectorDateTimeItem	See Also	Edit topic

Determines if the time editor shows seconds.

Pascal

property TimeShowSeconds: Boolean;

Description

TimeShowSeconds determines if the time editor will show seconds. TimeShowSeconds is a direct reference to the ShowSeconds property of the TJvInspectorTimeItem.

Created with Doc-O-Matic.


See Also

TJvInspectorTimeItem.ShowSeconds


TJvInspectorDateTimeItem.Create constructor

TJvInspectorDateTimeItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorDotNETPainter
JEDI-VCL Reference

 TJvInspectorDotNETPainter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Inspector painter class for .NET / Visual Studio style.

Pascal

TJvInspectorDotNETPainter = class(TJvInspectorBorlandNETBasePainter);

File

JvInspector

Description

TJvInspectorDotNETPainter is the painter component that implements the .NET/Visual Studio paint style.

Created with Doc-O-Matic.


TJvInspectorDotNETPainter Properties

TJvInspectorDotNETPainter	Legend

Properties

 DividerColor

 HideSelectColor

 HideSelectTextColor

 SelectedColor

 SelectedTextColor

TJvInspectorBorlandNETBasePainter

 BackgroundColor

 CategoryColor

 CategoryTextColor

 NameColor

 RealButtonAreaWidth

 ValueColor

TJvInspectorPainter

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorDotNETPainter Events

TJvInspectorDotNETPainter	Legend

Events

 OnSetItemColors

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvInspectorDotNETPainter Methods

TJvInspectorDotNETPainter	Legend

Methods

 ApplyNameFont

 DoPaint

 InitializeColors

 PaintDivider

TJvInspectorBorlandNETBasePainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 SetupRects

TJvInspectorPainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorDotNETPainter

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvInspectorPainter
            TJvInspectorBorlandNETBasePainter
                TJvInspectorDotNETPainter


TJvInspectorDotNETPainter Members

TJvInspectorDotNETPainter	Legend

Members

Properties

 DividerColor

 HideSelectColor

 HideSelectTextColor

 SelectedColor

 SelectedTextColor

TJvInspectorBorlandNETBasePainter

 BackgroundColor

 CategoryColor

 CategoryTextColor

 NameColor

 RealButtonAreaWidth

 ValueColor

TJvInspectorPainter

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Events

 OnSetItemColors

Methods

 ApplyNameFont

 DoPaint

 InitializeColors

 PaintDivider

TJvInspectorBorlandNETBasePainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 SetupRects

TJvInspectorPainter

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

RuntimeDesign


TJvInspectorDotNETPainter.DividerColor property

TJvInspectorDotNETPainter	See Also	Edit topic

Pen color of the divider bar.

Pascal

property DividerColor: TColor;

Description

DividerColor indicates the pen color used to render the divider bar. Read DividerColor to find out which color is used to render the divider bar or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Divider


TJvInspectorDotNETPainter.HideSelectColor property

TJvInspectorDotNETPainter	Edit topic

Not documented

Pascal

property HideSelectColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorDotNETPainter.HideSelectTextColor property

TJvInspectorDotNETPainter	Edit topic

Not documented

Pascal

property HideSelectTextColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorDotNETPainter.OnSetItemColors event

TJvInspectorDotNETPainter	Edit topic

Not documented

Pascal

property OnSetItemColors: TOnJvInspectorSetItemColors;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorDotNETPainter.SelectedColor property

TJvInspectorDotNETPainter	See Also	Edit topic

Background color for selected items.

Pascal

property SelectedColor: TColor;

Description

SelectedColor indicates the background color for selected items. Read SelectedColor to find out which color is used as a background when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.SelectedTextColor


TJvInspectorDotNETPainter.SelectedTextColor property

TJvInspectorDotNETPainter	See Also	Edit topic

Font color for selected items.

Pascal

property SelectedTextColor: TColor;

Description

SelectedTextColor indicates the font color for selected items. Read SelectedTextColor to find out which color is used for the font when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.SelectedColor


TJvInspectorDotNETPainter.ApplyNameFont method

TJvInspectorDotNETPainter	See Also	Edit topic

Activates the name font.

Pascal

procedure ApplyNameFont; override;

Description

ApplyNameFont sets the Canvas font to the font used to display the name. The base implementation sets this to the inspector font and selects the NameColor as the font color.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.ApplyValueFont, TJvInspectorPainter.Canvas, TJvInspectorPainter.NameColor


TJvInspectorDotNETPainter.DoPaint method

TJvInspectorDotNETPainter	Edit topic

Renders the current item.

Pascal

procedure DoPaint; override;

Description

DoPaint renders the item that has just been setup. The Item property indicates the item to render while Rects hold the various calculated rectangles. ButtonImage will hold the image of the collapse/expand button if one is needed, or it is set to nil if no button is to be drawn. Use ApplyNameFont/ApplyValueFont to activate the font to render the name/value and use PaintDivider to render the divider bar.

The base implementation does nothing. Descendants should override this method to do the actual painting.

Created with Doc-O-Matic.


TJvInspectorDotNETPainter.InitializeColors method

TJvInspectorDotNETPainter	Edit topic

Sets the color properties to their defaults.

Pascal

procedure InitializeColors; override;

Description

InitializeColors presets the color properties to the defaults of the class, according to the RTTI info.

The base implementation presets the following properties:

BackgroundColor

DividerColor

NameColor

ValueColor

CategoryColor

CategoryTextColor

SelectedColor

SelectedTextColor

Descendants can override this method to preset additional properties.

Created with Doc-O-Matic.


TJvInspectorDotNETPainter.PaintDivider method

TJvInspectorDotNETPainter	Edit topic

Renders the name/value column divider bar at arbitrary positions.

Pascal

procedure PaintDivider(const X: Integer; const YTop: Integer; const YBottom: Integer); override;

Parameters

X

X-position of the bar.

YTop

Top of the divider bar.

YBottom

Bottom of the divider bar.

Description

PaintDivider is called whenever the name/value column divider bar needs to be rendered. Because this divider bar is also used to divide columns in compound items, the PaintDivider method can paint the divider at any location.

The base implementation does nothing. Descendants should override this method to paint the divider bar.

Created with Doc-O-Matic.


TJvInspectorEnumItem
JEDI-VCL Reference

TJvInspectorEnumItem

Hierarchy	Properties	Methods	Events	 Edit topic

Enumeration inspector item.

Pascal

TJvInspectorEnumItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorEnumItem is an inspector item that allows enumeration values to be edited through a combo box.

TJvCustomInspectorData registers this item for all enumeration types.

Created with Doc-O-Matic.


TJvInspectorEnumItem Methods

TJvInspectorEnumItem	Legend

Methods

 GetValueList

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvInspectorEnumItem Properties

TJvInspectorEnumItem	Legend

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorEnumItem Events

TJvInspectorEnumItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorEnumItem

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorEnumItem


TJvInspectorEnumItem Members

TJvInspectorEnumItem	Legend

Members

Methods

 GetValueList

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Legend

protected

virtual

read only


TJvInspectorEnumItem.GetValueList method

TJvInspectorEnumItem	See Also	Edit topic

Retrieves the list of selectable values.

Pascal

procedure GetValueList(const Strings: TStrings); override;

Parameters

Strings

Instance of a TStrings descendant to receive the list. This list is not cleared on entry, although the event handler called might.

Description

GetValueList retrieves the list of selectable values.

GetValueList simply calls DoGetValueList. However, descendants might override GetValueList to bypass or augment the event handler, without overriding the DoGetValueList method, which is the wrapper method for the OnGetValueList event.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifValueList, TJvCustomInspectorItem.DoGetValueList, TJvCustomInspectorItem.OnGetValueList


TJvInspectorEventData
JEDI-VCL Reference

TJvInspectorEventData

Hierarchy	Properties	Methods	Events	 Edit topic

Event based data layer.

Pascal

TJvInspectorEventData = class(TJvCustomInspectorData);

File

JvInspector

Description

TJvInspectorEventData is the inspector data layer that obtains its data through event handlers. Use this data layer if there is no data layer available to access a specific data source. Note that it's often more efficient to write a new data layer for specific data sources, as you can more precisely control how various type kinds are to be accessed and/or translated. The class implements all access properties, but the type info will be used to check the legality of the access (ie. a float can't be accessed as Int64).

After creating an instance of this data layer, you should assign handlers to those events that can be used (eg. if the data can only be accessed as strings, it's enough to assign an OnGetAsString and an OnSetAsString event).

Created with Doc-O-Matic.


TJvInspectorEventData Events

TJvInspectorEventData

Events

OnGetAsFloat

OnGetAsInt64

OnGetAsMethod

OnGetAsOrdinal

OnGetAsSet

OnGetAsString

OnSetAsFloat

OnSetAsInt64

OnSetAsMethod

OnSetAsOrdinal

OnSetAsSet

OnSetAsString

OnSupportsMethodPointers

TJvCustomInspectorData

OnValueChanged

Created with Doc-O-Matic.


TJvInspectorEventData Methods

TJvInspectorEventData	Legend

Methods

 DoGetAsFloat

 DoGetAsInt64

 DoGetAsMethod

 DoGetAsOrdinal

 DoGetAsSet

 DoGetAsString

 DoSetAsFloat

 DoSetAsInt64

 DoSetAsMethod

 DoSetAsOrdinal

 DoSetAsSet

 DoSetAsString

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

New

 SetAsSet

 SupportsMethodPointers

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvInspectorEventData Properties

TJvInspectorEventData	Legend

Properties

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvInspectorEventData

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorData
        TJvInspectorEventData


TJvInspectorEventData Members

TJvInspectorEventData	Legend

Members

Events

OnGetAsFloat

OnGetAsInt64

OnGetAsMethod

OnGetAsOrdinal

OnGetAsSet

OnGetAsString

OnSetAsFloat

OnSetAsInt64

OnSetAsMethod

OnSetAsOrdinal

OnSetAsSet

OnSetAsString

OnSupportsMethodPointers

TJvCustomInspectorData

OnValueChanged

Methods

 DoGetAsFloat

 DoGetAsInt64

 DoGetAsMethod

 DoGetAsOrdinal

 DoGetAsSet

 DoGetAsString

 DoSetAsFloat

 DoSetAsInt64

 DoSetAsMethod

 DoSetAsOrdinal

 DoSetAsSet

 DoSetAsString

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

New

 SetAsSet

 SupportsMethodPointers

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Properties

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvInspectorEventData.OnGetAsFloat event

TJvInspectorEventData	Edit topic

Event called when data needs to be read as a float.

Pascal

property OnGetAsFloat: TJvInspAsFloat;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

Set this parameter to the value the instance represents.

Description

Write an OnGetAsFloat event handler to read data as a float value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnGetAsInt64 event

TJvInspectorEventData	Edit topic

Event called when data needs to be read as a 64-bit integer.

Pascal

property OnGetAsInt64: TJvInspAsInt64;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

Set this parameter to the value the instance represents.

Description

Write an OnGetAsInt64 event handler to read data as a 64-bit integer value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnGetAsMethod event

TJvInspectorEventData	Edit topic

Event called when data needs to be read as a method pointer.

Pascal

property OnGetAsMethod: TJvInspAsMethod;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

Set this parameter to the value the instance represents.

Description

Write an OnGetAsMethod event handler to read data as a method pointer value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnGetAsOrdinal event

TJvInspectorEventData	Edit topic

Event called when data needs to be read as an integer value.

Pascal

property OnGetAsOrdinal: TJvInspAsInt64;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

Set this parameter to the value the instance represents.

Description

Write an OnGetAsOrdinal event handler to read data as an integer or ordinal value. This includes enumerations - use Ord(<enum value>) - and class instances - use Longword(<instance>) or Integer(<instance>).

Created with Doc-O-Matic.


TJvInspectorEventData.OnGetAsSet event

TJvInspectorEventData	Edit topic

Event called when data needs to be read as a set.

Pascal

property OnGetAsSet: TJvInspAsSet;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

Set this parameter to the value the instance represents.

BufSize

Initially set to the maximum number of bytes expected. You may set this parameter to the number of bytes actually copied.

Description

Write an OnGetAsSet event handler to read data as a set value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnGetAsString event

TJvInspectorEventData	Edit topic

Event called when data needs to be read as a string.

Pascal

TJvInspAsString = procedure (Sender: TJvInspectorEventData; var Value: string) of object;
property OnGetAsString: TJvInspAsString;

Parameters

Value

Set this parameter to the value the instance represents.

Sender

Reference to the data layer instance that generated the event.

Description

Write an OnGetAsString event handler to read data as a string value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnSetAsFloat event

TJvInspectorEventData	Edit topic

Event called when data needs to be written as a float.

Pascal

TJvInspAsFloat = procedure (Sender: TJvInspectorEventData; var Value: Extended) of object;
property OnSetAsFloat: TJvInspAsFloat;

Parameters

Value

The new value to assign.

Sender

Reference to the data layer instance that generated the event.

Description

Write an OnSetAsFloat event handler to write data as a float value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnSetAsInt64 event

TJvInspectorEventData	Edit topic

Event called when data needs to be written as a 64-bit integer.

Pascal

property OnSetAsInt64: TJvInspAsInt64;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

The new value to assign.

Description

Write an OnSetAsInt64 event handler to write data as a 64-bit integer value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnSetAsMethod event

TJvInspectorEventData	Edit topic

Event called when data needs to be written as a method pointer.

Pascal

property OnSetAsMethod: TJvInspAsMethod;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

The new value to assign.

Description

Write an OnSetAsMethod event handler to write data as a method pointer value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnSetAsOrdinal event

TJvInspectorEventData	Edit topic

Event called when data needs to be written as an integer value.

Pascal

property OnSetAsOrdinal: TJvInspAsInt64;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

The new value to assign.

Description

Write an OnSetAsOrdinal event handler to write data as an integer or ordinal value. This includes enumerations and class instances.

Created with Doc-O-Matic.


TJvInspectorEventData.OnSetAsSet event

TJvInspectorEventData	Edit topic

Event called when data needs to be written as a set.

Pascal

property OnSetAsSet: TJvInspAsSet;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

The new value to assign.

BufSize

The number of bytes the buffer contains.

Description

Write an OnSetAsSet event handler to write data as a set value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnSetAsString event

TJvInspectorEventData	Edit topic

Event called when data needs to be written as a string.

Pascal

property OnSetAsString: TJvInspAsString;

Parameters

Sender

Reference to the data layer instance that generated the event.

Value

The new value to assign.

Description

Write an OnSetAsString event handler to write data as a string value.

Created with Doc-O-Matic.


TJvInspectorEventData.OnSupportsMethodPointers event

TJvInspectorEventData	Edit topic

Not documented

Pascal

TJvInspSupportsMethodPointers = procedure (Sender: TJvInspectorEventData; var SupportsTMethod: Boolean) of object;
property OnSupportsMethodPointers: TJvInspSupportsMethodPointers;

Parameters

SupportsTMethod

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorEventData.DoGetAsFloat method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnGetAsFloat event.

Pascal

function DoGetAsFloat: Extended;

Description

DoGetAsFloat is a call wrapper for the OnGetAsFloat event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnGetAsFloat


TJvInspectorEventData.DoGetAsInt64 method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnGetAsInt64 event.

Pascal

function DoGetAsInt64: Int64;

Description

DoGetAsInt64 is a call wrapper for the OnGetAsInt64 event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnGetAsInt64


TJvInspectorEventData.DoGetAsMethod method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnGetAsMethod event.

Pascal

function DoGetAsMethod: TMethod;

Description

DoGetAsMethod is a call wrapper for the OnGetAsMethod event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnGetAsMethod


TJvInspectorEventData.DoGetAsOrdinal method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnGetAsOrdinal event.

Pascal

function DoGetAsOrdinal: Int64;

Description

DoGetAsOrdinal is a call wrapper for the OnGetAsOrdinal event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnGetAsOrdinal


TJvInspectorEventData.DoGetAsSet method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnGetAsSet event.

Pascal

procedure DoGetAsSet(out Buf; var BufSize: Integer);

Parameters

out Buf

Buffer to retrieve the set value in.

var BufSize: Integer

On entry, the maximum bytes expected. On exit this value is set to whatever value the event handler set it to.

Description

DoGetAsSet is a call wrapper for the OnGetAsSet event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnGetAsSet


TJvInspectorEventData.DoGetAsString method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnGetAsString event.

Pascal

function DoGetAsString: string;

Description

DoGetAsString is a call wrapper for the OnGetAsString event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnGetAsString


TJvInspectorEventData.DoSetAsFloat method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnSetAsFloat event.

Pascal

procedure DoSetAsFloat(Value: Extended);

Parameters

Value: Extended

The new value to assign.

Description

DoSetAsFloat is a call wrapper for the OnSetAsFloat event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnSetAsFloat


TJvInspectorEventData.DoSetAsInt64 method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnSetAsInt64 event.

Pascal

procedure DoSetAsInt64(Value: Int64);

Parameters

Value: Int64

The new value to assign.

Description

DoSetAsInt64 is a call wrapper for the OnSetAsInt64 event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnSetAsInt64


TJvInspectorEventData.DoSetAsMethod method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnSetAsMethod event.

Pascal

procedure DoSetAsMethod(Value: TMethod);

Parameters

Value: TMethod

The new value to assign.

Description

DoSetAsMethod is a call wrapper for the OnSetAsMethod event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnSetAsMethod


TJvInspectorEventData.DoSetAsOrdinal method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnSetAsOrdinal event.

Pascal

procedure DoSetAsOrdinal(Value: Int64);

Parameters

Value: Int64

The new value to assign.

Description

DoSetAsOrdinal is a call wrapper for the OnSetAsOrdinal event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnSetAsOrdinal


TJvInspectorEventData.DoSetAsSet method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnSetAsSet event.

Pascal

procedure DoSetAsSet(const Buf; var BufSize: Integer);

Parameters

const Buf

The new value to assign.

var BufSize: Integer

The number of bytes the buffer contains.

Description

DoSetAsSet is a call wrapper for the OnSetAsSet event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnSetAsSet


TJvInspectorEventData.DoSetAsString method

TJvInspectorEventData	See Also	Edit topic

Call wrapper for the OnSetAsString event.

Pascal

procedure DoSetAsString(Value: string);

Parameters

Value: string

The new value to assign.

Description

DoSetAsString is a call wrapper for the OnSetAsString event. If an event has not been assigned, an exception is raised.

Created with Doc-O-Matic.


See Also

TJvInspectorEventData.OnSetAsString


TJvInspectorEventData.GetAsSet method

TJvInspectorEventData	Edit topic

Retrieve the data as a set value.

Pascal

procedure GetAsSet(var Buf); override;

Parameters

Buf

A set variable to retrieve the value in

Description

GetAsSet will try to retrieve the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is read CheckReadAccess is called to check read access.

Created with Doc-O-Matic.


TJvInspectorEventData.HasValue method

TJvInspectorEventData	See Also	Edit topic

Determines if the data object actually represents a value.

Pascal

function HasValue: Boolean; override;

Description

HasValue determines if the data object represents a value. This is dependent on the data the object is representing and therefor changes for each data class. If the data object represents a value, HasValue returns True, otherwise False is returned. If HasValue is False, data can not be read or written and the inspector will show (no value).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned, TJvCustomInspectorData.IsInitialized


TJvInspectorEventData.IsAssigned method

TJvInspectorEventData	See Also	Edit topic

Determines if the data object has been assigned a value.

Pascal

function IsAssigned: Boolean; override;

Description

IsAssigned determines if the data object has a value assigned to it. This is dependent on the data the object is representing and therefor changes for each data class. If a value is assigned, IsAssigned returns True, otherwise False is returned. If IsAssigned is False, data can not be read and the inspector will show (unassigned).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsInitialized


TJvInspectorEventData.IsEqualReference method

TJvInspectorEventData	See Also	Edit topic

Determines if the specified data instance references the same data.

Pascal

function IsEqualReference(const Ref: TJvCustomInspectorData): Boolean; override;

Parameters

Ref

The data instance to check.

Description

IsEqualReference determines if the specified data instance references the same physical data as Self does.

If the specified instance references the same data True will be returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.NotifyRemoveData, TJvCustomInspectorData.RegisterInstance


TJvInspectorEventData.IsInitialized method

TJvInspectorEventData	See Also	Edit topic

Determines if the data object is properly initialized.

Pascal

function IsInitialized: Boolean; override;

Description

IsInitialized determines if the data object has been properly initialized. This is dependent on the data the object is representing and therefor changes for each data class. If the data is properly initialized, IsIntialized returns True, otherwise False is returned. If IsInitialized is False, the data object can not be used and the inspector will show (uninitialized)

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsAssigned


TJvInspectorEventData.New method

TJvInspectorEventData	Edit topic

Instantiate a data instance and attaches an item to it.

Pascal

class function New(const AParent: TJvCustomInspectorItem; const AName: string; ATypeInfo: PTypeInfo): TJvCustomInspectorItem; overload; reintroduce;

Parameters

const AParent: TJvCustomInspectorItem

The parent to which this data should be added.

const AName: string

Name of the data instance.

ATypeInfo: PTypeInfo

Default RTTI pointer for the data object.

Description

New instantiates a new data instance with the given parameters. If the data referred to by the given parameters already exists, the item will be attached to that data instance, instead of creating a new data instance.

TJvInspectorEventData reimplements new to set both a name and the type info for the new instance. If a data instance with the given name and type info already exists, that instance will be used and a new item attached to it.

Created with Doc-O-Matic.


TJvInspectorEventData.SetAsSet method

TJvInspectorEventData	Edit topic

Set the data as a set value.

Pascal

procedure SetAsSet(const Buf); override;

Parameters

Buf

The value to set the data to.

Description

SetAsSet will try to change the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvInspectorEventData.SupportsMethodPointers method

TJvInspectorEventData	Edit topic

Determines if the data instance supports method pointers.

Pascal

function SupportsMethodPointers: Boolean; override;

Description

SupportsMethodPointers determines if the data instance supports method pointers. Items have to check this value before attempting to access the data instance with the AsMethod property.

If the function returns False the data instance does not support AsMethod directly and the item should access the data instance using the AsString property and convert strings from/to method pointers.

If the function returns True the data instance supports AsMethod directly.

Created with Doc-O-Matic.


TJvInspectorFloatItem
JEDI-VCL Reference

TJvInspectorFloatItem

Hierarchy	Properties	Methods	Events	 Edit topic

Float inspector item.

Pascal

TJvInspectorFloatItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorFloatItem is an inspector item that allows floating point values to be edited.

TJvCustomInspectorData registers this item for all float types (ie. Single, Double, Extended, Comp and Currency).

Created with Doc-O-Matic.


TJvInspectorFloatItem Properties

TJvInspectorFloatItem	Legend

Properties

 Format

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorFloatItem Methods

TJvInspectorFloatItem	Legend

Methods

 Create

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorFloatItem Events

TJvInspectorFloatItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorFloatItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorFloatItem


TJvInspectorFloatItem Members

TJvInspectorFloatItem	Legend

Members

Properties

 Format

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 Create

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvInspectorFloatItem.Format property

TJvInspectorFloatItem	Edit topic

Not documented

Pascal

property Format: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorFloatItem.Create constructor

TJvInspectorFloatItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorFontItem
JEDI-VCL Reference

TJvInspectorFontItem

Hierarchy	Properties	Methods	Events	 Edit topic

TFont inspector item.

Pascal

TJvInspectorFontItem = class(TJvInspectorClassItem);

File

JvInspector

Description

TJvInspectorFontItem is the class inspector item specific for the TFont class. The item assures that the Flags always includes the iifEditButton flag and the the Edit method shows the TFontDialog and updates the TFont when OK was pressed.

TJvCustomInspectorData registers this item for the TFont class type.

Created with Doc-O-Matic.


TJvInspectorFontItem Methods

TJvInspectorFontItem	Legend

Methods

 Edit

TJvInspectorClassItem

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateItem

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvInspectorFontItem Properties

TJvInspectorFontItem	Legend

Properties

TJvInspectorClassItem

CreateMemberItems

ItemClassFlags

RenderAsCategory

ShowClassName

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorFontItem Events

TJvInspectorFontItem	Legend

Events

TJvInspectorClassItem

OnGetValueList

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorFontItem

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorClassItem
            TJvInspectorFontItem


TJvInspectorFontItem Members

TJvInspectorFontItem	Legend

Members

Methods

 Edit

TJvInspectorClassItem

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateItem

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Properties

TJvInspectorClassItem

CreateMemberItems

ItemClassFlags

RenderAsCategory

ShowClassName

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

TJvInspectorClassItem

OnGetValueList

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

virtual

read only

Created with Doc-O-Matic.


Legend

protected

virtual

read only


TJvInspectorFontItem.Edit method

TJvInspectorFontItem	See Also	Edit topic

Non-inline editing of the item.

Pascal

procedure Edit; override;

Description

Edit allows for non-inline editing of the item. This usually is the case for items with the iifEditButton flag, which often use a dialog box to change the value.

Edit is called automatically when the button is clicked, but can be called from code if needed.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifEditButton, TJvCustomInspectorItem.ButtonClick


TJvInspectorFontNameItem
JEDI-VCL Reference

TJvInspectorFontNameItem

Hierarchy	Properties	Methods	Events	 Edit topic

TFont.Name inspector item.

Pascal

TJvInspectorFontNameItem = class(TJvInspectorStringItem);

File

JvInspector

Description

TJvInspectorFontNameItem is the string inspector item specific for the TFont.Name property. The item assures that the Flags always includes the iifValueList and iifOwnerDrawListVariable flags. The value list will consist of all registered screen fonts which will be drawn in the font they represent.

TJvInspectorPropData registers this item for the Name property of the TFont class.

Created with Doc-O-Matic.


TJvInspectorFontNameItem Properties

TJvInspectorFontNameItem	Legend

Properties

UseFont

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorFontNameItem Methods

TJvInspectorFontNameItem	Legend

Methods

 DoDrawListItem

 DoMeasureListItem

 DoMeasureListItemWidth

 GetValueList

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvInspectorFontNameItem Events

TJvInspectorFontNameItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorFontNameItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorStringItem
            TJvInspectorFontNameItem


TJvInspectorFontNameItem Members

TJvInspectorFontNameItem	Legend

Members

Properties

UseFont

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 DoDrawListItem

 DoMeasureListItem

 DoMeasureListItemWidth

 GetValueList

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvInspectorFontNameItem.UseFont property

TJvInspectorFontNameItem	Edit topic

Not documented

Pascal

property UseFont: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorFontNameItem.DoDrawListItem method

TJvInspectorFontNameItem	Edit topic

Event handler for the drop down list box.

Pascal

procedure DoDrawListItem(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState); override;

Description

DoDrawListItem is the OnDrawListItem event handler of the drop down list box. By default, the method will just output the items text to the Canvas.

Descendants can override this method to provide owner draw list box drawing, tailored to the data it represents.

See the VCL help on TCustomListBox.OnDrawListItem for information on the parameters.

Created with Doc-O-Matic.


TJvInspectorFontNameItem.DoMeasureListItem method

TJvInspectorFontNameItem	Edit topic

Event handler for the drop down list box

Pascal

procedure DoMeasureListItem(Control: TWinControl; Index: Integer; var Height: Integer); override;

Description

DoMeasureListItem is the OnMeasureItem event handler of the drop down list box.

By default, DoMeasureListItem does not change the initial item height, which results in fixed item heights. Descendants can override this method to allow for variable item heights.

See the VCL help on TCustomListBox.OnMeasureItem for information on the parameters.

Created with Doc-O-Matic.


TJvInspectorFontNameItem.DoMeasureListItemWidth method

TJvInspectorFontNameItem	Edit topic

Determines the drop down items drawing width.

Pascal

procedure DoMeasureListItemWidth(Control: TWinControl; Index: Integer; var Width: Integer); override;

Parameters

Control

The control in which the item is to be drawn. Use the specified controls Canvas to base the calculations on.

Index

Index of the list item to calculate the width for.

Width

The width of the specified item. On entry this parameter is set to the TextWidth of the items text.

Description

DoMeasureListItemWidth determines the width of the drop down item. On entry to this method, the Width parameter is set to the TextWidth of the items text.

By default, DoMeasureListItemWidth does not change the initial item width. Descendants can override this method to provide additional width calculations.

Created with Doc-O-Matic.


TJvInspectorFontNameItem.GetValueList method

TJvInspectorFontNameItem	See Also	Edit topic

Retrieves the list of selectable values.

Pascal

procedure GetValueList(const Strings: TStrings); override;

Parameters

Strings

Instance of a TStrings descendant to receive the list. This list is not cleared on entry, although the event handler called might.

Description

GetValueList retrieves the list of selectable values.

GetValueList simply calls DoGetValueList. However, descendants might override GetValueList to bypass or augment the event handler, without overriding the DoGetValueList method, which is the wrapper method for the OnGetValueList event.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifValueList, TJvCustomInspectorItem.DoGetValueList, TJvCustomInspectorItem.OnGetValueList


TJvInspectorINIFileData
JEDI-VCL Reference

TJvInspectorINIFileData

Hierarchy	Properties	Methods	Events	 Edit topic

INI file data layer.

Pascal

TJvInspectorINIFileData = class(TJvInspectorCustomConfData);

File

JvInspector

Description

TJvInspectorINIFileData is the inspector data layer that obtains its data from a TCustomIniFile descendant. As the class is derived from TJvInspectorCustomConfData, all access properties are implemented, but the type info will be used to check the legality of the access (ie. a float can't be accessed as Int64). Note: you can change the type info pointer of the data layer instance. This can be useful to provide alternative enumeration constants (including names with spaces) by using the JclRTTI unit and its JclGenerateEnumType function.

The data layer implements ExistingValue, ReadValue and WriteValue and provides an additional property to hold a reference to the INI-file object.

Created with Doc-O-Matic.


TJvInspectorINIFileData Properties

TJvInspectorINIFileData	Legend

Properties

 INIFile

TJvInspectorCustomConfData

Key

Section

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorINIFileData Methods

TJvInspectorINIFileData	Legend

Methods

 ExistingValue

 IsEqualReference

New

 ReadValue

 WriteValue

TJvInspectorCustomConfData

 ExistingValue

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 ReadValue

 SetAsSet

 WriteValue

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvInspectorINIFileData Events

TJvInspectorINIFileData

Events

TJvCustomInspectorData

OnValueChanged

Created with Doc-O-Matic.


Legend

TJvInspectorINIFileData

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorData
        TJvInspectorCustomConfData
            TJvInspectorINIFileData


TJvInspectorINIFileData Members

TJvInspectorINIFileData	Legend

Members

Properties

 INIFile

TJvInspectorCustomConfData

Key

Section

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Methods

 ExistingValue

 IsEqualReference

New

 ReadValue

 WriteValue

TJvInspectorCustomConfData

 ExistingValue

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 ReadValue

 SetAsSet

 WriteValue

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Events

TJvCustomInspectorData

OnValueChanged

Legend

read only

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

protected

virtual

abstract


TJvInspectorINIFileData.INIFile property

TJvInspectorINIFileData	Edit topic

Reference to the INI-file object.

Pascal

property INIFile: TCustomIniFile;

Description

INIFile holds a reference to the INI-file object linked to the data instance.

Created with Doc-O-Matic.


TJvInspectorINIFileData.ExistingValue method

TJvInspectorINIFileData	See Also	Edit topic

Indicates whether the specified section and key exist.

Pascal

function ExistingValue: Boolean; override;

Description

ExistingValue determines whether or not the section/key pair is an actual value within the configuration file/settings database.

Descendants must override this method to provide a meaningful result. The implementation of IsAssigned uses the result of this method.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned


TJvInspectorINIFileData.IsEqualReference method

TJvInspectorINIFileData	See Also	Edit topic

Determines if the specified data instance references the same data.

Pascal

function IsEqualReference(const Ref: TJvCustomInspectorData): Boolean; override;

Parameters

Ref

The data instance to check.

Description

IsEqualReference determines if the specified data instance references the same physical data as Self does.

If the specified instance references the same data True will be returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.NotifyRemoveData, TJvCustomInspectorData.RegisterInstance


TJvInspectorINIFileData.New method (TJvCustomInspectorItem, string, string, string, PTypeInfo, TCustomIniFile)

TJvInspectorINIFileData	Edit topic

Instantiate a data instance and attaches an item to it.

Pascal

class function New(const AParent: TJvCustomInspectorItem; const AName: string; const ASection: string; const AKey: string; ATypeInfo: PTypeInfo; const AINIFile: TCustomIniFile): TJvCustomInspectorItem; overload; reintroduce;
class function New(const AParent: TJvCustomInspectorItem; const ASection: string; const AINIFile: TCustomIniFile; const AOnAddKey: TJvInspConfKeyEvent): TJvInspectorItemInstances; overload; reintroduce;
class function New(const AParent: TJvCustomInspectorItem; const AINIFile: TCustomIniFile; const AOnAddSection: TJvInspConfSectionEvent; const AOnAddKey: TJvInspConfKeyEvent): TJvInspectorItemInstances; overload; reintroduce;

Parameters

const AParent: TJvCustomInspectorItem

The parent to which this data should be added.

const AName: string

The display name of the item.

const ASection: string

Section within the configuration file/settings database.

const AKey: string

Key within the section of the configuration file/settings database.

ATypeInfo: PTypeInfo

Type info pointer to use.

const AINIFile: TCustomIniFile

TCustomIniFile derivative to be used as a data source.

const AOnAddKey: TJvInspConfKeyEvent

Event that will be called before a key is added. If no event is supplied, all keys are added, leaving the key name as the display name and the type info pointer set to string.

const AOnAddSection: TJvInspConfSectionEvent

Event that will be called before a section is about to be parsed. If no event is supplied, all sections are parsed, leaving the section name as the category name.

Description

New instantiates a new data instance with the given parameters. If the data referred to by the given parameters already exists, the item will be attached to that data instance, instead of creating a new data instance.

Depending on which overloaded method is called, the ini file will be scanned for sections and/or keys to instantiate. For each section/key combination a check is made to see if the instance is unique. If it already exists, the pre-existing data instance is used and a new item is added to it.

Using the events you can prevent certain keys being created or even prevent whole sections being scanned. In addition, these events allow you to change the name for the new item instance as well as which type info to attach to it.

Created with Doc-O-Matic.


TJvInspectorINIFileData.ReadValue method

TJvInspectorINIFileData	See Also	Edit topic

Reads a string value.

Pascal

function ReadValue: string; override;

Description

ReadValue reads the string value from the configuration file/settings database where the Section/Key pair is pointing to.

Descendants should override this method to read the value represented by the Section/Key pair from the configuration file/settings database.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomConfData.Key, TJvInspectorCustomConfData.Section, TJvInspectorCustomConfData.WriteValue


TJvInspectorINIFileData.WriteValue method

TJvInspectorINIFileData	See Also	Edit topic

Writes a string value.

Pascal

procedure WriteValue(const Value: string); override;

Parameters

Value

Not documented

Description

WriteValue writes the string value to the configuration file/settings database where the Section/Key pair is pointing to.

Descendants should override this method to write the value to the configuration file/settings database at the location represented by the Section/Key pair.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomConfData.Key, TJvInspectorCustomConfData.ReadValue, TJvInspectorCustomConfData.Section


TJvInspectorInt64Item
JEDI-VCL Reference

TJvInspectorInt64Item

Hierarchy	Properties	Methods	Events	 Edit topic

Int64 inspector item.

Pascal

TJvInspectorInt64Item = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorInt64Item is the inspector item for Int64 values.

TJvCustomInspectorData registers this item for the Int64 type.

Created with Doc-O-Matic.


TJvInspectorInt64Item Properties

TJvInspectorInt64Item	Legend

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorInt64Item Events

TJvInspectorInt64Item	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorInt64Item Methods

TJvInspectorInt64Item	Legend

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorInt64Item

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorInt64Item


TJvInspectorInt64Item Members

TJvInspectorInt64Item	Legend

Members

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvInspectorIntegerItem
JEDI-VCL Reference

TJvInspectorIntegerItem

Hierarchy	Properties	Methods	Events	 Edit topic

Integer inspector item.

Pascal

TJvInspectorIntegerItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorIntegerItem is the inspector item for Integer values.

TJvCustomInspectorData registers this item for all Integer types (ie. Byte, Shortint, Word, Smallint, Longword/Cardinal and Integer).

Created with Doc-O-Matic.


TJvInspectorIntegerItem Properties

TJvInspectorIntegerItem	Legend

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorIntegerItem Events

TJvInspectorIntegerItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorIntegerItem Methods

TJvInspectorIntegerItem	Legend

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorIntegerItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorIntegerItem


TJvInspectorIntegerItem Members

TJvInspectorIntegerItem	Legend

Members

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvInspectorItemSizing
JEDI-VCL Reference

TJvInspectorItemSizing

Hierarchy	Properties	 Edit topic

Contains item row sizing settings.

Pascal

TJvInspectorItemSizing = class(TPersistent);

File

JvInspector

Description

TJvInspectorItemSizing is used in the RowSizing property of TJvCustomInspectorItem and its descendants. It specifies the minimum height and sizing steps for an item's height for resizing purposes. An item's height will never me smaller then the minimum height and always increments in sizing steps.

When the sizing steps (specified by the SizingFactor property) equals 0 (or irsNoReSize), an item cannot be resized and will always have a height of the inspector's ItemHeight (Note: when SizingFactor equals irsNoReSize, MinHeight will be set to irsItemHeight).

Created with Doc-O-Matic.


TJvInspectorItemSizing Properties

TJvInspectorItemSizing

Properties

MinHeight

Sizable

SizingFactor

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvInspectorItemSizing


TJvInspectorItemSizing Members

TJvInspectorItemSizing

Members

Properties

MinHeight

Sizable

SizingFactor

Created with Doc-O-Matic.


TJvInspectorItemSizing.MinHeight property

TJvInspectorItemSizing	Edit topic

The minimum height the item can be resized to.

Pascal

property MinHeight: TItemRowSizing;

Description

MinHeight indicates the minimum height an item can be resized to. MinHeight can be any value or one of the following constants:
Constant	Meaning
irsItemHeight	Item will have a minimum height equal to the inspector's ItemHeight property.
irsNameHeight	Item will have a minimum height equal to the height of the text 'Wy' rendered in the item's name font.
irsValueHeight	Item will have a minimum height equal to the height of the text 'Wy' rendered in the item's value font.
irsNoReSize	Resizing will be turned of. Setting MinHeight to this value will set SizingFactor to irsNoReSize while MinHeight will be set to irsItemHeight.
Created with Doc-O-Matic.


TJvInspectorItemSizing.Sizable property

TJvInspectorItemSizing	Edit topic

Determines if the item can be resized by the UI.

Pascal

property Sizable: Boolean;

Description

Sizable is a flag that indicates if the item can be resized by the user by dragging the bottom of the item. If Sizable if False, the item can not be resized by the user (it can be resized through code), otherwise the user can drag the item to resize it.

Created with Doc-O-Matic.


TJvInspectorItemSizing.SizingFactor property

TJvInspectorItemSizing	Edit topic

The sizing increments to use when resizing an item.

Pascal

property SizingFactor: TItemRowSizing;

Description

SizingFactor indicates the increments used when resizing an item. An item's height will be a multiple of this value added to its minimum height. SizingFactor can be any value or one of the following constants:
Constant	Meaning
irsItemHeight	Item will resize in steps of the inspector's ItemHeight property.
irsNameHeight	Item will resize in steps of the height of the text 'Wy' rendered in the item's name font.
irsValueHeight	Item will resize in steps of the height of the text 'Wy' rendered in the item's value font.
irsNoReSize	Resizing will be turned of. Setting SizingFactor to this value will set MinHeight to irsItemHeight.
Created with Doc-O-Matic.


TJvInspectorPainter
JEDI-VCL Reference

TJvInspectorPainter

Hierarchy	Properties	Methods	 Edit topic

Base inspector painter class.

Pascal

TJvInspectorPainter = class(TJvComponent);

File

JvInspector

Description

TJvInspectorPainter is the base painter class for the data inspector. It provides methods and properties to aid in painting the various items in a specific style. Each style should be in its own descendant.

The base package provides two paint styles: Borland and Visual Studio/.NET.

Created with Doc-O-Matic.


TJvInspectorPainter Properties

TJvInspectorPainter	Legend

Properties

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorPainter Methods

TJvInspectorPainter	Legend

Methods

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorPainter

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvInspectorPainter


TJvInspectorPainter Members

TJvInspectorPainter	Legend

Members

Properties

 BackgroundColor

 ButtonImage

 Canvas

 CategoryColor

 CategoryTextColor

 DividerColor

 DrawNameEndEllipsis

HideSelectColor

HideSelectTextColor

 Initializing

 Inspector

 InternalCollapseButton

 InternalExpandButton

 Item

 ItemIndex

 NameColor

 PaintRect

 Rects

SelectedColor

SelectedTextColor

 ValueColor

TJvComponent

 AboutJVCL

Methods

 ApplyNameFont

 ApplyValueFont

 CalcButtonBasedRects

 CalcEditBasedRects

 CalcNameBasedRects

 CalcValueBasedRects

 Create

 Destroy

 DividerWidth

 DoPaint

 GetCollapseImage

 GetExpandImage

 GetNameHeight

 GetValueHeight

 HideEditor

 InitializeColors

 Loading

 Paint

 PaintDivider

 PaintItem

 SetInspector

 Setup

 SetupItem

 SetupRects

 TeardownItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvInspectorPainter.BackgroundColor property

TJvInspectorPainter	Edit topic

Background color of the inspector.

Pascal

property BackgroundColor: TColor;

Description

BackgroundColor indicates the color used to render the background of the inspector. Read Background to find out which color is used as the background color or set it to another value to change it.

Created with Doc-O-Matic.


TJvInspectorPainter.ButtonImage property

TJvInspectorPainter	See Also	Edit topic

Reference to the bitmap to use as a collapse/expand button.

Pascal

property ButtonImage: TBitmap;

Description

ButtonImage holds a reference to the bitmap to use when the collapse/expand button for the current item should be rendered. If no button is to be rendered, this property is set to nil.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.GetCollapseImage, TJvInspectorPainter.GetExpandImage


TJvInspectorPainter.Canvas property

TJvInspectorPainter	See Also	Edit topic

Reference to the canvas to render to.

Pascal

property Canvas: TCanvas;

Description

Canvas holds a reference to the canvas that is to be used to render the items on. It is initialized by a call to Setup.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.Setup


TJvInspectorPainter.CategoryColor property

TJvInspectorPainter	See Also	Edit topic

Background color for category items.

Pascal

property CategoryColor: TColor;

Description

CategoryColor indicates the background color for category items. Read CategoryColor to find out which color is used as a background when rendering a category item or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCategoryItem, TJvInspectorPainter.CategoryTextColor


TJvInspectorPainter.CategoryTextColor property

TJvInspectorPainter	See Also	Edit topic

Font color for selected items.

Pascal

property CategoryTextColor: TColor;

Description

CategoryTextColor indicates the font color for category items. Read CategoryTextColor to find out which color is used for the font when rendering a category item or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorCustomCategoryItem, TJvInspectorPainter.CategoryColor


TJvInspectorPainter.DividerColor property

TJvInspectorPainter	See Also	Edit topic

Pen color of the divider bar.

Pascal

property DividerColor: TColor;

Description

DividerColor indicates the pen color used to render the divider bar. Read DividerColor to find out which color is used to render the divider bar or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Divider


TJvInspectorPainter.DrawNameEndEllipsis property

TJvInspectorPainter	Edit topic

Not documented

Pascal

property DrawNameEndEllipsis: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorPainter.HideSelectColor property

TJvInspectorPainter	Edit topic

Not documented

Pascal

property HideSelectColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorPainter.HideSelectTextColor property

TJvInspectorPainter	Edit topic

Not documented

Pascal

property HideSelectTextColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorPainter.Initializing property

TJvInspectorPainter	Edit topic

Flag to indicate the painter is still initializing

Pascal

property Initializing: Boolean;

Description

Initializing indicates if the painter is still in the process of initializing itself. The Create constructor will set Initializing to True right before InitializeColors is called. Right after InitializeColors returns, Initializing is reset to False.

Initializing is used in setter methods for the color properties to avoid calls to the Inspector.InvalidateItem method during initialization.

Created with Doc-O-Matic.


TJvInspectorPainter.Inspector property

TJvInspectorPainter	See Also	Edit topic

Reference to the inspector.

Pascal

property Inspector: TJvCustomInspector;

Description

Inspector holds a reference to the inspector that currently uses this painter.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.SetInspector


TJvInspectorPainter.InternalCollapseButton property

TJvInspectorPainter	See Also	Edit topic

Holds the internally created collapse button.

Pascal

property InternalCollapseButton: TBitmap;

Description

InternalCollapseButton is the internally created collapse button bitmap. Use this bitmap if you need to change the standard collapse button image.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.GetCollapseImage, TJvInspectorPainter.InternalExpandButton


TJvInspectorPainter.InternalExpandButton property

TJvInspectorPainter	See Also	Edit topic

Holds the internally created expand button.

Pascal

property InternalExpandButton: TBitmap;

Description

InternalExpandButton is the internally created expand button bitmap. Use this bitmap if you need to change the standard expand button image.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.GetExpandImage, TJvInspectorPainter.InternalCollapseButton


TJvInspectorPainter.Item property

TJvInspectorPainter	See Also	Edit topic

Reference to the current item.

Pascal

property Item: TJvCustomInspectorItem;

Description

Item holds a reference to the item currently being painted.

Created with Doc-O-Matic.


See Also

PaintItem


TJvInspectorPainter.ItemIndex property

TJvInspectorPainter	See Also	Edit topic

The index of the current item.

Pascal

property ItemIndex: Integer;

Description

ItemIndex holds the index into the Inspector.VisibleItems array of the item currently painted. If ItemIndex < 0, an item reference was supplied to the PaintItem method.

Created with Doc-O-Matic.


See Also

PaintItem


TJvInspectorPainter.NameColor property

TJvInspectorPainter	See Also	Edit topic

Font color for item names.

Pascal

property NameColor: TColor;

Description

NameColor indicates the font color used to render an item's name in (unless the item is either selected or a category, in which case SelectedTextColor or CategoryTextColor will be used respectively). Read NameColor to find out which font color is used to render an item's name, or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CategoryTextColor, TJvInspectorPainter.SelectedTextColor, TJvInspectorPainter.ValueColor


TJvInspectorPainter.PaintRect property

TJvInspectorPainter	See Also	Edit topic

Rectangle available to paint the item in.

Pascal

property PaintRect: TRect;

Description

PaintRect is the rectangle available to the item. SetupRects will use this rectangle to calculate the item's rectangle and TeardownItem will modify this rectangle to exclude to last rendered item.

The Paint method will initialize PaintRect to the inspector's

  ViewRect.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.Paint


TJvInspectorPainter.Rects property

TJvInspectorPainter	Edit topic

Reference to the item rectangles.

Pascal

property Rects [const Index: TInspectorPaintRect]: TRect;

Description

Rects is a reference to the current item's Rects property. If there is no current item, setting a rectangle does nothing, while reading will return an empty rectangle.

Created with Doc-O-Matic.


TJvInspectorPainter.SelectedColor property

TJvInspectorPainter	See Also	Edit topic

Background color for selected items.

Pascal

property SelectedColor: TColor;

Description

SelectedColor indicates the background color for selected items. Read SelectedColor to find out which color is used as a background when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.SelectedTextColor


TJvInspectorPainter.SelectedTextColor property

TJvInspectorPainter	See Also	Edit topic

Font color for selected items.

Pascal

property SelectedTextColor: TColor;

Description

SelectedTextColor indicates the font color for selected items. Read SelectedTextColor to find out which color is used for the font when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.SelectedColor


TJvInspectorPainter.ValueColor property

TJvInspectorPainter	See Also	Edit topic

Font color for item values.

Pascal

property ValueColor: TColor;

Description

ValueColor indicates the font color used to render an item's value. Read ValueColor to find out which font color is used to render an item's value, or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.NameColor


TJvInspectorPainter.ApplyNameFont method

TJvInspectorPainter	See Also	Edit topic

Activates the name font.

Pascal

procedure ApplyNameFont; virtual;

Description

ApplyNameFont sets the Canvas font to the font used to display the name. The base implementation sets this to the inspector font and selects the NameColor as the font color.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.ApplyValueFont, TJvInspectorPainter.Canvas, TJvInspectorPainter.NameColor


TJvInspectorPainter.ApplyValueFont method

TJvInspectorPainter	See Also	Edit topic

Activates the value font.

Pascal

procedure ApplyValueFont; virtual;

Description

ApplyValueFont sets the Canvas font to the font used to display the value.

The base implementation sets this to the inspector font and selects the ValueColor as the font color.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.ApplyNameFont, TJvInspectorPainter.Canvas, TJvInspectorPainter.ValueColor


TJvInspectorPainter.CalcButtonBasedRects method

TJvInspectorPainter	See Also	Edit topic

Calculates rectangles for the expand/collapse button of an item.

Pascal

procedure CalcButtonBasedRects; virtual;

Description

CalcButtonBasedRects calculates the rectangles needed to render the expand/collapse button of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcEditBasedRects, TJvInspectorPainter.CalcNameBasedRects, TJvInspectorPainter.CalcValueBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorPainter.CalcEditBasedRects method

TJvInspectorPainter	See Also	Edit topic

Calculates rectangles for the edit control and button of an item.

Pascal

procedure CalcEditBasedRects; virtual;

Description

CalcEditBasedRects calculates the rectangles needed to render the edit control and its optional button of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcButtonBasedRects, TJvInspectorPainter.CalcNameBasedRects, TJvInspectorPainter.CalcValueBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorPainter.CalcNameBasedRects method

TJvInspectorPainter	See Also	Edit topic

Calculates rectangles for the name of an item.

Pascal

procedure CalcNameBasedRects; virtual;

Description

CalcNameBasedRects calculates the rectangles needed to render the name of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcButtonBasedRects, TJvInspectorPainter.CalcEditBasedRects, TJvInspectorPainter.CalcValueBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorPainter.CalcValueBasedRects method

TJvInspectorPainter	See Also	Edit topic

Calculates rectangles for the value of an item.

Pascal

procedure CalcValueBasedRects; virtual;

Description

CalcValueBasedRects calculates the rectangles needed to render the value of an item.

The base implementation does nothing. Descendants should override this method to calculate the needed rectangles.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.CalcButtonBasedRects, TJvInspectorPainter.CalcEditBasedRects, TJvInspectorPainter.CalcNameBasedRects, TJvInspectorPainter.SetupRects


TJvInspectorPainter.Create constructor

TJvInspectorPainter	Edit topic

Instantiates the painter.

Pascal

constructor Create(AOwner: TComponent); override;

Description

Create instantiates a new painter object and assigns an inspector to it. In addition, the bitmaps for the collapse and expand buttons are generated. Descendants could therefor generate other button images if so desired.

The inspector assigned to this painter will not use it until the Painter property of the inspector is set to this instance.

Created with Doc-O-Matic.


TJvInspectorPainter.Destroy destructor

TJvInspectorPainter	Edit topic

Disposes of the painter.

Pascal

destructor Destroy; override;

Description

Destroy will dispose of the painter object, freeing the internal bitmaps.

Created with Doc-O-Matic.


TJvInspectorPainter.DividerWidth method

TJvInspectorPainter	See Also	Edit topic

Returns the width of the divider bar

Pascal

function DividerWidth: Integer; virtual;

Description

DividerWidth returns the width of the bar dividing the name and value column.

The base implementation returns 1. Descendants can override this method to return another value.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.PaintDivider


TJvInspectorPainter.DoPaint method

TJvInspectorPainter	Edit topic

Renders the current item.

Pascal

procedure DoPaint; virtual;

Description

DoPaint renders the item that has just been setup. The Item property indicates the item to render while Rects hold the various calculated rectangles. ButtonImage will hold the image of the collapse/expand button if one is needed, or it is set to nil if no button is to be drawn. Use ApplyNameFont/ApplyValueFont to activate the font to render the name/value and use PaintDivider to render the divider bar.

The base implementation does nothing. Descendants should override this method to do the actual painting.

Created with Doc-O-Matic.


TJvInspectorPainter.GetCollapseImage method

TJvInspectorPainter	See Also	Edit topic

Retrieves the image for a collapse button.

Pascal

function GetCollapseImage: TBitmap; virtual;

Description

GetCollapseImage retrieves an image to use as a collapse button. If no bitmap has been assigned to the Inspector.CollapseButton, the internal image will be returned, otherwise the assigned bitmap will be returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.CollapseButton, TJvInspectorPainter.ButtonImage, TJvInspectorPainter.GetExpandImage


TJvInspectorPainter.GetExpandImage method

TJvInspectorPainter	See Also	Edit topic

Retrieves the image for an expand button.

Pascal

function GetExpandImage: TBitmap; virtual;

Description

GetExpandImage retrieves an image to use as an expand button. If no bitmap has been assigned to the Inspector.ExpandButton, the internal image will be returned, otherwise the assigned bitmap will be returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.ExpandButton, TJvInspectorPainter.ButtonImage, TJvInspectorPainter.GetCollapseImage


TJvInspectorPainter.GetNameHeight method

TJvInspectorPainter	See Also	Edit topic

Returns the height of the name font.

Pascal

function GetNameHeight(const AItem: TJvCustomInspectorItem): Integer; virtual;

Parameters

const AItem: TJvCustomInspectorItem

Not documented

Description

GetNameHeight will apply the name font and determine the TextHeight of 'Wy'. This result will be returned and the canvas is restored to its original state.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.ApplyNameFont, TJvInspectorPainter.GetValueHeight


TJvInspectorPainter.GetValueHeight method

TJvInspectorPainter	See Also	Edit topic

Returns the height of the value font.

Pascal

function GetValueHeight(const AItem: TJvCustomInspectorItem): Integer; virtual;

Parameters

const AItem: TJvCustomInspectorItem

Not documented

Description

GetValueHeight will apply the value font and determine the TextHeight of 'Wy'. This result will be returned and the canvas is restored to its original state.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.ApplyValueFont, TJvInspectorPainter.GetNameHeight


TJvInspectorPainter.HideEditor method

TJvInspectorPainter	See Also	Edit topic

Hides the editor.

Pascal

procedure HideEditor; virtual;

Description

Hide editor will hide the edit control and/or the value list box for the selected item. It does so by setting the item's iprEditValue rectangle to an empty rectangle.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Selected


TJvInspectorPainter.InitializeColors method

TJvInspectorPainter	Edit topic

Sets the color properties to their defaults.

Pascal

procedure InitializeColors; virtual;

Description

InitializeColors presets the color properties to the defaults of the class, according to the RTTI info.

The base implementation presets the following properties:

BackgroundColor

DividerColor

NameColor

ValueColor

CategoryColor

CategoryTextColor

SelectedColor

SelectedTextColor

Descendants can override this method to preset additional properties.

Created with Doc-O-Matic.


TJvInspectorPainter.Loading method

TJvInspectorPainter	Edit topic

Determines if the component is being loaded.

Pascal

function Loading: Boolean;

Description

Loading returns True if the painter is being loaded. Loading is a short hand notation for csLoading in ComponentState.

Loading is used in the set methods of the color properties to avoid calls to Inspector.Invalidate.

Created with Doc-O-Matic.


TJvInspectorPainter.Paint method

TJvInspectorPainter	See Also	Edit topic

Renders the inspector items.

Pascal

procedure Paint; virtual;

Description

Paint is the main rendering method. It will fill the Inspector.ViewRect rectangle with the BackgroundColor, loop through currently visible items (calling PaintItem for each of them) and optionally hide the editor if the selected item is no longer being displayed.

Paint assumes the background color has been set prior to calling Paint.

Created with Doc-O-Matic.


See Also

PaintItem


TJvInspectorPainter.PaintDivider method

TJvInspectorPainter	Edit topic

Renders the name/value column divider bar at arbitrary positions.

Pascal

procedure PaintDivider(const X: Integer; const YTop: Integer; const YBottom: Integer); virtual;

Parameters

const X: Integer

X-position of the bar.

const YTop: Integer

Top of the divider bar.

const YBottom: Integer

Bottom of the divider bar.

Description

PaintDivider is called whenever the name/value column divider bar needs to be rendered. Because this divider bar is also used to divide columns in compound items, the PaintDivider method can paint the divider at any location.

The base implementation does nothing. Descendants should override this method to paint the divider bar.

Created with Doc-O-Matic.


TJvInspectorPainter.PaintItem method (TJvCustomInspectorItem)

TJvInspectorPainter	Edit topic

Renders an item.

Pascal

procedure PaintItem(var ARect: TRect; const AItemIndex: Integer); virtual; overload;
procedure PaintItem(const AItem: TJvCustomInspectorItem); virtual; overload;

Parameters

var ARect: TRect

Available rectangle for the item. On exit, this parameter will hold the rectangle available after the item was rendered.

const AItemIndex: Integer

Index into the Inspector.VisibleItems array of the item to be rendered.

const AItem: TJvCustomInspectorItem

Item instance to be rendered.

Description

PaintItem handles a request to render an item. The actual rendering will be done by the DoPaint method. PaintItem will setup the paint information before calling DoPaint and cleans up when DoPaint returns.

PaintItem has two overloaded methods. The first method accepts a rectangle and an item index and will paint the specified item inside the rectangle, returning the rectangle not used.

The second method will accept an item instance and will render it at the position it was last rendered in.

Created with Doc-O-Matic.


TJvInspectorPainter.SetInspector method

TJvInspectorPainter	See Also	Edit topic

Attach the painter to an inspector.

Pascal

procedure SetInspector(const AInspector: TJvCustomInspector); virtual;

Parameters

const AInspector: TJvCustomInspector

Not documented

Description

SetInspector attaches the painter to the specified inspector. If the inspector's Painter property is not set to this painter, an exception will be raised.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Painter


TJvInspectorPainter.Setup method

TJvInspectorPainter	See Also	Edit topic

Initializes the painter.

Pascal

procedure Setup(const ACanvas: TCanvas); virtual;

Parameters

const ACanvas: TCanvas

Not documented

Description

Setup initializes the painter to use the specified canvas and initializes the Canvas.Brush.Color to the BackgroundColor.

Setup is called by the Inspector.Paint method before it issues the paint request.

Descendants can override this method to do additional initialization if needed.

Created with Doc-O-Matic.


See Also

TJvCustomInspector.Paint, TJvInspectorPainter.BackgroundColor, TJvInspectorPainter.Canvas


TJvInspectorPainter.SetupItem method

TJvInspectorPainter	See Also	Edit topic

Initializes item painting.

Pascal

procedure SetupItem; virtual;

Description

SetupItem will initialize the painter to render the specified item. On entry to this method, either Item or ItemIndex has been set by the PaintItem method. Depending on which is set the following actions will be taken:

If ItemIndex is set, the corresponding item will be retrieved and stored in the Item property.

If an item is available, the ButtonImage will be set to either nil, the bitmap returned by GetCollapseImage or the bitmap returned by GetExpandImage.

If an item index was specified, SetupRects is called to calculate the item rectangles.

Descendants can override this method to do additional initialization if needed.

Created with Doc-O-Matic.


See Also

PaintItem


TJvInspectorPainter.SetupRects method

TJvInspectorPainter	See Also	Edit topic

Initializes item rectangles.

Pascal

procedure SetupRects; virtual;

Description

SetupRects initializes the items rectangles to their proper values. It will set the item's iprItem rectangle to the paint rectangle, setting the bottom value to PaintItem.Top + Item.Height.

Descendants should override this method to initialize the other rectangles.

Created with Doc-O-Matic.


See Also

PaintItem


TJvInspectorPainter.TeardownItem method

TJvInspectorPainter	See Also	Edit topic

Finalizes item rendering

Pascal

procedure TeardownItem; virtual;

Description

TeardownItem finalizes the item rendering process. The PaintRect will be adjusted in such a way that is starts just below the item just painted.

Descendants can override this method to do additional finalization if needed.

Created with Doc-O-Matic.


See Also

TJvInspectorPainter.SetupItem


TJvInspectorPropData
JEDI-VCL Reference

TJvInspectorPropData

Hierarchy	Properties	Methods	Events	 Edit topic

Property data layer.

Pascal

TJvInspectorPropData = class(TJvCustomInspectorData);

File

JvInspector

Description

TJvInspectorPropData is the inspector data layer that obtains its data from a published property of an instance. The class implements all access properties, but the type info will be used to check the legality of the access (ie. a float can't be accessed as Int64). Note: you can change the type info pointer of the data layer instance. This can be useful to provide alternative enumeration constants (including names with spaces) by using the JclRTTI unit and its JclGenerateEnumType function.

The data layer provides its own item registration database.

Created with Doc-O-Matic.


TJvInspectorPropData Properties

TJvInspectorPropData	Legend

Properties

Instance

Prop

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorPropData Methods

TJvInspectorPropData	Legend

Methods

AddTypeMapping

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

NewByNames

 NotifyRemoveData

 SetAsSet

 SupportsMethodPointers

TypeInfoMapRegister

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


TJvInspectorPropData Events

TJvInspectorPropData

Events

TJvCustomInspectorData

OnValueChanged

Created with Doc-O-Matic.


Legend

TJvInspectorPropData

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorData
        TJvInspectorPropData


TJvInspectorPropData Members

TJvInspectorPropData	Legend

Members

Properties

Instance

Prop

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Methods

AddTypeMapping

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

NewByNames

 NotifyRemoveData

 SetAsSet

 SupportsMethodPointers

TypeInfoMapRegister

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Events

TJvCustomInspectorData

OnValueChanged

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvInspectorPropData.Instance property

TJvInspectorPropData	See Also	Edit topic

Holds the property's instance.

Pascal

property Instance: TObject;

Description

Instance is a reference to the instance that provides the property values. Read instance to find out which object is providing the values or set Instance to new object.

Created with Doc-O-Matic.


See Also

TJvInspectorPropData.Prop


TJvInspectorPropData.Prop property

TJvInspectorPropData	See Also	Edit topic

Holds the pointer to the property info.

Pascal

property Prop: PPropInfo;

Description

Prop is the pointer to the TPropInfo that holds the property's info. Read Prop to find out which property is providing the value or set Prop to a new PPropInfo.

Created with Doc-O-Matic.


See Also

TJvInspectorPropData.Instance


TJvInspectorPropData.AddTypeMapping method

TJvInspectorPropData	Edit topic

Not documented

Pascal

class procedure AddTypeMapping(Target: PTypeInfo; Source: PTypeInfo; ObjectClass: TClass = nil; const PropertyName: string = '');

Parameters

Target: PTypeInfo

Not documented

Source: PTypeInfo

Not documented

ObjectClass: TClass = nil

Not documented

const PropertyName: string = ''

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorPropData.GetAsSet method

TJvInspectorPropData	Edit topic

Retrieve the data as a set value.

Pascal

procedure GetAsSet(var Buf); override;

Parameters

Buf

A set variable to retrieve the value in

Description

GetAsSet will try to retrieve the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is read CheckReadAccess is called to check read access.

Created with Doc-O-Matic.


TJvInspectorPropData.HasValue method

TJvInspectorPropData	See Also	Edit topic

Determines if the data object actually represents a value.

Pascal

function HasValue: Boolean; override;

Description

HasValue determines if the data object represents a value. This is dependent on the data the object is representing and therefor changes for each data class. If the data object represents a value, HasValue returns True, otherwise False is returned. If HasValue is False, data can not be read or written and the inspector will show (no value).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned, TJvCustomInspectorData.IsInitialized


TJvInspectorPropData.IsAssigned method

TJvInspectorPropData	See Also	Edit topic

Determines if the data object has been assigned a value.

Pascal

function IsAssigned: Boolean; override;

Description

IsAssigned determines if the data object has a value assigned to it. This is dependent on the data the object is representing and therefor changes for each data class. If a value is assigned, IsAssigned returns True, otherwise False is returned. If IsAssigned is False, data can not be read and the inspector will show (unassigned).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsInitialized


TJvInspectorPropData.IsEqualReference method

TJvInspectorPropData	See Also	Edit topic

Determines if the specified data instance references the same data.

Pascal

function IsEqualReference(const Ref: TJvCustomInspectorData): Boolean; override;

Parameters

Ref

The data instance to check.

Description

IsEqualReference determines if the specified data instance references the same physical data as Self does.

If the specified instance references the same data True will be returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.NotifyRemoveData, TJvCustomInspectorData.RegisterInstance


TJvInspectorPropData.IsInitialized method

TJvInspectorPropData	See Also	Edit topic

Determines if the data object is properly initialized.

Pascal

function IsInitialized: Boolean; override;

Description

IsInitialized determines if the data object has been properly initialized. This is dependent on the data the object is representing and therefor changes for each data class. If the data is properly initialized, IsIntialized returns True, otherwise False is returned. If IsInitialized is False, the data object can not be used and the inspector will show (uninitialized)

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsAssigned


TJvInspectorPropData.IsReadOnlyProperty method

TJvInspectorPropData	Edit topic

Not documented

Pascal

function IsReadOnlyProperty: Boolean; override;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorPropData.ItemRegister method

TJvInspectorPropData	Edit topic

ItemRegister returns the item registration database.

Pascal

class function ItemRegister: TJvInspectorRegister; override;

Description

ItemRegister returns the item registration database. Each data class can have its own database but is not required to. The function will return the first registration database it finds within the data class hierarchy.

The root database is located in TJvCustomInspectorData and usually contains items to map specific RTTI pointers or type kinds to an inspector item.

When an item class needs to be determined all item registration databases will be searched until a perfect match is found or until the root database has been searched. Whichever item has scored highest, automatically wins and will determine the actual item class.

Created with Doc-O-Matic.


TJvInspectorPropData.New method (TJvCustomInspectorItem, TObject, PPropInfo)

TJvInspectorPropData	See Also	Edit topic

Instantiate a data instance and attaches an item to it.

Pascal

class function New(const AParent: TJvCustomInspectorItem; const AInstance: TObject; PropInfo: PPropInfo): TJvCustomInspectorItem; overload; reintroduce;
class function New(const AParent: TJvCustomInspectorItem; const AInstance: TObject; const PropName: string): TJvCustomInspectorItem; overload; reintroduce;
class function New(const AParent: TJvCustomInspectorItem; const AInstance: TObject; const TypeKinds: TTypeKinds = tkProperties): TJvInspectorItemInstances; overload; reintroduce;
class function New(const AParent: TJvCustomInspectorItem; const AInstance: TObject; PropInfos: PPropList; const PropCount: Integer): TJvInspectorItemInstances; overload; reintroduce;

Parameters

const AParent: TJvCustomInspectorItem

The parent to which this data should be added.

const AInstance: TObject

TObject instance that provides the property values.

PropInfo: PPropInfo

Property Info record, obtained by a call to GetPropInfo.

const PropName: string

Not documented

const TypeKinds: TTypeKinds = tkProperties

Type of properties to add.

PropInfos: PPropList

Pointer to a property list. Such a list can be obtained by calling GetPropList.

const PropCount: Integer

Number of properties in the list at PropInfos.

Description

New instantiates a new data instance with the given parameters. If the data referred to by the given parameters already exists, the item will be attached to that data instance, instead of creating a new data instance.

TJvInspectorPropData implements New to allow various ways of adding properties:

Specifying a parent, an instance and property info record (PPropInfo) to add a single property.

Specifying a parent, an instance and a list of property info records (PPropList) to add multiple properties at a time. For each property a new item is generated, which is returned in the dynamic array.

Specifying a parent, an instance and property type(s) to add all properties of (a) certain type(s) at once. For each property a new item is generated, which is returned in the dynamic array.

If you want to specify a list of names to include or exclude, use the NewByNames method.

It is possible that with some parameters no items are generated, which will result in an empty dynamic array.

Created with Doc-O-Matic.


See Also

TJvInspectorPropData.NewByNames


TJvInspectorPropData.NewByNames method

TJvInspectorPropData	Edit topic

Instantiate one or more data instances and attaches (an) item(s) to it.

Pascal

class function NewByNames(const AParent: TJvCustomInspectorItem; const AInstance: TObject; const NameList: array of string; const ExcludeList: Boolean = False; const TypeKinds: TTypeKinds = tkProperties): TJvInspectorItemInstances;

Parameters

const AParent: TJvCustomInspectorItem

The parent to which this data should be added.

const AInstance: TObject

TObject instance that provides the property values.

const NameList: array of string

List of property names (case insensitive). The ExludeList parameter determines if this is a list of properties to allow or disallow.

const ExcludeList: Boolean = False

When set to True, NameList is a list of properties to ignore. Otherwise, NameList is the list of properties to add.

const TypeKinds: TTypeKinds = tkProperties

Type of properties to add.

Description

NewByNames instantiates one or more new data instance with the given parameters. If the data referred to by the given parameters already exists, the item will be attached to that data instance, instead of creating a new data instance.

It is possible that with some parameter values no items are generated, which will result in an empty dynamic array.

Created with Doc-O-Matic.


TJvInspectorPropData.NotifyRemoveData method

TJvInspectorPropData	See Also	Edit topic

Called whenever a data instance is about to be removed.

Pascal

procedure NotifyRemoveData(const Instance: TJvCustomInspectorData); override;

Parameters

Instance

The data instance about to be removed.

Description

NotifyRemoveData gets called whenever a data instance is about to be removed. This allows for other data instances that depend on the instance to be removed as well or to block the removal entirely.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsEqualReference, TJvCustomInspectorData.RegisterInstance


TJvInspectorPropData.SetAsSet method

TJvInspectorPropData	Edit topic

Set the data as a set value.

Pascal

procedure SetAsSet(const Buf); override;

Parameters

Buf

The value to set the data to.

Description

SetAsSet will try to change the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvInspectorPropData.SupportsMethodPointers method

TJvInspectorPropData	Edit topic

Determines if the data instance supports method pointers.

Pascal

function SupportsMethodPointers: Boolean; override;

Description

SupportsMethodPointers determines if the data instance supports method pointers. Items have to check this value before attempting to access the data instance with the AsMethod property.

If the function returns False the data instance does not support AsMethod directly and the item should access the data instance using the AsString property and convert strings from/to method pointers.

If the function returns True the data instance supports AsMethod directly.

Created with Doc-O-Matic.


TJvInspectorPropData.TypeInfoMapRegister method

TJvInspectorPropData	Edit topic

Not documented

Pascal

class function TypeInfoMapRegister: TJvInspectorRegister;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorPropRegItem
JEDI-VCL Reference

TJvInspectorPropRegItem

Hierarchy	Properties	Methods	 Edit topic

Registration item for the property data layer

Pascal

TJvInspectorPropRegItem = class(TJvCustomInspectorRegItem);

File

JvInspector

Description

TJvInspectorPropRegItem is a registration item that bases its matching value on the kind of type it represents and the type info in the data object.

The match value is determined by adding one or more values as follows:
Situation	Value
ClassType known
class type equal	add 32
class type inherits	add 16
class does not match	return 0
Name known
Name exact match	add 8
Name matches by mask	add 4
Name does not match	return 0
Type info known
Type info exact match	add 2
Type info typekind matches	add 1
Type info does not match	return 0

The percentage will be calculated based on these rules:
Situation	Value
Initial	100
ClassType unknown	decrease with 10
ClassType known but inherits	divide by 2
Name unknown	decrease with 5
Name matches by mask	divide by 2
Type info unknown	decrease by 10
Type info typekind matches	divide by 2

When the match value = 0, the percentage will off course also be 0.

Created with Doc-O-Matic.


TJvInspectorPropRegItem Properties

TJvInspectorPropRegItem	Legend

Properties

 Name

 ObjectClass

 TypeInfo

TJvCustomInspectorRegItem

 ItemClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorPropRegItem Methods

TJvInspectorPropRegItem	Legend

Methods

 Compare

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


Legend

TJvInspectorPropRegItem

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorRegItem
        TJvInspectorPropRegItem


TJvInspectorPropRegItem Members

TJvInspectorPropRegItem	Legend

Members

Properties

 Name

 ObjectClass

 TypeInfo

TJvCustomInspectorRegItem

 ItemClass

Methods

 Compare

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvInspectorPropRegItem.Name property

TJvInspectorPropRegItem	Edit topic

The property name.

Pascal

property Name: string;

Description

Name holds the property name that's used while matching. If Name is empty, it will not be considered in the match value.

Created with Doc-O-Matic.


TJvInspectorPropRegItem.ObjectClass property

TJvInspectorPropRegItem	Edit topic

The object's class

Pascal

property ObjectClass: TClass;

Description

ObjectClass holds the class the instance for the property should be. If ObjectClass is nil, it will not be considered in the match value.

Created with Doc-O-Matic.


TJvInspectorPropRegItem.TypeInfo property

TJvInspectorPropRegItem	Edit topic

The property's type info.

Pascal

property TypeInfo: PTypeInfo;

Description

TypeInfo holds the type info that's used while matching. If TypeInfo is nil, it will not be considered in the match value.

Created with Doc-O-Matic.


TJvInspectorPropRegItem.Compare method

TJvInspectorPropRegItem	See Also	Edit topic

Compares the item with another

Pascal

function Compare(const ADataObj: TJvCustomInspectorData; const Item: TJvCustomInspectorRegItem): Integer; override;

Return Value

If the specified item is a better match than this item, the negated match value is returned, otherwise the match value of this item is returned. If the items could not be compared, not the match value will be returned but the match percentages using the same rules as for the match value (ie. a negative number means the specified item is a better match, a positive number means this item is the better match).

Parameters

ADataObj

Data layer instance use for comparison

Item

Registration item to compare with

Description

Compare compares the item with the specified item. The registration item uses two compare methods, Compare and CompareTo, which work in a similar way as Assign and AssignTo: if Compare doesn't know how to compare the two items, It swaps the items and calls CompareTo.

The Compare method in TJvCustomInspectorRegItem will call the specified items' CompareTo method with itself as a parameter. The result of this call will be negated (because the order of the items was swapped) and returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorRegItem.CompareTo


TJvInspectorPropRegItem.Create constructor

TJvInspectorPropRegItem	Edit topic

Instantiates a registration item

Pascal

constructor Create(const AItemClass: TJvInspectorItemClass; const AObjectClass: TClass; const AName: string; ATypeInfo: PTypeInfo);

Parameters

const AItemClass: TJvInspectorItemClass

Inspector item class to assign to the registration item.

const AObjectClass: TClass

The class the property belongs to

const AName: string

The name of the property.

ATypeInfo: PTypeInfo

The type info of the property.

Description

Create instantiates a registration item and assigns it the inspector item it should use if this item matches a data instance.

Created with Doc-O-Matic.


TJvInspectorPropRegItem.MatchPercent method

TJvInspectorPropRegItem	Edit topic

Determines the match percentage for the given data instance.

Pascal

function MatchPercent(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchPercent determines the percentage of matching the registration item to the given data instance. MatchPercent in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value (this usually involves in translating the MatchValue to a percentage).

Created with Doc-O-Matic.


TJvInspectorPropRegItem.MatchValue method

TJvInspectorPropRegItem	Edit topic

Determines the match value for the given data instance.

Pascal

function MatchValue(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchValue determines if and how good the registration item matches for the given data instance. MatchValue in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value.

Created with Doc-O-Matic.


TJvInspectorRegister
JEDI-VCL Reference

TJvInspectorRegister

Hierarchy	Properties	Methods	 Edit topic

Inspector item registration database.

Pascal

TJvInspectorRegister = class(TPersistent);

File

JvInspector

Description

TJvInspectorRegister is the item registration database. It provides a list of registration items which can searched for a match based on a data instance.

Each data layer can have its own registration database (but is not required to). Whenever a data instance gets created the following steps will occur:

Calls the inspectors' AfterDataCreate event

Locates the first available registration database. Because all data layers ultimately inherit from TJvCustomInspectorData, a database will always be found.

The registration database is searched for a match. The search is started with the last added item. If either no match or no perfect match has been found, the search is continued in the registration database of one of its parent classes, until no parent registration database is found or until a perfect match is located. In the end the best match result is returned.

The inspectors' BeforeItemCreate event is called

If a valid item class has been found, the item is created and the AfterItemCreate event is called. In addition, the registration items' ApplyDefaults method is called for the newly created item.

Created with Doc-O-Matic.


TJvInspectorRegister Properties

TJvInspectorRegister	Legend

Properties

 Count

 DataClass

 Items

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorRegister Methods

TJvInspectorRegister	Legend

Methods

Add

 Compare

Create

Delete

 Destroy

FindMatch

IndexOf

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorRegister

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvInspectorRegister


TJvInspectorRegister Members

TJvInspectorRegister	Legend

Members

Properties

 Count

 DataClass

 Items

Methods

Add

 Compare

Create

Delete

 Destroy

FindMatch

IndexOf

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Legend

read only

protected

virtual


TJvInspectorRegister.Count property

TJvInspectorRegister	Edit topic

Number of items in the database

Pascal

property Count: Integer;

Description

Count indicates the number of registration items in the database.

Created with Doc-O-Matic.


TJvInspectorRegister.DataClass property

TJvInspectorRegister	Edit topic

Data class the database is for

Pascal

property DataClass: TJvInspectorDataClass;

Description

DataClass indicates for which data layer class the registration database is. This is used in FindMatch to search for other registration databases up the data layer hierarchy.

Created with Doc-O-Matic.


TJvInspectorRegister.Items property

TJvInspectorRegister	Edit topic

Reference to the registration items in the database.

Pascal

property Items [const I: Integer]: TJvCustomInspectorRegItem;

Description

Items is the array of items in the registration database.

Created with Doc-O-Matic.


TJvInspectorRegister.Add method

TJvInspectorRegister	Edit topic

Adds a registration item to the database.

Pascal

procedure Add(const RegItem: TJvCustomInspectorRegItem);

Parameters

const RegItem: TJvCustomInspectorRegItem

Registration item to add.

Description

Add adds a registration item to the registration database.

Created with Doc-O-Matic.


TJvInspectorRegister.Compare method

TJvInspectorRegister	Edit topic

Compares two registration items.

Pascal

function Compare(const ADataObj: TJvCustomInspectorData; const Item1: TJvCustomInspectorRegItem; const Item2: TJvCustomInspectorRegItem): Integer;

Parameters

const ADataObj: TJvCustomInspectorData

Data layer instance use for comparison

const Item1: TJvCustomInspectorRegItem

First item to be compared.

const Item2: TJvCustomInspectorRegItem

Second item to be be compared.

Description

Compare compares two registration items using a data instance to obtain a match value. If Item1 is a better match, Item1 match value will be returned (always positive), otherwise Item2 match value will be returned as a negative value. In other words: A positive result: Item1 is the winner, a negative result: Item2 is the winner.

Created with Doc-O-Matic.


TJvInspectorRegister.Create constructor

TJvInspectorRegister	Edit topic

Instantiates a registration database.

Pascal

constructor Create(const ADataClass: TJvInspectorDataClass);

Parameters

const ADataClass: TJvInspectorDataClass

The data class for which the registration database is instantiated.

Description

Create instantiates a new registration database for a specific data class.

Created with Doc-O-Matic.


TJvInspectorRegister.Delete method (Integer)

TJvInspectorRegister	Edit topic

Removes a registration item from the database.

Pascal

procedure Delete(const RegItem: TJvCustomInspectorRegItem); overload;
procedure Delete(const ItemClass: TJvInspectorItemClass); overload;
procedure Delete(const Index: Integer); overload;

Parameters

const RegItem: TJvCustomInspectorRegItem

Registration item to remove.

const ItemClass: TJvInspectorItemClass

Not documented

const Index: Integer

Not documented

Description

Delete removes a registration item from the registration database.

Created with Doc-O-Matic.


TJvInspectorRegister.Destroy destructor

TJvInspectorRegister	Edit topic

Disposes of the registration database.

Pascal

destructor Destroy; override;

Description

Destroy clears the registration database and then destroys it.

Created with Doc-O-Matic.


TJvInspectorRegister.FindMatch method

TJvInspectorRegister	Edit topic

Finds a match for the given data instance

Pascal

function FindMatch(const ADataObj: TJvCustomInspectorData): TJvCustomInspectorRegItem;

Parameters

const ADataObj: TJvCustomInspectorData

Data layer instance to find a match for.

Description

FindMatch tries to find a match for the given data instance. It will start in its own database from the last added item back to the first added item. If no perfect match is found, it will try to locate a registration database in one of the parent data classes and will delegate the search to that database if found. The result will be either nil if no match was found or the registration item that matched best.

Created with Doc-O-Matic.


TJvInspectorRegister.IndexOf method (TJvCustomInspectorRegItem)

TJvInspectorRegister	Edit topic

Not documented

Pascal

function IndexOf(const RegItem: TJvCustomInspectorRegItem): Integer; overload;
function IndexOf(const ItemClass: TJvInspectorItemClass): Integer; overload;

Parameters

const RegItem: TJvCustomInspectorRegItem

Not documented

const ItemClass: TJvInspectorItemClass

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorSetItem
JEDI-VCL Reference

TJvInspectorSetItem

Hierarchy	Properties	Methods	Events	 Edit topic

Set inspector item.

Pascal

TJvInspectorSetItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorSetItem is an inspector item that allows set values to be edited. This can be done either by typing the set value as a string and/or by changing the Boolean value of the members.

TJvInspectorSetItem provides extra flags to control the exact behavior (editing the string value and/or creating member items).

TJvCustomInspectorData registers this item for all set types.

Created with Doc-O-Matic.


TJvInspectorSetItem Properties

TJvInspectorSetItem	Legend

Properties

 CreateMemberItems

 EditString

 ItemSetFlags

 RenderAsCategory

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvInspectorSetItem Methods

TJvInspectorSetItem	Legend

Methods

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvInspectorSetItem Events

TJvInspectorSetItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorSetItem

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorSetItem


TJvInspectorSetItem Members

TJvInspectorSetItem	Legend

Members

Properties

 CreateMemberItems

 EditString

 ItemSetFlags

 RenderAsCategory

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 CanEdit

 Create

 CreateMembers

 DeleteMembers

 InvalidateMetaData

 IsCategory

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvInspectorSetItem.CreateMemberItems property

TJvInspectorSetItem	See Also	Edit topic

Controls the creation of items for set members.

Pascal

property CreateMemberItems: Boolean;

Description

CreateMemberItems determines if child items are created for the individual set members. When CreateMemberItems is set to True a Boolean sub item is generated for each member of the set.

CreateMemberItems maps to the isfCreateMemberItems in the ItemSetFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorSetItem.EditString, TJvInspectorSetItem.ItemSetFlags, TJvInspectorSetItem.RenderAsCategory


TJvInspectorSetItem.EditString property

TJvInspectorSetItem	See Also	Edit topic

Controls whether the string value can be edited.

Pascal

property EditString: Boolean;

Description

EditString determines if the item can be edited by typing its value as a string. When set to True, the string value can be edited directly, otherwise the string value can not be edited.

If EditString is True, a set value can be specified by using individual members separated by commas, using member ranges using ".." or a combination. The brackets are optional, but if you specify one you need to specify both.

EditString maps to the isfEditString in the ItemSetFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorSetItem.CreateMemberItems, TJvInspectorSetItem.ItemSetFlags, TJvInspectorSetItem.RenderAsCategory


TJvInspectorSetItem.ItemSetFlags property

TJvInspectorSetItem	See Also	Edit topic

Set item flags.

Pascal

property ItemSetFlags: TInspectorSetFlags;

Description

ItemSetFlags are the flags specific to the set inspector item. The flags determine if the string value can be edited and/or is sub items are created for the individual items.

Created with Doc-O-Matic.


See Also

TJvInspectorSetItem.CreateMemberItems, TJvInspectorSetItem.EditString, TJvInspectorSetItem.RenderAsCategory


TJvInspectorSetItem.RenderAsCategory property

TJvInspectorSetItem	See Also	Edit topic

Controls whether the item should be treated as a category item.

Pascal

property RenderAsCategory: Boolean;

Description

RenderAsCategory determines if the item should be treated as a category item. When set to True the item is treated as a category item, otherwise it's a normal item with a name and value sections.

If RenderAsCategory is True, the item will not have a value section. As such, the isfEditString flag/EditString property have no purpose and are ignored. In addition all set members will be created as boolean type sub items automatically, regardless whether the isfCreateMemberItems flag is specified or the CreateMemberItems property is set to True.

RenderAsCategory maps to the isfRenderAsCategory in the ItemSetFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorSetItem.CreateMemberItems, TJvInspectorSetItem.EditString, TJvInspectorSetItem.ItemSetFlags


TJvInspectorSetItem.CanEdit method

TJvInspectorSetItem	Edit topic

Determines if the item can be edited.

Pascal

function CanEdit: Boolean; override;

Description

CanEdit determines if the item can be edited and returns True if that's the case. An item can be edited if all of the following conditions apply:

It's not a read-only item (ReadOnly = False)

The inspector is not read-only (Inspector.ReadOnly = False)

The data instance has been initialized ( Data.IsInitialized returns True)

The data instance has a value (Data.HasValue returns True).

Can edit is used by InitEdit before the item is set to edit mode.

Created with Doc-O-Matic.


TJvInspectorSetItem.Create constructor

TJvInspectorSetItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorSetItem.CreateMembers method

TJvInspectorSetItem	See Also	Edit topic

Creates the set members as child items.

Pascal

procedure CreateMembers; virtual;

Description

CreateMembers will create all set members of the set it represents as child items. CreateMembers will be called from InvalidateMetaData if either the CreateMemberItems or RenderAsCategory property is set to True.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorItem.InvalidateMetaData, TJvInspectorSetItem.CreateMemberItems, TJvInspectorSetItem.DeleteMembers, TJvInspectorSetItem.RenderAsCategory


TJvInspectorSetItem.DeleteMembers method

TJvInspectorSetItem	See Also	Edit topic

Deletes the child items that represent set members.

Pascal

procedure DeleteMembers; virtual;

Description

DeleteMembers will delete all sub items that are members of a set. DeleteMembers will be called from CreateMembers to refresh the member list.

Created with Doc-O-Matic.


See Also

TJvInspectorSetItem.CreateMembers


TJvInspectorSetItem.InvalidateMetaData method

TJvInspectorSetItem	Edit topic

Signals the inspector the item's meta data has changed.

Pascal

procedure InvalidateMetaData; override;

Description

InvalidateMetaData notifies the inspector that the item's meta data has changed.

Because as far the inspector is concerned, there is no difference between a data change and meta data change, the current implementation will call InvalidateItem. However, this might change in the future and descendants can override this method to take appropriate action when meta data has changed.

Created with Doc-O-Matic.


TJvInspectorSetItem.IsCategory method

TJvInspectorSetItem	See Also	Edit topic

Determines if the item represents a category item.

Pascal

function IsCategory: Boolean; override;

Description

IsCategory determines if the item represents a category item.

If the item represents a category the method will return True, otherwise False is returned.

TJvInspectorSetItem implements this method to always return True if the isfRenderAsCategory flag has been specified in the ItemSetFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorSetItem.RenderAsCategory


TJvInspectorSetMemberData
JEDI-VCL Reference

TJvInspectorSetMemberData

Hierarchy	Properties	Methods	Events	 Edit topic

Data layer for specific set item.

Pascal

TJvInspectorSetMemberData = class(TJvCustomInspectorData);

File

JvInspector

Description

TJvInspectorSetMemberData is the data layer that obtains its data from a single bit of the set value of its parent item. It's used internally by the set item (TJvInspectorSetItem) when the CreateMemberItems property is True.

Only the AsOrdinal access property is implemented, while the TypeInfo property is ignored but initialized to TypeInfo(Boolean).

Created with Doc-O-Matic.


TJvInspectorSetMemberData Properties

TJvInspectorSetMemberData	Legend

Properties

 BitOffset

 DataParent

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorSetMemberData Methods

TJvInspectorSetMemberData	Legend

Methods

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

New

 NotifyRemoveData

 SetAsSet

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


TJvInspectorSetMemberData Events

TJvInspectorSetMemberData

Events

TJvCustomInspectorData

OnValueChanged

Created with Doc-O-Matic.


Legend

TJvInspectorSetMemberData

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorData
        TJvInspectorSetMemberData


TJvInspectorSetMemberData Members

TJvInspectorSetMemberData	Legend

Members

Properties

 BitOffset

 DataParent

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Methods

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

New

 NotifyRemoveData

 SetAsSet

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Events

TJvCustomInspectorData

OnValueChanged

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvInspectorSetMemberData.BitOffset property

TJvInspectorSetMemberData	Edit topic

Bit offset in the set for this member.

Pascal

property BitOffset: Integer;

Description

BitOffset holds the bit offset within the set value for this particular member. This value is calculated upon creation of the member data layer.

Created with Doc-O-Matic.


TJvInspectorSetMemberData.DataParent property

TJvInspectorSetMemberData	Edit topic

References the data object of the parent item.

Pascal

property DataParent: TJvCustomInspectorData;

Description

DataParent references the data object of the parent item. This will always be the data object representing the entire set value.

Created with Doc-O-Matic.


TJvInspectorSetMemberData.GetAsSet method

TJvInspectorSetMemberData	Edit topic

Retrieve the data as a set value.

Pascal

procedure GetAsSet(var Buf); override;

Parameters

Buf

A set variable to retrieve the value in

Description

GetAsSet will try to retrieve the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is read CheckReadAccess is called to check read access.

Created with Doc-O-Matic.


TJvInspectorSetMemberData.HasValue method

TJvInspectorSetMemberData	See Also	Edit topic

Determines if the data object actually represents a value.

Pascal

function HasValue: Boolean; override;

Description

HasValue determines if the data object represents a value. This is dependent on the data the object is representing and therefor changes for each data class. If the data object represents a value, HasValue returns True, otherwise False is returned. If HasValue is False, data can not be read or written and the inspector will show (no value).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned, TJvCustomInspectorData.IsInitialized


TJvInspectorSetMemberData.IsAssigned method

TJvInspectorSetMemberData	See Also	Edit topic

Determines if the data object has been assigned a value.

Pascal

function IsAssigned: Boolean; override;

Description

IsAssigned determines if the data object has a value assigned to it. This is dependent on the data the object is representing and therefor changes for each data class. If a value is assigned, IsAssigned returns True, otherwise False is returned. If IsAssigned is False, data can not be read and the inspector will show (unassigned).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsInitialized


TJvInspectorSetMemberData.IsEqualReference method

TJvInspectorSetMemberData	See Also	Edit topic

Determines if the specified data instance references the same data.

Pascal

function IsEqualReference(const Ref: TJvCustomInspectorData): Boolean; override;

Parameters

Ref

The data instance to check.

Description

IsEqualReference determines if the specified data instance references the same physical data as Self does.

If the specified instance references the same data True will be returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.NotifyRemoveData, TJvCustomInspectorData.RegisterInstance


TJvInspectorSetMemberData.IsInitialized method

TJvInspectorSetMemberData	See Also	Edit topic

Determines if the data object is properly initialized.

Pascal

function IsInitialized: Boolean; override;

Description

IsInitialized determines if the data object has been properly initialized. This is dependent on the data the object is representing and therefor changes for each data class. If the data is properly initialized, IsIntialized returns True, otherwise False is returned. If IsInitialized is False, the data object can not be used and the inspector will show (uninitialized)

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsAssigned


TJvInspectorSetMemberData.New method

TJvInspectorSetMemberData	Edit topic

Instantiate a data instance and attaches an item to it.

Pascal

class function New(const AParent: TJvCustomInspectorItem; const Ordinal: Integer; const ADataParent: TJvCustomInspectorData): TJvCustomInspectorItem; overload; reintroduce;

Parameters

const AParent: TJvCustomInspectorItem

The parent to which this data should be added.

const Ordinal: Integer

The ordinal value of the member that is to be inspected.

const ADataParent: TJvCustomInspectorData

A reference to the parent data instance. Since a set member belongs to a set that is referenced by another data instance, this data instance should be handed over to this instance.

Description

New instantiates a new data instance with the given parameters. If the data referred to by the given parameters already exists, the item will be attached to that data instance, instead of creating a new data instance.

TJvInspectorSetMemberData implements New to allow you to give both the ordinal value as well as a reference to the data instance that references the set.

Created with Doc-O-Matic.


TJvInspectorSetMemberData.NotifyRemoveData method

TJvInspectorSetMemberData	See Also	Edit topic

Called whenever a data instance is about to be removed.

Pascal

procedure NotifyRemoveData(const Instance: TJvCustomInspectorData); override;

Parameters

Instance

The data instance about to be removed.

Description

NotifyRemoveData gets called whenever a data instance is about to be removed. This allows for other data instances that depend on the instance to be removed as well or to block the removal entirely.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsEqualReference, TJvCustomInspectorData.RegisterInstance


TJvInspectorSetMemberData.SetAsSet method

TJvInspectorSetMemberData	Edit topic

Set the data as a set value.

Pascal

procedure SetAsSet(const Buf); override;

Parameters

Buf

The value to set the data to.

Description

SetAsSet will try to change the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvInspectorStringItem
JEDI-VCL Reference

TJvInspectorStringItem

Hierarchy	Properties	Methods	Events	 Edit topic

String inspector item.

Pascal

TJvInspectorStringItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorStringItem is an inspector item that allows string values to be edited.

TJvCustomInspectorData registers this item for all string types (ie. ShortString, AnsiString (=long strings) and WideString).

Created with Doc-O-Matic.


TJvInspectorStringItem Properties

TJvInspectorStringItem	Legend

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorStringItem Events

TJvInspectorStringItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorStringItem Methods

TJvInspectorStringItem	Legend

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvInspectorStringItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorStringItem


TJvInspectorStringItem Members

TJvInspectorStringItem	Legend

Members

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Methods

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvInspectorTCaptionRegItem
JEDI-VCL Reference

TJvInspectorTCaptionRegItem

Hierarchy	Properties	Methods	 Edit topic

Registration item for the TCaption type.

Pascal

TJvInspectorTCaptionRegItem = class(TJvInspectorTypeInfoRegItem);

File

JvInspector

Description

TJvInspectorTCaptionRegItem is the registration item that specifically matches TCaption types. For these types, ApplyDefaults will set the item's iifMultiLine flag.

Created with Doc-O-Matic.


TJvInspectorTCaptionRegItem Methods

TJvInspectorTCaptionRegItem	Legend

Methods

 ApplyDefaults

TJvInspectorTypeInfoRegItem

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


TJvInspectorTCaptionRegItem Properties

TJvInspectorTCaptionRegItem	Legend

Properties

TJvInspectorTypeInfoRegItem

 TypeInfo

TJvCustomInspectorRegItem

 ItemClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvInspectorTCaptionRegItem

Legend

virtual

protected

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorRegItem
        TJvInspectorTypeInfoRegItem
            TJvInspectorTCaptionRegItem


TJvInspectorTCaptionRegItem Members

TJvInspectorTCaptionRegItem	Legend

Members

Methods

 ApplyDefaults

TJvInspectorTypeInfoRegItem

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Properties

TJvInspectorTypeInfoRegItem

 TypeInfo

TJvCustomInspectorRegItem

 ItemClass

Legend

virtual

protected

abstract

read only

Created with Doc-O-Matic.


Legend

virtual

protected

abstract

read only


TJvInspectorTCaptionRegItem.ApplyDefaults method

TJvInspectorTCaptionRegItem	Edit topic

Applies defaults to an inspector item

Pascal

procedure ApplyDefaults(const Item: TJvCustomInspectorItem); override;

Parameters

Item

Inspector item to assign the defaults to.

Description

AppliesTo assigns default values to an inspector item. ApplyDefaults is called by the data layers' CreateChild method after the inspector item is created.

Created with Doc-O-Matic.


TJvInspectorTimeItem
JEDI-VCL Reference

TJvInspectorTimeItem

Hierarchy	Properties	Methods	Events	 Edit topic

TTime inspector item.

Pascal

TJvInspectorTimeItem = class(TJvInspectorFloatItem);

File

JvInspector

Description

TJvInspectorTimeItem is an inspector item that allows TTime values to be edited through a simple editor.

TJvCustomInspectorData registers this item for TTime types.

Created with Doc-O-Matic.


TJvInspectorTimeItem Properties

TJvInspectorTimeItem	Legend

Properties

 Format

 ShowAMPM

 ShowSeconds

TJvInspectorFloatItem

 Format

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvInspectorTimeItem Methods

TJvInspectorTimeItem	Legend

Methods

 Create

TJvInspectorFloatItem

 Create

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorTimeItem Events

TJvInspectorTimeItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorTimeItem

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorFloatItem
            TJvInspectorTimeItem


TJvInspectorTimeItem Members

TJvInspectorTimeItem	Legend

Members

Properties

 Format

 ShowAMPM

 ShowSeconds

TJvInspectorFloatItem

 Format

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

 Create

TJvInspectorFloatItem

 Create

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvInspectorTimeItem.Format property

TJvInspectorTimeItem	Edit topic

Not documented

Pascal

property Format: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorTimeItem.ShowAMPM property

TJvInspectorTimeItem	Edit topic

Determines if the editor shows AM/PM.

Pascal

property ShowAMPM: Boolean;

Description

ShowAMPM determines if the editor will show AM/PM or use the 24-hour notation.

Set ShowAMPM to True to allow the editor to display a 12-hour clock and append the AM or PM suffix.

Set ShowAMPM to False to allow the editor to display a 24-hour clock.

Created with Doc-O-Matic.


TJvInspectorTimeItem.ShowSeconds property

TJvInspectorTimeItem	Edit topic

Determines if the editor shows seconds.

Pascal

property ShowSeconds: Boolean;

Description

ShowSeconds determines if the editor will show seconds.

Set ShowSeconds to True to allow the editor to display the seconds.

Set ShowSeconds to False to hide the seconds from the editor.

Created with Doc-O-Matic.


TJvInspectorTimeItem.Create constructor

TJvInspectorTimeItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorTMethodItem
JEDI-VCL Reference

TJvInspectorTMethodItem

Hierarchy	Properties	Methods	Events	 Edit topic

Event (TMethod) item.

Pascal

TJvInspectorTMethodItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorTMethodItem is an inspector item that allows editing of event types. The item provides methods to specify the list of allowed event handlers and instances. You are not limited to published methods, you can provide any accessible method, even protected methods if you use the class cracking technique.

In addition the item provides properties that control the way the events are displayed. You can specify to show no instance names, all instance names or all but the first instance names. You can also specify the order of the event handlers.

To specify that instance names are to be shown, set the ShowInstanceNames property to True.

To specify that the first instance name should not be shown, set NoShowFirstInstanceName to True in addition to setting ShowInstanceNames to True.

To specify that the event list should be sorted by instance, set SortInstances to True.

To specify that the events of the first instance should show first regardless of any sorting, set KeepFirstInstanceAsFirst to True.

To specify that the event list should be sorted by method name, set SortMethods to True.

Use AddInstance to add to a handler instance (such as forms and data modules).

Use AddMethod to add a handler to an instance.

Optionally in addition to or instead of the above AddInstance/AddMethod, assign an OnGetValueList event handler to provide additionally selectable handlers.

TJvCustomInspectorData registers this item for the TMethod (event) type.

Created with Doc-O-Matic.


TJvInspectorTMethodItem Properties

TJvInspectorTMethodItem	Legend

Properties

 InstanceCount

 InstanceNames

 Instances

ItemTMethodFlags

KeepFirstInstanceAsFirst

 MethodCount

 MethodNames

 Methods

NoShowFirstInstanceName

ShowInstanceNames

SortInstances

SortMethods

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvInspectorTMethodItem Methods

TJvInspectorTMethodItem	Legend

Methods

AddInstance

AddMethod

ClearInstances

ClearMethods

 Create

DeleteInstance

DeleteMethod

 GetValueList

IndexOfInstance

IndexOfMethod

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorTMethodItem Events

TJvInspectorTMethodItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorTMethodItem

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorTMethodItem


TJvInspectorTMethodItem Members

TJvInspectorTMethodItem	Legend

Members

Properties

 InstanceCount

 InstanceNames

 Instances

ItemTMethodFlags

KeepFirstInstanceAsFirst

 MethodCount

 MethodNames

 Methods

NoShowFirstInstanceName

ShowInstanceNames

SortInstances

SortMethods

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Methods

AddInstance

AddMethod

ClearInstances

ClearMethods

 Create

DeleteInstance

DeleteMethod

 GetValueList

IndexOfInstance

IndexOfMethod

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

read only

protected

virtual

Created with Doc-O-Matic.


Legend

read only

protected

virtual


TJvInspectorTMethodItem.InstanceCount property

TJvInspectorTMethodItem	See Also	Edit topic

Determines the number of instances added.

Pascal

property InstanceCount: Integer;

Description

InstanceCount determines the number of instances added.

Created with Doc-O-Matic.


See Also

DeleteInstance


TJvInspectorTMethodItem.InstanceNames property

TJvInspectorTMethodItem	See Also	Edit topic

Array of names of added instances.

Pascal

property InstanceNames [I: Integer]: string;

Parameters

I

0-based index in the list added instances.

Description

InstanceNames is 0-based array of names of added instances. You can specify an index in the range from 0 up to InstanceCount-1 to retrieve the name of an added instance.

The array will remain in the order in which items are added, regardless of the state of SortInstances and related properties.

Created with Doc-O-Matic.


See Also

DeleteInstance


TJvInspectorTMethodItem.Instances property

TJvInspectorTMethodItem	See Also	Edit topic

Array of added instances.

Pascal

property Instances [I: Integer]: TObject;

Parameters

I

0-based index in the list added instances.

Description

Instances is 0-based array of instances added. You can specify an index in the range from 0 up to InstanceCount-1 to retrieve a reference to an added instance.

The array will remain in the order in which items are added, regardless of the state of SortInstances and related properties.

Created with Doc-O-Matic.


See Also

DeleteInstance


TJvInspectorTMethodItem.ItemTMethodFlags property

TJvInspectorTMethodItem	See Also	Edit topic

TMethod item flags.

Pascal

property ItemTMethodFlags: TInspectorTMethodFlags;

Description

ItemTMethodFlags are the flags specific to the TMethod (event handler) inspector item.

Read ItemTMethodFlags to determine the current flags or set it to a new value.

Created with Doc-O-Matic.


See Also

TJvInspectorTMethodItem.KeepFirstInstanceAsFirst, TJvInspectorTMethodItem.NoShowFirstInstanceName, TJvInspectorTMethodItem.ShowInstanceNames, TJvInspectorTMethodItem.SortInstances, TJvInspectorTMethodItem.SortMethods


TJvInspectorTMethodItem.KeepFirstInstanceAsFirst property

TJvInspectorTMethodItem	See Also	Edit topic

Indicates whether the handlers of the first instance should appear before other instance handlers.

Pascal

property KeepFirstInstanceAsFirst: Boolean;

Description

KeepFirstInstanceAsFirst indicates whether the handlers of the first instance should appear before the handlers of the other instances, regardless of any sorting option.

KeepFirstInstanceAsFirst maps to the imfKeepFirstInstanceAsFirst flag in the ItemTMethodFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorTMethodItem.Instances, TJvInspectorTMethodItem.ItemTMethodFlags, TJvInspectorTMethodItem.SortInstances, TJvInspectorTMethodItem.SortMethods


TJvInspectorTMethodItem.MethodCount property

TJvInspectorTMethodItem	See Also	Edit topic

Determines the number of event handlers added to an instance.

Pascal

property MethodCount [Instance: TObject]: Integer;

Parameters

Instance

TObject instance for which to retrieve a method name.

Description

MethodCount determines the number of Methods added.

Created with Doc-O-Matic.


See Also

AddMethod, DeleteMethod, ClearMethods


TJvInspectorTMethodItem.MethodNames property

TJvInspectorTMethodItem	See Also	Edit topic

Array of names of added event handlers.

Pascal

property MethodNames [Instance: TObject; I: Integer]: string;

Parameters

Instance

TObject instance for which to retrieve a method name.

I

0-based index of the handler for which to retrieve the name.

Description

MethodNames is 0-based array of names of added event handlers. You can specify a TObject instance and an index in the range from 0 up to MethodCount[<TObject instance>]-1 to retrieve the name of an added event handler.

The array will remain in the order in which items are added, regardless of the state of SortMethods and related properties.

Created with Doc-O-Matic.


See Also

AddMethod, DeleteMethod, ClearMethods


TJvInspectorTMethodItem.Methods property

TJvInspectorTMethodItem	See Also	Edit topic

Array of added event handlers.

Pascal

property Methods [Instance: TObject; I: Integer]: TMethod;

Parameters

Instance

TObject instance for which to retrieve a method name.

I

0-based index of the handler for which to retrieve the name.

Description

Methods is 0-based array of added event handlers. You can specify a TObject instance and an index in the range from 0 up to MethodCount[<TObject instance>]-1 to retrieve the TMethod pointer of an added event handler.

The array will remain in the order in which items are added, regardless of the state of SortMethods and related properties.

Created with Doc-O-Matic.


See Also

AddMethod, DeleteMethod, ClearMethods


TJvInspectorTMethodItem.NoShowFirstInstanceName property

TJvInspectorTMethodItem	See Also	Edit topic

Indicates whether the first instance's name is to be shown in the drop down list.

Pascal

property NoShowFirstInstanceName: Boolean;

Description

NoShowFirstInstanceName indicates whether the first instance's name is to be prefixed in the drop down list of assignable handlers.

When set to True, the name of the first instance is not shown, regardless of the state of the ShowInstanceNames property. When set to False, the name of the first instance will be shown if ShowInstanceNames is also set to True.

NoShowFirstInstanceName maps to the imfNoShowFirstInstanceName flag in the ItemTMethodFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorTMethodItem.ItemTMethodFlags, TJvInspectorTMethodItem.ShowInstanceNames


TJvInspectorTMethodItem.ShowInstanceNames property

TJvInspectorTMethodItem	See Also	Edit topic

Indicates whether the instance names are to be shown in the drop down list.

Pascal

property ShowInstanceNames: Boolean;

Description

ShowInstanceNames indicates whether the instance names are to be prefixed in the drop down list of assignable handlers.

When set to True, the name of the instance are shown. If NoShowFirstInstanceName is also set to True, the name of the first instance will not be shown.

ShowInstanceNames maps to the imfShowInstanceNames flag in the ItemTMethodFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorTMethodItem.ItemTMethodFlags, TJvInspectorTMethodItem.NoShowFirstInstanceName


TJvInspectorTMethodItem.SortInstances property

TJvInspectorTMethodItem	See Also	Edit topic

Indicates whether instances are grouped alphabetically.

Pascal

property SortInstances: Boolean;

Description

SortInstances indicates whether or not the instance list is sorted alphabetically before adding handlers.

Sorting handlers can be controlled separately through the SortMethods property. In addition, if KeepFirstInstnaceAsFirst is set to True, the first instance of the list (Instances[0]) will always be the first in the list.

SortInstances maps to the imfSortInstances flag in the ItemTMethodFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorTMethodItem.Instances, TJvInspectorTMethodItem.ItemTMethodFlags, TJvInspectorTMethodItem.KeepFirstInstanceAsFirst, TJvInspectorTMethodItem.SortMethods


TJvInspectorTMethodItem.SortMethods property

TJvInspectorTMethodItem	See Also	Edit topic

Indicates whether event handlers are sorted alphabetically.

Pascal

property SortMethods: Boolean;

Description

SortMethods indicates whether or not the event handlers of each instance are sorted alphabetically.

Sorting instances can be controlled separately through the SortInstances property.

SortMethods maps to the imfSortMethods flag in the ItemTMethodFlags property.

Created with Doc-O-Matic.


See Also

TJvInspectorTMethodItem.Instances, TJvInspectorTMethodItem.ItemTMethodFlags, TJvInspectorTMethodItem.SortInstances


TJvInspectorTMethodItem.AddInstance method

TJvInspectorTMethodItem	See Also	Edit topic

Adds an event instance to the instance list.

Pascal

procedure AddInstance(const Instance: TObject; const InstanceName: string);

Parameters

const Instance: TObject

TObject instance to add.

const InstanceName: string

Name of the instance. AddInstance will not check if the specified object is a TComponent (or descendant) to retrieve the name. You should do so yourself in the call to this method.

Description

AddInstance adds an event instance to the list of instances, providing it with a name. Before you can add any method you should add and name the instance to which the method belongs. After you have added the instance you can add methods to the instance using any one of the AddMethod methods.

Created with Doc-O-Matic.


See Also

AddMethod, DeleteInstance, IndexOfInstance


TJvInspectorTMethodItem.AddMethod method (TMethod, string)

TJvInspectorTMethodItem	See Also	Edit topic

Adds an event handler to the list of event handlers.

Pascal

procedure AddMethod(const Method: TMethod; const MethodName: string); overload;
procedure AddMethod(const Instance: TObject; MethodAddr: Pointer; const MethodName: string); overload;

Parameters

const Method: TMethod

Method pointer to add. The method pointer provides a Data address (the instance) and a Code address (the address of the handler).

const MethodName: string

Name of the method. AddMethod will not try to obtain the method name by calling MethodName on the instance using the provided handler address. You may do that yourself in the call to this method.

const Instance: TObject

Instance to which the handler should be added.

MethodAddr: Pointer

Address of the handler to add.

Description

AddMethod adds an event handler to the list of event handlers, providing it with a name. Before you can add any method you should first add the instance to which the method belongs, using AddInstance.

There are two overloaded versions of this method. One provides you with a way to add a method pointer directly (a TMethod) while the other provides you with a way to specify the instance and the address of the handler. Both allow to set the name of the handler.

Created with Doc-O-Matic.


See Also

DeleteMethod, ClearMethods, IndexOfMethod


TJvInspectorTMethodItem.ClearInstances method

TJvInspectorTMethodItem	See Also	Edit topic

Removes all event instance from the list of instances.

Pascal

procedure ClearInstances;

Description

ClearInstances removes all event instances from the list of instances. Deleting the instances will result in deleting all handlers.

Created with Doc-O-Matic.


See Also

ClearMethods, DeleteInstance, IndexOfInstance


TJvInspectorTMethodItem.ClearMethods method (Integer)

TJvInspectorTMethodItem	See Also	Edit topic

Removes all event handlers from the list of event handlers.

Pascal

procedure ClearMethods(const InstanceIndex: Integer); overload;
procedure ClearMethods(const Instance: TObject); overload;
procedure ClearMethods(const InstanceName: string); overload;

Parameters

const InstanceIndex: Integer

0-based index in the list of added instances of the instance for which all handlers are to be removed.

const Instance: TObject

TObject instance for which to delete all handlers. If the specified instance does not exist, an exception is raised.

const InstanceName: string

Name (case insensitive) of the instance for which to delete all handlers. If the specified instance does not exist, an exception is raised.

Description

ClearMethods removes all event handlers from the list of event handlers.

There are three overloaded versions of this method. You can specify an index of an instance, the instance itself or the name of the instance for which you want to remove all handlers.

Created with Doc-O-Matic.


See Also

AddMethod, DeleteMethod, IndexOfMethod


TJvInspectorTMethodItem.Create constructor

TJvInspectorTMethodItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorTMethodItem.DeleteInstance method (Integer)

TJvInspectorTMethodItem	See Also	Edit topic

Removes an event instance from the instance list.

Pascal

procedure DeleteInstance(const Index: Integer); overload;
procedure DeleteInstance(const Instance: TObject); overload;
procedure DeleteInstance(const InstanceName: string); overload;

Parameters

const Index: Integer

0-based index in the list of added instances of the instance to delete.

const Instance: TObject

TObject instance to delete. If the specified instance does not exist, an exception will be raised.

const InstanceName: string

Name (case insensitive) of the instance to delete. If the specified instance does not exist, an exception will be raised.

Description

DeleteInstance removes an event instance from the list of instances. Deleting an instance will result in deleting all handlers added to this instance.

There are three overloaded versions of this method. You can delete an instance based on its position in the list, by providing a TObject instance or by specifying its name.

Created with Doc-O-Matic.


See Also

DeleteMethod, IndexOfInstance


TJvInspectorTMethodItem.DeleteMethod method (Integer, Integer)

TJvInspectorTMethodItem	See Also	Edit topic

Removes an event handler from the list of event handlers.

Pascal

procedure DeleteMethod(const Method: TMethod); overload;
procedure DeleteMethod(const InstanceIndex: Integer; const Index: Integer); overload;
procedure DeleteMethod(const Instance: TObject; const Index: Integer); overload;
procedure DeleteMethod(const InstanceName: string; const Index: Integer); overload;
procedure DeleteMethod(const InstanceIndex: Integer; const MethodName: string); overload;
procedure DeleteMethod(const Instance: TObject; const MethodName: string); overload;
procedure DeleteMethod(const InstanceName: string; const MethodName: string); overload;

Parameters

const Method: TMethod

Method pointer to delete. The method pointer provides a Data address (the instance) and a Code address (the address of the handler).

const InstanceIndex: Integer

0-based index in the list of added instances of the instance of the handler to delete.

const Index: Integer

0-based index of the handler to delete.

const Instance: TObject

TObject instance of the handler to delete. If the specified instance does not exist, an exception is raised.

const InstanceName: string

Name (case insensitive) of the instance of the handler to delete. If the specified instance does not exist, an exception is raised.

const MethodName: string

Name (case insensitive) of the handler to delete. If the specified handler does not exist within the specified instance, an exception is raised.

Description

DeleteMethod removes an event handler from the list of event handlers.

There are seven overloaded versions of this method that allow various combinations of specifying the instance and/or handler to delete.

Created with Doc-O-Matic.


See Also

DeleteInstance, AddMethod, ClearMethods, IndexOfMethod


TJvInspectorTMethodItem.GetValueList method

TJvInspectorTMethodItem	See Also	Edit topic

Retrieves the list of selectable values.

Pascal

procedure GetValueList(const Strings: TStrings); override;

Parameters

Strings

Instance of a TStrings descendant to receive the list. This list is not cleared on entry, although the event handler called might.

Description

GetValueList retrieves the list of selectable values.

GetValueList simply calls DoGetValueList. However, descendants might override GetValueList to bypass or augment the event handler, without overriding the DoGetValueList method, which is the wrapper method for the OnGetValueList event.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifValueList, TJvCustomInspectorItem.DoGetValueList, TJvCustomInspectorItem.OnGetValueList


TJvInspectorTMethodItem.IndexOfInstance method (string)

TJvInspectorTMethodItem	See Also	Edit topic

Determines the index of an instance in the list instances.

Pascal

function IndexOfInstance(const Instance: TObject): Integer; overload;
function IndexOfInstance(const InstanceName: string): Integer; overload;

Parameters

const Instance: TObject

TObject instance to locate.

const InstanceName: string

Case insensitive name of the instance to locate.

Description

IndexOfInstance determines the 0-based index of an instance in the list instances. If the specified instance does not exists, -1 will be returned.

There are two overloaded versions of this method. One to specify a TObject instance and the other to specify the instance name.

Created with Doc-O-Matic.


See Also

IndexOfMethod, DeleteInstance


TJvInspectorTMethodItem.IndexOfMethod method (Integer, string)

TJvInspectorTMethodItem	See Also	Edit topic

Determines the index of an event handler in the list of event handlers.

Pascal

function IndexOfMethod(const Method: TMethod): Integer; overload;
function IndexOfMethod(const InstanceIndex: Integer; const MethodName: string): Integer; overload;
function IndexOfMethod(const Instance: TObject; const MethodName: string): Integer; overload;
function IndexOfMethod(const InstanceName: string; const MethodName: string): Integer; overload;

Parameters

const Method: TMethod

Method pointer to locate. The method pointer provides a Data address (the instance) and a Code address (the address of the handler).

const InstanceIndex: Integer

0-based index in the list of added instances of the instance to search.

const MethodName: string

Name (case insensitive) of the handler to locate.

const Instance: TObject

TObject instance to search. If the specified instance does not exist, -1 will be returned.

const InstanceName: string

Name (case insensitive) of the instance to search. If the specified instance does not exist, -1 will be returned.

Description

IndexOfMethod determines the 0-based index of an event handler in the list of event handlers. If the specified handler does not exist, -1 will be returned.

There are four overloaded versions of this method that allow various combinations of how you can specify which instance to search in and which handler to locate.

Created with Doc-O-Matic.


See Also

IndexOfInstance, AddMethod, DeleteMethod, ClearMethods


TJvInspectorTStringsItem
JEDI-VCL Reference

TJvInspectorTStringsItem

Hierarchy	Properties	Methods	Events	 Edit topic

TStrings inspector item.

Pascal

TJvInspectorTStringsItem = class(TJvCustomInspectorItem);

File

JvInspector

Description

TJvInspectorTStringsItem is an inspector item that allows any TStrings descendant to be edited either inline or using a string list editor, much like the one Borland provides.

The distinction between inline editable and stringlist editable is determine by the Flags property.

If iifEditButton is set, the string list editor is used and the item can not be edited inline (in addition, the iifMultiLine flag will be removed).

If iifMultiLine is set, you can edit the item inline and it can not be edited through the string list editor (in addition, the iifEditButton flag will be removed).

TJvInspectorCustomData registers this item for TStrings class types.

Created with Doc-O-Matic.


TJvInspectorTStringsItem Methods

TJvInspectorTStringsItem	Legend

Methods

 Create

 Edit

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvInspectorTStringsItem Properties

TJvInspectorTStringsItem	Legend

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvInspectorTStringsItem Events

TJvInspectorTStringsItem	Legend

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


Legend

TJvInspectorTStringsItem

Legend

virtual

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorItem
        TJvInspectorTStringsItem


TJvInspectorTStringsItem Members

TJvInspectorTStringsItem	Legend

Members

Methods

 Create

 Edit

TJvCustomInspectorItem

Add

 AlphaSort

 Apply

 ApplyDisplayIndices

 BuildDisplayableList

 ButtonClick

 CanEdit

Clear

 CloseUp

 Create

 DataSort

 Deactivate

 Delete

 DoAfterItemCreate

 DoCompare

 DoDrawListItem

 DoDropDownKeys

 DoGetValueList

 DoMeasureListItem

 DoMeasureListItemWidth

DoneEdit

 DrawEditor

 DrawName

 DrawValue

 DropDown

 Edit

 Edit_WndProc

 EditChange

EditFocused

 EditKeyDown

 EditMouseDown

 EditMouseMove

 EditMouseUp

 GetDisplayParent

GetEditorText

 GetNextSibling

 GetValueList

 HasViewableItems

 IndexOf

InitEdit

Insert

 InvalidateItem

 InvalidateList

 InvalidateMetaData

 InvalidateSort

 IsCategory

 ListExit

 MouseDown

 MouseMove

 MouseUp

 NaturalSort

ScrollInView

 SelectValue

 SetFocus

Sort

 StopTracking

 TrackButton

 Undo

 UpdateDisplayOrder

 UpdateLastPaintGeneration

Properties

TJvCustomInspectorItem

AutoUpdate

 BaseCategory

 Category

 Count

 Data

DisplayIndex

DisplayName

DisplayValue

DropDownCount

 DroppedDown

 EditCtrl

 EditCtrlDestroying

 Editing

Expanded

Flags

 FullName

Height

HeightFactor

Hidden

 Inspector

 IsCompoundColumn

 Items

 LastPaintGeneration

 Level

 ListBox

Multiline

 Name

 Parent

 Pressed

QualifiedNames

ReadOnly

Rects

RowSizing

SortKind

 Tracking

UserData

Visible

Events

TJvCustomInspectorItem

 EditWndPrc

OnCompare

OnGetValueList

OnValueChanged

Legend

virtual

protected

read only

Created with Doc-O-Matic.


Legend

virtual

protected

read only


TJvInspectorTStringsItem.Create constructor

TJvInspectorTStringsItem	Edit topic

Instantiates a new inspector item.

Pascal

constructor Create(const AParent: TJvCustomInspectorItem; const AData: TJvCustomInspectorData); override;

Parameters

AParent

Parent item to which the new item is to be added. This can never be nil

AData

The data instance to assign to this item. For category items, this should be nil.

Description

Create instantiates a new inspector item and adds it to a parent item. You should almost never need to create an instance of TJvCustomInspectorItem. In addition, except for the category item, there should be no need to create an item directly. Usually you create a data instance which in turn will create an instance of a proper descendant.

Created with Doc-O-Matic.


TJvInspectorTStringsItem.Edit method

TJvInspectorTStringsItem	See Also	Edit topic

Non-inline editing of the item.

Pascal

procedure Edit; override;

Description

Edit allows for non-inline editing of the item. This usually is the case for items with the iifEditButton flag, which often use a dialog box to change the value.

Edit is called automatically when the button is clicked, but can be called from code if needed.

Created with Doc-O-Matic.


See Also

TInspectorItemFlag.iifEditButton, TJvCustomInspectorItem.ButtonClick


TJvInspectorTypeInfoMapperRegItem
JEDI-VCL Reference

TJvInspectorTypeInfoMapperRegItem

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvInspectorTypeInfoMapperRegItem = class(TJvCustomInspectorRegItem);

File

JvInspector

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorTypeInfoMapperRegItem Properties

TJvInspectorTypeInfoMapperRegItem	Legend

Properties

 NewTypeInfo

 ObjectClass

 PropertyName

 PropertyType

TJvCustomInspectorRegItem

 ItemClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorTypeInfoMapperRegItem Methods

TJvInspectorTypeInfoMapperRegItem	Legend

Methods

 Compare

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


Legend

TJvInspectorTypeInfoMapperRegItem

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorRegItem
        TJvInspectorTypeInfoMapperRegItem


TJvInspectorTypeInfoMapperRegItem Members

TJvInspectorTypeInfoMapperRegItem	Legend

Members

Properties

 NewTypeInfo

 ObjectClass

 PropertyName

 PropertyType

TJvCustomInspectorRegItem

 ItemClass

Methods

 Compare

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvInspectorTypeInfoMapperRegItem.NewTypeInfo property

TJvInspectorTypeInfoMapperRegItem	Edit topic

Not documented

Pascal

property NewTypeInfo: PTypeInfo;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorTypeInfoMapperRegItem.ObjectClass property

TJvInspectorTypeInfoMapperRegItem	Edit topic

Not documented

Pascal

property ObjectClass: TClass;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorTypeInfoMapperRegItem.PropertyName property

TJvInspectorTypeInfoMapperRegItem	Edit topic

Not documented

Pascal

property PropertyName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorTypeInfoMapperRegItem.PropertyType property

TJvInspectorTypeInfoMapperRegItem	Edit topic

Not documented

Pascal

property PropertyType: PTypeInfo;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspectorTypeInfoMapperRegItem.Compare method

TJvInspectorTypeInfoMapperRegItem	See Also	Edit topic

Compares the item with another

Pascal

function Compare(const ADataObj: TJvCustomInspectorData; const Item: TJvCustomInspectorRegItem): Integer; override;

Return Value

If the specified item is a better match than this item, the negated match value is returned, otherwise the match value of this item is returned. If the items could not be compared, not the match value will be returned but the match percentages using the same rules as for the match value (ie. a negative number means the specified item is a better match, a positive number means this item is the better match).

Parameters

ADataObj

Data layer instance use for comparison

Item

Registration item to compare with

Description

Compare compares the item with the specified item. The registration item uses two compare methods, Compare and CompareTo, which work in a similar way as Assign and AssignTo: if Compare doesn't know how to compare the two items, It swaps the items and calls CompareTo.

The Compare method in TJvCustomInspectorRegItem will call the specified items' CompareTo method with itself as a parameter. The result of this call will be negated (because the order of the items was swapped) and returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorRegItem.CompareTo


TJvInspectorTypeInfoMapperRegItem.MatchPercent method

TJvInspectorTypeInfoMapperRegItem	Edit topic

Determines the match percentage for the given data instance.

Pascal

function MatchPercent(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchPercent determines the percentage of matching the registration item to the given data instance. MatchPercent in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value (this usually involves in translating the MatchValue to a percentage).

Created with Doc-O-Matic.


TJvInspectorTypeInfoMapperRegItem.MatchValue method

TJvInspectorTypeInfoMapperRegItem	Edit topic

Determines the match value for the given data instance.

Pascal

function MatchValue(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchValue determines if and how good the registration item matches for the given data instance. MatchValue in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value.

Created with Doc-O-Matic.


TJvInspectorTypeInfoRegItem
JEDI-VCL Reference

TJvInspectorTypeInfoRegItem

Hierarchy	Properties	Methods	 Edit topic

Registration item based on type info

Pascal

TJvInspectorTypeInfoRegItem = class(TJvCustomInspectorRegItem);

File

JvInspector

Description

TJvInspectorTypeInfoRegItem is a registration item that bases its matching value on the type info it represents and the type info in the data object.

The match value is determined as follows:
Situation	Value
Equal RTTI pointers	100
Different RTTI pointers, class type, objects class inherits from the given class.	50
Different RTTI, no class type or not inheriting from class	0

Thus, if the registration item represents the type info for TComponent and the data instance points to TWinControl, the MatchValue will be 50 (ie. not a perfect match).

The match percentage will be equal to the match value in all cases.

Created with Doc-O-Matic.


TJvInspectorTypeInfoRegItem Properties

TJvInspectorTypeInfoRegItem	Legend

Properties

 TypeInfo

TJvCustomInspectorRegItem

 ItemClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorTypeInfoRegItem Methods

TJvInspectorTypeInfoRegItem	Legend

Methods

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


Legend

TJvInspectorTypeInfoRegItem

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorRegItem
        TJvInspectorTypeInfoRegItem


TJvInspectorTypeInfoRegItem Members

TJvInspectorTypeInfoRegItem	Legend

Members

Properties

 TypeInfo

TJvCustomInspectorRegItem

 ItemClass

Methods

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvInspectorTypeInfoRegItem.TypeInfo property

TJvInspectorTypeInfoRegItem	Edit topic

The type info this registration item represents

Pascal

property TypeInfo: PTypeInfo;

Description

TypeInfo indicates the RTTI pointer this registration item is used for. Read TypeInfo to determine which RTTI pointer is matched or set it to another RTTI pointer.

Created with Doc-O-Matic.


TJvInspectorTypeInfoRegItem.Create constructor

TJvInspectorTypeInfoRegItem	Edit topic

Instantiates a registration item

Pascal

constructor Create(const AItemClass: TJvInspectorItemClass; ATypeInfo: PTypeInfo);

Parameters

const AItemClass: TJvInspectorItemClass

Inspector item class to assign to the registration item.

ATypeInfo: PTypeInfo

The RTTI pointer this item should represent.

Description

Create instantiates a registration item and assigns it the inspector item it should use if this item matches a data instance.

Created with Doc-O-Matic.


TJvInspectorTypeInfoRegItem.MatchPercent method

TJvInspectorTypeInfoRegItem	Edit topic

Determines the match percentage for the given data instance.

Pascal

function MatchPercent(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchPercent determines the percentage of matching the registration item to the given data instance. MatchPercent in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value (this usually involves in translating the MatchValue to a percentage).

Created with Doc-O-Matic.


TJvInspectorTypeInfoRegItem.MatchValue method

TJvInspectorTypeInfoRegItem	Edit topic

Determines the match value for the given data instance.

Pascal

function MatchValue(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchValue determines if and how good the registration item matches for the given data instance. MatchValue in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value.

Created with Doc-O-Matic.


TJvInspectorTypeKindRegItem
JEDI-VCL Reference

TJvInspectorTypeKindRegItem

Hierarchy	Properties	Methods	 Edit topic

Registration item based on type kinds

Pascal

TJvInspectorTypeKindRegItem = class(TJvCustomInspectorRegItem);

File

JvInspector

Description

TJvInspectorTypeKindRegItem is a registration item that bases its matching value on the kind of type it represents and the type info in the data object.

The match value is determined as follows:
Situation	Value
Equal type kinds	100
Not equal type kinds	0

Since TypKind is generic, the match percentage will be either 0 or 50%.

Created with Doc-O-Matic.


TJvInspectorTypeKindRegItem Properties

TJvInspectorTypeKindRegItem	Legend

Properties

 TypeKind

TJvCustomInspectorRegItem

 ItemClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorTypeKindRegItem Methods

TJvInspectorTypeKindRegItem	Legend

Methods

 Compare

 CompareTo

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


Legend

TJvInspectorTypeKindRegItem

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorRegItem
        TJvInspectorTypeKindRegItem


TJvInspectorTypeKindRegItem Members

TJvInspectorTypeKindRegItem	Legend

Members

Properties

 TypeKind

TJvCustomInspectorRegItem

 ItemClass

Methods

 Compare

 CompareTo

Create

 MatchPercent

 MatchValue

TJvCustomInspectorRegItem

 ApplyDefaults

 Compare

 CompareTo

Create

 IsMatch

 MatchPercent

 MatchValue

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvInspectorTypeKindRegItem.TypeKind property

TJvInspectorTypeKindRegItem	Edit topic

The type kind this registration item represents

Pascal

property TypeKind: TTypeKind;

Description

TypeKind indicates what sort of type info this registration item is used for. Read TypeKind to determine which type of RTTI is matched or set it to another RTTI type.

Created with Doc-O-Matic.


TJvInspectorTypeKindRegItem.Compare method

TJvInspectorTypeKindRegItem	See Also	Edit topic

Compares the item with another

Pascal

function Compare(const ADataObj: TJvCustomInspectorData; const Item: TJvCustomInspectorRegItem): Integer; override;

Return Value

If the specified item is a better match than this item, the negated match value is returned, otherwise the match value of this item is returned. If the items could not be compared, not the match value will be returned but the match percentages using the same rules as for the match value (ie. a negative number means the specified item is a better match, a positive number means this item is the better match).

Parameters

ADataObj

Data layer instance use for comparison

Item

Registration item to compare with

Description

Compare compares the item with the specified item. The registration item uses two compare methods, Compare and CompareTo, which work in a similar way as Assign and AssignTo: if Compare doesn't know how to compare the two items, It swaps the items and calls CompareTo.

The Compare method in TJvCustomInspectorRegItem will call the specified items' CompareTo method with itself as a parameter. The result of this call will be negated (because the order of the items was swapped) and returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorRegItem.CompareTo


TJvInspectorTypeKindRegItem.CompareTo method

TJvInspectorTypeKindRegItem	See Also	Edit topic

Compares the item to another

Pascal

function CompareTo(const ADataObj: TJvCustomInspectorData; const Item: TJvCustomInspectorRegItem): Integer; override;

Return Value

If the specified Item is a better match than this item, the negated match percentage of that item is returned, otherwise the match percentage of this item is returned.

Parameters

ADataObj

Data layer instance use for comparison

Item

Registration item to compare to

Description

CompareTo compares the item to the specified item. The registration item uses two compare methods, Compare and CompareTo, which work in a similar way as Assign and AssignTo: if Compare doesn't know how to compare the two items, It swaps the items and calls CompareTo.

The CompareTo method in TJvCustomInspectorRegItem will return the match percentage of the one that matched highest.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorRegItem.Compare


TJvInspectorTypeKindRegItem.Create constructor

TJvInspectorTypeKindRegItem	Edit topic

Instantiates a registration item

Pascal

constructor Create(const AItemClass: TJvInspectorItemClass; const ATypeKind: TTypeKind);

Parameters

const AItemClass: TJvInspectorItemClass

Inspector item class to assign to the registration item.

const ATypeKind: TTypeKind

The type of RTTI this item should represent.

Description

Create instantiates a registration item and assigns it the inspector item it should use if this item matches a data instance.

Created with Doc-O-Matic.


TJvInspectorTypeKindRegItem.MatchPercent method

TJvInspectorTypeKindRegItem	Edit topic

Determines the match percentage for the given data instance.

Pascal

function MatchPercent(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchPercent determines the percentage of matching the registration item to the given data instance. MatchPercent in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value (this usually involves in translating the MatchValue to a percentage).

Created with Doc-O-Matic.


TJvInspectorTypeKindRegItem.MatchValue method

TJvInspectorTypeKindRegItem	Edit topic

Determines the match value for the given data instance.

Pascal

function MatchValue(const ADataObj: TJvCustomInspectorData): Integer; override;

Parameters

ADataObj

Data layer instance use for comparison

Description

MatchValue determines if and how good the registration item matches for the given data instance. MatchValue in TJvCustomInspectorRegItem is an abstract method and should be overridden in descendant classes to provide a meaningful value.

Created with Doc-O-Matic.


TJvInspectorVarData
JEDI-VCL Reference

TJvInspectorVarData

Hierarchy	Properties	Methods	Events	 Edit topic

Variable data layer.

Pascal

TJvInspectorVarData = class(TJvCustomInspectorData);

File

JvInspector

Description

TJvInspectorVarData is the inspector data layer that obtains its data from a simple variable or some value on the heap. The class implements all access properties, but the type info will be used to check the legality of the access (ie. a float can't be accessed as Int64).

The data layer provides its own item registration database.

Created with Doc-O-Matic.


TJvInspectorVarData Properties

TJvInspectorVarData	Legend

Properties

Address

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvInspectorVarData Methods

TJvInspectorVarData	Legend

Methods

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 ItemRegister

New

 SetAsSet

 SupportsMethodPointers

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


TJvInspectorVarData Events

TJvInspectorVarData

Events

TJvCustomInspectorData

OnValueChanged

Created with Doc-O-Matic.


Legend

TJvInspectorVarData

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomInspectorData
        TJvInspectorVarData


TJvInspectorVarData Members

TJvInspectorVarData	Legend

Members

Properties

Address

TJvCustomInspectorData

AsFloat

AsInt64

AsMethod

AsOrdinal

AsString

 ItemCount

 Items

Name

TypeInfo

Methods

 GetAsSet

 HasValue

 IsAssigned

 IsEqualReference

 IsInitialized

 ItemRegister

New

 SetAsSet

 SupportsMethodPointers

TJvCustomInspectorData

 CheckReadAccess

 CheckWriteAccess

 DoDataChanged

 DoneEdits

 GetAsSet

 HasValue

 InitEdits

 Invalidate

 InvalidateData

 IsAssigned

 IsEqualReference

 IsInitialized

 IsReadOnlyProperty

 ItemRegister

New

 NewItem

 NotifyRemoveData

 RefreshEdits

 RegisterInstance

 RemoveItem

 SetAsSet

 SupportsMethodPointers

Events

TJvCustomInspectorData

OnValueChanged

Legend

read only

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

read only

virtual

protected

abstract


TJvInspectorVarData.Address property

TJvInspectorVarData	Edit topic

Holds the address of the data.

Pascal

property Address: Pointer;

Description

Address holds the address where the inspected data is. Regardless of how you created the data layer (either specifying an address or a variable), the address is determined by the constructor.

Created with Doc-O-Matic.


TJvInspectorVarData.GetAsSet method

TJvInspectorVarData	Edit topic

Retrieve the data as a set value.

Pascal

procedure GetAsSet(var Buf); override;

Parameters

Buf

A set variable to retrieve the value in

Description

GetAsSet will try to retrieve the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is read CheckReadAccess is called to check read access.

Created with Doc-O-Matic.


TJvInspectorVarData.HasValue method

TJvInspectorVarData	See Also	Edit topic

Determines if the data object actually represents a value.

Pascal

function HasValue: Boolean; override;

Description

HasValue determines if the data object represents a value. This is dependent on the data the object is representing and therefor changes for each data class. If the data object represents a value, HasValue returns True, otherwise False is returned. If HasValue is False, data can not be read or written and the inspector will show (no value).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.IsAssigned, TJvCustomInspectorData.IsInitialized


TJvInspectorVarData.IsAssigned method

TJvInspectorVarData	See Also	Edit topic

Determines if the data object has been assigned a value.

Pascal

function IsAssigned: Boolean; override;

Description

IsAssigned determines if the data object has a value assigned to it. This is dependent on the data the object is representing and therefor changes for each data class. If a value is assigned, IsAssigned returns True, otherwise False is returned. If IsAssigned is False, data can not be read and the inspector will show (unassigned).

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsInitialized


TJvInspectorVarData.IsEqualReference method

TJvInspectorVarData	See Also	Edit topic

Determines if the specified data instance references the same data.

Pascal

function IsEqualReference(const Ref: TJvCustomInspectorData): Boolean; override;

Parameters

Ref

The data instance to check.

Description

IsEqualReference determines if the specified data instance references the same physical data as Self does.

If the specified instance references the same data True will be returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.NotifyRemoveData, TJvCustomInspectorData.RegisterInstance


TJvInspectorVarData.IsInitialized method

TJvInspectorVarData	See Also	Edit topic

Determines if the data object is properly initialized.

Pascal

function IsInitialized: Boolean; override;

Description

IsInitialized determines if the data object has been properly initialized. This is dependent on the data the object is representing and therefor changes for each data class. If the data is properly initialized, IsIntialized returns True, otherwise False is returned. If IsInitialized is False, the data object can not be used and the inspector will show (uninitialized)

Created with Doc-O-Matic.


See Also

TJvCustomInspectorData.HasValue, TJvCustomInspectorData.IsAssigned


TJvInspectorVarData.ItemRegister method

TJvInspectorVarData	Edit topic

ItemRegister returns the item registration database.

Pascal

class function ItemRegister: TJvInspectorRegister; override;

Description

ItemRegister returns the item registration database. Each data class can have its own database but is not required to. The function will return the first registration database it finds within the data class hierarchy.

The root database is located in TJvCustomInspectorData and usually contains items to map specific RTTI pointers or type kinds to an inspector item.

When an item class needs to be determined all item registration databases will be searched until a perfect match is found or until the root database has been searched. Whichever item has scored highest, automatically wins and will determine the actual item class.

Created with Doc-O-Matic.


TJvInspectorVarData.New method

TJvInspectorVarData	Edit topic

Instantiate a data instance and attaches an item to it.

Pascal

class function New(const AParent: TJvCustomInspectorItem; const AName: string; ATypeInfo: PTypeInfo; const AAddress: Pointer): TJvCustomInspectorItem; overload; reintroduce;

Parameters

const AParent: TJvCustomInspectorItem

The parent to which this data should be added.

const AName: string

Default name for the data object

ATypeInfo: PTypeInfo

Default RTTI pointer for the data object

const AAddress: Pointer

The address where the data is located. Alternatively you could use the overloaded version where you can specify a variable.

Description

New instantiates a new data instance with the given parameters. If the data referred to by the given parameters already exists, the item will be attached to that data instance, instead of creating a new data instance.

TJvInspectorVarData implements New to allow you to specify a name, type information and either an address or a variable.

Created with Doc-O-Matic.


TJvInspectorVarData.SetAsSet method

TJvInspectorVarData	Edit topic

Set the data as a set value.

Pascal

procedure SetAsSet(const Buf); override;

Parameters

Buf

The value to set the data to.

Description

SetAsSet will try to change the underlying data as a set value. If the data can not be accessed as a set, an exception will be raised. Before the data is set CheckWriteAccess is called to check write access.

Created with Doc-O-Matic.


TJvInspectorVarData.SupportsMethodPointers method

TJvInspectorVarData	Edit topic

Determines if the data instance supports method pointers.

Pascal

function SupportsMethodPointers: Boolean; override;

Description

SupportsMethodPointers determines if the data instance supports method pointers. Items have to check this value before attempting to access the data instance with the AsMethod property.

If the function returns False the data instance does not support AsMethod directly and the item should access the data instance using the AsString property and convert strings from/to method pointers.

If the function returns True the data instance supports AsMethod directly.

Created with Doc-O-Matic.


TJvInstallLabel
JEDI-VCL Reference

 TJvInstallLabel

Hierarchy	Properties	Methods	Package	 Edit topic

Provides a label component that can display items similar to how installation programs display install progress.

Pascal

TJvInstallLabel = class(TJvGraphicControl);

File

JvInstallLabel

Description

Use TJvInstallLabel when you need a label component that can display items in a list and where each item can be assigned an image and a font style describing its current "state".

Created with Doc-O-Matic.


TJvInstallLabel Properties

TJvInstallLabel	Legend

Properties

 DefaultImage

 ImageOffset

 Images

 Lines

 LineSpacing

Styles

 TextOffset

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvInstallLabel Methods

TJvInstallLabel

Methods

SetExclusive

SetImage

SetStyle

Created with Doc-O-Matic.


Legend

TJvInstallLabel

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvInstallLabel


TJvInstallLabel Members

TJvInstallLabel	Legend

Members

Properties

 DefaultImage

 ImageOffset

 Images

 Lines

 LineSpacing

Styles

 TextOffset

Methods

SetExclusive

SetImage

SetStyle

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Ctrls


TJvInstallLabel.DefaultImage property

TJvInstallLabel	See Also	Edit topic

Specifies the image to use for new items.

Pascal

property DefaultImage: Integer;

Description

Use DefaultImage to set the image to use for items that have not yet explicitly been assigned an ImageIndex. DefaultImage should be set to a value that corresponds to the index of the image in Images. To not display any image for the items, set DefaultImage to -1.

Created with Doc-O-Matic.


See Also

TJvInstallLabel.Images


TJvInstallLabel.ImageOffset property

TJvInstallLabel	See Also	Edit topic

Specifies the amount of space to the left of each item image.

Pascal

property ImageOffset: Integer;

Description

Use ImageOffset to set the number of pixels from the left edge that images are drawn.

Notes

Setting ImageOffset to a high value and TextOffset to a low value might result in images and texts overlapping.

Created with Doc-O-Matic.


See Also

TJvInstallLabel.LineSpacing, TJvInstallLabel.TextOffset


TJvInstallLabel.Images property

TJvInstallLabel	See Also	Edit topic

Lists images available for the items in the label.

Pascal

property Images: TCustomImageList;

Description

Images is a list of bitmaps that can be displayed to the left of any item in the label. Each item can specify an image from this list by using the SetImage routine.

Created with Doc-O-Matic.


See Also

SetImage


TJvInstallLabel.Lines property

TJvInstallLabel	See Also	Edit topic

The text strings that are displayed on the label.

Pascal

property Lines: TStrings;

Description

Lines is of type TStrings and each item in Lines is displayed on a separate line in the label along with an optional image. Use the methods of TStrings (Add, Delete, Assign etc) to change the content of the label.

Created with Doc-O-Matic.


See Also

TStrings


TJvInstallLabel.LineSpacing property

TJvInstallLabel	See Also	Edit topic

Specifies the horizontal distance between text lines in the label.

Pascal

property LineSpacing: Integer;

Description

Use LineSpacing to set the amount of space between the text lines in the label. LineSpacing is expressed in pixels.

Created with Doc-O-Matic.


See Also

TJvInstallLabel.ImageOffset, TJvInstallLabel.Lines, TJvInstallLabel.TextOffset


TJvInstallLabel.Styles property

TJvInstallLabel	See Also	Edit topic

Provides indexed access to the font styles of the items in the label.

Pascal

property Styles [Index: Integer]: TFontStyles;

Description

Use Styles to access the font styles used on individual items in the label. Index must be between 0 and Lines.Count - 1.

Created with Doc-O-Matic.


See Also

SetStyle , SetExclusive , SetImage


TJvInstallLabel.TextOffset property

TJvInstallLabel	See Also	Edit topic

Specifies how far from the left edge the text is displayed on the label.

Pascal

property TextOffset: Integer;

Description

Use TextOffset to set the number of pixels from the left edge items are drawn.

Notes

Setting ImageOffset to a high value and TextOffset to a low value might result in images and texts overlapping.

Created with Doc-O-Matic.


See Also

TJvInstallLabel.ImageOffset, TJvInstallLabel.Lines, TJvInstallLabel.LineSpacing


TJvInstallLabel.SetExclusive method

TJvInstallLabel	See Also	Edit topic

Changes all items back to default setting except for one item.

Pascal

procedure SetExclusive(LineIndex: Integer; ImageIndex: Integer; LineStyle: TFontStyles);

Parameters

LineIndex: Integer

Index of the item to make exclusive.

ImageIndex: Integer

Index of the image to display.

LineStyle: TFontStyles

Font style for the exclusive item.

Description

Use SetExclusive when you want to make an item exclusive in the label. All other items will be reset to the default settings, resetting font style to that of the label and the image to DefaultImage.

Created with Doc-O-Matic.


See Also

SetImage , SetStyle


TJvInstallLabel.SetImage method

TJvInstallLabel	See Also	Edit topic

Changes the image for a single item.

Pascal

procedure SetImage(LineIndex: Integer; ImageIndex: Integer);

Parameters

LineIndex: Integer

Index of the item to change.

ImageIndex: Integer

The new image index for the item.

Description

Call SetImage to change the image displayed to the left of an item.

Created with Doc-O-Matic.


See Also

SetExclusive , SetStyle


TJvInstallLabel.SetStyle method

TJvInstallLabel	See Also	Edit topic

Changes the font style and image for a single item.

Pascal

procedure SetStyle(LineIndex: Integer; ImageIndex: Integer; LineStyle: TFontStyles);

Parameters

LineIndex: Integer

Index of the item to change.

ImageIndex: Integer

The new image index for the item.

LineStyle: TFontStyles

The new font style for the item.

Description

Call SetStyle to change the visual appearance of a single item. All other items are unaffected.

Created with Doc-O-Matic.


See Also

SetImage , SetExclusive


TJvItemsPanel
JEDI-VCL Reference

 TJvItemsPanel

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Displays a list of "buttons" where each button is a string in a string list.

Pascal

TJvItemsPanel = class(TJvCustomPanel, IJvDenySubClassing);

File

JvItemsPanel

Description

TJvItemsPanel is a simple class that can divide its client area into buttons where each button receives a caption as determined by the Items property. If Items contains 6 strings, TJvItemsPanel displays 6 buttons, if Items contains 2 strings, TJvItemsPanel displays 2 buttons etc.

Created with Doc-O-Matic.


TJvItemsPanel Properties

TJvItemsPanel	Legend

Properties

 AutoGrow

 AutoSize

 Clickable

 HotTrack

 HotTrackColor

 ItemHeight

 Items

 Orientation

 ParentBackground

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvItemsPanel Events

TJvItemsPanel	Legend

Events

 OnItemClick

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvItemsPanel Methods

TJvItemsPanel

Methods

GetItemAt

GetItemRect

Created with Doc-O-Matic.


Legend

TJvItemsPanel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel, IJvDenySubClassing
                    TJvItemsPanel


TJvItemsPanel Members

TJvItemsPanel	Legend

Members

Properties

 AutoGrow

 AutoSize

 Clickable

 HotTrack

 HotTrackColor

 ItemHeight

 Items

 Orientation

 ParentBackground

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnItemClick

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

GetItemAt

GetItemRect

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Ctrls


TJvItemsPanel.AutoGrow property

TJvItemsPanel	See Also	Edit topic

Specifies whether the controls size is adjusted to show all buttons.

Pascal

property AutoGrow: Boolean;

Description

Set AutoGrow to true to make the control resize to show all buttons. When AutoGrow is set to true, the following happens:

AutoSize is set to false.

Align is set to alNone.

The Height or Width (depending on the value of Orientation) is set to ItemHeight * Items.Count.

Created with Doc-O-Matic.


See Also

Height, Width


TJvItemsPanel.AutoSize property

TJvItemsPanel	See Also	Edit topic

Specifies how buttons are sized.

Pascal

property AutoSize: Boolean;

Description

Use AutoSize to specify how buttons are sized when the control is sized. If AutoSize is true, buttons are sized so all buttons can be seen in the control. If AutoSize is false, buttons are sized according to the ItemHeight property. If AutoSize is set to true, AutoGrow is set to false.

Created with Doc-O-Matic.


See Also

TJvItemsPanel.AutoGrow, TJvItemsPanel.ItemHeight


TJvItemsPanel.Clickable property

TJvItemsPanel	See Also	Edit topic

Specifies if buttons can be clicked or not.

Pascal

property Clickable: Boolean;

Description

Use Clickable to specify if clicking on a button is allowed or not. If Clickable is true, items behave as buttons and the OnItemClick event is triggered.

Created with Doc-O-Matic.


See Also

TJvItemsPanel.OnItemClick


TJvItemsPanel.HotTrack property

TJvItemsPanel	See Also	Edit topic

Specifies whether items are highlighted when the mouse passes over them.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the color specified by HotTrackColor is used for the frame around the item. When HotTrack is False, there is no visual feedback when the mouse passes over the item.

Created with Doc-O-Matic.


See Also

TJvItemsPanel.HotTrackColor


TJvItemsPanel.HotTrackColor property

TJvItemsPanel	See Also	Edit topic

Specifies the color of the frame around items when the mouse hovers over them.

Pascal

property HotTrackColor: TColor;

Description

Use HotTrackColor to specify a color to use for the frame around an item when the user hovers the mouse over it. HotTrackColor is used only if HotTrack is set to true.

Created with Doc-O-Matic.


See Also

TJvItemsPanel.HotTrack


TJvItemsPanel.ItemHeight property

TJvItemsPanel	See Also	Edit topic

Specifies the size of items in the control.

Pascal

property ItemHeight: Integer;

Description

Use ItemHeight to specify the size of items in the control. ItemHeight is not used if AutoSize is true.

Depending on the value of Orientation, ItemHeight affects either the height (Orientation is opVertical) or the width (Orientation is opHorizontal) of the items.

Created with Doc-O-Matic.


See Also

TJvItemsPanel.AutoGrow, TJvItemsPanel.AutoSize


TJvItemsPanel.Items property

TJvItemsPanel	See Also	Edit topic

Provides indexed access to the items on the control.

Pascal

property Items: TStrings;

Description

Use Items to access the items in the control using an index. Items is of type TStrings and you can use the methods of TStrings to Add, Remove and rearrange items.

Created with Doc-O-Matic.


See Also

TStrings


TJvItemsPanel.OnItemClick event

TJvItemsPanel	See Also	Edit topic

Occur when an item is clicked and Clickable is set to true.

Pascal

TJvPanelItemClickEvent = procedure (Sender: TObject; ItemIndex: Integer) of object;
property OnItemClick: TJvPanelItemClickEvent;

Parameters

ItemIndex

The index of the item that was clicked.

Sender

The object that triggered the event.

Description

Write a handler for the OnItemClick event to take specific action when the user clicks an item in the control.

Created with Doc-O-Matic.


See Also

TJvItemsPanel.Clickable


TJvItemsPanel.Orientation property

TJvItemsPanel	See Also	Edit topic

Specifies the display direction of the items.

Pascal

property Orientation: TJvPanelOrientation;

Description

Use Orientation to specify how the items in the control are displayed. If Orientation is poHorizontal, items are displayed from left to right and ItemHeight refers to the width of the items, if Orientation is poVertical, items are displayed from top to bottom and ItemHeight refers to the height of the items.

Created with Doc-O-Matic.


See Also

TJvItemsPanel.ItemHeight


TJvItemsPanel.ParentBackground property

TJvItemsPanel	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvItemsPanel.GetItemAt method

TJvItemsPanel	Edit topic

Returns the item at the specified position.

Pascal

function GetItemAt(X: Integer; Y: Integer): Integer;

Return Value

Returns the index of the item or -1 if no item was found at the specified location.

Parameters

X: Integer

The X coordinate of the location.

Y: Integer

The Y coordinate of the location.

Description

Call GetItemAt to obtain the index for the item found at the position specified by the X and Y parameters. X and Y specify the coordinates of the position, in pixels, relative to the top left corner of the control. If there is no item at the location, GetItemAt returns -1.

Created with Doc-O-Matic.


TJvItemsPanel.GetItemRect method

TJvItemsPanel	Edit topic

Returns the coordinates for an item.

Pascal

function GetItemRect(Index: Integer): TRect;

Return Value

A TRect in client coordinates that describes the position and size of the specified item.

Parameters

Index: Integer

Index of the item in the list

Description

Call GetItemRect to retrieve a TRect for the item at the specified index.

Created with Doc-O-Matic.


TJvKeyInfo
JEDI-VCL Reference

TJvKeyInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvKeyInfo = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvKeyInfo Properties

TJvKeyInfo	Legend

Properties

 CapsLock

KeyState

 NumLock

 ScrollLock

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvKeyInfo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvKeyInfo


TJvKeyInfo Members

TJvKeyInfo	Legend

Members

Properties

 CapsLock

KeyState

 NumLock

 ScrollLock

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvKeyInfo.CapsLock property

TJvKeyInfo	Edit topic

Not documented

Pascal

property CapsLock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvKeyInfo.KeyState property

TJvKeyInfo	See Also	Edit topic

Provides information about the state of arbitrary keys.

Pascal

property KeyState [const VirtualKey: Cardinal]: Boolean;

Parameters

VirtualKey

The key you want to read or write.

Description

Use KeyState to read or write the current state of a key on the keyboard. If KeyState returns True, the key is pressed. If it returns False, the key is unpressed.

For keys that toggles when pressed, use the CapsLock, ScrollLock and NumLock properties instead.

Created with Doc-O-Matic.


See Also

TJvKeyInfo.CapsLock, TJvKeyInfo.NumLock, TJvKeyInfo.ScrollLock


TJvKeyInfo.NumLock property

TJvKeyInfo	Edit topic

Not documented

Pascal

property NumLock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvKeyInfo.ScrollLock property

TJvKeyInfo	Edit topic

Not documented

Pascal

property ScrollLock: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLabelAppear
JEDI-VCL Reference

TJvLabelAppear

Hierarchy	Properties	 Edit topic

Enables the label to fly onto the form.

Pascal

TJvLabelAppear = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

Use TJvLabelAppear to enable a TJvBehaviorLabel to fly onto the form. The label can be set to appear from the top, right, bottom or left side of the screen. The appearing sequence is handled in a background thread which makes it possible to have multiple labels appearing at the same time.

When the label has appeared, the OnAppeared event is called.

To use TJvLabelAppear capabilities with a TJvBehaviorLabel label, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to 'Appearing'.

Do the following with the properties of property BehaviorOptions:

Use AppearFrom to specify the direction from which the label is to appear.

Set Delay to an interval in milliseconds before the label starts appearing.

Set Interval to an interval in milliseconds between two moves of the label.

Created with Doc-O-Matic.


TJvLabelAppear Properties

TJvLabelAppear	Legend

Properties

 Active

 AppearFrom

 Delay

 Interval

 Pixels

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelAppear

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelAppear


TJvLabelAppear Members

TJvLabelAppear	Legend

Members

Properties

 Active

 AppearFrom

 Delay

 Interval

 Pixels

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelAppear.Active property

TJvLabelAppear	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelAppear.AppearFrom property

TJvLabelAppear	Edit topic

Indicates the direction from which the label is to appear.

Pascal

property AppearFrom: TJvAppearDirection;

Description

AppearFrom indicates the direction from which the label appears on the form. You can specify if the should appear from the left (drFromLeft), the right (drFromRight), the top (drFromTop) or the bottom (drFromBottom) of the form.

Created with Doc-O-Matic.


TJvLabelAppear.Delay property

TJvLabelAppear	See Also	Edit topic

The interval before the label starts appearing.

Pascal

property Delay: Cardinal;

Description

Delay determines the initial delay (in milliseconds) before the label begins to move into view.

Created with Doc-O-Matic.


See Also

TJvLabelAppear.Interval


TJvLabelAppear.Interval property

TJvLabelAppear	Edit topic

The interval between two moves of the label.

Pascal

property Interval: Cardinal;

Description

Interval indicates the delay (in milliseconds) between two stages of appearing.

Interval determines how frequently the scroll event occurs. Each time the specified interval passes, the label text scrolls.

Created with Doc-O-Matic.


TJvLabelAppear.Pixels property

TJvLabelAppear	See Also	Edit topic

Number of pixels to move.

Pascal

property Pixels: Integer;

Description

Pixels indicates the number of pixels to move every interval.

Created with Doc-O-Matic.


See Also

TJvLabelAppear.Interval


TJvLabelBehavior
JEDI-VCL Reference

TJvLabelBehavior

Hierarchy	Properties	 Edit topic

A label component that can exhibit different behaviors.

Pascal

TJvLabelBehavior = class(TPersistent);

File

JvBehaviorLabel

Description

Use TJvLabelBehavior when you need a label that should be able to exhibit different behaviors, like blinking, scrolling or moving in different directions.

Created with Doc-O-Matic.


TJvLabelBehavior Properties

TJvLabelBehavior	Legend

Properties

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelBehavior

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior


TJvLabelBehavior Members

TJvLabelBehavior	Legend

Members

Properties

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelBehavior.Active property

TJvLabelBehavior	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelBehavior.OwnerLabel property

TJvLabelBehavior	Edit topic

Specifies the label the behavior is acting upon.

Pascal

property OwnerLabel: TJvCustomBehaviorLabel;

Description

Use OwnerLabel to get access to the label a specific behavior instance is acting upon.

Created with Doc-O-Matic.


TJvLabelBlink
JEDI-VCL Reference

TJvLabelBlink

Hierarchy	Properties	 Edit topic

Enables the label to blink.

Pascal

TJvLabelBlink = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

TJvLabelBlink enables a TJvBehaviorLabel to blink.

To use TJvLabelBlink capabilities with a TJvBehaviorLabel label, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to 'Blinking'.

Do the following with the properties of property BehaviorOptions:

Set Active to True to to let the label blink.

Set the property Delay (in milliseconds) to determine the time the label is invisible during blinking.

Set the property Interval (in milliseconds) to determine the time the label is visible during blinking.

Created with Doc-O-Matic.


TJvLabelBlink Properties

TJvLabelBlink	Legend

Properties

 Active

 Delay

 Interval

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelBlink

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelBlink


TJvLabelBlink Members

TJvLabelBlink	Legend

Members

Properties

 Active

 Delay

 Interval

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelBlink.Active property

TJvLabelBlink	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelBlink.Delay property

TJvLabelBlink	See Also	Edit topic

Determines the time the label is invisible during blinking.

Pascal

property Delay: Cardinal;

Description

Set Delay to the time (in milliseconds) the label should be invisible during blinking.

Created with Doc-O-Matic.


See Also

Active


TJvLabelBlink.Interval property

TJvLabelBlink	See Also	Edit topic

Determines the time the label is visible during blinking.

Pascal

property Interval: Cardinal;

Description

Set Interval to the time (in milliseconds) the label should be visible during blinking.

Interval determines how frequently the scroll event occurs. Each time the specified interval passes, the label text scrolls.

Created with Doc-O-Matic.


See Also

Active


TJvLabelBounce
JEDI-VCL Reference

TJvLabelBounce

Hierarchy	Properties	 Edit topic

Enables the label to bounce.

Pascal

TJvLabelBounce = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

TJvLabelBounce enables a TJvBehaviorLabel to bounce on the form.

To use TJvLabelBounce capabilities with a TJvBehaviorLabel label, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to 'Bouncing'.

Do the following with the properties of property BehaviorOptions:

Use Interval to specify the amount of time in milliseconds between scroll events.

Use Direction to change the default scroll direction.

Set Active to True at design-time, or set this property at run-time to start the bouncing.

Created with Doc-O-Matic.


TJvLabelBounce Properties

TJvLabelBounce	Legend

Properties

 Active

 Interval

 Pixels

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelBounce

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelBounce


TJvLabelBounce Members

TJvLabelBounce	Legend

Members

Properties

 Active

 Interval

 Pixels

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelBounce.Active property

TJvLabelBounce	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelBounce.Interval property

TJvLabelBounce	See Also	Edit topic

Specifies how often the label is moved.

Pascal

property Interval: Cardinal;

Description

Use Interval to set the number of milliseconds between moves of the label. Interval works in conjunction with Pixels to define how fast and smoothly the label moves.

Created with Doc-O-Matic.


See Also

Pixels


TJvLabelBounce.Pixels property

TJvLabelBounce	See Also	Edit topic

Specifies the number of pixels the label moves at each update.

Pascal

property Pixels: Integer;

Description

Use Pixels to set how far the label moves at each update. The time between updates is controlled by the Interval property. Setting Pixels to a high value will make the label move in larger steps.

Created with Doc-O-Matic.


See Also

TJvLabelBounce.Interval


TJvLabelCodeBreaker
JEDI-VCL Reference

TJvLabelCodeBreaker

Hierarchy	Properties	 See Also	Edit topic

A behavior that simulates breaking a code.

Pascal

TJvLabelCodeBreaker = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

Use the TJvLabelCodeBreaker behavior when you want to simulate breaking a code in the label. To enable this behavior, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to 'CodeBreaker'.

Set the label's Caption to the initial, coded, value.

Do the following with the properties of property BehaviorOptions:

Specify the decoded text by setting DecodedText to a suitable string.

Use Interval to specify the amount of time in milliseconds between character changes.

Created with Doc-O-Matic.


TJvLabelCodeBreaker Properties

TJvLabelCodeBreaker	Legend

Properties

 DecodedText

 Interval

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelCodeBreaker

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelCodeBreaker


TJvLabelCodeBreaker Members

TJvLabelCodeBreaker	Legend

Members

Properties

 DecodedText

 Interval

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


See Also

DecodedText, Interval


TJvLabelCodeBreaker.DecodedText property

TJvLabelCodeBreaker	See Also	Edit topic

Specifies the text that is the decoded text of the decoding.

Pascal

property DecodedText: TCaption;

Description

Use DecodedText to specify the text that the label should contain when the decoding is finished. The behavior will examine each character in the labels Caption one by one and simulate an attempt to find the decoded value. When the character "found" by the behavior matches the character at the corresponding position in DecodedText, the character in the label's Caption is replaced with the decoded character and the behavior moves on to the next character.

The speed of the decoding is controlled by the Interval property.

Created with Doc-O-Matic.


See Also

TJvLabelCodeBreaker.Interval


TJvLabelCodeBreaker.Interval property

TJvLabelCodeBreaker	See Also	Edit topic

Specifies how fast the behavior checks the characters in the label.

Pascal

property Interval: Integer;

Description

Use Interval to set the time between character "decoding" attempts. Interval is expressed in milliseconds. The lower the value of Interval, the faster the decoding will be performed.

Created with Doc-O-Matic.


See Also

TJvLabelCodeBreaker.DecodedText


TJvLabelNone
JEDI-VCL Reference

TJvLabelNone

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvLabelNone = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLabelNone Properties

TJvLabelNone	Legend

Properties

 Active

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelNone

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelNone


TJvLabelNone Members

TJvLabelNone	Legend

Members

Properties

 Active

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelNone.Active property

TJvLabelNone	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelScroll
JEDI-VCL Reference

TJvLabelScroll

Hierarchy	Properties	 Edit topic

Enables the label to scroll its text.

Pascal

TJvLabelScroll = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

TJvLabelScroll enables a TJvBehaviorLabel to scroll its text.

To use TJvLabelScroll capabilities with a TJvBehaviorLabel label, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to 'Scrolling'.

Do the following with the properties of property BehaviorOptions:

Specify the scroll text by setting the property Text.

Use Interval to specify the amount of time in milliseconds between scroll events.

Use Direction to change the default scroll direction.

Set Active to True at design-time, or set this property at run-time to start the scrolling.

Created with Doc-O-Matic.


TJvLabelScroll Properties

TJvLabelScroll	Legend

Properties

 Active

 Direction

 Interval

 Padding

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelScroll

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelScroll


TJvLabelScroll Members

TJvLabelScroll	Legend

Members

Properties

 Active

 Direction

 Interval

 Padding

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelScroll.Active property

TJvLabelScroll	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelScroll.Direction property

TJvLabelScroll	See Also	Edit topic

Indicates the scroll direction for the text.

Pascal

property Direction: TJvLabelScrollDirection;

Description

Set Direction to indicate the scroll direction for the text. The direction can be: left to right or right to left.

The default value of Direction is sdLeftToRight.

Created with Doc-O-Matic.


See Also

TJvLabelBehavior.Active, TJvLabelScroll.Padding


TJvLabelScroll.Interval property

TJvLabelScroll	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the label text is scrolled.

Pascal

property Interval: Cardinal;

Description

Interval determines how frequently the scroll event occurs. Each time the specified interval passes, the label text scrolls.

Created with Doc-O-Matic.


See Also

TJvLabelBehavior.Active


TJvLabelScroll.Padding property

TJvLabelScroll	See Also	Edit topic

Indicates whether the text scrolls over the full width of the label.

Pascal

property Padding: Boolean;

Description

Set Padding to false to scroll the text over the width of the scroll text (Caption) only. Set Padding to true to scroll the text over the full width of the label, this is implemented such that the text is right-padded with spaces

Created with Doc-O-Matic.


See Also

TJvLabelBehavior.Active, TJvLabelScroll.Direction


TJvLabelSpecial
JEDI-VCL Reference

TJvLabelSpecial

Hierarchy	Properties	 Edit topic

Enables the label to displays a small animation for each letter.

Pascal

TJvLabelSpecial = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

Use TJvLabelSpecial to show a label that displays a small animation for each letter. Initially the label is empty, then the first letter changes until it is set to the correct letter; then the second letter changes, and so on, until the last letter from the caption is set, and the label text is equal to the string specified by Text.

To use TJvLabelSpecial capabilities with a TJvBehaviorLabel label, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to 'Special'.

Do the following with the properties of property BehaviorOptions:

Set property Text at runtime to start the animation.

Use Interval to specify the interval between animation events.

Set Active to True at design-time, or set this property at run-time to start the effect.

Created with Doc-O-Matic.


TJvLabelSpecial Properties

TJvLabelSpecial	Legend

Properties

 Active

 Interval

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelSpecial

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelSpecial


TJvLabelSpecial Members

TJvLabelSpecial	Legend

Members

Properties

 Active

 Interval

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelSpecial.Active property

TJvLabelSpecial	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelSpecial.Interval property

TJvLabelSpecial	Edit topic

Determines the amount of time, in milliseconds, that passes between animation events.

Pascal

property Interval: Cardinal;

Description

Interval determines how frequently the animation event occurs. Each time the specified interval passes, the last letter of the visible text is changed in the caption.

Use Interval to specify any cardinal value as the interval between animation events. The default value is 20 (1/50 second).

Created with Doc-O-Matic.


TJvLabelTyping
JEDI-VCL Reference

TJvLabelTyping

Hierarchy	Properties	 Edit topic

Behavior that types the characters in the label letter by letter.

Pascal

TJvLabelTyping = class(TJvLabelBehavior);

File

JvBehaviorLabel

Description

TJvLabelTyping types the characters in the label letter by letter, simulating the typing of a human being.

To use TJvLabelTyping capabilities with a TJvBehaviorLabel label, do the following:

Drop a TJvBehaviorLabel on a form.

Set Behavior to 'Typing'.

Do the following with the properties of property BehaviorOptions:

Specify the scroll text by setting the property Text.

Use Interval to specify the amount of time in milliseconds between scroll events.

Use Direction to change the default scroll direction.

Set Active to True at design-time, or set this property at run-time to start the effect.

Created with Doc-O-Matic.


TJvLabelTyping Properties

TJvLabelTyping	Legend

Properties

 Active

 Interval

 MakeErrors

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLabelTyping

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvLabelBehavior
        TJvLabelTyping


TJvLabelTyping Members

TJvLabelTyping	Legend

Members

Properties

 Active

 Interval

 MakeErrors

TJvLabelBehavior

 Active

 OwnerLabel

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLabelTyping.Active property

TJvLabelTyping	Edit topic

Indicates whether the specific behavior of the label is active.

Pascal

property Active: Boolean;

Description

Set Active to true to start the specific effect. Set Active to false to interrupt the specific effect.

Created with Doc-O-Matic.


TJvLabelTyping.Interval property

TJvLabelTyping	Edit topic

Determines the amount of time, in milliseconds, that passes before the label text is scrolled.

Pascal

property Interval: Cardinal;

Description

Interval determines how frequently the scroll event occurs. Each time the specified interval passes, the label text scrolls.

Created with Doc-O-Matic.


TJvLabelTyping.MakeErrors property

TJvLabelTyping	Edit topic

Specifies if the behavior should make random errors.

Pascal

property MakeErrors: Boolean;

Description

Use MakeErrors to specify whether the behavior should make occasional errors while typing or not. Setting MakeErrors to true makes the behavior more "human-like".

Created with Doc-O-Matic.


TJvLED
JEDI-VCL Reference

 TJvLED

Hierarchy	Properties	Package	 Edit topic

Component that displays a LED in any color.

Pascal

TJvLED = class(TJvCustomLED);

File

JvLED

Description

The TJvLED component represents a LED.

The LED component has the following capabilities:

Display the LED in any color.

Emulates a reflective highlight.

Has separate on and off colors.

Can automatically blink with a specified interval.

Created with Doc-O-Matic.


TJvLED Properties

TJvLED	Legend

Properties

 Active

 ColorOff

 ColorOn

 Interval

 Status

TJvCustomLED

 Active

 Color

 ColorOff

 ColorOn

 Interval

 Status

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvLED

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomLED
            TJvLED


TJvLED Members

TJvLED	Legend

Members

Properties

 Active

 ColorOff

 ColorOn

 Interval

 Status

TJvCustomLED

 Active

 Color

 ColorOff

 ColorOn

 Interval

 Status

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

HMI


TJvLED.Active property

TJvLED	Edit topic

Determines if blinking is enabled.

Pascal

property Active: Boolean;

Description

Active determines if blinking is enabled. Read Active to determine if blinking is enabled or set Active to enable or disable blinking.

If Active is True, blinking is enabled.

If Active is False, blinking is not enabled.

Blinking will toggle the Status property at every Interval.

Created with Doc-O-Matic.


TJvLED.ColorOff property

TJvLED	Edit topic

Color of the LED when it's dimmed.

Pascal

property ColorOff: TColor;

Description

ColorOff determines the color of the LED when Status is False.

Created with Doc-O-Matic.


TJvLED.ColorOn property

TJvLED	Edit topic

Color of the LED when it's lit.

Pascal

property ColorOn: TColor;

Description

ColorOn determines the color of the LED when Status is True.

Created with Doc-O-Matic.


TJvLED.Interval property

TJvLED	Edit topic

Blinking interval.

Pascal

property Interval: Cardinal;

Description

Interval specifies the time in milliseconds between toggling the Status property. Interval is only used when Active is True (and blinking is on).

Created with Doc-O-Matic.


TJvLED.Status property

TJvLED	Edit topic

Status of the LED.

Pascal

property Status: Boolean;

Description

Status determines if the LED is on or off. Read Status to retrieve the current status or set it to a new value.

If Status is set to True, the LED is on and rendered in the color specified by ColorOn.

If Status is set to False, the LED is off and rendered in the color specified by ColorOff.

If blinking is enabled (Active = True), Status will be toggled every Interval milliseconds.

Created with Doc-O-Matic.


TJvLinkedControl
JEDI-VCL Reference

TJvLinkedControl

Hierarchy	Properties	 Edit topic

An item in a TJvLinkedControls collection.

Pascal

TJvLinkedControl = class(TCollectionItem);

File

JvLinkedControls

Description

TJvLinkedControl is the type of the Items property of TJvLinkedControls. It has properties that specifies which control it is linked to and options for how the control should be managed.

Created with Doc-O-Matic.


TJvLinkedControl Properties

TJvLinkedControl	Legend

Properties

 Control

 Options

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvLinkedControl

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvLinkedControl


TJvLinkedControl Members

TJvLinkedControl	Legend

Members

Properties

 Control

 Options

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvLinkedControl.Control property

TJvLinkedControl	Edit topic

Specifies the control this item is linked to.

Pascal

property Control: TControl;

Description

Set Control to a TControl or descendant on the form that you want to link.

Created with Doc-O-Matic.


TJvLinkedControl.Options property

TJvLinkedControl	Edit topic

Specifies how the linked control is affected by changes to the owning control.

Pascal

property Options: TJvLinkedControlsOptions;

Description

Use options to specify how Control is modified when the owning control's enabled and/Or checked state changes.

Created with Doc-O-Matic.


TJvLinkedControls
JEDI-VCL Reference

TJvLinkedControls

Hierarchy	Properties	 Edit topic

Maintains a list of linked controls.

Pascal

TJvLinkedControls = class(TOwnedCollection);

File

JvLinkedControls

Description

TJvLinkedControls is used as a support class for controls that want to modify the Enabled state of other controls when its own properties changes. TJvLinkedControls cannot be used by itself: it must be associated with an owning control.

To add support for TJvLinkedControls to a control, you should:

Declare a published property of type TJvLinkedControls

Create the TJvLinkedControls instance in the constructor and set the AControl parameter of TJvLinkedControls.Create to self.

Destroy the TJvLinkedControls instance in the destructor.

Override the control's Notification procedure and call TJvLinkedControls.Notification.

Implement a method that iterates the list of linked controls when the Enabled state of the linked controls needs to be checked or changed.

For examples of controls using TJvLinkedControls, see TJvCheckBox and TJvRadioButton.

Created with Doc-O-Matic.


TJvLinkedControls Properties

TJvLinkedControls	Legend

Properties

 RestoreEnabled

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvLinkedControls

Legend

published

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvLinkedControls


TJvLinkedControls Members

TJvLinkedControls	Legend

Members

Properties

 RestoreEnabled

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvLinkedControls.RestoreEnabled property

TJvLinkedControls	Edit topic

Specifies whether the enabled state of linked controls are restored when the linked control is removed or replaced.

Pascal

property RestoreEnabled: Boolean;

Description

Use RestoreEnabled to specify whether the Enabled state of linked controls is restored when the linked Control is removed from the list or replaced by another Control. When RestoreEnabled is true, the Enabled state is set to the same value as it was at the time the control was assigned. If false, the control's current Enabled state is left untouched.

Created with Doc-O-Matic.


TJvListBox
JEDI-VCL Reference

 TJvListBox

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Not documented

Pascal

TJvListBox = class(TJvCustomListBox);

File

JvListBox

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListBox Properties

TJvListBox	Legend

Properties

 Alignment

 Background

 DisabledTextColor

 HintColor

 HotTrack

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvListBox Events

TJvListBox	Legend

Events

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSelectCancel

 OnVerticalScroll

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvListBox Methods

TJvListBox	Legend

Methods

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvListBox

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvCustomListBox
                TJvListBox


TJvListBox Members

TJvListBox	Legend

Members

Properties

 Alignment

 Background

 DisabledTextColor

 HintColor

 HotTrack

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvCustomListBox

 Alignment

 Background

 ConsumerStrings

 DisabledTextColor

 DragImages

 DragIndex

 HotTrack

 LimitToClientWidth

 MaxWidth

 MultiLine

 Provider

 ScrollBars

 SelectedColor

 SelectedTextColor

 ShowFocusRect

 Sorted

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSelectCancel

 OnVerticalScroll

TJvCustomListBox

 OnAddString

 OnChange

 OnDeleteString

 OnGetText

 OnHorizontalScroll

 OnSelectCancel

 OnVerticalScroll

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomListBox

CreateDragImage

 DefaultDragDrop

 DefaultDragOver

 DefaultDrawItem

 DefaultStartDrag

DeleteAllButSelected

DeleteExactString

InvertSelection

ItemRect

 ItemsShowing

MeasureProviderItem

MeasureString

 MoveSelectedDown

 MoveSelectedUp

SearchExactString

SearchPrefix

SearchSubString

UnselectAll

UpdateHorizontalExtent

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvListBox.Alignment property

TJvListBox	Edit topic

Determines how the text is aligned within the list box control.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to change the way the text is aligned within the list box control. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the list box control.
taCenter	Center the text in the list box control.
taRightJustify	Align text on the right side in the list box control.
Created with Doc-O-Matic.


TJvListBox.Background property

TJvListBox	See Also	Edit topic

Specifies the bitmap and fill mode to use for the background of the list box.

Pascal

property Background: TJvListBoxBackground;

Description

Use Background to specify the bitmap, fill mode used as background for the list box, and whether the bitmap should actually be drawn.

Created with Doc-O-Matic.


See Also

TJvListBoxBackground.FillMode, TJvListBoxBackground.Image, TJvListBoxBackground.Visible


TJvListBox.DisabledTextColor property

TJvListBox	Edit topic

Specifies the color of the text when the control isn't enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control isn't enabled. If DisabledTextColor is set to a dithered color, the text appears in the closest non-dithered value.

Set Enabled to False to disable the control.

Created with Doc-O-Matic.


TJvListBox.HintColor property

TJvListBox	Edit topic

Determines the color of the hint boxes for the Help Hints for the list box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvListBox.HotTrack property

TJvListBox	Edit topic

Specifies whether the list box is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the list box text. When HotTrack is False, there is no visual feedback when the mouse passes over the list box.

Created with Doc-O-Matic.


TJvListBox.MultiLine property

TJvListBox	See Also	Edit topic

Determines whether the list box items can appear on more than one row.

Pascal

property MultiLine: Boolean;

Description

Use MultiLine to determine how the list box items are displayed. If MultiLine is True, an item is displayed on more than one row if that item contains a carriage return (#13) symbol. If ScrollBars is set to ssNone or ssVertical then the lines are wrapped if they are longer than the client width of the list box.

If MultiLine is False, the items are displayed on one row only.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.ScrollBars


TJvListBox.OnAddString event

TJvListBox	See Also	Edit topic

Occurs when a new string is added.

Pascal

property OnAddString: TJvListboxChange;

Description

Write an OnAddString event handler to respond when a new string is added to the list box.

Parameter Item indicates the string that has been added.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnChange, TJvCustomListBox.OnDeleteString


TJvListBox.OnChange event

TJvListBox	See Also	Edit topic

Occurs when a new string is added or a string in the list box is deleted.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to respond when a new string is added to the list box or when a string is deleted from the list box.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnAddString, TJvCustomListBox.OnDeleteString


TJvListBox.OnDeleteString event

TJvListBox	See Also	Edit topic

Occurs when a string in the list box is deleted.

Pascal

property OnDeleteString: TJvListboxChange;

Description

Write an OnDeleteString event handler to respond when a string is deleted from the list box.

Parameter Item indicates the string that has been deleted.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnAddString, TJvCustomListBox.OnChange


TJvListBox.OnGetText event

TJvListBox	Edit topic

Not documented

Pascal

property OnGetText: TJvListBoxDataEvent;

Parameters

Sender

Not documented

Index

Not documented

Text

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListBox.OnHorizontalScroll event

TJvListBox	See Also	Edit topic

Occurs when the user scrolls the horizontal scroll bar with the mouse or keyboard.

Pascal

property OnHorizontalScroll: TJvScrollEvent;

Description

Write an OnHorizontalScroll event handler to respond when the user scrolls the horizontal scroll bar. Set parameter DontScroll to False to prevent the list box's horizontal scroll bar to scroll in response of this event. Set DontScroll to True to allow the list box's horizontal scroll bar to scroll.

Use parameter Msg to determine whether to set DontScroll to True or False.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnVerticalScroll


TJvListBox.OnMouseEnter event

TJvListBox	See Also	Edit topic

Occurs when the mouse pointer moves over the list box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the list box.

Created with Doc-O-Matic.


See Also

TJvExCustomListBox.OnMouseLeave


TJvListBox.OnMouseLeave event

TJvListBox	See Also	Edit topic

Occurs when the mouse pointer moves off the list box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the list box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomListBox.OnMouseEnter


TJvListBox.OnParentColorChange event

TJvListBox	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvListBox.OnSelectCancel event

TJvListBox	Edit topic

Occurs when the selection in the list box is canceled.

Pascal

property OnSelectCancel: TNotifyEvent;

Description

Write an OnSelectCancel event handler to respond when the selection in the list box is canceled. For example, if you change property MultiSelect or Sorted, the list box cancels the selection in the list box, and triggers an OnSelectCancel event.

Created with Doc-O-Matic.


TJvListBox.OnVerticalScroll event

TJvListBox	See Also	Edit topic

Occurs when the user scrolls the vertical scroll bar with the mouse or keyboard.

Pascal

property OnVerticalScroll: TJvScrollEvent;

Description

Write an OnVerticalScroll event handler to respond when the user scrolls the vertical scroll bar. Set parameter DontScroll to False to prevent the list box's vertical scroll bar to scroll in response of this event. Set DontScroll to True to allow the list box's vertical scroll bar to scroll.

Use parameter Msg to determine whether to set DontScroll to True or False.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnHorizontalScroll


TJvListBox.Provider property

TJvListBox	See Also	Edit topic

Used to select a provider as the control's source of data.

Pascal

property Provider: TJvDataConsumer;

Description

The Provider property is used to link a data provider to the control.

Although you can select a provider directly in the Object Inspector, in code you should use the methods and/or properties provided by the consumer service the Provider property actually refers to.

If the selected provider (in combination with the attributes that apply for control) generates consumer services extensions (such as the IJvDataConsumerViewList but also provider specific settings for the control), any published properties for those will be added as sub properties of the Provider property in the Object Inspector. In code you should query for the extensions interface:

  if Supports(Provider as IJvDataConsumer, <interface GUID or type>, <variable>) then

  begin

    ...

  end;

or:

  if Provider.GetInterface(<interface GUID or type>, <variable>) then

  begin

    ...

  end;

You should first declare a variable of the type of interface you will request. Within the begin/end block you can then use that variable which will contain a reference to the interface requested.

When a provider has been selected, the Items property will retain its list of strings. Once you manipulate them (i.e. add or delete strings) the provider will be deselected automatically. Note that the Items property is also manipulated when you use DeleteExactString. You can read the Items property without the provider being deselected.

Besides the Items property, you can also use the ItemsShowing method to retrieve a reference to either the normal Items (if no provider is selected) or a dummy list that references the provider items.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.ItemsShowing


TJvListBox.ScrollBars property

TJvListBox	See Also	Edit topic

Determines whether the list box control has scroll bars.

Pascal

property ScrollBars: TScrollStyle;

Description

Use ScrollBars to give a list box control horizontal or vertical scroll bars. ScrollBars can take one of the following values:
Value	Meaning
ssNone	The control has no scroll bars. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssHorizontal	The control may have a single scroll bar on the bottom edge.
ssVertical	The control has a single scroll bar on the right edge. If MultiLine is set to True, the items are wrapped if they are longer than the client width of the list box.
ssBoth	The control may have a scroll bar on both the bottom and right edges.
Created with Doc-O-Matic.


See Also

TJvCustomListBox.MultiLine


TJvListBox.SelectedColor property

TJvListBox	See Also	Edit topic

Background color for selected items.

Pascal

property SelectedColor: TColor;

Description

SelectedColor indicates the background color for selected items. Read SelectedColor to find out which color is used as a background when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.SelectedTextColor, TJvCustomListBox.ShowFocusRect


TJvListBox.SelectedTextColor property

TJvListBox	See Also	Edit topic

Font color for selected items.

Pascal

property SelectedTextColor: TColor;

Description

SelectedTextColor indicates the font color for selected items. Read SelectedTextColor to find out which color is used for the font when an item is selected or set it to another value to change it.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.SelectedColor, TJvCustomListBox.ShowFocusRect


TJvListBox.ShowFocusRect property

TJvListBox	See Also	Edit topic

Indicates whether to draw a focus rectangle around the current item in the list box when it has input focus.

Pascal

property ShowFocusRect: Boolean;

Description

Set ShowFocusRect to True to have TJvCustomListBox draw a focus rectangle around the item when it has input focus. Set ShowFocusRect to False when providing visual feedback of focus in some other manner.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.SelectedColor, TJvCustomListBox.SelectedTextColor


TJvListBox.Sorted property

TJvListBox	Edit topic

Not documented

Pascal

property Sorted: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListBoxBackground
JEDI-VCL Reference

TJvListBoxBackground

Hierarchy	Properties	Events	 See Also	Edit topic

Contains data for drawing a list box's background.

Pascal

TJvListBoxBackground = class(TPersistent);

File

JvListBox

Description

TJvListBoxBackground is used in the Background property of TJvCustomListBox and its descendants. It specifies the bitmap and fill mode to use for drawing the list box's background.

Created with Doc-O-Matic.


TJvListBoxBackground Properties

TJvListBoxBackground	Legend

Properties

 DoDraw

 FillMode

 Image

 Visible

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvListBoxBackground Events

TJvListBoxBackground	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvListBoxBackground

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvListBoxBackground


TJvListBoxBackground Members

TJvListBoxBackground	Legend

Members

Properties

 DoDraw

 FillMode

 Image

 Visible

Events

 OnChange

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

FillMode, Image, Visible


TJvListBoxBackground.DoDraw property

TJvListBoxBackground	Edit topic

Not documented

Pascal

property DoDraw: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListBoxBackground.FillMode property

TJvListBoxBackground	See Also	Edit topic

Specifies how the bitmap, which is stored in Image, is drawn into the background.

Pascal

property FillMode: TJvListboxFillMode;

Description

Assign one of the values of FillMode to change the appearance of the background.

Notes

Set Visible to True to display the image.

Created with Doc-O-Matic.


See Also

TJvListBoxBackground.Image, TJvListBoxBackground.Visible


TJvListBoxBackground.Image property

TJvListBoxBackground	See Also	Edit topic

Contains a bitmap, which is drawn into the background of the list box.

Pascal

property Image: TBitmap;

Description

Assign a TBitmap to be drawn into the background. Specify FillMode to change the appearance of the background.

Notes

Set Visible to True to display the image.

Created with Doc-O-Matic.


See Also

TJvListBoxBackground.FillMode, TJvListBoxBackground.Visible


TJvListBoxBackground.OnChange event

TJvListBoxBackground	Edit topic

Occurs when one of the properties of the object changes.

Pascal

property OnChange: TNotifyEvent;

Description

TJvCustomListBox assigns an event handler to OnChange to respond when one of the properties of the TJvListBoxBackground changes.

Created with Doc-O-Matic.


TJvListBoxBackground.Visible property

TJvListBoxBackground	See Also	Edit topic

Specifies whether the bitmap is drawn as background for the list box.

Pascal

property Visible: Boolean;

Description

Use property Visible to specify whether the bitmap specified by property Bitmap is drawn as background for the list box.

Created with Doc-O-Matic.


See Also

TJvListBoxBackground.Image


TJvListExtendedColumn
JEDI-VCL Reference

TJvListExtendedColumn

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvListExtendedColumn = class(TCollectionItem);

File

JvListView

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListExtendedColumn Properties

TJvListExtendedColumn	Legend

Properties

 SortMethod

 UseParentSortMethod

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvListExtendedColumn

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvListExtendedColumn


TJvListExtendedColumn Members

TJvListExtendedColumn	Legend

Members

Properties

 SortMethod

 UseParentSortMethod

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvListExtendedColumn.SortMethod property

TJvListExtendedColumn	Edit topic

Not documented

Pascal

property SortMethod: TJvSortMethod;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListExtendedColumn.UseParentSortMethod property

TJvListExtendedColumn	Edit topic

Not documented

Pascal

property UseParentSortMethod: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListExtendedColumns
JEDI-VCL Reference

TJvListExtendedColumns

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvListExtendedColumns = class(TOwnedCollection);

File

JvListView

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListExtendedColumns Properties

TJvListExtendedColumns

Properties

Items

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvListExtendedColumns


TJvListExtendedColumns Members

TJvListExtendedColumns

Members

Properties

Items

Created with Doc-O-Matic.


TJvListExtendedColumns.Items property

TJvListExtendedColumns	Edit topic

Not documented

Pascal

property Items [Index: Integer]: TJvListExtendedColumn;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItem
JEDI-VCL Reference

TJvListItem

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvListItem = class(TListItem);

File

JvListView

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItem Properties

TJvListItem	Legend

Properties

 Brush

 Font

PopupMenu

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvListItem Methods

TJvListItem

Methods

CreateEnh

Created with Doc-O-Matic.


Legend

TJvListItem

Legend

published

Created with Doc-O-Matic.


Hierarchy

TListItem
    TJvListItem


TJvListItem Members

TJvListItem	Legend

Members

Properties

 Brush

 Font

PopupMenu

Methods

CreateEnh

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvListItem.Brush property

TJvListItem	Edit topic

Not documented

Pascal

property Brush: TBrush;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItem.Font property

TJvListItem	Edit topic

Not documented

Pascal

property Font: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItem.PopupMenu property

TJvListItem	Edit topic

Not documented

Pascal

property PopupMenu: TPopupMenu;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItem.CreateEnh constructor

TJvListItem	Edit topic

Not documented

Pascal

constructor CreateEnh(AOwner: TListItems; const Popup: TPopupMenu);

Parameters

AOwner: TListItems

Not documented

const Popup: TPopupMenu

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItems
JEDI-VCL Reference

TJvListItems

Hierarchy	Methods	 Edit topic

Not documented

Pascal

TJvListItems = class(TListItems, IJvAppStorageHandler, IJvAppStoragePublishedProps);

File

JvListView

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItems Methods

TJvListItems	Legend

Methods

 QueryInterface

 ReadFromAppStorage

 WriteToAppStorage

IJvAppStorageHandler

ReadFromAppStorage

WriteToAppStorage

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvListItems

Legend

virtual

protected

Created with Doc-O-Matic.


Hierarchy

TListItems, IJvAppStorageHandler, IJvAppStoragePublishedProps
            TJvListItems


TJvListItems Members

TJvListItems	Legend

Members

Methods

 QueryInterface

 ReadFromAppStorage

 WriteToAppStorage

IJvAppStorageHandler

ReadFromAppStorage

WriteToAppStorage

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


TJvListItems.QueryInterface method

TJvListItems	Edit topic

Not documented

Pascal

function QueryInterface(const IID: TGUID; out Obj): HRESULT; virtual; stdcall;

Parameters

const IID: TGUID

Not documented

out Obj

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListItems.ReadFromAppStorage method

TJvListItems	Edit topic

Reads object properties/settings from the AppStorage Backend

Pascal

procedure ReadFromAppStorage(AppStorage: TJvCustomAppStorage; const BasePath: string);

Parameters

AppStorage

AppStorage Instances

BasePath

Path were the settings were stored.

Description

Reads object properties/settings from the AppStorage Backend

Created with Doc-O-Matic.


TJvListItems.WriteToAppStorage method

TJvListItems	Edit topic

Writes object properties/settings to the AppStorage Backend

Pascal

procedure WriteToAppStorage(AppStorage: TJvCustomAppStorage; const BasePath: string);

Parameters

AppStorage

AppStorage Instances

BasePath

Path were the settings had to be stored.

Description

Writes object properties/settings to the AppStorage Backend

Created with Doc-O-Matic.


TJvListView
JEDI-VCL Reference

 TJvListView

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Enhanced list view component.

Pascal

TJvListView = class(TJvExListView);

File

JvListView

Description

Use TJvListView when you need a list view in your application and can benefit from the extended capability of the JVCL implementation.

Created with Doc-O-Matic.


TJvListView Properties

TJvListView	Legend

Properties

 AutoClipboardCopy

 AutoSelect

 ColumnsOrder

 ExtendedColumns

 HeaderImages

 HintColor

ItemPopup

 Picture

 SmallImages

 SortMethod

 SortOnClick

 ViewStylesItemBrush

TJvExListView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

write only

protected

Created with Doc-O-Matic.


Legend

published

write only

protected


TJvListView Events

TJvListView	Legend

Events

 OnAutoSort

 OnHorizontalScroll

 OnLoadProgress

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSaveProgress

 OnVerticalScroll

TJvExListView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvListView Methods

TJvListView

Methods

InvertSelection

LoadFromCSV

LoadFromFile

LoadFromStream

LoadFromStrings

MoveDown

MoveUp

SaveToCSV

SaveToFile

SaveToStream

SaveToStrings

SelectNextItem

SelectPrevItem

SetSmallImages

UnselectAll

Created with Doc-O-Matic.


Legend

TJvListView

Legend

published

write only

protected

Created with Doc-O-Matic.


Hierarchy

TListView, IJvExControl
        TJvExListView
            TJvListView


TJvListView Members

TJvListView	Legend

Members

Properties

 AutoClipboardCopy

 AutoSelect

 ColumnsOrder

 ExtendedColumns

 HeaderImages

 HintColor

ItemPopup

 Picture

 SmallImages

 SortMethod

 SortOnClick

 ViewStylesItemBrush

TJvExListView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnAutoSort

 OnHorizontalScroll

 OnLoadProgress

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSaveProgress

 OnVerticalScroll

TJvExListView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

InvertSelection

LoadFromCSV

LoadFromFile

LoadFromStream

LoadFromStrings

MoveDown

MoveUp

SaveToCSV

SaveToFile

SaveToStream

SaveToStrings

SelectNextItem

SelectPrevItem

SetSmallImages

UnselectAll

Legend

published

write only

protected

Created with Doc-O-Matic.


Legend

published

write only

protected


Package

StdCtrls


TJvListView.AutoClipboardCopy property

TJvListView	Edit topic

Indicates whether the current selected item is automatically copied to the clipboard when the user copies.

Pascal

property AutoClipboardCopy: Boolean;

Description

Set AutoClipboardCopy to true to have the selected item automatically copied to the clipboard when the user presses the default copy shortcut (Ctrl+C).

Created with Doc-O-Matic.


TJvListView.AutoSelect property

TJvListView	Edit topic

Specifies whether the control automatically selects the first item in the list.

Pascal

property AutoSelect: Boolean;

Description

Set AutoSelect to true to have the list view automatically select the first item in the list when the list gains focus and no item is previously is selected.

Created with Doc-O-Matic.


TJvListView.ColumnsOrder property

TJvListView	Edit topic

Specifies the column order as a string.

Pascal

property ColumnsOrder: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.ExtendedColumns property

TJvListView	Edit topic

Not documented

Pascal

property ExtendedColumns: TJvListExtendedColumns;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.HeaderImages property

TJvListView	Edit topic

Sets the images used for headers.

Pascal

property HeaderImages: TCustomImageList;

Description

Assign an existing TImageList to this property to specify the images to draw on the column headers. You also need to set the ImageIndex of individual column headers to display the images.

Notes

Due to a limitation of the header control its height is fixed. Always use images that fit within the fixed height of the header.

Created with Doc-O-Matic.


TJvListView.HintColor property

TJvListView	Edit topic

Determines the color of the hint boxes for the Help Hints for the list view control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvListView.ItemPopup property

TJvListView	Edit topic

Provides access to each nodes popup menu.

Pascal

property ItemPopup [Item: TListItem]: TPopupMenu;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.OnAutoSort event

TJvListView	Edit topic

Occurs when the list is sorted due to a header click.

Pascal

property OnAutoSort: TJvListViewColumnSortEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.OnHorizontalScroll event

TJvListView	Edit topic

Occurs when the control is scrolled horizontally.

Pascal

property OnHorizontalScroll: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.OnLoadProgress event

TJvListView	Edit topic

Occurs when a load is in progress.

Pascal

property OnLoadProgress: TJvOnProgress;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.OnMouseEnter event

TJvListView	See Also	Edit topic

Occurs when the mouse pointer moves over the list view control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the list view control.

Created with Doc-O-Matic.


See Also

TJvExListView.OnMouseLeave


TJvListView.OnMouseLeave event

TJvListView	See Also	Edit topic

Occurs when the mouse pointer moves off the list view control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the list view control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExListView.OnMouseEnter


TJvListView.OnParentColorChange event

TJvListView	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvListView.OnSaveProgress event

TJvListView	Edit topic

Occurs when a save is in progress.

Pascal

property OnSaveProgress: TJvOnProgress;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.OnVerticalScroll event

TJvListView	Edit topic

Occurs when the control is scrolled vertically.

Pascal

property OnVerticalScroll: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.Picture property

TJvListView	Edit topic

Not documented

Pascal

property Picture: TPicture;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.SmallImages property

TJvListView	Edit topic

Not documented

Pascal

property SmallImages;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.SortMethod property

TJvListView	Edit topic

Specifies the sort method to use.

Pascal

property SortMethod: TJvSortMethod;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.SortOnClick property

TJvListView	Edit topic

Specifies whether clicking on a header column sorts the list.

Pascal

property SortOnClick: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.ViewStylesItemBrush property

TJvListView	Edit topic

Not documented

Pascal

property ViewStylesItemBrush: TViewStyles;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.InvertSelection method

TJvListView	Edit topic

Inverts the selection in the list view.

Pascal

procedure InvertSelection;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.LoadFromCSV method

TJvListView	Edit topic

Loads the listview content from a CSV file.

Pascal

procedure LoadFromCSV(FileName: string; Separator: Char = ';');

Parameters

FileName: string

Not documented

Separator: Char = ';'

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.LoadFromFile method

TJvListView	Edit topic

Loads the listview content from a file.

Pascal

procedure LoadFromFile(FileName: string);

Parameters

FileName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.LoadFromStream method

TJvListView	Edit topic

Loads the listview content from a stream.

Pascal

procedure LoadFromStream(Stream: TStream);

Parameters

Stream: TStream

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.LoadFromStrings method

TJvListView	Edit topic

Not documented

Pascal

procedure LoadFromStrings(Strings: TStrings; Separator: Char);

Parameters

Strings: TStrings

Not documented

Separator: Char

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.MoveDown method

TJvListView	See Also	Edit topic

Moves an item in the list.

Pascal

function MoveDown(Index: Integer; Focus: Boolean = True): Integer;

Return Value

The (new) index of the item.

Parameters

Index: Integer

The current index of the item to move.

Focus: Boolean = True

Set to true if the moved item should be selected and focused.

Description

Use MoveDown to move a list item one step down in the list.

Created with Doc-O-Matic.


See Also

SelectPtevItem


TJvListView.MoveUp method

TJvListView	See Also	Edit topic

Moves an item in the list.

Pascal

function MoveUp(Index: Integer; Focus: Boolean = True): Integer;

Parameters

Index: Integer

The current index of the item to move.

Focus: Boolean = True

Set to true if the moved item should be selected and focused.

Description

Use MoveUp to move a list item one step up in the list.

Created with Doc-O-Matic.


See Also

SelectPtevItem


TJvListView.SaveToCSV method

TJvListView	Edit topic

Saves the listview content to a CSV file.

Pascal

procedure SaveToCSV(FileName: string; Separator: Char = ';');

Parameters

FileName: string

Not documented

Separator: Char = ';'

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.SaveToFile method

TJvListView	Edit topic

Saves the listview content to a file.

Pascal

procedure SaveToFile(FileName: string; ForceOldStyle: Boolean = False);

Parameters

FileName: string

Not documented

ForceOldStyle: Boolean = False

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.SaveToStream method

TJvListView	Edit topic

Saves the listview content to a stream.

Pascal

procedure SaveToStream(Stream: TStream; ForceOldStyle: Boolean = False);

Parameters

Stream: TStream

Not documented

ForceOldStyle: Boolean = False

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.SaveToStrings method

TJvListView	Edit topic

Not documented

Pascal

procedure SaveToStrings(Strings: TStrings; Separator: Char);

Parameters

Strings: TStrings

Not documented

Separator: Char

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.SelectNextItem method

TJvListView	See Also	Edit topic

Selects the next item in the list.

Pascal

function SelectNextItem(Focus: Boolean = True): Integer;

Return Value

The index of the selected item.

Parameters

Focus: Boolean = True

Set to true to make the new item both selected (default) and focused.

Description

Call SelectNextItem to select the next item in the list view. If no item is selected, this method selects the first item.

Created with Doc-O-Matic.


See Also

TJvListView.MoveDown, TJvListView.MoveUp, TJvListView.SelectPrevItem


TJvListView.SelectPrevItem method

TJvListView	See Also	Edit topic

Selects the previous item in the list.

Pascal

function SelectPrevItem(Focus: Boolean = True): Integer;

Return Value

The index of the selected item.

Parameters

Focus: Boolean = True

Set to true to make the new item both selected (default) and focused.

Description

Call SelectPrevItem to select the previous item in the list view. If no item is selected, this method does nothing.

Created with Doc-O-Matic.


See Also

TJvListView.MoveDown, TJvListView.MoveUp, TJvListView.SelectPrevItem


TJvListView.SetSmallImages method

TJvListView	Edit topic

Not documented

Pascal

procedure SetSmallImages(const Value: TCustomImageList);

Parameters

const Value: TCustomImageList

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvListView.UnselectAll method

TJvListView	Edit topic

Removes the selection from selected items.

Pascal

procedure UnselectAll;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber
JEDI-VCL Reference

 TJvLocalFileUrlGrabber

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This a grabber for Local File URLs

Pascal

TJvLocalFileUrlGrabber = class(TJvCustomUrlGrabber);

File

JvUrlGrabbers

Description

This grabber handles Local File URLs, that is URLs that start with 'file://', '?:' or '\' Local is in opposition to Internet and refers to files on a computer as well as to files on the local network.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber Properties

TJvLocalFileUrlGrabber	Legend

Properties

 Agent

 FileName

 OutputMode

 Password

 PreserveAttributes

 Url

 UserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvLocalFileUrlGrabber Events

TJvLocalFileUrlGrabber	Legend

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvLocalFileUrlGrabber Methods

TJvLocalFileUrlGrabber	Legend

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

ParseUrl

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvLocalFileUrlGrabber

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomUrlGrabber
            TJvLocalFileUrlGrabber


TJvLocalFileUrlGrabber Members

TJvLocalFileUrlGrabber	Legend

Members

Properties

 Agent

 FileName

 OutputMode

 Password

 PreserveAttributes

 Url

 UserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Methods

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

ParseUrl

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

Net


TJvLocalFileUrlGrabber.Agent property

TJvLocalFileUrlGrabber	Edit topic

The Agent to impersonate

Pascal

property Agent: string;

Description

Most protocols use an agent name to identify the software used to communicate. Use this property to indicate the agent string.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.FileName property

TJvLocalFileUrlGrabber	See Also	Edit topic

The name of the file to write to if OutputMode is omFile

Pascal

property FileName: TFileName;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OutputMode


TJvLocalFileUrlGrabber.OnClosingConnection event

TJvLocalFileUrlGrabber	See Also	Edit topic

This event is triggered when the connection is about to be closed

Pascal

property OnClosingConnection: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectionClosed


TJvLocalFileUrlGrabber.OnConnectedToServer event

TJvLocalFileUrlGrabber	See Also	Edit topic

This event is triggered when the connection to the server has been established

Pascal

property OnConnectedToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectingToServer


TJvLocalFileUrlGrabber.OnConnectingToServer event

TJvLocalFileUrlGrabber	See Also	Edit topic

This event is triggered when about to connect to the server

Pascal

property OnConnectingToServer: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnConnectedToServer


TJvLocalFileUrlGrabber.OnConnectionClosed event

TJvLocalFileUrlGrabber	See Also	Edit topic

This event is triggered when the connection has been closed

Pascal

property OnConnectionClosed: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnClosingConnection


TJvLocalFileUrlGrabber.OnDoneFile event

TJvLocalFileUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the file is finished

Pascal

property OnDoneFile: TJvDoneFileEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneStream, TJvCustomUrlGrabber.OutputMode


TJvLocalFileUrlGrabber.OnDoneStream event

TJvLocalFileUrlGrabber	See Also	Edit topic

This event is triggered when the write operation in the stream is finished

Pascal

property OnDoneStream: TJvDoneStreamEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnDoneFile, TJvCustomUrlGrabber.OutputMode


TJvLocalFileUrlGrabber.OnError event

TJvLocalFileUrlGrabber	Edit topic

This event is triggered when an error has occurred

Pascal

property OnError: TJvErrorEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.OnNameResolved event

TJvLocalFileUrlGrabber	See Also	Edit topic

This event is triggered when the name used in the Url has been resolved

Pascal

property OnNameResolved: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResolvingName


TJvLocalFileUrlGrabber.OnProgress event

TJvLocalFileUrlGrabber	Edit topic

This event is triggered while the grabbing is in progress

Pascal

property OnProgress: TJvUrlGrabberProgressEvent;

Parameters

Sender

The grabber object that has made some progress

Position

The position in the object where the grabbing process is at the moment

TotalSize

The total size of the object being grabbed. It may be 0 if the protocol could not give the size of the object

Url

The URL of the object being grabbed

Continue

If you set this value to False, the grabbing will be canceled

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.OnReceivingResponse event

TJvLocalFileUrlGrabber	See Also	Edit topic

Event triggered when a response is being received

Pascal

property OnReceivingResponse: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnResponseReceived


TJvLocalFileUrlGrabber.OnRedirect event

TJvLocalFileUrlGrabber	Edit topic

Event triggered when the server indicated to go to another URL to get the content

Pascal

property OnRedirect: TNotifyEvent;

Description

This event is usually only triggered by HTTP protocols

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.OnRequestComplete event

TJvLocalFileUrlGrabber	See Also	Edit topic

Event triggered when a request is complete

Pascal

property OnRequestComplete: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent, TJvCustomUrlGrabber.OnSendingRequest


TJvLocalFileUrlGrabber.OnRequestSent event

TJvLocalFileUrlGrabber	See Also	Edit topic

Event triggered when a request has been sent

Pascal

property OnRequestSent: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnSendingRequest


TJvLocalFileUrlGrabber.OnResolvingName event

TJvLocalFileUrlGrabber	See Also	Edit topic

Event triggered when a name is about to be resolved

Pascal

property OnResolvingName: TNotifyEvent;

Description

If the URL doesn't indicate an IP, the name needs to be resolved before being used

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnNameResolved


TJvLocalFileUrlGrabber.OnResponseReceived event

TJvLocalFileUrlGrabber	See Also	Edit topic

Event triggered when a response has been received

Pascal

property OnResponseReceived: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnReceivingResponse


TJvLocalFileUrlGrabber.OnSendingRequest event

TJvLocalFileUrlGrabber	See Also	Edit topic

Event triggered when a request is being sent

Pascal

property OnSendingRequest: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.OnRequestSent


TJvLocalFileUrlGrabber.OnStatusChange event

TJvLocalFileUrlGrabber	See Also	Edit topic

Event triggered when the status of the grabber has changed

Pascal

property OnStatusChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Status


TJvLocalFileUrlGrabber.OutputMode property

TJvLocalFileUrlGrabber	Edit topic

The output mode to use for the grabbing operation

Pascal

property OutputMode: TJvOutputMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.Password property

TJvLocalFileUrlGrabber	See Also	Edit topic

The password to use along with the user name

Pascal

property Password: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

UserName


TJvLocalFileUrlGrabber.PreserveAttributes property

TJvLocalFileUrlGrabber	Edit topic

If True, the attributes of the source file will be copied to the destination file. Attributes are the date, the read-only and hidden properties.

Pascal

property PreserveAttributes: Boolean;
property PreserveAttributes: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.Url property

TJvLocalFileUrlGrabber	See Also	Edit topic

The URL to grab

Pascal

property Url: string;

Description

When you set this property, the value will be parsed using ParseUrl and if the various non compulsory parts are indicated, they will be the new value of their respective properties.

Created with Doc-O-Matic.


See Also

UserName, TJvCustomUrlGrabber.Password, TJvCustomUrlGrabber.Port


TJvLocalFileUrlGrabber.UserName property

TJvLocalFileUrlGrabber	See Also	Edit topic

The user name to use along with the password

Pascal

property UserName: string;

Description

Some protocols will require a username/password couple to be able to connect, use this value to indicate the password

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Password


TJvLocalFileUrlGrabber.CanGrab method

TJvLocalFileUrlGrabber	Edit topic

Return true if the URL is a Local File URL

Pascal

class function CanGrab(const Url: string): Boolean; override;

Return Value

True if the URL is a Local File URL, that is it starts with 'file://', '?:', '\' or the URL indicates an existing file

Parameters

const Url: string

The URL to test

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.GetDefaultPropertiesClass method

TJvLocalFileUrlGrabber	Edit topic

Returns the class to use to display default properties for this type of grabber

Pascal

class function GetDefaultPropertiesClass: TJvCustomUrlGrabberDefaultPropertiesClass; override;

Return Value

Returns TJvLocalFileUrlGrabberDefaultProperties

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.GetSupportedProtocolMarker method

TJvLocalFileUrlGrabber	See Also	Edit topic

This function returns the marker that indicates the protocol in a URL.

Pascal

class function GetSupportedProtocolMarker: string; override;

Return Value

A string indicating the marker for protocol supported by the class.

Description

For instance, for an HTTP grabber, this would return 'http://'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedURLName


TJvLocalFileUrlGrabber.GetSupportedURLName method

TJvLocalFileUrlGrabber	See Also	Edit topic

This function returns the name of the URL supported by the grabber. This is not the protocol part of a URL, but a user displayable string.

Pascal

class function GetSupportedURLName: string; override;

Return Value

A string indicating the type of URL supported by the class.

Description

This function returns a user displayable name that indicates the type of URL supported by the class. For instance, a HTTP grabber class would return 'HTTP'. This function MUST be overridden in the derived classes but cannot be abstract because of C++ Builder compatibility issues

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.GetSupportedProtocolMarker


TJvLocalFileUrlGrabber.ParseUrl method (string, string)

TJvLocalFileUrlGrabber	Edit topic

Not documented

Pascal

procedure ParseUrl(const Url: string; var FileName: string); overload; reintroduce;

Parameters

const Url: string

Not documented

var FileName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabber.ParseUrl method (string, string, string, string, string, string, Cardinal)

TJvLocalFileUrlGrabber	Edit topic

Splits the given URL into its various parts, if indicated

Pascal

procedure ParseUrl(Url: string; Protocol: string; var Host: string; var FileName: string; var UserName: string; var Password: string; var Port: Cardinal); override; overload;

Parameters

URL

The Url to parse

Protocol

The protocol marker to find in the Url

Host

Upon exit, contains the host part of the Url

FileName

Upon exit, contains the filename part of the Url (including the leading slash)

UserName

Upon exit, contains the username part of the Url

Password

Upon exit, contains the password part of the Url

Port

Upon exit, contains the port part of the Url

Description

A URL respects this format:

    protocol [username[:password]@] host [:port] [/filename]

When a non compulsory part is missing the exit value of the associated parameter will be an empty string or 0

Created with Doc-O-Matic.


TJvLocalFileUrlGrabberProperties
JEDI-VCL Reference

TJvLocalFileUrlGrabberProperties

Hierarchy	Properties	 Edit topic

A class that holds default properties for TJvLocalFileUrlGrabber

Pascal

TJvLocalFileUrlGrabberProperties = class(TJvCustomUrlGrabberDefaultProperties);

File

JvUrlGrabbers

Description

This class is used by TJvUrlGrabber to display the default properties of the TJvLocalFileUrlGrabber objects it may create

Created with Doc-O-Matic.


TJvLocalFileUrlGrabberProperties Properties

TJvLocalFileUrlGrabberProperties	Legend

Properties

 PreserveAttributes

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvLocalFileUrlGrabberProperties

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomUrlGrabberDefaultProperties
        TJvLocalFileUrlGrabberProperties


TJvLocalFileUrlGrabberProperties Members

TJvLocalFileUrlGrabberProperties	Legend

Members

Properties

 PreserveAttributes

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvLocalFileUrlGrabberThread
JEDI-VCL Reference

TJvLocalFileUrlGrabberThread

Hierarchy	Properties	Methods	 Edit topic

The thread used to grab Local File URLs

Pascal

TJvLocalFileUrlGrabberThread = class(TJvCustomUrlGrabberThread);

File

JvUrlGrabbers

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLocalFileUrlGrabberThread Properties

TJvLocalFileUrlGrabberThread	Legend

Properties

 Grabber

TJvCustomUrlGrabberThread

 Continue

 ErrorText

Status

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvLocalFileUrlGrabberThread Fields

TJvLocalFileUrlGrabberThread	Legend

Fields

TJvCustomUrlGrabberThread

 FGrabber

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvLocalFileUrlGrabberThread Methods

TJvLocalFileUrlGrabberThread	Legend

Methods

TJvCustomUrlGrabberThread

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvLocalFileUrlGrabberThread

Legend

read only

protected

Created with Doc-O-Matic.


Hierarchy

TThread
    TJvCustomUrlGrabberThread
        TJvLocalFileUrlGrabberThread


TJvLocalFileUrlGrabberThread Members

TJvLocalFileUrlGrabberThread	Legend

Members

Properties

 Grabber

TJvCustomUrlGrabberThread

 Continue

 ErrorText

Status

Fields

TJvCustomUrlGrabberThread

 FGrabber

Methods

TJvCustomUrlGrabberThread

DoProgress

DoStatus

 UpdateGrabberProgress

 UpdateGrabberStatus

Legend

read only

protected

Created with Doc-O-Matic.


Legend

read only

protected


TJvLocalFileUrlGrabberThread.Grabber property

TJvLocalFileUrlGrabberThread	Edit topic

Provides an easy access to the grabber associated with the thread

Pascal

property Grabber: TJvLocalFileUrlGrabber;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOut
JEDI-VCL Reference

 TJvLookOut

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A sidebar control that displays pages and buttons in a manner similar to the outlook bar in Microsoft® Outlook®.

Pascal

TJvLookOut = class(TJvCustomControl);

File

JvLookOut

Description

Use a TJvLookOut when you want to display buttons logically separated into pages without using up too much screen real estate. The TJvLookOut groups buttons on pages and only one page is visible at a time. To display a page, click the page button at the top of the page. The currently active page is "collapsed" and the newly selected page is "expanded" to fill the available screen area within the TJvLookOut's ClientRect. Each page has its own set of buttons and you can specify different settings for the background color and background image, image sizes, button frame color for each page. When the available screen space isn't enough to display all the buttons on a page, scroll arrows are displayed as needed at the top and/or bottom of the page.

Created with Doc-O-Matic.


TJvLookOut Properties

TJvLookOut	Legend

Properties

 ActivePage

 AutoSize

 BorderStyle

 FlatButtons

 ImageSize

 PageCount

Pages

 Smooth

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvLookOut Events

TJvLookOut	Legend

Events

 OnClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvLookOut Methods

TJvLookOut

Methods

AddPage

Created with Doc-O-Matic.


Legend

TJvLookOut

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookOut


TJvLookOut Members

TJvLookOut	Legend

Members

Properties

 ActivePage

 AutoSize

 BorderStyle

 FlatButtons

 ImageSize

 PageCount

Pages

 Smooth

Events

 OnClick

Methods

AddPage

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Custom


TJvLookOut.ActivePage property

TJvLookOut	Edit topic

Specifies the page currently displayed by the lookout control.

Pascal

property ActivePage: TJvLookOutPage;

Description

Read ActivePage to determine which page is selected by the user. The user selects a page by clicking the mouse on its top button. Set ActivePage to bring a page to the foreground. Only one page can be active at a time.

Created with Doc-O-Matic.


TJvLookOut.AutoSize property

TJvLookOut	Edit topic

Sizes pages so they fill the available space in the control.

Pascal

property AutoSize: Boolean;

Description

Use AutoSize to specify whether the pages in the lookout are automatically resized to fill the available space when the lookout is resized.

Created with Doc-O-Matic.


TJvLookOut.BorderStyle property

TJvLookOut	See Also	Edit topic

Determines the style of the line drawn around the perimeter of the panel control.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to specify whether the panel has a single line drawn around it.

Created with Doc-O-Matic.


See Also

TJvLookOut.FlatButtons


TJvLookOut.FlatButtons property

TJvLookOut	Edit topic

Specifies whether page buttons are drawn in a flat style or not.

Pascal

property FlatButtons: Boolean;

Description

Use FlatButtons to specify how page buttons are drawn. If FlatButtons is true, page buttons are drawn in a "flat" style, appearing to overlap the border of the lookout. If FlatButtons is false, the page buttons are drawn in the same manner as a normal TButton.

Created with Doc-O-Matic.


TJvLookOut.ImageSize property

TJvLookOut	See Also	Edit topic

Specifies where page and button objects gets their images from.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify if the pages and buttons should get their images from the LargeImages or the SmallImages image list. ImageSize only affects pages and buttons that have their ParentImageSize property set to true

Created with Doc-O-Matic.


See Also

ParentImageSize


TJvLookOut.OnClick event

TJvLookOut	Edit topic

Not documented

Pascal

property OnClick: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOut.PageCount property

TJvLookOut	See Also	Edit topic

Provides information about the number of pages in the control.

Pascal

property PageCount: Integer;

Description

Read PageCount to determine how many pages are in the control. Use PageCount when iterating over the pages using the Pages property and an index.

Created with Doc-O-Matic.


See Also

TJvLookOut.Pages


TJvLookOut.Pages property

TJvLookOut	See Also	Edit topic

Provides indexed access to the pages in the control.

Pascal

property Pages [Index: Integer]: TJvLookOutPage;

Description

Use Pages to access the pages in the control using an index. The first page is at index 0 and the last page is at index PageCount - 1. If PageCount is 0, there are no pages in the control.

Created with Doc-O-Matic.


See Also

TJvLookOut.PageCount


TJvLookOut.Smooth property

TJvLookOut	Edit topic

Specifies how buttons and pages are scrolled.

Pascal

property Smooth: Boolean;

Description

Use Smooth to set whether pages and buttons are scrolled smoothly or if they jump directly to their final position. When Smooth is true, the items move slower to their final destination but many users find it visually more pleasing than the default behavior.

Created with Doc-O-Matic.


TJvLookOut.AddPage method

TJvLookOut	Edit topic

Adds a new page to the lookout control.

Pascal

function AddPage: TJvLookOutPage;

Return Value

The newly created page.

Description

Call AddPage to add a new page to the lookout. The page is added at the bottom of the control.

Created with Doc-O-Matic.


TJvLookOutButton
JEDI-VCL Reference

 TJvLookOutButton

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Button used on lookout pages or stand-alone.

Pascal

TJvLookOutButton = class(TJvCustomLookOutButton);

File

JvLookOut

Description

TJvLookOutButton is derived from TJvCustomLookOutButton and exposes most of its properties and events but does not introduce any new behavior.

Created with Doc-O-Matic.


TJvLookOutButton Properties

TJvLookOutButton	Legend

Properties

 ButtonBorder

Data

 Down

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

TJvCustomLookOutButton

 ButtonBorder

 Centered

 Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvLookOutButton Events

TJvLookOutButton	Legend

Events

 OnEdited

TJvCustomLookOutButton

 OnEdited

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvLookOutButton Methods

TJvLookOutButton

Methods

TJvCustomLookOutButton

EditCaption

Created with Doc-O-Matic.


Legend

TJvLookOutButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomLookOutButton
            TJvLookOutButton


TJvLookOutButton Members

TJvLookOutButton	Legend

Members

Properties

 ButtonBorder

Data

 Down

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

TJvCustomLookOutButton

 ButtonBorder

 Centered

 Data

 Down

 FillColor

 GroupIndex

 HighlightFont

 ImageIndex

 ImageSize

 LargeImages

 Offset

 ParentImageSize

 PopupMenu

 SmallImages

 Spacing

Events

 OnEdited

TJvCustomLookOutButton

 OnEdited

Methods

TJvCustomLookOutButton

EditCaption

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Custom


TJvLookOutButton.ButtonBorder property

TJvLookOutButton	Edit topic

Specifies the border style of the button.

Pascal

property ButtonBorder: TJvButtonBorder;

Description

Use ButtonBorder to specify the visual appearance of the button's border.

Created with Doc-O-Matic.


TJvLookOutButton.Data property

TJvLookOutButton	Edit topic

Specifies any application-specific data associated with the button.

Pascal

property Data: Pointer;

Description

Use Data to associate any arbitrary data structure with the button. When the user selects or deletes the button, Data allows the application to quickly access information about the meaning of the button to implement the appropriate response.

Created with Doc-O-Matic.


TJvLookOutButton.Down property

TJvLookOutButton	See Also	Edit topic

Specifies if the button appears pressed.

Pascal

property Down: Boolean;

Description

Use the Down property to specify whether the button is displayed as being in its down state or in its up state. Setting the value of Down to true affects other buttons with the same GroupIndex.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.GroupIndex


TJvLookOutButton.GroupIndex property

TJvLookOutButton	See Also	Edit topic

Allows lookout buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state. Setting the GroupIndex property of a single button to a value greater than 0 causes the button to behave as a two-state button.

Buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another button belonging to the same group. Buttons used in this way can present mutually exclusive choices to the user.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.Down


TJvLookOutButton.HighlightFont property

TJvLookOutButton	Edit topic

Specifies the font to use when the button is highlighted.

Pascal

property HighlightFont: TFont;

Description

Use the properties of HighlightFont to specify different text options for the button when the user hovers the mouse above the button as compared to when the button is in its default state.

Created with Doc-O-Matic.


TJvLookOutButton.ImageIndex property

TJvLookOutButton	See Also	Edit topic

Specifies the image to display on the button.

Pascal

property ImageIndex: TImageIndex;

Description

ImageIndex is used to set the image to display on the button. Depending on the value of ImageSize, the button displays an image either from LargeImages or from SmallImages.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageSize, TJvCustomLookOutButton.LargeImages, TJvCustomLookOutButton.SmallImages


TJvLookOutButton.ImageSize property

TJvLookOutButton	See Also	Edit topic

Specifies the imagelist to retrieve images from.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify which image list to display images from. If ImageSize is isSmall, images are retrieved from the SmallImages list. If ImageSize is isLarge, images are retrieved from the LargeImages list instead.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageIndex, TJvCustomLookOutButton.LargeImages, TJvCustomLookOutButton.SmallImages


TJvLookOutButton.LargeImages property

TJvLookOutButton	Edit topic

Specifies an imagelist containing the large images to use on the button.

Pascal

property LargeImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOutButton.OnEdited event

TJvLookOutButton	See Also	Edit topic

Occurs after the user has edited the Caption at run-time and accepted the changes.

Pascal

property OnEdited: TJvLookOutEditedEvent;

Description

Write a handler for the OnEdited event to take specific action after the user has edited the button's Caption and accepted the changes. For example, you can check the Caption for invalid characters and change it if they are not accepted.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.EditCaption


TJvLookOutButton.ParentImageSize property

TJvLookOutButton	See Also	Edit topic

Specifies where the button gets its ImageSize information from.

Pascal

property ParentImageSize: Boolean;

Description

Use ParentImageSize to specify where the button reads its ImageSize from. If ParentImageSize is true, the button's ImageSize is set to match the parent's ImageSize property. When the ImageSize property of the button is changed, the ParentImageSize property is automatically set to false.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.ImageSize


TJvLookOutButton.PopupMenu property

TJvLookOutButton	Edit topic

Identifies the pop-up menu associated with the control.

Pascal

property PopupMenu: TPopupMenu;

Description

Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu’s AutoPopup property is true, the pop-up menu appears automatically. If the menu’s AutoPopup property is false, display the menu with a call to its Popup method from the control’s OnContextPopup event handler.

Created with Doc-O-Matic.


TJvLookOutButton.SmallImages property

TJvLookOutButton	Edit topic

Specifies an imagelist containing the small images to use on the button.

Pascal

property SmallImages: TImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOutButton.Spacing property

TJvLookOutButton	See Also	Edit topic

Determines where the image and text appear on a speed button.

Pascal

property Spacing: Integer;

Description

Set Spacing to the number of pixels that should appear between the image and the text.

If Spacing is a positive number, its value is the number of pixels between the image and text. If Spacing is 0, the image and text appear flush with each other. If Spacing is -1, the text appears centered between the image and the button edge.

Created with Doc-O-Matic.


See Also

TJvCustomLookOutButton.Offset


TJvLookOutPage
JEDI-VCL Reference

TJvLookOutPage

Hierarchy	Properties	Methods	Events	 Edit topic

Represents a page on a lookout control.

Pascal

TJvLookOutPage = class(TJvCustomControl);

File

JvLookOut

Description

A TJvLookOutPage represents a page in a TJvLookOut. A collection of pages are maintained by the TJvLookOut in its Pages property. A TJvLookOutPage maintains a set of buttons in its Buttons property and also have properties to change its visual appearance.

Don't create instances of TJvLookOutPage. Instead, use the methods of TJvLookOut.Pages to add, remove and modify the pages in a TJvLookOut.

Created with Doc-O-Matic.


TJvLookOutPage Properties

TJvLookOutPage	Legend

Properties

ActiveButton

 AutoCenter

 AutoRepeat

 Bitmap

 ButtonCount

Buttons

 Caption

 HighlightFont

 ImageSize

 Margin

 ParentImageSize

 PopupMenu

 ShowPressed

Legend

protected

published

read only

Created with Doc-O-Matic.


Legend

protected

published

read only


TJvLookOutPage Events

TJvLookOutPage	Legend

Events

 OnClick

 OnEdited

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvLookOutPage Methods

TJvLookOutPage	Legend

Methods

AddButton

DisableAdjust

DownArrow

 EditCaption

EnableAdjust

 ExchangeButtons

UpArrow

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvLookOutPage

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookOutPage


TJvLookOutPage Members

TJvLookOutPage	Legend

Members

Properties

ActiveButton

 AutoCenter

 AutoRepeat

 Bitmap

 ButtonCount

Buttons

 Caption

 HighlightFont

 ImageSize

 Margin

 ParentImageSize

 PopupMenu

 ShowPressed

Events

 OnClick

 OnEdited

Methods

AddButton

DisableAdjust

DownArrow

 EditCaption

EnableAdjust

 ExchangeButtons

UpArrow

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Legend

protected

published

read only

virtual


TJvLookOutPage.ActiveButton property

TJvLookOutPage	Edit topic

Specifies the currently active button.

Pascal

property ActiveButton: TJvCustomLookOutButton;

Description

Use ActiveButton to determine the currently active button on the page or to change the currently active button.

Notes

Changing the value of ActiveButton does not update the visual display of the page, i.e the active button is not scrolled into view or visually marked in any way.

Created with Doc-O-Matic.


TJvLookOutPage.AutoCenter property

TJvLookOutPage	See Also	Edit topic

Specifies if buttons are automatically centered in the page.

Pascal

property AutoCenter: Boolean;

Description

Use AutoCenter to specify whether buttons are automatically centered in the page when the page is moved or resized. When AutoCenter is false, buttons are aligned according to the value of Margin.

Created with Doc-O-Matic.


See Also

TJvLookOutPage.Margin


TJvLookOutPage.AutoRepeat property

TJvLookOutPage	Edit topic

Specifies if the user must click the scroll arrows repeatedly to scroll.

Pascal

property AutoRepeat: Boolean;

Description

Change AutoRepeat to specify how the scroll arrows behave when the user clicks them: if AutoRepeat is true, the user can click and hold the left mouse button on the arrow to scroll to the start or end. If AutoRepeat is false, the user must click once for each scroll event.

The AutoRepeat scroll is controlled by two internal constants, the initial delay and the repeat delay. The initial delay (before auto-repeating) is approximately 400 ms and the repeat delay is approximately 100ms.

Created with Doc-O-Matic.


TJvLookOutPage.Bitmap property

TJvLookOutPage	Edit topic

Specifies an image to use as a background on the page.

Pascal

property Bitmap: TBitmap;

Description

Use Bitmap to specify an image to display as the background on the page. The specified image will be tiled across the page to fill it completely.

Created with Doc-O-Matic.


TJvLookOutPage.ButtonCount property

TJvLookOutPage	See Also	Edit topic

Retrieves the number of buttons on the page.

Pascal

property ButtonCount: Integer;

Description

Read ButtonCount to determine the number of buttons on the page.

Created with Doc-O-Matic.


See Also

TJvLookOutPage.Buttons


TJvLookOutPage.Buttons property

TJvLookOutPage	See Also	Edit topic

Provides indexed access to the buttons on the page.

Pascal

property Buttons [Index: Integer]: TJvLookOutButton;

Description

Use Buttons to access the button son the page using an index. Use ButtonCount to determine how many buttons are in the array. The last button is at index ButtonCount - 1.

Created with Doc-O-Matic.


See Also

TJvLookOutPage.ButtonCount


TJvLookOutPage.Caption property

TJvLookOutPage	See Also	Edit topic

Specifies the text to display on the page button.

Pascal

property Caption;

Description

Use Caption to set and retrieve the text displayed on the page button. To allow the user to change the text at runtime, call the EditCaption function.

Created with Doc-O-Matic.


See Also

TJvLookOutPage.EditCaption


TJvLookOutPage.HighlightFont property

TJvLookOutPage	Edit topic

Specifies the font to use when the page is highlighted.

Pascal

property HighlightFont: TFont;

Description

Use the properties of HighlightFont to specify different text options for the page button when the user hovers the mouse above the page button as compared to when the button is in its default state.

Created with Doc-O-Matic.


TJvLookOutPage.ImageSize property

TJvLookOutPage	See Also	Edit topic

Specifies the imagelist to retrieve images from.

Pascal

property ImageSize: TJvImageSize;

Description

Use ImageSize to specify which image list to display images from. If ImageSize is isSmall, images are retrieved from the SmallImages list. If ImageSize is isLarge, images are retrieved from the LargeImages list instead.

Created with Doc-O-Matic.


See Also

LargeImages, SmallImages, ImageIndex


TJvLookOutPage.Margin property

TJvLookOutPage	Edit topic

Specifies the number of pixels to leave empty around the inner edge of the page.

Pascal

property Margin: Integer;

Description

Use Margin to set an area where other controls are not allowed to be positioned inside the page.

Created with Doc-O-Matic.


TJvLookOutPage.OnClick event

TJvLookOutPage	Edit topic

Not documented

Pascal

property OnClick: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOutPage.OnEdited event

TJvLookOutPage	See Also	Edit topic

Occurs after the user has edited the Caption at run-time and accepted the changes.

Pascal

property OnEdited: TJvLookOutEditedEvent;

Description

Write a handler for the OnEdited event to take specific action after the user has edited the page button's Caption and accepted the changes. For example, you can check the Caption for invalid characters and change it if they are not accepted.

Created with Doc-O-Matic.


See Also

TJvLookOutPage.EditCaption


TJvLookOutPage.ParentImageSize property

TJvLookOutPage	See Also	Edit topic

Specifies where the page gets its ImageSize information from.

Pascal

property ParentImageSize: Boolean;

Description

Use ParentImageSize to specify where the page reads its ImageSize from. If ParentImageSize is true, the ImageSize of all buttons are set to match the parent's ImageSize property. When the ImageSize property of a button is changed, the ParentImageSize property is automatically set to false.

Created with Doc-O-Matic.


See Also

TJvLookOutPage.ImageSize


TJvLookOutPage.PopupMenu property

TJvLookOutPage	Edit topic

Identifies the pop-up menu associated with the control.

Pascal

property PopupMenu: TPopupMenu;

Description

Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu’s AutoPopup property is true, the pop-up menu appears automatically. If the menu’s AutoPopup property is false, display the menu with a call to its Popup method from the control’s OnContextPopup event handler.

Created with Doc-O-Matic.


TJvLookOutPage.ShowPressed property

TJvLookOutPage	Edit topic

Specifies if the page button is visually pressed when the user clicks it.

Pascal

property ShowPressed: Boolean;

Description

Use ShowPressed to specify if the page button appears to be pushed down when the user clicks the left mouse button on it.

Created with Doc-O-Matic.


TJvLookOutPage.AddButton method

TJvLookOutPage	Edit topic

Adds a new button to the Buttons array.

Pascal

function AddButton: TJvLookOutButton;

Return Value

The newly created button. Use the returned button instance to set the properties of the button.

Description

Call AddButton to add a new button to the end of the page.

Created with Doc-O-Matic.


TJvLookOutPage.DisableAdjust method

TJvLookOutPage	Edit topic

Not documented

Pascal

procedure DisableAdjust;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOutPage.DownArrow method

TJvLookOutPage	Edit topic

Not documented

Pascal

procedure DownArrow;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOutPage.EditCaption method

TJvLookOutPage	See Also	Edit topic

Allows the user to change the page text at runtime.

Pascal

procedure EditCaption; virtual;

Description

Call EditCaption to allow the user to change the page button's text at runtime. When EditCaption is called, the user can type directly into the page button to change the text. If the user clicks outside the page button or presses Escape, the changes are discarded automatically. If the user enters a new text and presses Enter, the OnEdited event is called and the edit field is removed.

Created with Doc-O-Matic.


See Also

TJvLookOutPage.OnEdited


TJvLookOutPage.EnableAdjust method

TJvLookOutPage	Edit topic

Not documented

Pascal

procedure EnableAdjust;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookOutPage.ExchangeButtons method

TJvLookOutPage	Edit topic

Switches the position of two buttons.

Pascal

procedure ExchangeButtons(Button1: TJvCustomLookOutButton; Button2: TJvCustomLookOutButton); virtual;

Parameters

Button1: TJvCustomLookOutButton

The first button to move.

Button2: TJvCustomLookOutButton

The second button to move.

Description

Call ExchangeButtons to switch the position of two buttons.

Created with Doc-O-Matic.


TJvLookOutPage.UpArrow method

TJvLookOutPage	Edit topic

Not documented

Pascal

procedure UpArrow;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl
JEDI-VCL Reference

TJvLookupControl

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for Lookup support

TDBLookupControl is the base class for controls that provide the user with a list of lookup items for filling in fields that require data from another dataset.

Pascal

TJvLookupControl = class(TJvCustomControl);

File

JvDBLookup

Description

Use TDBLookupControl as a base class when defining controls that permit the user to set a field value by selecting a corresponding value from another dataset. The TDBLookupComboBox and TDBLookupListBox controls are both descended from the TDBLookupControl and provide the user with automatic lookup capabilities that are implemented in the TDBLookupControl object.

Do not create instances of TDBLookupControl. Instead, instantiate a descendant of TDBLookupControl to allow the user to set field values from a set of lookup values.

Created with Doc-O-Matic.


TJvLookupControl Properties

TJvLookupControl	Legend

Properties

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvLookupControl Events

TJvLookupControl	Legend

Events

 OnChange

 OnGetImage

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvLookupControl Methods

TJvLookupControl	Legend

Methods

ClearValue

Locate

 ResetField

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvLookupControl

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookupControl


TJvLookupControl Members

TJvLookupControl	Legend

Members

Properties

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Events

 OnChange

 OnGetImage

Methods

ClearValue

Locate

 ResetField

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvLookupControl.DataField property

TJvLookupControl	See Also	Edit topic

Identifies the field whose value is represented by the lookup control.

Pascal

property DataField: string;

Description

Use DataField to bind the lookup control to a field in the dataset specified by the DataSource property. The DataField is the field whose value can be set by the lookup control, not the field which supplies the lookup values that are displayed by the lookup control.

If DataField specifies a lookup field component, there is no need to set the KeyField or ListField properties, as the field component contains all the information about the relationship between the data field value and the lookup value.

Created with Doc-O-Matic.


See Also

TJvLookupControl.DataSource, TJvLookupControl.KeyValue


TJvLookupControl.DataSource property

TJvLookupControl	Edit topic

Not documented

Pascal

property DataSource: TDataSource;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.DisplayEmpty property

TJvLookupControl	Edit topic

Not documented

Pascal

property DisplayEmpty: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.DisplayValue property

TJvLookupControl	Edit topic

Not documented

Pascal

property DisplayValue: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.EmptyItemColor property

TJvLookupControl	Edit topic

Not documented

Pascal

property EmptyItemColor: TColor;

Description

The EmptyItemColor property allows you specify the color value to display additional non-scrolled "empty" item in the top of the list if DisplayEmpty set to the non-empty string.

Created with Doc-O-Matic.


TJvLookupControl.EmptyStrIsNull property

TJvLookupControl	Edit topic

Not documented

Pascal

property EmptyStrIsNull: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.EmptyValue property

TJvLookupControl	Edit topic

Not documented

Pascal

property EmptyValue: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.Field property

TJvLookupControl	Edit topic

Not documented

Pascal

property Field: TField;

Description

Returns linked field

Created with Doc-O-Matic.


TJvLookupControl.FieldsDelimiter property

TJvLookupControl	Edit topic

Not documented

Pascal

property FieldsDelimiter: Char;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.IgnoreCase property

TJvLookupControl	Edit topic

Not documented

Pascal

property IgnoreCase: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.IndexSwitch property

TJvLookupControl	Edit topic

Not documented

Pascal

property IndexSwitch: Boolean;

Description

If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table.

Created with Doc-O-Matic.


TJvLookupControl.ItemHeight property

TJvLookupControl	Edit topic

Not documented

Pascal

property ItemHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.KeyValue property

TJvLookupControl	Edit topic

Not documented

Pascal

property KeyValue: Variant;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.ListStyle property

TJvLookupControl	Edit topic

Not documented

Pascal

property ListStyle: TLookupListStyle;

Description

ListStyle determines how the lookup list displays its items when multiple fields specified by the LookupDisplay property. property ListStyle: TLookupListStyleTLookupListStyle;

By default, style is lsFixed, meaning that the each display field always takes up a fixed width accordingly to their DisplayWidth properties. The lsDelimited style meaning that each field takes a variable width, and the fields are separated by a comma (',') character.

Created with Doc-O-Matic.


TJvLookupControl.LookupDisplay property

TJvLookupControl	Edit topic

Not documented

Pascal

property LookupDisplay: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.LookupDisplayIndex property

TJvLookupControl	Edit topic

Not documented

Pascal

property LookupDisplayIndex: Integer;

Description

When multiple fields specified by the LookupDisplay property, the LookupDisplayIndex specifies index of a field in the LookupDisplay list which will be use in the DisplayValue property and will be display in the editor of the TRxDBLookupCombo component.

Created with Doc-O-Matic.


TJvLookupControl.LookupField property

TJvLookupControl	Edit topic

Not documented

Pascal

property LookupField: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.LookupFormat property

TJvLookupControl	Edit topic

Not documented

Pascal

property LookupFormat: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.LookupSource property

TJvLookupControl	Edit topic

Not documented

Pascal

property LookupSource: TDataSource;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.OnChange event

TJvLookupControl	Edit topic

Not documented

Pascal

property OnChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.OnGetImage event

TJvLookupControl	Edit topic

OnGetImage event is triggered when an image is requested.

Pascal

property OnGetImage: TGetImageEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.ReadOnly property

TJvLookupControl	Edit topic

Not documented

Pascal

property ReadOnly: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.Value property

TJvLookupControl	Edit topic

Not documented

Pascal

property Value: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvLookupControl.ClearValue method

TJvLookupControl	Edit topic

Not documented

Pascal

procedure ClearValue;

Description

Clears the values using the default EmptyValue (declared has protected in this class)

Created with Doc-O-Matic.


TJvLookupControl.Locate method

TJvLookupControl	Edit topic

Not documented

Pascal

function Locate(const SearchField: TField; const AValue: string; Exact: Boolean): Boolean;

Parameters

const SearchField: TField

Not documented

const AValue: string

Not documented

Exact: Boolean

Not documented

Description

Locates Avalue in the lookup dataset for field SearchField.

If Exact = true, the function locates only records where SearchField is fully equal to AValue (else the function operates a partial match).

In changing the value of property IgnoreCase you can control the way the case influences the result.

This property is protected in TRXLookupControl and is defaulted to True (= ignore case)

Created with Doc-O-Matic.


TJvLookupControl.ResetField method

TJvLookupControl	Edit topic

Not documented

Pascal

procedure ResetField; virtual;

Description

Forces the value to EmptyValue and generates an internal Click

Created with Doc-O-Matic.


TJvMail
JEDI-VCL Reference

 TJvMail

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Wrapper for the Simple MAPI functions.

Pascal

TJvMail = class(TJvComponent);

File

JvMail

Description

Use the TJvMail component to simplify the use of Simple MAPI. Simple MAPI is a set of functions you can use to add messaging functionality in your application.

Common tasks are:

Iterating through the available incoming messages, and possibly read them (Using FindFirstMail, FindNextMail, ReadMail).

Sending mail (By using SendMail).

TJvMail has several properties that represent various elements of a message, such as a list of recipient names, a subject text file attachments, etc. These properties are filled after a successful call to ReadMail, but they also describe the message to send while calling SendMail.

Created with Doc-O-Matic.


TJvMail Properties

TJvMail	Legend

Properties

 Attachment

 BlindCopy

 Body

 CarbonCopy

 LogonOptions

 LongMsgId

 Password

 ProfileName

 ReadedMail

 ReadOptions

 Recipient

SeedMessageID

 SessionHandle

 SimpleMAPI

 Subject

 UserLogged

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvMail Events

TJvMail	Legend

Events

 OnError

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvMail Methods

TJvMail

Methods

Address

Clear

ErrorCheck

FindFirstMail

FindNextMail

FreeSimpleMapi

LogOff

LogOn

ReadMail

ResolveName

SaveMail

SendMail

Created with Doc-O-Matic.


Legend

TJvMail

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvMail


TJvMail Members

TJvMail	Legend

Members

Properties

 Attachment

 BlindCopy

 Body

 CarbonCopy

 LogonOptions

 LongMsgId

 Password

 ProfileName

 ReadedMail

 ReadOptions

 Recipient

SeedMessageID

 SessionHandle

 SimpleMAPI

 Subject

 UserLogged

TJvComponent

 AboutJVCL

Events

 OnError

Methods

Address

Clear

ErrorCheck

FindFirstMail

FindNextMail

FreeSimpleMapi

LogOff

LogOn

ReadMail

ResolveName

SaveMail

SendMail

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Net


TJvMail.Attachment property

TJvMail	See Also	Edit topic

Lists the filenames of attachments for the current message.

Pascal

property Attachment: TStrings;

Description

Use Attachment before calling SendMail to add, insert, delete and move filenames of attachments for the to be send message. The number of attachments per message can be limited in some messaging systems. If the limit is exceeded, an EJclMapiError exception is raised when SendMail is called. File attachments are copied to the message before SendMail returns; thus, later changes to the files do not affect the contents of the message. The files must be closed when they are copied.

After calling ReadMail use Attachment to retrieve the filenames of temporary files where to file attachments are saved.

Attachment is of type TStrings. Use this type to access its methods or properties to manipulate the filenames in the attachment list.

Created with Doc-O-Matic.


See Also

SendMail


TJvMail.BlindCopy property

TJvMail	See Also	Edit topic

Lists the recipients of a blind copy (BCC).

Pascal

property BlindCopy: TJvMailRecipients;

Description

BlindCopy lists the recipients of a blind copy for messages send by calling SendMail. Use BlindCopy to obtain direct access to the individual TJvMailRecipient objects. Each TJvMailRecipient object represents an individual recipient that is send a message by calling SendMail.

Use the Add or AddRecipient method of the recipient collection to add a single recipient to the collection. Use the Address and Name properties of the individual entries in BlindCopy to specify or determine the address and name of a recipient.

Notes

Some messaging systems can limit the number of recipients per message.

Created with Doc-O-Matic.


See Also

TJvMail.CarbonCopy, TJvMail.Recipient, TJvMailRecipient, TJvMailRecipients


TJvMail.Body property

TJvMail	See Also	Edit topic

Lists the message text.

Pascal

property Body: TStrings;

Description

Body holds the text of the current message.

Created with Doc-O-Matic.


See Also

TJvMail.Attachment


TJvMail.CarbonCopy property

TJvMail	See Also	Edit topic

Lists the recipients of a message copy (CC).

Pascal

property CarbonCopy: TJvMailRecipients;

Description

CarbonCopy lists the recipients of a message copy for messages send by calling SendMail. Use CarbonCopy to obtain direct access to the individual TJvMailRecipient objects. Each TJvMailRecipient object represents an individual recipient that is send a message by calling SendMail.

Use the Add or AddRecipient method of the recipient collection to add a single recipient to the collection. Use the Address and Name properties of the individual entries in CarbonCopy to specify or determine the address and name of a recipient.

Notes

Some messaging systems can limit the number of recipients per message.

Created with Doc-O-Matic.


See Also

TJvMail.BlindCopy, TJvMail.Recipient, TJvMailRecipient, TJvMailRecipients


TJvMail.LogonOptions property

TJvMail	See Also	Edit topic

Determines the logon behavior.

Pascal

property LogonOptions: TJvMailLogonOptions;

Description

Use the LogonOptions property to customize the logon behavior of MAPI sessions. Use these flags to

Specify whether to make an attempt to create a new session or acquire the environment's shared session. A shared session is a session used by multiple client applications on a given computer.

Specify whether to display a logon dialog box to prompt the user for logon information.

Created with Doc-O-Matic.


See Also

TJvMail.LogOn


TJvMail.LongMsgId property

TJvMail	See Also	Edit topic

Specifies whether to use long message identifiers.

Pascal

property LongMsgId: Boolean;

Description

Use LongMsgId to specify whether to use long message identifiers (512 characters) or the smaller message identifiers (64 bytes), used by older versions of MAPI.

Created with Doc-O-Matic.


See Also

TJvMail.SeedMessageID


TJvMail.OnError event

TJvMail	See Also	Edit topic

Occurs when a Simple MAPI error occurs.

Pascal

TJvMailErrorEvent = procedure (Sender: TJvMail; ErrorCode: ULONG) of object;
property OnError: TJvMailErrorEvent;

Parameters

ErrorCode

The error code for the problem that was encountered.

Sender

The component that encounters the exception.

Description

Write an OnError event handler to take specific actions when an error occurs.

Assigning an OnError event to a TJvMail object, prevents the object from raising EJclMapiError errors, after a Simple MAPI function failed.

Created with Doc-O-Matic.


See Also

TJvMail.ErrorCheck


TJvMail.Password property

TJvMail	See Also	Edit topic

Specifies a credential string.

Pascal

property Password: string;

Description

Use Password to specify a credential string, limited to 256 characters or less. If the messaging system does not require password credentials, or if it requires that the user enter them, set Password to an empty string. When the user must enter credentials, include loLogonUI in LogonOptions to allow a logon dialog box to be displayed.

Created with Doc-O-Matic.


See Also

TJvMail.LogOn, TJvMail.LogonOptions, TJvMail.ProfileName


TJvMail.ProfileName property

TJvMail	See Also	Edit topic

Specifies a profile name string.

Pascal

property ProfileName: string;

Description

Use ProfileName to specify a profile name string, limited to 256 characters or less. This is the profile to use when logging on. If the ProfileName is set to an empty string, and loLogonUI is included in LogonOptions, calling LogOn displays a logon dialog box with an empty name field.

Created with Doc-O-Matic.


See Also

TJvMail.LogOn, TJvMail.Password


TJvMail.ReadedMail property

TJvMail	See Also	Edit topic

Contains additional information about a message.

Pascal

property ReadedMail: TJvMailReadedData;

Description

ReadedMail contains additional information about a message that is filled by the TJvMail object after a call to ReadMail.

Created with Doc-O-Matic.


See Also

TJvMail.ReadMail


TJvMail.ReadOptions property

TJvMail	See Also	Edit topic

Determines behavior of mail reading.

Pascal

property ReadOptions: TJvMailReadOptions;

Description

Use the ReadOptions property to customize the behavior of the FindFirstMail, FindNextMail and ReadMail methods. You can use ReadOptions to specify

Whether only unread messages should be enumerated.

The order in which the messages should be read.

Whether messages read in with ReadMail should be marked as read.

Which parts of a message should be read (Only header, attachments, etc).

Created with Doc-O-Matic.


See Also

TJvMail.ReadedMail, TJvMail.ReadMail


TJvMail.Recipient property

TJvMail	See Also	Edit topic

Lists the primary message recipients.

Pascal

property Recipient: TJvMailRecipients;

Description

Recipient lists the primary message recipients for messages send by calling SendMail or for messages received by calling ReadMail. Use Recipient to obtain direct access to the individual TJvMailRecipient objects. Each TJvMailRecipient object represents an individual recipient that is send a message by calling SendMail, or a primary message recipient of a message received by calling ReadMail.

Use the Add or AddRecipient method of the recipient collection to add a single recipient to the collection. Use the Address and Name properties of the individual entries in Recipient to specify or determine the address and name of a recipient.

Notes

Some messaging systems can limit the number of recipients per message.

Created with Doc-O-Matic.


See Also

TJvMail.BlindCopy, TJvMail.CarbonCopy, TJvMailRecipient, TJvMailRecipients


TJvMail.SeedMessageID property

TJvMail	See Also	Edit topic

Species the message identifier seed for a request.

Pascal

property SeedMessageID: string;

Description

SeedMessageID is used to identify a specific incoming message. After calling FindFirstMail or FindNextMail, property SeedMessageID is automatically filled with the identifier of the last message found.

When property SeedMessageID is set to a valid message identifier, you can call ReadMail to read the message associated with that message identifier. FindNextMail uses the value of SeedMessageID as seed for the request.

Notes

Because message identifiers are messaging system-specific and can be invalidated at any time, message identifiers are valid only for the current session.

Created with Doc-O-Matic.


See Also

TJvMail.FindFirstMail, TJvMail.FindNextMail, TJvMail.ReadMail


TJvMail.SessionHandle property

TJvMail	See Also	Edit topic

Handle of current MAPI session.

Pascal

property SessionHandle: THandle;

Description

SessionHandle is the handle of the current MAPI session that is logged on to. This handle can be used in MAPI calls to explicitly provide user credentials to the messaging system.

Created with Doc-O-Matic.


See Also

TJvMail.LogOff, TJvMail.LogOn, TJvMail.UserLogged


TJvMail.SimpleMAPI property

TJvMail	See Also	Edit topic

Gives access to the Simple MAPI interface object.

Pascal

property SimpleMAPI: TJclSimpleMapi;

Description

Use SimpleMAPI to access the internal Simple MAPI interface object.

The following example retrieves the current client name using the SimpleMAPI object.

  ClientLabel.Caption := JvMail1.SimpleMAPI.CurrentClientName;

Created with Doc-O-Matic.


See Also

TJvMail.FreeSimpleMapi


TJvMail.Subject property

TJvMail	See Also	Edit topic

Specifies the message subject.

Pascal

property Subject: string;

Description

Use Subject to specify a text string describing the message subject before calling SendMail. The message subject is typically limited to 256 characters or less.

Created with Doc-O-Matic.


See Also

SendMail


TJvMail.UserLogged property

TJvMail	See Also	Edit topic

Indicates whether the user is logged on.

Pascal

property UserLogged: Boolean;

Description

Read UserLogged to determine whether there is an active connection between the application and the MAPI subsystem.

Created with Doc-O-Matic.


See Also

TJvMail.LogOff, TJvMail.LogOn


TJvMail.Address method

TJvMail	Edit topic

Displays a standard address list dialog box to show an initial set of zero or more recipients.

Pascal

function Address(const Caption: string = ''; EditFields: Integer = 3): Boolean;

Parameters

const Caption: string = ''

Caption for the address list dialog box or an empty string. When caption is an empty string, Address uses the default caption "Address Book."

EditFields: Integer = 3

The number of edit controls that should be present in the address list. The values 0 through 4 are valid.

Description

Call Address to display a standard address list dialog box to show an initial set of zero or more recipients. The user can choose new entries to add to the set or make changes to existing entries. This dialog box cannot be suppressed, but the caller can set dialog box characteristics. The changed set of recipients is returned to the caller.

Values for EditFields have the following meaning:
Value	Meaning
0	Only address list browsing is possible.
1,2 or 3	Specifies the number of edit controls present.
4	Each recipient class supported by the underlying messaging system has an edit control.
Created with Doc-O-Matic.


TJvMail.Clear method

TJvMail	Edit topic

Removes all recipients, messages and attachments from the internal buffer.

Pascal

procedure Clear;

Description

Call Clear to remove all recipients, messages and attachments from the internal buffer.

Created with Doc-O-Matic.


TJvMail.ErrorCheck method

TJvMail	See Also	Edit topic

Determines whether a value returned from a Simple MAPI function represents an error condition.

Pascal

function ErrorCheck(Res: DWORD): DWORD;

Return Value

The value as specified by parameter Res.

Parameters

Res: DWORD

The return code from a direct Simple MAPI call

Description

Pass the return code from a direct Simple MAPI call as the Res parameter when calling ErrorCheck. ErrorCheck either fires an OnError event (if an OnError event handler is assigned) or calls MapiError to check whether Res indicates an error condition, and if so raises an exception.

Created with Doc-O-Matic.


See Also

TJvMail.OnError


TJvMail.FindFirstMail method

TJvMail	See Also	Edit topic

Retrieves the message identifier of the first incoming message.

Pascal

function FindFirstMail: Boolean;

Return Value

True if the function was successful, otherwise false which means the enumeration is complete.

Description

Call FindFirstMail to start enumerating messages. It will retrieve the first message identifier of an incoming message. The retrieved message identifier is returned in property SeedMessageID.

When property SeedMessageID is set to a valid message identifier, you can call ReadMail to read the message associated with that message identifier.

Make subsequent calls to FindNextMail to enumerate all messages in the folder.

Notes

FindFirstMail calls can be made only in the context of a valid Simple MAPI session established with the LogOn function.

Created with Doc-O-Matic.


See Also

TJvMail.FindNextMail, TJvMail.ReadMail, TJvMail.ReadOptions, TJvMail.SeedMessageID


TJvMail.FindNextMail method

TJvMail	See Also	Edit topic

Retrieves the next message identifier of an incoming message.

Pascal

function FindNextMail: Boolean;

Return Value

True if the function was successful, otherwise false which means the enumeration is complete.

Description

Call FindNextMail function to retrieve the next message identifier of an incoming message. The value of property SeedMessageID determines the message identifier seed for the request. The retrieved message identifier is returned in SeedMessageID.

When property SeedMessageID is set to a valid message identifier, you can call ReadMail to read the message associated with that message identifier.

This function can be called repeatedly to enumerate all messages in the folder.

Because message identifiers are messaging system-specific and can be invalidated at any time, message identifiers are valid only for the current session. If the message identifier passed in SeedMessageID is invalid, FindNextMail raises an EJclMapiError exception.

Notes

FindNextMail calls can be made only in the context of a valid Simple MAPI session established with the LogOn function.

Created with Doc-O-Matic.


See Also

TJvMail.FindFirstMail, TJvMail.LogOn, TJvMail.ReadMail, TJvMail.ReadOptions, TJvMail.SeedMessageID


TJvMail.FreeSimpleMapi method

TJvMail	See Also	Edit topic

Releases the Simple MAPI interface object.

Pascal

procedure FreeSimpleMapi;

Description

Call FreeSimpleMapi to release the Simple MAPI interface object.

Created with Doc-O-Matic.


See Also

TJvMail.SimpleMAPI


TJvMail.LogOff method

TJvMail	See Also	Edit topic

Ends a Simple MAPI session.

Pascal

procedure LogOff;

Description

Call LogOff to end a session with the messaging system.

Created with Doc-O-Matic.


See Also

TJvMail.LogOn, TJvMail.LogonOptions


TJvMail.LogOn method

TJvMail	See Also	Edit topic

Begins a Simple MAPI session, loading the default message store and address book providers.

Pascal

procedure LogOn;

Description

Call LogOn to begin a session with the messaging system.

Include loLogonUI in LogonOptions to display a logon dialog box if the credentials - as specified by ProfileName and Password - fail to validate the session.

Created with Doc-O-Matic.


See Also

TJvMail.LogOff, TJvMail.LogonOptions


TJvMail.ReadMail method

TJvMail	See Also	Edit topic

Retrieves a message for reading.

Pascal

procedure ReadMail;

Description

Call ReadMail to retrieve one message, copying the message content into the properties and classes as used in the SendMail function. ReadMail will fill the following properties:

Subject, with the message subject.

Body, with the message body.

Attachment, with the filenames of temporary files where to file attachments are saved.

ReadedMail, with the delivery time and the sender.

Recipient, CarbonCopy and BlindCopy, with the recipients of this message.

Use ReadOptions to customize the message retrieving behavior. For example you can specify that only envelope information is to be returned from the call or specify whether the message is marked as sent or unsent.

Before calling ReadMail, use the FindFirstMail and FindNextMail functions to verify that the message to be read is the one you want to be read. FindFirstMail and FindNextMail fill property SeedMessageID with the ID of the last message found, and that property is subsequently used by ReadMail to identify the message to be read.

Because message identifiers are system-specific and opaque and can be invalidated at any time, ReadMail considers a message identifier to be valid only for the current Simple MAPI session.

Created with Doc-O-Matic.


See Also

TJvMail.ReadedMail, TJvMail.ReadOptions


TJvMail.ResolveName method

TJvMail	See Also	Edit topic

Transforms a message recipient's name as entered by a user to an unambiguous address list entry.

Pascal

function ResolveName(const Name: string): string;

Return Value

The display name of the message recipient or sender.

Parameters

const Name: string

Specifies the name to be resolved.

Description

Call ResolveName to resolve a message recipient's name (as entered by a user) to an unambiguous address list entry, by prompting the user to choose between possible entries. The dialog box is read-only, prohibiting changes.

Created with Doc-O-Matic.


See Also

TJvMail.LogOn


TJvMail.SaveMail method

TJvMail	See Also	Edit topic

Saves a message into the message store.

Pascal

function SaveMail(const MessageID: string): string;

Parameters

const MessageID: string

Specifies either the message identifier to be replaced by the save operation or an empty string, indicating that a new message is to be created.

Description

Call SaveMail to save a message, optionally replacing an existing message. Before calling SaveMail, use the FindFirstMail and FindNextMail functions to verify that the message to be saved is the one you want saved. The elements of the message identified by the MessageID parameter are replaced by the elements specified by the properties Recipient, BlindCopy, CarbonCopy, Subject, Body and Attachment. If MessageID is an empty string, a new message is created. All replaced messages are saved in their appropriate folders. New messages are saved in the folder appropriate for incoming messages of that class.

Not all messaging systems support storing messages. If the underlying messaging system does not support message storage, an EJclMapiError exception is raised.

Because message identifiers are system-specific and opaque and can be invalidated at any time, SaveMail considers a message identifier to be valid only for the current Simple MAPI session. SaveMail handles invalid message identifiers by raising an EJclMapiError exception.

Created with Doc-O-Matic.


See Also

TJvMail.LogonOptions


TJvMail.SendMail method

TJvMail	Edit topic

Sends a message.

Pascal

procedure SendMail(ShowDialog: Boolean = True);

Parameters

ShowDialog: Boolean = True

Specifies whether to display a dialog box to prompt the user for recipients and other sending options. When ShowDialog is set to false, at least one recipient must be specified.

Description

Call SendMail to send a standard message, with or without any user interaction. The profile must be configured so that SendMail can open the default service providers without requiring user interaction. But if loNewSession is included in LogonOptions (thus disallowing the use of a shared session) and the profile requires a password, then loLogonUI must be set or the function will fail. Avoid this situation by using an explicit profile without a password or by using the default profile without a password. Use property SimpleMAPI to retrieve a default profile.

You can provide a full or partial list of recipient names, subject text, file attachments, or message text. If any information is missing, SendMail can prompt the user for it. If no information is missing, either the message can be sent as is or the user can be prompted to verify the information, changing values if necessary.

A successful return from SendMail does not necessarily imply recipient validation. The message might not have been sent to all recipients. Depending on the transport provider, recipient validation can be a lengthy process.

Applications that send messages to custom recipients (i.e., recipients not listed in the address book) can avoid name resolution by setting the Address property of the recipient TJvMailRecipient object to the custom address.

The following example sets the values of properties of a TJvMail object, and then calls SendMail.

  JvMail1.Clear;

  JvMail1.Recipient.AddRecipient(ToEdit.Text);

  JvMail1.Subject := SubjectEdit.Text;

  JvMail1.Body.Text := BodyEdit.Text;

  JvMail1.Attachment.Assign(AttachmentMemo.Lines);

  JvMail1.SendMail;

Created with Doc-O-Matic.


TJvMailRecipient
JEDI-VCL Reference

TJvMailRecipient

Hierarchy	Properties	 See Also	Edit topic

Describes a recipient.

Pascal

TJvMailRecipient = class(TCollectionItem);

File

JvMail

Description

The TJvMailRecipient class contains information about a specific recipient.

Use the Address and Name properties to get or set the address and name of a recipient.

Created with Doc-O-Matic.


TJvMailRecipient Properties

TJvMailRecipient	Legend

Properties

 Address

 AddressAndName

 Name

 Valid

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvMailRecipient

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvMailRecipient


TJvMailRecipient Members

TJvMailRecipient	Legend

Members

Properties

 Address

 AddressAndName

 Name

 Valid

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvMail, TJvMailRecipients


TJvMailRecipient.Address property

TJvMailRecipient	See Also	Edit topic

Specifies the recipient address.

Pascal

property Address: string;

Description

Use Address to specify the mail address of a recipient. For example the user can enter an address for a recipient not in an address book (that is, a custom recipient).

The format of an address specified by Address is [address type][e-mail address]. Examples of valid addresses are FAX:206-555-1212 and SMTP:M@X.COM.

Notes

You must provide an address type.

Created with Doc-O-Matic.


See Also

TJvMailRecipient.AddressAndName, TJvMailRecipient.Name


TJvMailRecipient.AddressAndName property

TJvMailRecipient	See Also	Edit topic

Returns an address with a name.

Pascal

property AddressAndName: string;

Description

AddressAndName returns a formatted string so that the result is "name" <address>. If the recipient name is unknown, the name part is replaced by the address.

Created with Doc-O-Matic.


See Also

TJvMailRecipient.Address, TJvMailRecipient.Name


TJvMailRecipient.Name property

TJvMailRecipient	See Also	Edit topic

Specifies the display name of the message recipient.

Pascal

property Name: string;

Description

Use Name to specify a display name for the recipient.

Created with Doc-O-Matic.


See Also

Address AddressAndName


TJvMailRecipient.Valid property

TJvMailRecipient	See Also	Edit topic

Indicates whether an address is specified for the recipient.

Pascal

property Valid: Boolean;

Description

Read Valid to determine whether the recipient data is valid. Valid returns true, when Address is set to a non-empty string.

Created with Doc-O-Matic.


See Also

TJvMailRecipient.Address


TJvMailRecipients
JEDI-VCL Reference

TJvMailRecipients

Hierarchy	Properties	Methods	 See Also	Edit topic

TJvMailRecipients is a collection of TJvMailRecipient objects.

Pascal

TJvMailRecipients = class(TCollection);

File

JvMail

Description

Use TJvMailRecipients to represent all the recipients of a message. Each recipient is represented by a single TJvMailRecipient object.

Use the Add or AddRecipient method to add a single recipient to the collection.

Created with Doc-O-Matic.


TJvMailRecipients Properties

TJvMailRecipients	Legend

Properties

Items

 RecipientClass

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvMailRecipients Methods

TJvMailRecipients

Methods

Add

AddRecipient

Create

Created with Doc-O-Matic.


Legend

TJvMailRecipients

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TCollection
    TJvMailRecipients


TJvMailRecipients Members

TJvMailRecipients	Legend

Members

Properties

Items

 RecipientClass

Methods

Add

AddRecipient

Create

Legend

read only

Created with Doc-O-Matic.


Legend

read only


See Also

TJvMail, TJvMailRecipient


TJvMailRecipients.Items property

TJvMailRecipients	Edit topic

Provides indexed access to the TJvMailRecipient objects in the collection.

Pascal

property Items [Index: Integer]: TJvMailRecipient;

Description

Use Items to access the properties of the TJvMailRecipient objects maintained by the TJvMailRecipients object.

Created with Doc-O-Matic.


TJvMailRecipients.RecipientClass property

TJvMailRecipients	See Also	Edit topic

Returns a numeric value that indicate the type of the recipients.

Pascal

property RecipientClass: DWORD;

Description

Read RecipientClass to determine the type of the recipients. Possible values are:
Value	Constant	Meaning
0	MAPI_ORIG	Indicates the original sender of the message.
1	MAPI_TO	Indicates a primary message recipient.
2	MAPI_CC	Indicates a recipient of a message copy.
3	MAPI_BCC	Indicates a recipient of a blind copy.
Created with Doc-O-Matic.


See Also

TJvMail.BlindCopy, TJvMail.CarbonCopy, TJvMail.Recipient


TJvMailRecipients.Add method

TJvMailRecipients	See Also	Edit topic

Creates a new TJvMailRecipient object and adds it to the end of the Items property array.

Pascal

function Add: TJvMailRecipient;

Description

Call Add to add a new recipient to the set of recipients sent with the Web response message. Use Add when adding a recipient whose fields will be set at a later time. If the values of the TJvMailRecipient properties are known at the time of creation, use the AddRecipient method of the TJvMailRecipients object. object instead.

Created with Doc-O-Matic.


See Also

TJvMailRecipients.AddRecipient


TJvMailRecipients.AddRecipient method

TJvMailRecipients	See Also	Edit topic

Creates a new TJvMailRecipient object and adds it to the end of the Items property array.

Pascal

function AddRecipient(const Address: string; const Name: string = ''): Integer;

Parameters

const Address: string

Specifies the recipient address.

const Name: string = ''

Specifies the display name of the message recipient.

Description

Call AddRecipient to creates a new recipient and assigns the values passed in the Address and Name parameters to the TJvMailRecipient properties of the same names.

Note that you may specify for the new recipient either the recipient's name, an address, or a name and address pair. The following table shows how SendMail handles the variety of information that can be specified:

Information	Action
name	Name resolved using the Simple MAPI resolution rules.
address	No name resolution: address is used for both message delivery and for displaying the recipient name.
name and address	No name resolution: name used only for displaying the recipient name.

The following code adds a recipient to the Recipient list:

  JvMail1.Recipient.AddRecipient('SMTP:someone@somedomain.com', 'Some one');

Notes

The format of an address specified by parameter Address is [address type][e-mail address]. Examples of valid addresses are FAX:206-555-1212 and SMTP:M@X.COM.

Created with Doc-O-Matic.


See Also

TJvMailRecipients.Add, TJvMailRecipients.Items


TJvMailRecipients.Create constructor

TJvMailRecipients	Edit topic

Creates and initializes a new TJvMailRecipients object.

Pascal

constructor Create(AOwner: TJvMail; ARecipientClass: DWORD);

Parameters

AOwner: TJvMail

The TJvMail object, that is responsible for freeing the recipients collection.

ARecipientClass: DWORD

Numeric value that indicate the type of the recipients.

Description

Applications should not instantiate TJvMailRecipients. TJvMailRecipients objects are created automatically by the mail object that uses them.

Created with Doc-O-Matic.


TJvMainMenu
JEDI-VCL Reference

 TJvMainMenu

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This is the main menu from the JVCL

Pascal

TJvMainMenu = class(TMainMenu);

File

JvMenus

Description

This component is an intended replacement for the VCL TMainMenu component. It provides more control over the aspect of its items by offering more properties

Created with Doc-O-Matic.


TJvMainMenu Properties

TJvMainMenu	Legend

Properties

 AboutJVCL

 ActiveItemPainter

 Canvas

 Cursor

 DisabledImages

 HotImages

 ImageMargin

 Images

 ImageSize

 ItemPainter

 ShowCheckMarks

 Style

 TextMargin

 TextVAlignment

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvMainMenu Events

TJvMainMenu	Legend

Events

 OnDrawItem

 OnGetDisabledImageIndex

 OnGetHotImageIndex

 OnGetImageIndex

 OnGetItemParams

 OnMeasureItem

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvMainMenu Methods

TJvMainMenu

Methods

DefaultDrawItem

Refresh

RegisterChanges

UnregisterChanges

Created with Doc-O-Matic.


Legend

TJvMainMenu

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TMainMenu
    TJvMainMenu


TJvMainMenu Members

TJvMainMenu	Legend

Members

Properties

 AboutJVCL

 ActiveItemPainter

 Canvas

 Cursor

 DisabledImages

 HotImages

 ImageMargin

 Images

 ImageSize

 ItemPainter

 ShowCheckMarks

 Style

 TextMargin

 TextVAlignment

Events

 OnDrawItem

 OnGetDisabledImageIndex

 OnGetHotImageIndex

 OnGetImageIndex

 OnGetItemParams

 OnMeasureItem

Methods

DefaultDrawItem

Refresh

RegisterChanges

UnregisterChanges

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

StdCtrls


TJvMainMenu.AboutJVCL property

TJvMainMenu

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvMainMenu.ActiveItemPainter property

TJvMainMenu	See Also	Edit topic

The item painter being used by the menu

Pascal

property ActiveItemPainter: TJvCustomMenuItemPainter;

Description

This property indicates which painter component is currently used to paint the menu. This is the value of ItemPainter if Style is msItemPainter and is the internal painter for any other style.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter, TJvMainMenu.ItemPainter, TJvMainMenu.Style


TJvMainMenu.Canvas property

TJvMainMenu	Edit topic

The canvas in which to draw the menu items

Pascal

property Canvas: TCanvas;

Description

This property should only be used when rendering a menu item

Created with Doc-O-Matic.


TJvMainMenu.Cursor property

TJvMainMenu	Edit topic

The cursor to show in the menu

Pascal

property Cursor: TCursor;

Description

The cursor to show in the menu

Created with Doc-O-Matic.


TJvMainMenu.DisabledImages property

TJvMainMenu	See Also	Edit topic

The image list for disabled images

Pascal

property DisabledImages: TCustomImageList;

Description

If this property is assigned, a disabled menu item will use the image associated to it from this image list. If not assigned, a default disabled image will be created from the image in the Images image list. If not assigned, a default disabled image will be created from the image in the Images image list This can change depending on the style being used

Created with Doc-O-Matic.


See Also

TJvMainMenu.HotImages, TJvMainMenu.Images


TJvMainMenu.HotImages property

TJvMainMenu	See Also	Edit topic

The image list for hot images

Pascal

property HotImages: TCustomImageList;

Description

If this property is assigned, an active menu item will use the image associated to it from this image list. If not assigned, the image in the Images image list will be used. This can change depending on the style being used

Created with Doc-O-Matic.


See Also

TJvMainMenu.DisabledImages, TJvMainMenu.Images


TJvMainMenu.ImageMargin property

TJvMainMenu	See Also	Edit topic

The margin to put around images

Pascal

property ImageMargin: TJvImageMargin;

Description

The margins are expressed in pixels

Created with Doc-O-Matic.


See Also

TJvMainMenu.DisabledImages, TJvMainMenu.HotImages, TJvMainMenu.Images, TJvMainMenu.ImageSize


TJvMainMenu.Images property

TJvMainMenu	See Also	Edit topic

The image list for normal items

Pascal

property Images: TCustomImageList;

Description

If this property is assigned and a menu item has an ImageIndex different from -1, then the image will be rendered from the one in this list. If this property is not assigned, then no image will be drawn. You can however emulate the existence of an image through the use of ImageSize.

Created with Doc-O-Matic.


See Also

TJvMainMenu.DisabledImages, TJvMainMenu.HotImages, TJvMainMenu.ImageMargin, TJvMainMenu.ImageSize


TJvMainMenu.ImageSize property

TJvMainMenu	See Also	Edit topic

Indicates the size of the image, if the Images property is not set.

Pascal

property ImageSize: TJvMenuImageSize;

Description

This property is ignored if Images is set. When Images is not set, then the item painters will use the values for ImageSize to calculate the size of menu items. Hence, you can emulate the presence of images without using any image list. Simply set non zero values to the Width and Height properties.

Created with Doc-O-Matic.


See Also

TJvMainMenu.Images


TJvMainMenu.ItemPainter property

TJvMainMenu	See Also	Edit topic

The item painter associated with the menu

Pascal

property ItemPainter: TJvCustomMenuItemPainter;

Description

This property indicates which painter component to use to paint the menu. This value will only be taken into account if Style is msItemPainter and should never be nil in that case.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter, TJvMainMenu.Style


TJvMainMenu.OnDrawItem event

TJvMainMenu	See Also	Edit topic

The event triggered when an item needs painting

Pascal

property OnDrawItem: TDrawMenuItemEvent;

Description

This event is only triggered is the style is msOwnerDraw.

Created with Doc-O-Matic.


See Also

TJvMainMenu.OnMeasureItem, TJvMainMenu.Style


TJvMainMenu.OnGetDisabledImageIndex event

TJvMainMenu	See Also	Edit topic

Use this event to change the image index for a menu item just before rendering

Pascal

property OnGetDisabledImageIndex: TItemImageEvent;

Description

If you supply a handler for this event, you can change the image index of the indicated menu item just before the image is rendered. If you don't supply a handler, the value of ImageIndex from the Item will be used

Created with Doc-O-Matic.


See Also

TJvMainMenu.DisabledImages


TJvMainMenu.OnGetHotImageIndex event

TJvMainMenu	See Also	Edit topic

Use this event to change the image index for a menu item just before rendering

Pascal

property OnGetHotImageIndex: TItemImageEvent;

Description

If you supply a handler for this event, you can change the image index of the indicated menu item just before the image is rendered. If you don't supply a handler, the value of ImageIndex from the Item will be used

Created with Doc-O-Matic.


See Also

TJvMainMenu.HotImages


TJvMainMenu.OnGetImageIndex event

TJvMainMenu	See Also	Edit topic

Use this event to change the image index for a menu item just before rendering

Pascal

property OnGetImageIndex: TItemImageEvent;

Description

If you supply a handler for this event, you can change the image index of the indicated menu item just before the image is rendered. If you don't supply a handler, the value of ImageIndex from the Item will be used

Created with Doc-O-Matic.


See Also

TJvMainMenu.Images


TJvMainMenu.OnGetItemParams event

TJvMainMenu	See Also	Edit topic

Use this event to change rendering parameters for an item just before rendering

Pascal

property OnGetItemParams: TItemParamsEvent;

Description

You can change the state, the font, the color, and even the graphic associated with the menu item that is about to be rendered.

Created with Doc-O-Matic.


See Also

TJvMainMenu.OnGetDisabledImageIndex, TJvMainMenu.OnGetHotImageIndex, TJvMainMenu.OnGetImageIndex


TJvMainMenu.OnMeasureItem event

TJvMainMenu	See Also	Edit topic

This event is triggered when an item needs measuring

Pascal

property OnMeasureItem: TMeasureMenuItemEvent;

Description

This event is only triggered if Style is msOwnerDraw

Created with Doc-O-Matic.


See Also

TJvMainMenu.OnDrawItem


TJvMainMenu.ShowCheckMarks property

TJvMainMenu	Edit topic

If true, the check marks will always be shown

Pascal

property ShowCheckMarks: Boolean;

Description

This property is there for compatibility only, it is not recommended to use as the rendering of items may prove ugly

Created with Doc-O-Matic.


TJvMainMenu.Style property

TJvMainMenu	See Also	Edit topic

The style of the current menu

Pascal

property Style: TJvMenuStyle;

Description

The style property controls which painter is used to render the menu items. The following styles are supported at the moment:

Value	Meaning
msStandard	Only the image is drawn along with the text, no special effect
msOwnerDraw	The rendering is done by the owner of the component (you)
msBtnLowered	The item is drawn as a lowered button
msBtnRaised	The item is drawn as a raised button
msOffice	The item is drawn as in MS Office 97, with raising frames around the images
msXP	The item is drawn as in Windows XP, white background, shadow below selected images, flat menu borders
msItemPainter	The ItemPainter property indicates the painter to use. ItemPainter should never be nil when this style is used.
Created with Doc-O-Matic.


See Also

TJvMainMenu.ItemPainter, TJvMenuStyle


TJvMainMenu.TextMargin property

TJvMainMenu	See Also	Edit topic

The margin on the left of the text

Pascal

property TextMargin: Integer;

Description

Use this value to put some space between the text and the image

Created with Doc-O-Matic.


See Also

TJvMainMenu.ImageMargin, TJvMainMenu.TextVAlignment


TJvMainMenu.TextVAlignment property

TJvMainMenu	See Also	Edit topic

The vertical alignment of the text

Pascal

property TextVAlignment: TJvVerticalAlignment;

Description

Three alignments are possible:
Value	Meaning
vaTop	The text is aligned at the top of the item
vaMiddle	The text is vertically centered in the item
vaBottom	The text is aligned at the bottom of the item
Created with Doc-O-Matic.


See Also

TJvMainMenu.TextMargin


TJvMainMenu.DefaultDrawItem method

TJvMainMenu	See Also	Edit topic

Calls the painter's paint function to do the painting for the given menu item

Pascal

procedure DefaultDrawItem(Item: TMenuItem; Rect: TRect; State: TMenuOwnerDrawState);

Parameters

Item: TMenuItem

The item to render

Rect: TRect

The area in which to render the item

State: TMenuOwnerDrawState

The state of the item

Description

Calls the painter's paint function to do the painting for the given menu item

Created with Doc-O-Matic.


See Also

TJvMainMenu.ItemPainter


TJvMainMenu.Refresh method

TJvMainMenu	Edit topic

Sets the internal OwnerDraw value

Pascal

procedure Refresh;

Description

You shouldn't have to call this method from your code

Created with Doc-O-Matic.


TJvMainMenu.RegisterChanges method

TJvMainMenu	See Also	Edit topic

Registers the given change link object to get notified of changes in the menu

Pascal

procedure RegisterChanges(ChangeLink: TJvMenuChangeLink);

Parameters

ChangeLink: TJvMenuChangeLink

The change link object to register

Description

As for an ImageList, you can get notified when a menu gets modified by registering a TJvMenuChangeLink object with the menu. The OnChange event of the given object will be triggered whenever the menu has changed.

Created with Doc-O-Matic.


See Also

TJvMainMenu.UnregisterChanges


TJvMainMenu.UnregisterChanges method

TJvMainMenu	See Also	Edit topic

Unregisters the given change link object to get notified of changes in the menu

Pascal

procedure UnregisterChanges(ChangeLink: TJvMenuChangeLink);

Parameters

ChangeLink: TJvMenuChangeLink

The change link object to unregister

Description

As for an ImageList, you can get notified when a menu gets modified by registering a TJvMenuChangeLink object with the menu. Use this method if you don't want to get notified anymore for changes in that menu.

Created with Doc-O-Matic.


See Also

TJvMainMenu.RegisterChanges


TJvManagedDataContext
JEDI-VCL Reference

TJvManagedDataContext

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvManagedDataContext = class(TJvDataContext, IJvDataContextManager);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvManagedDataContext Methods

TJvManagedDataContext	Legend

Methods

IJvDataContextManager

SetName

TJvDataContext

 DoSetName

 Name

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Legend

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

protected

virtual

abstract


TJvManagedDataContext Fields

TJvManagedDataContext	Legend

Fields

TExtensibleInterfacedPersistent

 FRefCount

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvManagedDataContext Properties

TJvManagedDataContext	Legend

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvManagedDataContext

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent, IUnknown
        TExtensibleInterfacedPersistent, IJvDataContext
                TJvBaseDataContext
                    TJvDataContext, IJvDataContextManager
                            TJvManagedDataContext


TJvManagedDataContext Members

TJvManagedDataContext	Legend

Members

Methods

IJvDataContextManager

SetName

TJvDataContext

 DoSetName

 Name

TJvBaseDataContext

 Contexts

 ContextsImpl

 DoSetName

 GetImplementer

 IsDeletable

 IsStreamable

 Name

 SetName

IJvDataContext

Contexts

GetImplementer

IsDeletable

Name

TExtensibleInterfacedPersistent

 AddIntfImpl

 ClearIntfImpl

 DefineProperties

 IndexOfImplClass

 InitImplementers

 IsStreamableExtension

 ReadImplementer

 ReadImplementers

 RemoveIntfImpl

 ResumeRefCount

 SuspendRefCount

 WriteImplementer

 WriteImplementers

Fields

TExtensibleInterfacedPersistent

 FRefCount

Properties

TExtensibleInterfacedPersistent

 RefCount

Legend

protected

virtual

abstract

read only

Created with Doc-O-Matic.


Legend

protected

virtual

abstract

read only


TJvMarkupLabel
JEDI-VCL Reference

 TJvMarkupLabel

Hierarchy	Properties	Methods	Package	 See Also	Edit topic

Implements an HTML-enabled Label component.

Pascal

TJvMarkupLabel = class(TJvPubGraphicControl);

File

JvMarkupLabel

Description

TJvMarkupLabel is a TJvPubGraphicControl descendant that implements an HTML-enabled Label component. TJvMarkupLabel provides the ability to parse and render HTML markup assigned to the Text property for the control.

TJvMarkupLabel recognizes the following HTML tags in the Text property:

Tag	Description
<br>	Break tag. Performs a newline or carriage return when rendering the HTML tag.
<b></b>	Bold tag. Renders using the Bold attribute for the current font.
<i></i>	Italic tag. Renders using the Italic attribute for the current font.
<u></u>	Underline tag. Renders using the Underline attribute for the current font.
<font></font>	Font tag. Allows defining the font used to render the values between the start and end tags. Use the face, size, and color attributes to specify the values to use for the font element.

The following attributes are recognized for HTML markup in the Text property:

Attribute	Description
face	Font name to use for the HTML element. Must match the name for a font installed on the computer.
size	Font size for the HTML element. The unit measure for size is expressed in points (1/72 inch).
color	Font color for the HTML element. Font may be expressed as a decimal value (using #nnnnnn) or a color name (Red, Green, Blue, Lime, Maroon, etc).

Attributes attached to an HTML element must be enclosed in double quote characters ("). For instance:

  <font face="Arial" size="14" color="Navy">Title</font><br>

TJvMarkupLabel uses internal instances of TJvHTMLElementStack during parsing and rendering of HTML tags assigned to the Text property. TJvMarkupLabel implements overridden methods to handle Font and Text assignments to properties in the control, and to perform painting and automatic resizing of the rendered control.

Use the MarginLeft, MarginRight, and MarginTop properties to control the spacing needed prior to the rendered HTML content for the control.

Created with Doc-O-Matic.


TJvMarkupLabel Properties

TJvMarkupLabel	Legend

Properties

 Alignment

 MarginLeft

 MarginRight

 MarginTop

 Text

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvMarkupLabel Methods

TJvMarkupLabel	Legend

Methods

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvMarkupLabel

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TJvPubGraphicControl
    TJvMarkupLabel


TJvMarkupLabel Members

TJvMarkupLabel	Legend

Members

Properties

 Alignment

 MarginLeft

 MarginRight

 MarginTop

 Text

Methods

 Paint

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


See Also

TJvPubGraphicControl, TJvHTMLElementStack, TJvHTMLElement, TJvMarkupLabel.Text, TJvMarkupLabel.Font, TJvMarkupLabel.MarginLeft, TJvMarkupLabel.MarginRight, TJvMarkupLabel.MarginTop


Package

Jans


TJvMarkupLabel.Alignment property

TJvMarkupLabel	See Also	Edit topic

Horizontal alignment of values rendered for the control.

Pascal

property Alignment: TAlignment;

Description

Alignment is a TAlignment property used to control horizontal alignment of the the values rendered for the control.

Alignment is used when rendering HTML markup found in the Text property in the Paint method. Alignment can contain one of the following values:

Value	Meaning
taLeftJustify	Text is rendered aligned to the left-hand margin (MarginLeft).
taRightJustify	Text is rendered aligned to the right-hand margin (MarginRight).
taCenter	Text is rendered center-aligned using the width of the rendered text relative to the left- and right-hand margins.

The default value for Alignment is taLeftJustify.

Changing the value in the Alignment property causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupLabel.Text, TJvMarkupLabel.Paint


TJvMarkupLabel.MarginLeft property

TJvMarkupLabel	See Also	Edit topic

Specifies the left-hand margin for content rendered in the HTML-enabled control.

Pascal

property MarginLeft: Integer;

Description

MarginLeft is an Integer property that specifies the left-hand margin in pixels for content rendered in the HTML-enabled control. The default value for MarginLeft is 5.

MarginLeft, MarginRight, and MarginTop are used when rendering the HTML markup in the Text for the control using the Paint method. MarginLeft, MarginRight, and MarginTop determine the edge boundaries for the Alignment and Align properties within the client area for the control.

Changing the value in the MarginLeft, MarginRight, or MarginTop properties causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupLabel.MarginRight, TJvMarkupLabel.MarginTop, TJvMarkupLabel.Text, TJvMarkupLabel.Paint


TJvMarkupLabel.MarginRight property

TJvMarkupLabel	See Also	Edit topic

Specifies the right-hand margin for content rendered in the HTML-enabled control.

Pascal

property MarginRight: Integer;

Description

MarginRight is an Integer property that specifies the right-hand margin in pixels for content rendered in the HTML-enabled control. The default value for MarginRight is 5.

MarginLeft, MarginRight, and MarginTop are used when rendering the HTML markup in the Text for the control using the Paint method. MarginLeft, MarginRight, and MarginTop determine the edge boundaries for the Alignment and Align properties within the client area for the control.

Changing the value in the MarginLeft, MarginRight, or MarginTop properties causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupLabel.MarginLeft, TJvMarkupLabel.MarginTop, TJvMarkupLabel.Text, TJvMarkupLabel.Paint


TJvMarkupLabel.MarginTop property

TJvMarkupLabel	See Also	Edit topic

Specifies the top margin for content rendered in the HTML-enabled control.

Pascal

property MarginTop: Integer;

Description

MarginTop is an Integer property that specifies the top margin in pixels for content rendered in the HTML-enabled control. The default value for MarginTop is 5.

MarginLeft, MarginRight, and MarginTop are used when rendering the HTML markup in the Text for the control using the Paint method. MarginLeft, MarginRight, and MarginTop determine the edge boundaries for the Alignment and Align properties within the client area for the control.

Changing the value in the MarginLeft, MarginRight, or MarginTop properties causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupLabel.MarginLeft, TJvMarkupLabel.MarginRight, TJvMarkupLabel.Text, TJvMarkupLabel.Paint


TJvMarkupLabel.Text property

TJvMarkupLabel	See Also	Edit topic

HTML markup to render as the content of the control.

Pascal

property Text: TCaption;

Description

Text is a TCaption property that specifies the HTML markup rendered as the content for the HTML-enabled control. Values in the Text property are parsed into the HTML elements need to draw the contents of the control using the Paint method. Changing the value in either the Text or Font properties causes the control to be redrawn.

Text can contain plain text and any of the following HTML tags:

Tag	Description
<br>	Break tag. Performs a newline or carriage return when rendering the HTML tag.
<b></b>	Bold tag. Renders using the Bold attribute for the current font.
<i></i>	Italic tag. Renders using the Italic attribute for the current font.
<u></u>	Underline tag. Renders using the Underline attribute for the current font.
<font></font>	Font tag. Allows defining the font used to render the values between the start and end tags. Use the face, size, and color attributes to specify the values to use for the font element.

The following attributes are recognized for HTML markup in the Text property:

Attribute	Description
face	Font name to use for the HTML element. Must match the name for a font installed on the computer.
size	Font size for the HTML element. The unit measure for size is expressed in points (1/72 inch).
color	Font color for the HTML element. Font may be expressed as a decimal value (using #nnnnnn) or a color name (Red, Green, Blue, Lime, Maroon, etc).

Attributes attached to an HTML element must be enclosed in double quote characters ("). For instance:

  <font face="Arial" size="14" color="Navy">Title</font><br>

Use the MarginLeft, MarginRight, and MarginTop properties to control the spacing needed prior to the rendered HTML content for the control using the Alignment property.

Created with Doc-O-Matic.


See Also

TJvHTMLElementStack, TJvHTMLElement, TJvMarkupLabel.Font, TJvMarkupLabel.MarginLeft, TJvMarkupLabel.MarginRight, TJvMarkupLabel.MarginTop, TJvMarkupLabel.Alignment


TJvMarkupLabel.Paint method

TJvMarkupLabel	See Also	Edit topic

Renders the HTML markup for the HTML-enabled control.

Pascal

procedure Paint; override;

Description

Paint is an overridden method in TJvMarkupLabel that implements rendering of the HTML markup in Text for the HTML-enabled control.

Rendering uses the Canvas for the control to recalculate the position for HTML elements found in the Text property. HTML element positions are relative to the values specified in the MarginLeft, MarginRight, and MarginTop properties. The value in MarginBottom is also added to the overall total height of the rendered control.

Internally, Paint uses TJvHTMLElementStack and TJvHTMLElement to calculate the flow and alignment of the HTML elements in the client area of the control. This includes wrapping of HTML elements that cannot be draw in their entirety on the current line.

When Autosize contains True, the control will be resized horizontally when additional space is needed to render elements in the HTML markup. When Autosize contains False, the rendered content is drawn by wrapping rendered elements (when needed) and uses the value in the Alignment property.

Created with Doc-O-Matic.


See Also

TJvMarkupLabel.Text, TJvMarkupLabel.MarginLeft, TJvMarkupLabel.MarginRight, TJvMarkupLabel.MarginTop, TJvMarkupLabel.Autosize, TJvMarkupLabel.Alignment, TJvHTMLElementStack, TJvHTMLElement


TJvMarkupViewer
JEDI-VCL Reference

 TJvMarkupViewer

Hierarchy	Properties	Methods	Package	 See Also	Edit topic

Implements a scrollable HTML-enabled viewer component.

Pascal

TJvMarkupViewer = class(TJvCustomControl);

File

JvMarkupViewer

Description

TJvMarkupViewer is a TJvCustomControl descendant that implements a scrollable HTML-enabled viewer component.

TJvMarkupViewer provides the ability to parse and render HTML markup assigned to the Text property for the control. TJvMarkupViewer uses a TBitmap instance to render the contents of the HTML markup in the Text property, and to allow scrolling of the rendered content in the visible bounds of the component.

TJvMarkupViewer recognizes the following HTML tags in the Text property:

Tag	Description
<br>	Break tag. Performs a newline or carriage return when rendering the HTML tag.
<b></b>	Bold tag. Renders using the Bold attribute for the current font.
<i></i>	Italic tag. Renders using the Italic attribute for the current font.
<u></u>	Underline tag. Renders using the Underline attribute for the current font.
<font></font>	Font tag. Allows defining the font used to render the values between the start and end tags. Use the face, size, and color attributes to specify the values to use for the font element.

The following attributes are recognized for HTML markup in the Text property:

Attribute	Description
face	Font name to use for the HTML element. Must match the name for a font installed on the computer.
size	Font size for the HTML element. The unit measure for size is expressed in points (1/72 inch).
color	Font color for the HTML element. Font may be expressed as a decimal value (using #nnnnnn) or a color name (Red, Green, Blue, Lime, Maroon, etc).

Attributes attached to an HTML element must be enclosed in double quote characters ("). For instance:

  <font face="Arial" size="14" color="Navy">Title<br>

TJvMarkupViewer uses internal instances of TJvHTMLElementStack during parsing and rendering of HTML tags assigned to the Text property. TJvMarkupViewer implements overridden methods to handle Font and Text assignments to properties in the control, and to perform painting of the rendered control.

Use the MarginLeft, MarginRight, and MarginTop properties to control the spacing needed prior to the rendered HTML content for the control.

Use TJvMarkupLabel to render HTML markup in a Label component.

Created with Doc-O-Matic.


TJvMarkupViewer Properties

TJvMarkupViewer	Legend

Properties

 BackColor

 MarginLeft

 MarginRight

 MarginTop

 Text

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvMarkupViewer Methods

TJvMarkupViewer	Legend

Methods

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvMarkupViewer

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvMarkupViewer


TJvMarkupViewer Members

TJvMarkupViewer	Legend

Members

Properties

 BackColor

 MarginLeft

 MarginRight

 MarginTop

 Text

Methods

 Paint

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


See Also

TJvCustomControl, TJvMarkupLabel, TJvHTMLElementStack, TJvHTMLElement


Package

Jans


TJvMarkupViewer.BackColor property

TJvMarkupViewer	See Also	Edit topic

Background color used when rendering the HTML markup for the control.

Pascal

property BackColor: TColor;

Description

BackColor is a TColor property that specifies the background color used when rendering the HTML markup in the Text property. BackColor is used when Paint is called to render the HTML markup. The value in BackColor is assigned as both the Brush and Transparency colors for the Canvas used to draw the control.

The default value for BackColor is clWhite, as assigned in the constructor for the component. Changing the value in BackColor or Text causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupViewer.Paint, TJvMarkupViewer.Text


TJvMarkupViewer.MarginLeft property

TJvMarkupViewer	See Also	Edit topic

Specifies the left-hand margin for content rendered in the HTML-enabled control.

Pascal

property MarginLeft: Integer;

Description

MarginLeft is an Integer property that specifies the left-hand margin in pixels for content rendered in the HTML-enabled control. The default value for MarginLeft is 5.

MarginLeft, MarginRight, and MarginTop are used when rendering the HTML markup in the Text for the control using the Paint method. MarginLeft, MarginRight, and MarginTop determine the edge boundaries for the Alignment and Align properties within the client area for the control.

Changing the value in the MarginLeft, MarginRight, or MarginTop properties causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupViewer.MarginRight, TJvMarkupViewer.MarginTop, TJvMarkupViewer.Text, TJvMarkupViewer.Paint


TJvMarkupViewer.MarginRight property

TJvMarkupViewer	See Also	Edit topic

Specifies the right-hand margin for content rendered in the HTML-enabled control.

Pascal

property MarginRight: Integer;

Description

MarginRight is an Integer property that specifies the right-hand margin in pixels for content rendered in the HTML-enabled control. The default value for MarginRight is 5.

MarginLeft, MarginRight, and MarginTop are used when rendering the HTML markup in the Text for the control using the Paint method. MarginLeft, MarginRight, and MarginTop determine the edge boundaries for the Alignment and Align properties within the client area for the control.

Changing the value in the MarginLeft, MarginRight, or MarginTop properties causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupViewer.MarginLeft, TJvMarkupViewer.MarginTop, TJvMarkupViewer.Text, TJvMarkupViewer.Paint


TJvMarkupViewer.MarginTop property

TJvMarkupViewer	See Also	Edit topic

Specifies the top margin for content rendered in the HTML-enabled control.

Pascal

property MarginTop: Integer;

Description

MarginTop is an Integer property that specifies the top margin in pixels for content rendered in the HTML-enabled control. The default value for MarginTop is 5.

MarginLeft, MarginRight, and MarginTop are used when rendering the HTML markup in the Text for the control using the Paint method. MarginLeft, MarginRight, and MarginTop determine the edge boundaries for the Alignment and Align properties within the client area for the control.

Changing the value in the MarginLeft, MarginRight, or MarginTop properties causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvMarkupViewer.MarginLeft, TJvMarkupViewer.MarginRight, TJvMarkupViewer.Text, TJvMarkupViewer.Paint


TJvMarkupViewer.Text property

TJvMarkupViewer	See Also	Edit topic

HTML markup to render as the content of the control.

Pascal

property Text: TCaption;

Description

Text is a TCaption property that specifies the HTML markup rendered as the content for the HTML-enabled control. Values in the Text property are parsed into the HTML elements need to draw the contents of the control using the Paint method. Changing the value in either the Text or Font properties causes the control to be redrawn.

Text can contain plain text and any of the following HTML tags:

Tag	Description
<br>	Break tag. Performs a newline or carriage return when rendering the HTML tag.
<b></b>	Bold tag. Renders using the Bold attribute for the current font.
<i></i>	Italic tag. Renders using the Italic attribute for the current font.
<u></u>	Underline tag. Renders using the Underline attribute for the current font.
<font></font>	Font tag. Allows defining the font used to render the values between the start and end tags. Use the face, size, and color attributes to specify the values to use for the font element.

The following attributes are recognized for HTML markup in the Text property:

Attribute	Description
face	Font name to use for the HTML element. Must match the name for a font installed on the computer.
size	Font size for the HTML element. The unit measure for size is expressed in points (1/72 inch).
color	Font color for the HTML element. Font may be expressed as a decimal value (using #nnnnnn) or a color name (Red, Green, Blue, Lime, Maroon, etc).

Attributes attached to an HTML element must be enclosed in double quote characters ("). For instance:

  <font face="Arial" size="14" color="Navy">Title<br>

Use the MarginLeft, MarginRight, and MarginTop properties to control the spacing needed prior to the rendered HTML content for the control using the Alignment property.

Use BackColor to specify the default background color for HTML elements rendered in the control.

Created with Doc-O-Matic.


See Also

TJvHTMLElementStack, TJvHTMLElement, TJvMarkupViewer.MarginLeft, TJvMarkupViewer.MarginRight, TJvMarkupViewer.MarginTop, TJvMarkupViewer.BackColor


TJvMarkupViewer.Paint method

TJvMarkupViewer	See Also	Edit topic

Renders the HTML markup for the HTML-enabled control.

Pascal

procedure Paint; override;

Description

Paint is an overridden method in TJvMarkupViewer that implements rendering of the HTML markup in Text for the HTML-enabled control.

Rendering uses the Canvas for the control to recalculate the position for HTML elements found in the Text property. HTML element positions are relative to the values specified in the MarginLeft, MarginRight, and MarginTop properties. The value in MarginBottom is also added to the overall total height of the rendered control. The right boundary for the control is adjusted to allow space for drawing the ScrollBar for the control.

BackColor is used to set the background and transparency colors for the rendered HTML elements.

To provide scrollability, drawing HTML elements is performed on the Canvas for a TBitmap instance. Changes to the position of the ScrollBar cause the visible portion of the bitmap to be repositioned in the client area for the control.

Internally, Paint uses TJvHTMLElementStack and TJvHTMLElement to calculate the flow and alignment of the HTML elements in the client area of the control. This includes wrapping of HTML elements that cannot be draw in their entirety on the current line.

Created with Doc-O-Matic.


See Also

TJvMarkupViewer.Text, TJvMarkupViewer.MarginLeft, TJvMarkupViewer.MarginRight, TJvMarkupViewer.MarginTop, TJvMarkupViewer.BackColor, TJvHTMLElementStack, TJvHTMLElement


TJvMemInfo
JEDI-VCL Reference

TJvMemInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvMemInfo = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo Properties

TJvMemInfo	Legend

Properties

 FreePageFileMemory

 FreePhysicalMemory

 FreeVirtualMemory

 MaxAppAddress

 MemoryLoad

 MinAppAddress

 SwapFileSize

 SwapFileUsage

 TotalPageFileMemory

 TotalPhysicalMemory

 TotalVirtualMemory

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvMemInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvMemInfo


TJvMemInfo Members

TJvMemInfo	Legend

Members

Properties

 FreePageFileMemory

 FreePhysicalMemory

 FreeVirtualMemory

 MaxAppAddress

 MemoryLoad

 MinAppAddress

 SwapFileSize

 SwapFileUsage

 TotalPageFileMemory

 TotalPhysicalMemory

 TotalVirtualMemory

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvMemInfo.FreePageFileMemory property

TJvMemInfo	Edit topic

Not documented

Pascal

property FreePageFileMemory: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.FreePhysicalMemory property

TJvMemInfo	Edit topic

Not documented

Pascal

property FreePhysicalMemory: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.FreeVirtualMemory property

TJvMemInfo	Edit topic

Not documented

Pascal

property FreeVirtualMemory: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.MaxAppAddress property

TJvMemInfo	Edit topic

Not documented

Pascal

property MaxAppAddress: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.MemoryLoad property

TJvMemInfo	Edit topic

Not documented

Pascal

property MemoryLoad: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.MinAppAddress property

TJvMemInfo	Edit topic

Not documented

Pascal

property MinAppAddress: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.SwapFileSize property

TJvMemInfo	Edit topic

Not documented

Pascal

property SwapFileSize: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.SwapFileUsage property

TJvMemInfo	Edit topic

Not documented

Pascal

property SwapFileUsage: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.TotalPageFileMemory property

TJvMemInfo	Edit topic

Not documented

Pascal

property TotalPageFileMemory: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.TotalPhysicalMemory property

TJvMemInfo	Edit topic

Not documented

Pascal

property TotalPhysicalMemory: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMemInfo.TotalVirtualMemory property

TJvMemInfo	Edit topic

Not documented

Pascal

property TotalVirtualMemory: Int64;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMenuChangeLink
JEDI-VCL Reference

TJvMenuChangeLink

Hierarchy	Events	 See Also	Edit topic

This is the class of the object you need to pass to get notified of changes in the menu

Pascal

TJvMenuChangeLink = class(TObject);

File

JvMenus

Description

As with ImageLists, and starting with JVCL3, you can now get notified of changes in the menu. Simply register an object of that type with the menu you are interested in being notified, and the OnChange event will be triggered whenever needed.

Created with Doc-O-Matic.


TJvMenuChangeLink Events

TJvMenuChangeLink

Events

OnChange

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvMenuChangeLink


TJvMenuChangeLink Members

TJvMenuChangeLink

Members

Events

OnChange

Created with Doc-O-Matic.


See Also

OnChange


TJvMenuChangeLink.OnChange event

TJvMenuChangeLink	See Also	Edit topic

This event is triggered whenever a change occurred in the menu.

Pascal

TOnJvMenuChange = procedure (Sender: TJvMainMenu; Source: TMenuItem; Rebuild: Boolean) of object;
property OnChange: TOnJvMenuChange;

Parameters

Rebuild

True if the menu needs rebuilding

Source

The item that is the source of the change

Sender

The menu that has changed

Description

Unfortunately, the rebuild parameter cannot be trusted because it is always False, even when adding or removing elements in the menu. You then must devise your own method to discover a suitable value for Rebuild

Created with Doc-O-Matic.


See Also

TJvMainMenu.RegisterChanges


TJvMenuImageSize
JEDI-VCL Reference

TJvMenuImageSize

Hierarchy	Properties	 Edit topic

A TPersistent descendant to store the image size.

Pascal

TJvMenuImageSize = class(TPersistent);

File

JvMenus

Description

Please see TJvMainMenu.ImageSize or TJvPopupMenu.ImageSize

Created with Doc-O-Matic.


TJvMenuImageSize Properties

TJvMenuImageSize	Legend

Properties

 Height

 Width

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvMenuImageSize

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvMenuImageSize


TJvMenuImageSize Members

TJvMenuImageSize	Legend

Members

Properties

 Height

 Width

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvMenuImageSize.Height property

TJvMenuImageSize	See Also	Edit topic

The height of the image

Pascal

property Height: Integer;

Description

The height of the image

Created with Doc-O-Matic.


See Also

TJvMenuImageSize.Width


TJvMenuImageSize.Width property

TJvMenuImageSize	See Also	Edit topic

The width of the image

Pascal

property Width: Integer;

Description

The width of the image

Created with Doc-O-Matic.


See Also

TJvMenuImageSize.Height


TJvMetricsInfo
JEDI-VCL Reference

TJvMetricsInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvMetricsInfo = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo Properties

TJvMetricsInfo	Legend

Properties

 Arrange

 BorderHeight

 BorderWidth

 CaptionButtonheight

 CaptionButtonWidth

 CaretBlinkTime

 CaretX

 CaretY

 CleanBoot

 CodePageANSI

 CodePageOEM

 CursorHeight

 CursorWidth

 CursorX

 CursorY

 DBCSEnabled

 Debug

 DialogBaseUnits

 DialogFrameHeight

 DialogFrameWidth

 DoubleClickHeight

 DoubleClickTime

 DoubleClickWidth

 DragHeight

 DragWidth

 EdgeHeight

 EdgeWidth

 FixedFrameHeight

 FixedFrameWidth

 FrameHeight

 FrameWidth

 IconHeight

 IconSpacingHeight

 IconSpacingWidth

 IconWidth

 KanjiWindowHeight

 MaxDragWindowHeight

 MaxDragWindowWidth

 MaximizedWindowHeight

 MaximizedWindowWidth

 MenuButtonHeight

 MenuButtonWidth

 MenuCheckHeight

 MenuCheckWidth

 MenuItemHeight

 MenuRightAligned

 MidEastEnabled

 MinDragWindowHeight

 MinDragWindowWidth

 MinimizedWindowHeight

 MinimizedWindowSpacingHeight

 MinimizedWindowSpacingWidth

 MinimizedWindowWidth

 MinWindowHeight

 MinWindowWidth

 MouseButtons

 MouseButtonsSwapped

 MousePresent

 MouseWheelPresent

 Networked

 PenWindows

 ResizeBorderHeight

 ResizeBorderWidth

 ScreenClientHeight

 ScreenClientWidth

 ScreenHeight

 ScreenWidth

 ScrollArrowHeight

 ScrollArrowWidth

 ScrollHeight

 ScrollThumbHeight

 ScrollThumbWidth

 ScrollWidth

 Secure

 ShowSounds

 SlowMachine

 SmallCaptionButtonHeight

 SmallCaptionButtonWidth

 SmallIconHeight

 SmallIconWidth

 SmallWindowCaptionHeight

 WindowCaptionHeight

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvMetricsInfo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvMetricsInfo


TJvMetricsInfo Members

TJvMetricsInfo	Legend

Members

Properties

 Arrange

 BorderHeight

 BorderWidth

 CaptionButtonheight

 CaptionButtonWidth

 CaretBlinkTime

 CaretX

 CaretY

 CleanBoot

 CodePageANSI

 CodePageOEM

 CursorHeight

 CursorWidth

 CursorX

 CursorY

 DBCSEnabled

 Debug

 DialogBaseUnits

 DialogFrameHeight

 DialogFrameWidth

 DoubleClickHeight

 DoubleClickTime

 DoubleClickWidth

 DragHeight

 DragWidth

 EdgeHeight

 EdgeWidth

 FixedFrameHeight

 FixedFrameWidth

 FrameHeight

 FrameWidth

 IconHeight

 IconSpacingHeight

 IconSpacingWidth

 IconWidth

 KanjiWindowHeight

 MaxDragWindowHeight

 MaxDragWindowWidth

 MaximizedWindowHeight

 MaximizedWindowWidth

 MenuButtonHeight

 MenuButtonWidth

 MenuCheckHeight

 MenuCheckWidth

 MenuItemHeight

 MenuRightAligned

 MidEastEnabled

 MinDragWindowHeight

 MinDragWindowWidth

 MinimizedWindowHeight

 MinimizedWindowSpacingHeight

 MinimizedWindowSpacingWidth

 MinimizedWindowWidth

 MinWindowHeight

 MinWindowWidth

 MouseButtons

 MouseButtonsSwapped

 MousePresent

 MouseWheelPresent

 Networked

 PenWindows

 ResizeBorderHeight

 ResizeBorderWidth

 ScreenClientHeight

 ScreenClientWidth

 ScreenHeight

 ScreenWidth

 ScrollArrowHeight

 ScrollArrowWidth

 ScrollHeight

 ScrollThumbHeight

 ScrollThumbWidth

 ScrollWidth

 Secure

 ShowSounds

 SlowMachine

 SmallCaptionButtonHeight

 SmallCaptionButtonWidth

 SmallIconHeight

 SmallIconWidth

 SmallWindowCaptionHeight

 WindowCaptionHeight

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvMetricsInfo.Arrange property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property Arrange: TJvWindowsArrange;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.BorderHeight property

TJvMetricsInfo	See Also	Edit topic

Height of a window border, in pixels.

Pascal

property BorderHeight: Integer;

Description

  SM_CYBORDER

This is equivalent to the EdgeHeight value for windows with the 3-D look.

Created with Doc-O-Matic.


See Also

BorderWidth, EdgeHeight


TJvMetricsInfo.BorderWidth property

TJvMetricsInfo	See Also	Edit topic

Width of a window border, in pixels.

Pascal

property BorderWidth: Integer;

Description

  SM_CXBORDER

This is equivalent to the EdgeWidth value for windows with the 3-D look.

Created with Doc-O-Matic.


See Also

BorderHeight, EdgeWidth


TJvMetricsInfo.CaptionButtonheight property

TJvMetricsInfo	Edit topic

Height of a button in a window's caption or title bar, in pixels.

Pascal

property CaptionButtonheight: Integer;

Description

  SM_CYSIZE

Created with Doc-O-Matic.


TJvMetricsInfo.CaptionButtonWidth property

TJvMetricsInfo	Edit topic

Width of a button in a window's caption or title bar, in pixels.

Pascal

property CaptionButtonWidth: Integer;

Description

  SM_CXSIZE

Created with Doc-O-Matic.


TJvMetricsInfo.CaretBlinkTime property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CaretBlinkTime: LongWord;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.CaretX property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CaretX: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.CaretY property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CaretY: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.CleanBoot property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CleanBoot: TJvCleanBoot;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.CodePageANSI property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CodePageANSI: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.CodePageOEM property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CodePageOEM: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.CursorHeight property

TJvMetricsInfo	See Also	Edit topic

Height of a cursor, in pixels.

Pascal

property CursorHeight: Integer;

Description

  SM_CYCURSOR

The system cannot create cursors of other sizes.

Created with Doc-O-Matic.


See Also

CursorWidth


TJvMetricsInfo.CursorWidth property

TJvMetricsInfo	See Also	Edit topic

Width of a cursor, in pixels.

Pascal

property CursorWidth: Integer;

Description

  SM_CXCURSOR

The system cannot create cursors of other sizes.

Created with Doc-O-Matic.


See Also

CursorHeight


TJvMetricsInfo.CursorX property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CursorX: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.CursorY property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property CursorY: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.DBCSEnabled property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property DBCSEnabled: Boolean;

Description

  SM_DBCSENABLED

Nonzero if User32.dll supports DBCS; zero otherwise.

Windows Me/98/95: Nonzero if the double-byte character-set (DBCS) version of User.exe is installed; zero otherwise.

Created with Doc-O-Matic.


TJvMetricsInfo.Debug property

TJvMetricsInfo	Edit topic

Nonzero if the debug version of User.exe is installed; zero otherwise.

Pascal

property Debug: Boolean;

Description

  SM_DEBUG

Created with Doc-O-Matic.


TJvMetricsInfo.DialogBaseUnits property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property DialogBaseUnits: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.DialogFrameHeight property

TJvMetricsInfo	See Also	Edit topic

Not documented

Pascal

property DialogFrameHeight: Integer;

Description

  SM_CYDLGFRAME

Same as FixedFrameHeight.

Created with Doc-O-Matic.


See Also

FixedFrameHeight


TJvMetricsInfo.DialogFrameWidth property

TJvMetricsInfo	See Also	Edit topic

Not documented

Pascal

property DialogFrameWidth: Integer;

Description

  SM_CXDLGFRAME

Same as FixedFrameWidth.

Created with Doc-O-Matic.


See Also

FixedFrameWidth


TJvMetricsInfo.DoubleClickHeight property

TJvMetricsInfo	See Also	Edit topic

Height of the rectangle around the location of a first click in a double-click sequence, in pixels.

Pascal

property DoubleClickHeight: Integer;

Description

  SM_CYDOUBLECLK

The second click must occur within the rectangle defined by DoubleClickWidth and DoubleClickHeight for the system to consider the two clicks a double-click. (The two clicks must also occur within a specified time.)

Created with Doc-O-Matic.


See Also

DoubleClickWidth


TJvMetricsInfo.DoubleClickTime property

TJvMetricsInfo	Edit topic

Not documented

Pascal

property DoubleClickTime: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMetricsInfo.DoubleClickWidth property

TJvMetricsInfo	See Also	Edit topic

Width of the rectangle around the location of a first click in a double-click sequence, in pixels.

Pascal

property DoubleClickWidth: Integer;

Description

  SM_CXDOUBLECLK

The second click must occur within the rectangle defined by DoubleClickWidth and DoubleClickHeight for the system to consider the two clicks a double-click. (The two clicks must also occur within a specified time.)

Created with Doc-O-Matic.


See Also

DoubleClickHeight


TJvMetricsInfo.DragHeight property

TJvMetricsInfo	See Also	Edit topic

Height of a rectangle centered on a drag point to allow for limited movement of the mouse pointer before a drag operation begins, in pixels.

Pascal

property DragHeight: Integer;

Description

  SM_CYDRAG

It allows the user to click and release the mouse button easily without unintentionally starting a drag operation.

Created with Doc-O-Matic.


See Also

DragWidth


TJvMetricsInfo.DragWidth property

TJvMetricsInfo	See Also	Edit topic

Width of a rectangle centered on a drag point to allow for limited movement of the mouse pointer before a drag operation begins, in pixels.

Pascal

property DragWidth: Integer;

Description

  SM_CXDRAG

It allows the user to click and release the mouse button easily without unintentionally starting a drag operation.

Created with Doc-O-Matic.


See Also

DragHeight


TJvMetricsInfo.EdgeHeight property

TJvMetricsInfo	See Also	Edit topic

Height of a 3-D border, in pixels.

Pascal

property EdgeHeight: Integer;

Description

  SM_CYEDGE

This is the 3-D counterpart of BorderHeight.

Created with Doc-O-Matic.


See Also

EdgeWidth


TJvMetricsInfo.EdgeWidth property

TJvMetricsInfo	See Also	Edit topic

Width of a 3-D border, in pixels.

Pascal

property EdgeWidth: Integer;

Description

  SM_CXEDGE

This is the 3-D counterpart of BorderWidth.

Created with Doc-O-Matic.


See Also

EdgeHeight, BorderWidth


TJvMetricsInfo.FixedFrameHeight property

TJvMetricsInfo	Edit topic

Thickness of the frame around the perimeter of a window that has a caption but is not sizable, in pixels.

Pascal

property FixedFrameHeight: Integer;

Description

  SM_CYFIXEDFRAME

SM_CXFIXEDFRAME is the height of the horizontal border and SM_CYFIXEDFRAME is the width of the vertical border. Same as SM_CYDLGFRAME.

Created with Doc-O-Matic.


TJvMetricsInfo.FixedFrameWidth property

TJvMetricsInfo	Edit topic

Thickness of the frame around the perimeter of a window that has a caption but is not sizable, in pixels.

Pascal

property FixedFrameWidth: Integer;

Description

  SM_CXFIXEDFRAME

SM_CXFIXEDFRAME is the height of the horizontal border and SM_CYFIXEDFRAME is the width of the vertical border. Same as SM_CXDLGFRAME.

Created with Doc-O-Matic.


TJvMetricsInfo.FrameHeight property

TJvMetricsInfo	See Also	Edit topic

Not documented

Pascal

property FrameHeight: Integer;

Description

  SM_CYFRAME

Same as ResizeBorderHeight.

Created with Doc-O-Matic.


See Also

ResizeBorderHeight


TJvMetricsInfo.FrameWidth property

TJvMetricsInfo	See Also	Edit topic

Not documented

Pascal

property FrameWidth: Integer;

Description

  SM_CXFRAME

Same as ResizeBorderWidth.

Created with Doc-O-Matic.


See Also

ResizeBorderWidth


TJvMetricsInfo.IconHeight property

TJvMetricsInfo	Edit topic

Default height of an icon, in pixels.

Pascal

property IconHeight: Integer;

Description

  SM_CYICON

The LoadIcon function can load only icons with the dimensions SM_CXICON and SM_CYICON.

Created with Doc-O-Matic.


TJvMetricsInfo.IconSpacingHeight property

TJvMetricsInfo	Edit topic

Height of a grid cell for items in large icon view, in pixels.

Pascal

property IconSpacingHeight: Integer;

Description

  SM_CYICONSPACING

Each item fits into a rectangle of size SM_CXICONSPACING by SM_CYICONSPACING when arranged. This value is always greater than or equal to SM_CYICON.

Created with Doc-O-Matic.


TJvMetricsInfo.IconSpacingWidth property

TJvMetricsInfo	Edit topic

Width of a grid cell for items in large icon view, in pixels.

Pascal

property IconSpacingWidth: Integer;

Description

  SM_CXICONSPACING

Each item fits into a rectangle of size SM_CXICONSPACING by SM_CYICONSPACING when arranged. This value is always greater than or equal to SM_CXICON.

Created with Doc-O-Matic.


TJvMetricsInfo.IconWidth property

TJvMetricsInfo	Edit topic

Default width of an icon, in pixels.

Pascal

property IconWidth: Integer;

Description

  SM_CXICON

The LoadIcon function can load only icons with the dimensions specified by SM_CXICON and SM_CYICON.

Created with Doc-O-Matic.


TJvMetricsInfo.KanjiWindowHeight property

TJvMetricsInfo	Edit topic

For double byte character set versions of the system, this is the height of the Kanji window at the bottom of the screen, in pixels.

Pascal

property KanjiWindowHeight: Integer;

Description

  SM_CYKANJIWINDOW

Created with Doc-O-Matic.


TJvMetricsInfo.MaxDragWindowHeight property

TJvMetricsInfo	Edit topic

Default maximum height of a window that has a caption and sizing borders, in pixels.

Pascal

property MaxDragWindowHeight: Integer;

Description

  SM_CYMAXTRACK

This metric refers to the entire desktop. The user cannot drag the window frame to a size larger than these dimensions. A window can override this value by processing the WM_GETMINMAXINFO message.

Created with Doc-O-Matic.


TJvMetricsInfo.MaxDragWindowWidth property

TJvMetricsInfo	Edit topic

Default maximum width of a window that has a caption and sizing borders, in pixels.

Pascal

property MaxDragWindowWidth: Integer;

Description

  SM_CXMAXTRACK

This metric refers to the entire desktop. The user cannot drag the window frame to a size larger than these dimensions. A window can override this value by processing the WM_GETMINMAXINFO message.

Created with Doc-O-Matic.


TJvMetricsInfo.MaximizedWindowHeight property

TJvMetricsInfo	Edit topic

Default height, in pixels, of a maximized top-level window on the primary display monitor.

Pascal

property MaximizedWindowHeight: Integer;

Description

  SM_CYMAXIMIZED

Created with Doc-O-Matic.


TJvMetricsInfo.MaximizedWindowWidth property

TJvMetricsInfo	Edit topic

Default width, in pixels, of a maximized top-level window on the primary display monitor.

Pascal

property MaximizedWindowWidth: Integer;

Description

  SM_CXMAXIMIZED

Created with Doc-O-Matic.


TJvMetricsInfo.MenuButtonHeight property

TJvMetricsInfo	Edit topic

Height of menu bar buttons, such as the child window close button used in the multiple document interface, in pixels.

Pascal

property MenuButtonHeight: Integer;

Description

  SM_CYMENUSIZE

Created with Doc-O-Matic.


TJvMetricsInfo.MenuButtonWidth property

TJvMetricsInfo	Edit topic

Width of menu bar buttons, such as the child window close button used in the multiple document interface, in pixels.

Pascal

property MenuButtonWidth: Integer;

Description

  SM_CXMENUSIZE

Created with Doc-O-Matic.


TJvMetricsInfo.MenuCheckHeight property

TJvMetricsInfo	Edit topic

Height of the default menu check-mark bitmap, in pixels.

Pascal

property MenuCheckHeight: Integer;

Description

  SM_CYMENUCHECK

Created with Doc-O-Matic.


TJvMetricsInfo.MenuCheckWidth property

TJvMetricsInfo	Edit topic

Width of the default menu check-mark bitmap, in pixels.

Pascal

property MenuCheckWidth: Integer;

Description

  SM_CXMENUCHECK

Created with Doc-O-Matic.


TJvMetricsInfo.MenuItemHeight property

TJvMetricsInfo	Edit topic

Height of a single-line menu bar, in pixels.

Pascal

property MenuItemHeight: Integer;

Description

  SM_CYMENU

Created with Doc-O-Matic.


TJvMetricsInfo.MenuRightAligned property

TJvMetricsInfo	Edit topic

Nonzero if drop-down menus are right-aligned with the corresponding menu-bar item; zero if the menus are left-aligned.

Pascal

property MenuRightAligned: Boolean;

Description

  SM_MENUDROPALIGNMENT

Created with Doc-O-Matic.


TJvMetricsInfo.MidEastEnabled property

TJvMetricsInfo	Edit topic

Nonzero if the system is enabled for Hebrew and Arabic languages, zero if not.

Pascal

property MidEastEnabled: Boolean;

Description

  SM_MIDEASTENABLED

Created with Doc-O-Matic.


TJvMetricsInfo.MinDragWindowHeight property

TJvMetricsInfo	Edit topic

Minimum tracking height of a window, in pixels.

Pascal

property MinDragWindowHeight: Integer;

Description

  SM_CYMINTRACK

The user cannot drag the window frame to a size smaller than these dimensions. A window can override this value by processing the WM_GETMINMAXINFO message.

Created with Doc-O-Matic.


TJvMetricsInfo.MinDragWindowWidth property

TJvMetricsInfo	Edit topic

Minimum tracking width of a window, in pixels.

Pascal

property MinDragWindowWidth: Integer;

Description

  SM_CXMINTRACK

The user cannot drag the window frame to a size smaller than these dimensions. A window can override this value by processing the WM_GETMINMAXINFO message.

Created with Doc-O-Matic.


TJvMetricsInfo.MinimizedWindowHeight property

TJvMetricsInfo	Edit topic

Height of a minimized window, in pixels.

Pascal

property MinimizedWindowHeight: Integer;

Description

  SM_CYMINIMIZED

Created with Doc-O-Matic.


TJvMetricsInfo.MinimizedWindowSpacingHeight property

TJvMetricsInfo	See Also	Edit topic

Height of a grid cell for a minimized window, in pixels.

Pascal

property MinimizedWindowSpacingHeight: Integer;

Description

  SM_CYMINSPACING

Each minimized window fits into a rectangle this size when arranged. This value is always greater than or equal to MinimizedWindowHeight.

Created with Doc-O-Matic.


See Also

MinimizedWindowHeight


TJvMetricsInfo.MinimizedWindowSpacingWidth property

TJvMetricsInfo	See Also	Edit topic

Width of a grid cell for a minimized window, in pixels.

Pascal

property MinimizedWindowSpacingWidth: Integer;

Description

  SM_CXMINSPACING

Each minimized window fits into a rectangle this size when arranged. This value is always greater than or equal to MinimizedWindowWidth.

Created with Doc-O-Matic.


See Also

MinimizedWindowWidth


TJvMetricsInfo.MinimizedWindowWidth property

TJvMetricsInfo	See Also	Edit topic

Width of a minimized window, in pixels.

Pascal

property MinimizedWindowWidth: Integer;

Description

  SM_CXMINIMIZED

Created with Doc-O-Matic.


See Also

MinimizedWindowWidth


TJvMetricsInfo.MinWindowHeight property

TJvMetricsInfo	Edit topic

Minimum height of a window, in pixels.

Pascal

property MinWindowHeight: Integer;

Description

  SM_CYMIN

Created with Doc-O-Matic.


TJvMetricsInfo.MinWindowWidth property

TJvMetricsInfo	Edit topic

Minimum width of a window, in pixels.

Pascal

property MinWindowWidth: Integer;

Description

  SM_CXMIN

Created with Doc-O-Matic.


TJvMetricsInfo.MouseButtons property

TJvMetricsInfo	Edit topic

Number of buttons on mouse.

Pascal

property MouseButtons: Integer;

Description

  SM_CMOUSEBUTTONS

Number of buttons on mouse, or zero if no mouse is installed.

Created with Doc-O-Matic.


TJvMetricsInfo.MouseButtonsSwapped property

TJvMetricsInfo	Edit topic

Indicates whether the meanings of the left and right mouse buttons are swapped.

Pascal

property MouseButtonsSwapped: Boolean;

Description

  SM_SWAPBUTTON

True if the meanings of the left and right mouse buttons are swapped; False otherwise.

Created with Doc-O-Matic.


TJvMetricsInfo.MousePresent property

TJvMetricsInfo	See Also	Edit topic

Indicates whether a mouse is installed.

Pascal

property MousePresent: Boolean;

Description

  SM_MOUSEPRESENT

True if a mouse is installed, False otherwise. This value is rarely False, because of support for virtual mice and because some systems detect the presence of the port instead of the presence of a mouse.

Created with Doc-O-Matic.


See Also

MouseWheelPresent


TJvMetricsInfo.MouseWheelPresent property

TJvMetricsInfo	See Also	Edit topic

Specifies whether a mouse with a wheel is installed.

Pascal

property MouseWheelPresent: Boolean;

Description

  SM_MOUSEWHEELPRESENT

True if a mouse with a wheel is installed; False otherwise.

Windows NT 3.51 and earlier and Windows 95: This value is not supported.

Created with Doc-O-Matic.


See Also

MousePresent


TJvMetricsInfo.Networked property

TJvMetricsInfo	Edit topic

Indicates whether a network is present.

Pascal

property Networked: Boolean;

Description

  SM_NETWORK

Created with Doc-O-Matic.


TJvMetricsInfo.PenWindows property

TJvMetricsInfo	Edit topic

Indicates whether the Microsoft Windows for Pen computing extensions are installed.

Pascal

property PenWindows: Boolean;

Description

  SM_PENWINDOWS

Created with Doc-O-Matic.


TJvMetricsInfo.ResizeBorderHeight property

TJvMetricsInfo	Edit topic

Thickness of the sizing border around the perimeter of a window that can be resized, in pixels.

Pascal

property ResizeBorderHeight: Integer;

Description

  SM_CYSIZEFRAME

ResizeBorderWidth is the width of the horizontal border, and ResizeBorderHeight is the height of the vertical border. Same as SM_CYFRAME.

Created with Doc-O-Matic.


TJvMetricsInfo.ResizeBorderWidth property

TJvMetricsInfo	Edit topic

Thickness of the sizing border around the perimeter of a window that can be resized, in pixels.

Pascal

property ResizeBorderWidth: Integer;

Description

  SM_CXSIZEFRAME

ResizeBorderWidth is the width of the horizontal border, and ResizeBorderHeight is the height of the vertical border. Same as SM_CXFRAME.

Created with Doc-O-Matic.


TJvMetricsInfo.ScreenClientHeight property

TJvMetricsInfo	See Also	Edit topic

Height of the client area for a full-screen window on the primary display monitor, in pixels.

Pascal

property ScreenClientHeight: Integer;

Description

  SM_CYFULLSCREEN

To get the coordinates of the portion of the screen not obscured by the system taskbar or by application desktop toolbars, read the TJvSystemParametersInfo.WorkArea property.

Created with Doc-O-Matic.


See Also

ScreenClientWidth


TJvMetricsInfo.ScreenClientWidth property

TJvMetricsInfo	See Also	Edit topic

Width of the client area for a full-screen window on the primary display monitor, in pixels.

Pascal

property ScreenClientWidth: Integer;

Description

  SM_CXFULLSCREEN

To get the coordinates of the portion of the screen not obscured by the system taskbar or by application desktop toolbars, read the TJvSystemParametersInfo.WorkArea property.

Created with Doc-O-Matic.


See Also

ScreenClientHeight


TJvMetricsInfo.ScreenHeight property

TJvMetricsInfo	Edit topic

Height of the screen of the primary display monitor, in pixels.

Pascal

property ScreenHeight: Integer;

Description

  SM_CYSCREEN

This is the same values obtained by calling GetDeviceCaps as follows: GetDeviceCaps( hdcPrimaryMonitor, VERTRES).

Created with Doc-O-Matic.


TJvMetricsInfo.ScreenWidth property

TJvMetricsInfo	Edit topic

Width of the screen of the primary display monitor, in pixels.

Pascal

property ScreenWidth: Integer;

Description

  SM_CXSCREEN

This is the same values obtained by calling GetDeviceCaps as follows: GetDeviceCaps( hdcPrimaryMonitor, HORZRES).

Created with Doc-O-Matic.


TJvMetricsInfo.ScrollArrowHeight property

TJvMetricsInfo	Edit topic

Height of a horizontal scroll bar, in pixels.

Pascal

property ScrollArrowHeight: Integer;

Description

  SM_CYHSCROLL

Created with Doc-O-Matic.


TJvMetricsInfo.ScrollArrowWidth property

TJvMetricsInfo	Edit topic

Width of the arrow bitmap on a horizontal scroll bar, in pixels.

Pascal

property ScrollArrowWidth: Integer;

Description

  SM_CXHSCROLL

Created with Doc-O-Matic.


TJvMetricsInfo.ScrollHeight property

TJvMetricsInfo	Edit topic

Height of the arrow bitmap on a vertical scroll bar, in pixels.

Pascal

property ScrollHeight: Integer;

Description

  SM_CYVSCROLL

Created with Doc-O-Matic.


TJvMetricsInfo.ScrollThumbHeight property

TJvMetricsInfo	Edit topic

Height of the thumb box in a vertical scroll bar, in pixels.

Pascal

property ScrollThumbHeight: Integer;

Description

  SM_CYVTHUMB

Created with Doc-O-Matic.


TJvMetricsInfo.ScrollThumbWidth property

TJvMetricsInfo	Edit topic

Width of the thumb box in a horizontal scroll bar, in pixels.

Pascal

property ScrollThumbWidth: Integer;

Description

  SM_CXHTHUMB

Created with Doc-O-Matic.


TJvMetricsInfo.ScrollWidth property

TJvMetricsInfo	Edit topic

Width of a vertical scroll bar, in pixels.

Pascal

property ScrollWidth: Integer;

Description

  SM_CXVSCROLL

Created with Doc-O-Matic.


TJvMetricsInfo.Secure property

TJvMetricsInfo	Edit topic

Nonzero if security is present; zero otherwise.

Pascal

property Secure: Boolean;

Description

  SM_SECURE

Created with Doc-O-Matic.


TJvMetricsInfo.ShowSounds property

TJvMetricsInfo	See Also	Edit topic

Determines whether the Show Sounds accessibility flag is on or off.

Pascal

property ShowSounds: Boolean;

Description

  SM_SHOWSOUNDS

If it is on, the user requires an application to present information visually in situations where it would otherwise present the information only in audible form. True if the feature is on, or False if it is off.

Created with Doc-O-Matic.


See Also

TJvSystemParametersInfo.ShowSounds


TJvMetricsInfo.SlowMachine property

TJvMetricsInfo	Edit topic

Nonzero if the computer has a low-end (slow) processor; zero otherwise.

Pascal

property SlowMachine: Boolean;

Description

  SM_SLOWMACHINE

Created with Doc-O-Matic.


TJvMetricsInfo.SmallCaptionButtonHeight property

TJvMetricsInfo	Edit topic

Height of small caption buttons, in pixels.

Pascal

property SmallCaptionButtonHeight: Integer;

Description

  SM_CYSMSIZE

Created with Doc-O-Matic.


TJvMetricsInfo.SmallCaptionButtonWidth property

TJvMetricsInfo	Edit topic

Width of small caption buttons, in pixels.

Pascal

property SmallCaptionButtonWidth: Integer;

Description

  SM_CXSMSIZE

Created with Doc-O-Matic.


TJvMetricsInfo.SmallIconHeight property

TJvMetricsInfo	Edit topic

Recommended height of a small icon, in pixels.

Pascal

property SmallIconHeight: Integer;

Description

  SM_CYSMICON

Small icons typically appear in window captions and in small icon view.

Created with Doc-O-Matic.


TJvMetricsInfo.SmallIconWidth property

TJvMetricsInfo	Edit topic

Recommended width of a small icon, in pixels.

Pascal

property SmallIconWidth: Integer;

Description

  SM_CXSMICON

Small icons typically appear in window captions and in small icon view.

Created with Doc-O-Matic.


TJvMetricsInfo.SmallWindowCaptionHeight property

TJvMetricsInfo	Edit topic

Height of a small caption, in pixels.

Pascal

property SmallWindowCaptionHeight: Integer;

Description

  SM_CYSMCAPTION

Created with Doc-O-Matic.


TJvMetricsInfo.WindowCaptionHeight property

TJvMetricsInfo	Edit topic

Height of a caption area, in pixels.

Pascal

property WindowCaptionHeight: Integer;

Description

  SM_CYCAPTION

Created with Doc-O-Matic.


TJvMIMEAssociationDialog
JEDI-VCL Reference

TJvMIMEAssociationDialog

Hierarchy	Properties	Methods	 Edit topic

Displays the unregistered MIME content type dialog.

Pascal

TJvMIMEAssociationDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

TJvMIMEAssociationDialog is a wrapper for the MIMEAssociationDialog Windows API. It can display the unregistered Multipurpose Internet Mail Extensions (MIME) content type dialog, do this by calling the Execute method. This dialog allows the user to select an application to associate with a previously unknown MIME content type.

You have to specify a name of file - by using property FileName - that contains data of ContentType's content type. The function will return a value in ReturnValue that indicates whether the MIME content type is associated with the extension, and if so AssociatedApp indicates the path of the application selected by the user.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvMIMEAssociationDialog Properties

TJvMIMEAssociationDialog	Legend

Properties

 AssociatedApp

 ContentType

 FileName

 Options

 ReturnValue

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvMIMEAssociationDialog Methods

TJvMIMEAssociationDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvMIMEAssociationDialog

Legend

read only

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvMIMEAssociationDialog


TJvMIMEAssociationDialog Members

TJvMIMEAssociationDialog	Legend

Members

Properties

 AssociatedApp

 ContentType

 FileName

 Options

 ReturnValue

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

read only

published

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

published

virtual

abstract


TJvMIMEAssociationDialog.AssociatedApp property

TJvMIMEAssociationDialog	See Also	Edit topic

Indicates the path of the application selected by the user.

Pascal

property AssociatedApp: string;

Description

After calling Execute, property AssociatedApp contains the path and filename to the associated application if the user didn't cancel the dialog.

Created with Doc-O-Matic.


See Also

Execute


TJvMIMEAssociationDialog.ContentType property

TJvMIMEAssociationDialog	See Also	Edit topic

Specifies the unregistered content type for which an application is sought.

Pascal

property ContentType: string;

Description

Use ContentType to specify the unregistered content type for which an application is sought.

Created with Doc-O-Matic.


See Also

Execute, TJvMIMEAssociationDialog.FileName


TJvMIMEAssociationDialog.FileName property

TJvMIMEAssociationDialog	See Also	Edit topic

Specifies the name of a file containing data of ContentType's content type.

Pascal

property FileName: TFileName;

Description

Use FileName to specify the name of a file. The file must conform to the content type described by property ContentType.

Notes

FileName must contain an extension.

Created with Doc-O-Matic.


See Also

Execute, TJvMIMEAssociationDialog.ContentType


TJvMIMEAssociationDialog.Options property

TJvMIMEAssociationDialog	Edit topic

Specifies options for the dialog.

Pascal

property Options: TJvMIMEAssociationOptions;

Description

Use the Options property to customize the appearance and functionality of the dialog. By default, all options are off.

Created with Doc-O-Matic.


TJvMIMEAssociationDialog.ReturnValue property

TJvMIMEAssociationDialog	See Also	Edit topic

Indicates the value returned by the function called by Execute.

Pascal

property ReturnValue: HRESULT;

Description

The TJvMIMEAssociationDialog component is a wrapper for the MIMEAssociationDialog Windows API. When you call Execute, this Windows API is executed, and the return value of that function is stored in ReturnValue.

Possible return values are:

Value	Meaning
S_OK	If the MIME content type is associated with the extension. The extension is associated as the default extension for the content type.
S_FALSE	If nothing is registered.
E_ABORT	The user canceled the operation.
E_FLAGS	The options specified by Options are invalid.
E_OUTOFMEMORY	Not enough memory to complete the operation.
E_POINTER	One of the values of the properties is invalid.
Created with Doc-O-Matic.


See Also

Execute


TJvMIMEAssociationDialog.Execute method

TJvMIMEAssociationDialog	See Also	Edit topic

Displays the unregistered MIME content type dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true if the MIME content type is associated with the extension. Otherwise returns false.

Description

Call Execute to display the unregistered MIME content type dialog.

Created with Doc-O-Matic.


See Also

TJvMIMEAssociationDialog.ContentType, TJvMIMEAssociationDialog.FileName


TJvMinimizedMetrics
JEDI-VCL Reference

TJvMinimizedMetrics

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvMinimizedMetrics = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMinimizedMetrics Properties

TJvMinimizedMetrics	Legend

Properties

 Arrange

 HorzGap

NativeType

 VertGap

 Width

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvMinimizedMetrics

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvMinimizedMetrics


TJvMinimizedMetrics Members

TJvMinimizedMetrics	Legend

Members

Properties

 Arrange

 HorzGap

NativeType

 VertGap

 Width

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvMinimizedMetrics.Arrange property

TJvMinimizedMetrics	Edit topic

Not documented

Pascal

property Arrange: TJvWindowsArrange;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMinimizedMetrics.HorzGap property

TJvMinimizedMetrics	Edit topic

Not documented

Pascal

property HorzGap: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMinimizedMetrics.NativeType property

TJvMinimizedMetrics	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: MINIMIZEDMETRICS;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvMinimizedMetrics.VertGap property

TJvMinimizedMetrics	Edit topic

Not documented

Pascal

property VertGap: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMinimizedMetrics.Width property

TJvMinimizedMetrics	Edit topic

Not documented

Pascal

property Width: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo
JEDI-VCL Reference

TJvMiscInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvMiscInfo = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo Properties

TJvMiscInfo	Legend

Properties

 ColorSchemes

 CurrentColorScheme

 DVDRegion

 HardwareProfile

 NetBIOS

 Online

 Pattern

 ScreenSaver

 TimeRunning

 TimeRunningAsString

 Versions

 Wallpaper

 WallpaperStyle

 WallpaperTiled

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvMiscInfo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvMiscInfo


TJvMiscInfo Members

TJvMiscInfo	Legend

Members

Properties

 ColorSchemes

 CurrentColorScheme

 DVDRegion

 HardwareProfile

 NetBIOS

 Online

 Pattern

 ScreenSaver

 TimeRunning

 TimeRunningAsString

 Versions

 Wallpaper

 WallpaperStyle

 WallpaperTiled

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvMiscInfo.ColorSchemes property

TJvMiscInfo	Edit topic

Not documented

Pascal

property ColorSchemes: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.CurrentColorScheme property

TJvMiscInfo	Edit topic

Not documented

Pascal

property CurrentColorScheme: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.DVDRegion property

TJvMiscInfo	Edit topic

Not documented

Pascal

property DVDRegion: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.HardwareProfile property

TJvMiscInfo	Edit topic

Not documented

Pascal

property HardwareProfile: TJvHardwareProfile;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.NetBIOS property

TJvMiscInfo	Edit topic

Not documented

Pascal

property NetBIOS: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.Online property

TJvMiscInfo	Edit topic

Not documented

Pascal

property Online: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.Pattern property

TJvMiscInfo	Edit topic

Not documented

Pascal

property Pattern: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.ScreenSaver property

TJvMiscInfo	Edit topic

Provides access to the location of the screensaver.

Pascal

property ScreenSaver: string;

Description

Read ScreenSaver to access the location of the current screen saver file. Change ScreenSaver to set a new ScreenSaver. Setting ScreenSaver to an empty string, disables the screen saver completely.

Created with Doc-O-Matic.


TJvMiscInfo.TimeRunning property

TJvMiscInfo	See Also	Edit topic

Returns the time elapsed since the computer was started.

Pascal

property TimeRunning: Int64;

Description

Read TimeRunning to determine the time elapsed since the computer was started. The returned value is in milliseconds. Note that this method uses GetTickCount so if the computer has been running for more than 42 days, the counter will rollover to 0 and the returned value will be incorrect.

Created with Doc-O-Matic.


See Also

TimeRunningAsString


TJvMiscInfo.TimeRunningAsString property

TJvMiscInfo	See Also	Edit topic

Returns the time elapsed since the computer was started, formatted as a string.

Pascal

property TimeRunningAsString: string;

Description

Read TimeRunningAsString to get the time elapsed since the computer was started as a string. The returned value is preformatted as the number of days, hours, minutes and seconds. Note that this method uses GetTickCount so if the computer has been running for more than 42 days, the counter will rollover to 0 and the returned value will be incorrect.

Created with Doc-O-Matic.


See Also

TimeRunning


TJvMiscInfo.Versions property

TJvMiscInfo	Edit topic

Not documented

Pascal

property Versions: TJvAppVersions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.Wallpaper property

TJvMiscInfo	Edit topic

Not documented

Pascal

property Wallpaper: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.WallpaperStyle property

TJvMiscInfo	Edit topic

Not documented

Pascal

property WallpaperStyle: TJvWallpaperStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMiscInfo.WallpaperTiled property

TJvMiscInfo	Edit topic

Not documented

Pascal

property WallpaperTiled: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvModernTabBarPainter
JEDI-VCL Reference

 TJvModernTabBarPainter

Hierarchy	Properties	Package	 See Also	Edit topic

Implements the Modern drawing style for rendering tabs on a tabbed-bar control.

Pascal

TJvModernTabBarPainter = class(TJvTabBarPainter);

File

JvTabBar

Description

TJvModernTabBarPainter is a TJvTabBarPainter descendant that implements a component used to measure and render tabs defined in a TJvCustomTabBar control.

TJvModernTabBarPainter implements a specific drawing style that features separate fonts and colors for Selected and Disabled tabs on a TJvCustomTabBar control. This includes drawing close buttons on tabs using different colors for modified versus unmodified tabs. The drawing style is defined using the properties introduced in the renderer, including:

Color

BorderColor

DividerColor

TabColor

ControlDivideColor

CloseColor

CloseColorSelected

CloseCrossColor

CloseCrossColorDisabled

CloseCrossColorSelected

CloseRectColor

CloseRectColorDisabled

ModifiedCrossColor

MoveDividerColor

Font

DisabledFont

SelectedFont

The Create constructor allocates the resources required for properties in the class instance, and sets the default property values for the Modern drawing style.

TJvModernTabBarPainter implements abstract virtual methods declared in the ancestor class, including:

DrawBackground

DrawTab

DrawDivider

DrawMoveDivider

GetDividerWidth

GetTabSize

GetCloseRect

Options

Assign a TJvModernTabBarPainter instance to the Painter property in TJvCustomTabBar to use the Modern drawing style when rendering tabs.

Created with Doc-O-Matic.


TJvModernTabBarPainter Properties

TJvModernTabBarPainter	Legend

Properties

 BorderColor

 CloseColor

 CloseColorSelected

 CloseCrossColor

 CloseCrossColorDisabled

 CloseCrossColorSelected

 CloseRectColor

 CloseRectColorDisabled

 Color

 ControlDivideColor

 DisabledFont

 DividerColor

 Font

 ModifiedCrossColor

 MoveDividerColor

 SelectedFont

 TabColor

 TabWidth

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvModernTabBarPainter

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvTabBarPainter
        TJvModernTabBarPainter


TJvModernTabBarPainter Members

TJvModernTabBarPainter	Legend

Members

Properties

 BorderColor

 CloseColor

 CloseColorSelected

 CloseCrossColor

 CloseCrossColorDisabled

 CloseCrossColorSelected

 CloseRectColor

 CloseRectColorDisabled

 Color

 ControlDivideColor

 DisabledFont

 DividerColor

 Font

 ModifiedCrossColor

 MoveDividerColor

 SelectedFont

 TabColor

 TabWidth

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvTabBarPainter TJvCustomTabBar.Painter


Package

Custom


TJvModernTabBarPainter.BorderColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw borders for the tabbed-bar control.

Pascal

property BorderColor: TColor;

Description

BorderColor is a TColor property that indicates the color used to draw the border for a tabbed-bar control opposite it's orientation.

BorderColor is used to draw all of the borders for the tabbed-bar control except the area drawn using the ControlDivideColor.

The default value for BorderColor is clSilver, as assigned in the constructor for the object instance. Changing the value in BorderColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use Color to specify the color for unselected tabs on the tabbed-bar control.

Use TabColor to specify the color for the selected tab on the tabbed-bar control.

Use DividerColor to specify the color for dividers drawn between tabs on the tabbed-bar control.

Created with Doc-O-Matic.


See Also

OnChange, Color, TabColor, DividerColor, ControlDivideColor


TJvModernTabBarPainter.CloseColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw a tab that is closing.

Pascal

property CloseColor: TColor;

Description

CloseColor is a TColor property that indicates the color to use when drawing a tab that is in the process of closing. A tab is marked as Closing in the TJvTabBarItem.Closing property, and causes the focus rectangle and tab color to be drawn using the values that reflect the tab state.

CloseColor is used in the protected DrawTab method to set the color when drawing the tab.

The default value for CloseColor is clWhite, as assigned in the constructor for the object instance. Changing the value in CloseColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseColorDisabled to specify the color used to draw a disabled tab that is closing.

Use CloseColorSelected to specify the color used to draw the selected tab when it is closing.

Use CloseRectColor or CloseRectColorDisabled to specify the color for the mouse focus rectangle for tabs in the relevant state.

Created with Doc-O-Matic.


See Also

OnChange, TJvTabBarItem.Closing, CloseColorDisabled, CloseColorSelected, CloseRectColor, CloseRectColorDisabled


TJvModernTabBarPainter.CloseColorSelected property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw the selected tab when it is closing.

Pascal

property CloseColorSelected: TColor;

Description

CloseColorSelected is a TColor property that indicates the color to use when drawing the selected tab when it is in the process of closing. A tab is marked as Closing in the TJvTabBarItem.Closing property, and causes the focus rectangle and tab color to be drawn using the values that reflect the tab state.

CloseColorSelected is used in the protected DrawTab method to set the color when drawing the tab.

The default value for CloseColorSelected is $F4F4F4, as assigned in the constructor for the object instance. Changing the value in CloseColorSelected causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseColor to specify the color used to draw enabled but unselected tabs.

Use CloseColorDisabled to specify the color used to draw a disabled tab that is closing.

Use CloseRectColor or CloseRectColorDisabled to specify the color for the mouse focus rectangle for tabs in the relevant state.

Created with Doc-O-Matic.


See Also

OnChange, TJvTabBarItem.Closing, CloseColorDisabled, CloseColor, CloseRectColor, CloseRectColorDisabled


TJvModernTabBarPainter.CloseCrossColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw the close symbol on a tab in a tabbed-bar control.

Pascal

property CloseCrossColor: TColor;

Description

CloseCrossColor is a TColor property that indicates the color used to draw the close symbol on a tab in a tabbed-bar control. CloseCrossColor is used in the protected DrawTab method to set the pen color when drawing the symbol on the close button.

The default value for CloseCrossColor is $5D5D5D, as assigned in the constructor for the object instance. Changing the value in CloseCrossColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseCrossColorSelected to specify the color for the close symbol on the select tab.

Use CloseCrossColorDisabled to specify the color for the close symbol on a disabled tab.

Use ModifiedCrossColor to specify the color for the close symbol on a tab that has been modified.

Use CloseColor or CloseColorSelected to specify the color used to draw a tab that is closing.

Use CloseRectColor or CloseRectColorDisabled to specify the color used for the mouse focus rectangle on a tab in the relevant state.

Created with Doc-O-Matic.


See Also

OnChange, TJvTabBarItem.Enabled, ModifiedCrossColor, CloseCrossColorSelected, CloseCrossColorDisabled, CloseColor, CloseColorSelected, CloseRectColor, CloseRectColorDisabled


TJvModernTabBarPainter.CloseCrossColorDisabled property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw the close symbol on a disabled tab.

Pascal

property CloseCrossColorDisabled: TColor;

Description

CloseCrossColorDisabled is a TColor property that indicates the color used to draw the close symbol on a tab that has been disabled. The tab is disabled when the TJvTabBarItem.Enabled property contains False.

CloseCrossColorDisabled is used in the protected DrawTab method to set the pen color when drawing the symbol on the close button.

The default value for CloseCrossColorDisabled is $ADADAD, as assigned in the constructor for the object instance. Changing the value in CloseCrossColorDisabled causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseCrossColor to specify the color for the close symbol on unselected tabs.

Use ModifiedCrossColor to specify the color for the close symbol on a tab that has been modified.

Use CloseColor or CloseColorSelected to specify the color used to draw a tab that is closing.

Use CloseRectColor or CloseRectColorDisabled to specify the color used for the mouse focus rectangle on a tab in the relevant state.

Created with Doc-O-Matic.


See Also

OnChange, TJvTabBarItem.Enabled, ModifiedCrossColor, CloseCrossColor, CloseCrossColorSelected, CloseColor, CloseColorSelected, CloseRectColor, CloseRectColorDisabled


TJvModernTabBarPainter.CloseCrossColorSelected property

TJvModernTabBarPainter	See Also	Edit topic

Color for the close symbol on the selected tab in a tabbed-bar control.

Pascal

property CloseCrossColorSelected: TColor;

Description

CloseCrossColorSelected is a TColor property that indicates the color used to draw the symbol on the close button for a tab that has its' Selected property set to True.

CloseCrossColorSelected is used in the protected DrawTab method to set the pen color when drawing the symbol on the close button.

The default value for CloseCrossColorSelected is clBlack, as assigned in the constructor for the object instance. Changing the value in CloseCrossColorSelected causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseCrossColor to specify the color for the close symbol on unselected tabs.

Use ModifiedCrossColor to specify the color for the close symbol on a tab that has been modified.

Use CloseCrossColorDisabled to specify the color for the close symbol on disabled tabs.

Use CloseColor or CloseColorSelected to specify the color used to draw a tab that is closing.

Use CloseRectColor or CloseRectColorDisabled to specify the color used for the mouse focus rectangle on a tab in the relevant state.

Created with Doc-O-Matic.


See Also

OnChange, TJvTabBarItem.Modified, ModifiedCrossColor, CloseCrossColor, CloseCrossColorSelected, CloseCrossColorDisabled, CloseColor, CloseColorSelected, CloseRectColor, CloseRectColorDisabled


TJvModernTabBarPainter.CloseRectColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw the focus rectangle for a tab that is closing.

Pascal

property CloseRectColor: TColor;

Description

CloseRectColor is a TColor property that specifies the color used to draw the focus rectangle for a tab that is in the process of closing. A tab is marked as Closing in the TJvTabBarItem.Closing property, and causes the focus rectangle and tab color to be drawn using the values that reflect the tab state.

CloseRectColor is used in the protected DrawTab method to set the color when drawing the tab.

The default value for CloseRectColor is $868686, as assigned in the constructor for the object instance. Changing the value in CloseRectColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseRectColorDisabled to specify the focus rectangle color for disabled tabs.

Created with Doc-O-Matic.


See Also

TJvTabBarItem.Closing, OnChange, CloseRectColorDisabled


TJvModernTabBarPainter.CloseRectColorDisabled property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw the focus rectangle for a disabled tab that is closing.

Pascal

property CloseRectColorDisabled: TColor;

Description

CloseRectColorDisabled is a TColor property that specifies the color used to draw the focus rectangle for a disabled tab that is in the process of closing. A tab is marked as Closing in the TJvTabBarItem.Closing property, and causes the focus rectangle and tab color to be drawn using the values that reflect the tab state.

CloseRectColorDisabled is used in the protected DrawTab method to set the color when drawing the tab.

The default value for CloseRectColorDisabled is $D6D6D6, as assigned in the constructor for the object instance. Changing the value in CloseRectColorDisabled causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseRectColor to specify the focus rectangle color for an enabled but unselected tab.

Created with Doc-O-Matic.


See Also

TJvTabBarItem.Closing, OnChange, CloseRectColor


TJvModernTabBarPainter.Color property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw unselected tabs in a tabbed-bar control.

Pascal

property Color: TColor;

Description

Color is a TColor property that indicates the color used to draw unselected tabs in the tabbed-bar control.

Color is used when the protected DrawTab method is called after selecting a tab with the mouse or by changing the active tab in program code.

The default value for Color is clWindow, as assigned in the constructor for the object instance. Changing the value in Color causes the OnChange event handler to be signaled, and the control is redrawn.

Use TabColor to specify the color for the selected tab on the tabbed-bar control.

Use BorderColor to specify the color for the border drawn along the opposing edge of the tabbed-bar control.

Use DividerColor to specify the color for dividers drawn between tabs on the tabbed-bar control.

Use BorderColor and ControlDivideColor to specify the colors for the borders drawn around the tabbed-bar control.

Created with Doc-O-Matic.


See Also

OnChange, TabColor, BorderColor, DividerColor, ControlDivideColor


TJvModernTabBarPainter.ControlDivideColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw the border aligned with the orientation of a tabbed-bar control.

Pascal

property ControlDivideColor: TColor;

Description

ControlDivideColor is a TColor property that indicates the color used to draw the divider that separates the tabbed-bar control and any controls aligned to edge that is the Orientation for the control.

When TJvCustomTabBar.Orientation contains the value toBottom, ControlDivideColor is used to draw the line at the top of the tabbed-bar control. When TJvCustomTabBar.Orientation contains the value toTop, the control divider is drawn along the bottom edge.

ControlDivideColor is used when the protected DrawTab method is called after selecting a tab with the mouse or by changing the active tab in program code.

The default value for ControlDivideColor is clBlack, as assigned in the constructor for the object instance. Changing the value in ControlDivideColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use Color to specify the color for unselected tabs on the tabbed-bar control.

Use TabColor to specify the color for the selected tab on the tabbed-bar control.

Use BorderColor to specify the color for the border drawn along the opposing edge of the tabbed-bar control.

Use DividerColor to specify the color for dividers drawn between tabs on the tabbed-bar control.

Created with Doc-O-Matic.


See Also

OnChange, Color, TabColor, BorderColor, DividerColor


TJvModernTabBarPainter.DisabledFont property

TJvModernTabBarPainter	See Also	Edit topic

Font used to render captions for disabled tabs on a tabbed-bar control.

Pascal

property DisabledFont: TFont;

Description

DisabledFont is a TFont property that represents the font used to draw the text for disabled tabs on a tabbed-bar control. Font is used to render the Caption for TJvTabBarItem instances defined in the Tabs for the control when the tab has its' Enabled property set to False.

Font is assigned to the TCanvas used to draw the tab in the protected TJvModernTabBarPainter.DrawTab method.

Use Font to specify the font used for tab items with their Enabled property set to True.

Use SelectedFont to specify the font used for the currently selected tab item.

Created with Doc-O-Matic.


See Also

Font, SelectedFont, TJvModernTabBarPainter.DrawTab


TJvModernTabBarPainter.DividerColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used when drawing dividers between tabs on the tabbed-bar control.

Pascal

property DividerColor: TColor;

Description

DividerColor is a TColor property that indicates the color used when drawing dividers between tabs on a tabbed-bar control. TabColor is used when the protected DrawTab method is called after selecting a tab with the mouse or by changing the active tab in program code.

The default value for DividerColor is $99A8AC, as assigned in the constructor for the object instance. Changing the value in DividerColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use Color to specify the color for unselected tabs on the tabbed-bar control.

Use TabColor to specify the color for the selected tab on the tabbed-bar control.

Use BorderColor and ControlDivideColor to specify the colors for the borders drawn around the tabbed-bar control.

Created with Doc-O-Matic.


See Also

OnChange, Color, TabColor, BorderColor, ControlDivideColor


TJvModernTabBarPainter.Font property

TJvModernTabBarPainter	See Also	Edit topic

Font used to render Captions for tab items defined for a tabbed-bar control.

Pascal

property Font: TFont;

Description

Font is a TFont property that represents the font used to draw the text for tabs on a tabbed-bar control. Font is used to render the Caption for TJvTabBarItem instances defined in the Tabs for the control when the tab is neither selected nor disabled.

Font is assigned to the TCanvas used to draw the tab in the protected TJvModernTabBarPainter.DrawTab method.

Use DisabledFont to specify the font used for tab items with their Enabled property set to False.

Use SelectedFont to specify the font used for the currently selected tab item.

Created with Doc-O-Matic.


See Also

DisabledFont, SelectedFont, TJvModernTabBarPainter.DrawTab


TJvModernTabBarPainter.ModifiedCrossColor property

TJvModernTabBarPainter	See Also	Edit topic

Color for the close symbol on a modified tab in a tabbed-bar control.

Pascal

property ModifiedCrossColor: TColor;

Description

ModifiedCrossColor is a TColor property that indicates the color used to draw the symbol on the close button on a tab when the Modified property for the TJvTabBarItem contains True.

ModifiedCrossColor is used in the protected DrawTab method to set the pen color when drawing the symbol on the close button.

The default value for ModifiedCrossColor is clRed, as assigned in the constructor for the object instance. Changing the value in ModifiedCrossColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use CloseCrossColor to specify the color for the close symbol on unselected tabs.

Use CloseCrossColorSelected to specify the color for the close symbol on the selected tab.

Use CloseCrossColorDisabled to specify the color for the close symbol on disabled tabs.

Use CloseColor or CloseColorSelected to specify the color used to draw a tab that is closing.

Use CloseRectColor or CloseRectColorDisabled to specify the color used for the mouse focus rectangle on a tab in the relevant state.

Created with Doc-O-Matic.


See Also

OnChange, TJvTabBarItem.Modified, CloseCrossColor, CloseCrossColorSelected, CloseCrossColorDisabled, CloseColor, CloseColorSelected, CloseRectColor, CloseRectColorDisabled


TJvModernTabBarPainter.MoveDividerColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used to draw the tab dividers during drag-and-drop operations.

Pascal

property MoveDividerColor: TColor;

Description

MoveDividerColor is a TColor property that indicates the color used to render a divider for a tab during a Drag-and-Drop operation that reorders tabs on the tabbed-bar control.

MoveDividerColor used when the TJvCustomTabBar.AllowTabMoving contains True and a Drag-and-Drop operation is performed for an unselected tab in the tabbed-bar control.

The default value for MoveDividerColor is clBlack, as assigned in the constructor for the object instance. Changing the value in MoveDividerColor causes the OnChange event handler to be signaled, and the control is redrawn.

Created with Doc-O-Matic.


See Also

OnChange, TJvCustomTabBar.


TJvModernTabBarPainter.SelectedFont property

TJvModernTabBarPainter	See Also	Edit topic

Font used to render the caption for the selected tab on a tabbed-bar control.

Pascal

property SelectedFont: TFont;

Description

SelectedFont is a TFont property that represents the font used to draw the text for the currently selected tab on a tabbed-bar control. Font is used to render the Caption for TJvTabBarItem instances defined in the Tabs for the control when the tab has its' Selected property set to True.

Font is assigned to the TCanvas used to draw the tab in the protected TJvModernTabBarPainter.DrawTab method.

Use DisabledFont to specify the font used for tab items with their Enabled property set to False.

Use SelectedFont to specify the font used for the currently selected tab item.

Created with Doc-O-Matic.


See Also

DisabledFont, SelectedFont, TJvModernTabBarPainter.DrawTab


TJvModernTabBarPainter.TabColor property

TJvModernTabBarPainter	See Also	Edit topic

Color used when drawing a selected tab in the tabbed-bar control.

Pascal

property TabColor: TColor;

Description

TabColor is a TColor property that indicates the color used when drawing the surface of a selected tab in the tabbed-bar control. TabColor is used when the protected DrawTab method is called after selecting a tab with the mouse or by changing the value program code.

The default value for TabColor is clBtnFace, as assigned in the constructor for the object instance. Changing the value in TabColor causes the OnChange event handler to be signaled, and the control is redrawn.

Use Color to specify the color for unselected tabs on the tabbed-bar control.

Use DividerColor to specify the color for dividers drawn between tabs on the tabbed-bar control.

Use BorderColor and ControlDivideColor to specify the colors for the borders drawn around the tabbed-bar control.

Created with Doc-O-Matic.


See Also

OnChange, Color, DividerColor, BorderColor, ControlDivideColor


TJvModernTabBarPainter.TabWidth property

TJvModernTabBarPainter	Edit topic

Not documented

Pascal

property TabWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMonthCalAppearance
JEDI-VCL Reference

TJvMonthCalAppearance

Hierarchy	Properties	 See Also	Edit topic

Class to specify the visual appearance of a month calendar.

Pascal

TJvMonthCalAppearance = class(TPersistent);

File

JvCalendar

Description

TJvMonthCalAppearance is a class used to specify the visual appearance of a TJvCustomMonthCalendar descendant.

Created with Doc-O-Matic.


TJvMonthCalAppearance Properties

TJvMonthCalAppearance	Legend

Properties

 BoldDays

Calendar

 CircleToday

 Colors

 FirstDayOfWeek

 ShowToday

 WeekNumbers

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvMonthCalAppearance

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvMonthCalAppearance


TJvMonthCalAppearance Members

TJvMonthCalAppearance	Legend

Members

Properties

 BoldDays

Calendar

 CircleToday

 Colors

 FirstDayOfWeek

 ShowToday

 WeekNumbers

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvCustomMonthCalendar, TJvCustomMonthCalendar.CreateWithAppearance


TJvMonthCalAppearance.BoldDays property

TJvMonthCalAppearance	See Also	Edit topic

A list of bold dates.

Pascal

property BoldDays: TStrings;

Description

BoldDays is a list of dates that have a bold state. The items in this list should be in one of two formats:

1.	0000mm=daylist

2.	yyyymm=daylist

Daylist is a comma separated string denoting the days to be set to the bold state.

The first format denotes a recurring item, for which the specified days are set to the bold state for every year accessed.

The second format denotes a single item, for which the specified days are set to the bold state in the specified year only.

Adding a date already in the list, replaces the old item.

Use the Days and Bold properties to simplify adding and removing bolding info.

Created with Doc-O-Matic.


See Also

StringToDayStates


TJvMonthCalAppearance.Calendar property

TJvMonthCalAppearance	Edit topic

Reference to the calendar instance.

Pascal

property Calendar: TJvCustomMonthCalendar;

Description

Calendar is a reference to the calendar control this appearance instance controls.

Created with Doc-O-Matic.


TJvMonthCalAppearance.CircleToday property

TJvMonthCalAppearance	See Also	Edit topic

Indicates if today should be circled.

Pascal

property CircleToday: Boolean;

Description

CircleToday indicates whether or not today's date should be circled in the control.

When set to True today's date will be circled in the control if today's date is visible.

When set to False today's date will not be circled in the control.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Today, TJvMonthCalAppearance.ShowToday


TJvMonthCalAppearance.Colors property

TJvMonthCalAppearance	See Also	Edit topic

Determines the various colors for the control.

Pascal

property Colors: TJvMonthCalColors;

Description

Colors determine the various colors used by the control.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors


TJvMonthCalAppearance.FirstDayOfWeek property

TJvMonthCalAppearance	See Also	Edit topic

Determines which day of the week is shown first.

Pascal

property FirstDayOfWeek: TJvMonthCalWeekDay;

Description

FirstDayOfWeek determines which day of the week is shown as the first day in the calendar control.

Setting FirstDayOfWeek to mcLocale will use the system's settings for first day of the week.

Created with Doc-O-Matic.


See Also

TJvMonthCalWeekDay


TJvMonthCalAppearance.ShowToday property

TJvMonthCalAppearance	See Also	Edit topic

Determines if today's date should be displayed at the bottom of the control.

Pascal

property ShowToday: Boolean;

Description

ShowToday indicates if today's date should be displayed at the bottom of the control. When set to True, today's date will be displayed at the bottom of the control, otherwise it will not.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Today, TJvMonthCalAppearance.CircleToday


TJvMonthCalAppearance.WeekNumbers property

TJvMonthCalAppearance	Edit topic

Specifies whether week numbers should be displayed.

Pascal

property WeekNumbers: Boolean;

Description

Use WeekNumbers to specify whether week numbers should be displayed to the left of each week. When set to True week numbers will be visible.

Created with Doc-O-Matic.


TJvMonthCalColors
JEDI-VCL Reference

TJvMonthCalColors

Hierarchy	Properties	 See Also	Edit topic

Auxiliary class to set the calendar colors.

Pascal

TJvMonthCalColors = class(TPersistent);

File

JvCalendar

Description

TJvMonthCalColors is an auxiliary class to set the colors of various calendar items.

Created with Doc-O-Matic.


TJvMonthCalColors Properties

TJvMonthCalColors	Legend

Properties

 BackColor

 Calendar

 MonthBackColor

 TextColor

 TitleBackColor

 TitleTextColor

 TrailingTextColor

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvMonthCalColors

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvMonthCalColors


TJvMonthCalColors Members

TJvMonthCalColors	Legend

Members

Properties

 BackColor

 Calendar

 MonthBackColor

 TextColor

 TitleBackColor

 TitleTextColor

 TrailingTextColor

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvMonthCalendar2


TJvMonthCalColors.BackColor property

TJvMonthCalColors	See Also	Edit topic

The background color of the control.

Pascal

property BackColor: TColor;

Description

BackColor sets the background color of the control. The background is any part not belonging to the calendar itself.

Notes

BackColor doesn't seem to work as documented. Setting the Color property of the TJvMonthCalendar2 control does work.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors.MonthBackColor


TJvMonthCalColors.Calendar property

TJvMonthCalColors	Edit topic

Not documented

Pascal

property Calendar: TJvCustomMonthCalendar;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMonthCalColors.MonthBackColor property

TJvMonthCalColors	See Also	Edit topic

The background color for each month.

Pascal

property MonthBackColor: TColor;

Description

MonthBackColor sets the background color of the month(s) area.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors.BackColor, TJvMonthCalColors.TitleBackColor


TJvMonthCalColors.TextColor property

TJvMonthCalColors	See Also	Edit topic

The color of the day numbers.

Pascal

property TextColor: TColor;

Description

TextColor sets the font color for the day numbers.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors.TitleTextColor, TJvMonthCalColors.TrailingTextColor


TJvMonthCalColors.TitleBackColor property

TJvMonthCalColors	See Also	Edit topic

The background color for the title area.

Pascal

property TitleBackColor: TColor;

Description

TitleBackColor sets the background color of the title area.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors.BackColor, TJvMonthCalColors.MonthBackColor


TJvMonthCalColors.TitleTextColor property

TJvMonthCalColors	See Also	Edit topic

The text color for the title.

Pascal

property TitleTextColor: TColor;

Description

TitleTextColor sets the font color of the title text.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors.TextColor, TJvMonthCalColors.TrailingTextColor


TJvMonthCalColors.TrailingTextColor property

TJvMonthCalColors	See Also	Edit topic

The color for day numbers not belonging to the current month.

Pascal

property TrailingTextColor: TColor;

Description

TrailingTextColor sets the font color used for day numbers that don't belong to the current month. These are the days that are part of the month preceding or succeeding the month; they are displayed at the start and/or end of the calendar.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors.TextColor, TJvMonthCalColors.TitleTextColor


TJvMonthCalendar
JEDI-VCL Reference

 TJvMonthCalendar

Hierarchy	Properties	Events	Package	 Edit topic

Adds events that can be used for hot tracking.

Pascal

TJvMonthCalendar = class(TJvExMonthCalendar);

File

JvMonthCalendar

Description

You can use OnMouseEnter and OnMouseLeave to alter the controls look or behavior, when the user moves the mouse pointer over the control. Use property HintColor to change the color of the hint boxes for the month calendar.

Created with Doc-O-Matic.


TJvMonthCalendar Properties

TJvMonthCalendar	Legend

Properties

 HintColor

TJvExMonthCalendar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvMonthCalendar Events

TJvMonthCalendar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExMonthCalendar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvMonthCalendar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TMonthCalendar, IJvExControl
        TJvExMonthCalendar
            TJvMonthCalendar


TJvMonthCalendar Members

TJvMonthCalendar	Legend

Members

Properties

 HintColor

TJvExMonthCalendar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExMonthCalendar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvMonthCalendar.HintColor property

TJvMonthCalendar	Edit topic

Determines the color of the hint boxes for the Help Hints for the calendar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvMonthCalendar.OnMouseEnter event

TJvMonthCalendar	See Also	Edit topic

Occurs when the mouse pointer moves over the calendar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the calendar.

Created with Doc-O-Matic.


See Also

TJvExMonthCalendar.OnMouseLeave


TJvMonthCalendar.OnMouseLeave event

TJvMonthCalendar	See Also	Edit topic

Occurs when the mouse pointer moves off the calendar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the calendar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExMonthCalendar.OnMouseEnter


TJvMonthCalendar.OnParentColorChange event

TJvMonthCalendar	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvMonthCalendar2
JEDI-VCL Reference

 TJvMonthCalendar2

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A wrapper component for the MS MonthCal control available in ComCtl32.dll versions 4.70 and above.

Pascal

TJvMonthCalendar2 = class(TJvCustomMonthCalendar);

File

JvCalendar

Description

TJvMonthCalendar2 is a wrapper component for the Microsoft Month Calendar control that is available in ComCtl32.dll, version 4.70 and above. The control is the same as Delphi's TMonthCalendar control, but has an easier interface.

The control displays a maximum of 12 months at a time, but you can't set the number of visible months as this is automatically calculated from the controls size. If the window is larger than the displayed months, they are centered in the window.

Sizing the window programmatically for best fit is problematic: the control needs one size for displaying one month but a different (and smaller value) for each subsequent one. This value varies depending on the currently used font.

MinSize returns a TRect that contains the minimum size for a month calendar.

Created with Doc-O-Matic.


TJvMonthCalendar2 Properties

TJvMonthCalendar2	Legend

Properties

Bold

 BoldDays

 BorderStyle

 CircleToday

 Colors

 DateFirst

 DateLast

 DateMax

 DateMin

Days

 FirstDayOfWeek

 MaxSelCount

MinSize

 MonthDelta

 MultiSelect

 ShowToday

 Today

 WeekNumbers

TJvCustomMonthCalendar

 Bold

 BoldDays

 BorderStyle

 CircleToday

 Colors

 DateFirst

 DateLast

 DateMax

 DateMin

 Days

 Entering

 FirstDayOfWeek

 Leaving

 MaxSelCount

 MinSize

 MonthDelta

 MultiSelect

 ShowToday

 Today

 TodayWidth

 WeekNumbers

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvMonthCalendar2 Events

TJvMonthCalendar2	Legend

Events

 OnGetDayState

 OnKillFocus

 OnSelChange

 OnSelect

 OnSetFocus

TJvCustomMonthCalendar

 OnGetDayState

 OnKillFocus

 OnSelChange

 OnSelect

 OnSetFocus

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvMonthCalendar2 Methods

TJvMonthCalendar2	Legend

Methods

TJvCustomMonthCalendar

 Change

 CheckDayState

CreateWithAppearance

 DoDateSelChange

 DoDateSelect

 DoGetDayState

FirstVisibleDate

LastVisibleDate

SetDayStates

VisibleMonths

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvMonthCalendar2

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExWinControl
    TJvWinControl
        TJvCustomMonthCalendar
            TJvMonthCalendar2


TJvMonthCalendar2 Members

TJvMonthCalendar2	Legend

Members

Properties

Bold

 BoldDays

 BorderStyle

 CircleToday

 Colors

 DateFirst

 DateLast

 DateMax

 DateMin

Days

 FirstDayOfWeek

 MaxSelCount

MinSize

 MonthDelta

 MultiSelect

 ShowToday

 Today

 WeekNumbers

TJvCustomMonthCalendar

 Bold

 BoldDays

 BorderStyle

 CircleToday

 Colors

 DateFirst

 DateLast

 DateMax

 DateMin

 Days

 Entering

 FirstDayOfWeek

 Leaving

 MaxSelCount

 MinSize

 MonthDelta

 MultiSelect

 ShowToday

 Today

 TodayWidth

 WeekNumbers

Events

 OnGetDayState

 OnKillFocus

 OnSelChange

 OnSelect

 OnSetFocus

TJvCustomMonthCalendar

 OnGetDayState

 OnKillFocus

 OnSelChange

 OnSelect

 OnSetFocus

Methods

TJvCustomMonthCalendar

 Change

 CheckDayState

CreateWithAppearance

 DoDateSelChange

 DoDateSelect

 DoGetDayState

FirstVisibleDate

LastVisibleDate

SetDayStates

VisibleMonths

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvMonthCalendar2.Bold property

TJvMonthCalendar2	See Also	Edit topic

Sets and retrieves bold information for a date.

Pascal

property Bold [Year, Month, Day: Word]: Boolean;

Parameters

Year

The year part of the date to set or retrieve bold information for.

Month

The month part of the date to set or retrieve bold information for.

Day

The day part of the date to set or retrieve bold information for.

Description

Bold holds bold day state information. Using the three array indices you can set or retrieve the bold state of specific date.

When setting the bold state for a date where the Year index is set to 0, the bold state applies for every year on the given day and month.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.BoldDays, TJvCustomMonthCalendar.Days


TJvMonthCalendar2.BoldDays property

TJvMonthCalendar2	See Also	Edit topic

A list of bold dates.

Pascal

property BoldDays: TStrings;

Description

BoldDays is a list of dates that have a bold state. The items in this list should be in one of two formats:

1.	0000mm=daylist

2.	yyyymm=daylist

daylist is a comma separated string denoting the days to be set to the bold state.

The first format denotes a recurring item, for which the specified days are set to the bold state for every year accessed.

The second format denotes a single item, for which the specified days are set to the bold state in the specified year only.

Adding a date already in the list, replaces the old item.

Use the Days and Bold properties to simplify adding and removing bolding info.

Created with Doc-O-Matic.


See Also

StringToDayStates


TJvMonthCalendar2.BorderStyle property

TJvMonthCalendar2	Edit topic

Indicates the border type to place around the control.

Pascal

property BorderStyle: TBorderStyle;

Description

BorderStyle indicates what kind of border should be drawn around the control. By default it is set to bsNone.

bsSingle: a single border is drawn around the control.

bsNone: no border is drawn around the control.

Created with Doc-O-Matic.


TJvMonthCalendar2.CircleToday property

TJvMonthCalendar2	See Also	Edit topic

Indicates if today should be circled.

Pascal

property CircleToday: Boolean;

Description

CircleToday indicates whether or not today's date should be circled in the control.

When set to True today's date will be circled in the control if the today's date is visible.

When set to False today's date will not be circled in the control.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.ShowToday, TJvCustomMonthCalendar.Today


TJvMonthCalendar2.Colors property

TJvMonthCalendar2	See Also	Edit topic

Determines the various colors for the control.

Pascal

property Colors: TJvMonthCalColors;

Description

Colors determine the various colors used by the control.

Created with Doc-O-Matic.


See Also

TJvMonthCalColors


TJvMonthCalendar2.DateFirst property

TJvMonthCalendar2	See Also	Edit topic

Determines the first date selected.

Pascal

property DateFirst: TDateTime;

Description

DateFirst indicates the first date selected if MultiSelect is set to True. If MultiSelect is set to False, DateFirst indicates the currently selected date.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateLast, TJvCustomMonthCalendar.MaxSelCount, TJvCustomMonthCalendar.MultiSelect


TJvMonthCalendar2.DateLast property

TJvMonthCalendar2	See Also	Edit topic

Determines the last date selected for multiselect controls.

Pascal

property DateLast: TDateTime;

Description

DateLast indicates the last date selected. If MultiSelect is set to False, this property has no effect when changing its value.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateFirst, TJvCustomMonthCalendar.MaxSelCount, TJvCustomMonthCalendar.MultiSelect


TJvMonthCalendar2.DateMax property

TJvMonthCalendar2	See Also	Edit topic

Indicates the maximum date.

Pascal

property DateMax: TDateTime;

Description

DateMax indicates the maximum allowed date the user can scroll to. When set to 0, no limit is imposed.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateMin


TJvMonthCalendar2.DateMin property

TJvMonthCalendar2	See Also	Edit topic

Indicates the minimum date.

Pascal

property DateMin: TDateTime;

Description

DateMin indicates the minimum allowed date the user can scroll to. When set to 0, no limit is imposed.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateMax


TJvMonthCalendar2.Days property

TJvMonthCalendar2	See Also	Edit topic

Sets and retrieves bold information for a month.

Pascal

property Days [Year, Month: Word]: string;

Parameters

Year

The year part of the date to set or retrieve bold information for.

Month

The month part of the date to set or retrieve bold information for.

Description

Days holds bold day state information for a whole month. The string should be a comma separated list of day numbers.

When setting the Days value for a year set to 0, the state is set for every year.

Created with Doc-O-Matic.


See Also

StringToDayStates


TJvMonthCalendar2.FirstDayOfWeek property

TJvMonthCalendar2	See Also	Edit topic

Determines which day of the week is shown first.

Pascal

property FirstDayOfWeek: TJvMonthCalWeekDay;

Description

FirstDayOfWeek determines which day of the week is shown as the first day in the calendar control.

Setting FirstDayOfWeek to mcLocale will use the system's settings for first day of the week.

Created with Doc-O-Matic.


See Also

TJvMonthCalWeekDay


TJvMonthCalendar2.MaxSelCount property

TJvMonthCalendar2	See Also	Edit topic

Determines the maximum numbers of days allowed to be selected.

Pascal

property MaxSelCount: Word;

Description

MaxSelcCount determines the number of days that can be selected.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateFirst, TJvCustomMonthCalendar.DateLast, TJvCustomMonthCalendar.MultiSelect


TJvMonthCalendar2.MinSize property

TJvMonthCalendar2	Edit topic

Determines the minimum required size.

Pascal

property MinSize: TRect;

Description

MinSize determines the minimum required size of the control to display the current month.

Created with Doc-O-Matic.


TJvMonthCalendar2.MonthDelta property

TJvMonthCalendar2	Edit topic

Determines how many months are scrolled.

Pascal

property MonthDelta: Integer;

Description

MonthDelta determines how many months are scrolled when the scroll buttons are clicked.

Created with Doc-O-Matic.


TJvMonthCalendar2.MultiSelect property

TJvMonthCalendar2	See Also	Edit topic

Determines if multiple days can be selected.

Pascal

property MultiSelect: Boolean;

Description

MultiSelect determines if multiple days at a time can be selected. When set to True, up to MaxSelCount days can be selected in the control.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.DateFirst, TJvCustomMonthCalendar.DateLast, TJvCustomMonthCalendar.MaxSelCount


TJvMonthCalendar2.OnGetDayState event

TJvMonthCalendar2	See Also	Edit topic

Responds when the control needs to get the day states.

Pascal

property OnGetDayState: TJvMonthCalStateEvent;

Parameters

Sender

Reference to the object generating the event. Usually this will be a TJvCustomMonthCalendar descendant.

Date

The starting date for the request. This will always be the first day of a month

Count

The number of days requested.

DayStateArray

An array to retrieve the day states in.

Description

Write an OnGetDayState event handler to set day states that are not set by the Bold, BoldDays and/or Days properties.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Bold, TJvCustomMonthCalendar.BoldDays, TJvCustomMonthCalendar.Days


TJvMonthCalendar2.OnKillFocus event

TJvMonthCalendar2	See Also	Edit topic

Occurs immediately before the control loses the keyboard focus.

Pascal

property OnKillFocus: TJvFocusChangeEvent;

Description

Use the OnKillFocus event to respond when the the control loses the keyboard focus.

Parameter AFocusControl is the control that receives the keyboard focus. This parameter can be nil.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Entering, TJvCustomMonthCalendar.Leaving, TJvCustomMonthCalendar.OnSetFocus


TJvMonthCalendar2.OnSelChange event

TJvMonthCalendar2	See Also	Edit topic

Responds to changes in the control.

Pascal

property OnSelChange: TJvMonthCalSelEvent;

Description

Write an OnSelChange event handler to respond to changes, such as scrolling or selecting, in the control.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.OnSelect


TJvMonthCalendar2.OnSelect event

TJvMonthCalendar2	See Also	Edit topic

Responds to changes in the selection.

Pascal

property OnSelect: TJvMonthCalSelEvent;

Description

Write an OnSelect event handler to respond to the user selecting dates.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.OnSelChange


TJvMonthCalendar2.OnSetFocus event

TJvMonthCalendar2	See Also	Edit topic

Occurs when the control gets keyboard focus.

Pascal

property OnSetFocus: TJvFocusChangeEvent;

Description

Use the OnSetFocus event to respond when the control gets keyboard focus.

Parameter AFocusControl is the control that has lost the keyboard focus. This parameter can be nil.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.Entering, TJvCustomMonthCalendar.Leaving, TJvCustomMonthCalendar.OnKillFocus


TJvMonthCalendar2.ShowToday property

TJvMonthCalendar2	See Also	Edit topic

Determines if today's date should be displayed at the bottom of the control.

Pascal

property ShowToday: Boolean;

Description

ShowToday indicates if today's date should be displayed at the bottom of the control. When set to True, today's date will be displayed at the bottom of the control, otherwise it will not.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.CircleToday, TJvCustomMonthCalendar.Today


TJvMonthCalendar2.Today property

TJvMonthCalendar2	See Also	Edit topic

Sets today's date for the control.

Pascal

property Today: TDateTime;

Description

Today sets today's date for the calendar control. If either CircleToday or ShowToday is set to True, the value set in Today will be reflected in the display.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.CircleToday, TJvCustomMonthCalendar.ShowToday


TJvMonthCalendar2.WeekNumbers property

TJvMonthCalendar2	Edit topic

Specifies whether week numbers should be displayed.

Pascal

property WeekNumbers: Boolean;

Description

Use WeekNumbers to specify whether week numbers should be displayed to the left of each week. When set to True week numbers will be visible.

Created with Doc-O-Matic.


TJvMouseKeys
JEDI-VCL Reference

TJvMouseKeys

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvMouseKeys = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMouseKeys Properties

TJvMouseKeys	Legend

Properties

 CtrlSpeed

 Flags

 MaxSpeed

NativeType

 TimeToMaxSpeed

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvMouseKeys

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvMouseKeys


TJvMouseKeys Members

TJvMouseKeys	Legend

Members

Properties

 CtrlSpeed

 Flags

 MaxSpeed

NativeType

 TimeToMaxSpeed

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvMouseKeys.CtrlSpeed property

TJvMouseKeys	Edit topic

Not documented

Pascal

property CtrlSpeed: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMouseKeys.Flags property

TJvMouseKeys	Edit topic

Not documented

Pascal

property Flags: TJvMouseKeysFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMouseKeys.MaxSpeed property

TJvMouseKeys	Edit topic

Not documented

Pascal

property MaxSpeed: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMouseKeys.NativeType property

TJvMouseKeys	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: MOUSEKEYS;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvMouseKeys.TimeToMaxSpeed property

TJvMouseKeys	Edit topic

Not documented

Pascal

property TimeToMaxSpeed: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvMSTextConversion
JEDI-VCL Reference

TJvMSTextConversion

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Wrapper for a MS Text conversion dll.

Pascal

TJvMSTextConversion = class(TJvConversion);

File

JvRichEdit

Description

TJvMSTextConversion is a wrapper class for a single MS Text conversion dll. You can register all MS Text converters by calling RegisterMSTextConverters

Created with Doc-O-Matic.


TJvMSTextConversion Methods

TJvMSTextConversion	Legend

Methods

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 IsFormatCorrect

 Open

 TextKind

TranslateError

 UserCancel

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvMSTextConversion Events

TJvMSTextConversion

Events

TJvConversion

OnProgress

Created with Doc-O-Matic.


TJvMSTextConversion Properties

TJvMSTextConversion	Legend

Properties

TJvConversion

 ParentWindow

 PercentDone

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvMSTextConversion

Legend

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvConversion
        TJvMSTextConversion


TJvMSTextConversion Members

TJvMSTextConversion	Legend

Members

Methods

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 IsFormatCorrect

 Open

 TextKind

TranslateError

 UserCancel

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Events

TJvConversion

OnProgress

Properties

TJvConversion

 ParentWindow

 PercentDone

Legend

virtual

read only

Created with Doc-O-Matic.


Legend

virtual

read only


See Also

TJvCustomRichEdit.RegisterMSTextConverters


TJvMSTextConversion.CanHandle method (string, TJvConversionKind)

TJvMSTextConversion	See Also	Edit topic

Returns whether the converter can import or export files.

Pascal

function CanHandle(const AExtension: string; const AKind: TJvConversionKind): Boolean; override;

Return Value

Returns true if the converter can handle this extension, false otherwise.

Parameters

AExtension

The extension of the file to import or export. The extension must be in lowercase.

AKind

Indicates whether to import or export.

Description

Call CanHandle to determine whether the converter can import or export files or streams, or whether the converter can import or export files with an extension as specified by AExtension.

TJvRichEdit will call CanHandle to determine whether the converter can either import or export files and streams, and whether it can import or export files with a particular extension.

As implemented in TJvConversion, CanHandle always returns true. Override this method in a descendant class to indicate that the converter can only operate on files with a particular extension.

Created with Doc-O-Matic.


See Also

IsFormatCorrect


TJvMSTextConversion.ConvertRead method

TJvMSTextConversion	See Also	Edit topic

Reads BufSize bytes from the import source into the memory buffer pointed to by Buffer.

Pascal

function ConvertRead(Buffer: PChar; BufSize: Integer): Integer; override;

Return Value

Returns the number of bytes actually stored in Buffer.

Parameters

Buffer

A buffer to write to. The converter fills the buffer with data to transfer into the rich edit control.

BufSize

Size of Buffer.

Description

A TJvRichEdit control calls ConvertRead multiple times during an import operation. Each time this method is called the converter should read a chunk of the source file or stream, convert it, and put the converted data in Buffer.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertWrite


TJvMSTextConversion.ConvertWrite method

TJvMSTextConversion	See Also	Edit topic

Writes BufSize bytes to the export destination from the memory buffer pointed to by Buffer.

Pascal

function ConvertWrite(Buffer: PChar; BufSize: Integer): Integer; override;

Return Value

Returns the number of bytes actually read from Buffer.

Parameters

Buffer

A buffer to read from. The buffer contains data from the control that the converter writes to some storage.

BufSize

Size of Buffer.

Description

A TJvRichEdit control calls ConvertWrite multiple times during an export operation. Each time this method is called the converter should read the data in Buffer, convert it, and write it to the destination file or stream.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertRead


TJvMSTextConversion.Done method

TJvMSTextConversion	See Also	Edit topic

Finalizes the converter.

Pascal

procedure Done; override;

Description

Call Done to finalize the converter.

TJvRichEdit calls Done after a conversion operation is finished, to permit the converter to perform any necessary finalization.

A TJvRichEdit control guarantees that method Done is called after procedure Init is called.

Created with Doc-O-Matic.


See Also

TJvConversion.Init


TJvMSTextConversion.Error method

TJvMSTextConversion	See Also	Edit topic

Returns whether an error occurred during the conversion.

Pascal

function Error: Boolean; override;

Return Value

Returns true if an error occurred during the conversion, otherwise false.

Description

Error returns whether an error occurred during the conversion. The ErrorStr method describes the error.

As implemented in TJvConversion, Error always returns false. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


See Also

TJvConversion.ErrorStr, TJvConversion.UserCancel


TJvMSTextConversion.ErrorStr method

TJvMSTextConversion	See Also	Edit topic

Returns text describing the error that occurred during the conversion.

Pascal

function ErrorStr: string; override;

Return Value

Returns text describing the error that occurred during the conversion.

Description

Call ErrorStr to obtain the error message text describing the error that occurred during the conversion. Call Error to determine whether an error occurred.

TJvRichEdit uses this method to raise an exception after a failed conversion.

As implemented in TJvConversion, ErrorStr always returns the empty string. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


See Also

Error, TJvConversion.UserCancel


TJvMSTextConversion.Filter method

TJvMSTextConversion	Edit topic

Returns the file mask of the converter.

Pascal

function Filter: string; override;

Return Value

Returns the file masks of the registered converters.

Description

Call Filter to retrieve a file mask of the files that can be imported or exported by the converter. For example, you can use the return value of a Filter call to set the Filter property of a TOpenDialog component.

As implemented in TJvConversion, Filter always returns an empty string. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


TJvMSTextConversion.IsFormatCorrect method

TJvMSTextConversion	See Also	Edit topic

Returns whether the converter can import a specific file or stream.

Pascal

function IsFormatCorrect(const AFileName: string): Boolean; override;

Return Value

Returns true if the converter can import the specified file or stream, false otherwise.

Parameters

AFileName

The file to import.

AStream

The stream to import.

Description

Call IsFormatCorrect to determine whether the converter can import the file specified by AFileName or the stream specified by AStream.

TJvRichEdit will call IsFormatCorrect to determine whether the converter recognizes and can convert the contents of a file or stream.

As implemented in TJvConversion, IsFormatCorrect always returns true. Override this method in a descendant class to check files or streams before the actual import operation.

Created with Doc-O-Matic.


See Also

CanHandle


TJvMSTextConversion.Open method

TJvMSTextConversion	See Also	Edit topic

Starts the conversion operation.

Pascal

function Open(const AFileName: string; const AKind: TJvConversionKind): Boolean; override;

Return Value

Returns true on success, false on failure. If a converter returns false, the conversion operation is aborted.

Parameters

AFileName

The file to import or export.

Stream

The stream to import or export.

AKind

Indicates whether to import or export the file or stream.

Description

A TJvRichEdit control calls Open to start a conversion operation, either import or export as specified by the AKind parameter. This gives the converter a chance to open the source file or create the destination file, for example.

Following a successful call to Open will be multiple calls to either ConvertRead or ConvertWrite.

Created with Doc-O-Matic.


See Also

TJvConversion.Done, TJvConversion.Init


TJvMSTextConversion.TextKind method

TJvMSTextConversion	Edit topic

Returns the preferred source or target format of the rich edit content.

Pascal

function TextKind: TJvConversionTextKind; override;

Return Value

Returns the preferred source or target format of the rich edit content.

Description

TJvRichEdit calls TextKind to determine what format the converter prefers the content of the rich edit to be.

Created with Doc-O-Matic.


TJvMSTextConversion.TranslateError method

TJvMSTextConversion	Edit topic

Converts a MS Text conversion OS error code into a string.

Pascal

function TranslateError(ErrorCode: FCE): string;

Return Value

Returns an error message string describing the error.

Parameters

ErrorCode: FCE

The errorcode to translate.

Description

Call TranslateError to translate a MS Text conversion OS error code into an error message string.

Created with Doc-O-Matic.


TJvMSTextConversion.UserCancel method

TJvMSTextConversion	See Also	Edit topic

Returns whether the user has canceled the conversion.

Pascal

function UserCancel: Boolean; override;

Return Value

Returns true if the user canceled the conversion, false otherwise.

Description

TJvRichEdit will call UserCancel to determine whether the user has canceled the conversion.

Created with Doc-O-Matic.


See Also

Error, TJvConversion.ErrorStr


TJvNavIconButton
JEDI-VCL Reference

 TJvNavIconButton

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Button used as the small button in a TJvCustomNavigationPane.

Pascal

TJvNavIconButton = class(TJvCustomGraphicButton);

File

JvNavigationPane

Description

TJvNavIconButton is the type of the button used in the icon panel on a TJvCustomNavigationPane. This button supports showing either an image from an image list or a drop down menu indicator consisting of a chevron and a drop down arrow.

Created with Doc-O-Matic.


TJvNavIconButton Properties

TJvNavIconButton	Legend

Properties

 AllowAllUp

 ButtonType

 Colors

 Down

 DropDownMenu

 GroupIndex

 ImageIndex

 Images

 ParentStyleManager

 StyleManager

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvNavIconButton Events

TJvNavIconButton	Legend

Events

 OnDropDownMenu

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvNavIconButton Methods

TJvNavIconButton	Legend

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvNavIconButton

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomGraphicButton
            TJvNavIconButton


TJvNavIconButton Members

TJvNavIconButton	Legend

Members

Properties

 AllowAllUp

 ButtonType

 Colors

 Down

 DropDownMenu

 GroupIndex

 ImageIndex

 Images

 ParentStyleManager

 StyleManager

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Events

 OnDropDownMenu

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

PageComps


TJvNavIconButton.AllowAllUp property

TJvNavIconButton	See Also	Edit topic

Specifies whether all buttons in a group can be unselected at the same time.

Pascal

property AllowAllUp: Boolean;

Description

Use AllowAllUp with a group of buttons that belong to the same group. Buttons belong to the same group if they have the same value on their GroupIndex property. Buttons in the same group behave in a mutually exclusive fashion: when one button in the group is selected (down), all other buttons in the group become unselected (up).

If AllowAllUp is True, all of the buttons in a group can be unselected at the same time. Clicking the single selected button in the group will deselect that button without selecting another. If AllowAllUp is False, exactly one of the buttons in the group must be selected at any time. Clicking a down button won't return the button to its up state.

Changing the value of the AllowAllUp property for one button in a group changes the AllowAllUp value for all buttons in the group.

Notes

If GroupIndex is zero, AllowAllUp has no effect.

Created with Doc-O-Matic.


See Also

Down, GroupIndex


TJvNavIconButton.ButtonType property

TJvNavIconButton	See Also	Edit topic

Specifies the visual appearance of the button.

Pascal

property ButtonType: TJvNavIconButtonType;

Description

Use ButtonType to specify the visual appearance of the button. If ButtonType is nibDropDown, the button displays a chevron and a drop down arrow. If ButtonType is nibImgae, the button displays an image from the Images image list.

Created with Doc-O-Matic.


See Also

TJvNavIconButton.ImageIndex, TJvNavIconButton.Images


TJvNavIconButton.Colors property

TJvNavIconButton	See Also	Edit topic

Contains the color settings of the control.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control. Colors has several different sub colors. Since Colors is a general color class, it may contain colors not used by the control.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager


TJvNavIconButton.Down property

TJvNavIconButton	See Also	Edit topic

Specifies whether the button is selected (down) or unselected (up).

Pascal

property Down: Boolean;

Description

Read Down to determine whether a button is selected. The Down property only applies if the GroupIndex property of the button is nonzero.

When GroupIndex is greater than 0, set Down to True to select a button. When the user clicks on a button in the unselected (up) state, the button is selected and Down is set to True. When the user clicks on a button in the selected (down) state, if AllowAllUp is True, the button becomes unselected and Down is set to False.

At design time, specify which button in a group is the initially selected button by setting the Down property of the selected button to True.

Notes

When GroupIndex is 0, buttons do not remain in the selected state when clicked.

Created with Doc-O-Matic.


See Also

AllowAllUp, GroupIndex


TJvNavIconButton.DropDownMenu property

TJvNavIconButton	See Also	Edit topic

Specifies a TPopupMenu to display when the button is clicked

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu to display a menu when the button is clicked. The menu is displayed below the button. To control where the menu is displayed (right, left, center), use the menus Align property.

Created with Doc-O-Matic.


See Also

OnDropDownMenu


TJvNavIconButton.GroupIndex property

TJvNavIconButton	See Also	Edit topic

Allows buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state, unless AllowAllUp is False. Setting the G oupIndex property of a single button to a value greater than 0 causes the button to behave as a two-state button when AllowAllUp is True.

Buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another button in the same group. Buttons used in this way can present mutually exclusive choices to the user, much like radiobuttons.

Created with Doc-O-Matic.


See Also

AllowAllUp, Down


TJvNavIconButton.ImageIndex property

TJvNavIconButton	See Also	Edit topic

Specifies the image to display.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to a value between 0 and Images.Count - 1 to display an image in the control.

You will also need to assign an image list to the Images property and set ButtonType to nibImage for the button to display the image.

Created with Doc-O-Matic.


See Also

TJvNavIconButton.ButtonType, TJvNavIconButton.Images


TJvNavIconButton.Images property

TJvNavIconButton	See Also	Edit topic

Specifies the images to use when displaying an image in the control.

Pascal

property Images: TCustomImageList;

Description

Assign an image list to Images to specify the images to use when displaying an image in the button. The actual image to display is determined by the ImageIndex property. An image is only displayed when ButtonType is set to nibImage.

Created with Doc-O-Matic.


See Also

TJvNavIconButton.ButtonType, TJvNavIconButton.ImageIndex


TJvNavIconButton.OnDropDownMenu event

TJvNavIconButton	See Also	Edit topic

Occurs just before the DropDownMenu is displayed

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when a DropDownMenu is about to be shown. For example, you can prevent the menu to be displayed by setting the Handled parameter to True.

Note that this event is only triggered if there is a DropDownMenu assigned to the button.

Created with Doc-O-Matic.


See Also

DropDownMenu, OnContextPopup


TJvNavIconButton.ParentStyleManager property

TJvNavIconButton	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvNavIconButton.StyleManager


TJvNavIconButton.StyleManager property

TJvNavIconButton	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvNavIconButton.ParentStyleManager


TJvNavigationPane
JEDI-VCL Reference

 TJvNavigationPane

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Navigation Pane style control.

Pascal

TJvNavigationPane = class(TJvCustomNavigationPane);

File

JvNavigationPane

Description

TJvNavigationPane is derived from TJvCustomNavigationPane and publishes many of it's properties and events but doesn't introduce any new behavior.

Created with Doc-O-Matic.


TJvNavigationPane Properties

TJvNavigationPane	Legend

Properties

 ActivePage

 AutoHeaders

 Background

 ButtonHeight

 ButtonWidth

 Colors

 DropDownMenu

IconPanel

 LargeImages

 MaximizedCount

NavPages

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

 ParentStyleManager

 Resizable

 SmallImages

Splitter

 SplitterHeight

 StyleManager

TJvCustomNavigationPane

 Alignment

 AutoHeaders

 Background

 ButtonHeight

 ButtonWidth

 Colors

 DropDownMenu

 IconPanel

 LargeImages

 MaximizedCount

 NavPages

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

 ParentStyleManager

 Resizable

 SmallImages

 Splitter

 SplitterHeight

 StyleManager

 WordWrap

TJvCustomPageList

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvNavigationPane Events

TJvNavigationPane	Legend

Events

 OnChange

 OnChanging

 OnDropDownMenu

 OnSplitterCanResize

 OnSplitterClick

 OnSplitterDblClick

 OnSplitterMouseDown

 OnSplitterMouseEnter

 OnSplitterMouseLeave

 OnSplitterMouseMove

 OnSplitterMouseUp

 OnSplitterMoved

 OnSplitterPaint

TJvCustomNavigationPane

 OnDropDownMenu

 OnSplitterCanResize

 OnSplitterClick

 OnSplitterDblClick

 OnSplitterMouseDown

 OnSplitterMouseEnter

 OnSplitterMouseLeave

 OnSplitterMouseMove

 OnSplitterMouseUp

 OnSplitterMoved

 OnSplitterPaint

TJvCustomPageList

 OnChange

 OnChanging

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvNavigationPane Methods

TJvNavigationPane	Legend

Methods

TJvCustomNavigationPane

 HidePage

 ShowPage

UpdatePositions

TJvCustomPageList

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvNavigationPane

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl, IUnknown, IPageList
                TJvCustomPageList
                    TJvCustomNavigationPane
                        TJvNavigationPane


TJvNavigationPane Members

TJvNavigationPane	Legend

Members

Properties

 ActivePage

 AutoHeaders

 Background

 ButtonHeight

 ButtonWidth

 Colors

 DropDownMenu

IconPanel

 LargeImages

 MaximizedCount

NavPages

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

 ParentStyleManager

 Resizable

 SmallImages

Splitter

 SplitterHeight

 StyleManager

TJvCustomNavigationPane

 Alignment

 AutoHeaders

 Background

 ButtonHeight

 ButtonWidth

 Colors

 DropDownMenu

 IconPanel

 LargeImages

 MaximizedCount

 NavPages

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

 ParentStyleManager

 Resizable

 SmallImages

 Splitter

 SplitterHeight

 StyleManager

 WordWrap

TJvCustomPageList

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Events

 OnChange

 OnChanging

 OnDropDownMenu

 OnSplitterCanResize

 OnSplitterClick

 OnSplitterDblClick

 OnSplitterMouseDown

 OnSplitterMouseEnter

 OnSplitterMouseLeave

 OnSplitterMouseMove

 OnSplitterMouseUp

 OnSplitterMoved

 OnSplitterPaint

TJvCustomNavigationPane

 OnDropDownMenu

 OnSplitterCanResize

 OnSplitterClick

 OnSplitterDblClick

 OnSplitterMouseDown

 OnSplitterMouseEnter

 OnSplitterMouseLeave

 OnSplitterMouseMove

 OnSplitterMouseUp

 OnSplitterMoved

 OnSplitterPaint

TJvCustomPageList

 OnChange

 OnChanging

Methods

TJvCustomNavigationPane

 HidePage

 ShowPage

UpdatePositions

TJvCustomPageList

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

PageComps


TJvNavigationPane.ActivePage property

TJvNavigationPane	See Also	Edit topic

Specifies the page currently displayed by the page list control.

Pascal

property ActivePage: TJvCustomPage;

Description

Read ActivePage to determine which page is selected by the user. Set ActivePage to bring a page to the foreground. Only one page can be active at a time. To change the ActivePage to the page that precedes or follows the active page, use the FindNextPage method.

Created with Doc-O-Matic.


See Also

ActivePageIndex, FindNextPage


TJvNavigationPane.AutoHeaders property

TJvNavigationPane	Edit topic

Specifies whether headers are added to pages automatically.

Pascal

property AutoHeaders: Boolean;

Description

Use AutoHeaders to specify whether headers (TJvNavPanelHeader instances) are automatically added to the nav pages.

Created with Doc-O-Matic.


TJvNavigationPane.Background property

TJvNavigationPane	Edit topic

Manages the properties of the background image of the control.

Pascal

property Background: TJvNavPaneBackgroundImage;

Description

Use the properties of Background to set and modify the background image shown in the control.

Notes

The background image of a navigation pane is shown only when:

There are no pages

The currently active page doesn't have a background image of its own.

Created with Doc-O-Matic.


TJvNavigationPane.ButtonHeight property

TJvNavigationPane	See Also	Edit topic

Specifies the height of the nav pane buttons.

Pascal

property ButtonHeight: Integer;

Description

Use ButtonHeight to set the height of the nav pane buttons.

Created with Doc-O-Matic.


See Also

Buttons


TJvNavigationPane.ButtonWidth property

TJvNavigationPane	See Also	Edit topic

Specifies the width of the nav pane icon button.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to set the width of the nav pane icon button. Changing this value does not affect the size of the normal nav pane button.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.ButtonHeight


TJvNavigationPane.Colors property

TJvNavigationPane	See Also	Edit topic

Contains the color settings of the control.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control. Colors has several different sub colors. Since Colors is a general color class, it may contain colors not used by the control.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager


TJvNavigationPane.DropDownMenu property

TJvNavigationPane	Edit topic

Specifies the menu to display when the user clicks the menu button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu property to show a menu button on the icon panel (at the bottom of the control) that, when clicked by the user, shows the menu. If no menu is assigned, the menu button is hidden.

Created with Doc-O-Matic.


TJvNavigationPane.IconPanel property

TJvNavigationPane	Edit topic

Provides access to the internal icon panel control.

Pascal

property IconPanel: TJvIconPanel;

Description

Use IconPanel to access the internal icon panel (the panel where the icon buttons are displayed). Normally, you should not modify any properties of this control as it is handled automatically by the navigation pane itself.

Created with Doc-O-Matic.


TJvNavigationPane.LargeImages property

TJvNavigationPane	See Also	Edit topic

Provides a list of images to display for each maximized button.

Pascal

property LargeImages: TCustomImageList;

Description

Assign a TCustomImageList or descendant to this property to use as the images for maximized buttons

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.SmallImages


TJvNavigationPane.MaximizedCount property

TJvNavigationPane	See Also	Edit topic

Specifies the number of buttons that are maximized.

Pascal

property MaximizedCount: Integer;

Description

Use MaximizedCount to programmatically set the number of pages that have a maximized button. Pages that are minimized (or iconic), displays a smaller button in the icon panel at the bottom of the control.

Users can change the number of maximized buttons at run-time by adjusting the splitter (provided Resizable is true). When they do, the value of MaximizedCount is updated as well.

Created with Doc-O-Matic.


See Also

Resizeable, TJvNavPage.Iconic


TJvNavigationPane.NavPages property

TJvNavigationPane	See Also	Edit topic

Provides indexed access to the pages in the control.

Pascal

property NavPages [Index: Integer]: TJvNavPanelPage;

Parameters

Index

The index of the page in the control. The first page has the index 0 and the last page has the index PageCount - 1

Description

Use NavPages to access the pages in the control as an array.

Created with Doc-O-Matic.


See Also

PageCount


TJvNavigationPane.NavPanelFont property

TJvNavigationPane	See Also	Edit topic

Specifies the font used on the buttons.

Pascal

property NavPanelFont: TFont;

Description

Use NavPanelFont to set the font used on the buttons in the control. The button font is separate from the normal font. The normal font is used to specify the font settings for the page itself.

Created with Doc-O-Matic.


See Also

Font


TJvNavigationPane.NavPanelHotTrackFont property

TJvNavigationPane	See Also	Edit topic

Specifies the font used when the mouse passes over a nav pane button.

Pascal

property NavPanelHotTrackFont: TFont;

Description

When the mouse passes over the button, NavPanelHotTrackFont is used as the font for the button text. To change the font, change the value of the Charset, Color, Height, Name, Pitch, Size, and/or Style of the NavPanelHotTrackFont property.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.NavPanelHotTrackFontOptions


TJvNavigationPane.NavPanelHotTrackFontOptions property

TJvNavigationPane	See Also	Edit topic

Specifies how changes to the Font affects NavPanelHotTrackFont.

Pascal

property NavPanelHotTrackFontOptions: TJvTrackFontOptions;

Description

NavPanelHotTrackFontOptions defines a set of options that controls how changes to the Font property affects the NavPanelHotTrackFont object. For example, when NavPanelHotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to NavPanelHotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

Created with Doc-O-Matic.


See Also

Font


TJvNavigationPane.OnChange event

TJvNavigationPane	See Also	Edit topic

Occurs immediately after a new page has been selected.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to take specific actions when the active page has changed. To access the new active page, access either the ActivePage or ActivePageIndex properties.

Created with Doc-O-Matic.


See Also

ActivePage, ActivePageIndex, OnChanging


TJvNavigationPane.OnChanging event

TJvNavigationPane	See Also	Edit topic

Occurs immediately before a new page is selected.

Pascal

property OnChanging: TJvPageChangingEvent;

Parameters

Sender

The page list that triggered the event.

PageIndex

The index of the page that is to become selected.

AllowChange

Set to false to disallow the change. This parameter is true by default.

Description

Write an OnChanging event handler to take specific action immediately before the selected page changes. Set the AllowChange parameter to false to prevent the change.

Use an OnChanging event handler to prevent the user from leaving a page until certain conditions have been met. An OnChanging event handler can also be used to save information about the current state of the page before it is changed by a new page selection.

To access the currently active page, access either the ActivePage or ActivePageIndex properties.

Created with Doc-O-Matic.


See Also

ActivePage, ActivePageIndex, OnChange


TJvNavigationPane.OnDropDownMenu event

TJvNavigationPane	See Also	Edit topic

Occurs when the drop down menu is about to be displayed.

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when the drop down menu of the control is about to be displayed. For example, you can use this event to display another dialog or form instead of the assigned DropDownMenu. Set Handled to true to suppress the default menu.

Created with Doc-O-Matic.


See Also

OnContextPopup


TJvNavigationPane.OnSplitterCanResize event

TJvNavigationPane	See Also	Edit topic

Occurs when the user tries to move the splitter with the mouse.

Pascal

property OnSplitterCanResize: TCanResizeEvent;

Description

Write an OnSplitterCanResize event handler to conditionally prevent the user from resizing neighboring components using the splitter.

The NewSize parameter indicates the size the associated control will have if the splitter is allowed to perform the resize. This value can be changed if the attempted resize can be partially allowed. The Accept parameter indicates whether the resize should be permitted at all. Set Accept to False to disallow any movement of the splitter.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMoved


TJvNavigationPane.OnSplitterClick event

TJvNavigationPane	See Also	Edit topic

Occurs when the user clicks the splitter.

Pascal

property OnSplitterClick: TNotifyEvent;

Description

Use the OnSplitterClick event handler to respond when the user clicks the splitter.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterDblClick, TJvCustomNavigationPane.OnSplitterMouseDown, TJvCustomNavigationPane.OnSplitterMouseMove, TJvCustomNavigationPane.OnSplitterMouseUp


TJvNavigationPane.OnSplitterDblClick event

TJvNavigationPane	See Also	Edit topic

Occurs when the user double-clicks the left mouse button when the mouse pointer is over the splitter.

Pascal

property OnSplitterDblClick: TNotifyEvent;

Description

Use the OnSplitterDblClick event to respond to mouse double-clicks.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterClick


TJvNavigationPane.OnSplitterMouseDown event

TJvNavigationPane	See Also	Edit topic

Occurs when the user presses a mouse button with the mouse pointer over the splitter.

Pascal

property OnSplitterMouseDown: TMouseEvent;

Description

Use the OnSplitterMouseDown event handler to implement any special processing that should occur as a result of pressing a mouse button.

The OnSplitterMouseDown event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseMove, TJvCustomNavigationPane.OnSplitterMouseUp


TJvNavigationPane.OnSplitterMouseEnter event

TJvNavigationPane	See Also	Edit topic

Occurs when the mouse pointer moves over the splitter.

Pascal

property OnSplitterMouseEnter: TNotifyEvent;

Description

Write an OnSplitterMouseEnter event handler to take specific action when the user moves the mouse over the splitter.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseLeave


TJvNavigationPane.OnSplitterMouseLeave event

TJvNavigationPane	See Also	Edit topic

Occurs when the mouse pointer moves off from over the splitter.

Pascal

property OnSplitterMouseLeave: TNotifyEvent;

Description

Write an OnSplitterMouseLeave event handler to take specific action when the user moves the mouse off the splitter. For example, you can use this event to undo changes that were made in an OnSplitterMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseEnter


TJvNavigationPane.OnSplitterMouseMove event

TJvNavigationPane	See Also	Edit topic

Occurs when the user moves the mouse pointer while the mouse pointer is over the splitter.

Pascal

property OnSplitterMouseMove: TMouseMoveEvent;

Description

Use the OnSplitterMouseMove event handler to respond when the mouse pointer moves after the control has captured the mouse.

Use the Shift parameter of the OnSplitterMouseMove event handler, to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are pixel coordinates of the new location of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseDown, TJvCustomNavigationPane.OnSplitterMouseUp


TJvNavigationPane.OnSplitterMouseUp event

TJvNavigationPane	See Also	Edit topic

Occurs when the user releases a mouse button that was pressed with the mouse pointer over the splitter.

Pascal

property OnSplitterMouseUp: TMouseEvent;

Description

Use an OnSplitterMouseUp event handler to implement special processing when the user releases a mouse button.

The OnSplitterMouseUp event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the client area of the Sender.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.OnSplitterMouseDown, TJvCustomNavigationPane.OnSplitterMouseMove


TJvNavigationPane.OnSplitterMoved event

TJvNavigationPane	See Also	Edit topic

Occurs after the user has retiled the navigation pane using the splitter.

Pascal

property OnSplitterMoved: TNotifyEvent;

Description

Write an OnSplitterMoved event handler to take specific action when the user finishes dragging the edge of the neighboring control using the splitter.

Created with Doc-O-Matic.


See Also

OnCanResize


TJvNavigationPane.OnSplitterPaint event

TJvNavigationPane	Edit topic

Occurs when the splitter needs to draw itself.

Pascal

property OnSplitterPaint: TNotifyEvent;

Description

Write an OnSplitterPaint event handler to customize the appearance of the splitter. For example, use an OnSplitterPaint event handler to give a splitter the appearance of the splitters that appear in cool bar objects. Use the Canvas property as a drawing surface for painting the splitter. Use the ClientRect property to determine the coordinates of the canvas on which to paint the splitter.

When a splitter object receives a WM_PAINT message, it paints its background before generating the OnSplitterPaint event.

Created with Doc-O-Matic.


TJvNavigationPane.ParentStyleManager property

TJvNavigationPane	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.StyleManager


TJvNavigationPane.Resizable property

TJvNavigationPane	See Also	Edit topic

Specifies whether the user can change the number of maximized buttons by dragging the splitter.

Pascal

property Resizable: Boolean;

Description

Use Resizable to control whether the user can change the number of visible buttons by dragging the splitter bar. If Resizable is false, the user cannot drag the splitter. This is indicated visually by the splitter not having any dots in its client area.

To resize programmatically, use the MaximizedCount property.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.MaximizedCount


TJvNavigationPane.SmallImages property

TJvNavigationPane	See Also	Edit topic

Provides a list of images to display for each iconic button.

Pascal

property SmallImages: TCustomImageList;

Description

Assign a TCustomImageList or descendant to this property to use as the images for iconic buttons

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.LargeImages


TJvNavigationPane.Splitter property

TJvNavigationPane	Edit topic

Provides access to the splitter used by the nav pane control.

Pascal

property Splitter: TJvOutlookSplitter;

Description

Use the Splitter property to access the internal splitter of the nav pane. Note that the navigation pane assigns its own event handlers and sets up the properties of the splitter for its own use. If you change or replace this functionality, it can lead to unexpected results.

Created with Doc-O-Matic.


TJvNavigationPane.SplitterHeight property

TJvNavigationPane	Edit topic

Specifies the height of the splitter.

Pascal

property SplitterHeight: Integer;

Description

Use SplitterHeight to set the height, in pixels, of the splitter.

Created with Doc-O-Matic.


TJvNavigationPane.StyleManager property

TJvNavigationPane	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvCustomNavigationPane.ParentStyleManager


TJvNavPaneBackgroundImage
JEDI-VCL Reference

TJvNavPaneBackgroundImage

Hierarchy	Properties	Methods	 See Also	Edit topic

Class that manages an image and its properties.

Pascal

TJvNavPaneBackgroundImage = class(TPersistent);

File

JvNavigationPane

Description

TJvNavPaneBackgroundImage is the type of the Background property of TJvCustomNavigationPane, TJvNavPanePage and TJvNavPaneToolPanel. It manages an image and several properties that affects how the image is displayed.

Created with Doc-O-Matic.


TJvNavPaneBackgroundImage Properties

TJvNavPaneBackgroundImage	Legend

Properties

 Center

 Picture

 Proportional

 Stretch

 Tile

 Transparent

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvNavPaneBackgroundImage Methods

TJvNavPaneBackgroundImage	Legend

Methods

 DrawImage

HasImage

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvNavPaneBackgroundImage

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvNavPaneBackgroundImage


TJvNavPaneBackgroundImage Members

TJvNavPaneBackgroundImage	Legend

Members

Properties

 Center

 Picture

 Proportional

 Stretch

 Tile

 Transparent

Methods

 DrawImage

HasImage

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


See Also

Center, Proportional, Tile, Stretch


TJvNavPaneBackgroundImage.Center property

TJvNavPaneBackgroundImage	See Also	Edit topic

Indicates whether the image is centered in the control.

Pascal

property Center: Boolean;

Description

When the image does not fit perfectly within the control, use Center to specify how the image is positioned. When Center is True, the image is centered in the control. When Center is False, the upper left corner of the image is positioned at the upper left corner of the control.

Notes

Center has no effect if the Stretch property is True and Picture does not specify an icon or if the Tile property is True.

Created with Doc-O-Matic.


See Also

Propoportional


TJvNavPaneBackgroundImage.Picture property

TJvNavPaneBackgroundImage	See Also	Edit topic

Specifies the image that appears on the control.

Pascal

property Picture: TPicture;

Description

Use Picture to specify the image to display. Picture is a reference to a TPicture object. Use properties and methods of TPicture to specify a bitmap, icon, metafile, or user-defined graphic to be displayed by the image control.

Setting Picture at design time brings up the Picture Editor, which can be used to specify the file that contains the image.

Notes

If you specify a nonstandard image format at design time (like jpeg, pcx, gif etc), don't forget to add the relevant unit to the form's uses clause (like JvGIF or jpeg). If you forget, the image will not be visible at run-time.

Created with Doc-O-Matic.


See Also

Propoportional


TJvNavPaneBackgroundImage.Proportional property

TJvNavPaneBackgroundImage	See Also	Edit topic

Indicates whether the image should be changed, without distortion, so that it fits the bounds of the control.

Pascal

property Proportional: Boolean;

Description

Set Proportional to True to ensure that the image can be fully displayed in the control without any distortion such as occurs with the Stretch property. When Proportional is True, images that are too large to fit in the image control are scaled down (while maintaining the same aspect ratio) until they fit in the control. Images that are too small are displayed normally. That is, Proportional can reduce the magnification of the image, but does not increase it.

When the control resizes, the image resizes also.

To resize the image so that it fits exactly in the control, even if that causes distortion, use the Stretch property instead.

The default value for Proportional is False.

Notes

Proportional has no effect if the Picture property contains an icon or if the Tile property is True.

Created with Doc-O-Matic.


See Also

TJvNavPaneBackgroundImage.Picture, TJvNavPaneBackgroundImage.Stretch, TJvNavPaneBackgroundImage.Tile, TJvNavPaneBackgroundImage.Transparent


TJvNavPaneBackgroundImage.Stretch property

TJvNavPaneBackgroundImage	See Also	Edit topic

Indicates whether the image should be changed so that it exactly fits the bounds of the control.

Pascal

property Stretch: Boolean;

Description

Set Stretch to True to cause the image to assume the size and shape of the control. When the control resizes, the image resizes also. Stretch resizes the height and width of the image independently. Thus, unlike a simple change in magnification, Stretch can distort the image if the control is not the same shape as the image.

To resize the image without any distortion, use the Proportional property instead.

The default value for Stretch is False.

Notes

Stretch has no effect if the Picture property contains an icon or if the Tile property is True.

Created with Doc-O-Matic.


See Also

Propoportional


TJvNavPaneBackgroundImage.Tile property

TJvNavPaneBackgroundImage	See Also	Edit topic

Indicates whether the image is drawn multiple times to fill the control.

Pascal

property Tile: Boolean;

Description

Set Tile to True to have the image in the Picture property completely fill the control. The image is drawn vertically and horizontally across the control until its client area is completely filled.

Notes

When Tile is True, Center, Proportional and Stretch has no effect.

Created with Doc-O-Matic.


See Also

Propoportional


TJvNavPaneBackgroundImage.Transparent property

TJvNavPaneBackgroundImage	See Also	Edit topic

Specifies whether the background of the image obscures the control's background.

Pascal

property Transparent: Boolean;

Description

Set Transparent to True to allow the control's background to show through the background of the image. Set Transparent to False to make the background of the image opaque. Setting Transparent sets the Transparent property of the Picture.

Notes

Transparent has no effect unless the Picture property specifies an object that supports setting the transparency (like TBitmap objects). For example, TIcon objects are always transparent so the setting of Transparent has no effect on TIcon objects.

Created with Doc-O-Matic.


See Also

Propoportional


TJvNavPaneBackgroundImage.DrawImage method

TJvNavPaneBackgroundImage	Edit topic

Draws the image in a specific area of a canvas.

Pascal

procedure DrawImage(Canvas: TCanvas; ARect: TRect); virtual;

Parameters

Canvas: TCanvas

The canvas to draw on.

ARect: TRect

The area to draw in.

Description

DrawImage is called by the control containing a TJvNavPaneBackgroundImage instance to draw the image on its canvas. Note that when tiling, the bottom and right bounds of ARect might be overrun since this method uses TCanvas.Draw to draw the tiles.

Created with Doc-O-Matic.


TJvNavPaneBackgroundImage.HasImage method

TJvNavPaneBackgroundImage	Edit topic

Indicates whether the Picture property contains a usable image.

Pascal

function HasImage: Boolean;

Return Value

True if Picture contains a valid image, false otherwise.

Description

Use HasImage to determine whether the picture property contains a valid image. A valid image is an image that has a height and width larger than 0.

Created with Doc-O-Matic.


TJvNavPanelButton
JEDI-VCL Reference

 TJvNavPanelButton

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Class used as the maximized button on a TJvCustomNavigationPane

Pascal

TJvNavPanelButton = class(TJvCustomGraphicButton);

File

JvNavigationPane

Description

TJvNavPanelButton is the type of the maximized button on a TJvCustomNavigationPane but can also be used stand-alone.

Created with Doc-O-Matic.


TJvNavPanelButton Properties

TJvNavPanelButton	Legend

Properties

 Alignment

 AllowAllUp

 Colors

 Down

 DropDownMenu

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 ImageIndex

 Images

 ParentStyleManager

 StyleManager

 WordWrap

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Legend

protected

published

read only

Created with Doc-O-Matic.


Legend

protected

published

read only


TJvNavPanelButton Events

TJvNavPanelButton	Legend

Events

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvNavPanelButton Methods

TJvNavPanelButton	Legend

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvNavPanelButton

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomGraphicButton
            TJvNavPanelButton


TJvNavPanelButton Members

TJvNavPanelButton	Legend

Members

Properties

 Alignment

 AllowAllUp

 Colors

 Down

 DropDownMenu

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 ImageIndex

 Images

 ParentStyleManager

 StyleManager

 WordWrap

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Events

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Legend

protected

published

read only

virtual


Package

PageComps


TJvNavPanelButton.Alignment property

TJvNavPanelButton	Edit topic

Determines how text is aligned within the button.

Pascal

property Alignment: TAlignment;

Description

The possible values of Alignment are:

Value	Meaning
taLeftJustify	Text is aligned at the left of the control.
taCenter	Text is centered in the control.
taRightJustify	Text is aligned at the right of the control.
Created with Doc-O-Matic.


TJvNavPanelButton.AllowAllUp property

TJvNavPanelButton	See Also	Edit topic

Specifies whether all buttons in a group can be unselected at the same time.

Pascal

property AllowAllUp: Boolean;

Description

Use AllowAllUp with a group of buttons that belong to the same group. Buttons belong to the same group if they have the same value on their GroupIndex property. Buttons in the same group behave in a mutually exclusive fashion: when one button in the group is selected (down), all other buttons in the group become unselected (up).

If AllowAllUp is True, all of the buttons in a group can be unselected at the same time. Clicking the single selected button in the group will deselect that button without selecting another. If AllowAllUp is False, exactly one of the buttons in the group must be selected at any time. Clicking a down button won't return the button to its up state.

Changing the value of the AllowAllUp property for one button in a group changes the AllowAllUp value for all buttons in the group.

Notes

If GroupIndex is zero, AllowAllUp has no effect.

Created with Doc-O-Matic.


See Also

Down, GroupIndex


TJvNavPanelButton.Colors property

TJvNavPanelButton	See Also	Edit topic

Contains the color settings of the control.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control. Colors has several different sub colors. Since Colors is a general color class, it may contain colors not used by the control.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager


TJvNavPanelButton.Down property

TJvNavPanelButton	See Also	Edit topic

Specifies whether the button is selected (down) or unselected (up).

Pascal

property Down: Boolean;

Description

Read Down to determine whether a button is selected. The Down property only applies if the GroupIndex property of the button is nonzero.

When GroupIndex is greater than 0, set Down to True to select a button. When the user clicks on a button in the unselected (up) state, the button is selected and Down is set to True. When the user clicks on a button in the selected (down) state, if AllowAllUp is True, the button becomes unselected and Down is set to False.

At design time, specify which button in a group is the initially selected button by setting the Down property of the selected button to True.

Notes

When GroupIndex is 0, buttons do not remain in the selected state when clicked.

Created with Doc-O-Matic.


See Also

AllowAllUp, GroupIndex


TJvNavPanelButton.DropDownMenu property

TJvNavPanelButton	See Also	Edit topic

Specifies a TPopupMenu to display when the button is clicked

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu to display a menu when the button is clicked. The menu is displayed below the button. To control where the menu is displayed (right, left, center), use the menus Align property.

Created with Doc-O-Matic.


See Also

OnDropDownMenu


TJvNavPanelButton.GroupIndex property

TJvNavPanelButton	See Also	Edit topic

Allows buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state, unless AllowAllUp is False. Setting the G oupIndex property of a single button to a value greater than 0 causes the button to behave as a two-state button when AllowAllUp is True.

Buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another button in the same group. Buttons used in this way can present mutually exclusive choices to the user, much like radiobuttons.

Created with Doc-O-Matic.


See Also

AllowAllUp, Down


TJvNavPanelButton.HotTrack property

TJvNavPanelButton	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is False, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

HotTrackFont, HotGlyph, OnMouseEnter, OnMouseLeave


TJvNavPanelButton.HotTrackFont property

TJvNavPanelButton	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is True.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to True, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

HotTrack, HotGlyph


TJvNavPanelButton.HotTrackFontOptions property

TJvNavPanelButton	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

HotTrack, HotTrackFont


TJvNavPanelButton.ImageIndex property

TJvNavPanelButton	See Also	Edit topic

Specifies the image to display.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to a value between 0 and Images.Count - 1 to display an image in the control.

You will also need to assign an image list to the Images property for the button to display the image.

Created with Doc-O-Matic.


See Also

TJvNavPanelButton.Images


TJvNavPanelButton.Images property

TJvNavPanelButton	See Also	Edit topic

Specifies the images to use when displaying an image in the control.

Pascal

property Images: TCustomImageList;

Description

Assign an image list to Images to specify the images to use when displaying an image in the button. The actual image to display is determined by the ImageIndex property. An image is only displayed when ButtonType is set to nibImage.

Created with Doc-O-Matic.


See Also

TJvNavPanelButton.ImageIndex


TJvNavPanelButton.ParentStyleManager property

TJvNavPanelButton	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvNavPanelButton.StyleManager


TJvNavPanelButton.StyleManager property

TJvNavPanelButton	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvNavPanelButton.ParentStyleManager


TJvNavPanelButton.WordWrap property

TJvNavPanelButton	Edit topic

Determines whether the control inserts soft carriage returns so text wraps at the right margin.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to True to make the control wrap the text at the right margin so it fits in the client area. Set WordWrap to False to have the button text display on a single line.

Created with Doc-O-Matic.


TJvNavPanelColors
JEDI-VCL Reference

TJvNavPanelColors

Hierarchy	Properties	 Edit topic

Class that manages the color setting of a nav pane component or style manager.

Pascal

TJvNavPanelColors = class(TPersistent);

File

JvNavigationPane

Description

TJvNavPanelColors is the type of the Colors property of most of the nav pane controls. It contains several color properties that defines the appearance of a nav pane control.

In conjunction with a TJvNavPaneStyleManager, you can control the visual appearance of all the Nav Pane controls on a form from a single control.

Created with Doc-O-Matic.


TJvNavPanelColors Properties

TJvNavPanelColors	Legend

Properties

 ButtonColorFrom

 ButtonColorTo

 ButtonHotColorFrom

 ButtonHotColorTo

 ButtonSelectedColorFrom

 ButtonSelectedColorTo

 ButtonSeparatorColor

 DividerColorFrom

 DividerColorTo

 FrameColor

 HeaderColorFrom

 HeaderColorTo

 SplitterColorFrom

 SplitterColorTo

 ToolPanelColorFrom

 ToolPanelColorTo

 ToolPanelHeaderColorFrom

 ToolPanelHeaderColorTo

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvNavPanelColors

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvNavPanelColors


TJvNavPanelColors Members

TJvNavPanelColors	Legend

Members

Properties

 ButtonColorFrom

 ButtonColorTo

 ButtonHotColorFrom

 ButtonHotColorTo

 ButtonSelectedColorFrom

 ButtonSelectedColorTo

 ButtonSeparatorColor

 DividerColorFrom

 DividerColorTo

 FrameColor

 HeaderColorFrom

 HeaderColorTo

 SplitterColorFrom

 SplitterColorTo

 ToolPanelColorFrom

 ToolPanelColorTo

 ToolPanelHeaderColorFrom

 ToolPanelHeaderColorTo

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvNavPanelColors.ButtonColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the starting color of the control's background gradient.

Pascal

property ButtonColorFrom: TColor;

Description

Use ButtonColorFrom to specify the starting color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ButtonColorTo


TJvNavPanelColors.ButtonColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the ending color of the control's background gradient.

Pascal

property ButtonColorTo: TColor;

Description

Use ButtonColorTo to specify the ending color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ButtonColorFrom


TJvNavPanelColors.ButtonHotColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the starting color of the control's background gradient when the mouse hovers over it.

Pascal

property ButtonHotColorFrom: TColor;

Description

Use ButtonHotColorFrom to specify the starting color of the gradient drawn on a hot tracked control.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ButtonHotColorTo


TJvNavPanelColors.ButtonHotColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the ending color of the control's background gradient when the mouse hovers over it.

Pascal

property ButtonHotColorTo: TColor;

Description

Use ButtonHotColorTo to specify the ending color of the gradient drawn on a hot tracked control.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ButtonHotColorFrom


TJvNavPanelColors.ButtonSelectedColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the starting color of the control's background gradient when the control is in its Down state.

Pascal

property ButtonSelectedColorFrom: TColor;

Description

Use ButtonSelectedColorFrom to specify the starting color of the gradient drawn on a pressed control.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ButtonSelectedColorTo


TJvNavPanelColors.ButtonSelectedColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the ending color of the control's background gradient when the control is in its Down state.

Pascal

property ButtonSelectedColorTo: TColor;

Description

Use ButtonSelectedColorTo to specify the ending color of the gradient drawn on a pressed control.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ButtonSelectedColorFrom


TJvNavPanelColors.ButtonSeparatorColor property

TJvNavPanelColors	Edit topic

Specifies the color to use for the separator line.

Pascal

property ButtonSeparatorColor: TColor;

Description

Use ButtonSeparatorColor to specify the color to use for a nav pane button divider.

Set ButtonSeparatorColor to clNone to hide the separator.

Created with Doc-O-Matic.


TJvNavPanelColors.DividerColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the top color of a divider gradient.

Pascal

property DividerColorFrom: TColor;

Description

Use DividerColorFrom to specify the color to use as the start color of the gradient on a divider.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.DividerColorTo


TJvNavPanelColors.DividerColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the bottom color of a divider gradient.

Pascal

property DividerColorTo: TColor;

Description

Use DividerColorTo to specify the color to use as the end color of the gradient on a divider.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.DividerColorFrom


TJvNavPanelColors.FrameColor property

TJvNavPanelColors	Edit topic

Specifies the color of the control's frame.

Pascal

property FrameColor: TColor;

Description

Use FrameColor to specify the frame color of the control.

Created with Doc-O-Matic.


TJvNavPanelColors.HeaderColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the top color of the gradient on a header.

Pascal

property HeaderColorFrom: TColor;

Description

Use HeaderColorFrom to specify the color to use as the start color of the gradient on a header.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.HeaderColorTo


TJvNavPanelColors.HeaderColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the bottom color of the gradient on a header.

Pascal

property HeaderColorTo: TColor;

Description

Use HeaderColorTo to specify the color to use as the end color of the gradient on a header.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.HeaderColorFrom


TJvNavPanelColors.SplitterColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the starting color of the control's background gradient when the control is a splitter.

Pascal

property SplitterColorFrom: TColor;

Description

Use SplitterColorFrom to specify the starting color of the gradient drawn on a splitter.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.SplitterColorTo


TJvNavPanelColors.SplitterColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the ending color of the control's background gradient when the control is a splitter.

Pascal

property SplitterColorTo: TColor;

Description

Use SplitterColorTo to specify the ending color of the gradient drawn on a splitter.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.SplitterColorFrom


TJvNavPanelColors.ToolPanelColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the top color of the panel's caption area.

Pascal

property ToolPanelColorFrom: TColor;

Description

Use ColorFrom to set the start color of the background gradient on the control's caption area.

Created with Doc-O-Matic.


See Also

ColorTo


TJvNavPanelColors.ToolPanelColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the bottom color of the panel's caption area.

Pascal

property ToolPanelColorTo: TColor;

Description

Use ColorTo to set the end color of the background gradient on the control's caption area.

Created with Doc-O-Matic.


See Also

ColorFrom


TJvNavPanelColors.ToolPanelHeaderColorFrom property

TJvNavPanelColors	See Also	Edit topic

Specifies the start color of the panel's header area.

Pascal

property ToolPanelHeaderColorFrom: TColor;

Description

Use ToolPanelHeaderColorFrom to set the start color of the background gradient on the control's header area.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ToolPanelHeaderColorTo


TJvNavPanelColors.ToolPanelHeaderColorTo property

TJvNavPanelColors	See Also	Edit topic

Specifies the end color of the panel's header area.

Pascal

property ToolPanelHeaderColorTo: TColor;

Description

Use ToolPanelHeaderColorTo to set the end color of the background gradient on the control's header area.

Created with Doc-O-Matic.


See Also

TJvNavPanelColors.ToolPanelHeaderColorFrom


TJvNavPanelDivider
JEDI-VCL Reference

 TJvNavPanelDivider

Hierarchy	Properties	Events	Package	 Edit topic

Panel used as a group splitter in a TJvCustomNavigationPane.

Pascal

TJvNavPanelDivider = class(TJvExSplitter);

File

JvNavigationPane

Description

Use a TJvNavPanelDivider when you need a divider in the style of the Nav Pane components that can also act as a splitter.

Created with Doc-O-Matic.


TJvNavPanelDivider Properties

TJvNavPanelDivider	Legend

Properties

 Alignment

 ColorFrom

 ColorTo

 FrameColor

 ParentStyleManager

 StyleManager

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvNavPanelDivider Events

TJvNavPanelDivider	Legend

Events

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvNavPanelDivider

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TSplitter, IJvExControl
        TJvExSplitter
            TJvNavPanelDivider


TJvNavPanelDivider Members

TJvNavPanelDivider	Legend

Members

Properties

 Alignment

 ColorFrom

 ColorTo

 FrameColor

 ParentStyleManager

 StyleManager

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Events

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

PageComps


TJvNavPanelDivider.Alignment property

TJvNavPanelDivider	Edit topic

Specifies how text is aligned within the control.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to specify whether text on the control is left-justified, right-justified, or centered.

Created with Doc-O-Matic.


TJvNavPanelDivider.ColorFrom property

TJvNavPanelDivider	See Also	Edit topic

Specifies the starting color of the control's background gradient.

Pascal

property ColorFrom: TColor;

Description

Use ColorFrom to specify the starting color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvNavPanelDivider.ColorTo


TJvNavPanelDivider.ColorTo property

TJvNavPanelDivider	See Also	Edit topic

Specifies the ending color of the control's background gradient.

Pascal

property ColorTo: TColor;

Description

Use ColorTo to specify the ending color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvNavPanelDivider.ColorFrom


TJvNavPanelDivider.FrameColor property

TJvNavPanelDivider	Edit topic

Specifies the color of the control's frame.

Pascal

property FrameColor: TColor;

Description

Use FrameColor to specify the frame color of the control.

Created with Doc-O-Matic.


TJvNavPanelDivider.ParentStyleManager property

TJvNavPanelDivider	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvNavPanelDivider.StyleManager


TJvNavPanelDivider.StyleManager property

TJvNavPanelDivider	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvNavPanelDivider.ParentStyleManager


TJvNavPanelFonts
JEDI-VCL Reference

TJvNavPanelFonts

Hierarchy	Properties	 Edit topic

Class that maintains several fonts as used by the nav pane components.

Pascal

TJvNavPanelFonts = class(TPersistent);

File

JvNavigationPane

Description

TJvNavPanelFonts is the type of the Fonts property of a TJvNavPaneStyleManager and it maintains several individual fonts as used by the nav pane components. When the Theme of a TJvNavPaneStyleManager changes, so does the fonts in the Fonts property

Created with Doc-O-Matic.


TJvNavPanelFonts Properties

TJvNavPanelFonts	Legend

Properties

 DividerFont

 HeaderFont

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvNavPanelFonts

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvNavPanelFonts


TJvNavPanelFonts Members

TJvNavPanelFonts	Legend

Members

Properties

 DividerFont

 HeaderFont

 NavPanelFont

 NavPanelHotTrackFont

 NavPanelHotTrackFontOptions

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvNavPanelFonts.DividerFont property

TJvNavPanelFonts	Edit topic

Specifies the font to use for divider controls.

Pascal

property DividerFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNavPanelFonts.HeaderFont property

TJvNavPanelFonts	Edit topic

Specifies the font to use for header controls.

Pascal

property HeaderFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNavPanelFonts.NavPanelFont property

TJvNavPanelFonts	Edit topic

Specifies the font to use for nav panel buttons.

Pascal

property NavPanelFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNavPanelFonts.NavPanelHotTrackFont property

TJvNavPanelFonts	Edit topic

Specifies the font to use for hottracking nav panel buttons.

Pascal

property NavPanelHotTrackFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNavPanelFonts.NavPanelHotTrackFontOptions property

TJvNavPanelFonts	See Also	Edit topic

Specifies how changes to the NavPanelFont affects NavPanelHotTrackFont.

Pascal

property NavPanelHotTrackFontOptions: TJvTrackFontOptions;

Description

NavPanelHotTrackFontOptions defines a set of options that controls how changes to the NavPanelFont property affects the NavPanelHotTrackFont object. For example, when NavPanelHotTrackFontOptions includes hoPreserveColor, all property changes in NavPanelFont are copied to NavPanelHotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

Created with Doc-O-Matic.


See Also

TJvNavPanelFonts.NavPanelFont, TJvNavPanelFonts.NavPanelHotTrackFont


TJvNavPanelHeader
JEDI-VCL Reference

 TJvNavPanelHeader

Hierarchy	Properties	Package	 Edit topic

Panel used as a header panel in conjunction with other Nav Pane components.

Pascal

TJvNavPanelHeader = class(TJvCustomControl);

File

JvNavigationPane

Description

Use a TJvNavPanelHeader when you need a panel that is compatible with other Nav Pane components. TJvNavPanelHeader supports

Created with Doc-O-Matic.


TJvNavPanelHeader Properties

TJvNavPanelHeader	Legend

Properties

 Alignment

 ColorFrom

 ColorTo

 ImageIndex

 Images

 ParentStyleManager

 StyleManager

 WordWrap

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvNavPanelHeader

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvNavPanelHeader


TJvNavPanelHeader Members

TJvNavPanelHeader	Legend

Members

Properties

 Alignment

 ColorFrom

 ColorTo

 ImageIndex

 Images

 ParentStyleManager

 StyleManager

 WordWrap

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

PageComps


TJvNavPanelHeader.Alignment property

TJvNavPanelHeader	Edit topic

Specifies how text is aligned within the control.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to specify whether text on the control is left-justified, right-justified, or centered.

Created with Doc-O-Matic.


TJvNavPanelHeader.ColorFrom property

TJvNavPanelHeader	See Also	Edit topic

Specifies the starting color of the control's background gradient.

Pascal

property ColorFrom: TColor;

Description

Use ColorFrom to specify the starting color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvNavPanelHeader.ColorTo


TJvNavPanelHeader.ColorTo property

TJvNavPanelHeader	See Also	Edit topic

Specifies the ending color of the control's background gradient.

Pascal

property ColorTo: TColor;

Description

Use ColorTo to specify the ending color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvNavPanelHeader.ColorFrom


TJvNavPanelHeader.ImageIndex property

TJvNavPanelHeader	See Also	Edit topic

Specifies the image to display.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to a value between 0 and Images.Count - 1 to display an image in the control.

You will also need to assign an image list to the Images property and set ButtonType to nibImage for the button to display the image.

Created with Doc-O-Matic.


See Also

ButtonType


TJvNavPanelHeader.Images property

TJvNavPanelHeader	See Also	Edit topic

Specifies the images to use when displaying an image in the control.

Pascal

property Images: TCustomImageList;

Description

Assign an image list to Images to specify the images to use when displaying an image in the button. The actual image to display is determined by the ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvNavPanelHeader.ImageIndex


TJvNavPanelHeader.ParentStyleManager property

TJvNavPanelHeader	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvNavPanelHeader.StyleManager


TJvNavPanelHeader.StyleManager property

TJvNavPanelHeader	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvNavPanelHeader.ParentStyleManager


TJvNavPanelHeader.WordWrap property

TJvNavPanelHeader	Edit topic

Specifies whether the control's text wraps when it is too long for the width of the control.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to True to allow the control to display multiple lines of text. When WordWrap is True, text that is too wide for the control wraps at the right margin and continues in additional lines.

Set WordWrap to False to limit the text of the control to a single line. When WordWrap is False, text that is too wide for the control appears truncated.

Created with Doc-O-Matic.


TJvNavPanelPage
JEDI-VCL Reference

TJvNavPanelPage

Hierarchy	Properties	Events	 Edit topic

Class used for the pages in a TJvCustomNavigationPane or descendant.

Pascal

TJvNavPanelPage = class(TJvCustomPage);

File

JvNavigationPane

Description

TJvNavPanelPage is the type of the Pages and NavPages property of a TJvCustomNavigationPane.

Created with Doc-O-Matic.


TJvNavPanelPage Properties

TJvNavPanelPage	Legend

Properties

AutoHeader

 Background

 Colors

 IconButton

 Iconic

 IconPanel

 ImageIndex

 NavPanel

 ParentStyleManager

 StyleManager

TJvCustomPage

 Height

 Left

PageIndex

PageList

 Top

 Width

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvNavPanelPage Events

TJvNavPanelPage	Legend

Events

 OnShow

TJvCustomPage

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvNavPanelPage

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomPage
            TJvNavPanelPage


TJvNavPanelPage Members

TJvNavPanelPage	Legend

Members

Properties

AutoHeader

 Background

 Colors

 IconButton

 Iconic

 IconPanel

 ImageIndex

 NavPanel

 ParentStyleManager

 StyleManager

TJvCustomPage

 Height

 Left

PageIndex

PageList

 Top

 Width

Events

 OnShow

TJvCustomPage

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvNavPanelPage.AutoHeader property

TJvNavPanelPage	Edit topic

Specifies whether the page displays a header automatically.

Pascal

property AutoHeader: Boolean;

Description

Use AutoHeader to specify whether the page displays a header or not. If AutoHeader is true, the page displays a header. The header automatically tracks the Caption, Images, ImageIndex and StyleManager properties of the page. Any menu hot keys (Alt+Letter) in the page's caption are automatically stripped from the header caption.

To have more control of the appearance of the header, you must drop instances of TJvNavPanelHeader on each page.

Created with Doc-O-Matic.


TJvNavPanelPage.Background property

TJvNavPanelPage	Edit topic

Manages the properties of the background image of the control.

Pascal

property Background: TJvNavPaneBackgroundImage;

Description

Use the properties of Background to set and modify the background image shown in the control.

Notes

Each page on a nav pane can have its own background image. To use the same background with the same settings on all pages, set the Background property of the TJvNavigationPane instead.

Created with Doc-O-Matic.


TJvNavPanelPage.Colors property

TJvNavPanelPage	See Also	Edit topic

Contains the color settings of the control.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control. Colors has several different sub colors. Since Colors is a general color class, it may contain colors not used by the control.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager


TJvNavPanelPage.IconButton property

TJvNavPanelPage	See Also	Edit topic

Reference to the button used as the iconic button for the control.

Pascal

property IconButton: TJvNavIconButton;

Description

This property is for internal use only.

Created with Doc-O-Matic.


See Also

TJvNavPanelPage.Iconic, TJvNavPanelPage.IconPanel, TJvNavPanelPage.NavPanel


TJvNavPanelPage.Iconic property

TJvNavPanelPage	See Also	Edit topic

Indicates whether the page is currently displaying a maximized or iconic button.

Pascal

property Iconic: Boolean;

Description

Use Iconic to specify whether the page's button is displayed maximized or minimized.

Created with Doc-O-Matic.


See Also

TJvNavPanelPage.IconButton


TJvNavPanelPage.IconPanel property

TJvNavPanelPage	See Also	Edit topic

Reference to the icon panel containing the IconButton.

Pascal

property IconPanel: TJvIconPanel;

Description

This property is for internal use only.

Created with Doc-O-Matic.


See Also

TJvNavPanelPage.IconButton, TJvNavPanelPage.NavPanel


TJvNavPanelPage.ImageIndex property

TJvNavPanelPage	See Also	Edit topic

Specifies the image to display.

Pascal

property ImageIndex: TImageIndex;

Description

Set ImageIndex to a valid value to display an image in the control.

Notes

The TJvNavPanelPage doesn't have its own image list property. Instead, it accesses the LargeImages and LargeImages properties of its parent TJvCustomNavigationPane control.

Created with Doc-O-Matic.


See Also

Images


TJvNavPanelPage.NavPanel property

TJvNavPanelPage	See Also	Edit topic

Reference to the maximized button of the page.

Pascal

property NavPanel: TJvNavPanelButton;

Description

This property is for internal use only.

Created with Doc-O-Matic.


See Also

TJvNavPanelPage.IconButton


TJvNavPanelPage.OnShow event

TJvNavPanelPage	Edit topic

Occurs when the page is shown.

Pascal

property OnShow: TNotifyEvent;

Description

Write an OnShow event handler to take specific action when the page is shown.

Created with Doc-O-Matic.


TJvNavPanelPage.ParentStyleManager property

TJvNavPanelPage	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvNavPanelPage.StyleManager


TJvNavPanelPage.StyleManager property

TJvNavPanelPage	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvNavPanelPage.ParentStyleManager


TJvNavPanelToolButton
JEDI-VCL Reference

TJvNavPanelToolButton

Hierarchy	Properties	Methods	Events	 Edit topic

Base button class for buttons that are displayed on a nav pane tool panel.

Pascal

TJvNavPanelToolButton = class(TJvCustomGraphicButton);

File

JvNavigationPane

Description

TJvNavPanelToolButton is used internally by the TJvNavPaneToolPanel class to display the drop down and close buttons in its caption area as well as the buttons on the tool bar. Normally, you don't need to create buttons of this class.

Created with Doc-O-Matic.


TJvNavPanelToolButton Properties

TJvNavPanelToolButton	Legend

Properties

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvNavPanelToolButton Events

TJvNavPanelToolButton	Legend

Events

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvNavPanelToolButton Methods

TJvNavPanelToolButton	Legend

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvNavPanelToolButton

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomGraphicButton
            TJvNavPanelToolButton


TJvNavPanelToolButton Members

TJvNavPanelToolButton	Legend

Members

Properties

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Events

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvNavPaneStyleManager
JEDI-VCL Reference

 TJvNavPaneStyleManager

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Handles themes for multiple components.

Pascal

TJvNavPaneStyleManager = class(TJvComponent);

File

JvNavigationPane

Description

Use a TJvNavPaneStyleManager to handle the color and font settings for several components from one central point. Components that supports TJvNavPaneStyleManager has a StyleManager property that can be assigned a TJvNavPaneStyleManager instance. When you change the settings of the style manager, the corresponding settings in the component is changed as well

Created with Doc-O-Matic.


TJvNavPaneStyleManager Properties

TJvNavPaneStyleManager	Legend

Properties

 Colors

 Fonts

 Theme

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvNavPaneStyleManager Events

TJvNavPaneStyleManager	Legend

Events

 OnThemeChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvNavPaneStyleManager Methods

TJvNavPaneStyleManager

Methods

UnregisterChanges

Created with Doc-O-Matic.


Legend

TJvNavPaneStyleManager

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvNavPaneStyleManager


TJvNavPaneStyleManager Members

TJvNavPaneStyleManager	Legend

Members

Properties

 Colors

 Fonts

 Theme

TJvComponent

 AboutJVCL

Events

 OnThemeChange

Methods

UnregisterChanges

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

PageComps


TJvNavPaneStyleManager.Colors property

TJvNavPaneStyleManager	See Also	Edit topic

Contains the color settings of the style manager.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control or use the Theme property to access several standard color schemes.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager.Fonts, TJvNavPaneStyleManager.Theme


TJvNavPaneStyleManager.Fonts property

TJvNavPaneStyleManager	See Also	Edit topic

Contains the font settings of the style manager.

Pascal

property Fonts: TJvNavPanelFonts;

Description

Use the subproperties of Fonts to specify the visual appearance of the text in a control or use the Theme property to access several standard font schemes.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager.Colors, TJvNavPaneStyleManager.Theme


TJvNavPaneStyleManager.OnThemeChange event

TJvNavPaneStyleManager	See Also	Edit topic

Occurs when the theme has changed.

Pascal

property OnThemeChange: TNotifyEvent;

Description

Write a handler for this event to take specific action when the theme changes. For example, you can use this event to manually update the visual appearance of controls that does not have a StyleManager property

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager.Theme


TJvNavPaneStyleManager.Theme property

TJvNavPaneStyleManager	See Also	Edit topic

Indicates the current theme in the style manager.

Pascal

property Theme: TJvNavPanelTheme;

Description

Use Theme to specify the theme used in the style manager. When Theme changes, any control using the StyleManager will have its themeable settings updated.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager.Colors


TJvNavPaneStyleManager.UnregisterChanges method

TJvNavPaneStyleManager	See Also	Edit topic

Removes a class from style change notification.

Pascal

procedure UnregisterChanges(Value: TJvNavStyleLink);

Parameters

Value: TJvNavStyleLink

The class to remove from the notification list.

Description

Call UnregisterChanges to remove a previously registered class from the theme change notification system.

Created with Doc-O-Matic.


See Also

RegisterChanges


TJvNavPaneToolButton
JEDI-VCL Reference

TJvNavPaneToolButton

Hierarchy	Properties	 See Also	Edit topic

Pseudo-class used to access a tool panel button at design-time.

Pascal

TJvNavPaneToolButton = class(TCollectionItem);

File

JvNavigationPane

Description

TJvNavPaneToolButton is the type returned by the Items property of TJvNavPaneToolButtons. TJvNavPaneToolButt n is a TCollectionItem class used to make it possible to work with the tool panel buttons at design-time. At runtime, these buttons are represented by real buttons (currently TJvNavPanelToolButton).

Created with Doc-O-Matic.


TJvNavPaneToolButton Properties

TJvNavPaneToolButton	Legend

Properties

 Action

 Button

 Enabled

 Hint

 ImageIndex

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvNavPaneToolButton

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvNavPaneToolButton


TJvNavPaneToolButton Members

TJvNavPaneToolButton	Legend

Members

Properties

 Action

 Button

 Enabled

 Hint

 ImageIndex

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvNavPanelToolButton, TJvNavPaneToolButtons


TJvNavPaneToolButton.Action property

TJvNavPaneToolButton	Edit topic

Designates the action associated with the button.

Pascal

property Action: TBasicAction;

Description

Action is the action object that is associated with the control. When a control is associated with an action, the action determines the appropriate properties and events of the control (such as whether the control is enabled or how it responds to an OnClick event).

Created with Doc-O-Matic.


TJvNavPaneToolButton.Button property

TJvNavPaneToolButton	Edit topic

Provides access to the actual button displayed.

Pascal

property Button: TJvNavPanelToolButton;

Description

TJvNavPaneToolButton is a collection item class and internally uses a real TControl descendant to display its UI. Use Button to access the internal UI button of TJvNavPaneToolButton.

Created with Doc-O-Matic.


TJvNavPaneToolButton.Enabled property

TJvNavPaneToolButton	Edit topic

Specifies whether the button is enabled or not.

Pascal

property Enabled: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNavPaneToolButton.Hint property

TJvNavPaneToolButton	Edit topic

Specifies the hint text of the button.

Pascal

property Hint: string;

Description

Use Hint to set a hint text to display when the user moves the mouse over the button.

Created with Doc-O-Matic.


TJvNavPaneToolButton.ImageIndex property

TJvNavPaneToolButton	Edit topic

Sets the image index of the button.

Pascal

property ImageIndex: TImageIndex;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNavPaneToolButtons
JEDI-VCL Reference

TJvNavPaneToolButtons

Hierarchy	 Edit topic

Collection class that manages a list of TJvNavPaneToolButton instances.

Pascal

TJvNavPaneToolButtons = class(TOwnedCollection);

File

JvNavigationPane

Description

TJvNavPaneToolButtons is the type of the Buttons property of a TJvNavPaneToolPanel and represents the buttons on the too panel's tool bar.

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvNavPaneToolButtons


TJvNavPaneToolPanel
JEDI-VCL Reference

 TJvNavPaneToolPanel

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Control that visually resembles the action or tool panel in recent versions of Microsoft Office application.

Pascal

TJvNavPaneToolPanel = class(TJvCustomNavPaneToolPanel);

File

JvNavigationPane

Description

Use a TJvNavPaneToolPanel when you need to display a panel with built-in support for:

A caption area

A drop-down menu built into the caption (the DropDownMenu property)

A close button (the CloseButton property)

One or more tool buttons (the Buttons property)

An area where to display additional controls.

Created with Doc-O-Matic.


TJvNavPaneToolPanel Properties

TJvNavPaneToolPanel	Legend

Properties

 Background

 ButtonHeight

 Buttons

 ButtonWidth

 CloseButton

 Colors

 DrawPartialMenuFrame

 DropDownMenu

 HeaderHeight

 HeaderVisible

 Images

 ParentStyleManager

 ShowGrabber

 StyleManager

TJvCustomNavPaneToolPanel

 Background

 ButtonHeight

 Buttons

 ButtonWidth

 CloseButton

 Colors

 DrawPartialMenuFrame

 DropDownMenu

 EdgeRounding

 HeaderHeight

 HeaderVisible

 Images

 ParentStyleManager

 ShowGrabber

 StyleManager

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvNavPaneToolPanel Events

TJvNavPaneToolPanel	Legend

Events

 OnButtonClick

 OnClose

 OnDropDownMenu

TJvCustomNavPaneToolPanel

 OnButtonClick

 OnClose

 OnDropDownMenu

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvNavPaneToolPanel Methods

TJvNavPaneToolPanel

Methods

TJvCustomNavPaneToolPanel

GetHitTestInfoAt

Created with Doc-O-Matic.


Legend

TJvNavPaneToolPanel

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomNavPaneToolPanel
            TJvNavPaneToolPanel


TJvNavPaneToolPanel Members

TJvNavPaneToolPanel	Legend

Members

Properties

 Background

 ButtonHeight

 Buttons

 ButtonWidth

 CloseButton

 Colors

 DrawPartialMenuFrame

 DropDownMenu

 HeaderHeight

 HeaderVisible

 Images

 ParentStyleManager

 ShowGrabber

 StyleManager

TJvCustomNavPaneToolPanel

 Background

 ButtonHeight

 Buttons

 ButtonWidth

 CloseButton

 Colors

 DrawPartialMenuFrame

 DropDownMenu

 EdgeRounding

 HeaderHeight

 HeaderVisible

 Images

 ParentStyleManager

 ShowGrabber

 StyleManager

Events

 OnButtonClick

 OnClose

 OnDropDownMenu

TJvCustomNavPaneToolPanel

 OnButtonClick

 OnClose

 OnDropDownMenu

Methods

TJvCustomNavPaneToolPanel

GetHitTestInfoAt

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

PageComps


TJvNavPaneToolPanel.Background property

TJvNavPaneToolPanel	Edit topic

Manages the properties of the background image of the control.

Pascal

property Background: TJvNavPaneBackgroundImage;

Description

Use the properties of Background to set and modify the background image shown in the control.

Created with Doc-O-Matic.


TJvNavPaneToolPanel.ButtonHeight property

TJvNavPaneToolPanel	See Also	Edit topic

Sets the height of the buttons in the toolbar.

Pascal

property ButtonHeight: Integer;

Description

Use ButtonHeight to specify the height of the toolbar buttons.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.Buttons, TJvNavPaneToolPanel.ButtonWidth


TJvNavPaneToolPanel.Buttons property

TJvNavPaneToolPanel	See Also	Edit topic

Provides indexed access to the buttons in the toolbar.

Pascal

property Buttons: TJvNavPaneToolButtons;

Description

Use Buttons to access the buttons on the toolbar.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.CloseButton, TJvNavPaneToolPanel.DropDownMenu


TJvNavPaneToolPanel.ButtonWidth property

TJvNavPaneToolPanel	See Also	Edit topic

Sets the width of the buttons in the toolbar.

Pascal

property ButtonWidth: Integer;

Description

Use ButtonWidth to specify the width of the toolbar buttons.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.ButtonHeight, TJvNavPaneToolPanel.Buttons


TJvNavPaneToolPanel.CloseButton property

TJvNavPaneToolPanel	See Also	Edit topic

Specifies whether a close button is shown in the caption are or not.

Pascal

property CloseButton: Boolean;

Description

Set CloseButton to true to display a close button in the caption area of the tool panel. If CloseButton is true and the user clicks on it, the OnClose event is triggered.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.DropDownMenu, TJvNavPaneToolPanel.OnClose


TJvNavPaneToolPanel.Colors property

TJvNavPaneToolPanel	See Also	Edit topic

Contains the color settings of the control.

Pascal

property Colors: TJvNavPanelColors;

Description

Use the subproperties of Colors to specify the visual appearance of the control. Colors has several different sub colors. Since Colors is a general color class, it may contain colors not used by the control.

Created with Doc-O-Matic.


See Also

TJvNavPaneStyleManager


TJvNavPaneToolPanel.DrawPartialMenuFrame property

TJvNavPaneToolPanel	See Also	Edit topic

Specifies how to draw the drop-down menu button.

Pascal

property DrawPartialMenuFrame: Boolean;

Description

Use DrawPartialMenuFrame to specify how the drop-down button is drawn when the drop-down menu is displayed. If DrawPartialMenuFrame is true, the bottom line of the frame is not drawn when the drop-down is visible. If DrawPartialMenuFrame is false, the bottom line of the frame is always drawn.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.DropDownMenu


TJvNavPaneToolPanel.DropDownMenu property

TJvNavPaneToolPanel	See Also	Edit topic

Specifies the popup menu to show when the user clicks on the drop-down button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to this property to display a drop-down button in the caption area of the panel. When the user clicks the button, the popup menu is displayed below the button. If no popup menu is assigned, the drop-down button is hidden.

Notes

To display the drop-down button without displaying the popup menu, assign a TPopupMenu to the property and handle the OnDropDownMenu event. You should set Handled to true to suppress the display of the default menu.

You can adjust the location of the menu with the TPopupMenu.Alignment property.

Created with Doc-O-Matic.


See Also

TPopupMenu


TJvNavPaneToolPanel.HeaderHeight property

TJvNavPaneToolPanel	Edit topic

Specifies the height of the caption area of the panel.

Pascal

property HeaderHeight: Integer;

Description

Use HeaderHeight to specify the height, in pixels, of the caption area.

Created with Doc-O-Matic.


TJvNavPaneToolPanel.HeaderVisible property

TJvNavPaneToolPanel	See Also	Edit topic

Specifies whether the header is visible or not.

Pascal

property HeaderVisible: Boolean;

Description

Use HeaderVisible to set and retrieve whether the header area is visible or not. If HeaderVisible is false, too buttons are placed at the top of the panel.

Created with Doc-O-Matic.


See Also

TJvCustomNavPaneToolPanel.Buttons


TJvNavPaneToolPanel.Images property

TJvNavPaneToolPanel	See Also	Edit topic

Specifies the images used for the button images in the toolbar.

Pascal

property Images: TCustomImageList;

Description

Assign a TCustomImageList or descendant to this property to specify the images used by the buttons on the toolbar of the panel. Each button has an ImageIndex property that specifies which image in Images to display for that button.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.Buttons


TJvNavPaneToolPanel.OnButtonClick event

TJvNavPaneToolPanel	See Also	Edit topic

Occurs when the user clicks one of the buttons in the toolbar.

Pascal

property OnButtonClick: TJvNavPaneToolButtonClick;

Parameters

Sender

The control that triggered the event

Index

The index of the clicked button in the Buttons array

Description

Write a handler for this event to take appropriate action when the user clicks one of the buttons in the toolbar. This event is not triggered when the user clicks the drop-down button or the close button.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.OnClose, TJvNavPaneToolPanel.OnDropDownMenu


TJvNavPaneToolPanel.OnClose event

TJvNavPaneToolPanel	See Also	Edit topic

Occurs when the user clicks the close button.

Pascal

property OnClose: TNotifyEvent;

Description

Write a handler for this event to take specific action when the user clicks the close button. For example, hide the tool panel when this happens.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.CloseButton


TJvNavPaneToolPanel.OnDropDownMenu event

TJvNavPaneToolPanel	See Also	Edit topic

Occurs when the drop down menu is about to be displayed.

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when the drop down menu of the control is about to be displayed. For example, you can use this event to display another dialog or form instead of the assigned DropDownMenu. Set Handled to true to suppress the default menu.

Created with Doc-O-Matic.


See Also

OnContextPopup


TJvNavPaneToolPanel.ParentStyleManager property

TJvNavPaneToolPanel	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.StyleManager


TJvNavPaneToolPanel.ShowGrabber property

TJvNavPaneToolPanel	See Also	Edit topic

Specifies whether grab handles are displayed in the caption.

Pascal

property ShowGrabber: Boolean;

Description

Use ShowGrabber to specify whether a grab handle" (a row of vertical dots) are displayed at the left edge of the control. The grabber is normally used to indicate that the panel can be undocked from the form it is placed on but can also be used for other purposes (for example, to indicate and initiate resizing).

Notes

The panel does not have any built in docking or sizing support. You will have to implement this yourself. For an example on how this could be done, see the demo.

Created with Doc-O-Matic.


See Also

GetHitTestInfoAt


TJvNavPaneToolPanel.StyleManager property

TJvNavPaneToolPanel	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvNavPaneToolPanel.ParentStyleManager


TJvNewLinkDialog
JEDI-VCL Reference

 TJvNewLinkDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays the Create New Shortcut Wizard.

Pascal

TJvNewLinkDialog = class(TJvCommonDialogP);

File

JvWinDialogs

Description

Use TJvNewLinkDialog to show the Create New Shortcut Wizard. Do this by calling the Execute method.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvNewLinkDialog Properties

TJvNewLinkDialog	Legend

Properties

 DestinationFolder

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvNewLinkDialog Methods

TJvNewLinkDialog	Legend

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvNewLinkDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP
            TJvNewLinkDialog


TJvNewLinkDialog Members

TJvNewLinkDialog	Legend

Members

Properties

 DestinationFolder

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvNewLinkDialog.DestinationFolder property

TJvNewLinkDialog	See Also	Edit topic

Specifies the destination folder for the shortcut.

Pascal

property DestinationFolder: string;

Description

Use the DestinationFolder property to specify a destination folder for the new shortcut.

Created with Doc-O-Matic.


See Also

Execute


TJvNewLinkDialog.Execute method

TJvNewLinkDialog	See Also	Edit topic

Shows the Create New Shortcut Wizard.

Pascal

procedure Execute; override;

Description

Call Execute to show the Create New Shortcut Wizard.

Created with Doc-O-Matic.


See Also

TJvNewLinkDialog.DestinationFolder


TJvNonClientMetrics
JEDI-VCL Reference

TJvNonClientMetrics

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvNonClientMetrics = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics Properties

TJvNonClientMetrics	Legend

Properties

 BorderWidth

 CaptionFont

 CaptionHeight

 CaptionWidth

 MenuFont

 MenuHeight

 MenuWidth

 MessageFont

NativeType

 ScrollHeight

 ScrollWidth

 SmallCaptionFont

 SmallCaptionHeight

 SmallCaptionWidth

 StatusFont

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvNonClientMetrics

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvNonClientMetrics


TJvNonClientMetrics Members

TJvNonClientMetrics	Legend

Members

Properties

 BorderWidth

 CaptionFont

 CaptionHeight

 CaptionWidth

 MenuFont

 MenuHeight

 MenuWidth

 MessageFont

NativeType

 ScrollHeight

 ScrollWidth

 SmallCaptionFont

 SmallCaptionHeight

 SmallCaptionWidth

 StatusFont

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvNonClientMetrics.BorderWidth property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property BorderWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.CaptionFont property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property CaptionFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.CaptionHeight property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property CaptionHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.CaptionWidth property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property CaptionWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.MenuFont property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property MenuFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.MenuHeight property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property MenuHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.MenuWidth property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property MenuWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.MessageFont property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property MessageFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.NativeType property

TJvNonClientMetrics	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: NONCLIENTMETRICS;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvNonClientMetrics.ScrollHeight property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property ScrollHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.ScrollWidth property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property ScrollWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.SmallCaptionFont property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property SmallCaptionFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.SmallCaptionHeight property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property SmallCaptionHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.SmallCaptionWidth property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property SmallCaptionWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvNonClientMetrics.StatusFont property

TJvNonClientMetrics	Edit topic

Not documented

Pascal

property StatusFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvObjectPropertiesDialog
JEDI-VCL Reference

 TJvObjectPropertiesDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a properties dialog for a file, folder or printer.

Pascal

TJvObjectPropertiesDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

TJvObjectPropertiesDialog invokes the Properties context menu command on a Shell object. Do this by calling the Execute method.

It can also be used to display the properties for a printer object.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvObjectPropertiesDialog Properties

TJvObjectPropertiesDialog	Legend

Properties

 InitialTab

 ObjectName

 ObjectType

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvObjectPropertiesDialog Methods

TJvObjectPropertiesDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvObjectPropertiesDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvObjectPropertiesDialog


TJvObjectPropertiesDialog Members

TJvObjectPropertiesDialog	Legend

Members

Properties

 InitialTab

 ObjectName

 ObjectType

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvObjectPropertiesDialog.InitialTab property

TJvObjectPropertiesDialog	Edit topic

Specifies the name of the page that will initially be selected.

Pascal

property InitialTab: string;

Description

Use InitialTab to specify the name of the page that will initially be selected. Set InitialTab to an empty string, to display the first page on the property sheet.

Created with Doc-O-Matic.


TJvObjectPropertiesDialog.ObjectName property

TJvObjectPropertiesDialog	See Also	Edit topic

Specifies the file, folder or printer name whose properties will be displayed.

Pascal

property ObjectName: TFileName;

Description

Use ObjectName to specify the name of the object whose properties will be displayed by calling Execute. Use ObjectType to specify the type of the object.

Created with Doc-O-Matic.


See Also

TJvObjectPropertiesDialog.ObjectType


TJvObjectPropertiesDialog.ObjectType property

TJvObjectPropertiesDialog	See Also	Edit topic

Specifies the type of the object.

Pascal

property ObjectType: TShellObjectType;

Description

Use ObjectType to specify the type of the object specified by property ObjectName. The object is either a file or folder, or a printer.

Created with Doc-O-Matic.


See Also

TJvObjectPropertiesDialog.ObjectName


TJvObjectPropertiesDialog.Execute method

TJvObjectPropertiesDialog	See Also	Edit topic

Shows the properties dialog of an object.

Pascal

function Execute: Boolean; override;

Return Value

If Execute succeeds, the return value is true. If the function fails, the return value is false.

Description

Call Execute to show the properties dialog for the object specified by ObjectName.

Created with Doc-O-Matic.


See Also

TJvObjectPropertiesDialog.InitialTab, TJvObjectPropertiesDialog.ObjectName


TJvOEMConversion
JEDI-VCL Reference

TJvOEMConversion

Hierarchy	Properties	Methods	Events	 Edit topic

Converts rich text data from and to OEM formatted text.

Pascal

TJvOEMConversion = class(TJvStreamConversion);

File

JvRichEdit

Description

Use the TJvOEMConversion class to allow rich text edit controls to read from and write to files that use the OEM-defined character set.

Rich text edit controls can use this class by registering it through their RegisterConversionFormat method, or by making an instance the default converter.

Notes

Use the Lines property to stream the text to or from a file.

Created with Doc-O-Matic.


TJvOEMConversion Methods

TJvOEMConversion	Legend

Methods

 ConvertRead

 ConvertWrite

 TextKind

TJvStreamConversion

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvOEMConversion Properties

TJvOEMConversion	Legend

Properties

TJvStreamConversion

 Stream

TJvConversion

 ParentWindow

 PercentDone

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvOEMConversion Events

TJvOEMConversion

Events

TJvConversion

OnProgress

Created with Doc-O-Matic.


Legend

TJvOEMConversion

Legend

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvConversion
        TJvStreamConversion
            TJvOEMConversion


TJvOEMConversion Members

TJvOEMConversion	Legend

Members

Methods

 ConvertRead

 ConvertWrite

 TextKind

TJvStreamConversion

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Properties

TJvStreamConversion

 Stream

TJvConversion

 ParentWindow

 PercentDone

Events

TJvConversion

OnProgress

Legend

virtual

read only

Created with Doc-O-Matic.


Legend

virtual

read only


TJvOEMConversion.ConvertRead method

TJvOEMConversion	See Also	Edit topic

Reads BufSize bytes from the import source into the memory buffer pointed to by Buffer.

Pascal

function ConvertRead(Buffer: PChar; BufSize: Integer): Integer; override;

Return Value

Returns the number of bytes actually stored in Buffer.

Parameters

Buffer

A buffer to write to. The converter fills the buffer with data to transfer into the rich edit control.

BufSize

Size of Buffer.

Description

A TJvRichEdit control calls ConvertRead multiple times during an import operation. Each time this method is called the converter should read a chunk of the source file or stream, convert it, and put the converted data in Buffer.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertWrite


TJvOEMConversion.ConvertWrite method

TJvOEMConversion	See Also	Edit topic

Writes BufSize bytes to the export destination from the memory buffer pointed to by Buffer.

Pascal

function ConvertWrite(Buffer: PChar; BufSize: Integer): Integer; override;

Return Value

Returns the number of bytes actually read from Buffer.

Parameters

Buffer

A buffer to read from. The buffer contains data from the control that the converter writes to some storage.

BufSize

Size of Buffer.

Description

A TJvRichEdit control calls ConvertWrite multiple times during an export operation. Each time this method is called the converter should read the data in Buffer, convert it, and write it to the destination file or stream.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertRead


TJvOEMConversion.TextKind method

TJvOEMConversion	Edit topic

Returns the preferred source or target format of the rich edit content.

Pascal

function TextKind: TJvConversionTextKind; override;

Return Value

Returns the preferred source or target format of the rich edit content.

Description

TJvRichEdit calls TextKind to determine what format the converter prefers the content of the rich edit to be.

Created with Doc-O-Matic.


TJvOfficeMenuItemPainter
JEDI-VCL Reference

 TJvOfficeMenuItemPainter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

The painter for the msOffice style

Pascal

TJvOfficeMenuItemPainter = class(TJvCustomMenuItemPainter);

File

JvMenus

Description

The painter for the msOffice style

Created with Doc-O-Matic.


TJvOfficeMenuItemPainter Properties

TJvOfficeMenuItemPainter	Legend

Properties

 LeftMargin

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvOfficeMenuItemPainter Events

TJvOfficeMenuItemPainter	Legend

Events

 OnDrawLeftMargin

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvOfficeMenuItemPainter Methods

TJvOfficeMenuItemPainter	Legend

Methods

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvOfficeMenuItemPainter

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomMenuItemPainter
        TJvOfficeMenuItemPainter


TJvOfficeMenuItemPainter Members

TJvOfficeMenuItemPainter	Legend

Members

Properties

 LeftMargin

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Events

 OnDrawLeftMargin

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Methods

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvOfficeMenuItemPainter.LeftMargin property

TJvOfficeMenuItemPainter	See Also	Edit topic

This is the size of the margin to be drawn on the left side of the menu

Pascal

property LeftMargin: Cardinal;

Description

Most derived painters will publish this property, thus allowing you to specify that you want a colored margin to be drawn on the side of your menu items. By default, this is a gradient from clBlue to clBlack but you can provide an event handler for OnDrawLeftMargin and do your own rendering in it.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.OnDrawLeftMargin


TJvOfficeMenuItemPainter.OnDrawLeftMargin event

TJvOfficeMenuItemPainter	See Also	Edit topic

This is the event called when the margin is to be drawn

Pascal

property OnDrawLeftMargin: TJvDrawLeftMarginEvent;

Description

Most derived painters will publish this property, thus allowing you to provide an event handler for OnDrawLeftMargin and do your own rendering in it. If LeftMargin is equal to 0, the event is never fired.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.LeftMargin


TJvOfficeMenuItemPainter.Paint method

TJvOfficeMenuItemPainter	See Also	Edit topic

Does the painting of the given item

Pascal

procedure Paint(Item: TMenuItem; ItemRect: TRect; State: TMenuOwnerDrawState); override;

Parameters

Item

The item to paint

ItemRect

The rectangle in which the item is to be drawn. Drawing outside the rectangle isn't forbidden but every drawing done outside isn't considered to be part of the item and will get discarded sooner or later.

State

The state of the item (selected, active...)

Description

This is the method you want to override along with Measure to create a new rendering style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Measure


TJvOpenFileAction
JEDI-VCL Reference

TJvOpenFileAction

Hierarchy	Properties	 Edit topic

Action that displays the TJvOpenDialog dialog.

Pascal

TJvOpenFileAction = class(TCommonDialogAction);

File

JvDialogActns

Description

Add TJvOpenFileAction to an action list to add a common file open dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display a file open dialog when invoked.

Use the OnAccept event to respond after the user selects a file name in the file open dialog or the OnCancel event to respond when the user cancels from the dialog. In the event handler for these events, you can read the file name from the dialog specified by the Dialog property.

Created with Doc-O-Matic.


TJvOpenFileAction Properties

TJvOpenFileAction	Legend

Properties

 Dialog

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvOpenFileAction

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCommonDialogAction
    TJvOpenFileAction


TJvOpenFileAction Members

TJvOpenFileAction	Legend

Members

Properties

 Dialog

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvOpenFileAction.Dialog property

TJvOpenFileAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvOpenDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvOpenWithDialog
JEDI-VCL Reference

 TJvOpenWithDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays the Open With... dialog.

Pascal

TJvOpenWithDialog = class(TJvCommonDialogP);

File

JvWinDialogs

Description

Use TJvOpenWithDialog to show the Open With... dialog. Do this by calling the Execute method.

To see an example the dialog, right-click an object, such as a file, that is displayed in Windows Explorer or on the desktop and choose "Open With..." from the shortcut menu. You can also preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvOpenWithDialog Properties

TJvOpenWithDialog	Legend

Properties

 FileName

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvOpenWithDialog Methods

TJvOpenWithDialog	Legend

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvOpenWithDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP
            TJvOpenWithDialog


TJvOpenWithDialog Members

TJvOpenWithDialog	Legend

Members

Properties

 FileName

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvOpenWithDialog.FileName property

TJvOpenWithDialog	Edit topic

Specifies the name of the file for which an Open With... dialog will be displayed.

Pascal

property FileName: TFileName;

Description

Use FileName to specify the name of the file for which an Open With... dialog will be displayed, if Execute is called.

Created with Doc-O-Matic.


TJvOpenWithDialog.Execute method

TJvOpenWithDialog	See Also	Edit topic

Shows the Open With... dialog

Pascal

procedure Execute; override;

Description

Call Execute to show the Open With... Dialog.

Created with Doc-O-Matic.


See Also

TJvOpenWithDialog.FileName


TJvOrganizeFavoritesAction
JEDI-VCL Reference

TJvOrganizeFavoritesAction

Hierarchy	Properties	Events	 Edit topic

Action that displays the TJvOrganizeFavoritesDialog dialog.

Pascal

TJvOrganizeFavoritesAction = class(TJvCommonDialogAction);

File

JvDialogActns

Description

Add TJvOrganizeFavoritesAction to an action list to add an Organize Favorites dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display an Organize Favorites dialog when invoked.

Created with Doc-O-Matic.


TJvOrganizeFavoritesAction Properties

TJvOrganizeFavoritesAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvOrganizeFavoritesAction Events

TJvOrganizeFavoritesAction	Legend

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvOrganizeFavoritesAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvOrganizeFavoritesAction


TJvOrganizeFavoritesAction Members

TJvOrganizeFavoritesAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvOrganizeFavoritesAction.Dialog property

TJvOrganizeFavoritesAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvOrganizeFavoritesDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvOrganizeFavoritesDialog
JEDI-VCL Reference

 TJvOrganizeFavoritesDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays the Organize Favorites dialog.

Pascal

TJvOrganizeFavoritesDialog = class(TJvCommonDialog);

File

JvWinDialogs

Description

Use TJvOrganizeFavoritesDialog to show the Organize Favorites dialog. Do this by calling the Execute method.

To see an example the dialog, choose "Organize Favorites..." from the Favorites menu drop-down list in Windows Explorer. You can also preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

This component is a wrapper for an undocumented Windows function that may not be implemented on all Windows platforms.

Created with Doc-O-Matic.


TJvOrganizeFavoritesDialog Methods

TJvOrganizeFavoritesDialog	Legend

Methods

 Execute

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvOrganizeFavoritesDialog Properties

TJvOrganizeFavoritesDialog	Legend

Properties

TJvCommonDialog

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvOrganizeFavoritesDialog

Legend

virtual

published

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog
        TJvOrganizeFavoritesDialog


TJvOrganizeFavoritesDialog Members

TJvOrganizeFavoritesDialog	Legend

Members

Methods

 Execute

Properties

TJvCommonDialog

 AboutJVCL

Legend

virtual

published

Created with Doc-O-Matic.


Legend

virtual

published


Package

Dlgs


TJvOrganizeFavoritesDialog.Execute method

TJvOrganizeFavoritesDialog	Edit topic

Shows the Organize Favorites dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true if the dialog could be displayed, otherwise false.

Description

Call Execute to show the Organize Favorites Dialog.

Created with Doc-O-Matic.


TJvOSVersionInfo
JEDI-VCL Reference

TJvOSVersionInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvOSVersionInfo = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo Properties

TJvOSVersionInfo	Legend

Properties

 OSVersion

 ProductID

 ProductName

 ProductType

 ServicePackVersion

 VersionBuild

 VersionCSDString

 VersionMajor

 VersionMinor

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvOSVersionInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvOSVersionInfo


TJvOSVersionInfo Members

TJvOSVersionInfo	Legend

Members

Properties

 OSVersion

 ProductID

 ProductName

 ProductType

 ServicePackVersion

 VersionBuild

 VersionCSDString

 VersionMajor

 VersionMinor

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvOSVersionInfo.OSVersion property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property OSVersion: TWindowsVersion;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.ProductID property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property ProductID: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.ProductName property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property ProductName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.ProductType property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property ProductType: TNtProductType;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.ServicePackVersion property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property ServicePackVersion: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.VersionBuild property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property VersionBuild: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.VersionCSDString property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property VersionCSDString: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.VersionMajor property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property VersionMajor: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOSVersionInfo.VersionMinor property

TJvOSVersionInfo	Edit topic

Not documented

Pascal

property VersionMinor: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOutlookBar
JEDI-VCL Reference

 TJvOutlookBar

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A control that can display pages and buttons in the style of the button bar used by Microsoft(R) Outlook(R).

Pascal

TJvOutlookBar = class(TJvCustomOutlookBar);

File

JvOutlookBar

Description

TJvOutlookBar is derived from TJvCustomOutlookBar and publishes its properties but does not introduce any new functionality.

Created with Doc-O-Matic.


TJvOutlookBar Properties

TJvOutlookBar	Legend

Properties

 ActivePageIndex

 BorderStyle

 ButtonSize

 Color

 Font

 LargeImages

 PageButtonHeight

 PageImages

 Pages

PopUpObject

 SmallImages

 ThemedBackground

TJvCustomOutlookBar

 ActivePage

 ActivePageIndex

 BorderStyle

 ButtonSize

 Color

 Font

 LargeImages

 PageButtonHeight

 PageImages

 Pages

 PopUpObject

 SmallImages

 ThemedBackground

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvOutlookBar Events

TJvOutlookBar	Legend

Events

 OnButtonClick

 OnCustomDraw

 OnEditButton

 OnEditPage

 OnPageChange

 OnPageChanging

TJvCustomOutlookBar

 OnButtonClick

 OnCustomDraw

 OnEditButton

 OnEditPage

 OnPageChange

 OnPageChanging

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvOutlookBar Methods

TJvOutlookBar

Methods

TJvCustomOutlookBar

GetButtonAtPos

GetPageButtonAtPos

Created with Doc-O-Matic.


Legend

TJvOutlookBar

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomOutlookBar
            TJvOutlookBar


TJvOutlookBar Members

TJvOutlookBar	Legend

Members

Properties

 ActivePageIndex

 BorderStyle

 ButtonSize

 Color

 Font

 LargeImages

 PageButtonHeight

 PageImages

 Pages

PopUpObject

 SmallImages

 ThemedBackground

TJvCustomOutlookBar

 ActivePage

 ActivePageIndex

 BorderStyle

 ButtonSize

 Color

 Font

 LargeImages

 PageButtonHeight

 PageImages

 Pages

 PopUpObject

 SmallImages

 ThemedBackground

Events

 OnButtonClick

 OnCustomDraw

 OnEditButton

 OnEditPage

 OnPageChange

 OnPageChanging

TJvCustomOutlookBar

 OnButtonClick

 OnCustomDraw

 OnEditButton

 OnEditPage

 OnPageChange

 OnPageChanging

Methods

TJvCustomOutlookBar

GetButtonAtPos

GetPageButtonAtPos

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


Package

Custom


TJvOutlookBar.ActivePageIndex property

TJvOutlookBar	See Also	Edit topic

Specifies the page currently displayed by the control.

Pascal

property ActivePageIndex: Integer;

Description

Use ActivePageIndex to get or set the active page by index rather than by object. The value of ActivePageIndex identifies a page in the Pages property array. Changing the value of ActivePageIndex changes the ActivePage property.

If there is no active page, reading ActivePageIndex gives a value of –1.

Setting ActivePageIndex to a value that is out of bounds (less than 0 or greater than Pages.Count - 1) results in the control not changing the active page.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.ActivePage


TJvOutlookBar.BorderStyle property

TJvOutlookBar	Edit topic

Determines whether the control has a single line border around the client area or a flat style.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to affect the sharpness with which the client area of the control stands out. BorderStyle can have a value of either bsSingle or bsNone. If BorderStyle is bsSingle, the control has a single-line border around the client area. If BorderStyle is bsNone, there will be a flat style border.

Created with Doc-O-Matic.


TJvOutlookBar.ButtonSize property

TJvOutlookBar	See Also	Edit topic

Specifies the size and look of the buttons on the pages.

Pascal

property ButtonSize: TJvBarButtonSize;

Description

Use ButtonSize to determine the current default size of buttons on a page. Change ButtonSize to change the button sizes of all pages in the outlook bar. Only pages having their ParentButtonSize property set to true will be affected.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.ParentButtonSize


TJvOutlookBar.Color property

TJvOutlookBar	See Also	Edit topic

Specifies the background color of the control.

Pascal

property Color;

Description

Use Color to read or change the background color of the control.

If a control's ParentColor property is true, then changing the Color property of the control's parent automatically changes the Color property of the control. When the value of the Color property is changed, the control's ParentColor property is automatically set to false.

Created with Doc-O-Matic.


See Also

TControl.ParentColor


TJvOutlookBar.Font property

TJvOutlookBar	See Also	Edit topic

Controls the attributes of text written on or in the control.

Pascal

property Font;

Description

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object. If a control's ParentFont property is true, then changing the Font property of the control's parent automatically changes the Font property of the control. When the value of the Font property is changed, the control's ParentFont property is automatically set to false.

Created with Doc-O-Matic.


See Also

TControl.ParentFont


TJvOutlookBar.LargeImages property

TJvOutlookBar	See Also	Edit topic

Provides a list of icon images to display for each button when ButtonSize is set to olbsLarge.

Pascal

property LargeImages: TCustomImageList;

Description

Set LargeImages to specify the bitmaps that should be displayed in the buttons when ButtonSize is olbsLarge. Each button on a page can be associated with a bitmap in this image list by setting its ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.ButtonSize, TJvCustomOutlookBar.SmallImages


TJvOutlookBar.OnButtonClick event

TJvOutlookBar	Edit topic

Occurs when the user clicks a button using the left mouse button.

Pascal

property OnButtonClick: TOutlookBarButtonClick;

Parameters

Sender

The object that triggered the event

Index

The index of the button that was clicked. The button is always located on the currently active page.

Description

Write a handler for the OnButtonClick event to take specific action when the user clicks a button. The clicked button is always located on the active page.

Created with Doc-O-Matic.


TJvOutlookBar.OnCustomDraw event

TJvOutlookBar	Edit topic

Event handler for custom drawing

Pascal

property OnCustomDraw: TJvOutlookBarCustomDrawEvent;

Parameters

Sender

The TJvOutlookBar that triggered the event.

ACanvas

The Canvas to draw on

ARect

The area to draw in.

AStage

The current draw stage.

AIndex

Depends on the stage. If AStage is odsPage or odsPageButton, AIndex refers to the page index. If AStage is odsButton or odsButtonFrame, AIndex refers to the button's index on the active page.

ADown

Depends on the stage. For pages, indicates whether the page button is pressed, For buttons, indicates whether the button is down.

AInside

Only used with button stages. Specifies whether the mouse is inside the button.

DefaultDraw

Set to true (the default) if you want the control to perform it's default drawing.

Description

Write a handler for this event if you want to custom draw the outlook bar. You can selectively draw only the parts you are interested in and let the control handle the drawing of other elements.

Created with Doc-O-Matic.


TJvOutlookBar.OnEditButton event

TJvOutlookBar	See Also	Edit topic

Occurs when the user has changed the text of a button.

Pascal

property OnEditButton: TOutlookBarEditCaption;

Description

Write a handler for the OnEditButton event to take specific action when the user has changed the caption of a button.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnEditPage, TJvOutlookBarButton.EditCaption


TJvOutlookBar.OnEditPage event

TJvOutlookBar	See Also	Edit topic

Occurs when the user has changed the text of a page button.

Pascal

property OnEditPage: TOutlookBarEditCaption;

Description

Write a handler for the OnEditPage event to take specific action when the user has changed the caption of a page button.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnEditButton, TJvOutlookBarPage.Caption


TJvOutlookBar.OnPageChange event

TJvOutlookBar	See Also	Edit topic

Occurs after the active page has changed.

Pascal

property OnPageChange: TOutlookBarPageChange;

Parameters

Sender

The object that triggered the event.

Index

The index of the new active page.

Description

Write a handler for the OnPageChange event to take specific actions when the user has changed to a new active page.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnPageChanging


TJvOutlookBar.OnPageChanging event

TJvOutlookBar	See Also	Edit topic

Occurs just before the active page is to be changed.

Pascal

property OnPageChanging: TOutlookBarPageChanging;

Parameters

Sender

The object that triggered the event.

Index

The page index of the page that is to be made active.

AllowChange

Set this parameter to false to disallow changing to the new page.

Description

Write a handler for the OnPageChanging event to take specific actions before the currently active page is changed. For example, you can use this event to prevent the user from changing to another page.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnPageChange


TJvOutlookBar.PageButtonHeight property

TJvOutlookBar	Edit topic

Specifies the height of a page button.

Pascal

property PageButtonHeight: Integer;

Description

Read PageButtonHeight to determine the height of the buttons on the pages. Change PageButtonHeight to modify the height of all page buttons.

Created with Doc-O-Matic.


TJvOutlookBar.PageImages property

TJvOutlookBar	See Also	Edit topic

Provides a list of icon images to display for each page button.

Pascal

property PageImages: TCustomImageList;

Description

Set PageImages to specify the bitmaps that should be displayed on the page buttons. Each page button can be associated with a bitmap in this image list by setting its ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.LargeImages, TJvCustomOutlookBar.Pages, TJvOutlookBarPage.ImageIndex


TJvOutlookBar.Pages property

TJvOutlookBar	See Also	Edit topic

Provides indexed access to the pages in the bar.

Pascal

property Pages: TJvOutlookBarPages;

Description

Use Pages to access individual pages in the bar. Valid values of the Index parameter are in the interval 0 to Pages.Count - 1.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPages.Count


TJvOutlookBar.PopUpObject property

TJvOutlookBar	See Also	Edit topic

Indicates the component that last displayed the popup menu in response to a right mouse click.

Pascal

property PopUpObject: TObject;

Description

Read PopUpObject to determine which control is currently using the popup menu. Since the pages and button in the outlook bar are no real components, reading PopupMenu.PopupComponent always returns the outlook bar control. To access the real object that activated the popup menu, use PopUpObject instead.

To determine what object displayed the popup, you should check it against the three possible values:

    if (JvOutlookBar1.PopUpObject is TJvOutlookBar) then

      HandleBarPopup

    else if (JvOutlookBar1.PopUpObject is TJvOutlookBarPage) then

      HandlePagePopup

    else if (JvOutlookBar1.PopUpObject is TJvOutlookBarButton) then

      HandleBarButton;

Created with Doc-O-Matic.


See Also

PopupMenu


TJvOutlookBar.SmallImages property

TJvOutlookBar	See Also	Edit topic

Provides a list of icon images to display for each button when ButtonSize is set to olbsSmall.

Pascal

property SmallImages: TCustomImageList;

Description

Set SmallImages to specify the bitmaps that should be displayed in the buttons when ButtonSize is olbsSmall. Each button on a page can be associated with a bitmap in this image list by setting its ImageIndex property.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.ButtonSize, TJvCustomOutlookBar.LargeImages


TJvOutlookBar.ThemedBackground property

TJvOutlookBar	Edit topic

Specifies whether to paint the background of the outlook bar themed.

Pascal

property ThemedBackground: Boolean;

Description

Use ThemedBackground to specify whether to paint the background of the outlook bar themed or non themed. This only applies to themed applications on windows XP systems.

Notes

Only for delphi 7.

Created with Doc-O-Matic.


TJvOutlookBarButton
JEDI-VCL Reference

TJvOutlookBarButton

Hierarchy	Properties	Methods	Events	 Edit topic

A button on an outlook page.

Pascal

TJvOutlookBarButton = class(TCollectionItem);

File

JvOutlookBar

Description

The buttons on the pages of a TJvOutlookBar are of type TJvOutlookBarButton. To add a button to a page at design time, double-click the outlook bar to open the OutlookBar Editor. To add a button at runtime, call the Add method of the Buttons property of the page where the page should be added.

Created with Doc-O-Matic.


TJvOutlookBarButton Properties

TJvOutlookBarButton	Legend

Properties

 Action

 AutoToggle

 Caption

 Down

 Enabled

 ImageIndex

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvOutlookBarButton Events

TJvOutlookBarButton	Legend

Events

 OnClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvOutlookBarButton Methods

TJvOutlookBarButton	Legend

Methods

 Assign

Click

EditCaption

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvOutlookBarButton

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvOutlookBarButton


TJvOutlookBarButton Members

TJvOutlookBarButton	Legend

Members

Properties

 Action

 AutoToggle

 Caption

 Down

 Enabled

 ImageIndex

Events

 OnClick

Methods

 Assign

Click

EditCaption

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


TJvOutlookBarButton.Action property

TJvOutlookBarButton	Edit topic

Not documented

Pascal

property Action: TBasicAction;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOutlookBarButton.AutoToggle property

TJvOutlookBarButton	See Also	Edit topic

Specifies whether clicking the button toggles the Down property.

Pascal

property AutoToggle: Boolean;

Description

Use AutoToggle to specify whether the Down property of the button is toggled on and off when the user clicks the button.

Notes

Even if AutoToggle is false and Down is true, an OnButtonClick event is generated every time the user clicks the button.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnButtonClick, TJvOutlookBarButton.Down


TJvOutlookBarButton.Caption property

TJvOutlookBarButton	See Also	Edit topic

Specifies the text on the button.

Pascal

property Caption: TCaption;

Description

Read Caption to determine the text displayed on the button. Change the value of Caption to change the text on the button. To allow the user to change the Caption at runtime, call the EditCaption function.

Created with Doc-O-Matic.


See Also

TJvOutlookBarButton.EditCaption


TJvOutlookBarButton.Down property

TJvOutlookBarButton	See Also	Edit topic

Specifies whether the button appears pressed or not.

Pascal

property Down: Boolean;

Description

Set Down to true to make the button appear pressed even when the mouse is not clicked on the button.

Clicking on a button with it's Down state set to true, does not automatically set Down to false.

To automatically change the state of the Down property when the user clicks it, set AutoToggle to true.

Created with Doc-O-Matic.


See Also

DownFont, Font


TJvOutlookBarButton.Enabled property

TJvOutlookBarButton	Edit topic

Controls whether the button responds to mouse events.

Pascal

property Enabled: Boolean;

Description

Use Enabled to change the availability of the button to the user. To disable a button, set Enabled to false. Disabled button appear dimmed. If Enabled is false, the button ignores mouse events.

To re-enable a button, set Enabled to true. The button is no longer dimmed, and the user can use the button.

Created with Doc-O-Matic.


TJvOutlookBarButton.ImageIndex property

TJvOutlookBarButton	See Also	Edit topic

Specifies the image to display on the button.

Pascal

property ImageIndex: TImageIndex;

Description

ImageIndex is used to set the image to display on the button. Depending on the value of ButtonSize the button displays an image either from LargeImages or from SmallImages.

Created with Doc-O-Matic.


See Also

TJvOutlookBar.ButtonSize, TJvOutlookBar.LargeImages, TJvOutlookBar.SmallImages


TJvOutlookBarButton.OnClick event

TJvOutlookBarButton	Edit topic

Not documented

Pascal

property OnClick: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOutlookBarButton.Assign method

TJvOutlookBarButton	See Also	Edit topic

Copies the contents of another button.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from.

Description

Call Assign to copy the content of another button to this button. If Source is not a TJvOutlookBarButton or descendant, inherited Assign is called.

Created with Doc-O-Matic.


See Also

AssignTo


TJvOutlookBarButton.Click method

TJvOutlookBarButton	Edit topic

Not documented

Pascal

procedure Click; dynamic;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOutlookBarButton.EditCaption method

TJvOutlookBarButton	See Also	Edit topic

Activates runtime editing of the buttons text.

Pascal

procedure EditCaption;

Description

Call EditCaption if you want to allow the user to change the buttons text at runtime. EditCaption activates an inplace editor that the user can type into. When the user presses the Enter key, the text on the button is updated with the new value. If the user presses Escape or clicks outside the button, the text is not changed.

To be notified when the user has finished editing the caption, assign an event handler to the OnEditButton event.

Created with Doc-O-Matic.


See Also

TJvOutlookBar.OnEditButton


TJvOutlookBarButtonActionLink
JEDI-VCL Reference

TJvOutlookBarButtonActionLink

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvOutlookBarButtonActionLink = class(TActionLink);

File

JvOutlookBar

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOutlookBarButtonActionLink Properties

TJvOutlookBarButtonActionLink	Legend

Properties

 Client

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvOutlookBarButtonActionLink

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TActionLink
    TJvOutlookBarButtonActionLink


TJvOutlookBarButtonActionLink Members

TJvOutlookBarButtonActionLink	Legend

Members

Properties

 Client

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvOutlookBarButtonActionLink.Client property

TJvOutlookBarButtonActionLink	Edit topic

Not documented

Pascal

property Client: TJvOutlookBarButton;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvOutlookBarButtons
JEDI-VCL Reference

TJvOutlookBarButtons

Hierarchy	Properties	Methods	 Edit topic

Collection class that maintains a list of buttons.

Pascal

TJvOutlookBarButtons = class(TOwnedCollection);

File

JvOutlookBar

Description

TJvOutlookBarButtons is the class type of the Buttons property and maintains a list of buttons. Use the methods of the class to Add, Delete and Exchange buttons.

Created with Doc-O-Matic.


TJvOutlookBarButtons Properties

TJvOutlookBarButtons

Properties

Items

Created with Doc-O-Matic.


TJvOutlookBarButtons Methods

TJvOutlookBarButtons

Methods

Add

Insert

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvOutlookBarButtons


TJvOutlookBarButtons Members

TJvOutlookBarButtons

Members

Properties

Items

Methods

Add

Insert

Created with Doc-O-Matic.


TJvOutlookBarButtons.Items property

TJvOutlookBarButtons	See Also	Edit topic

Provides indexed access to the buttons in the list.

Pascal

property Items [Index: Integer]: TJvOutlookBarButton;

Description

Use Items to get indexed access to the buttons in the list. To iterate over the buttons, use Items along with the Count property to determine the number of items. Since Items is the default property for TJvOutlookBarButtons, you can leave it out in code when you want to access the items.

  JvOutlookBar1.Pages[0].Buttons.Items[0].Caption := 'OK';

Equivalent:

  JvOutlookBar1.Pages[0].Buttons[0].Caption := 'OK';

Created with Doc-O-Matic.


See Also

Delete, Count


TJvOutlookBarButtons.Add method

TJvOutlookBarButtons	See Also	Edit topic

Adds a new button to the end of the list.

Pascal

function Add: TJvOutlookBarButton;

Return Value

The newly added button.

Description

Call Add to add a new button to the list of buttons.

Created with Doc-O-Matic.


See Also

Delete


TJvOutlookBarButtons.Insert method

TJvOutlookBarButtons	See Also	Edit topic

Adds a new button and places it at the specified index in the list.

Pascal

function Insert(Index: Integer): TJvOutlookBarButton;

Return Value

The newly created button.

Parameters

Index: Integer

The index where the button should be inserted.

Description

Call Insert to add a new button to the list of buttons at a specific index.

Created with Doc-O-Matic.


See Also

Delete


TJvOutlookBarPage
JEDI-VCL Reference

TJvOutlookBarPage

Hierarchy	Properties	Methods	 Edit topic

Represents a page on an outlook bar control.

Pascal

TJvOutlookBarPage = class(TCollectionItem);

File

JvOutlookBar

Description

TJvOutlookBarPage represents a page on a TJvOutlookBar control. Do not create instances of this class yourself. Instances are created and maintained by TJvOutlookBarPages as needed.

Created with Doc-O-Matic.


TJvOutlookBarPage Properties

TJvOutlookBarPage	Legend

Properties

 Alignment

 Buttons

 ButtonSize

 Caption

 Color

 DownFont

 Enabled

 Font

 ImageIndex

 ParentButtonSize

 ParentColor

 ParentFont

 Picture

 TopButtonIndex

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvOutlookBarPage Methods

TJvOutlookBarPage

Methods

EditCaption

Created with Doc-O-Matic.


Legend

TJvOutlookBarPage

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvOutlookBarPage


TJvOutlookBarPage Members

TJvOutlookBarPage	Legend

Members

Properties

 Alignment

 Buttons

 ButtonSize

 Caption

 Color

 DownFont

 Enabled

 Font

 ImageIndex

 ParentButtonSize

 ParentColor

 ParentFont

 Picture

 TopButtonIndex

Methods

EditCaption

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvOutlookBarPage.Alignment property

TJvOutlookBarPage	Edit topic

Determines how text is aligned within the page button.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to change the way the text is aligned by the page button.

Created with Doc-O-Matic.


TJvOutlookBarPage.Buttons property

TJvOutlookBarPage	Edit topic

Provides indexed access to the buttons in the list.

Pascal

property Buttons: TJvOutlookBarButtons;

Description

Use Buttons to access the buttons on a page using an index. Valid indices are between 0 and Buttons.Count - 1.

Created with Doc-O-Matic.


TJvOutlookBarPage.ButtonSize property

TJvOutlookBarPage	Edit topic

Specifies the button size used on the page.

Pascal

property ButtonSize: TJvBarButtonSize;

Description

Use ButtonSize to specify how buttons are displayed and where they retrieve their images from. If ButtonSize is olbsSmall, images are displayed to the left of the button's Caption, if ButtonSize is olbsLarge, images are displayed above the text, centered on the button.

Created with Doc-O-Matic.


TJvOutlookBarPage.Caption property

TJvOutlookBarPage	Edit topic

Specifies the text on the page button.

Pascal

property Caption: TCaption;

Description

Set Caption to change the text on the page button. Read Caption to determine the current text on the page button.

Created with Doc-O-Matic.


TJvOutlookBarPage.Color property

TJvOutlookBarPage	See Also	Edit topic

Specifies the background color of the page.

Pascal

property Color: TColor;

Description

Use Color to read or change the background color of the control.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.Font, TJvOutlookBarPage.ParentColor, TJvOutlookBarPage.ParentFont


TJvOutlookBarPage.DownFont property

TJvOutlookBarPage	See Also	Edit topic

Specifies the font to use when the button's Down property is true.

Pascal

property DownFont: TFont;

Description

Use the properties of DownFont to specify the visual appearance of the buttons text when the Down property is true.

Created with Doc-O-Matic.


See Also

AutoToggle, Down


TJvOutlookBarPage.Enabled property

TJvOutlookBarPage	Edit topic

Controls whether the page responds to mouse events.

Pascal

property Enabled: Boolean;

Description

Use Enabled to change the availability of the page to the user. To disable a page, set Enabled to false. Disabled pages appear dimmed. If Enabled is false, the page ignores mouse events.

To re-enable a page, set Enabled to true. The page is no longer dimmed, and the user can use the page.

Created with Doc-O-Matic.


TJvOutlookBarPage.Font property

TJvOutlookBarPage	See Also	Edit topic

Specifies the font to use when writing text on the page button.

Pascal

property Font: TFont;

Description

Set Font to specify the font to use for writing text on the page button. The value of Font is a TFont object. Set the properties of the TFont object to specify the font face, color, size, style, and any other aspects of the font.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.Color, TJvOutlookBarPage.ParentColor, TJvOutlookBarPage.ParentFont


TJvOutlookBarPage.ImageIndex property

TJvOutlookBarPage	See Also	Edit topic

Specifies the image to display on the page button.

Pascal

property ImageIndex: TImageIndex;

Description

Read ImageIndex to determine the image displayed on the page. Change ImageIndex to display another image. To remove an image, set ImageIndex to -1.

The location of the image on the page button is controlled by the Alignment property.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.Alignment


TJvOutlookBarPage.ParentButtonSize property

TJvOutlookBarPage	See Also	Edit topic

Determines where a page looks for its button size information.

Pascal

property ParentButtonSize: Boolean;

Description

To have a page use the same button size as its parent control, set ParentButtonSize to true. When the value of the page's ButtonSize property changes, ParentButtonSize is set to false automatically.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.ButtonSize


TJvOutlookBarPage.ParentColor property

TJvOutlookBarPage	See Also	Edit topic

Determines where a control looks for its color information.

Pascal

property ParentColor: Boolean;

Description

To have a control use the same color as its parent control, set ParentColor to true. If ParentColor is false, the control uses its own Color property.

When the value of a control's Color property changes, ParentColor becomes false automatically.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.ParentButtonSize, TJvOutlookBarPage.ParentFont


TJvOutlookBarPage.ParentFont property

TJvOutlookBarPage	See Also	Edit topic

Determines where a control looks for its font information.

Pascal

property ParentFont: Boolean;

Description

To have a control use the same font as its parent control, set ParentFont to true. If ParentFont is false the control uses its own Font property. Set ParentFont to true for all controls in order to ensure that all the controls on a form have a uniform appearance. For example, if ParentFont is true for all controls in a form, changing the form’s Font property to 12-point Courier causes all controls on the form to use that font.

When the value of a control's Font property changes, ParentFont becomes false automatically.

Created with Doc-O-Matic.


See Also

TJvOutlookBarPage.Color, TJvOutlookBarPage.Font, TJvOutlookBarPage.ParentColor


TJvOutlookBarPage.Picture property

TJvOutlookBarPage	Edit topic

Specifies a background image for the page

Pascal

property Picture: TPicture;

Description

Use Picture to specify an image to use as a background for the page. If an image is assigned, it is automatically tiled to fill the entire ClientRect of the page.

Created with Doc-O-Matic.


TJvOutlookBarPage.TopButtonIndex property

TJvOutlookBarPage	Edit topic

Specifies the index of the first visible button on the page.

Pascal

property TopButtonIndex: Integer;

Description

Read TopButtonIndex to determine the topmost visible button on the page. Change TopButtonIndex to make another button the topmost button on the page.

Created with Doc-O-Matic.


TJvOutlookBarPage.EditCaption method

TJvOutlookBarPage	See Also	Edit topic

Activates runtime editing of the page button's text.

Pascal

procedure EditCaption;

Description

Call EditCaption if you want to allow the user to change the page button's text at runtime. EditCaption activates an inplace editor that the user can type into. When the user presses Enter, the text on the page button is updated with the new value. If the user presses Escape or clicks outside the page button, the text is not changed.

To be notified when the user has finished editing the caption, assign an event handler to the OnEditPage event.

Created with Doc-O-Matic.


See Also

TJvCustomOutlookBar.OnEditPage


TJvOutlookBarPages
JEDI-VCL Reference

TJvOutlookBarPages

Hierarchy	Properties	Methods	 Edit topic

Maintains a list of outlook pages.

Pascal

TJvOutlookBarPages = class(TOwnedCollection);

File

JvOutlookBar

Description

TJvOutlookBarPages is the type of the Items property of TJvOutlookBar. TJvOutlookBarPages is derived from TCollection and maintains a list of TJvOutlookBarPage objects.

Created with Doc-O-Matic.


TJvOutlookBarPages Properties

TJvOutlookBarPages

Properties

Items

Created with Doc-O-Matic.


TJvOutlookBarPages Methods

TJvOutlookBarPages	Legend

Methods

Add

 Assign

Insert

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvOutlookBarPages

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvOutlookBarPages


TJvOutlookBarPages Members

TJvOutlookBarPages	Legend

Members

Properties

Items

Methods

Add

 Assign

Insert

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvOutlookBarPages.Items property

TJvOutlookBarPages	See Also	Edit topic

Provides indexed access to the pages in the list.

Pascal

property Items [Index: Integer]: TJvOutlookBarPage;

Description

Use Items to access the pages in the list using an index. The first page in the list is at index 0 and the last item is at Count - 1.

Created with Doc-O-Matic.


See Also

Count


TJvOutlookBarPages.Add method

TJvOutlookBarPages	See Also	Edit topic

Add a new page to the control.

Pascal

function Add: TJvOutlookBarPage;

Return Value

The newly created page.

Description

Call add to add a new page to the outlook control.

Created with Doc-O-Matic.


See Also

Delete


TJvOutlookBarPages.Assign method

TJvOutlookBarPages	See Also	Edit topic

Copy the content of another TJvOutlookBarPages to this object.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from.

Description

Call Assign to copy the content of another TJvOutlookBarPages object to this object. If Source is a TJvOutlookBarPages, Assign clears all pages and buttons in this object and copies the pages and buttons from Source.

Created with Doc-O-Matic.


See Also

AssignTo


TJvOutlookBarPages.Insert method

TJvOutlookBarPages	See Also	Edit topic

Adds a new page to the list at a specific index.

Pascal

function Insert(Index: Integer): TJvOutlookBarPage;

Return Value

The newly created page.

Parameters

Index: Integer

The index where the page should be inserted.

Description

Call Insert to add a new page to the list of pages at a specific index.

Created with Doc-O-Matic.


See Also

Delete


TJvOutlookSplitter
JEDI-VCL Reference

 TJvOutlookSplitter

Hierarchy	Properties	Events	Package	 Edit topic

A splitter drawn in the style of the splitter used in Outlook 2003.

Pascal

TJvOutlookSplitter = class(TJvExSplitter);

File

JvNavigationPane

Description

TJvOutlookSplitter is a normal splitter with additional properties and events to make it appear visually like the splitter introduced in Outlook 2003.

Notes

The Color property is not used by TJvOutlookSplitter. TSplitter publishes the Color property and TJvOutlookSplitter inherits it. To modify the colors of a TJvOutlookSplitter, use ColorFrom and ColorTo instead.

Created with Doc-O-Matic.


TJvOutlookSplitter Properties

TJvOutlookSplitter	Legend

Properties

 ColorFrom

 ColorTo

 Cursor

 DragZone

 ParentStyleManager

 StyleManager

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Legend

published

write only

protected

Created with Doc-O-Matic.


Legend

published

write only

protected


TJvOutlookSplitter Events

TJvOutlookSplitter	Legend

Events

 OnMouseEnter

 OnMouseLeave

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvOutlookSplitter

Legend

published

write only

protected

Created with Doc-O-Matic.


Hierarchy

TSplitter, IJvExControl
        TJvExSplitter
            TJvOutlookSplitter


TJvOutlookSplitter Members

TJvOutlookSplitter	Legend

Members

Properties

 ColorFrom

 ColorTo

 Cursor

 DragZone

 ParentStyleManager

 StyleManager

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

write only

protected

Created with Doc-O-Matic.


Legend

published

write only

protected


Package

PageComps


TJvOutlookSplitter.ColorFrom property

TJvOutlookSplitter	See Also	Edit topic

Specifies the starting color of the control's background gradient.

Pascal

property ColorFrom: TColor;

Description

Use ColorFrom to specify the starting color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvOutlookSplitter.ColorTo


TJvOutlookSplitter.ColorTo property

TJvOutlookSplitter	See Also	Edit topic

Specifies the ending color of the control's background gradient.

Pascal

property ColorTo: TColor;

Description

Use ColorFrom to specify the starting color of the gradient drawn on the control.

Created with Doc-O-Matic.


See Also

TJvOutlookSplitter.ColorFrom


TJvOutlookSplitter.Cursor property

TJvOutlookSplitter	Edit topic

Specifies the mouse cursor to display when the mouse is moved over the control.

Pascal

property Cursor;

Description

Use Cursor to set the mouse cursor to display when the mouse is over the control.

Created with Doc-O-Matic.


TJvOutlookSplitter.DragZone property

TJvOutlookSplitter	Edit topic

Specifies the area where dragging is allowed.

Pascal

property DragZone: Integer;

Description

DragZone is the number of pixels in the center of the control that constitutes the draggable area. For example, with a left/right aligned splitter and a DragZone of 100, 50 pixels above and 50 pixels below the vertical midpoint can be clicked to start the sizing. Any clicks outside this area will not start a sizing operation. If DragZone <= 0, the entire control is a drag zone

Created with Doc-O-Matic.


TJvOutlookSplitter.OnMouseEnter event

TJvOutlookSplitter	See Also	Edit topic

Occurs when the mouse pointer moves over the splitter.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the splitter.

Created with Doc-O-Matic.


See Also

TJvExSplitter.OnMouseLeave


TJvOutlookSplitter.OnMouseLeave event

TJvOutlookSplitter	See Also	Edit topic

Occurs when the mouse pointer moves off the splitter.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the splitter. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExSplitter.OnMouseEnter


TJvOutlookSplitter.ParentStyleManager property

TJvOutlookSplitter	See Also	Edit topic

Determines where a control looks for its style information.

Pascal

property ParentStyleManager: Boolean;

Description

To have a control use the same StyleManager as its parent control, set ParentStyleManager to true. If ParentStyleManager is false, the control does not change its StyleManager property to match that of its parent.

Created with Doc-O-Matic.


See Also

TJvOutlookSplitter.StyleManager


TJvOutlookSplitter.StyleManager property

TJvOutlookSplitter	See Also	Edit topic

Specifies the component responsible for handling the control's styles.

Pascal

property StyleManager: TJvNavPaneStyleManager;

Description

Assign a style manager to this property to make the style manager handle the control's theme settings. When the Theme property of the style manager changes, the corresponding properties in the control changes as well.

Created with Doc-O-Matic.


See Also

TJvOutlookSplitter.ParentStyleManager


TJvOutOfMemoryDialog
JEDI-VCL Reference

 TJvOutOfMemoryDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays the Windows Out of Memory dialog.

Pascal

TJvOutOfMemoryDialog = class(TJvCommonDialog);

File

JvWinDialogs

Description

Use TJvOutOfMemoryDialog to show the Windows Out of Memory dialog. Do this by calling the Execute method.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

This component is a wrapper for an undocumented Windows function that may not be implemented on all Windows platforms.

Created with Doc-O-Matic.


TJvOutOfMemoryDialog Properties

TJvOutOfMemoryDialog	Legend

Properties

 Caption

TJvCommonDialog

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvOutOfMemoryDialog Methods

TJvOutOfMemoryDialog	Legend

Methods

 Execute

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvOutOfMemoryDialog

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog
        TJvOutOfMemoryDialog


TJvOutOfMemoryDialog Members

TJvOutOfMemoryDialog	Legend

Members

Properties

 Caption

TJvCommonDialog

 AboutJVCL

Methods

 Execute

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

Dlgs


TJvOutOfMemoryDialog.Caption property

TJvOutOfMemoryDialog	See Also	Edit topic

Specifies the caption for the Out of Memory dialog.

Pascal

property Caption: string;

Description

Use Caption to specify a caption for the Out of Memory dialog.

Created with Doc-O-Matic.


See Also

Execute


TJvOutOfMemoryDialog.Execute method

TJvOutOfMemoryDialog	Edit topic

Shows the Out of Memory dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true if the dialog could be displayed, otherwise false.

Description

Call Execute to show the Out of Memory dialog.

Created with Doc-O-Matic.


TJvOwnerDrawMenuItemPainter
JEDI-VCL Reference

 TJvOwnerDrawMenuItemPainter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This is the painter for the msOwnerDraw style

Pascal

TJvOwnerDrawMenuItemPainter = class(TJvCustomMenuItemPainter);

File

JvMenus

Description

Simply calls the event handlers when needed

Created with Doc-O-Matic.


TJvOwnerDrawMenuItemPainter Methods

TJvOwnerDrawMenuItemPainter	Legend

Methods

 Measure

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvOwnerDrawMenuItemPainter Properties

TJvOwnerDrawMenuItemPainter	Legend

Properties

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvOwnerDrawMenuItemPainter Events

TJvOwnerDrawMenuItemPainter	Legend

Events

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvOwnerDrawMenuItemPainter

Legend

virtual

protected

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomMenuItemPainter
        TJvOwnerDrawMenuItemPainter


TJvOwnerDrawMenuItemPainter Members

TJvOwnerDrawMenuItemPainter	Legend

Members

Methods

 Measure

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Properties

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Events

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Legend

virtual

protected

read only

Created with Doc-O-Matic.


Legend

virtual

protected

read only


Package

StdCtrls


TJvOwnerDrawMenuItemPainter.Measure method

TJvOwnerDrawMenuItemPainter	See Also	Edit topic

Calculates the desired width and height for the given menu item

Pascal

procedure Measure(Item: TMenuItem; var Width: Integer; var Height: Integer); override;

Parameters

Item

The item for which to calculate the dimensions

Width

On return, must contain the width of the item

Height

On return, must contain the height of the item

Description

You have to override this method along with Paint to render a new style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Paint


TJvOwnerDrawMenuItemPainter.Paint method

TJvOwnerDrawMenuItemPainter	See Also	Edit topic

Does the painting of the given item

Pascal

procedure Paint(Item: TMenuItem; ItemRect: TRect; State: TMenuOwnerDrawState); override;

Parameters

Item

The item to paint

ItemRect

The rectangle in which the item is to be drawn. Drawing outside the rectangle isn't forbidden but every drawing done outside isn't considered to be part of the item and will get discarded sooner or later.

State

The state of the item (selected, active...)

Description

This is the method you want to override along with Measure to create a new rendering style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Measure


TJvOwnerDrawViewer
JEDI-VCL Reference

 TJvOwnerDrawViewer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Add a TJvOwnerDrawViewer control to a form to present arbitrary information in a grid.

Pascal

TJvOwnerDrawViewer = class(TJvCustomItemViewer);

File

JvOwnerDrawViewer

Description

TJvOwnerDrawViewer provides the Options property to control the appearance of the items in the grid, as well as the OnDrawItem event to draw the items.

Created with Doc-O-Matic.


TJvOwnerDrawViewer Properties

TJvOwnerDrawViewer	Legend

Properties

Count

Items

 Options

 SelectedIndex

TJvCustomItemViewer

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvOwnerDrawViewer Events

TJvOwnerDrawViewer	Legend

Events

 OnDrawItem

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

TJvCustomItemViewer

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvOwnerDrawViewer Methods

TJvOwnerDrawViewer	Legend

Methods

 GetOptionsClass

TJvCustomItemViewer

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvOwnerDrawViewer

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TScrollingWinControl, IJvExControl
        TJvExScrollingWinControl
            TJvCustomItemViewer
                TJvOwnerDrawViewer


TJvOwnerDrawViewer Members

TJvOwnerDrawViewer	Legend

Members

Properties

Count

Items

 Options

 SelectedIndex

TJvCustomItemViewer

 BorderStyle

 BottomRightIndex

 Canvas

 Count

 Items

 ItemSize

 Options

 Selected

 SelectedIndex

 TopLeftIndex

 UpdateCount

TJvExScrollingWinControl

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnDrawItem

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

TJvCustomItemViewer

 OnDeletion

 OnDrawItem

 OnInsertion

 OnItemChanged

 OnItemChanging

 OnItemHint

 OnOptionsChanged

 OnScroll

TJvExScrollingWinControl

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

 GetOptionsClass

TJvCustomItemViewer

Add

BeginUpdate

 CalcIndices

 Changed

 CheckHotTrack

Clear

 ColRowToIndex

Delete

 DoReduceMemory

 DrawItem

EndUpdate

 FindFirstSelected

 FindLastSelected

 GetDragImages

 GetItemClass

 GetItemState

 GetOptionsClass

 GetTextHeight

 GetTextRect

IndexOf

 IndexToColRow

Insert

 ItemAtPos

 ItemChanged

 ItemChanging

 ItemRect

 OptionsChanged

ScrollBy

ScrollIntoView

SelectAll

SelectItems

 ToggleSelection

UnselectItems

 UpdateAll

 UpdateOffset

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

Custom


TJvOwnerDrawViewer.Count property

TJvOwnerDrawViewer	See Also	Edit topic

Specifies the number of items in the control.

Pascal

property Count: Integer;

Description

Use Count to read and change the number of items in the control. Changing Count will change the upper bound of the Items array. Calling Add, Delete and Clear automatically changes Count.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Add, TJvCustomItemViewer.Clear, TJvCustomItemViewer.Delete, TJvCustomItemViewer.Items


TJvOwnerDrawViewer.Items property

TJvOwnerDrawViewer	See Also	Edit topic

Provides indexed access to the items in the control.

Pascal

property Items [Index: Integer]: TJvViewerItem;

Description

Use Items to read or modify an item at a particular position. Index gives the position of the item, where 0 is the position of the first item, 1 is the position of the second item, and so on. To locate a particular item in the list, call the IndexOf method.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.IndexOf


TJvOwnerDrawViewer.OnDrawItem event

TJvOwnerDrawViewer	Edit topic

Event that is called when the items in the grid needs to be painted.

Pascal

property OnDrawItem: TJvViewerItemDrawEvent;

Description

Write a handler for the OnDrawItem event to draw the items in an owner drawn viewer. If you don't assign an event handler, only the background will be drawn by the control.

Created with Doc-O-Matic.


TJvOwnerDrawViewer.OnItemChanged event

TJvOwnerDrawViewer	See Also	Edit topic

Called when an item has changed.

Pascal

property OnItemChanged: TJvViewerItemChangedEvent;

Parameters

Sender

The object that triggered the event.

Item

The item that has changed.

Description

Write an event handler for the OnItemChanged event to take specific action when an item in the Items array has changed. For example, you might want to update a status display whenever a property of an item has been modified.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanging


TJvOwnerDrawViewer.OnItemChanging event

TJvOwnerDrawViewer	See Also	Edit topic

Called when an item is about to change.

Pascal

property OnItemChanging: TJvViewerItemChangingEvent;

Parameters

Sender

The object that triggered the event.

Item

The item that is about to change.

Allow

Set to false to disallow the change. Default value is true.

Description

Write an event handler for the OnItemChanging event to take specific action when an item in the Items array is about to change. For example, you might want to prohibit changes to items under certain circumstances.

To disallow an item to change, set the Allow parameter to false. By default, Allow is true.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OnItemChanged


TJvOwnerDrawViewer.OnItemHint event

TJvOwnerDrawViewer	Edit topic

Occurs when the hint for an item is about to be displayed.

Pascal

property OnItemHint: TJvViewerItemHintEvent;

Parameters

Sender

The item viewer that triggered the event.

Index

The index of the item for which a hint is to be displayed

HintInfo

Provides access to the hint info.

Handled

Set this to true if your code handles the hint itself.

Description

Write a handler for this event to take specific action when the hint for an item is about to be displayed.

Created with Doc-O-Matic.


TJvOwnerDrawViewer.OnOptionsChanged event

TJvOwnerDrawViewer	See Also	Edit topic

Called when an option has changed.

Pascal

property OnOptionsChanged: TNotifyEvent;

Description

Write an event handler for the OnOptionsChanged event to take specific action whenever an option has changed.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.OptionsChanged


TJvOwnerDrawViewer.Options property

TJvOwnerDrawViewer	See Also	Edit topic

Defines the available options for the control.

Pascal

property Options: TJvOwnerDrawViewerOptions;

Description

Options defines the available options of a TJvOwnerDrawViewer control and is of type TJvOwnerDrawViewerOptions.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions


TJvOwnerDrawViewer.SelectedIndex property

TJvOwnerDrawViewer	See Also	Edit topic

Specifies the index of the currently or last selected item.

Pascal

property SelectedIndex: Integer;

Description

Read SelectedIndex to determine the index of the currently selected item. If SelectedIndex is -1, no item is selected. If Options.MultiSelect is true, SelectedIndex returns the index of the item that was selected most recently.

Created with Doc-O-Matic.


See Also

TJvCustomItemViewer.Selected


TJvOwnerDrawViewer.GetOptionsClass method

TJvOwnerDrawViewer	Edit topic

Returns the class type of the class used for the Options property.

Pascal

function GetOptionsClass: TJvItemViewerOptionsClass; override;

Return Value

The class type of the Options property.

Description

Override GetOptionsClass in descendant classes to return the class type for the control's Options property.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions
JEDI-VCL Reference

TJvOwnerDrawViewerOptions

Hierarchy	Properties	Methods	 Edit topic

Class that defines the available options for a TJvOwnerDrawViewer.

Pascal

TJvOwnerDrawViewerOptions = class(TJvCustomItemViewerOptions);

File

JvOwnerDrawViewer

Description

TJvOwnerDrawViewerOptions derives from TJvViewerOptions and publishes many of its properties but does not add any new functionality. See the documentation for TJvViewerOptions for more details.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions Properties

TJvOwnerDrawViewerOptions	Legend

Properties

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

TJvCustomItemViewerOptions

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvOwnerDrawViewerOptions Methods

TJvOwnerDrawViewerOptions	Legend

Methods

TJvCustomItemViewerOptions

 Change

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvOwnerDrawViewerOptions

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomItemViewerOptions
        TJvOwnerDrawViewerOptions


TJvOwnerDrawViewerOptions Members

TJvOwnerDrawViewerOptions	Legend

Members

Properties

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

TJvCustomItemViewerOptions

 Alignment

 AutoCenter

 BrushPattern

 DragAutoScroll

 Height

 HorzSpacing

 HotTrack

 Layout

 LazyRead

 MultiSelect

 ReduceMemoryUsage

 RightClickSelect

 ScrollBar

 ShowCaptions

 Smooth

 Tracking

 VertSpacing

 Width

Methods

TJvCustomItemViewerOptions

 Change

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


TJvOwnerDrawViewerOptions.Alignment property

TJvOwnerDrawViewerOptions	See Also	Edit topic

Controls the horizontal placement of the text within an item.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text of the items in the grid should be justified.

This property has no effect in an owner draw viewer and is only provided as a convenience to the user. You are still responsible for drawing any text with the correct justification.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions.Layout, TJvOwnerDrawViewerOptions.ShowCaptions


TJvOwnerDrawViewerOptions.AutoCenter property

TJvOwnerDrawViewerOptions	See Also	Edit topic

Determines whether the grid items are centered in the control or if they are calculated from the top, left edge of the control.

Pascal

property AutoCenter: Boolean;

Description

Set AutoCenter to true to adjust the items in the grid so they appear in the middle of the control. AutoCenter is calculated differently depending on which scrollbar is currently visible. For example, when the horizontal scrollbar is used (ie ScrollBar = tvHorizontal), items are centered vertically.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions.ScrollBar


TJvOwnerDrawViewerOptions.BrushPattern property

TJvOwnerDrawViewerOptions	Edit topic

Defines the color pattern used for selected items.

Pascal

property BrushPattern: TJvBrushPattern;

Description

Use the properties and methods of BrushPattern to define how the background of selected items should be drawn.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.DragAutoScroll property

TJvOwnerDrawViewerOptions	Edit topic

Defines whether the control automatically scrolls when an item is dragged near the edge.

Pascal

property DragAutoScroll: Boolean;

Description

Set DragAutoScroll to true to make the control automatically scroll when an item is dragged near the edge of the control and the control can be scrolled in that direction.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.Height property

TJvOwnerDrawViewerOptions	Edit topic

Defines the height of an item in the grid.

Pascal

property Height: Integer;

Description

Use Height to read and change the height of an item in the grid. Height is specified in pixels. Height combined with VertSpacing defines the total height an item occupies in the control.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.HorzSpacing property

TJvOwnerDrawViewerOptions	See Also	Edit topic

Defines the horizontal spacing between items in the grid.

Pascal

property HorzSpacing: Integer;

Description

Use HorzSpacing to read and change the horizontal spacing between items in the grid. HorzSpacing is expressed in pixels. HorzSpacing combined with Width defines the total width an item occupies in the control.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions.Height, TJvOwnerDrawViewerOptions.VertSpacing, TJvOwnerDrawViewerOptions.Width


TJvOwnerDrawViewerOptions.HotTrack property

TJvOwnerDrawViewerOptions	Edit topic

Defines whether the control keeps track of the current location of the mouse pointer.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback to the user about which item would be selected if the mouse button is clicked.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.Layout property

TJvOwnerDrawViewerOptions	See Also	Edit topic

Specifies the vertical placement of the text within an item.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of an item is placed within the control. Layout is the vertical analog to the Alignment property.

This property has no effect in an owner draw viewer and is only provided as a convenience to the user. You are still responsible for drawing any text with the correct justification and placement.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions.Alignment, TJvOwnerDrawViewerOptions.ShowCaptions


TJvOwnerDrawViewerOptions.LazyRead property

TJvOwnerDrawViewerOptions	Edit topic

Specifies whether items are read into the control as needed or all at once.

Pascal

property LazyRead: Boolean;

Description

If LazyRead is true, only items that are currently visible are passed to the OnDrawItem event. When LazyRead is false, all items are passed to OnDrawItem regardless of whether they are currently visible or not.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.MultiSelect property

TJvOwnerDrawViewerOptions	Edit topic

Determines whether the user can select more than one element at a time.

Pascal

property MultiSelect: Boolean;

Description

Set MultiSelect to True to allow the user to select multiple items. If MultiSelect if False, multiple items cannot be selected in the list box at the same time.

MultiSelect allows users to select multiple non-sequential items. It also allows users to select a range of items in one operation. To select non-sequential items, hold the Ctrl key while clicking on the items. To select a range of items, select the first item, hold the Shift key and select the last item.

When MultiSelect is True and multiple items are selected, the value of the SelectedIndex property, which indicates the index of the selected item, is the index item that was selected first.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.RightClickSelect property

TJvOwnerDrawViewerOptions	Edit topic

Determines whether right-clicks changes the SelectedIndex property.

Pascal

property RightClickSelect: Boolean;

Description

Use RightClickSelect to allow the SelectedIndex property to indicate items the user clicks with the right mouse button. If RightClickSelect is True, the value of SelectedIndex is the value of the item last clicked with either the right or left mouse button. If RightClickSelect is False, the value of SelectedIndex is the item last clicked using the left mouse button.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.ScrollBar property

TJvOwnerDrawViewerOptions	Edit topic

Determines how items are arranged in the control.

Pascal

property ScrollBar: TJvItemViewerScrollBar;

Description

Use ScrollBar to determine how items are arranged in the control and which scroll bar is shown when the items don't fit in the current ClientRect. When ScrollBar is tvHorizontal, the control displays as many rows as possible and determines the number of columns based on the number of rows. If all items can't fit into the current ClientRect, a horizontal scrollbar is displayed.

When ScrollBar is tvVertical, the control displays as many columns as possible and determines the number of rows based on this value. If all items can't fit into the current ClientRect, a vertical scrollbar is displayed.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.ShowCaptions property

TJvOwnerDrawViewerOptions	See Also	Edit topic

Specifies whether captions should be shown or not.

Pascal

property ShowCaptions: Boolean;

Description

Set ShowCaptions to true to adjust the TRects passed to OnDrawItem to make room for a caption.

Since the owner draw viewer doesn't have its own Caption, it is up to you to draw the text of each item in the OnDrawItem.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions.Alignment, TJvOwnerDrawViewerOptions.Layout


TJvOwnerDrawViewerOptions.Smooth property

TJvOwnerDrawViewerOptions	Edit topic

Specifies whether the amount the associated control scrolls is dynamically computed.

Pascal

property Smooth: Boolean;

Description

Set Smooth to True to specify that the scroll bar should dynamically adjust its scrolling increment based on the size of the associated control’s client area.

When Smooth is True, clicking the end arrows of the scrollbar scrolls the associated control by approximately one tenth of its client area, and clicking the scrollbar beside the thumb tab scrolls the control by the length of the client area minus the amount scrolled by the end arrows. When Smooth is False, the Increment property controls the amount of scrolling when the user clicks the end arrows, and clicking beside the thumb tab scrolls the control by the entire length of the client area.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.Tracking property

TJvOwnerDrawViewerOptions	Edit topic

Determines whether the scroll box moves before the thumb tab is released.

Pascal

property Tracking: Boolean;

Description

Use Tracking to control whether the scrollbar and associated control repaint while the thumb tab is dragged with the mouse. If Tracking is True, the images moves as the user drags the thumb tab. If Tracking is False, the image remains static until the thumb tab is released.

Repainting while the thumb tab is dragged can provide useful feedback to the user about how far the control has scrolled, but slows performance.

Created with Doc-O-Matic.


TJvOwnerDrawViewerOptions.VertSpacing property

TJvOwnerDrawViewerOptions	See Also	Edit topic

Defines the vertical spacing between items in the gird.

Pascal

property VertSpacing: Integer;

Description

Use VertSpacing to read and change the vertical spacing between items in the grid. VertSpacing is expressed in pixels. VertSpacing combined with Height defines the total height an item occupies in the control.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions.Height, TJvOwnerDrawViewerOptions.HorzSpacing, TJvOwnerDrawViewerOptions.Width


TJvOwnerDrawViewerOptions.Width property

TJvOwnerDrawViewerOptions	See Also	Edit topic

Defines the Width of an item in the grid.

Pascal

property Width: Integer;

Description

Use Width to read and change the width of an item in the grid. Width is expressed in pixels. Width combined with HorzSpacing defines the total width an item occupies in the control.

Created with Doc-O-Matic.


See Also

TJvOwnerDrawViewerOptions.Height, TJvOwnerDrawViewerOptions.HorzSpacing, TJvOwnerDrawViewerOptions.VertSpacing


TJvPageIndexNode
JEDI-VCL Reference

TJvPageIndexNode

Hierarchy	Properties	Methods	 Edit topic

A tree node class that has an additional PageIndex property.

Pascal

TJvPageIndexNode = class(TTreeNode);

File

JvPageListTreeView

Description

TJvPageIndexNode is the class for nodes created by the TJvPageListTreeView component.

Created with Doc-O-Matic.


TJvPageIndexNode Properties

TJvPageIndexNode	Legend

Properties

 PageIndex

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPageIndexNode Methods

TJvPageIndexNode	Legend

Methods

 Assign

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Legend

TJvPageIndexNode

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TTreeNode
    TJvPageIndexNode


TJvPageIndexNode Members

TJvPageIndexNode	Legend

Members

Properties

 PageIndex

Methods

 Assign

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


TJvPageIndexNode.PageIndex property

TJvPageIndexNode	See Also	Edit topic

Specifies the page index of the node.

Pascal

property PageIndex: Integer;

Description

Use PageIndex to specify which page in an associated IPageList implementation should be activated when the node is selected.

Created with Doc-O-Matic.


See Also

TJvCustomPage.PageList


TJvPageIndexNode.Assign method

TJvPageIndexNode	See Also	Edit topic

Copies the properties of another node.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy.

Description

It the Source parameter is a TJvPageIndexNode object, Assign copies its properties to this node. Otherwise, Assign calls the inherited method so that any object that copies properties to a TJvPageIndexNode in its AssignTo method can do so.

Created with Doc-O-Matic.


See Also

AssignTo


TJvPageIndexNodes
JEDI-VCL Reference

TJvPageIndexNodes

Hierarchy	 Edit topic

Maintains a list of TJvPageIndexNode nodes in a tree view control.

Pascal

TJvPageIndexNodes = class(TTreeNodes);

File

JvPageListTreeView

Description

The Items property of the TJvCustomPageListTreeView is a TJvPageIndexNodes object and maintains the collection of nodes in the tree view. Nodes can be added, deleted, inserted, and moved within the tree view. Access the nodes in the tree view through the Items property of the tree view.

Created with Doc-O-Matic.


Hierarchy

TTreeNodes
    TJvPageIndexNodes


TJvPageLinks
JEDI-VCL Reference

TJvPageLinks

Hierarchy	Properties	 Edit topic

Class used to facilitate linking nodes to pages in a page list.

Pascal

TJvPageLinks = class(TPersistent);

File

JvPageListTreeView

Description

This class is only used at design-time and is provided to activate the design-time editor for setting up links between tree nodes and the pages in an IPageList implementation. Do not try to use this class or its methods as it isn't a "real" class.

Created with Doc-O-Matic.


TJvPageLinks Properties

TJvPageLinks	Legend

Properties

 TreeView

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvPageLinks

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvPageLinks


TJvPageLinks Members

TJvPageLinks	Legend

Members

Properties

 TreeView

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvPageLinks.TreeView property

TJvPageLinks	Edit topic

Specifies the TreeView that is the "parent" of the TJvPageLinks instance.

Pascal

property TreeView: TJvCustomPageListTreeView;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPageList
JEDI-VCL Reference

 TJvPageList

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Implements a page list component.

Pascal

TJvPageList = class(TJvCustomPageList);

File

JvPageList

Description

TJvPageList is a TJvCustomPageList descendant that implements a control that should contain a series of pages where only one page is visible at a time. A page list is very similar to a TPageControl but its pages do not have any tabs.

TJvPageList publishes properties defined in ancestor classes, and implements a protected method that reads the TJvStandardPage class reference for pages in list.

Ownership of a page in the page list is established by assigning a value to the TJvCustomPage.PageList property for the page. This happens at design-time using the page editor, or at run-time when calling the ShowPage and HidePage methods.

Uses Pages and PageCount to access page in the list by their ordinal position.

Use PrevPage and NextPage to navigate visible pages using their ordinal positions in the page list.

Use ActivePage and ActivePageIndex to get or set the visible page in the page list.

Use PropagateEnable to indicate if controls owned by the page list are enabled.

Use ShowDesignCaption to control the display position of page captions at design-time.

Created with Doc-O-Matic.


TJvPageList Properties

TJvPageList	Legend

Properties

 ActivePage

PageCount

 PropagateEnable

 ShowDesignCaption

TJvCustomPageList

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvPageList Events

TJvPageList	Legend

Events

 OnChange

 OnChanging

TJvCustomPageList

 OnChange

 OnChanging

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPageList Methods

TJvPageList	Legend

Methods

TJvCustomPageList

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvPageList

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl, IUnknown, IPageList
                TJvCustomPageList
                    TJvPageList


TJvPageList Members

TJvPageList	Legend

Members

Properties

 ActivePage

PageCount

 PropagateEnable

 ShowDesignCaption

TJvCustomPageList

ActivePage

ActivePageIndex

 HiddenPageList

 PageCount

 PageList

 Pages

 PropagateEnable

 ShowDesignCaption

Events

 OnChange

 OnChanging

TJvCustomPageList

 OnChange

 OnChanging

Methods

TJvCustomPageList

 AddPage

 CanChange

 DeletePage

FindNextPage

 GetPageCaption

GetPageClass

 GetPageCount

 HidePage

 MovePage

NextPage

 PageCaptionChanged

PrevPage

 SetActivePageIndex

 ShowPage

IPageList

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


See Also

TJvCustomPageList, TJvCustomPage, TJvStandardPage, Pages, PageCount, ActivePage, ActivePageIndex, PrevPage, NextPage, PropogateEnable, ShowDesignCaption


Package

PageComps


TJvPageList.ActivePage property

TJvPageList	See Also	Edit topic

Specifies the page currently displayed by the page list control.

Pascal

property ActivePage: TJvCustomPage;

Description

Read ActivePage to determine which page is selected by the user. Set ActivePage to bring a page to the foreground. Only one page can be active at a time. To change the ActivePage to the page that precedes or follows the active page, use the FindNextPage method.

Created with Doc-O-Matic.


See Also

ActivePageIndex, FindNextPage


TJvPageList.OnChange event

TJvPageList	See Also	Edit topic

Occurs immediately after a new page has been selected.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to take specific actions when the active page has changed. To access the new active page, access either the ActivePage or ActivePageIndex properties.

Created with Doc-O-Matic.


See Also

ActivePage, ActivePageIndex, OnChanging


TJvPageList.OnChanging event

TJvPageList	See Also	Edit topic

Occurs immediately before a new page is selected.

Pascal

property OnChanging: TJvPageChangingEvent;

Parameters

Sender

The page list that triggered the event.

PageIndex

The index of the page that is to become selected.

AllowChange

Set to false to disallow the change. This parameter is true by default.

Description

Write an OnChanging event handler to take specific action immediately before the selected page changes. Set the AllowChange parameter to false to prevent the change.

Use an OnChanging event handler to prevent the user from leaving a page until certain conditions have been met. An OnChanging event handler can also be used to save information about the current state of the page before it is changed by a new page selection.

To access the currently active page, access either the ActivePage or ActivePageIndex properties.

Created with Doc-O-Matic.


See Also

ActivePage, ActivePageIndex, OnChange


TJvPageList.PageCount property

TJvPageList	See Also	Edit topic

Indicates the number of pages in the Pages array.

Pascal

property PageCount: Integer;

Description

Use PageCount to determine the number of pages listed by the Pages property. PageCount is read-only.

To add a new page at design-time, right-click the page list and select "New page". To delete a page at design-time, right-click the control and select "Delete".

To add a new page at run-time, create the page dynamically and set its PageList property to the page list control that should contain it. To remove a page at run-time, set its PageList property to nil and then Free the page.

Created with Doc-O-Matic.


See Also

Pages


TJvPageList.PropagateEnable property

TJvPageList	See Also	Edit topic

Specifies if changes to the Enabled property is propagated to the controls parented by the page list.

Pascal

property PropagateEnable: Boolean;

Description

Use PropagateEnable to read or specify if child controls are disabled and enabled automatically when the Enabled property of the page list changes.

You cannot access child controls when the parent control is disabled but this is not normally reflected visually in Delphi controls. By setting PropagateEnabled to true, the Enabled property of the child controls is automatically changed in sync with the Parent component, making it visually obvious that the control is disabled or enabled.

Created with Doc-O-Matic.


See Also

Enabled


TJvPageList.ShowDesignCaption property

TJvPageList	Edit topic

Specifies if page captions are visible at design-time.

Pascal

property ShowDesignCaption: TJvShowDesignCaption;

Description

Use ShowDesignCaption to specify how the caption of contained pages are shown at design-time. Showing the caption can help keep track of which page is currently active without having to select the page list and look at its ActivePage property in the Object Inspector.

Page captions are always hidden at run-time.

Created with Doc-O-Matic.


TJvPageListTreeView
JEDI-VCL Reference

 TJvPageListTreeView

Hierarchy	Properties	Events	Package	 Edit topic

A treeview that can be associated with an IPageList implementation.

Pascal

TJvPageListTreeView = class(TJvCustomPageListTreeView);

File

JvPageListTreeView

Description

TJvPageListTreeView is derived from TJvCustomPageListTreeView and publishes most of its properties but doesn't add any new functionality.

Created with Doc-O-Matic.


TJvPageListTreeView Properties

TJvPageListTreeView	Legend

Properties

 Items

 PageDefault

 PageLinks

 PageList

TJvCustomPageListTreeView

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPageListTreeView Events

TJvPageListTreeView	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvPageListTreeView

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomPageListTreeView
                TJvPageListTreeView


TJvPageListTreeView Members

TJvPageListTreeView	Legend

Members

Properties

 Items

 PageDefault

 PageLinks

 PageList

TJvCustomPageListTreeView

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

PageComps


TJvPageListTreeView.Items property

TJvPageListTreeView	See Also	Edit topic

Lists the individual nodes that appear in the tree view control.

Pascal

property Items: TJvPageIndexNodes;

Description

Individual nodes in this tree view are TJvPageIndexNode objects but they are surfaced as standard TTreeNode objects. To access the additional properties and methods of the TJvPageIndexNode class, you must type cast the node to a TJvPageIndexNode. The individual nodes can be accessed by using the Items property along with the item's index into the tree view. For example, to access the second item in the tree view, you could use the following code.

    (Delphi)

      MyTreeNode := TreeView1.Items[1];

    (C++Builder)

      MyTreeNode = TreeView1->Items[1];

When setting this property at design-time in the Object Inspector the Tree View Items Editor appears. Use the New Item and New SubItem buttons to add items to the tree view. Use the Text property to modify what text is displayed in the label of the item.

At run-time nodes can be added and inserted by using the TTreeNodes methods AddChildFirst, AddChild, AddChildObjectFirst, AddChildObject, AddFirst, Add, AddObjectFirst, AddObject, and Insert.

Notes

Accessing tree view items by index can be time-intensive, particularly when the tree view contains many items. For optimal performance, try to design your application so that it has as few dependencies on the tree view’s item index as possible.

Created with Doc-O-Matic.


See Also

AddChildFirst, AddChild, AddChildObjectFirst, AddChildObject, AddFirst, Add, AddObjectFirst, AddObject, Insert


TJvPageListTreeView.OnMouseEnter event

TJvPageListTreeView	See Also	Edit topic

Occurs when the mouse pointer moves over the tree view control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tree view control.

Created with Doc-O-Matic.


See Also

TJvExCustomTreeView.OnMouseLeave


TJvPageListTreeView.OnMouseLeave event

TJvPageListTreeView	See Also	Edit topic

Occurs when the mouse pointer moves off the tree view control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tree view control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomTreeView.OnMouseEnter


TJvPageListTreeView.OnParentColorChange event

TJvPageListTreeView	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvPageListTreeView.PageDefault property

TJvPageListTreeView	See Also	Edit topic

Specifies the index of the default page.

Pascal

property PageDefault: Integer;

Description

Use DefaultPage to specify the value of the PageIndex property for new nodes. For example, settings this property to 0 will set the PageIndex of new nodes to 0, setting it to 1 will set the PageIndex to 1, etc.

Created with Doc-O-Matic.


See Also

TJvCustomPageListTreeView.PageLinks, TJvCustomPageListTreeView.PageList


TJvPageListTreeView.PageLinks property

TJvPageListTreeView	See Also	Edit topic

Used at design-time to set up the association between tree nodes and pages in a PageList.

Pascal

property PageLinks: TJvPageLinks;

Description

This property is only used at design-time to set up the association between a node and the page that should be displayed y the IPageList implementation when that node is selected. To set up a page link association at run-time, type cast the tree node to TJvPageIndexNode and set its PageIndex property.

Example:

    TJvPageIndexNode(JvCustomPageListTreeView1.Items[SomeIndex]).PageIndex := SomePageIndex;

The linking will only have effect if the PageList property has been assigned.

Created with Doc-O-Matic.


See Also

TJvCustomPageListTreeView.PageList, TJvPageIndexNode.PageIndex


TJvPageListTreeView.PageList property

TJvPageListTreeView	Edit topic

Specifies the IPageList implementation.

Pascal

property PageList: IPageList;

Description

Use the PageList property to associate an IPageList implementation with the treeview. If a PageList is assigned, the active page of the page list will change automatically when the user selects a new node in the treeview. The page that is activated is determined by the value of the selected nodes PageIndex property.

Created with Doc-O-Matic.


TJvPageScroller
JEDI-VCL Reference

 TJvPageScroller

Hierarchy	Properties	Events	Package	 Edit topic

A TPageScroller with additional events.

Pascal

TJvPageScroller = class(TJvExPageScroller);

File

JvPageScroller

Description

Use TJvPageScroller as a replacement for TPageScroller when you need access to events like OnMouseEnter, OnMouseLeave, OnCtl3DChanged and OnParentColorChange and properties like HintColor.

Created with Doc-O-Matic.


TJvPageScroller Properties

TJvPageScroller	Legend

Properties

 HintColor

TJvExPageScroller

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPageScroller Events

TJvPageScroller	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExPageScroller

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvPageScroller

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPageScroller, IJvExControl
        TJvExPageScroller
            TJvPageScroller


TJvPageScroller Members

TJvPageScroller	Legend

Members

Properties

 HintColor

TJvExPageScroller

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExPageScroller

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Ctrls


TJvPageScroller.HintColor property

TJvPageScroller	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvPageScroller.OnMouseEnter event

TJvPageScroller	See Also	Edit topic

Occurs when the mouse pointer moves over the page scroller.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the page scroller.

Created with Doc-O-Matic.


See Also

TJvExPageScroller.OnMouseLeave


TJvPageScroller.OnMouseLeave event

TJvPageScroller	See Also	Edit topic

Occurs when the mouse pointer moves off the page scroller.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the page scroller. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExPageScroller.OnMouseEnter


TJvPageScroller.OnParentColorChange event

TJvPageScroller	See Also	Edit topic

Occurs when the color of the parent control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an event handler for OnParentColorChange to take specific action when the color of the control's parent changes. For example, you can change the color of the control itself to match the parent's color even if the ParentColor property is false.

Created with Doc-O-Matic.


See Also

Parent, ParentColor


TJvPageSetupAction
JEDI-VCL Reference

TJvPageSetupAction

Hierarchy	Properties	Events	 Edit topic

Action that displays the TJvPageSetupDialog dialog.

Pascal

TJvPageSetupAction = class(TJvCommonDialogAction);

File

JvDialogActns

Description

Add TJvPageSetupAction to an action list to add a Page Setup dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display a Page Setup dialog when invoked, that enables the user to specify the attributes of a printed page.

Created with Doc-O-Matic.


TJvPageSetupAction Properties

TJvPageSetupAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvPageSetupAction Events

TJvPageSetupAction	Legend

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvPageSetupAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvPageSetupAction


TJvPageSetupAction Members

TJvPageSetupAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvPageSetupAction.Dialog property

TJvPageSetupAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvPageSetupDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvPageSetupTitledAction
JEDI-VCL Reference

TJvPageSetupTitledAction

Hierarchy	Properties	Events	 Edit topic

Action that displays the TJvPageSetupTitledDialog dialog.

Pascal

TJvPageSetupTitledAction = class(TJvCommonDialogAction);

File

JvDialogActns

Description

Add TJvPageSetupTitledAction to an action list to add a Page Setup dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display a Page Setup dialog when invoked, that enables the user to specify the attributes of a printed page.

Created with Doc-O-Matic.


TJvPageSetupTitledAction Properties

TJvPageSetupTitledAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvPageSetupTitledAction Events

TJvPageSetupTitledAction	Legend

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvPageSetupTitledAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvPageSetupTitledAction


TJvPageSetupTitledAction Members

TJvPageSetupTitledAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvPageSetupTitledAction.Dialog property

TJvPageSetupTitledAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvPageSetupTitledDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvPageShadow
JEDI-VCL Reference

TJvPageShadow

Hierarchy	Properties	Events	 Edit topic

Maintains properties relating to the print preview page shadow.

Pascal

TJvPageShadow = class(TPersistent);

File

JvPrvwDoc

Description

TJvPageShadow is the class type of the Shadow property of a TJvPreviewControl.

Created with Doc-O-Matic.


TJvPageShadow Properties

TJvPageShadow	Legend

Properties

 Color

 Offset

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPageShadow Events

TJvPageShadow

Events

OnChange

Created with Doc-O-Matic.


Legend

TJvPageShadow

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvPageShadow


TJvPageShadow Members

TJvPageShadow	Legend

Members

Properties

 Color

 Offset

Events

OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPageShadow.Color property

TJvPageShadow	See Also	Edit topic

Specifies the color of the shadow.

Pascal

property Color: TColor;

Description

Use Color to specify the color of the shadow.

Created with Doc-O-Matic.


See Also

TJvPageShadow.Offset, TJvPageShadow.OnChange


TJvPageShadow.Offset property

TJvPageShadow	See Also	Edit topic

Specifies the position of the shadow in relation to the page.

Pascal

property Offset: Integer;

Description

Use Offset to specify where the shadow is located in relation to the page it is associated with. Offset controls the number of pixels the shadow is shifted down and to the right compared to the position of the page. For example, if Offset is 2, the shadow will appear 2 pixels below and to the right of the page. If Offset is 0, no shadow is displayed. Offset can also be negative.

Created with Doc-O-Matic.


See Also

TJvPageShadow.Color, TJvPageShadow.OnChange


TJvPageShadow.OnChange event

TJvPageShadow	See Also	Edit topic

Occurs when any of the shadow's properties changes.

Pascal

property OnChange: TNotifyEvent;

Description

Don’t write a handler for this event. A handler is automatically assigned by the component that created the class.

Created with Doc-O-Matic.


See Also

TJvPreviewControl


TJvPalette
JEDI-VCL Reference

TJvPalette

Hierarchy	Methods	 Edit topic

A palette to use for the capture session.

Pascal

TJvPalette = class(TPersistent);

File

JvAVICapture

Description

When capturing at a Bit Depth of 8 or less bits, a palette must be used to render the frames. This class provides the encapsulation around the palette offered by the system. The easiest way to use it is to let the system create a palette automatically by calling AutoCreate.

Created with Doc-O-Matic.


TJvPalette Methods

TJvPalette

Methods

AutoCreate

Load

ManuallyCreate

PasteFromClipboard

Save

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvPalette


TJvPalette Members

TJvPalette

Members

Methods

AutoCreate

Load

ManuallyCreate

PasteFromClipboard

Save

Created with Doc-O-Matic.


TJvPalette.AutoCreate method

TJvPalette	See Also	Edit topic

Automatically create the best palette.

Pascal

function AutoCreate(nbFrames: Integer; nbColors: TJvPaletteNbColors): Boolean;

Return Value

True if the palette was successfully created

Parameters

nbFrames: Integer

The number of frames to consider for the creation of the palette.

nbColors: TJvPaletteNbColors

The maximum number of colors the palette can contain.

Description

The best possible palette will be created for a maximum number of nbColors. It will be computed from the first nbFrames frames in the video stream.

Created with Doc-O-Matic.


See Also

TJvPalette.Load, TJvPalette.ManuallyCreate, TJvPalette.PasteFromClipboard


TJvPalette.Load method

TJvPalette	See Also	Edit topic

Loads the palette from a file.

Pascal

function Load(FileName: string): Boolean;

Return Value

True if the palette was loaded successfully, false otherwise.

Parameters

FileName: string

The name of the file containing the palette to load.

Description

Tries to load the palette from the given file.

Created with Doc-O-Matic.


See Also

TJvPalette.AutoCreate, TJvPalette.ManuallyCreate, TJvPalette.PasteFromClipboard, TJvPalette.Save


TJvPalette.ManuallyCreate method

TJvPalette	See Also	Edit topic

Indicates that the current frame must be taken into account to manually create the palette.

Pascal

function ManuallyCreate(Flag: Boolean; nbColors: TJvPaletteNbColors): Boolean;

Return Value

True if the call was successful.

Parameters

Flag: Boolean

True to continue the creation, false to stop the creation.

nbColors: TJvPaletteNbColors

Maximum number of colors in the palette.

Description

Use this call from a frame callback and set the flag to true to indicate that the current frame must be considered when creating the palette. Continue calling this method with flag set to true as long as you need it. Then call it again with flag set to false, to finalize the palette and pass it to the capture driver that will now use it.

Created with Doc-O-Matic.


See Also

TJvPalette.AutoCreate, TJvPalette.Load, TJvPalette.PasteFromClipboard, TJvPalette.Save


TJvPalette.PasteFromClipboard method

TJvPalette	See Also	Edit topic

Pastes the palette from the clipboard.

Pascal

function PasteFromClipboard: Boolean;

Return Value

True if the call was successful.

Description

Pastes the palette from the clipboard.

Created with Doc-O-Matic.


See Also

TJvPalette.AutoCreate, TJvPalette.Load, TJvPalette.ManuallyCreate, TJvPalette.Save


TJvPalette.Save method

TJvPalette	See Also	Edit topic

Saves the current palette in a file.

Pascal

function Save(FileName: string): Boolean;

Return Value

True if the file was created, false otherwise.

Parameters

FileName: string

The name of the file to create.

Description

Tries to save the current palette into a file that could be loaded later with Load. The usual extension for such files is .pal.

Created with Doc-O-Matic.


See Also

TJvPalette.AutoCreate, TJvPalette.Load, TJvPalette.ManuallyCreate, TJvPalette.PasteFromClipboard


TJvParaAttributes
JEDI-VCL Reference

TJvParaAttributes

Hierarchy	Properties	 See Also	Edit topic

Represents paragraph formatting properties for a rich edit control.

Pascal

TJvParaAttributes = class(TPersistent);

File

JvRichEdit

Description

TJvParaAttributes includes a number of properties that describe the formatting characteristics of a paragraph in a rich text document. TJvParaAttributes is a wrapper for the PARAFORMAT2 struct, and is an extension of the VCL TParaAttributes class.

New properties:
Property	Description
LineSpacing	Specifies the spacing between lines.
LineSpacingRule	Specifies the type of line spacing.
NumberingStart	Changes the starting number used for numbered paragraphs.
NumberingStyle	Applies a numbering style to a paragraphs.
NumberingTab	Specifies the minimum space, in points, between a paragraph number and the paragraph text.
SpaceAfter	Specifies the size of the spacing below the paragraph.
SpaceBefore	Specifies the size of the spacing above the paragraph.
Created with Doc-O-Matic.


TJvParaAttributes Properties

TJvParaAttributes

Properties

Alignment

FirstIndent

HeadingStyle

IndentationStyle

LeftIndent

LineSpacing

LineSpacingRule

Numbering

NumberingStart

NumberingStyle

NumberingTab

RightIndent

SpaceAfter

SpaceBefore

Tab

TabAlignment

TabCount

TabLeader

TableStyle

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvParaAttributes


TJvParaAttributes Members

TJvParaAttributes

Members

Properties

Alignment

FirstIndent

HeadingStyle

IndentationStyle

LeftIndent

LineSpacing

LineSpacingRule

Numbering

NumberingStart

NumberingStyle

NumberingTab

RightIndent

SpaceAfter

SpaceBefore

Tab

TabAlignment

TabCount

TabLeader

TableStyle

Created with Doc-O-Matic.


See Also

TJvRichEdit, TJvTextAttributes


TJvParaAttributes.Alignment property

TJvParaAttributes	See Also	Edit topic

Specifies how text is aligned within a paragraph.

Pascal

property Alignment: TParaAlignment;

Description

Use Alignment to specify how text is aligned within a paragraph.

Notes

For paJustify you need RichEdit 3.0 and AdvancedTypography or AutoAdvancedTypography must be true.

Created with Doc-O-Matic.


See Also

RichEditVersion, TJvCustomRichEdit.AdvancedTypography, TJvParaAttributes.LeftIndent, TJvParaAttributes.RightIndent


TJvParaAttributes.FirstIndent property

TJvParaAttributes	See Also	Edit topic

Specifies the indent, in points, of the first line of the paragraph relative to the left margin.

Pascal

property FirstIndent: Longint;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.LeftIndent, TJvParaAttributes.RightIndent


TJvParaAttributes.HeadingStyle property

TJvParaAttributes	Edit topic

Specifies a built-in character and paragraph style for the paragraph.

Pascal

property HeadingStyle: THeadingStyle;

Description

Use HeadingStyle to apply a built-in style for the paragraph text:

Value	Meaning
0	Normal style
1	Heading 1 style
2	Heading 2 style
3	Heading 3 style
4	Heading 4 style
5	Heading 5 style
6	Heading 6 style
7	Heading 7 style
8	Heading 8 style
9	Heading 9 style
Created with Doc-O-Matic.


TJvParaAttributes.IndentationStyle property

TJvParaAttributes	See Also	Edit topic

Specifies the indentation style for the paragraph.

Pascal

property IndentationStyle: TJvIndentationStyle;

Description

Use IndentationStyle to specify the indentation style.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.FirstIndent, TJvParaAttributes.LeftIndent


TJvParaAttributes.LeftIndent property

TJvParaAttributes	See Also	Edit topic

Specifies the indent, in points, of the paragraph relative to the left margin.

Pascal

property LeftIndent: Longint;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.FirstIndent, TJvParaAttributes.RightIndent


TJvParaAttributes.LineSpacing property

TJvParaAttributes	See Also	Edit topic

Specifies the spacing between lines.

Pascal

property LineSpacing: Longint;

Description

Use LineSpacing to specify the spacing between lines. The meaning of LineSpacing depends on the value of LineSpacingRule:

LineSpacingRule	LineSpacing
lsSpecifiedOrMore	Specifies the spacing from one line to the next, in points; however, if LineSpacing specifies a value that is less than single spacing, the control displays single-spaced text.
lsSpecified	Specifies the spacing from one line to the next, in points. The control uses the exact spacing specified, even if LineSpacing specifies a value that is less than single spacing.
lsMultiple	Specifies the spacing, in lines, from one line to the next; thus, setting LineSpacing to 1 produces single-spaced text, 2 is double spaced, 3 is triple spaced, and so on.
Other	Value of LineSpacing is ignored.
Created with Doc-O-Matic.


See Also

TJvParaAttributes.LineSpacingRule


TJvParaAttributes.LineSpacingRule property

TJvParaAttributes	See Also	Edit topic

Specifies the type of line spacing.

Pascal

property LineSpacingRule: TLineSpacingRule;

Description

Use LineSpacingRule to specify the type of line spacing. LineSpacingRule determines the meaning of property LineSpacing, if its value is used, whether the value specified by LineSpacing is in points, or in lines etc.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.LineSpacing


TJvParaAttributes.Numbering property

TJvParaAttributes	See Also	Edit topic

Specifies whether the paragraph is one of a set of bulleted or numbered paragraphs.

Pascal

property Numbering: TJvNumbering;

Description

Use Numbering to specify whether the paragraph is one of a set of bulleted or numbered paragraphs. Use property NumberingStyle to specify the numbering style for the paragraph.

Notes

You can use the number hot key (Ctrl-L, capital L) to cycle through numbering options available, starting with bullet.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.NumberingStyle, TJvParaAttributes.NumberingTab


TJvParaAttributes.NumberingStart property

TJvParaAttributes	See Also	Edit topic

Specifies the starting number for numbered paragraphs.

Pascal

property NumberingStart: Integer;

Description

Use NumberingStart to specify the starting number used for numbered paragraphs. Use NumberingStart in conjunction with property Numbering.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.Numbering


TJvParaAttributes.NumberingStyle property

TJvParaAttributes	See Also	Edit topic

Specifies the numbering style used with numbered paragraphs.

Pascal

property NumberingStyle: TJvNumberingStyle;

Description

Use NumberingStyle to specify the numbering style used with numbered paragraphs. Use this property in conjunction with the Numbering property.

Notes

Rich Edit 3.0

Created with Doc-O-Matic.


See Also

TJvParaAttributes.Numbering, TJvParaAttributes.NumberingTab


TJvParaAttributes.NumberingTab property

TJvParaAttributes	See Also	Edit topic

Specifies the minimum space, in points, between a paragraph number and the paragraph text.

Pascal

property NumberingTab: Word;

Description

Use NumberingTab to specify the minimum space, in points, between a paragraph number and the paragraph text. Use this property in conjunction with the Numbering property.

Notes

Rich Edit 3.0.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.Numbering, TJvParaAttributes.NumberingStyle


TJvParaAttributes.RightIndent property

TJvParaAttributes	See Also	Edit topic

Specifies the indent, in points, of the paragraph relative to the right margin.

Pascal

property RightIndent: Longint;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.FirstIndent, TJvParaAttributes.LeftIndent


TJvParaAttributes.SpaceAfter property

TJvParaAttributes	See Also	Edit topic

Specifies the size of the spacing below the paragraph.

Pascal

property SpaceAfter: Longint;

Description

Use SpaceAfter to specify the size of the spacing below the paragraph in points. The value must be greater than or equal to zero.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.SpaceBefore


TJvParaAttributes.SpaceBefore property

TJvParaAttributes	See Also	Edit topic

Specifies the size of the spacing above the paragraph.

Pascal

property SpaceBefore: Longint;

Description

Use SpaceBefore to specify the size of the spacing above the paragraph in points. The value must be greater than or equal to zero.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.SpaceAfter


TJvParaAttributes.Tab property

TJvParaAttributes	See Also	Edit topic

Specifies the position, in points, of a particular tab stop.

Pascal

property Tab [Index: Byte]: Longint;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.TabAlignment, TJvParaAttributes.TabCount, TJvParaAttributes.TabLeader


TJvParaAttributes.TabAlignment property

TJvParaAttributes	See Also	Edit topic

Specifies the alignment of a particular tab stop.

Pascal

property TabAlignment [Index: Byte]: TJvTabAlignment;

Parameters

Index

The index of the tab, where 0 is the first tab.

Description

Use TabAlignment to specify the alignment of a particular tab stop.

Notes

RichEdit 3.0 and AdvancedTypography or AutoAdvancedTypography needs to be true.

Created with Doc-O-Matic.


See Also

RichEditVersion, TJvCustomRichEdit.AdvancedTypography, TJvParaAttributes.Tab, TJvParaAttributes.TabCount, TJvParaAttributes.TabLeader


TJvParaAttributes.TabCount property

TJvParaAttributes	See Also	Edit topic

Indicates the number of tab stops that are defined for the paragraph.

Pascal

property TabCount: Integer;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.Tab


TJvParaAttributes.TabLeader property

TJvParaAttributes	See Also	Edit topic

Specifies the type of leader of a particular tab stop.

Pascal

property TabLeader [Index: Byte]: TJvTabLeader;

Parameters

Index

The index of the tab, where 0 is the first tab.

Description

Use TabLeader to specify the type of leader of a particular tab stop.

Notes

RichEdit 3.0 and AdvancedTypography or AutoAdvancedTypography needs to be true.

Created with Doc-O-Matic.


See Also

RichEditVersion, TJvCustomRichEdit.AdvancedTypography, TJvParaAttributes.Tab, TJvParaAttributes.TabAlignment, TJvParaAttributes.TabCount


TJvParaAttributes.TableStyle property

TJvParaAttributes	Edit topic

Does nothing.

Pascal

property TableStyle: TParaTableStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvParserInfo
JEDI-VCL Reference

TJvParserInfo

Hierarchy	 See Also	Edit topic

Represents an HTML tag definition and conditional parsing used by the TJvHTMLParser component.

Pascal

TJvParserInfo = class(TObject);

File

JvHtmlParser

Description

TJvParserInfo is a TObject descendant that represents an HTML tag and the conditional parsing defined for the TJvHTMLParser component. Member variables in TJvParserInfo indicate the HTML start and end tags used by the parser, and the textual content required in the context of the HTML tag.

TJvParserInfo instances are created for use in TJvHTMLParser when the AddCondition method is called. TJvParserInfo instances are also created when TJvParserInfo is loaded using the Delphi component streaming mechanism and the Parser definition contains values set at design-time.

Created with Doc-O-Matic.


TJvParserInfo Fields

TJvParserInfo

Fields

EndTag

MustBe

StartTag

TakeText

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvParserInfo


TJvParserInfo Members

TJvParserInfo

Members

Fields

EndTag

MustBe

StartTag

TakeText

Created with Doc-O-Matic.


See Also

TJvHTMLParser.AddCondition, TJvHTMLParser.Parser


TJvParserInfo.EndTag field

TJvParserInfo	See Also	Edit topic

HTML recognized as the end of a tag definition.

Pascal

EndTag: string;

Description

EndTag is a string member variable that indicates the HTML recognized as the end of a tag definition in the TJvHTMLParser component.

StartTag and EndTag are used to determine the boundaries of an HMTL tag set during parsing of HTML in the AnalyseString method in TJvHTMLParser.

Values in the StartTag and EndTag members are updated when an HTML tag definition is created using the AddCondition method in TJvHTMLParser.

Created with Doc-O-Matic.


See Also

TJvParserInfo.StartTag, TJvHTMLParser.AnalyseString, TJvHTMLParser.AddCondition


TJvParserInfo.MustBe field

TJvParserInfo	See Also	Edit topic

Position of the HTML tag definition.

Pascal

MustBe: Integer;

Description

MustBe is an Integer member that represents the ordinal position of the HTML tag and conditional parsing definition. MustBe contains a value when an HTML tag definition exists when loading a TJvHTMLParser instance using the Delphi component streaming mechanism.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.Parser


TJvParserInfo.StartTag field

TJvParserInfo	See Also	Edit topic

HTML recognized as the start of a tag definition.

Pascal

StartTag: string;

Description

StartTag is a string member variable that indicates the HTML recognized as the start of a tag definition in the TJvHTMLParser component.

StartTag and EndTag are used to determine the boundaries of an HMTL tag set during parsing of HTML in the AnalyseString method in TJvHTMLParser.

Values in the StartTag and EndTag members are updated when an HTML tag definition is created using the AddCondition method in TJvHTMLParser.

Created with Doc-O-Matic.


See Also

TJvParserInfo.EndTag, TJvHTMLParser.AnalyseString, TJvHTMLParser.AddCondition


TJvParserInfo.TakeText field

TJvParserInfo	See Also	Edit topic

Indicates the text required for the HTML tag.

Pascal

TakeText: Integer;

Description

TakeText is an Integer member variable that indicates the conditional text parsing required for an HTML tag defined for the TJvHTMLParser component. TakeText can contain the following values:

Value	Meaning
0	Takes text following the HTML start tag, up to the beginning of the HTML end tag.
1	Takes all text prior to the HTML start tag.
2	Takes all text following the end of the HTML start tag.
3	Takes the entire line of test containing the HTML start tag.

TakeText is used in the AnalyseString method of TJvHTMLParser to derive the values for the BeginContext and EndContext members in the TTagInfo instance for the parsed HTML tag.

Created with Doc-O-Matic.


See Also

TJvHTMLParser.AnalyseString, TTagInfo.BeginContext, TTagInfo.EndContext


TJvPatchFile
JEDI-VCL Reference

 TJvPatchFile

Hierarchy	Properties	Methods	Package	 Edit topic

Implements a file patching utility.

Pascal

TJvPatchFile = class(TJvComponent);

File

JvPatchFile

Description

TJvPatchFile is a TJvComponent descendant that implements a file patching utility.

TJvPatchFile can be used to apply patches in the Differences property to the contents of an original file in order to yield a file with the desired content. Values in the Differences property are in a specific format required by the TJvPatchFile component.

A design-time property editor is provided for the Differences property that can be used to create patches in the format required for use in the component. Patches for the specified files are encrypted using the Password provided at design-time.

Patches in the Differences property can be saved to a file for subsequent distribution and processing using the TJvPatchFile component.

When patches are applied using the Patch method, the updated file content can be overwritten in the original file or stored in a new file with the updated content. Applying patches in the Differences property requires the Password used when creating the list of file differences.

Created with Doc-O-Matic.


TJvPatchFile Properties

TJvPatchFile	Legend

Properties

 ChangeInFile

 Differences

 EndFile

 StartFile

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPatchFile Methods

TJvPatchFile	Legend

Methods

 Destroy

 IsPatchable

 IsPatched

 Patch

Legend

virtual

published

Created with Doc-O-Matic.


Legend

virtual

published


Legend

TJvPatchFile

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvPatchFile


TJvPatchFile Members

TJvPatchFile	Legend

Members

Properties

 ChangeInFile

 Differences

 EndFile

 StartFile

TJvComponent

 AboutJVCL

Methods

 Destroy

 IsPatchable

 IsPatched

 Patch

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

Cmp


TJvPatchFile.ChangeInFile property

TJvPatchFile	Edit topic

Indicates patches should be applied directly to the original file.

Pascal

property ChangeInFile: Boolean;

Description

ChangeInFile is a Boolean property that indicates patches in the Differences property should be applied directly to the original file. ChangeInFile is used in the Patch method when the content in the Differences property is read and decrypted.

Use EndFile to specify the file name where the patched contents of StartFile should be stored when ChangeInFile contains False.

When ChangeInFile contains True, the patches in Differences are applied directly to the contents of the file specified in StartFile.

Created with Doc-O-Matic.


TJvPatchFile.Differences property

TJvPatchFile	Edit topic

Patches (or file differences) to apply to the original file.

Pascal

property Differences: TStrings;

Description

Differences is a TStrings property that represents patches (or file differences) required to convert the file specified in StartFile to the desired content using the Patch method.

Values stored in Differences must be in the specific format required for the TJvPatchFile component. A design-time property editor is provided for the Differences property that can be used to create patches in the format required for use n the component. Patches for the specified files are encrypted using a Password provided at design-time.

Patches in the Differences property can be saved to a file for subsequent distribution and processing using the TJvPatchFile component.

When patches are applied using the Patch method, the updated file content can be overwritten in the original file or stored in a new file with the updated content. Applying patches in the Differences property requires the Password used when creating the list of file differences. Using a Password argument that is different than the value used to populate the Differences property will result in an unusable file after patches are applied.

Use StartFile to specify the file name with the content to be patched using the values in Differences.

Use EndFile and ChangeInFile to indicate where the patched contents of the file indicated in StartFile should be stored. When ChangeInFile contains False, the value in EndFile is used to create a file the patch file content is stored. When ChangeInFile contains False, patches in the Differences property overwrite the original contents of the file specified in StartFile.

Assign values to the Differences property, or load the values from a file, to indicate the actions to perform in the Patch method.

Created with Doc-O-Matic.


TJvPatchFile.EndFile property

TJvPatchFile	Edit topic

File where patched file content can be stored.

Pascal

property EndFile: TFileName;

Description

EndFile is a TFileName property that specifies the file where the patched contents of the file specified in StartFile should be stored.

EndFile is used in the Patch method when ChangeInFile contains False. Patches from the Differences property are applied to the original file content and stored in EndFile at the completion of the patching process.

When ChangeInFile contains True, the patches in Differences are applied directly to the contents of the file specified in StartFile and the value EndFile is ignored.

Created with Doc-O-Matic.


TJvPatchFile.StartFile property

TJvPatchFile	Edit topic

Original file to be patched with the component.

Pascal

property StartFile: TFileName;

Description

StartFile is a TFileName property that specifies the file with the original content to be patched using the Patch method. Values in the Differences property are applied to the contents of the file specified in StartFile using the Patch method to yield a file with the desired content.

Use ChangeInFile to indicate if changes in the Differences property should be applied directly to the content of the original file, or stored in the file specified in EndFile.

Created with Doc-O-Matic.


TJvPatchFile.Destroy destructor

TJvPatchFile	See Also	Edit topic

Frees the object instance.

Pascal

destructor Destroy; override;

Description

Destroy is the overridden destructor for the object instance. Destroy frees resources allocated to the Differences property, and calls the inherited method.

Created with Doc-O-Matic.


See Also

Create, Differences


TJvPatchFile.IsPatchable method

TJvPatchFile	Edit topic

Indicates if the specified file appears to be patchable.

Pascal

function IsPatchable(FileName: string): Boolean;

Return Value

Boolean - True when

Parameters

FileName: string

File to check.

Description

IsPatchable is a Boolean function used to indicate if the file specified in Filename can be patched using the values in Differences. IsPatchable performs a rudimentary test to determine if the specified file name can be patched; the file in Filename must exist and the file size for the unpatched file stored in Differences must match the file size for the file in Filename.

IsPatchable does not perform any in-depth comparison of the contents of the file in Filename.

Created with Doc-O-Matic.


TJvPatchFile.IsPatched method

TJvPatchFile	Edit topic

Checks a file to determine if it may have already been patched.

Pascal

function IsPatched(FileName: string): Boolean;

Return Value

Boolean - True when the file appears to have been patched.

Parameters

FileName: string

File to check for updated content.

Description

IsPatched is a Boolean function used to indicate if patches in the Differences property have already been applied using the Patch method. IsPatched performs a rudimentary test for the file specified in Filename; the file must exist and its' size is examine to determine if it matches the size stored in the Differences property. It does not perform any in-depth comparison of the contents with the file specified in StartFile.

IsPatched returns False when Filename cannot be located, Differences contains an invalid format, or when the size of the file in Filename differs from the value for the patched file in Differences.

Created with Doc-O-Matic.


TJvPatchFile.Patch method

TJvPatchFile	Edit topic

Applies the specified patches to a file.

Pascal

function Patch(Password: string = ''): Boolean;

Return Value

Boolean - True when patches in the Differences property are applied to the original file content.

Parameters

Password: string = ''

Password to use when encrypting patch file contents.

Description

Patch is a Boolean function used to apply the patches in the Differences property to the contents of the original file specified in StartFile. Patch returns True when the Differences are successfully applied to the original file.

Patch reads and decrypts the contents of the Differences property using the value specified in the Password parameter. Password is the value used when creating the values in Differences using its' design-time property editor. Using a Password argument that is different than the value used to populate the Differences property will result in an unusable file after patches are applied.

Use StartFile to specify the file name with the content to be patched using the values in Differences.

Use EndFile and ChangeInFile to indicate where the patched contents of the file indicated in StartFile should be stored. When ChangeInFile contains False, the value in EndFile is used to create a file the patch file content is stored. When ChangeInFile contains False, patches in the Differences property overwrite the original contents of the file specified in StartFile.

Assign values to the Differences property, or load the values from a file, to indicate the actions to perform in the Patch method. Values in Differences must be in the specific format required by the TJvPatchFile component.

A design-time property editor is provided for the Differences property that can be used to create patches in the format required for use in the component. Patches for the specified files are encrypted using the Password provided at design-time.

Created with Doc-O-Matic.


TJvPersistent
JEDI-VCL Reference

TJvPersistent

Hierarchy	 Edit topic

Not documented

Pascal

TJvPersistent = class(TComponent);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvPersistent


TJvPersistentProperty
JEDI-VCL Reference

TJvPersistentProperty

Hierarchy	Properties	Methods	Events	 Edit topic

Not documented

Pascal

TJvPersistentProperty = class(TPersistent);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPersistentProperty Events

TJvPersistentProperty

Events

OnChange

OnChangeProperty

OnChanging

OnChangingProperty

Created with Doc-O-Matic.


TJvPersistentProperty Properties

TJvPersistentProperty	Legend

Properties

 UpdateCount

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvPersistentProperty Methods

TJvPersistentProperty	Legend

Methods

 BeginUpdate

 EndUpdate

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvPersistentProperty

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvPersistentProperty


TJvPersistentProperty Members

TJvPersistentProperty	Legend

Members

Events

OnChange

OnChangeProperty

OnChanging

OnChangingProperty

Properties

 UpdateCount

Methods

 BeginUpdate

 EndUpdate

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvPersistentProperty.OnChange event

TJvPersistentProperty	Edit topic

Not documented

Pascal

property OnChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPersistentProperty.OnChangeProperty event

TJvPersistentProperty	Edit topic

Not documented

Pascal

property OnChangeProperty: TJvPropertyChangeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPersistentProperty.OnChanging event

TJvPersistentProperty	Edit topic

Not documented

Pascal

property OnChanging: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPersistentProperty.OnChangingProperty event

TJvPersistentProperty	Edit topic

Not documented

Pascal

property OnChangingProperty: TJvPropertyChangeEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPersistentProperty.UpdateCount property

TJvPersistentProperty	Edit topic

Not documented

Pascal

property UpdateCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPersistentProperty.BeginUpdate method

TJvPersistentProperty	Edit topic

Not documented

Pascal

procedure BeginUpdate; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPersistentProperty.EndUpdate method

TJvPersistentProperty	Edit topic

Not documented

Pascal

procedure EndUpdate; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPictureItem
JEDI-VCL Reference

TJvPictureItem

Hierarchy	Properties	Methods	 Edit topic

Defines an item in the Items array of a TJvImagesViewer control.

Pascal

TJvPictureItem = class(TJvViewerItem);

File

JvImagesViewer

Description

The TJvImagesViewer displays images either from disk or from other sources. Each item in its Items array is of type TJvPictureItem. Use the properties and methods of TJvPictureItem to modify how the image is displayed in the TJvImagesViewer control.

Created with Doc-O-Matic.


TJvPictureItem Properties

TJvPictureItem	Legend

Properties

Caption

FileName

Picture

TJvViewerItem

Data

 Deleting

Hint

State

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvPictureItem Methods

TJvPictureItem	Legend

Methods

 ReduceMemoryUsage

Refresh

TJvViewerItem

Delete

 ReduceMemoryUsage

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvPictureItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvViewerItem
        TJvPictureItem


TJvPictureItem Members

TJvPictureItem	Legend

Members

Properties

Caption

FileName

Picture

TJvViewerItem

Data

 Deleting

Hint

State

Methods

 ReduceMemoryUsage

Refresh

TJvViewerItem

Delete

 ReduceMemoryUsage

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvPictureItem.Caption property

TJvPictureItem	Edit topic

Specifies the text to display for the item.

Pascal

property Caption: WideString;

Description

Use Caption to specify the text to display along with the image.

Created with Doc-O-Matic.


TJvPictureItem.FileName property

TJvPictureItem	See Also	Edit topic

Specifies the file name of the file on disk the item is displaying.

Pascal

property FileName: WideString;

Description

Use Filename to set the file on disk the item should be displaying. When changing Filename, the item is not updated directly. Instead, Picture is set to nil and the next time the TJvImagesViewer control requests the image, it is loaded from disk. This means that an item that is never displayed, will not be loaded at all.

Created with Doc-O-Matic.


See Also

TJvPictureItem.Picture


TJvPictureItem.Picture property

TJvPictureItem	See Also	Edit topic

Provides access to the image the item is displaying.

Pascal

property Picture: TPicture;

Description

Use the Picture property to access the image the item is displaying or to modify the properties of the image. For example, if you want to display images that are not on disk, assign an image from another source to the Picture property at run-time.

Created with Doc-O-Matic.


See Also

TJvPictureItem.FileName


TJvPictureItem.ReduceMemoryUsage method

TJvPictureItem	See Also	Edit topic

Minimizes memory usage.

Pascal

procedure ReduceMemoryUsage; override;

Description

ReduceMemoryUsage minimizes the memory used by the item by freeing the Picture object but only if Filename specifies an existing file (no check is done to determine if Filename is a valid image file). When the Picture property of the item is accessed the next time, the image is recreated from disk.

You don't have to call ReduceMemoryUsage directly. It is called automatically by the TJvImagesViewer when its Options.ReduceMemoryUsage property is true.

Created with Doc-O-Matic.


See Also

TJvPictureItem.FileName, TJvPictureItem.Picture


TJvPictureItem.Refresh method

TJvPictureItem	Edit topic

Not documented

Pascal

procedure Refresh;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPlugIn
JEDI-VCL Reference

TJvPlugIn

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Plugin data module.

Pascal

TJvPlugIn = class(TDataModule);

File

JvPlugin

Description

TJvPlugin is the base class for new plugins.

TJvPlugin is not a component but a data module, and as such can contain non-visual components (such as TTable, TQuery and TImageList).

Because it's not a component you can not find it on the component palette. Instead you should use File|New..., click on the 'Projects" tab and click on the 'JEDI Plugin Wizard'. This will generate a new project with a single unit containing a TJvPlugin data module.

In addition a number of properties are provided to specify the identity of the plugin (ID, full name, version, author, copyright), commands added by the plugin, the number of instances of this plugin that are generated, reference to the host application and the plugin manager.

For more information on writing plugins and make applications plugin enabled, take a look at Writing plugins and plugin enabled applications.

Created with Doc-O-Matic.


TJvPlugIn Properties

TJvPlugIn	Legend

Properties

 Author

 Commands

 Copyright

 Description

 FileName

 HostApplication

 InstanceCount

 Manager

 PluginID

 PluginVersion

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvPlugIn Events

TJvPlugIn	Legend

Events

 OnConfigure

 OnInitialize

 OnPluginMessage

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPlugIn Methods

TJvPlugIn	Legend

Methods

 Configure

 Initialize

SendPluginMessage

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvPlugIn

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TDataModule
    TJvPlugIn


TJvPlugIn Members

TJvPlugIn	Legend

Members

Properties

 Author

 Commands

 Copyright

 Description

 FileName

 HostApplication

 InstanceCount

 Manager

 PluginID

 PluginVersion

Events

 OnConfigure

 OnInitialize

 OnPluginMessage

Methods

 Configure

 Initialize

SendPluginMessage

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


Package

Plugin


TJvPlugIn.Author property

TJvPlugIn	See Also	Edit topic

Author of the plugin.

Pascal

property Author: string;

Description

The Author property contains the name of the author of this plugin.

As a plugin writer you should set this to your name, your company name or both.

The host application may read this property to provide additional information about a loaded plugin.

Created with Doc-O-Matic.


See Also

TJvPlugIn.Copyright


TJvPlugIn.Commands property

TJvPlugIn	See Also	Edit topic

Commands provided by the plugin.

Pascal

property Commands: TJvPluginCommands;

Description

The Commands property is a collection of commands provided by the plugin. A single plugin can provide zero or more commands.

For each command you can specify a bitmap (the icon for the menu or button), its caption, hint, custom data and the handler to execute when the command is requested by the host application.

Created with Doc-O-Matic.


See Also

TJvPluginCommand


TJvPlugIn.Copyright property

TJvPlugIn	See Also	Edit topic

Copyright for the plugin.

Pascal

property Copyright: string;

Description

The Copyright property contains the copyright notice for the plugin.

As a plugin writer you may set this to any text you want (eg. 'Copyright © 2003 Project JEDI').

The host application may read this property to provide additional information about a loaded plugin.

Created with Doc-O-Matic.


See Also

TJvPlugIn.Author


TJvPlugIn.Description property

TJvPlugIn	Edit topic

Description of the plugin.

Pascal

property Description: string;

Description

The Description property contains the description of the plugin.

As a plugin writer you should set this to a short (1 or 2 sentences) description of what functionality the plugin provides.

The host application may read this property to provide additional information about a loaded plugin.

Created with Doc-O-Matic.


TJvPlugIn.FileName property

TJvPlugIn	Edit topic

Holds the filename of the plugin.

Pascal

property FileName: TFileName;

Description

Filename holds the filename of the plugin after it is loaded. This can be useful to check if the plugin hasn't been renamed.

Created with Doc-O-Matic.


TJvPlugIn.HostApplication property

TJvPlugIn	Edit topic

Reference to the TApplication object of the host.

Pascal

property HostApplication: TApplication;

Description

HostApplication is a reference to the TApplication object of the host. You can both read and write to properties (including the MainForm) as well as call methods on this object.

If you write a plugin to store an MDI child for the host application, you should assign the value of this property to your own Application variable and restore your Application variable before you destroy the plugin.

Created with Doc-O-Matic.


TJvPlugIn.InstanceCount property

TJvPlugIn	Edit topic

Not documented

Pascal

property InstanceCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPlugIn.Manager property

TJvPlugIn	See Also	Edit topic

Reference to the host's plugin manager.

Pascal

property Manager: TComponent;

Description

Manager is a reference to the plugin manager of the host. You must typecast it as TJvPluginManager.

Created with Doc-O-Matic.


See Also

TJvPluginManager


TJvPlugIn.OnConfigure event

TJvPlugIn	See Also	Edit topic

Event called when the host requests to configure the plugin.

Pascal

property OnConfigure: TNotifyEvent;

Parameters

Sender

Reference to the plugin.

Description

Write an OnConfigure event handler to provide a means of configuring the plugin. The host application will call the Configure method of the plugin, which in turn will trigger this event.

Created with Doc-O-Matic.


See Also

TJvPlugIn.Configure, TJvPlugIn.OnInitialize


TJvPlugIn.OnInitialize event

TJvPlugIn	See Also	Edit topic

Event called when the host initializes the plugin.

Pascal

TPluginInitializeEvent = procedure (Sender: TObject; var AllowLoad: Boolean) of object;
property OnInitialize: TPluginInitializeEvent;

Parameters

AllowLoad

Flag to indicate if the plugin may load. Set this parameter to False to prevent the plugin from being loaded.

Sender

Reference to the plugin.

Description

Write an OnInitialize event handler to perform any additional setup steps. When this event is called, the HostApplication, Manager and FileName properties are already initialized and can thus be used by the event.

The event is called in response to a call to Initialize, which is usually done by the host application as soon as the plugin is loaded.

Created with Doc-O-Matic.


See Also

TJvPlugIn.Initialize, TJvPlugIn.OnConfigure


TJvPlugIn.OnPluginMessage event

TJvPlugIn	Edit topic

Event called when the host application sent a message.

Pascal

TPluginMessageEvent = procedure (Sender: TObject; APluginMessage: Longint; AMessageText: string) of object;
property OnPluginMessage: TPluginMessageEvent;

Parameters

AMessageText

Additional parameters for the message. See the host application's documentation for the meaning of this string for the message.

APluginMessage

ID of the message. See the host application's documentation of available messages.

Sender

Reference to the plugin.

Description

Write an OnPluginMessage event handler to respond to message sent by the host application. Although you are free to determine to meaning of each message ID, the host application usually defines these message IDs.

The host application has two means of sending a message:

send a message to all loaded plugins.

send a message to a specific plugin .

Created with Doc-O-Matic.


TJvPlugIn.PluginID property

TJvPlugIn	See Also	Edit topic

Identification (name) of the plugin.

Pascal

property PluginID: string;

Description

The PluginID property contains the ID (or name) of the plugin.

As a plugin writer you must set this property to the name (it's not required to set this to the Name property or even to a valid Delphi identifier, i.e. spaces and other symbols are allowed) of the plugin. Make sure the identification will be unique. A recommended way of doing this would be to use an identification string in the form of <company name or abbreviation>. <plugin name>.

The host application uses this property to display and identify which plugin(s) is/are loaded.

Created with Doc-O-Matic.


See Also

TJvPlugIn.PluginVersion


TJvPlugIn.PluginVersion property

TJvPlugIn	Edit topic

Version of the plugin.

Pascal

property PluginVersion: string;

Description

The PluginVersion property contains the version of the plugin.

As a plugin writer you should set this property to a string containing the version number. You are free to determine how you format the version number (e.g. <Major>.<Minor> or <Major>.<Minor>.<Release>).

The host application may use this property to display the version of the plugin.

Created with Doc-O-Matic.


TJvPlugIn.Configure method

TJvPlugIn	See Also	Edit topic

Configures the plugin.

Pascal

procedure Configure; virtual; stdcall;

Description

Configure is called by the host application to configure the plugin. As a plugin developer you could override this method, but it's better to just assign a handler to the OnConfigure event.

Created with Doc-O-Matic.


See Also

TJvPlugIn.OnConfigure


TJvPlugIn.Initialize method

TJvPlugIn	See Also	Edit topic

Initializes the plugin.

Pascal

function Initialize(Manager: TComponent; HostApplication: TApplication; FileName: string): Boolean; virtual; stdcall;

Parameters

Manager: TComponent

Reference to the host application's plugin manager component.

HostApplication: TApplication

Reference to the Application variable of the host.

FileName: string

Name of the DLL or package the plugin is loaded from. This may contain CustomPlugin if the plugin is loaded as a custom plugin.

Description

Initialize is called by the host application to initialize the plugin.

As a plugin developer you could override this method, but it's better to just assign a handler to the OnInitialize event. The returned value will be that of the event's AllowLoad parameter.

As a host application developer you will generally not call this method yourself. Initialize is called automatically when the plugin manager loads the plugin.

Created with Doc-O-Matic.


See Also

TJvPlugIn.OnInitialize


TJvPlugIn.SendPluginMessage method

TJvPlugIn	See Also	Edit topic

Sends a message to this plugin.

Pascal

procedure SendPluginMessage(APluginMessage: Longint; AMessageText: string);

Parameters

APluginMessage: Longint

ID of the message. See the host application's documentation of available messages.

AMessageText: string

Additional parameters for the message. See the host application's documentation for the meaning of this string for the message.

Description

SendPluginMessage is called by the host application to send a message to the plugin.

As a plugin developer you should respond to the OnPluginMessage, rather than overriding this method. The meaning of the various message IDs are specified by the host application (check its documentation to see which message you could receive and what the meaning of the second parameter is).

As a host application developer you can either call this method for a specific plugin or you could broadcast the message to all loaded plugins. You are responsible of defining and documenting the meaning of the various message IDs you support.

Created with Doc-O-Matic.


See Also

TJvPlugIn.OnPluginMessage


TJvPluginCommand
JEDI-VCL Reference

TJvPluginCommand

Hierarchy	Properties	Events	 Edit topic

A single plugin command.

Pascal

TJvPluginCommand = class(TCollectionItem);

File

JvPlugin

Description

TJvPluginCommand is single plugin command. Each plugin stores zero or more of the objects in their Commands property.

Generally speaking, each plugin usually represents a menu item, a button or both. Because both menu items as well as buttons can have a bitmap, a plugin commands can specify a bitmap in addition to a caption and a hint text.

A plugin is not required to have a command (a host may just send messages to the plugin), but usually it has at least one.

Notes

Due to an unresolved bug, you should make sure that TJvPluginManager is created before the main menu if you add plug-ins to the main menu. TJvPluginManager should be available when the main menu is destroyed.

Created with Doc-O-Matic.


TJvPluginCommand Properties

TJvPluginCommand	Legend

Properties

 Bitmap

 Caption

 Data

 Hint

 Name

 ShortCut

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPluginCommand Events

TJvPluginCommand	Legend

Events

 OnExecute

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvPluginCommand

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvPluginCommand


TJvPluginCommand Members

TJvPluginCommand	Legend

Members

Properties

 Bitmap

 Caption

 Data

 Hint

 Name

 ShortCut

Events

 OnExecute

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPluginCommand.Bitmap property

TJvPluginCommand	See Also	Edit topic

The bitmap to show next to the caption.

Pascal

property Bitmap: TBitmap;

Description

Bitmap contains the bitmap to display next to the caption of the menu item or button. If the command has no bitmap associated with it, Bitmap may be set to nil.

Created with Doc-O-Matic.


See Also

TJvPluginCommand.Caption, TJvPluginCommand.Hint


TJvPluginCommand.Caption property

TJvPluginCommand	See Also	Edit topic

The caption of the command.

Pascal

property Caption: string;

Description

The Caption property contains the string to use as the caption of the menu item or button. It may contain an accelerator ('&').

Created with Doc-O-Matic.


See Also

TJvPluginCommand.Bitmap, TJvPluginCommand.Hint


TJvPluginCommand.Data property

TJvPluginCommand	Edit topic

Custom data associated with the command.

Pascal

property Data: string;

Description

Data contains custom data associated with the command. The meaning of this property will be defined by the host application. For example, a host application may require you to specify the full path where the menu item is to be inserted: 'ToolsPluginsAdvanced' will add the command to the Advanced sub menu of the Plugins submenu of the tools menu.

Created with Doc-O-Matic.


TJvPluginCommand.Hint property

TJvPluginCommand	See Also	Edit topic

The hint of the command.

Pascal

property Hint: string;

Description

The Hint property contains the hint text to use for the menu item or button. It's exactly the same as the standard Hint property for a menu item or button.

Created with Doc-O-Matic.


See Also

TJvPluginCommand.Bitmap, TJvPluginCommand.Caption


TJvPluginCommand.Name property

TJvPluginCommand	Edit topic

The name of the command.

Pascal

property Name: string;

Description

The Name property is used by the collection editor to identify the various plugins. It doesn't have to be a valid Delphi identifier (i.e. it may contains spaces and other symbols). It's generally not used by the host application.

Created with Doc-O-Matic.


TJvPluginCommand.OnExecute event

TJvPluginCommand	Edit topic

Event called when the command needs to be executed.

Pascal

property OnExecute: TNotifyEvent;

Parameters

Sender

Reference to the sender of the request (usually a menu item or button from the host application.

Description

Write an OnExecute event handler to perform the command the user selects the menu item or button in the host application.

Created with Doc-O-Matic.


TJvPluginCommand.ShortCut property

TJvPluginCommand	Edit topic

Not documented

Pascal

property ShortCut: TShortCut;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPluginCommands
JEDI-VCL Reference

TJvPluginCommands

Hierarchy	 See Also	Edit topic

Collection of plugin commands.

Pascal

TJvPluginCommands = class(TCollection);

File

JvPlugin

Description

TJvPluginCommands a simple derivative of TCollection and holds a collection of TJvPluginCommand items. You can access this collection through the Commands property of the plugin .

Created with Doc-O-Matic.


Hierarchy

TCollection
    TJvPluginCommands


See Also

TJvPlugIn, TJvPlugIn.Commands, TJvPluginCommand


TJvPluginManager
JEDI-VCL Reference

 TJvPluginManager

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Plugin manager.

Pascal

TJvPluginManager = class(TJvComponent);

File

JvPluginManager

Description

TJvPluginManager is the plugin manager for an application. It's the core of a plugin enabled (or host) application.

The component takes care of all the housekeeping involved in loading/unloading plugins and provides several properties and methods to load or unload plugins, configuring a plugin, sending messages to one plugin or all plugins or executing a command.

Loaded plugins are stored in the Plugins property. You can access individual plugins much like you can access individual strings in TStrings object, e.g. Plugins[0].Configure.

For more information on writing plugins and make applications plugin enabled, take a look at Writing plugins and plugin enabled applications.

Notes

Due to an unresolved bug, you should make sure that TJvPluginManager is created before the main menu if you add plug-ins to the main menu. TJvPluginManager should be available when the main menu is destroyed.

Created with Doc-O-Matic.


TJvPluginManager Properties

TJvPluginManager	Legend

Properties

 Extension

 PluginCount

 PluginFolder

 PluginKind

 Plugins

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvPluginManager Events

TJvPluginManager	Legend

Events

 OnAfterLoad

 OnAfterNewCommand

 OnBeforeLoad

 OnBeforeNewCommand

 OnNewCommand

 OnPlugInError

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPluginManager Methods

TJvPluginManager

Methods

AddCustomPlugin

GetLoadedPlugins

LoadPlugin

LoadPlugins

SendMessage

UnloadPlugin

Created with Doc-O-Matic.


Legend

TJvPluginManager

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvPluginManager


TJvPluginManager Members

TJvPluginManager	Legend

Members

Properties

 Extension

 PluginCount

 PluginFolder

 PluginKind

 Plugins

TJvComponent

 AboutJVCL

Events

 OnAfterLoad

 OnAfterNewCommand

 OnBeforeLoad

 OnBeforeNewCommand

 OnNewCommand

 OnPlugInError

Methods

AddCustomPlugin

GetLoadedPlugins

LoadPlugin

LoadPlugins

SendMessage

UnloadPlugin

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Plugin


TJvPluginManager.Extension property

TJvPluginManager	Edit topic

Extension of plugins to find.

Pascal

property Extension: string;

Description

LoadPlugins reads this property to determine the extension to use while scanning for plugins.

By default this extension will be set to the extension belonging to the current type of plugins, as set by the PluginKind property. Changing PluginKind will change the Extension property as well, provided it contains the extension belonging the previous PluginKind.

If you change Extension to another extension you should not specify the dot. The extension will not change when you change the PluginKind property.

Created with Doc-O-Matic.


TJvPluginManager.OnAfterLoad event

TJvPluginManager	See Also	Edit topic

Event called when a plugin has loaded.

Pascal

TJvAfterLoadEvent = procedure (Sender: TObject; FileName: string; const ALibHandle: THandle; var AllowLoad: Boolean) of object;
property OnAfterLoad: TJvAfterLoadEvent;

Parameters

ALibHandle

Not documented

AllowLoad

Not documented

Sender

Reference to this plugin manager.

FileName

Filename of the loaded plugin.

Description

Write an OnAfterLoad event handler to take additional action when a plugin has been loaded. The S parameter will contain the filename of the loaded plugin.

The OnAfterLoad event will only occur when LoadPlugins is used and if the loading of the plugin wasn't blocked by the OnBeforeLoad event.

Created with Doc-O-Matic.


See Also

TJvPluginManager.LoadPlugins, TJvPluginManager.OnBeforeLoad, TJvPluginManager.OnNewCommand, TJvPluginManager.OnPlugInError


TJvPluginManager.OnAfterNewCommand event

TJvPluginManager	Edit topic

Not documented

Pascal

TJvAfterCommandsEvent = procedure (Sender: TObject; APlugIn: TJvPlugIn) of object;
property OnAfterNewCommand: TJvAfterCommandsEvent;

Parameters

APlugIn

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPluginManager.OnBeforeLoad event

TJvPluginManager	See Also	Edit topic

Event called just before a plugin is loaded.

Pascal

TJvBeforeLoadEvent = procedure (Sender: TObject; FileName: string; var AllowLoad: Boolean) of object;
property OnBeforeLoad: TJvBeforeLoadEvent;

Parameters

AllowLoad

Flag to indicate if the plugin should be loaded. Set this to False to prevent the plugin from loading.

FileName

Name of the package or DLL to load

Sender

Reference to this plugin manager

Description

Write an OnBeforeLoad event handler to take additional action before a plugin is loaded. The Filename parameter contains the filename of the plugin about to be loaded. Set AllowLoad to False to prevent the plugin from being loaded (in which case the OnAfterLoad will not be triggered).

The OnBeforeLoad event will only occur when LoadPlugins is used to scan for and load all plugins in a folder.

Created with Doc-O-Matic.


See Also

TJvPluginManager.LoadPlugins, TJvPluginManager.OnAfterLoad, TJvPluginManager.OnNewCommand, TJvPluginManager.OnPlugInError


TJvPluginManager.OnBeforeNewCommand event

TJvPluginManager	Edit topic

Not documented

Pascal

TJvBeforeCommandsEvent = procedure (Sender: TObject; APlugIn: TJvPlugIn) of object;
property OnBeforeNewCommand: TJvBeforeCommandsEvent;

Parameters

APlugIn

Not documented

Sender

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPluginManager.OnNewCommand event

TJvPluginManager	See Also	Edit topic

Event called for each command of a loaded plugin.

Pascal

TNewCommandEvent = procedure (Sender: TObject; ACaption, AHint, AData: string; AShortCut: TShortCut; ABitmap: TBitmap; AEvent: TNotifyEvent) of object;
property OnNewCommand: TNewCommandEvent;

Parameters

AShortCut

Not documented

ABitmap

The value of the command's Bitmap property.

AEvent

The value of the command's OnExecute event.

AData

The value of the command's Data property.

Sender

Reference to the plugin manager component.

ACaption

The value of the command's Caption property.

AHint

The value of the command's Hint property.

Description

Write an OnNewCommand event handler to register a command in a loaded plugin. The event will be called for each command in each loaded plugin. The parameters contain the values of their respective properties in the command.

Created with Doc-O-Matic.


See Also

TJvPluginManager.LoadPlugins, TJvPluginManager.OnAfterLoad, TJvPluginManager.OnBeforeLoad, TJvPluginManager.OnPlugInError


TJvPluginManager.OnPlugInError event

TJvPluginManager	See Also	Edit topic

Event called when an exception has occurred while loading a plugin.

Pascal

TJvPlgInErrorEvent = procedure (Sender: TObject; AError: Exception) of object;
property OnPlugInError: TJvPlgInErrorEvent;

Parameters

AError

Value of the exception message property.

Sender

Reference to this plugin manager.

Description

Write an OnPlugInError event handler to responds to exceptions while loading a plugin. The S parameter will contain the message of the exception.

The OnPlugInError event will only occur when an exception occurs while loading a plugin found by a call to LoadPlugins.

Created with Doc-O-Matic.


See Also

TJvPluginManager.LoadPlugins, TJvPluginManager.OnAfterLoad, TJvPluginManager.OnBeforeLoad, TJvPluginManager.OnNewCommand


TJvPluginManager.PluginCount property

TJvPluginManager	See Also	Edit topic

Number of loaded plugins.

Pascal

property PluginCount: Integer;

Description

PluginCount holds the number of plugins currently loaded. You can access individual plugins by using the Plugins property and you can retrieve a name list of loaded plugins by calling GetLoadedPlugins.

Created with Doc-O-Matic.


See Also

TJvPluginManager.GetLoadedPlugins, TJvPluginManager.Plugins


TJvPluginManager.PluginFolder property

TJvPluginManager	See Also	Edit topic

Folder to scan for plugins.

Pascal

property PluginFolder: string;

Description

LoadPlugins reads this property to determine in which folder to scan for plugins.

If this property is left blank, LoadPlugins will search in the folder where the application's executable is located, otherwise it will use whatever folder is put in this property.

Created with Doc-O-Matic.


See Also

TJvPluginManager.Extension, TJvPluginManager.LoadPlugins


TJvPluginManager.PluginKind property

TJvPluginManager	See Also	Edit topic

Type of plugins to use when loading plugins.

Pascal

property PluginKind: TPluginKind;

Description

LoadPlugins reads this property to determine the type of plugin to specify when loading the plugins that were found.

When you change the value of this property and the Extension property contains the default extension for the old value, the Extension will be changed to the default extension for the new plugin type.

Created with Doc-O-Matic.


See Also

TJvPluginManager.Extension, TJvPluginManager.LoadPlugins, TJvPluginManager.PluginFolder


TJvPluginManager.Plugins property

TJvPluginManager	See Also	Edit topic

Array of loaded plugins.

Pascal

property Plugins [Index: Integer]: TJvPlugIn;

Parameters

Index

Zero-based index of the plugin to reference. This value must lie within the range 0 .. PluginCount-1.

Description

Plugins is an array of loaded plugins. The index is zero-based and runs from 0 up to PluginCount-1.

Created with Doc-O-Matic.


See Also

TJvPluginManager.GetLoadedPlugins, TJvPluginManager.PluginCount


TJvPluginManager.AddCustomPlugin method

TJvPluginManager	See Also	Edit topic

Adds a plugin to the manager.

Pascal

function AddCustomPlugin(PlugIn: TJvPlugIn): Boolean;

Parameters

PlugIn: TJvPlugIn

Reference to the TJvPlugin instance to register.

Description

AddCustomPlugin will add the specified plugin to the list of loaded plugins. The plugin will be registered as a custom plugin and will be initialized with the filename CustomPlugin.

Just as with loading a plugin directly, each command supported by the plugin will be registered using the OnNewCommand event.

This method can be used to add plugins embedded in the main application or additional plugins embedded in another plugin DLL or package.

If the initialization of the plugin fails the method will return False, otherwise True will be returned.

Created with Doc-O-Matic.


See Also

TJvPluginManager.LoadPlugin, TJvPluginManager.OnNewCommand


TJvPluginManager.GetLoadedPlugins method

TJvPluginManager	See Also	Edit topic

Fills the specified string list with the names of the loaded plugins.

Pascal

procedure GetLoadedPlugins(PlugInList: TStrings);

Parameters

PlugInList: TStrings

A TStrings descendant to receive the names of the loaded plugins in. The list will be empties on entry to this method.

Description

GetLoadedPlugins will fill the specified string list with the names of all loaded plugins. The specified string list must be provided by the caller. On entry the list will be cleared.

Created with Doc-O-Matic.


See Also

TJvPluginManager.PluginCount, TJvPluginManager.Plugins


TJvPluginManager.LoadPlugin method

TJvPluginManager	See Also	Edit topic

Loads a plugin.

Pascal

procedure LoadPlugin(FileName: string; PlgKind: TPluginKind);

Parameters

FileName: string

Name of the DLL or package to load.

PlgKind: TPluginKind

Type of plugin (either plgDLL or plgPackage).

Description

LoadPlugin will load the specified filename and treat it as the specified plugin type. If the file is not a valid plugin or an error occurs during loading and/or initializing, an exception will be raised.

For each command the plugin provides, the OnNewCommand event is called.

Created with Doc-O-Matic.


See Also

TJvPluginManager.LoadPlugins, TJvPluginManager.Plugins


TJvPluginManager.LoadPlugins method

TJvPluginManager	See Also	Edit topic

Scans a folder for and loads plugins.

Pascal

procedure LoadPlugins;

Description

LoadPlugins will scan a folder for plugin files and attempts to load them.

The PluginFolder property is read to determine the folder to scan. If the PluginFolder property is empty, the executable's folder will be used instead.

The Extensions property is read to determine the file extensions to consider as a plugin.

For each file found the following steps will take place:

The OnBeforeLoad event is called.

If OnBeforeLoad has not disallowed the file to be loaded, LoadPlugin is called to load the plugin (specifying PluginKind as the plugin type). This method will call the OnNewCommand event for each provided command.

The OnAfterLoad event is called.

If an exception occurred during the steps above, the OnLoadingError event will be called. Any additional files will still be loaded.

Created with Doc-O-Matic.


See Also

TJvPluginManager.Extension, TJvPluginManager.LoadPlugin, TJvPluginManager.OnAfterLoad, TJvPluginManager.OnBeforeLoad, TJvPluginManager.OnNewCommand, TJvPluginManager.OnPlugInError, TJvPluginManager.PluginFolder, TJvPluginManager.PluginKind


TJvPluginManager.SendMessage method

TJvPluginManager	See Also	Edit topic

Broadcasts a message to all loaded plugins.

Pascal

procedure SendMessage(PluginMessage: Longint; PluginParams: string);

Parameters

PluginMessage: Longint

ID of the message to send. As a host developer you can define these yourself.

PluginParams: string

String containing additional parameters for the message. As a host developer you determine the meaning of this string.

Description

SendMessage will broadcast the specified message to all loaded plugins. It does so by calling SendPluginMessage for each plugin in the Plugins array.

If you want to send a message to a specific plugin, you can use Plugins[<index>].SendPluginMessage(<message ID>,<message text>); As a host developer you are responsible of defining and documenting the messages your application may send. You should make this public so plugin developers can use this information.

Created with Doc-O-Matic.


See Also

TJvPlugIn.SendPluginMessage, TJvPluginManager.PluginCount, TJvPluginManager.Plugins


TJvPluginManager.UnloadPlugin method

TJvPluginManager	See Also	Edit topic

Unloads the specified plugin.

Pascal

procedure UnloadPlugin(Index: Integer);

Parameters

Index: Integer

Zero-based index into the Plugins array of the plugin to unload.

Description

UnloadPlugin will unload the plugin at the specified index.

Created with Doc-O-Matic.


See Also

TJvPluginManager.LoadPlugin, TJvPluginManager.PluginCount, TJvPluginManager.Plugins


TJvPopupDataList
JEDI-VCL Reference

TJvPopupDataList

Hierarchy	Properties	Methods	Events	 Edit topic

Class of the popup data list

Pascal

TJvPopupDataList = class(TJvDBLookupList);

File

JvDBLookup

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPopupDataList Properties

TJvPopupDataList	Legend

Properties

TJvDBLookupList

 BorderStyle

 DataField

 DataSource

 DisplayEmpty

DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

RowCount

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvPopupDataList Events

TJvPopupDataList	Legend

Events

TJvDBLookupList

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPopupDataList Methods

TJvPopupDataList	Legend

Methods

TJvDBLookupList

 DrawItemText

TJvLookupControl

ClearValue

Locate

 ResetField

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvPopupDataList

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookupControl
            TJvDBLookupList
                TJvPopupDataList


TJvPopupDataList Members

TJvPopupDataList	Legend

Members

Properties

TJvDBLookupList

 BorderStyle

 DataField

 DataSource

 DisplayEmpty

DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

RowCount

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Events

TJvDBLookupList

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Methods

TJvDBLookupList

 DrawItemText

TJvLookupControl

ClearValue

Locate

 ResetField

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


TJvPopupDataWindow
JEDI-VCL Reference

TJvPopupDataWindow

Hierarchy	Properties	Methods	Events	 Edit topic

Class of the popup data list

Pascal

TJvPopupDataWindow = class(TJvPopupDataList);

File

JvDBLookup

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPopupDataWindow Events

TJvPopupDataWindow	Legend

Events

OnCloseUp

TJvDBLookupList

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPopupDataWindow Methods

TJvPopupDataWindow	Legend

Methods

Hide

Show

TJvDBLookupList

 DrawItemText

TJvLookupControl

ClearValue

Locate

 ResetField

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvPopupDataWindow Properties

TJvPopupDataWindow	Legend

Properties

TJvDBLookupList

 BorderStyle

 DataField

 DataSource

 DisplayEmpty

DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

RowCount

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvPopupDataWindow

Legend

published

protected

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvLookupControl
            TJvDBLookupList
                TJvPopupDataList
                    TJvPopupDataWindow


TJvPopupDataWindow Members

TJvPopupDataWindow	Legend

Members

Events

OnCloseUp

TJvDBLookupList

 OnGetImage

TJvLookupControl

 OnChange

 OnGetImage

Methods

Hide

Show

TJvDBLookupList

 DrawItemText

TJvLookupControl

ClearValue

Locate

 ResetField

Properties

TJvDBLookupList

 BorderStyle

 DataField

 DataSource

 DisplayEmpty

DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

RowCount

Value

TJvLookupControl

 DataField

 DataSource

 DisplayEmpty

 DisplayValue

 EmptyItemColor

 EmptyStrIsNull

 EmptyValue

 Field

 FieldsDelimiter

 IgnoreCase

 IndexSwitch

 ItemHeight

 KeyValue

 ListStyle

 LookupDisplay

 LookupDisplayIndex

 LookupField

 LookupFormat

 LookupSource

 ReadOnly

 Value

Legend

published

protected

virtual

read only

Created with Doc-O-Matic.


Legend

published

protected

virtual

read only


TJvPopupDataWindow.OnCloseUp event

TJvPopupDataWindow	Edit topic

Not documented

Pascal

property OnCloseUp: TCloseUpEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPopupDataWindow.Hide method

TJvPopupDataWindow	Edit topic

Not documented

Pascal

procedure Hide;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPopupDataWindow.Show method

TJvPopupDataWindow	Edit topic

Not documented

Pascal

procedure Show(Origin: TPoint);

Parameters

Origin: TPoint

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPopupListBox
JEDI-VCL Reference

TJvPopupListBox

Hierarchy	Properties	Events	 Edit topic

The base class for custom pop-up listbox controls.

Pascal

TJvPopupListBox = class(TJvExCustomListBox);

File

JvComponent

Description

TJvPopupListBox is the base class for custom pop-up listbox controls within the JEDI VCL.

Created with Doc-O-Matic.


TJvPopupListBox Properties

TJvPopupListBox	Legend

Properties

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPopupListBox Events

TJvPopupListBox	Legend

Events

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvPopupListBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvPopupListBox


TJvPopupListBox Members

TJvPopupListBox	Legend

Members

Properties

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPopupMenu
JEDI-VCL Reference

 TJvPopupMenu

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This is the popup menu from the JVCL.

Pascal

TJvPopupMenu = class(TPopupMenu);

File

JvMenus

Description

This component is an intended replacement for the VCL TPopupMenu component. It provides more control over the aspect of its items by offering more properties

Created with Doc-O-Matic.


TJvPopupMenu Properties

TJvPopupMenu	Legend

Properties

 AboutJVCL

 ActiveItemPainter

 Canvas

 Cursor

 DisabledImages

 HotImages

 ImageMargin

 Images

 ImageSize

 ItemPainter

 ShowCheckMarks

 Style

 TextMargin

 TextVAlignment

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvPopupMenu Events

TJvPopupMenu	Legend

Events

 OnDrawItem

 OnGetDisabledImageIndex

 OnGetHotImageIndex

 OnGetImageIndex

 OnGetItemParams

 OnMeasureItem

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPopupMenu Methods

TJvPopupMenu

Methods

DefaultDrawItem

Refresh

Created with Doc-O-Matic.


Legend

TJvPopupMenu

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPopupMenu
    TJvPopupMenu


TJvPopupMenu Members

TJvPopupMenu	Legend

Members

Properties

 AboutJVCL

 ActiveItemPainter

 Canvas

 Cursor

 DisabledImages

 HotImages

 ImageMargin

 Images

 ImageSize

 ItemPainter

 ShowCheckMarks

 Style

 TextMargin

 TextVAlignment

Events

 OnDrawItem

 OnGetDisabledImageIndex

 OnGetHotImageIndex

 OnGetImageIndex

 OnGetItemParams

 OnMeasureItem

Methods

DefaultDrawItem

Refresh

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

StdCtrls


TJvPopupMenu.AboutJVCL property

TJvPopupMenu

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvPreviewControl
JEDI-VCL Reference

 TJvPreviewControl

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Control that can display a print preview.

Pascal

TJvPreviewControl = class(TJvCustomPreviewControl);

File

JvPrvwDoc

Description

TJvPreviewControl is derived from TJvCustomPreviewControl and publishes most of its properties but does not add any new functionality.

To use a print preview on a form, you must:

Drop a TJvPreviewControl on the form

Drop one or more renderers derived from TJvCustomPreviewRenderer

Connect the PrintPreview with the TJvPreviewControl

Set the properties of the preview control to your liking

At runtime, call CreatePreview to display the preview in the TJvPreviewControl.

Created with Doc-O-Matic.


TJvPreviewControl Properties

TJvPreviewControl	Legend

Properties

 BorderStyle

 DeviceInfo

 HideScrollBars

 OnHorzScroll

 OnVertScroll

 Options

 ScrollBars

 SelectedPage

 Selection

 TopRow

TJvCustomPreviewControl

 BorderStyle

 DeviceInfo

 HideScrollBars

 OnHorzScroll

 OnVertScroll

 Options

 PageCount

 Pages

 ScrollBars

 SelectedPage

 Selection

 TopRow

 TotalCols

 TotalRows

 VisibleRows

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvPreviewControl Events

TJvPreviewControl	Legend

Events

 OnAddPage

 OnAfterScroll

 OnChange

 OnDeviceInfoChange

 OnDrawPreviewPage

 OnOptionsChange

 OnScaleModeChange

 OnScrollHint

TJvCustomPreviewControl

 OnAddPage

 OnAfterScroll

 OnChange

 OnDeviceInfoChange

 OnDrawPreviewPage

 OnOptionsChange

 OnScaleModeChange

 OnScrollHint

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPreviewControl Methods

TJvPreviewControl

Methods

TJvCustomPreviewControl

Add

BeginUpdate

Clear

Delete

EndUpdate

First

IsUpdating

ItemAtPos

Last

Next

PrintRange

Prior

Created with Doc-O-Matic.


Legend

TJvPreviewControl

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomPreviewControl
            TJvPreviewControl


TJvPreviewControl Members

TJvPreviewControl	Legend

Members

Properties

 BorderStyle

 DeviceInfo

 HideScrollBars

 OnHorzScroll

 OnVertScroll

 Options

 ScrollBars

 SelectedPage

 Selection

 TopRow

TJvCustomPreviewControl

 BorderStyle

 DeviceInfo

 HideScrollBars

 OnHorzScroll

 OnVertScroll

 Options

 PageCount

 Pages

 ScrollBars

 SelectedPage

 Selection

 TopRow

 TotalCols

 TotalRows

 VisibleRows

Events

 OnAddPage

 OnAfterScroll

 OnChange

 OnDeviceInfoChange

 OnDrawPreviewPage

 OnOptionsChange

 OnScaleModeChange

 OnScrollHint

TJvCustomPreviewControl

 OnAddPage

 OnAfterScroll

 OnChange

 OnDeviceInfoChange

 OnDrawPreviewPage

 OnOptionsChange

 OnScaleModeChange

 OnScrollHint

Methods

TJvCustomPreviewControl

Add

BeginUpdate

Clear

Delete

EndUpdate

First

IsUpdating

ItemAtPos

Last

Next

PrintRange

Prior

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

PrintPreview


TJvPreviewControl.BorderStyle property

TJvPreviewControl	Edit topic

Specifies if the control has a single line border or not.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to control the appearance of the control's border.

Created with Doc-O-Matic.


TJvPreviewControl.DeviceInfo property

TJvPreviewControl	Edit topic

Provides information about the output device the preview is simulating.

Pascal

property DeviceInfo: TJvDeviceInfo;

Description

Use DeviceInfo to access information about the device that the preview is simulating. Change the ReferenceHandle property to change the device the preview is simulating. For example, to preview how a document would look on the currently selected printer, you could write:

    JvPrintPreview1.DeviceInfo.ReferenceHandle := Printer.Handle;

    // Update the rich edit preview

    JvPreviewRenderRichEdit1.CreatePreview(false);

Created with Doc-O-Matic.


TJvPreviewControl.HideScrollBars property

TJvPreviewControl	See Also	Edit topic

Indicates if scrollbars are hidden when not used.

Pascal

property HideScrollBars: Boolean;

Description

Use HideScrollBars to indicate whether scrollbars are hidden or disabled when not needed. If HideScrollBars is true, the scroll bars are hidden when they are not used. If HideScrollBars is false, the scrollbars are just disabled. Disabling scroll bars causes less flicker when the state of the scroll bars changes often.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.ScrollBars


TJvPreviewControl.OnAddPage event

TJvPreviewControl	See Also	Edit topic

Occurs when Add is called.

Pascal

property OnAddPage: TJvDrawPageEvent;

Parameters

Sender

The object that called the event.

PageIndex

The index of the new page.

Canvas

The canvas to draw to.

PageRect

The coordinates of the entire page.

PrintRect

The coordinates of the printable area of the page.

NeedMorePages

Set this to true to automatically add more pages (OnAddPage is called repeatedly until NeedMorePages is set to false).

Description

Write a handler for the OnAddPage event to draw the content of a newly added page. If you don't assign a handler to this event, nothing will be drawn on the page that was added by Add.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.Add, TJvCustomPreviewControl.OnDrawPreviewPage


TJvPreviewControl.OnAfterScroll event

TJvPreviewControl	Edit topic

Occurs after the preview has been scrolled,

Pascal

property OnAfterScroll: TNotifyEvent;

Description

Write a handler for the OnAfterScroll event to take specific actions after the preview has been scrolled.

Created with Doc-O-Matic.


TJvPreviewControl.OnChange event

TJvPreviewControl	Edit topic

Occurs when the content of the preview has changed.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler to take specific actions when the content of the preview has changed.

Created with Doc-O-Matic.


TJvPreviewControl.OnDeviceInfoChange event

TJvPreviewControl	See Also	Edit topic

Occurs when DeviceInfo has changed.

Pascal

property OnDeviceInfoChange: TNotifyEvent;

Description

Write a handler for OnDeviceInfoChange to take specific actions when DeviceInfo changes. For example, you can use this event to update the preview when the ReferenceHandle changes.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.DeviceInfo


TJvPreviewControl.OnDrawPreviewPage event

TJvPreviewControl	See Also	Edit topic

Occurs when a page is drawn in the preview.

Pascal

property OnDrawPreviewPage: TJvDrawPreviewEvent;

Parameters

Sender

The object that called the event.

PageIndex

The index of the new page.

Canvas

The canvas to draw to.

PageRect

The coordinates of the entire page.

PrintRect

The coordinates of the printable area of the page.

Description

Write a handler for the OnDrawPreviewPage to take specific actions when a page needs to be drawn in the preview.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnAddPage


TJvPreviewControl.OnHorzScroll property

TJvPreviewControl	See Also	Edit topic

Occurs when the user scrolls the preview horizontally.

Pascal

property OnHorzScroll: TScrollEvent;

Description

Write a handler for the OnHorzScroll to take specific actions when the user scrolls the preview using the horizontal scrollbar.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnVertScroll


TJvPreviewControl.OnOptionsChange event

TJvPreviewControl	See Also	Edit topic

Occurs when Options changes.

Pascal

property OnOptionsChange: TNotifyEvent;

Description

Write a handler for the OnOptionsChange event to take specific actions when Options changes.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnScaleModeChange, TJvCustomPreviewControl.Options


TJvPreviewControl.OnScaleModeChange event

TJvPreviewControl	See Also	Edit topic

Occurs when ScaleMode changes.

Pascal

property OnScaleModeChange: TNotifyEvent;

Description

Write a handler for the OnScaleModeChange event to take specific actions when the ScaleMode in Options changes.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnOptionsChange, TJvCustomPreviewControl.Options


TJvPreviewControl.OnScrollHint event

TJvPreviewControl	Edit topic

Occurs when the control needs to update its scrollbar hint window content.

Pascal

property OnScrollHint: TJvScrollHintEvent;

Parameters

Sender

The object that called the event.

AScrollPos

The current scroll bar position.

AHint

The Hint to display.

Description

Write a handler for the OnScrollHint event to update the scrollbar hint.

Created with Doc-O-Matic.


TJvPreviewControl.OnVertScroll property

TJvPreviewControl	See Also	Edit topic

Occurs when the user scrolls the preview vertically.

Pascal

property OnVertScroll: TScrollEvent;

Description

Write a handler for the OnVertScroll to take specific actions when the user scrolls the preview using the vertical scrollbar.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.OnHorzScroll


TJvPreviewControl.Options property

TJvPreviewControl	Edit topic

Specifies the available options for the control.

Pascal

property Options: TJvPreviewPageOptions;

Description

Use Options to specify options regarding shadows, page appearance and scaling behavior.

Created with Doc-O-Matic.


TJvPreviewControl.ScrollBars property

TJvPreviewControl	See Also	Edit topic

Determines whether the control has scroll bars.

Pascal

property ScrollBars: TScrollStyle;

Description

Use ScrollBars to give the control horizontal or vertical scroll bars.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl.HideScrollBars


TJvPreviewControl.SelectedPage property

TJvPreviewControl	Edit topic

Specifies the currently highlighted page.

Pascal

property SelectedPage: Integer;

Description

Use SelectedPage to determine the currently selected page. Change SelectedPage to select another page. When a page is selected, the page is highlighted with a blue frame.

Created with Doc-O-Matic.


TJvPreviewControl.Selection property

TJvPreviewControl	Edit topic

Not documented

Pascal

property Selection: TJvPreviewSelection;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewControl.TopRow property

TJvPreviewControl	Edit topic

Specifies the current topmost visible row of pages.

Pascal

property TopRow: Integer;

Description

Use TopRow to specify which row of pages to display at the top of the control. TopRow is dynamically changed when the user scrolls the control using the scroll bars.

Notes

TopRow acts on a row basis, that is, if Cols is 2 and you TopRow is 2, the topmost displayed pages would be 4 and 5 (TopRow is 0-based) but if Cols is 1 and TopRow is 2, the top page would be 2 as well.

Created with Doc-O-Matic.


TJvPreviewGraphicItem
JEDI-VCL Reference

TJvPreviewGraphicItem

Hierarchy	Properties	Methods	 Edit topic

An item representing a graphic object.

Pascal

TJvPreviewGraphicItem = class(TCollectionItem);

File

JvPrvwRender

Description

TJvPreviewGraphicItem is the class of items maintained by the TJvPreviewGraphicItems class. It represents the image data and property settings for a graphic object that can be rendered to a preview.

Created with Doc-O-Matic.


TJvPreviewGraphicItem Properties

TJvPreviewGraphicItem	Legend

Properties

 Center

 Picture

 Proportional

 Stretch

 Transparent

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPreviewGraphicItem Methods

TJvPreviewGraphicItem

Methods

DestRect

UpdateGraphic

Created with Doc-O-Matic.


Legend

TJvPreviewGraphicItem

Legend

published

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvPreviewGraphicItem


TJvPreviewGraphicItem Members

TJvPreviewGraphicItem	Legend

Members

Properties

 Center

 Picture

 Proportional

 Stretch

 Transparent

Methods

DestRect

UpdateGraphic

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPreviewGraphicItem.Center property

TJvPreviewGraphicItem	Edit topic

Specifies if the graphic should be centered in its container.

Pascal

property Center: Boolean;

Description

Use Center to specify whether the image should be centered on the preview page or not.

Created with Doc-O-Matic.


TJvPreviewGraphicItem.Picture property

TJvPreviewGraphicItem	Edit topic

The graphic object associated with this item.

Pascal

property Picture: TPicture;

Description

Use Picture to specify the image that is associated with this object. At design time, click the ellipsis button in the Object Inspector to select an image.

Created with Doc-O-Matic.


TJvPreviewGraphicItem.Proportional property

TJvPreviewGraphicItem	See Also	Edit topic

Indicates whether the image should be changed, without distortion, so that it fits the bounds of the container.

Pascal

property Proportional: Boolean;

Description

Use Proportional to set whether images are stretched to fill the entire client area when Stretch is true or if they should be stretched to fill as much as possible without changing the original width to height ratio of the image.

Created with Doc-O-Matic.


See Also

TJvPreviewGraphicItem.DestRect, TJvPreviewGraphicItem.Stretch


TJvPreviewGraphicItem.Stretch property

TJvPreviewGraphicItem	See Also	Edit topic

Indicates whether the image should be changed so that it exactly fits the bounds of the container.

Pascal

property Stretch: Boolean;

Description

If Stretch is true, the image is changed to fill the entire available client area. If Stretch is false, the image is displayed at its original size.

Created with Doc-O-Matic.


See Also

TJvPreviewGraphicItem.Proportional


TJvPreviewGraphicItem.Transparent property

TJvPreviewGraphicItem	Edit topic

Indicates whether the image should be rendered transparently.

Pascal

property Transparent: Boolean;

Description

Use Transparent to indicate whether the background of the rendering area is filled or not.

Created with Doc-O-Matic.


TJvPreviewGraphicItem.DestRect method

TJvPreviewGraphicItem	Edit topic

Calculates the size of the output rectangle based on a reference rectangle and a DC.

Pascal

function DestRect(RefRect: TRect; DestDC: HDC): TRect;

Return Value

A rectangle that specifies the coordinates of the required destination rectangle of the image.

Parameters

RefRect: TRect

Reference rectangle.

DestDC: HDC

The DC to render to.

Description

Call DestRect to calculate the size of the output rectangle needed for the image when it is resized according to the settings of the DC.

Created with Doc-O-Matic.


TJvPreviewGraphicItem.UpdateGraphic method

TJvPreviewGraphicItem	See Also	Edit topic

Updates the image to match the current property settings.

Pascal

procedure UpdateGraphic;

Description

Call UpdateGraphic to make sure that property changes are propagated to the image in Picture.

Created with Doc-O-Matic.


See Also

TJvPreviewGraphicItem.Picture


TJvPreviewGraphicItems
JEDI-VCL Reference

TJvPreviewGraphicItems

Hierarchy	Properties	Methods	 Edit topic

Collection that maintains a list of graphic objects.

Pascal

TJvPreviewGraphicItems = class(TOwnedCollection);

File

JvPrvwRender

Description

TJvPreviewGraphicItems is a collection that maintains a list of TJvPreviewGraphicItem objects. TJvPreviewGraphicItems is the type of the Items property of TJvPreviewRenderGraphics.

Created with Doc-O-Matic.


TJvPreviewGraphicItems Properties

TJvPreviewGraphicItems

Properties

Items

Created with Doc-O-Matic.


TJvPreviewGraphicItems Methods

TJvPreviewGraphicItems

Methods

Add

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvPreviewGraphicItems


TJvPreviewGraphicItems Members

TJvPreviewGraphicItems

Members

Properties

Items

Methods

Add

Created with Doc-O-Matic.


TJvPreviewGraphicItems.Items property

TJvPreviewGraphicItems	Edit topic

Provides indexed access to the items in the collection.

Pascal

property Items [Index: Integer]: TJvPreviewGraphicItem;

Description

Use Items to access the image objects using an index.

Created with Doc-O-Matic.


TJvPreviewGraphicItems.Add method

TJvPreviewGraphicItems	Edit topic

Adds a new graphic object to the collection.

Pascal

function Add: TJvPreviewGraphicItem;

Return Value

The newly added image object.

Description

Call add to add a new image object to the collection.

Created with Doc-O-Matic.


TJvPreviewPageOptions
JEDI-VCL Reference

TJvPreviewPageOptions

Hierarchy	Properties	Events	 Edit topic

Represents the available options for the pages in the preview control.

Pascal

TJvPreviewPageOptions = class(TPersistent);

File

JvPrvwDoc

Description

A page in the preview is a visual object that simulates a physical paper page as it would look if printed on a printer. The properties of TJvPreviewPageOptions controls the appearance of these pages as well as properties pertaining to the relationship between pages in a preview.

Created with Doc-O-Matic.


TJvPreviewPageOptions Properties

TJvPreviewPageOptions	Legend

Properties

 Color

 Cols

 DrawMargins

 HorzSpacing

 Rows

 Scale

 ScaleMode

 Shadow

 VertSpacing

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPreviewPageOptions Events

TJvPreviewPageOptions

Events

OnChange

OnScaleModeChange

Created with Doc-O-Matic.


Legend

TJvPreviewPageOptions

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvPreviewPageOptions


TJvPreviewPageOptions Members

TJvPreviewPageOptions	Legend

Members

Properties

 Color

 Cols

 DrawMargins

 HorzSpacing

 Rows

 Scale

 ScaleMode

 Shadow

 VertSpacing

Events

OnChange

OnScaleModeChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPreviewPageOptions.Color property

TJvPreviewPageOptions	Edit topic

Specifies the color of the preview pages.

Pascal

property Color: TColor;

Description

Use Color to specify the background color for the preview pages.

Created with Doc-O-Matic.


TJvPreviewPageOptions.Cols property

TJvPreviewPageOptions	See Also	Edit topic

Indicates the number of pages to display vertically in the visible part of the control.

Pascal

property Cols: Cardinal;

Description

Use Cols to specify how many columns of pages should be displayed in the visible part of the preview control (without scrolling). Setting Cols may have no effect, either because ScaleMode prohibits it or because the number of Rows and Cols requested exceeds the available page count.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.Rows, TJvPreviewPageOptions.Scale, TJvPreviewPageOptions.ScaleMode


TJvPreviewPageOptions.DrawMargins property

TJvPreviewPageOptions	Edit topic

Indicates whether print margins are drawn in the preview.

Pascal

property DrawMargins: Boolean;

Description

Use DrawMargins to specify if the preview displays the print margins in the preview. If DrawMargins is true, a dotted line is drawn on the preview pages to indicate the printable area.

Created with Doc-O-Matic.


TJvPreviewPageOptions.HorzSpacing property

TJvPreviewPageOptions	See Also	Edit topic

Specifies the horizontal distance between pages in the preview.

Pascal

property HorzSpacing: Cardinal;

Description

Use HorzSpacing to specify the number of pixels between the pages in a preview when the preview is displaying more than one page. HorzSpacing is in pixels.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.VertSpacing


TJvPreviewPageOptions.OnChange event

TJvPreviewPageOptions	See Also	Edit topic

Occurs when any property value is changed.

Pascal

property OnChange: TNotifyEvent;

Description

Don't write a handler for this event. A handler is assigned internally by the control that created the instance.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.OnScaleModeChange


TJvPreviewPageOptions.OnScaleModeChange event

TJvPreviewPageOptions	See Also	Edit topic

Occurs when the ScaleMode property changes

Pascal

property OnScaleModeChange: TNotifyEvent;

Description

Don't write a handler for this event. A handler is assigned internally by the control that created the instance.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.OnChange


TJvPreviewPageOptions.Rows property

TJvPreviewPageOptions	See Also	Edit topic

Indicates the number of pages to display horizontally in the visible part of the control.

Pascal

property Rows: Cardinal;

Description

Use Rows to specify how many rows of pages should be displayed in the visible part of the preview control (without scrolling). Setting Rows may have no effect, either because ScaleMode prohibits it or because the number of Rows and Cols requested exceeds the available page count.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.Cols, TJvPreviewPageOptions.Scale, TJvPreviewPageOptions.ScaleMode


TJvPreviewPageOptions.Scale property

TJvPreviewPageOptions	See Also	Edit topic

Indicates the scaling of the pages in the preview.

Pascal

property Scale: Cardinal;

Description

Read Scale to determine the current scaling of the pages. Set the value of Scale to change the scaling. Scale is expressed in percentage.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.Cols, TJvPreviewPageOptions.Rows, TJvPreviewPageOptions.ScaleMode


TJvPreviewPageOptions.ScaleMode property

TJvPreviewPageOptions	See Also	Edit topic

Indicates the scale mode to use.

Pascal

property ScaleMode: TJvPreviewScaleMode;

Description

Use ScaleMode to specify how scaling is performed in the preview control. The setting of ScaleMode affects how the preview uses the Cols, Rows and Scale properties.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.Cols, TJvPreviewPageOptions.Rows, TJvPreviewPageOptions.Scale


TJvPreviewPageOptions.Shadow property

TJvPreviewPageOptions	Edit topic

Reference to settings affecting the page shadow.

Pascal

property Shadow: TJvPageShadow;

Description

Use Shadow to access the properties that controls the shadow displayed beneath each page.

Created with Doc-O-Matic.


TJvPreviewPageOptions.VertSpacing property

TJvPreviewPageOptions	See Also	Edit topic

Specifies the vertical distance between pages in the preview.

Pascal

property VertSpacing: Cardinal;

Description

Use VertSpacing to specify the number of pixels between the pages in a preview when the preview is displaying more than one page. VertSpacing is in pixels.

Created with Doc-O-Matic.


See Also

TJvPreviewPageOptions.HorzSpacing


TJvPreviewPrinter
JEDI-VCL Reference

 TJvPreviewPrinter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A class that implements the IJvPrinter interface using TPrinter as the output device.

Pascal

TJvPreviewPrinter = class(TJvComponent, IUnknown, IJvPrinter);

File

JvPrvwRender

Description

Use TJvPreviewPrinter when you want to output the content of a preview control to the printer. If a preview control is assigned to the PrintPreview property, calling Print will call the preview control's PrintRange method to create a printout using the current settings of the TJvPreviewPrinter and send it to the currently selected printer.

Created with Doc-O-Matic.


TJvPreviewPrinter Properties

TJvPreviewPrinter	Legend

Properties

 Collate

 Copies

 FromPage

 Options

Printer

 PrintPreview

 PrintRange

Title

 ToPage

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPreviewPrinter Events

TJvPreviewPrinter	Legend

Events

 OnAbort

 OnBeginDoc

 OnEndDoc

 OnNewPage

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPreviewPrinter Methods

TJvPreviewPrinter	Legend

Methods

 Abort

 Assign

 BeginDoc

 EndDoc

 GetAborted

 GetCanvas

 GetHandle

 GetPageHeight

 GetPageWidth

 GetPrinting

 GetTitle

 NewPage

Print

 SetTitle

IJvPrinter

Abort

BeginDoc

EndDoc

GetAborted

GetCanvas

GetHandle

GetPageHeight

GetPageWidth

GetPrinting

GetTitle

NewPage

SetTitle

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvPreviewPrinter

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent, IUnknown, IJvPrinter
                TJvPreviewPrinter


TJvPreviewPrinter Members

TJvPreviewPrinter	Legend

Members

Properties

 Collate

 Copies

 FromPage

 Options

Printer

 PrintPreview

 PrintRange

Title

 ToPage

TJvComponent

 AboutJVCL

Events

 OnAbort

 OnBeginDoc

 OnEndDoc

 OnNewPage

Methods

 Abort

 Assign

 BeginDoc

 EndDoc

 GetAborted

 GetCanvas

 GetHandle

 GetPageHeight

 GetPageWidth

 GetPrinting

 GetTitle

 NewPage

Print

 SetTitle

IJvPrinter

Abort

BeginDoc

EndDoc

GetAborted

GetCanvas

GetHandle

GetPageHeight

GetPageWidth

GetPrinting

GetTitle

NewPage

SetTitle

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

PrintPreview


TJvPreviewPrinter.Collate property

TJvPreviewPrinter	Edit topic

Indicates whether collating is active.

Pascal

property Collate: Boolean;

Description

Use Collate to specify if collating should be used or not when printing.

Created with Doc-O-Matic.


TJvPreviewPrinter.Copies property

TJvPreviewPrinter	Edit topic

Indicates the number of copies to print.

Pascal

property Copies: Integer;

Description

Set Copies to the number of copies of the document to print. Copies can never be less than 1.

Created with Doc-O-Matic.


TJvPreviewPrinter.FromPage property

TJvPreviewPrinter	See Also	Edit topic

Indicates the page on which the print job is to begin.

Pascal

property FromPage: Integer;

Description

The FromPage property corresponds to the From field in a Print dialog.

Created with Doc-O-Matic.


See Also

TJvPreviewPrinter.ToPage


TJvPreviewPrinter.OnAbort event

TJvPreviewPrinter	See Also	Edit topic

Occurs when the print job is aborted.

Pascal

property OnAbort: TNotifyEvent;

Description

Write a handler for OnAbort to take specific action when the print job is aborted. For example, you could display a dialog to the user warning them that the print job was aborted or you could hide a progress dialog previously shown in OnBeginDoc.

Created with Doc-O-Matic.


See Also

TJvPreviewPrinter.OnBeginDoc, TJvPreviewPrinter.OnEndDoc, TJvPreviewPrinter.OnNewPage


TJvPreviewPrinter.OnBeginDoc event

TJvPreviewPrinter	See Also	Edit topic

Occurs when the print job is started.

Pascal

property OnBeginDoc: TNotifyEvent;

Description

Write a handler for OnBeginDoc to take specific action when the print job starts. For example, you could display a dialog to the user while the printing is in progress.

Created with Doc-O-Matic.


See Also

TJvPreviewPrinter.OnEndDoc, TJvPreviewPrinter.OnNewPage


TJvPreviewPrinter.OnEndDoc event

TJvPreviewPrinter	See Also	Edit topic

Occurs when the print job is finished.

Pascal

property OnEndDoc: TNotifyEvent;

Description

Write a handler for OnEndDoc to take specific action when the print job has finished. For example, you could hide a dialog previously shown in OnBeginDoc.

Created with Doc-O-Matic.


See Also

TJvPreviewPrinter.OnBeginDoc, TJvPreviewPrinter.OnNewPage


TJvPreviewPrinter.OnNewPage event

TJvPreviewPrinter	See Also	Edit topic

Occurs when a new page is to be printed.

Pascal

TJvNewPageEvent = procedure (Sender: TObject; PageIndex: Integer) of object;
property OnNewPage: TJvNewPageEvent;

Parameters

PageIndex

The number of the page that is to be printed.

Sender

The object that called the event.

Description

Write a handler for OnNewPage to take specific action when a new page is about to be sent to the printer. For example, you can update the progress on a dialog shown to the user.

Created with Doc-O-Matic.


See Also

TJvPreviewPrinter.OnAbort, TJvPreviewPrinter.OnBeginDoc, TJvPreviewPrinter.OnEndDoc


TJvPreviewPrinter.Options property

TJvPreviewPrinter	See Also	Edit topic

Indicates the options to use when a print dialog is displayed.

Pascal

property Options: TPrintDialogOptions;

Description

Use Options to specify the print options to use when a print dialog is to be displayed. Options isn't used by TJvPreviewPrinter itself. It is only provided as a convenient way of storing the print dialog options without actually having to create a dialog to house them.

Created with Doc-O-Matic.


See Also

TPrintDialog.Options


TJvPreviewPrinter.Printer property

TJvPreviewPrinter	See Also	Edit topic

Provides access to the global printer object.

Pascal

property Printer: TPrinter;

Description

Read Printer to access the properties and methods of the TPrinter class.

Created with Doc-O-Matic.


See Also

TPrinter


TJvPreviewPrinter.PrintPreview property

TJvPreviewPrinter	See Also	Edit topic

Specifies the print preview control that is responsible for creating the print job.

Pascal

property PrintPreview: TJvCustomPreviewControl;

Description

Set PrintPreview to a TJvCustomPreviewControl or descendant that should be handling the creation of the document to print. TJvPreviewPrinter does not itself provide methods for creating the document. Instead, it uses the PrintRange method of TJvCustomPreviewControl to do the actual work.

Created with Doc-O-Matic.


See Also

TJvCustomPreviewControl


TJvPreviewPrinter.PrintRange property

TJvPreviewPrinter	Edit topic

Specifies whether FromPage and ToPage are valid.

Pascal

property PrintRange: TPrintRange;

Description

Use PrintRange to determine whether FromPage and ToPage contains valid values. If PrintRange is prAllPages, FromPage and ToPage are ignored, otherwise they are considered valid.

Notes

prSelection is not supported by the print preview components at his time.

Created with Doc-O-Matic.


TJvPreviewPrinter.Title property

TJvPreviewPrinter	Edit topic

Determines the text that is listed in the Print Manager and on network header pages.

Pascal

property Title: string;

Description

Title is used by Windows in the Print Manager and for network title pages.

Created with Doc-O-Matic.


TJvPreviewPrinter.ToPage property

TJvPreviewPrinter	See Also	Edit topic

Indicates the page on which the print job is to end.

Pascal

property ToPage: Integer;

Description

The ToPage property corresponds to the To field in a Print dialog.

Created with Doc-O-Matic.


See Also

TJvPreviewPrinter.FromPage


TJvPreviewPrinter.Abort method

TJvPreviewPrinter	See Also	Edit topic

Aborts the print job.

Pascal

procedure Abort;

Description

Called when the print job should be aborted.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.EndDoc, IJvPrinter.NewPage


TJvPreviewPrinter.Assign method

TJvPreviewPrinter	See Also	Edit topic

Copies the properties of a compatible object to this object

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from

Description

Call Assign to copy the properties of a TJvPreviewPrinter or a TPrintDialog to this object. If Source is a TPrintDialog the Collate, Copies, FromPage, Options, PrintRange and ToPage properties are copied.

Created with Doc-O-Matic.


See Also

TPrintDialog


TJvPreviewPrinter.BeginDoc method

TJvPreviewPrinter	See Also	Edit topic

Starts a print job.

Pascal

procedure BeginDoc;

Description

Called when the print job should be started.

Created with Doc-O-Matic.


See Also

IJvPrinter.EndDoc, IJvPrinter.NewPage, IJvPrinter.Abort


TJvPreviewPrinter.EndDoc method

TJvPreviewPrinter	See Also	Edit topic

Ends a print job.

Pascal

procedure EndDoc;

Description

Called when the print job is finished.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.NewPage


TJvPreviewPrinter.GetAborted method

TJvPreviewPrinter	See Also	Edit topic

Should return true if the print job has been aborted.

Pascal

function GetAborted: Boolean;

Return Value

Returns true if the print job has been aborted.

Description

Called when the caller needs to know if the print job has been aborted.

Created with Doc-O-Matic.


See Also

IJvPrinter.Abort


TJvPreviewPrinter.GetCanvas method

TJvPreviewPrinter	See Also	Edit topic

Return the canvas to draw on.

Pascal

function GetCanvas: TCanvas;

Return Value

Returns the TCanvas that the drawing is performed on.

Description

Called when the caller needs the canvas to draw to.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetPageWidth, IJvPrinter.GetPageHeight


TJvPreviewPrinter.GetHandle method

TJvPreviewPrinter	Edit topic

Not documented

Pascal

function GetHandle: HDC;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewPrinter.GetPageHeight method

TJvPreviewPrinter	See Also	Edit topic

Should return the height of the available print area.

Pascal

function GetPageHeight: Integer;

Return Value

Returns the page height in logical coordinates.

Description

Called when the caller needs to know the height of the print page.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetCanvas, IJvPrinter.GetPageWidth


TJvPreviewPrinter.GetPageWidth method

TJvPreviewPrinter	See Also	Edit topic

Should return the width of the available print area.

Pascal

function GetPageWidth: Integer;

Return Value

Returns the page width in logical coordinates.

Description

Called when the caller needs to know the size of the print page.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetCanvas, IJvPrinter.GetPageHeight


TJvPreviewPrinter.GetPrinting method

TJvPreviewPrinter	See Also	Edit topic

Should return true if a print job is in progress.

Pascal

function GetPrinting: Boolean;

Return Value

Returns true if printing is in progress.

Description

Called when the caller needs to know if a print job is in progress.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.Abort


TJvPreviewPrinter.GetTitle method

TJvPreviewPrinter	See Also	Edit topic

Returns the document title of the print job

Pascal

function GetTitle: string;

Return Value

Returns the current document title.

Description

Called to get the current document title.

Created with Doc-O-Matic.


See Also

IJvPrinter.SetTitle


TJvPreviewPrinter.NewPage method

TJvPreviewPrinter	See Also	Edit topic

Starts a new page in a started print job.

Pascal

procedure NewPage;

Description

Called when the caller needs a new page.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.EndDoc, IJvPrinter.Abort


TJvPreviewPrinter.Print method

TJvPreviewPrinter	See Also	Edit topic

Starts the print job.

Pascal

procedure Print;

Description

Call Print to send the document in the preview control to the printer. If a preview control is assigned to the PrintPreview property, its PrintRange method is called to do the actual printing.

Created with Doc-O-Matic.


See Also

TJvPreviewPrinter.PrintPreview


TJvPreviewPrinter.SetTitle method

TJvPreviewPrinter	See Also	Edit topic

Sets the document title on the print job.

Pascal

procedure SetTitle(const Value: string);

Parameters

Value

The new title.

Description

Called to set a new document title.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetTitle


TJvPreviewRenderControl
JEDI-VCL Reference

 TJvPreviewRenderControl

Hierarchy	Properties	Methods	Package	 Edit topic

Renders a preview of a TControl descendant.

Pascal

TJvPreviewRenderControl = class(TJvCustomPreviewRenderer);

File

JvPrvwRender

Description

Use TJvPreviewRenderControl when you want to render a TControl descendant (visual control) in a simple way. Assign the TControl to render to the Control property and call the CreatePreview method to render the output to a preview control.

Created with Doc-O-Matic.


TJvPreviewRenderControl Properties

TJvPreviewRenderControl	Legend

Properties

 Center

 Control

 PrintPreview

 Proportional

 Stretch

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPreviewRenderControl Methods

TJvPreviewRenderControl	Legend

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Legend

TJvPreviewRenderControl

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomPreviewRenderer
            TJvPreviewRenderControl


TJvPreviewRenderControl Members

TJvPreviewRenderControl	Legend

Members

Properties

 Center

 Control

 PrintPreview

 Proportional

 Stretch

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

PrintPreview


TJvPreviewRenderControl.Center property

TJvPreviewRenderControl	Edit topic

Indicates whether the preview is centered in its container.

Pascal

property Center: Boolean;

Description

Use Center to specify whether the TControl is rendered centered on the preview control

Created with Doc-O-Matic.


TJvPreviewRenderControl.Control property

TJvPreviewRenderControl	See Also	Edit topic

Indicates the control to render.

Pascal

property Control: TControl;

Description

Use Control to specify the TControl descendant to render to the preview control. If Control is nil, no preview is generated when CreatePreview is called.

Created with Doc-O-Matic.


See Also

CreatePreview


TJvPreviewRenderControl.PrintPreview property

TJvPreviewRenderControl	Edit topic

Specifies the print preview component that is associated with this renderer.

Pascal

property PrintPreview: TJvCustomPreviewControl;

Description

Read PrintPreview to determine the TJvCustomPreviewControl or descendant that displays the preview created by the renderer.

Created with Doc-O-Matic.


TJvPreviewRenderControl.Proportional property

TJvPreviewRenderControl	See Also	Edit topic

Indicates whether the Control preview should be changed, without distortion, so that it fits the bounds of the container.

Pascal

property Proportional: Boolean;

Description

Use Proportional to set whether the Control preview is stretched to fill the entire client area or if it should be stretched to fill as much as possible without changing the original width to height ratio of the image. Proportional only have effect if Stretch is true.

Created with Doc-O-Matic.


See Also

TJvPreviewGraphicItem.DestRect, TJvPreviewRenderControl.Stretch


TJvPreviewRenderControl.Stretch property

TJvPreviewRenderControl	See Also	Edit topic

Indicates whether the Control preview should be changed so that it exactly fits the bounds of the container.

Pascal

property Stretch: Boolean;

Description

If Stretch is true, the image is changed to fill the entire available client area. If Stretch is false, the image is displayed at its original size.

Created with Doc-O-Matic.


See Also

TJvPreviewRenderControl.Proportional


TJvPreviewRenderControl.CreatePreview method

TJvPreviewRenderControl	Edit topic

Called when a preview should be created.

Pascal

function CreatePreview(Append: Boolean): Boolean; override;

Return Value

True if the preview could be created, false otherwise.

Parameters

Append

True if the preview should be appended to the existing preview or false if a new preview should be created

Description

CreatePreview is called by a TJvCustomPreviewControl when the user wants to create a preview.

Created with Doc-O-Matic.


TJvPreviewRenderGraphics
JEDI-VCL Reference

 TJvPreviewRenderGraphics

Hierarchy	Properties	Methods	Package	 Edit topic

A renderer that can render a collection of images.

Pascal

TJvPreviewRenderGraphics = class(TJvCustomPreviewRenderer);

File

JvPrvwRender

Description

Use TJvPreviewRenderGraphics when you want to preview a set of images. Add images to the renderer by using the methods of the Images property. Every image in the collection can have a different format and use different property settings. When you are ready to show the preview, call CreatePreview.

Created with Doc-O-Matic.


TJvPreviewRenderGraphics Properties

TJvPreviewRenderGraphics	Legend

Properties

 Images

 PrintPreview

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPreviewRenderGraphics Methods

TJvPreviewRenderGraphics	Legend

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvPreviewRenderGraphics

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomPreviewRenderer
            TJvPreviewRenderGraphics


TJvPreviewRenderGraphics Members

TJvPreviewRenderGraphics	Legend

Members

Properties

 Images

 PrintPreview

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

PrintPreview


TJvPreviewRenderGraphics.Images property

TJvPreviewRenderGraphics	See Also	Edit topic

A collection of images to render.

Pascal

property Images: TJvPreviewGraphicItems;

Description

Use Images to add and modify the images to preview. At design time, click the ellipsis button in the Object Inspector to show the collection editor. Use the editor to add and modify the images in the collection.

Created with Doc-O-Matic.


See Also

CreatePreview


TJvPreviewRenderGraphics.PrintPreview property

TJvPreviewRenderGraphics	Edit topic

Specifies the print preview component that is associated with this renderer.

Pascal

property PrintPreview: TJvCustomPreviewControl;

Description

Read PrintPreview to determine the TJvCustomPreviewControl or descendant that displays the preview created by the renderer.

Created with Doc-O-Matic.


TJvPreviewRenderGraphics.CreatePreview method

TJvPreviewRenderGraphics	Edit topic

Called when a preview should be created.

Pascal

function CreatePreview(Append: Boolean): Boolean; override;

Return Value

True if the preview could be created, false otherwise.

Parameters

Append

True if the preview should be appended to the existing preview or false if a new preview should be created

Description

CreatePreview is called by a TJvCustomPreviewControl when the user wants to create a preview.

Created with Doc-O-Matic.


TJvPreviewRenderJvRichEdit
JEDI-VCL Reference

 TJvPreviewRenderJvRichEdit

Hierarchy	Properties	Methods	Package	 Edit topic

Not documented

Pascal

TJvPreviewRenderJvRichEdit = class(TJvCustomPreviewRenderer);

File

JvPrvwRender

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewRenderJvRichEdit Properties

TJvPreviewRenderJvRichEdit	Legend

Properties

 PrintPreview

 RichEdit

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPreviewRenderJvRichEdit Methods

TJvPreviewRenderJvRichEdit	Legend

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvPreviewRenderJvRichEdit

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomPreviewRenderer
            TJvPreviewRenderJvRichEdit


TJvPreviewRenderJvRichEdit Members

TJvPreviewRenderJvRichEdit	Legend

Members

Properties

 PrintPreview

 RichEdit

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

PrintPreview


TJvPreviewRenderJvRichEdit.PrintPreview property

TJvPreviewRenderJvRichEdit	Edit topic

Specifies the print preview component that is associated with this renderer.

Pascal

property PrintPreview: TJvCustomPreviewControl;

Description

Read PrintPreview to determine the TJvCustomPreviewControl or descendant that displays the preview created by the renderer.

Created with Doc-O-Matic.


TJvPreviewRenderJvRichEdit.RichEdit property

TJvPreviewRenderJvRichEdit	Edit topic

Not documented

Pascal

property RichEdit: TJvCustomRichEdit;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewRenderJvRichEdit.CreatePreview method

TJvPreviewRenderJvRichEdit	Edit topic

Called when a preview should be created.

Pascal

function CreatePreview(Append: Boolean): Boolean; override;

Return Value

True if the preview could be created, false otherwise.

Parameters

Append

True if the preview should be appended to the existing preview or false if a new preview should be created

Description

CreatePreview is called by a TJvCustomPreviewControl when the user wants to create a preview.

Created with Doc-O-Matic.


TJvPreviewRenderRichEdit
JEDI-VCL Reference

 TJvPreviewRenderRichEdit

Hierarchy	Properties	Methods	Package	 Edit topic

Preview renderer for rich edits.

Pascal

TJvPreviewRenderRichEdit = class(TJvCustomPreviewRenderer);

File

JvPrvwRender

Description

Use TJvPreviewRenderRichEdit when you want to render a preview of the content in a rich edit control. This renderer supports formatted output of RTF. Assign a rich edit to the RichEdit property and call CreatePreview to render the rich edit to a preview control.

Created with Doc-O-Matic.


TJvPreviewRenderRichEdit Properties

TJvPreviewRenderRichEdit	Legend

Properties

 PrintPreview

 RichEdit

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPreviewRenderRichEdit Methods

TJvPreviewRenderRichEdit	Legend

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvPreviewRenderRichEdit

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomPreviewRenderer
            TJvPreviewRenderRichEdit


TJvPreviewRenderRichEdit Members

TJvPreviewRenderRichEdit	Legend

Members

Properties

 PrintPreview

 RichEdit

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

PrintPreview


TJvPreviewRenderRichEdit.PrintPreview property

TJvPreviewRenderRichEdit	Edit topic

Specifies the print preview component that is associated with this renderer.

Pascal

property PrintPreview: TJvCustomPreviewControl;

Description

Read PrintPreview to determine the TJvCustomPreviewControl or descendant that displays the preview created by the renderer.

Created with Doc-O-Matic.


TJvPreviewRenderRichEdit.RichEdit property

TJvPreviewRenderRichEdit	See Also	Edit topic

References the rich edit that should be rendered.

Pascal

property RichEdit: TCustomRichEdit;

Description

Set RichEdit to a rich edit control on your form that you want to preview.

Created with Doc-O-Matic.


See Also

CreatePreview


TJvPreviewRenderRichEdit.CreatePreview method

TJvPreviewRenderRichEdit	Edit topic

Called when a preview should be created.

Pascal

function CreatePreview(Append: Boolean): Boolean; override;

Return Value

True if the preview could be created, false otherwise.

Parameters

Append

True if the preview should be appended to the existing preview or false if a new preview should be created

Description

CreatePreview is called by a TJvCustomPreviewControl when the user wants to create a preview.

Created with Doc-O-Matic.


TJvPreviewRenderStrings
JEDI-VCL Reference

 TJvPreviewRenderStrings

Hierarchy	Properties	Methods	Package	 Edit topic

Preview render for string lists.

Pascal

TJvPreviewRenderStrings = class(TJvCustomPreviewRenderer);

File

JvPrvwRender

Description

Use TJvPreviewRenderStrings when you want to render a preview for a TStrings or descendant. Assign a TStrings to the Strings property or use the methods of Strings to add content to the string list. Use Font to specify the visual appearance of the text and call CreatePreview to render the string list content to a print preview control.

Created with Doc-O-Matic.


TJvPreviewRenderStrings Properties

TJvPreviewRenderStrings	Legend

Properties

 Font

 PrintPreview

 Strings

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPreviewRenderStrings Methods

TJvPreviewRenderStrings	Legend

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvPreviewRenderStrings

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomPreviewRenderer
            TJvPreviewRenderStrings


TJvPreviewRenderStrings Members

TJvPreviewRenderStrings	Legend

Members

Properties

 Font

 PrintPreview

 Strings

TJvCustomPreviewRenderer

 PrintPreview

TJvComponent

 AboutJVCL

Methods

 CreatePreview

TJvCustomPreviewRenderer

 CreatePreview

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

PrintPreview


TJvPreviewRenderStrings.Font property

TJvPreviewRenderStrings	See Also	Edit topic

Specifies the font settings to use in when rendering.

Pascal

property Font: TFont;

Description

Use Font to specify the font settings to use when creating the preview. Changing the properties of the font won't be instantly visible in the preview. Call CreatePreview to update the preview.

Created with Doc-O-Matic.


See Also

CreatePreview


TJvPreviewRenderStrings.PrintPreview property

TJvPreviewRenderStrings	Edit topic

Specifies the print preview component that is associated with this renderer.

Pascal

property PrintPreview: TJvCustomPreviewControl;

Description

Read PrintPreview to determine the TJvCustomPreviewControl or descendant that displays the preview created by the renderer.

Created with Doc-O-Matic.


TJvPreviewRenderStrings.Strings property

TJvPreviewRenderStrings	See Also	Edit topic

List of text strings that should be rendered.

Pascal

property Strings: TStrings;

Description

use Strings to specify the text strings to render to the preview. You can copy strings from any other control or TStrings descendant by assigning directly to the Strings property or you can use the methods of TStrings (like Add, Remove, LoadFromFile etc) to define the content of the list.

To view the new or changed content of Strings, you must call the CreatePreview method.

Created with Doc-O-Matic.


See Also

CreatePreview


TJvPreviewRenderStrings.CreatePreview method

TJvPreviewRenderStrings	Edit topic

Called when a preview should be created.

Pascal

function CreatePreview(Append: Boolean): Boolean; override;

Return Value

True if the preview could be created, false otherwise.

Parameters

Append

True if the preview should be appended to the existing preview or false if a new preview should be created

Description

CreatePreview is called by a TJvCustomPreviewControl when the user wants to create a preview.

Created with Doc-O-Matic.


TJvPreviewSelection
JEDI-VCL Reference

TJvPreviewSelection

Hierarchy	Properties	Events	 Edit topic

Not documented

Pascal

TJvPreviewSelection = class(TPersistent);

File

JvPrvwDoc

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewSelection Properties

TJvPreviewSelection	Legend

Properties

 Color

 Visible

 Width

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvPreviewSelection Events

TJvPreviewSelection	Legend

Events

 OnChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvPreviewSelection

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvPreviewSelection


TJvPreviewSelection Members

TJvPreviewSelection	Legend

Members

Properties

 Color

 Visible

 Width

Events

 OnChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvPreviewSelection.Color property

TJvPreviewSelection	Edit topic

Not documented

Pascal

property Color: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewSelection.OnChange event

TJvPreviewSelection	Edit topic

Not documented

Pascal

property OnChange: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewSelection.Visible property

TJvPreviewSelection	Edit topic

Not documented

Pascal

property Visible: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvPreviewSelection.Width property

TJvPreviewSelection	Edit topic

Not documented

Pascal

property Width: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProcessEntry
JEDI-VCL Reference

TJvProcessEntry

Hierarchy	Properties	Methods	 See Also	Edit topic

Enables you to control a process.

Pascal

TJvProcessEntry = class(TObject);

File

JvCreateProcess

Description

Use TJvProcessEntry to control a process after it has been created with TJvCreateProcess.

Created with Doc-O-Matic.


TJvProcessEntry Properties

TJvProcessEntry	Legend

Properties

 FileName

 LargeIconIndex

Priority

 ProcessID

 ProcessName

 SmallIconIndex

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvProcessEntry Methods

TJvProcessEntry

Methods

Close

Create

PriorityText

Terminate

Created with Doc-O-Matic.


Legend

TJvProcessEntry

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvProcessEntry


TJvProcessEntry Members

TJvProcessEntry	Legend

Members

Properties

 FileName

 LargeIconIndex

Priority

 ProcessID

 ProcessName

 SmallIconIndex

Methods

Close

Create

PriorityText

Terminate

Legend

read only

Created with Doc-O-Matic.


Legend

read only


See Also

TJvCreateProcess


TJvProcessEntry.FileName property

TJvProcessEntry	See Also	Edit topic

Returns the path and file name of the file associated with the TJvProcessEntry object.

Pascal

property FileName: TFileName;

Description

Read FileName to determine the path and file name of the file associated with the TJvProcessEntry object. The returned value is equal to the AFileName parameter specified when creating the object by calling Create.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.ProcessID, TJvProcessEntry.ProcessName


TJvProcessEntry.LargeIconIndex property

TJvProcessEntry	See Also	Edit topic

Returns the index of the file's large icon.

Pascal

property LargeIconIndex: Integer;

Description

Read LargeIconIndex to determine the index of the file's large icon within the system image list.

LargeIconIndex will only return a valid icon index if you did specify a valid path and filename for the AFileName parameter when creating the object by calling Create.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.Create, TJvProcessEntry.SmallIconIndex


TJvProcessEntry.Priority property

TJvProcessEntry	See Also	Edit topic

Indicates the priority of the process associated with the TJvProcessEntry object.

Pascal

property Priority: TJvProcessPriority;

Description

Read Priority to determine the priority of the process associated with the TJvProcessEntry object.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.PriorityText


TJvProcessEntry.ProcessID property

TJvProcessEntry	See Also	Edit topic

Returns the process ID of the process associated with the TJvProcessEntry object.

Pascal

property ProcessID: DWORD;

Description

Read ProcessID to determine the process ID of the process associated with the TJvProcessEntry object. The returned value is equal to the AProcessID parameter specified when creating the object by calling Create.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.FileName, TJvProcessEntry.ProcessName


TJvProcessEntry.ProcessName property

TJvProcessEntry	See Also	Edit topic

Returns the name of the process associated with the TJvProcessEntry object.

Pascal

property ProcessName: string;

Description

Read ProcessName to determine the name of the process associated with the TJvProcessEntry object. The returned value is equal to the AProcessName parameter specified when creating the object by calling Create.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.FileName, TJvProcessEntry.ProcessID


TJvProcessEntry.SmallIconIndex property

TJvProcessEntry	See Also	Edit topic

Returns the index of the file's small icon.

Pascal

property SmallIconIndex: Integer;

Description

Read SmallIconIndex to determine the index of the file's small icon within the system image list.

SmallIconIndex will only return a valid icon index if you did specify a valid path and filename for the AFileName parameter when creating the object by calling Create.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.Create, TJvProcessEntry.LargeIconIndex


TJvProcessEntry.Close method

TJvProcessEntry	See Also	Edit topic

Closes the process.

Pascal

function Close(UseQuit: Boolean = False): Boolean;

Return Value

Returns True if a process with an ID equal to ProcessID exists, otherwise returns False.

Parameters

UseQuit: Boolean = False

Indicates whether to close immediately.

Description

Call Close to close the process. If UseQuit is True then the application will terminate immediately after processing the request. If UseQuit is False then the application can prompt the user for confirmation, and close only if the user confirms the choice.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.Terminate


TJvProcessEntry.Create constructor

TJvProcessEntry	Edit topic

Creates and initializes a new TJvProcessEntry object.

Pascal

constructor Create(AProcessID: DWORD; const AFileName: TFileName; const AProcessName: string);

Parameters

AProcessID: DWORD

The process id of a process to be associated with a new TJvProcessEntry

const AFileName: TFileName

The path and file name of a file to be associated with a new TJvProcessEntry.

const AProcessName: string

A description for the process.

Description

Use Create to create and initialize a new TJvProcessEntry object.

Create calls the inherited Create method, then sets the initial values for the TJvProcessEntry object as follows:

Created with Doc-O-Matic.


TJvProcessEntry.PriorityText method

TJvProcessEntry	See Also	Edit topic

Converts a priority into a string that describes the priority.

Pascal

class function PriorityText(Priority: TJvProcessPriority): string;

Return Value

A string describing the priority indicated by parameter Priority.

Parameters

Priority: TJvProcessPriority

The priority that needs to be converted to a string.

Description

Call PriorityText to obtain a text description of the priority associated with a process. For Example, use this function when the application needs to display a description of a priority to the user.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.Priority


TJvProcessEntry.Terminate method

TJvProcessEntry	See Also	Edit topic

Ends process execution.

Pascal

function Terminate: Boolean;

Return Value

Returns True on success, otherwise returns False.

Description

Call Terminate to terminate a process created with TJvCreateProcess. It will unconditionally cause the created process to exit. Use it only in extreme circumstances, otherwise use Close.

Created with Doc-O-Matic.


See Also

TJvProcessEntry.Close


TJvProgressComponent
JEDI-VCL Reference

 TJvProgressComponent

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A component that can display a progress dialog.

Pascal

TJvProgressComponent = class(TJvComponent);

File

JvProgressComponent

Description

Use a TJvProgressComponent when you need to display a progress dialog in your application. Progress dialogs are mostly used to provide feedback to the user when the application is performing a lengthy process and the program needs to be disabled until finished.

To display the dialog, call the Execute method. While the dialog is visible, you can modify any of its properties.

Created with Doc-O-Matic.


TJvProgressComponent Properties

TJvProgressComponent	Legend

Properties

 Cancel

 Caption

 InfoLabel

 ProgressMax

 ProgressMin

 ProgressPosition

 ProgressStep

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvProgressComponent Events

TJvProgressComponent	Legend

Events

 OnShow

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvProgressComponent Methods

TJvProgressComponent

Methods

Execute

Hide

ProgressStepIt

Created with Doc-O-Matic.


Legend

TJvProgressComponent

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvProgressComponent


TJvProgressComponent Members

TJvProgressComponent	Legend

Members

Properties

 Cancel

 Caption

 InfoLabel

 ProgressMax

 ProgressMin

 ProgressPosition

 ProgressStep

TJvComponent

 AboutJVCL

Events

 OnShow

Methods

Execute

Hide

ProgressStepIt

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Package

Dlgs


TJvProgressComponent.Cancel property

TJvProgressComponent	See Also	Edit topic

Specifies if the user clicked the Cancel button to close the dialog.

Pascal

property Cancel: Boolean;

Description

Read Cancel to determine if the dialog was closed because the user clicked the Cancel button. The value of Cancel is always false while the dialog is displayed.

Created with Doc-O-Matic.


See Also

Execute, TJvProgressComponent.OnShow


TJvProgressComponent.Caption property

TJvProgressComponent	See Also	Edit topic

Specifies the text displayed on the dialogs caption.

Pascal

property Caption: TCaption;

Description

Use Caption to change the Caption of the dialog form. The value can be changed even when the dialog is displayed.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.InfoLabel


TJvProgressComponent.InfoLabel property

TJvProgressComponent	See Also	Edit topic

Specifies the text displayed above the progress bar.

Pascal

property InfoLabel: TCaption;

Description

Use InfoLabel to display a descriptive text above the progress bar on the dialog.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.Caption


TJvProgressComponent.OnShow event

TJvProgressComponent	See Also	Edit topic

Occurs when the dialog is displayed.

Pascal

property OnShow: TNotifyEvent;

Description

Write a handler for the OnShow event to take specific action when the dialog is displayed. For example, use this event to reset the dialogs properties to their initial values. OnShow is triggered as a result of calling Execute.

Created with Doc-O-Matic.


See Also

Execute


TJvProgressComponent.ProgressMax property

TJvProgressComponent	See Also	Edit topic

Specifies the upper limit of the range of possible positions for the progress bar.

Pascal

property ProgressMax: Integer;

Description

Use ProgressMax along with the ProgressMin property to establish the range of possible positions for the progress bar. Optimally, when the process tracked by the progress bar is complete, the value of ProgressPosition should equal ProgressMax.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.ProgressMin, TJvProgressComponent.ProgressPosition, TJvProgressComponent.ProgressStepIt


TJvProgressComponent.ProgressMin property

TJvProgressComponent	See Also	Edit topic

Specifies the lower limit of the range of possible positions for the progress bar.

Pascal

property ProgressMin: Integer;

Description

Use ProgressMax along with the ProgressMin property to establish the range of possible positions for the progress bar. Optimally, when the process tracked by the progress bar is complete, the value of ProgressPosition should equal ProgressMax.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.ProgressMax, TJvProgressComponent.ProgressPosition, TJvProgressComponent.ProgressStep, TJvProgressComponent.ProgressStepIt


TJvProgressComponent.ProgressPosition property

TJvProgressComponent	See Also	Edit topic

Specifies the current position of the progress bar.

Pascal

property ProgressPosition: Integer;

Description

Read ProgressPosition to determine how far the process tracked by the progress bar has advanced from ProgressMin toward ProgressMax. Set ProgressPosition to cause the progress bar to display a position between ProgressMin and ProgressMax. For example, when the process tracked by the progress bar completes, set ProgressPosition to ProgressMax so that it appears completely filled.

When a progress bar is created, ProgressMin and ProgressMax represent percentages, where ProgressMin is 0 (0% complete) and ProgressMax is 100 (100% complete). If these values are not changed, ProgressPosition is the percentage of the process that has already been completed.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.ProgressMax, TJvProgressComponent.ProgressMin, TJvProgressComponent.ProgressStep, TJvProgressComponent.ProgressStepIt


TJvProgressComponent.ProgressStep property

TJvProgressComponent	See Also	Edit topic

Specifies the amount that ProgressPosition increases when the ProgressStepIt method is called.

Pascal

property ProgressStep: Integer;

Description

Set ProgressStep to specify the granularity of the progress bar. ProgressStep should reflect the size of each step in the process tracked by the progress bar, in the logical units used by the ProgressMax and ProgressMin properties.

When a progress bar is created, ProgressMin and ProgressMax represent percentages, where ProgressMin is 0 (0% complete) and ProgressMax is 100 (100% complete). If these values are not changed, ProgressStep is the percentage of the process completed before the user is provided with additional visual feedback.

When the ProgressStepIt method is called, the value of ProgressPosition increases by Step.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.ProgressMax, TJvProgressComponent.ProgressMin, TJvProgressComponent.ProgressPosition, TJvProgressComponent.ProgressStepIt


TJvProgressComponent.Execute method

TJvProgressComponent	See Also	Edit topic

Displays the progress dialog.

Pascal

procedure Execute;

Description

Call Execute to display the dialog. Before calling Execute, adjust the Caption, InfoLabel, ProgressMax, ProgressMin and ProgressPosition properties to their initial values. While the dialog is displayed, modify the properties of the component to update the values in the dialog.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.Caption, TJvProgressComponent.InfoLabel, TJvProgressComponent.ProgressMax, TJvProgressComponent.ProgressMin, TJvProgressComponent.ProgressPosition


TJvProgressComponent.Hide method

TJvProgressComponent	Edit topic

Hides the progress dialog.

Pascal

procedure Hide;

Description

Call Hide to hide the dialog.

Created with Doc-O-Matic.


TJvProgressComponent.ProgressStepIt method

TJvProgressComponent	See Also	Edit topic

Advances ProgressPosition by the amount specified in the ProgressStep property.

Pascal

procedure ProgressStepIt;

Description

Call the ProgressStepIt method to increase the value of ProgressPosition by the value of the ProgressStep property. If ProgressStep represents the size of one logical step in the process tracked by the progress bar, call ProgressStepIt after each logical step is completed.

Created with Doc-O-Matic.


See Also

TJvProgressComponent.ProgressMax, TJvProgressComponent.ProgressMin, TJvProgressComponent.ProgressPosition, TJvProgressComponent.ProgressStep


TJvProgressDialog
JEDI-VCL Reference

 TJvProgressDialog

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A component that can display a progress dialog either modally or non-modally.

Pascal

TJvProgressDialog = class(TJvCommonDialogF);

File

JvProgressDialog

Description

Use a TJvProgressDialog when you need to display a progress dialog in your application. Progress dialogs are mostly used to provide feedback to the user when the application is performing a lengthy process and the program needs to be disabled until finished.

Depending on your needs, the dialog can be shown either modally or non-modally. When shown modally, the message loop of the program is actually taken over by the dialog and thus your program might not be able to perform its intended work (unless it is done in a separate thread). For example, the following code would not work when displaying the dialog modally.

    JvProgressDialog1.ShowModal;

    DoLengthyProcess;

Because of the message loop being taken over by the dialog, the DoLengthyProcess method won't be called until the dialog is closed. When displaying the dialog modally, you must perform the processing in the OnProgress event instead.

When displaying the dialog non-modally, you don't need to have an OnProgress event handler (actually, it isn't even called in this case). Instead you can update the components properties directly while performing the process.

    // set up the dialog:

    JvProgressDialog1.Min := 0;

    JvProgressDialog1.Max := Count - 1;

    JvProgressDialog1.Position := 0;

    JvProgressDialog1.Text := 'Processing items, please wait...';

    JvProgressDialog1.Show;

    for i := 0 to Count - 1 do

    begin

      DoProcess(Items[i]);

      if i mod 10 = 0 then // only update display every 10'th item

        JvProgressDialog1.Position := i;

    end;

    JvProgressDialog1.Hide;

Notes

During execution of the dialog, the component properties reflects the current values in the dialog (as changed in OnProgress or by direct assignment). After execution, the properties are reset to their original values.

Created with Doc-O-Matic.


TJvProgressDialog Properties

TJvProgressDialog	Legend

Properties

 Cancelled

 Caption

 Image

 Interval

 Max

 Min

 Position

 ScreenPosition

 ShowCancel

 Smooth

 Text

 Transparent

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvProgressDialog Events

TJvProgressDialog	Legend

Events

 OnCancel

 OnClose

 OnProgress

 OnShow

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvProgressDialog Methods

TJvProgressDialog	Legend

Methods

 Execute

Hide

InitValues

Show

ShowModal

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvProgressDialog

Legend

read only

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvProgressDialog


TJvProgressDialog Members

TJvProgressDialog	Legend

Members

Properties

 Cancelled

 Caption

 Image

 Interval

 Max

 Min

 Position

 ScreenPosition

 ShowCancel

 Smooth

 Text

 Transparent

TJvComponent

 AboutJVCL

Events

 OnCancel

 OnClose

 OnProgress

 OnShow

Methods

 Execute

Hide

InitValues

Show

ShowModal

TJvCommonDialogF

 Execute

Legend

read only

published

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

published

virtual

abstract


Package

Dlgs


TJvProgressDialog.Cancelled property

TJvProgressDialog	See Also	Edit topic

Determines if the user canceled the dialog before the process completed.

Pascal

property Cancelled: Boolean;

Description

After the dialog is closed, Cancelled is set to true if the user closed the dialog before the process completed. A user can only close the dialog if the ShowCancel property is true. When showing the dialog modally, you can use the return value of ShowModal to determine if the user canceled the dialog but when you use Show, Cancelled is the only way to determine what the user did.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Show, TJvProgressDialog.ShowCancel, TJvProgressDialog.ShowModal


TJvProgressDialog.Caption property

TJvProgressDialog	See Also	Edit topic

Specifies the text of the dialog caption.

Pascal

property Caption: string;

Description

Use Caption to set the caption of the dialog. If Caption is empty, the entire caption area of the form is removed. To display the caption area without any text in it, set Caption to a single space.

The Caption property can be changed while the dialog is shown, either directly (if the dialog was shown using Show) or in the OnProgress event (if the dialog was shown using ShowModal).

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Text


TJvProgressDialog.Image property

TJvProgressDialog	See Also	Edit topic

Specifies an image on the dialog.

Pascal

property Image: TPicture;

Description

Assign an image to this property to have it displayed in the dialog. The form will automatically adjust its size to the image if it is larger than the default size of the dialog.

The Image property can be changed while the dialog is shown, either directly (if the dialog was shown using Show) or in the OnProgress event (if the dialog was shown using ShowModal).

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Caption, TJvProgressDialog.Show, TJvProgressDialog.ShowModal


TJvProgressDialog.Interval property

TJvProgressDialog	See Also	Edit topic

Specifies how often OnProgress is called.

Pascal

property Interval: Integer;

Description

Use Interval to set the number of milliseconds between calls to OnProgress when the dialog is shown using ShowModal. When the dialog is displayed using Show, this property has no effect.

If Interval is less than or equal to 0, OnProgress is called once. If Interval is still less than or equal to 0, the dialog will be closed. Interval can be changed inside the OnProgress event and will be updated immediately.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.OnProgress, TJvProgressDialog.ShowModal


TJvProgressDialog.Max property

TJvProgressDialog	See Also	Edit topic

Specifies the upper limit of the range of possible positions for the progress bar.

Pascal

property Max: Integer;

Description

Use Max along with the Min property to establish the range of possible positions for the progress bar. Optimally, when the process tracked by the progress bar is complete, the value of Position should equal Max.

The Max property can be changed while the dialog is shown, either directly (if the dialog was shown using Show) or in the OnProgress event (if the dialog was shown using ShowModal).

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Min, TJvProgressDialog.OnProgress, TJvProgressDialog.Position, TJvProgressDialog.Show, TJvProgressDialog.ShowModal


TJvProgressDialog.Min property

TJvProgressDialog	See Also	Edit topic

Specifies the lower limit of the range of possible positions for the progress bar.

Pascal

property Min: Integer;

Description

Use Max along with the Min property to establish the range of possible positions for the progress bar. Optimally, when the process tracked by the progress bar is complete, the value of Position should equal Max.

The Min property can be changed while the dialog is shown, either directly (if the dialog was shown using Show) or in the OnProgress event (if the dialog was shown using ShowModal).

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Max, TJvProgressDialog.OnProgress, TJvProgressDialog.Position, TJvProgressDialog.Show, TJvProgressDialog.ShowModal


TJvProgressDialog.OnCancel event

TJvProgressDialog	See Also	Edit topic

Occurs when the user canceled the dialog.

Pascal

property OnCancel: TNotifyEvent;

Description

Write a handler for the OnCancel event to take specific actions when the user cancels the progress dialog. The user can only cancel the dialog if the ShowCancel property is true.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.OnClose, TJvProgressDialog.ShowCancel


TJvProgressDialog.OnClose event

TJvProgressDialog	See Also	Edit topic

Occurs when the dialog closes.

Pascal

property OnClose: TNotifyEvent;

Description

Write a handler for the OnClose event to take specific actions when the dialog is closed. OnClose is called even if the user canceled the dialog (which triggers the OnCancel event).

Created with Doc-O-Matic.


See Also

TJvProgressDialog.OnCancel, TJvProgressDialog.OnShow


TJvProgressDialog.OnProgress event

TJvProgressDialog	See Also	Edit topic

Occurs periodically while the dialog is shown modally.

Pascal

TJvProgressDialogEvent = procedure (Sender: TObject; var AContinue: Boolean) of object;
property OnProgress: TJvProgressDialogEvent;

Parameters

AContinue

Set to false to close the dialog, set to true to keep it open.

Sender

The object that triggered the event.

Description

Write a handler for the OnProgress event to update the dialog when it was displayed using the ShowModal method. To update the components on the dialog, you can assign new values to the Min, Max, Position, Caption, Image and Text properties within the event handler.

The time between calls to the OnProgress event is controlled by the Interval property. OnProgress is not triggered if the dialog was displayed using the Show method.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Caption, TJvProgressDialog.Image, TJvProgressDialog.Interval, TJvProgressDialog.Max, TJvProgressDialog.Min, TJvProgressDialog.Position, TJvProgressDialog.ShowModal, TJvProgressDialog.Text


TJvProgressDialog.OnShow event

TJvProgressDialog	See Also	Edit topic

Occurs just before the dialog is displayed.

Pascal

property OnShow: TNotifyEvent;

Description

Write a handler for the OnShow event to take specific action when the dialog is shown.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.OnCancel, TJvProgressDialog.OnClose


TJvProgressDialog.Position property

TJvProgressDialog	See Also	Edit topic

Specifies the current position of the progress bar.

Pascal

property Position: Integer;

Description

Read Position to determine how far the process tracked by the progress bar has advanced from Min toward Max. Set Position to cause the progress bar to display a position between Min and Max. For example, when the process tracked by the progress bar completes, set Position to Max so that it appears completely filled.

When a progress bar is created, Min and Max represent percentages, where Min is 0 (0% complete) and Max is 100 (100% complete). If these values are not changed, Position is the percentage of the process that has already been completed.

The Position property can be changed while the dialog is shown, either directly (if the dialog was shown using Show) or in the OnProgress event (if the dialog was shown using ShowModal).

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Max, TJvProgressDialog.Min, TJvProgressDialog.OnProgress, TJvProgressDialog.Show, TJvProgressDialog.ShowModal


TJvProgressDialog.ScreenPosition property

TJvProgressDialog	Edit topic

Not documented

Pascal

property ScreenPosition: TPosition;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProgressDialog.ShowCancel property

TJvProgressDialog	See Also	Edit topic

Specifies if the user can abort the process.

Pascal

property ShowCancel: Boolean;

Description

Use ShowCancel to specify whether the dialog has a Cancel button or not. If ShowCancel is true, the user can abort the process either by clicking the Cancel button or by hitting Escape. If the dialog has a caption area, the system menu and the close button will also be activated if ShowCancel is true.

If the user cancels the process, the OnCancel event is triggered and Cancelled is set to true.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Cancelled, TJvProgressDialog.OnCancel, TJvProgressDialog.Show, TJvProgressDialog.ShowModal


TJvProgressDialog.Smooth property

TJvProgressDialog	Edit topic

Not documented

Pascal

property Smooth: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProgressDialog.Text property

TJvProgressDialog	See Also	Edit topic

Specifies the text to display on the label located above the progress bar.

Pascal

property Text: string;

Description

Use Text to display a text label above the progress bar. A text can be used to update the user on what part of the process is currently executing. To remove the label, set Text to an empty string.

The Text property can be changed while the dialog is shown, either directly (if the dialog was shown using Show) or in the OnProgress event (if the dialog was shown using ShowModal).

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Caption


TJvProgressDialog.Transparent property

TJvProgressDialog	See Also	Edit topic

Specifies if the dialog image is transparent.

Pascal

property Transparent: Boolean;

Description

Use Transparent to set the background transparency of the image in Image on the dialog. If no image has been assigned, this property does nothing.

This property cannot be changed while the dialog is shown.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Image


TJvProgressDialog.Execute method

TJvProgressDialog	See Also	Edit topic

Displays the dialog.

Pascal

function Execute: Boolean; override;

Return Value

Always returns true.

Description

Execute is used by the design time editor to show a preview of the dialog. Execute calls ShowModal. Don't call this method: Use Show or ShowModal instead to display the dialog.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Show, TJvProgressDialog.ShowModal


TJvProgressDialog.Hide method

TJvProgressDialog	See Also	Edit topic

Hides the dialog if it is was visible.

Pascal

procedure Hide;

Description

Call Hide to hide a visible dialog. Hide can only be called if the dialog was displayed using Show.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Show


TJvProgressDialog.InitValues method

TJvProgressDialog	Edit topic

Not documented

Pascal

procedure InitValues(AMin: Integer; AMax: Integer; AInterval: Integer; APosition: Integer; const ACaption: string; const AText: string);

Parameters

AMin: Integer

Not documented

AMax: Integer

Not documented

AInterval: Integer

Not documented

APosition: Integer

Not documented

const ACaption: string

Not documented

const AText: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProgressDialog.Show method

TJvProgressDialog	See Also	Edit topic

Displays the dialog non-modally.

Pascal

procedure Show;

Description

Call Show when you want to display the dialog non-modally. Depending on your needs, you might want to show the dialog either modally or non-modally. To display the dialog modally, call ShowModal instead.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.OnClose, TJvProgressDialog.OnShow, TJvProgressDialog.ShowModal


TJvProgressDialog.ShowModal method

TJvProgressDialog	See Also	Edit topic

Displays the dialog modally.

Pascal

function ShowModal: Integer;

Return Value

Returns false if the user canceled the dialog, true otherwise. Users can only cancel the dialog if the ShowCancel property is true.

Description

Call ShowModal when you want to display the dialog modally. When a dialog is displayed modally, you cannot interact with it directly. To update the properties of the dialog, create an event handler for the OnProgress event and perform any necessary updates within it. For example, you can change Min, Max or Position to update the progress bar, Text and Caption to update the visual cues or Image to create a simulation of an animation.

Use ShowModal when the process is performed in its own thread or when the process is suitable to be performed in short intervals (like attempting to connect to a service). If the process is time-intensive and executed within the main thread, consider using Show instead.

Created with Doc-O-Matic.


See Also

TJvProgressDialog.Caption, TJvProgressDialog.Image, TJvProgressDialog.Max, TJvProgressDialog.Min, TJvProgressDialog.Position, TJvProgressDialog.Show, TJvProgressDialog.Text


TJvProviderNotification
JEDI-VCL Reference

TJvProviderNotification

Hierarchy	Properties	Methods	Events	 Edit topic

Not documented

Pascal

TJvProviderNotification = class(TObject, IUnknown, IJvDataProviderNotify);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProviderNotification Events

TJvProviderNotification

Events

OnChanged

OnChanging

Created with Doc-O-Matic.


TJvProviderNotification Properties

TJvProviderNotification

Properties

Provider

Created with Doc-O-Matic.


TJvProviderNotification Methods

TJvProviderNotification	Legend

Methods

 _AddRef

 _Release

 Consumer

 DataProviderChanged

 DataProviderChanging

 QueryInterface

 SetProvider

IJvDataProviderNotify

Consumer

DataProviderChanged

DataProviderChanging

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvProviderNotification

Legend

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TObject, IUnknown, IJvDataProviderNotify
            TJvProviderNotification


TJvProviderNotification Members

TJvProviderNotification	Legend

Members

Events

OnChanged

OnChanging

Properties

Provider

Methods

 _AddRef

 _Release

 Consumer

 DataProviderChanged

 DataProviderChanging

 QueryInterface

 SetProvider

IJvDataProviderNotify

Consumer

DataProviderChanged

DataProviderChanging

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvProviderNotification.OnChanged event

TJvProviderNotification	Edit topic

Not documented

Pascal

property OnChanged: TProviderNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProviderNotification.OnChanging event

TJvProviderNotification	Edit topic

Not documented

Pascal

property OnChanging: TProviderNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProviderNotification.Provider property

TJvProviderNotification	Edit topic

Not documented

Pascal

property Provider: IJvDataProvider;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProviderNotification._AddRef method

TJvProviderNotification	Edit topic

Not documented

Pascal

function _AddRef: Integer; virtual; stdcall;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvProviderNotification._Release method

TJvProviderNotification	Edit topic

Not documented

Pascal

function _Release: Integer; virtual; stdcall;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvProviderNotification.Consumer method

TJvProviderNotification	Edit topic

Not documented

Pascal

function Consumer: IJvDataConsumer;

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvProviderNotification.DataProviderChanged method

TJvProviderNotification	Edit topic

Not documented

Pascal

procedure DataProviderChanged(const ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

const ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvProviderNotification.DataProviderChanging method

TJvProviderNotification	Edit topic

Not documented

Pascal

procedure DataProviderChanging(const ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

const ADataProvider: IJvDataProvider

Not documented

AReason: TDataProviderChangeReason

Not documented

Source: IUnknown

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvProviderNotification.QueryInterface method

TJvProviderNotification	Edit topic

Not documented

Pascal

function QueryInterface(const IID: TGUID; out Obj): HRESULT; virtual; stdcall;

Parameters

const IID: TGUID

Not documented

out Obj

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvProviderNotification.SetProvider method

TJvProviderNotification	Edit topic

Not documented

Pascal

procedure SetProvider(Value: IJvDataProvider);

Parameters

Value: IJvDataProvider

Not documented

Description

This is a protected member, you don't have to describe these

Created with Doc-O-Matic.


TJvProxyingUrlGrabber
JEDI-VCL Reference

TJvProxyingUrlGrabber

Hierarchy	Properties	Methods	Events	 Edit topic

Not documented

Pascal

TJvProxyingUrlGrabber = class(TJvCustomUrlGrabber);

File

JvUrlGrabbers

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabber Properties

TJvProxyingUrlGrabber	Legend

Properties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvProxyingUrlGrabber Events

TJvProxyingUrlGrabber

Events

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Created with Doc-O-Matic.


TJvProxyingUrlGrabber Methods

TJvProxyingUrlGrabber	Legend

Methods

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvProxyingUrlGrabber

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomUrlGrabber
            TJvProxyingUrlGrabber


TJvProxyingUrlGrabber Members

TJvProxyingUrlGrabber	Legend

Members

Properties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabber

Agent

 BytesRead

FileName

Id

OutputMode

Password

Port

 Size

 Status

 Stream

Url

 UrlGrabberThread

UserName

TJvComponent

 AboutJVCL

Events

TJvCustomUrlGrabber

OnClosingConnection

OnConnectedToServer

OnConnectingToServer

OnConnectionClosed

OnDoneFile

OnDoneStream

OnError

OnNameResolved

OnProgress

OnReceivingResponse

OnRedirect

OnRequestComplete

OnRequestSent

OnResolvingName

OnResponseReceived

OnSendingRequest

OnStatusChange

Methods

TJvCustomUrlGrabber

 CanGrab

 GetDefaultPropertiesClass

 GetSupportedProtocolMarker

 GetSupportedURLName

 ParseUrl

 Start

 Stop

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvProxyingUrlGrabber.ProxyAddresses property

TJvProxyingUrlGrabber	Edit topic

Not documented

Pascal

property ProxyAddresses: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabber.ProxyIgnoreList property

TJvProxyingUrlGrabber	Edit topic

Not documented

Pascal

property ProxyIgnoreList: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabber.ProxyMode property

TJvProxyingUrlGrabber	Edit topic

Not documented

Pascal

property ProxyMode: TJvProxyMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabber.ProxyPassword property

TJvProxyingUrlGrabber	Edit topic

Not documented

Pascal

property ProxyPassword: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabber.ProxyUserName property

TJvProxyingUrlGrabber	Edit topic

Not documented

Pascal

property ProxyUserName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabberDefaultProperties
JEDI-VCL Reference

TJvProxyingUrlGrabberDefaultProperties

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvProxyingUrlGrabberDefaultProperties = class(TJvCustomUrlGrabberDefaultProperties);

File

JvUrlGrabbers

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabberDefaultProperties Properties

TJvProxyingUrlGrabberDefaultProperties	Legend

Properties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


Legend

TJvProxyingUrlGrabberDefaultProperties

Legend

protected

read only

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvCustomUrlGrabberDefaultProperties
        TJvProxyingUrlGrabberDefaultProperties


TJvProxyingUrlGrabberDefaultProperties Members

TJvProxyingUrlGrabberDefaultProperties	Legend

Members

Properties

 ProxyAddresses

 ProxyIgnoreList

 ProxyMode

 ProxyPassword

 ProxyUserName

TJvCustomUrlGrabberDefaultProperties

 Agent

 EditorTrick

 FileName

 OutputMode

 Password

 Port

 SupportedURLName

 UserName

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvProxyingUrlGrabberDefaultProperties.ProxyAddresses property

TJvProxyingUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyAddresses: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabberDefaultProperties.ProxyIgnoreList property

TJvProxyingUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyIgnoreList: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabberDefaultProperties.ProxyMode property

TJvProxyingUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyMode: TJvProxyMode;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabberDefaultProperties.ProxyPassword property

TJvProxyingUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyPassword: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProxyingUrlGrabberDefaultProperties.ProxyUserName property

TJvProxyingUrlGrabberDefaultProperties	Edit topic

Not documented

Pascal

property ProxyUserName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRadioGroup
JEDI-VCL Reference

 TJvRadioGroup

Hierarchy	Properties	Events	Package	 Edit topic

A radio group with enhancements.

Pascal

TJvRadioGroup = class(TJvExRadioGroup, IJvDenySubClassing);

File

JvRadioGroup

Description

Use TJvRadioGroup when you need a radio group with some extended capabilities. TJvRadioGroup derives from TRadioGroup but adds the following enhancements: CaptionVisible, HintColor, EdgeBorders, EdgeInner, EdgeOuter, ReadOnly, OnMouseEnter, OnMouseLeave, OnItemHint and OnParentColorChanged.

Created with Doc-O-Matic.


TJvRadioGroup Properties

TJvRadioGroup	Legend

Properties

 CaptionVisible

 EdgeBorders

 EdgeInner

 EdgeOuter

 HintColor

 ParentBackground

 ReadOnly

TJvExRadioGroup

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvRadioGroup Events

TJvRadioGroup	Legend

Events

 OnItemHint

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExRadioGroup

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvRadioGroup

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TRadioGroup, IJvExControl
        TJvExRadioGroup, IJvDenySubClassing
                TJvRadioGroup


TJvRadioGroup Members

TJvRadioGroup	Legend

Members

Properties

 CaptionVisible

 EdgeBorders

 EdgeInner

 EdgeOuter

 HintColor

 ParentBackground

 ReadOnly

TJvExRadioGroup

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnItemHint

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExRadioGroup

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvRadioGroup.CaptionVisible property

TJvRadioGroup	See Also	Edit topic

Determines whether the caption is visible or not.

Pascal

property CaptionVisible: Boolean;

Description

Set CaptionVisible to false to not draw the Caption even if it contains text. You can use the effects of the EdgeBorders, EdgeInner and EdgeOuter properties to control in detail how the caption and borders of the control are drawn.

Created with Doc-O-Matic.


See Also

TJvRadioGroup.EdgeBorders


TJvRadioGroup.EdgeBorders property

TJvRadioGroup	See Also	Edit topic

Determines which sides of the control have visible borders.

Pascal

property EdgeBorders: TEdgeBorders;

Description

Use the EdgeBorders property to add or remove borders. The appearance of the borders can be set with the EdgeInner and EdgeOuter properties.

Created with Doc-O-Matic.


See Also

TJvRadioGroup.EdgeInner, TJvRadioGroup.EdgeOuter


TJvRadioGroup.EdgeInner property

TJvRadioGroup	See Also	Edit topic

Determines the border style for the control’s inner edge.

Pascal

property EdgeInner: TEdgeStyle;

Description

Use EdgeInner to provide the control with a three-dimensional beveled look. A control has two borders on each side, an outer border drawn next to the outer edge, and an inner border drawn inside the outer border. EdgeInner specifies the appearance of the inner border. It can be raised (esRaised), lowered (esLowered), or left off altogether (esNone).

Use EdgeInner with EdgeOuter to give the component a three-dimensional look.

Notes

The EdgeInner property has an effect only on the sides specified by the EdgeBorders property.

Created with Doc-O-Matic.


See Also

TJvRadioGroup.EdgeBorders, TJvRadioGroup.EdgeOuter


TJvRadioGroup.EdgeOuter property

TJvRadioGroup	See Also	Edit topic

Determines the border style for the control’s outer edge.

Pascal

property EdgeOuter: TEdgeStyle;

Description

Use EdgeOuter to provide the control with a three-dimensional beveled look. A control has two borders on each side, an outer border drawn next to the outer edge, and an inner border drawn inside the outer border. EdgeOuter specifies the appearance of the outer border. It can be raised (esRaised), lowered (esLowered), or left off altogether (esNone).

Use EdgeOuter with EdgeInner to give the component a three-dimensional look.

Notes

The EdgeInner property has an effect only on the sides specified by the EdgeBorders property.

Created with Doc-O-Matic.


See Also

TJvRadioGroup.EdgeBorders, TJvRadioGroup.EdgeInner


TJvRadioGroup.HintColor property

TJvRadioGroup	See Also	Edit topic

Determines the color of the hint boxes for the Help Hints for the .

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


See Also

HotTrack


TJvRadioGroup.OnItemHint event

TJvRadioGroup	Edit topic

Occurs when a hint should be displayed for a radio button item.

Pascal

TJvRadioGroupHintEvent = procedure (Sender: TObject; Index: Integer; var AHint: TCaption) of object;
property OnItemHint: TJvRadioGroupHintEvent;

Parameters

AHint

Specifies the hint to display. This defaults to the control's own hint.

Index

Specifies the 0-based index of the item to provide a hint for.

Sender

The control that triggered the event.

Description

Write a handler for OnItemHint when you want to provide individual hints for the radio buttons in the group.

Created with Doc-O-Matic.


TJvRadioGroup.OnMouseEnter event

TJvRadioGroup	See Also	Edit topic

Occurs when the mouse pointer moves over the radio group.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the radio group.

Created with Doc-O-Matic.


See Also

TJvExRadioGroup.OnMouseLeave


TJvRadioGroup.OnMouseLeave event

TJvRadioGroup	See Also	Edit topic

Occurs when the mouse pointer moves off the radio group.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the radio group. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExRadioGroup.OnMouseEnter


TJvRadioGroup.OnParentColorChange event

TJvRadioGroup	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvRadioGroup.ParentBackground property

TJvRadioGroup	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRadioGroup.ReadOnly property

TJvRadioGroup	See Also	Edit topic

Determines whether the user can change the checked item or not.

Pascal

property ReadOnly: Boolean;

Description

Set ReadOnly to true to prevent the user from changing the checked item in the group.

Created with Doc-O-Matic.


See Also

Enabled


TJvRangeValidator
JEDI-VCL Reference

TJvRangeValidator

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Can validate a range of values.

Pascal

TJvRangeValidator = class(TJvBaseValidator);

File

JvValidators

Description

Use TJvRangeValidator when you need to determine if a value is within a specific range.

Created with Doc-O-Matic.


TJvRangeValidator Properties

TJvRangeValidator	Legend

Properties

 MaximumValue

 MinimumValue

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvRangeValidator Events

TJvRangeValidator	Legend

Events

TJvBaseValidator

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRangeValidator Methods

TJvRangeValidator

Methods

TJvBaseValidator

RegisterBaseValidator

Created with Doc-O-Matic.


Legend

TJvRangeValidator

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBaseValidator
            TJvRangeValidator


TJvRangeValidator Members

TJvRangeValidator	Legend

Members

Properties

 MaximumValue

 MinimumValue

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Events

TJvBaseValidator

 OnValidateFailed

Methods

TJvBaseValidator

RegisterBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvCompareValidator, TJvCustomValidator, TJvRegularExpressionValidator, TJvRequiredFieldValidator


TJvRangeValidator.MaximumValue property

TJvRangeValidator	See Also	Edit topic

The maximum allowed value.

Pascal

property MaximumValue: Variant;

Description

Set MaximumValue to define the upper bound (inclusive) of the allowable range of values. If MaximumValue is less than MinimumValue, the validation will always fail. If MinimumValue and MaximumValue have the same value, validation will only succeed for that value.

Created with Doc-O-Matic.


See Also

TJvRangeValidator.MinimumValue


TJvRangeValidator.MinimumValue property

TJvRangeValidator	See Also	Edit topic

The minimum allowable value.

Pascal

property MinimumValue: Variant;

Description

Set MinimumValue to define the lower bound (inclusive) of the allowable range of values. If MinimumValue is larger than MaximumValue, the validation will always fail. If MinimumValue and MaximumValue have the same value, validation will only succeed for that value.

Created with Doc-O-Matic.


See Also

TJvRangeValidator.MaximumValue


TJvReadOnlyInfo
JEDI-VCL Reference

TJvReadOnlyInfo

Hierarchy	 Edit topic

Not documented

Pascal

TJvReadOnlyInfo = class(TPersistent);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo


TJvRegistryTreeView
JEDI-VCL Reference

 TJvRegistryTreeView

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Treeview that displays the hives and subnodes of the registry.

Pascal

TJvRegistryTreeView = class(TJvCustomTreeView);

File

JvRegistryTreeview

Description

Use a TJvRegistryTreeview as a simple way of displaying the content of the registry with no coding necessary.

Created with Doc-O-Matic.


TJvRegistryTreeView Properties

TJvRegistryTreeView	Legend

Properties

 CurrentKey

 CurrentPath

 DefaultCaption

 DefaultNoValueCaption

Items

 ListView

 RegistryKeys

 RootCaption

 ShortPath

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvRegistryTreeView Methods

TJvRegistryTreeView

Methods

AddBinaryValue

AddDWORDValue

AddKey

AddStringValue

LoadKey

RefreshNode

SaveKey

Created with Doc-O-Matic.


TJvRegistryTreeView Events

TJvRegistryTreeView	Legend

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvRegistryTreeView

Legend

read only

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomTreeView
                TJvRegistryTreeView


TJvRegistryTreeView Members

TJvRegistryTreeView	Legend

Members

Properties

 CurrentKey

 CurrentPath

 DefaultCaption

 DefaultNoValueCaption

Items

 ListView

 RegistryKeys

 RootCaption

 ShortPath

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Methods

AddBinaryValue

AddDWORDValue

AddKey

AddStringValue

LoadKey

RefreshNode

SaveKey

Events

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


Package

Ctrls


TJvRegistryTreeView.CurrentKey property

TJvRegistryTreeView	See Also	Edit topic

Specifies the currently select key (node) in the treeview.

Pascal

property CurrentKey: HKEY;

Description

Read CurrentKey to access the HKEY value of the currently selected key. You can use the returned value as a parameter to Windows API functions that expect a HKEY as parameter.

Created with Doc-O-Matic.


See Also

TJvRegistryTreeView.CurrentPath, TJvRegistryTreeView.ShortPath


TJvRegistryTreeView.CurrentPath property

TJvRegistryTreeView	See Also	Edit topic

Specifies the path to the currently selected key including the "My Computer" root item.

Pascal

property CurrentPath: string;

Description

Read CurrentPath to get the full path to the currently selected node in the tree, including the text on the "My Computer" root item. Nodes are delimited by '\' characters.

Created with Doc-O-Matic.


See Also

TJvRegistryTreeView.CurrentKey, TJvRegistryTreeView.RootCaption, TJvRegistryTreeView.ShortPath


TJvRegistryTreeView.DefaultCaption property

TJvRegistryTreeView	See Also	Edit topic

Specifies the caption for items with empty names (default items) when displayed in the ListView.

Pascal

property DefaultCaption: string;

Description

Use DefaultCaption to change the text displayed in the ListView when an item doesn't have a name of its own. Registry keys always have one, unnamed, item and this property is used to set a display name for it.

Created with Doc-O-Matic.


See Also

TJvRegistryTreeView.DefaultNoValueCaption


TJvRegistryTreeView.DefaultNoValueCaption property

TJvRegistryTreeView	See Also	Edit topic

Specifies the text to display when an unnamed item doesn't have a value.

Pascal

property DefaultNoValueCaption: string;

Description

Use DefaultNoValueCaption to set the text to display in ListView when an unnamed item doesn't have a value. This string is only used when the value of the unnamed item is empty.

Created with Doc-O-Matic.


See Also

TJvRegistryTreeView.DefaultCaption


TJvRegistryTreeView.Items property

TJvRegistryTreeView	See Also	Edit topic

Lists the individual nodes that appear in the tree view control.

Pascal

property Items;

Description

Individual nodes in a tree view are TTreeNode objects. These individual nodes can be accessed by using the Items property along with the item's index into the tree view. The Items property if this component should be considered as read-only although you can add new nodes in code.

Notes

Adding new nodes using Items, will not affect the registry. To add new keys and values to the registry use the functions provided specifically by the TJvRegistryTreeview.

Created with Doc-O-Matic.


See Also

AddKey , AddBinaryValue , AddDWORDValue , AddStringValue


TJvRegistryTreeView.ListView property

TJvRegistryTreeView	See Also	Edit topic

Specifies a listview used to display the content of the selected node.

Pascal

property ListView: TCustomListView;

Description

Assign a listview to the ListView property to have it automatically populated when the selected node in the treeview changes. If you display the items in report mode, add columns to the listview with the following names: "Name", "Value", "Type". The "Type" column doesn't have to be added if you don't want to display the data type for items. If the listview is assigned, some items are given the text values specified by DefaultCaption and DefaultNoValueCaption.

Created with Doc-O-Matic.


See Also

TJvRegistryTreeView.DefaultCaption, TJvRegistryTreeView.DefaultNoValueCaption


TJvRegistryTreeView.RegistryKeys property

TJvRegistryTreeView	Edit topic

Specifies the registry keys ("hives") to display in the tree.

Pascal

property RegistryKeys: TJvRegKeys;

Description

Set RegistryKeys to define what nodes are displayed in the treeview. If RegistryKeys is set to [], nothing will be displayed. The default is to display HKEY_LOCAL_MACHINE and HKEY_LOCAL_USER.

Notes

Not all available values are available on all versions of Windows. If a specific hive is not found, it is silently skipped.

Created with Doc-O-Matic.


TJvRegistryTreeView.RootCaption property

TJvRegistryTreeView	Edit topic

Specifies the text to display for the root item in the treeview.

Pascal

property RootCaption: string;

Description

The root of the treeview displays a "My Computer" icon. This node is not an actual node in the registry but is provided to emulate the way the regedit.exe application displays the registry. Use RootCaption to change the text displayed for this node. By default, the text is set to "My Computer".

Created with Doc-O-Matic.


TJvRegistryTreeView.ShortPath property

TJvRegistryTreeView	See Also	Edit topic

Returns the path to the current node without including the "My Computer" root node.

Pascal

property ShortPath: string;

Description

Use ShortPath when you need to retrieve a path string to the currently selected node. ShortPath is just like CurrentPath but does not include the value of the "My Computer" item in the string.

Created with Doc-O-Matic.


See Also

TJvRegistryTreeView.CurrentPath


TJvRegistryTreeView.AddBinaryValue method

TJvRegistryTreeView	See Also	Edit topic

Adds a binary value at the specified location.

Pascal

function AddBinaryValue(ParentNode: TTreeNode; const Name: string; var Buf; BufSize: Integer): TTreeNode;

Return Value

Returns the newly created node or nil if no node was created.

Parameters

ParentNode: TTreeNode

The node that should contain the new value.

const Name: string

The name of the new value.

var Buf

The data to save.

BufSize: Integer

The size of the data.

Description

Use AddBinaryValue to add a new binary value to the specified key.

Created with Doc-O-Matic.


See Also

AddDWORDValue , AddStringValue , AddKey


TJvRegistryTreeView.AddDWORDValue method

TJvRegistryTreeView	See Also	Edit topic

Adds a DWORD value at the specified location.

Pascal

function AddDWORDValue(ParentNode: TTreeNode; const Name: string; Value: DWORD): TTreeNode;

Return Value

Returns the newly created node or nil if no node was created.

Parameters

ParentNode: TTreeNode

The node that should contain the new value.

const Name: string

The name of the new or existing value.

Value: DWORD

The value.

Description

Use AddDWORDValue to add a new or update an existing DWORD value in the specified key.

Created with Doc-O-Matic.


See Also

AddBinaryValue , AddStringValue , AddKey


TJvRegistryTreeView.AddKey method

TJvRegistryTreeView	See Also	Edit topic

Adds a new key at the specified location.

Pascal

function AddKey(ParentNode: TTreeNode; const KeyName: string): TTreeNode;

Return Value

Returns the newly created node or nil if no node was created.

Parameters

ParentNode: TTreeNode

The parent of the new key.

const KeyName: string

The name of the key to create.

Description

Use AddKey to add a new key to the registry. The key is added as the child of the specified node.

Created with Doc-O-Matic.


See Also

AddBinaryValue , AddDWORDValue , AddStringValue


TJvRegistryTreeView.AddStringValue method

TJvRegistryTreeView	See Also	Edit topic

Adds a string value at the specified location.

Pascal

function AddStringValue(ParentNode: TTreeNode; const Name: string; const Value: string): TTreeNode;

Return Value

Returns the newly created node or nil if no node was created.

Parameters

ParentNode: TTreeNode

The node that should contain the new value.

const Name: string

The name of the value.

const Value: string

The value.

Description

Use AddStringValue to add a new or update an existing string value in the specified key.

Created with Doc-O-Matic.


See Also

AddBinaryValue , AddDWORDValue , AddKey


TJvRegistryTreeView.LoadKey method

TJvRegistryTreeView	See Also	Edit topic

Creates a subkey under the root key and loads registry information from a file into the newly created subkey.

Pascal

function LoadKey(const Filename: string): Boolean;

Return Value

Returns true if the data was successfully loaded.

Parameters

const Filename: string

The location of the file containing registry information to store in the subkey. The file specified by FileName must be one previously created using the SaveKey function or the RegSaveKey Windows API function. On systems that use a file allocation table (FAT), FileName cannot include an extension.

Description

Call LoadKey to:

1.	Create a new subkey under the root key, and

2.	Load registry information from a file into the subkey.

Registry information can include data values, subkeys, and data values for those subkeys.

LoadKey is intended to simplify creation of a key, its values and subkeys, and the values for those subkeys in a single operation. A key, its subkeys, and all data values of the key and its subkeys is called a hive. Rather than creating each key and value separately, an application can read a hive from a file. This is especially useful for applications that users can reconfigure at run time.

Notes

The key to load data into is determined by the CurrentKey property.

Created with Doc-O-Matic.


See Also

SaveKey


TJvRegistryTreeView.RefreshNode method

TJvRegistryTreeView	Edit topic

Updates the node's data.

Pascal

procedure RefreshNode(Node: TTreeNode);

Parameters

Node: TTreeNode

The node to refresh

Description

Call RefreshNode to refresh the display for the selected node. To reread all data from the registry, set Node to nil. Calling RefreshNode will:

1.	Delete the subnodes in the treeview, and

2.	Reread all the data from the registry again

Created with Doc-O-Matic.


TJvRegistryTreeView.SaveKey method

TJvRegistryTreeView	See Also	Edit topic

Opens the specified key with the security access value KEY_ALL_ACCESS and saves the specified key and all of its subkeys and values to a hive file.

Pascal

function SaveKey(const Filename: string): Boolean;

Return Value

If SaveKey is successful it returns True.

Parameters

const Filename: string

the file into which to save the key information. It must be the name of a new file that does not already exist. On FAT file systems FileName cannot include an extension.

Description

Call SaveKey to open a key with a security access value of KEY_ALL_ACCESS, and save the key and its subkeys and data values to a hive file. A hive is a discrete collection of keys, subkeys, and values that is rooted at the top of the registry hierarchy.

The key to save is read from the CurrentKey property.

Files created by SaveKey can be passed to the LoadKey function.

Created with Doc-O-Matic.


See Also

LoadKey


TJvRegularExpressionValidator
JEDI-VCL Reference

TJvRegularExpressionValidator

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Can perform validation based on regular expressions.

Pascal

TJvRegularExpressionValidator = class(TJvBaseValidator);

File

JvValidators

Description

Use TJvRegularExpressionValidator when you need to validate complex strings containing regular expression strings.

Created with Doc-O-Matic.


TJvRegularExpressionValidator Properties

TJvRegularExpressionValidator	Legend

Properties

 ValidationExpression

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvRegularExpressionValidator Events

TJvRegularExpressionValidator	Legend

Events

TJvBaseValidator

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRegularExpressionValidator Methods

TJvRegularExpressionValidator

Methods

TJvBaseValidator

RegisterBaseValidator

Created with Doc-O-Matic.


Legend

TJvRegularExpressionValidator

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBaseValidator
            TJvRegularExpressionValidator


TJvRegularExpressionValidator Members

TJvRegularExpressionValidator	Legend

Members

Properties

 ValidationExpression

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Events

TJvBaseValidator

 OnValidateFailed

Methods

TJvBaseValidator

RegisterBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvCompareValidator, TJvCustomValidator, TJvRangeValidator, TJvRequiredFieldValidator


TJvRegularExpressionValidator.ValidationExpression property

TJvRegularExpressionValidator	Edit topic

The expression to validate.

Pascal

property ValidationExpression: string;

Description

Set ValidationExpression to the regular expression that PropertyToValidate must match.

Created with Doc-O-Matic.


TJvRenameError
JEDI-VCL Reference

 TJvRenameError

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a dialog box for errors encountered when renaming a file.

Pascal

TJvRenameError = class(TJvCommonDialogD);

File

JvRenameError

Description

This component is used to display a dialog box encountered when renaming a file during a setup routine. It is a wrapper for the SetupRenameError API call.

Created with Doc-O-Matic.


TJvRenameError Properties

TJvRenameError	Legend

Properties

 DestFile

 SourceFile

 Style

 Win32ErrorCode

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRenameError Methods

TJvRenameError	Legend

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Legend

TJvRenameError

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogD
            TJvRenameError


TJvRenameError Members

TJvRenameError	Legend

Members

Properties

 DestFile

 SourceFile

 Style

 Win32ErrorCode

TJvCommonDialogD

OwnerWindow

 Title

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogD

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvRenameError.DestFile property

TJvRenameError	See Also	Edit topic

The target filename for the rename operation.

Pascal

property DestFile: string;

Description

This property contains the destination filename of the rename operation.

Created with Doc-O-Matic.


See Also

TJvRenameError.SourceFile, TJvRenameError.Win32ErrorCode


TJvRenameError.SourceFile property

TJvRenameError	See Also	Edit topic

The original filename for the rename operation.

Pascal

property SourceFile: string;

Description

This property contains the original filename of the rename operation.

Created with Doc-O-Matic.


See Also

TJvRenameError.DestFile, TJvRenameError.Win32ErrorCode


TJvRenameError.Style property

TJvRenameError	Edit topic

Flags used for modifying the dialog box.

Pascal

property Style: TJvDeleteStyles;

Description

These flags modify how the dialog box is presented to the user.

Created with Doc-O-Matic.


TJvRenameError.Win32ErrorCode property

TJvRenameError	See Also	Edit topic

Error code listed in the dialog box.

Pascal

property Win32ErrorCode: Integer;

Description

This property contains the Windows error code that occurred for presentation to and interpretation for the user.

Created with Doc-O-Matic.


See Also

TJvRenameError.DestFile, TJvRenameError.SourceFile


TJvRenameError.Execute method

TJvRenameError	Edit topic

Shows the dialog box.

Pascal

function Execute: TJvDiskRes; override;

Return Value

This method returns dsSuccess if the operation succeeded, dsCancel if the user pressed "Cancel", dsSkipFile if the user pressed "Skip File", and dsError if an error occurred.

Description

This method shows the SetupRenameError dialog box.

Created with Doc-O-Matic.


TJvRequiredFieldValidator
JEDI-VCL Reference

TJvRequiredFieldValidator

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Can validate if a value is empty or not.

Pascal

TJvRequiredFieldValidator = class(TJvBaseValidator);

File

JvValidators

Description

Use a TJvRequiredFieldValidator when you need to validate if a property has a value or not.

Created with Doc-O-Matic.


TJvRequiredFieldValidator Properties

TJvRequiredFieldValidator	Legend

Properties

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvRequiredFieldValidator Events

TJvRequiredFieldValidator	Legend

Events

TJvBaseValidator

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRequiredFieldValidator Methods

TJvRequiredFieldValidator

Methods

TJvBaseValidator

RegisterBaseValidator

Created with Doc-O-Matic.


Legend

TJvRequiredFieldValidator

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvBaseValidator
            TJvRequiredFieldValidator


TJvRequiredFieldValidator Members

TJvRequiredFieldValidator	Legend

Members

Properties

TJvBaseValidator

 ControlToValidate

 Enabled

 ErrorMessage

 PropertyToValidate

 Valid

 Value

TJvComponent

 AboutJVCL

Events

TJvBaseValidator

 OnValidateFailed

Methods

TJvBaseValidator

RegisterBaseValidator

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvCompareValidator, TJvCustomValidator, TJvRangeValidator, TJvRegularExpressionValidator


TJvRichEdit
JEDI-VCL Reference

 TJvRichEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Wrapper for the v2.0 or v3.0 Windows rich text edit control.

Pascal

TJvRichEdit = class(TJvCustomRichEdit);

File

JvRichEdit

Description

A rich edit control is a window in which the user can enter, edit, format, print, and save text. The text can be assigned character and paragraph formatting, and can include embedded Component Object Model (COM) objects. Rich edit controls support almost all of the messages and notification messages used with multiline edit controls.

Rich Edit Version 2.0

Rich Edit 2.0 includes the following features in addition to the features provided by Rich Edit version 1.0.
Feature	Description
Find Up/Find Down support	Searching forward and backward is supported, see function FindText and the TRichSearchTypes type.
Bidirectional support	This is included in Rich Edit 2.1
Multilevel undo	An extensible Undo architecture allows client to participate in application-wide Undo model. See Undo, CanUndo etc.
Automatic URL recognition	Can check for a number of URL formats (For example, http:), see property AutoURLDetect
Plain-text as well as rich-text functionality	Single-character format and single-paragraph format.
Windowless operation and interfaces	This is provided through the ITextHost and ITextServices interfaces. (TODO)
COM dual interfaces	Text Object Model (TOM) interfaces. (TODO)
CHARFORMAT2	Added font weight, background color, locale identifier, underline type, superscript and subscript (in addition to Offset), disabled effect. For RTF roundtripping only, added amount to space between letters, twip size above which to kern character pair, animated-text type, various effects: font shadow/outline, all caps, small caps, hidden, embossed, imprint, and revised. See TJvTextAttributes.
PARAFORMAT2	Added space before and after and Word line spacing. For RTF roundtripping only, added shading weight/style, numbering start/style/tab, border space/width/sides, tab alignment/leaders, various Word paragraph effects: RTL paragraph, keep, keep-next, page-break-before, no-line-number, no-widow-control, do-not-hyphenate, side-by-side, see TJvParaAttributes.

With a few exceptions, Rich Edit 2.0 uses the same functions, structures, and properties as Rich Edit 1.0 (supported by the standard TRichEdit control). But note the following differences:
Property	Description
AutoURLDetect	Enables or disables automatic URL detection.
CanRedo	Determines whether there are any actions in the redo queue.
LangOptions	Retrieves or sets options for IME and Asian language support.
RedoName	Retrieves the type name of the next action in the redo queue.
UndoName	Retrieves the type name of the next action in the undo queue.
Redo	Redoes the next action in the redo queue.
UndoLimit	Sets the maximum number of actions in the undo queue.
StopGroupTyping	Stops grouping consecutive typing actions into the current undo action.
Class	Description
TJvTextAttributes	Wrapper for CHARFORMAT2, contains information about character formatting.
TJvParaAttributes	Wrapper for PARAFORMAT2, contains information about paragraph formatting.

Wrappers for messages:
Function	Description
GetCharPos	Retrieves the client area coordinates of a specified character in a rich edit control.
GetLineIndex	Retrieves the character index of the first character of a specific line.
GetLineLength	Retrieves the length, in characters, of a specific line.
GetSelection	Retrieves the starting and ending character positions of the selection.
GetTextRange	Retrieves a specified range of characters from a rich edit control.
SetSelection	Selects a range of characters and/or Component Object Model (COM) objects in the rich edit control.

Rich Edit Version 3.0

Rich Edit 3.0 includes the following features in addition to the features provided by Rich Edit
Feature	Description
Zoom	The zoom factor is given by a ratio, see property Zoom.
Paragraph numbering (single-level)	Numeric, upper and lower alphabetic, or Roman numeral, see property Numbering of TJvParaAttributes.
Normal and heading styles	Built-in normal style and heading styles 1 through 9 are supported, see property HeadingStyle of TJvParaAttributes.
More underline types	Dashed, dash-dot, dash-dot-dot, and dot underlining has been added, see property UnderlineType.
Underline coloring	Underlined text can be tagged with one of 15 document choices for underline colors, see property UnderlineColor.
Hidden text	See property Hidden of TJvTextAttributes.
Increased undo control	Undo can be suspended and resumed (an IME requirement). (TODO)
Created with Doc-O-Matic.


TJvRichEdit Properties

TJvRichEdit	Legend

Properties

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 ClipboardCommands

 ForceUndo

 HideScrollBars

 HideSelection

 HintColor

 LangOptions

 Lines

 OLEDragDrop

 PlainText

 SelectionBar

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UseFixedPopup

 WordSelection

 Zoom

TJvCustomRichEdit

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 CanFindNext

 CanPaste

 CanRedo

DefAttributes

DefaultConverter

 ForceUndo

 HideScrollBars

 HideSelection

 LangOptions

 Lines

 OLEDragDrop

PageRect

 Paragraph

 PlainText

 RedoName

SelAttributes

 SelectionBar

 SelectionType

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UndoName

 UseFixedPopup

WordAttributes

 WordSelection

 Zoom

TJvExCustomMemo

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvRichEdit Events

TJvRichEdit	Legend

Events

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvCustomRichEdit

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvExCustomMemo

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvRichEdit Methods

TJvRichEdit	Legend

Methods

TJvCustomRichEdit

AddFormatText

ClearUndo

CloseActiveObject

Filter

FindDialog

FindNext

FindText

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetTextRange

InsertFormatText

InsertGraphic

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

 Print

Redo

RegisterConversionFormat

RegisterMSTextConverters

ReplaceDialog

SaveToImage

SetSelection

StopGroupTyping

WordAtCursor

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvRichEdit

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomMemo, IJvExControl
        TJvExCustomMemo
            TJvCustomRichEdit
                TJvRichEdit


TJvRichEdit Members

TJvRichEdit	Legend

Members

Properties

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 ClipboardCommands

 ForceUndo

 HideScrollBars

 HideSelection

 HintColor

 LangOptions

 Lines

 OLEDragDrop

 PlainText

 SelectionBar

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UseFixedPopup

 WordSelection

 Zoom

TJvCustomRichEdit

 AdvancedTypography

 AllowInPlace

 AllowObjects

 AutoAdvancedTypography

 AutoURLDetect

 AutoVerbMenu

 CanFindNext

 CanPaste

 CanRedo

DefAttributes

DefaultConverter

 ForceUndo

 HideScrollBars

 HideSelection

 LangOptions

 Lines

 OLEDragDrop

PageRect

 Paragraph

 PlainText

 RedoName

SelAttributes

 SelectionBar

 SelectionType

 SelText

 StreamFormat

 StreamMode

 Title

 UndoLimit

 UndoName

 UseFixedPopup

WordAttributes

 WordSelection

 Zoom

TJvExCustomMemo

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvCustomRichEdit

 OnCloseFindDialog

 OnConversionProgress

 OnHorizontalScroll

 OnInPlaceActivate

 OnInPlaceDeactivate

 OnProtectChange

 OnProtectChangeEx

 OnResizeRequest

 OnSaveClipboard

 OnSelectionChange

 OnTextNotFound

 OnURLClick

 OnVerticalScroll

TJvExCustomMemo

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomRichEdit

AddFormatText

ClearUndo

CloseActiveObject

Filter

FindDialog

FindNext

FindText

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetTextRange

InsertFormatText

InsertGraphic

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

 Print

Redo

RegisterConversionFormat

RegisterMSTextConverters

ReplaceDialog

SaveToImage

SetSelection

StopGroupTyping

WordAtCursor

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvRichEdit.AdvancedTypography property

TJvRichEdit	See Also	Edit topic

Specifies whether the advanced typography option for line breaking and display is on.

Pascal

property AdvancedTypography: Boolean;

Description

Rich Edit 3.0 can use an advanced typography option for line breaking and display. This elegant option was added primarily to facilitate handling complex scripts (bidirectional, Indic, and Thai). In addition, a number of improvements occur for simple scripts. Examples are:

Center, right, decimal tabs (See TabLeader and TabAlignment).

Fully justified text (See Alignment).

Underline averaging, which provides a uniform underline even when adjacent text runs have different font sizes.

Notes

RichEdit 3.0

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AutoAdvancedTypography


TJvRichEdit.AllowInPlace property

TJvRichEdit	See Also	Edit topic

Specifies whether to support in-place activation of objects.

Pascal

property AllowInPlace: Boolean;

Description

Set AllowInPlace to true to support in-place activation of objects.

In-place activation allows an object within a container application to be edited without leaving the application. For instance, in a rich edit control's document you might want to open a spreadsheet and a little window opens up allowing you to edit the numerical cells. In-Place Activation bring editing tools into the container instead of having to return to the editor to modify the object.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects


TJvRichEdit.AllowObjects property

TJvRichEdit	See Also	Edit topic

Specifies whether the rich edit control can include embedded COM objects.

Pascal

property AllowObjects: Boolean;

Description

Use AllowObjects to specify whether the rich edit control can include embedded Component Object Model (COM) objects.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowInPlace, TJvCustomRichEdit.Title


TJvRichEdit.AutoAdvancedTypography property

TJvRichEdit	See Also	Edit topic

Specifies whether to automatically turn on AdvancedTypography when needed.

Pascal

property AutoAdvancedTypography: Boolean;

Description

If AutoAdvancedTypography is true, AdvancedTypography is turned on in the following situations:

Property TabAlignment of Paragraph is set to a value other than taOrdinary.

Property TabLeader of Paragraph is set to a value other than tlNone.

Property Alignment of Paragraph is set to paJustify.

Notes

RichEdit 3.0

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AdvancedTypography


TJvRichEdit.AutoURLDetect property

TJvRichEdit	See Also	Edit topic

Specifies whether the auto URL detection is turned on in the rich edit control.

Pascal

property AutoURLDetect: Boolean;

Description

Use AutoURLDetect to turn the auto URL detection on or off in the rich edit control.

When auto URL detection is on, the rich edit control is constantly checking typed text for a valid URL. The control recognizes URLs that start with these prefixes:

http:

file:

mailto:

ftp:

https:

gopher:

nntp:

prospero:

telnet:

news:

wais:

outlook:

The control also recognizes standard path names that start with \.

You can not set the Link property to true of specific text when AutoURLDetect is set to true.

Notes

RichEdit 2.0.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnURLClick


TJvRichEdit.AutoVerbMenu property

TJvRichEdit	See Also	Edit topic

Indicates whether to automatically display a verb menu when the user right-clicks an object.

Pascal

property AutoVerbMenu: Boolean;

Description

Set AutoVerbMenu to true, to automatically display a menu listing the verbs available for an object if the user right-clicks or otherwise invokes a popup menu for that object in the rich edit control.

If the user selects a verb from the popup menu, the rich edit control executes the action associated with that verb.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects


TJvRichEdit.ClipboardCommands property

TJvRichEdit	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvRichEdit.ForceUndo property

TJvRichEdit	See Also	Edit topic

Specifies whether undo should be active for all types of text changes in the control.

Pascal

property ForceUndo: Boolean;

Description

Use ForceUndo to specify whether undo should be activated even for replacements in selection. When ForceUndo is false, changing the text of the control by assigning to the SelText property or by using the built-in text replace functions cannot be undone. Set ForceUndo to true to make undo available in these circumstances.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.ReplaceDialog, TJvCustomRichEdit.SelText


TJvRichEdit.HideScrollBars property

TJvRichEdit	See Also	Edit topic

Specifies whether to hide or disable scroll bars when they are not needed.

Pascal

property HideScrollBars: Boolean;

Description

Set HideScrollBars to true to hide the scroll bars when they are not needed. Set HideScrollBars to false to disable them when they are not needed.

HideScrollBars is default set to true.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideSelection, TJvCustomRichEdit.SelectionBar


TJvRichEdit.HideSelection property

TJvRichEdit	See Also	Edit topic

Specifies whether to hide the selection when the control loses the input focus.

Pascal

property HideSelection: Boolean;

Description

The default behavior of a rich edit control is to hide the selection when the control loses the input focus and to invert the selection when the control receives the input focus.

Set HideSelection to false, to override this default behavior and to keep the selected text inverted, if the control does not have the focus.

HideSelection is default set to true.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideScrollBars, TJvCustomRichEdit.SelectionBar


TJvRichEdit.HintColor property

TJvRichEdit	Edit topic

Determines the color of the hint boxes for the Help Hints for the control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvRichEdit.LangOptions property

TJvRichEdit	Edit topic

Specifies the current language option settings.

Pascal

property LangOptions: TRichLangOptions;

Description

Use LangOptions to retrieve or set the options for Input Method Editor (IME) and Asian language support in the rich edit control.

Property LangOptions controls the following:

Automatic font binding.

Automatic keyboard switching.

Automatic font size adjustment.

Use of user-interface default fonts instead of document default fonts.

Notifications to client during IME composition.

How IME aborts composition mode.

The IMF_AUTOFONT flag is set by default. The IMF_AUTOKEYBOARD and IMF_IMECANCELCOMPLETE flags are clear by default.

Notes

RichEdit 2.0.

Created with Doc-O-Matic.


TJvRichEdit.Lines property

TJvRichEdit	See Also	Edit topic

Contains the individual lines of text in the rich text edit control.

Pascal

property Lines: TStrings;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.SelText


TJvRichEdit.OLEDragDrop property

TJvRichEdit	See Also	Edit topic

Indicates whether to allow OLE drag and drop.

Pascal

property OLEDragDrop: Boolean;

Description

Use OLEDragDrop to specify whether to allow OLE drag and drop.

OLE drag and drop allows the user to drag data (such as text or graphics) from one control or application to another (or the same) control or application.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.InsertGraphic


TJvRichEdit.OnCloseFindDialog event

TJvRichEdit	See Also	Edit topic

Occurs when the Find Text or Replace Text dialog box closes.

Pascal

property OnCloseFindDialog: TRichEditFindCloseEvent;

Parameters

Sender

Rich Edit control that has fired this event.

Dialog

Specifies the Find Text or Replace Text dialog box.

Description

Write an OnCloseFindDialog event handler to perform special processing when the Find Text or Replace Text dialog box closes.

The Find dialog can be displayed by a call to FindDialog. The Replace Text dialog can be displayed by a call to ReplaceDialog.

Example:

  procedure TForm1.JvRichEdit1CloseFindDialog(Sender: TObject; Dialog: TFindDialog);

  begin

    with JvRichEdit1 do

      if CanFocus then

        SetFocus;

  end;

Created with Doc-O-Matic.


See Also

CanFindNext, FindDialog, ReplaceDialog


TJvRichEdit.OnConversionProgress event

TJvRichEdit	Edit topic

Occurs when a rich edit control is importing or exporting.

Pascal

property OnConversionProgress: TRichEditProgressEvent;

Parameters

Sender

Rich Edit control that has fired this event.

PercentDone

PercentDone is an approximation of how much of the operation has completed. Use PercentDone to update the position of a progress bar or other indicator.

Description

For certain descendants of TJvConversion, OnConversionProgress occurs during import or export operations. OnConversionProgress allows applications to provide feedback to the user about the progress of the slow process.

Created with Doc-O-Matic.


TJvRichEdit.OnHorizontalScroll event

TJvRichEdit	See Also	Edit topic

Occurs when the user scrolls the horizontal scroll bar with the mouse or keyboard.

Pascal

property OnHorizontalScroll: TNotifyEvent;

Description

Write an OnHorizontalScroll event handler to respond when the user scrolls the horizontal scroll bar.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnVerticalScroll


TJvRichEdit.OnInPlaceActivate event

TJvRichEdit	Edit topic

Not documented

Pascal

property OnInPlaceActivate: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRichEdit.OnInPlaceDeactivate event

TJvRichEdit	Edit topic

Not documented

Pascal

property OnInPlaceDeactivate: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRichEdit.OnMouseEnter event

TJvRichEdit	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvExCustomMemo.OnMouseLeave


TJvRichEdit.OnMouseLeave event

TJvRichEdit	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomMemo.OnMouseEnter


TJvRichEdit.OnParentColorChange event

TJvRichEdit	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvRichEdit.OnProtectChange event

TJvRichEdit	See Also	Edit topic

Occurs when a user attempts to modify text that is marked as protected.

Pascal

property OnProtectChange: TRichEditProtectChange;

Description

Write an OnProtectChange event handler to allow modification of text with the protected attribute. The StartPos and EndPos parameters indicate the beginning and end of the range of text that would be affected by the modification, where 0 is the first character in the text. To allow modification of protected text, set AllowChange to true.

To set or unset the protected attribute for a section of text, select the text and use the Protected property of the rich edit control’s SelAttributes property. To cause text to have the protected attribute by default, use the Protected property of the rich edit object’s DefAttributes property.

Notes

Obsolete, use OnProtectChangeEx

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnProtectChangeEx


TJvRichEdit.OnProtectChangeEx event

TJvRichEdit	See Also	Edit topic

Occurs when a user attempts to modify text that is marked as protected.

Pascal

property OnProtectChangeEx: TRichEditProtectChangeEx;

Parameters

Sender

Rich Edit control that has fired this event.

Msg

Message that triggered the notification.

StartPos

Indicates the beginning of the range of text, that would be affected by the modification, where 0 is the first character in the text.

EndPos

Indicates the end of the range of text, that would be affected by the modification, where 0 is the first character in the text.

AllowChange

Specifies whether to allow modification of protected text.

Description

Write an OnProtectChange event handler to allow modification of text with the protected attribute.

To allow modification of protected text, set AllowChange to true.

To set or unset the protected attribute for a section of text, select the text and use the Protected property of the rich edit control’s SelAttributes property. To cause text to have the protected attribute by default, use the Protected property of the rich edit object’s DefAttributes property.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Protected


TJvRichEdit.OnResizeRequest event

TJvRichEdit	Edit topic

Occurs when the text has grown either smaller or larger than the control's window size.

Pascal

property OnResizeRequest: TRichEditResizeEvent;

Description

Write an OnResizeRequest event handler to respond to notifications that the rich edit control is trying to resize due to changes in the text. The Rect parameter gives the desired bounding rectangle that will display all the text, in screen coordinates.

Created with Doc-O-Matic.


TJvRichEdit.OnSaveClipboard event

TJvRichEdit	Edit topic

Occurs when the window of the rich edit control is about to be destroyed and the control has delayed rendering of text copied to the clipboard.

Pascal

property OnSaveClipboard: TRichEditSaveClipboard;

Description

Write an OnSaveClipboard event handler to respond to notifications that the window of the rich edit control is about to be destroyed and the Clipboard needs information from the control. The parameter NumObjects is the number of objects on the Clipboard, and NumChars is the number of characters on the Clipboard. To clear all information about the rich edit control from the Clipboard, set SaveClipboard to false.

Created with Doc-O-Matic.


TJvRichEdit.OnSelectionChange event

TJvRichEdit	See Also	Edit topic

Occurs when the current selection changes.

Pascal

property OnSelectionChange: TNotifyEvent;

Description

Write an OnSelectionChange event handler to respond to changes in the selected text. Changes in selection can occur when the user changes the selection using the mouse or keyboard, or when the selection is changed through the SelText property. Portions of the selection can be changed through the Lines property.

Created with Doc-O-Matic.


See Also

TCustomMemo.SelStart, TCustomMemo.SelText


TJvRichEdit.OnTextNotFound event

TJvRichEdit	See Also	Edit topic

Occurs when the text entered by a user in a Find or Replace dialog could not be found.

Pascal

property OnTextNotFound: TRichEditFindErrorEvent;

Parameters

Sender

Rich Edit control that has fired this event.

FindText

Specifies the text the user entered.

Description

Write an OnTextNotFound event handler to respond when the text entered by a user - specified by parameter FindText - in a Find or Replace dialog could not be found.

Example:

  procedure TForm1.JvRichEdit1TextNotFound(Sender: TObject;

    const FindText: string);

  begin

    MessageDlg(Format('Text "%s" not found.', [FindText]), mtWarning, [mbOK], 0); end;

Created with Doc-O-Matic.


See Also

FindDialog, ReplaceDialog


TJvRichEdit.OnURLClick event

TJvRichEdit	See Also	Edit topic

Occurs when the user clicks the mouse when the mouse pointer is over text that is a link.

Pascal

property OnURLClick: TRichEditURLClickEvent;

Parameters

Sender

Rich Edit control that has fired this event.

URLText

Specifies the text with the link attribute the user clicked.

Button

Identifies the mouse button the user used to click the text.

Description

Write an OnURLClick event handler to respond when the user clicks the mouse when the mouse pointer is over text that is marked as a link. Text that is marked as a link typically identifies a range of text that contains an URL. Applications can handle the OnURLClick event by For example starting a browser to view the location identified by the URL as specified by parameter URLText.

To set or unset the link attribute for a section of text, select the text and use the Link property of the rich edit control’s SelAttributes property.

If you set AutoURLDetect to true to enable automatic URL detection, the rich edit control automatically sets the link attribute for modified text that it identifies as a URL.

Example:

  procedure TForm1.JvRichEdit1URLClick(Sender: TObject; const URLText: string;

    Button: TMouseButton);

  begin

    if Button = mbLeft then

      ShellExecute(Handle, nil, PChar(URLText), nil, nil, SW_SHOW);

  end;

Notes

Rich Edit 2.0

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AutoURLDetect, TJvTextAttributes.Link


TJvRichEdit.OnVerticalScroll event

TJvRichEdit	See Also	Edit topic

Occurs when the user scrolls the vertical scroll bar with the mouse or keyboard.

Pascal

property OnVerticalScroll: TNotifyEvent;

Description

Write an OnVerticalScroll event handler to respond when the user scrolls the vertical scroll bar.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnHorizontalScroll


TJvRichEdit.PlainText property

TJvRichEdit	See Also	Edit topic

Indicates whether the rich edit control's text is formatted or not.

Pascal

property PlainText: Boolean;

Description

Set PlainText to true to transform the rich edit control's text to plain unformatted text.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.StreamFormat, TJvCustomRichEdit.StreamMode


TJvRichEdit.SelectionBar property

TJvRichEdit	See Also	Edit topic

Specifies whether to show the selection bar.

Pascal

property SelectionBar: Boolean;

Description

The selection bar is an unmarked area to the left of each paragraph that when clicked, selects the line. Set SelectionBar to true to show the selection bar, set it to false, to hide it.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideScrollBars, TJvCustomRichEdit.HideSelection


TJvRichEdit.SelText property

TJvRichEdit	See Also	Edit topic

Denotes the selected portion of the edit control’s text.

Pascal

property SelText: string;

Description

Read SelText to determine the value of the selected text. Set SelText to replace the selected text with a new string. If there is no selection, but the edit control has focus, set SelText to insert a new string into the text at the cursor.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.SelectionType, TJvCustomRichEdit.SetSelection


TJvRichEdit.StreamFormat property

TJvRichEdit	See Also	Edit topic

Specifies the format of the text when streaming to or from a file.

Pascal

property StreamFormat: TRichStreamFormat;

Description

Use StreamFormat to specify the format of the text when streaming to or from a file. The format can be either Rich Text Format (RTF) or plain text.

If you set StreamFormat to sfDefault, then property PlainText determines whether the format is RTF or plain text.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.PlainText, TJvCustomRichEdit.StreamMode


TJvRichEdit.StreamMode property

TJvRichEdit	See Also	Edit topic

Controls how the text is treated when streaming to or from a file.

Pascal

property StreamMode: TRichStreamModes;

Description

Use StreamMode to specify whether to

Only replace the contents of the current selection when loading a stream, and to only stream out the contents of the current selection, when saving to a stream.

Stream only keywords common to all languages in and out, i.e., ignore all language-specific RTF keywords.

Replace COM objects with spaces when streaming out.

Stream unicode text in and out.

Some flags are ignored depending on the value of StreamFormat. For example you must set StreamFormat to sfPlainText, or PlainText to true and StreamFormat to sfDefault to be able to stream unicode text in or out.)

Notes

Rich edit controls do not directly support streaming. Use the Lines property to stream to or from a file, For example to save the selected text as unicode to a file:

  with JvRichEdit1 do

  try

    StreamFormat := sfPlainText;

    StreamMode := [smSelection, smUnicode];

    Lines.SaveToFile(AFileName);

  finally

    StreamMode := [];

  end;

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.PlainText, TJvCustomRichEdit.StreamFormat


TJvRichEdit.Title property

TJvRichEdit	See Also	Edit topic

Specifies the caption of the window, that is displayed when a user selects to edit an embedded object.

Pascal

property Title: string;

Description

Use Title to specify a string that is displayed in the title bar of the window, displayed when a user opens an object for editing.

Notes

Property AllowObjects must be set to true, otherwise setting Title has no effect.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.AllowObjects


TJvRichEdit.UndoLimit property

TJvRichEdit	See Also	Edit topic

Specifies the maximum number of actions that can stored in the undo queue.

Pascal

property UndoLimit: Integer;

Description

Specifies the maximum number of actions that can be stored in the undo queue. The return value is the new maximum number of undo actions for the rich edit control. This value may be less than the value specified by UndoLimit if memory is limited.

By default, the maximum number of actions in the undo queue is 100. If you increase this number, there must be enough available memory to accommodate the new number. For better performance, set the limit to the smallest possible value.

Setting the limit to zero disables the Undo feature.

Created with Doc-O-Matic.


See Also

CanRedo, RedoName, UndoName, Redo, TCustomMemo.Undo


TJvRichEdit.UseFixedPopup property

TJvRichEdit	Edit topic

Not documented

Pascal

property UseFixedPopup: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRichEdit.WordSelection property

TJvRichEdit	See Also	Edit topic

Specifies whether automatic selection of word on double-click is enabled.

Pascal

property WordSelection: Boolean;

Description

Set WordSelection to true, to enable automatic selection of word on double-click. Set WordSelection to false to disable it.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.HideSelection, TJvCustomRichEdit.SelectionBar


TJvRichEdit.Zoom property

TJvRichEdit	Edit topic

Specifies the zoom percentage.

Pascal

property Zoom: Integer;

Description

Use property Zoom to get or set the zoom percentage for the rich edit control. Set Zoom to 100 to turn off zooming.

Notes

RichEdit 3.0.

Created with Doc-O-Matic.


TJvRichEditToHtml
JEDI-VCL Reference

 TJvRichEditToHtml

Hierarchy	Properties	Methods	Package	 See Also	Edit topic

Converts the contents of a rich edit control to HTML.

Pascal

TJvRichEditToHtml = class(TJvComponent);

File

JvRichEditToHtml

Description

TJvRichEditToHtml is a TJvComponent used to convert the content in a rich edit control to HTML. TJvRichEditToHtml provides methods and properties needed to control converting the RTF-based content of a TRichEdit or TJvRichEdit component to HTML.

Use ConvertToHtml to store the converted RTF content for the rich edit control to a specified file name.

Use ConvertToHtmlStrings to store the HTML converted from the RTF content for the rich edit control to a TStrings instance passed as a parameter to the method.

Use Header and Footer to control the HTML tags prior to and following the generated HTML when converting the RTF content for the rich edit control.

Use the Title property to set the value used in the HTML <TITLE> tag when converting the RTF content for the rich edit control.

TJvRichEditToHtml detects changes to font and paragraph attributes in the RTF content for the specified rich edit control, and converts the RTF markup to the equivalent HTML markup.

RTF font attributes handled by TJvRichEditToHtml include:

Font Family (or Face)

Size

Color

RTF paragraph attributes handled by TJvRichEditToHtml include:

Alignment

Numbering

Bullets

Bold

Italic

Strikeout

Underline

Please note that TJvRichEditToHtml does not attempt to convert tabs, tables, images, or other advanced RTF markup instructions.

Created with Doc-O-Matic.


TJvRichEditToHtml Properties

TJvRichEditToHtml	Legend

Properties

 Footer

 Header

 Title

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRichEditToHtml Methods

TJvRichEditToHtml

Methods

ConvertToHtml

ConvertToHtmlStrings

Created with Doc-O-Matic.


Legend

TJvRichEditToHtml

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvRichEditToHtml


TJvRichEditToHtml Members

TJvRichEditToHtml	Legend

Members

Properties

 Footer

 Header

 Title

TJvComponent

 AboutJVCL

Methods

ConvertToHtml

ConvertToHtmlStrings

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

Title, Header, Footer, ConvertToHtml, ConvertToHtmlStrings


Package

Net


TJvRichEditToHtml.Footer property

TJvRichEditToHtml	See Also	Edit topic

Tags added to the end of the generated HTML.

Pascal

property Footer: TStrings;

Description

Footer is a TStrings property that represents the HTML tags added to the end of the HTML generated using the ConvertToHtml or ConvertToHtmlStrings methods. The default value for the Footer property is assigned in the constructor for the component, and contains the following:

The Header property contains the preamble for the generated HTML, including the Title assigned to the generated HTML.

The Header and Footer properties are used in the overloaded ConvertToHtmlStrings methods.

Created with Doc-O-Matic.


See Also

TJvRichEditToHtml.ConvertToHtmlStrings, TJvRichEditToHtml.ConvertToHtml, TJvRichEditToHtml.Header


TJvRichEditToHtml.Header property

TJvRichEditToHtml	See Also	Edit topic

Tags added to the beginning of the generated HTML.

Pascal

property Header: TStrings;

Description

Header is a TStrings property that represents the HTML tags added to the beginning of the HTML generated using the ConvertToHtml or ConvertToHtmlStrings methods. The default value for the Header property is assigned in the constructor for the component, and contains the following:

    <HTML>

      <HEAD>

        <TITLE<#TITLE>      <BODY>

During processing in the ConvertToHtmlStrings method, the value of the Title property is used to replace all instances of the <#TITLE> tag found in the Header property.

The Footer property contains tags added to the end of the generated HTML.

The Header and Footer properties are used in the overloaded ConvertToHtmlStrings methods.

Created with Doc-O-Matic.


See Also

TJvRichEditToHtml.ConvertToHtmlStrings, TJvRichEditToHtml.ConvertToHtml, TJvRichEditToHtml.Footer


TJvRichEditToHtml.Title property

TJvRichEditToHtml	See Also	Edit topic

Title for the HTML generated by the component.

Pascal

property Title: string;

Description

Title is a String property that represents the value used in the TITLE tag for the generated HTML for the component.

Title is the value used in the ConvertToHtmlStrings method to replace all occurrences of the <#TITLE> tag found in the Header property.

Created with Doc-O-Matic.


See Also

TJvRichEditToHtml.ConvertToHtmlStrings, TJvRichEditToHtml.Header


TJvRichEditToHtml.ConvertToHtml method (TJvRichEdit, string)

TJvRichEditToHtml	See Also	Edit topic

Convert the contents of a rich edit control to HTML.

Pascal

procedure ConvertToHtml(Value: TJvRichEdit; const FileName: string); overload;

Parameters

Value: TJvRichEdit

Rich edit control with the content to convert to HTML.

const FileName: string

File where generated HTML is stored.

Description

ConvertToHtml is an overloaded method used to convert the contents of the TJvRichEdit control specified in Value to HTML. ConvertToHtml stores the generated HTML in the file specified in the Filename argument.

ConvertToHtml calls the ConvertToHtmlStrings method to perform conversion of the RTF content in the control specified by Value.

Use ConvertToHtmlStrings to convert the RTF contents of a rich edit control to HTML and to store the results in a TStrings instance.

Created with Doc-O-Matic.


See Also

TJvRichEditToHtml.ConvertToHtml, TJvRichEditToHtml.ConvertToHtmlStrings


TJvRichEditToHtml.ConvertToHtml method (TRichEdit, string)

TJvRichEditToHtml	See Also	Edit topic

Convert the contents of a rich edit control to HTML.

Pascal

procedure ConvertToHtml(Value: TRichEdit; const FileName: string); overload;

Parameters

Value: TRichEdit

Rich edit control with the content to convert to HTML.

const FileName: string

File where generated HTML is stored.

Description

ConvertToHtml is an overloaded method used to convert the contents of the TRichEdit control specified in Value to HTML. ConvertToHtml stores the generated HTML in the file specified in the Filename argument.

ConvertToHtml calls the ConvertToHtmlStrings method to perform conversion of the RTF content in the control specified by Value.

Use ConvertToHtmlStrings to convert the RTF content of a rich edit control to HTML and to store the results in a TStrings instance.

Created with Doc-O-Matic.


See Also

TJvRichEditToHtml.ConvertToHtml, TJvRichEditToHtml.ConvertToHtmlStrings


TJvRichEditToHtml.ConvertToHtmlStrings method (TJvRichEdit, TStrings)

Examples	TJvRichEditToHtml	See Also	Edit topic

Converts the contents of the specified rich edit control to HTML.

Pascal

procedure ConvertToHtmlStrings(Value: TJvRichEdit; Strings: TStrings); overload;

Parameters

Value: TJvRichEdit

Rich edit with content to convert to HTML.

Strings: TStrings

Stores the HTML created by the method.

Description

ConvertToHtmlStrings is an overloaded method used to convert the contents of the TJvRichEdit control specified in Value to HTML.

HTML created in the method from the contents of the rich edit control is stored in the Strings argument. Strings is cleared prior to converting the RTF contents of the control and generating the HTML output.

Strings will contain a complete HTML document that includes the contents from the Header property, the converted RTF contents of Value, and the Footer property. Each occurrence of the <#TITLE> tag in the lines of the Header property are replaced with the value from the Title property.

ConvertToHtmlStrings uses instances of TJvRichEditParaAttributesRec to maintain the default, starting, and current paragraph attributes when processing the RTF content in the rich edit control. Each line in the rich edit control is processed to detect changes to font and paragraph attributes in the RTF content for the specified rich edit control, and converts the RTF markup to the equivalent HTML markup.

RTF font attributes handled during conversion include:

Font Family (or Face)

Size

Color

RTF paragraph attributes handled during conversion include:

Alignment

Numbering

Bullets

Bold

Italic

Strikeout

Underline

Font attributes are indicated using the <FONT> and </FONT> HTML tags. The FONT tag will include Color, Face, and Size attributes.

Paragraph breaks are indicated by the <BR> HTML tag.

Paragraph alignment is indicated by using an ALIGN attribute in the <P> HTML tag. For example:

 ALIGN="LEFT"The rain in Spain...

 ALIGN="RIGHT"The rain in Spain...

 ALIGN="CENTER"The rain in Spain...

Font styles are indicated in the HTML output using the following markup:

Attribute	Markup
Bold	<B></B>
Italic	<I></I>
Strikeout	<STRIKE></STRIKE>
Underline	<U></U>

Bullet numbering style is indicated in the HTML output by wrapping the content in list item tags. For

Examples

  <LI>This is an Item  <LI>This is another Item  <LI>This is the final Item

Please note that ConvertToHtmlStrings does not attempt to convert tabs, tables, images, or other advanced RTF markup instructions.

ConvertToHtmlStrings is used in the ConvertToHtml method which stores the HTML output in a specified file.

Created with Doc-O-Matic.


See Also

TJvRichEditToHtml.ConvertToHtmlStrings, TJvRichEditToHtml.ConvertToHtml, TJvRichEditParaAttributesRec


Examples

TJvRichEditToHtml.ConvertToHtmlStrings method (TJvRichEdit, TStrings)

  <LI>This is an Item  <LI>This is another Item  <LI>This is the final Item

Please note that ConvertToHtmlStrings does not attempt to convert tabs, tables, images, or other advanced RTF markup instructions.

ConvertToHtmlStrings is used in the ConvertToHtml method which stores the HTML output in a specified file.

Created with Doc-O-Matic.


TJvRichEditToHtml.ConvertToHtmlStrings method (TRichEdit, TStrings)

Examples	TJvRichEditToHtml	See Also	Edit topic

Converts the contents of the specified rich edit control to HTML.

Pascal

procedure ConvertToHtmlStrings(Value: TRichEdit; Strings: TStrings); overload;

Parameters

Value: TRichEdit

Rich edit with content to convert to HTML.

Strings: TStrings

Stores the HTML created by the method.

Description

ConvertToHtmlStrings is an overloaded method used to convert the contents of the TRichEdit control specified in Value to HTML.

HTML created in the method from the contents of the rich edit control is stored in the Strings argument. Strings is cleared prior to converting the RTF contents of the control and generating the HTML output.

Strings will contain a complete HTML document that includes the contents from the Header property, the converted RTF contents of Value, and the Footer property. Each occurrence of the <#TITLE> tag in the lines of the Header property are replaced with the value from the Title property.

ConvertToHtmlStrings uses instances of TJvParaAttributesRec to maintain the default, starting, and current paragraph attributes when processing the RTF content in the rich edit control. Each line in the rich edit control is processed to detect changes to font and paragraph attributes in the RTF content for the specified rich edit control, and converts the RTF markup to the equivalent HTML markup.

RTF font attributes handled during conversion include:

Font Family (or Face)

Size

Color

RTF paragraph attributes handled during conversion include:

Alignment

Numbering

Bullets

Bold

Italic

Strikeout

Underline

Font attributes are indicated using the <FONT> and </FONT> HTML tags. The FONT tag will include Color, Face, and Size attributes.

Paragraph breaks are indicated by the <BR> HTML tag.

Paragraph alignment is indicated by using an ALIGN attribute in the <P> HTML tag. For example:

 ALIGN="LEFT"The rain in Spain...

 ALIGN="RIGHT"The rain in Spain...

 ALIGN="CENTER"The rain in Spain...

Font styles are indicated in the HTML output using the following markup:

Attribute	Markup
Bold	<B></B>
Italic	<I></I>
Strikeout	<STRIKE></STRIKE>
Underline	<U></U>

Bullet numbering style is indicated in the HTML output by wrapping the content in list item tags. For

Examples

  <LI>This is an Item  <LI>This is another Item  <LI>This is the final Item

Please note that ConvertToHtmlStrings does not attempt to convert tabs, tables, images, or other advanced RTF markup instructions.

ConvertToHtmlStrings is used in the ConvertToHtml method which stores the HTML output in a specified file.

Created with Doc-O-Matic.


See Also

TJvRichEditToHtml.ConvertToHtmlStrings, TJvRichEditToHtml.ConvertToHtml, TJvParaAttributesRec


Examples

TJvRichEditToHtml.ConvertToHtmlStrings method (TRichEdit, TStrings)

  <LI>This is an Item  <LI>This is another Item  <LI>This is the final Item

Please note that ConvertToHtmlStrings does not attempt to convert tabs, tables, images, or other advanced RTF markup instructions.

ConvertToHtmlStrings is used in the ConvertToHtml method which stores the HTML output in a specified file.

Created with Doc-O-Matic.


TJvRollOut
JEDI-VCL Reference

 TJvRollOut

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A control that acts like a pane but can also alter its height or width to predefined values.

Pascal

TJvRollOut = class(TJvCustomRollOut);

File

JvRollOut

Description

Use a TJvRollOut when screen real-estate is at a premium or if the form contains a multitude of controls that can be logically grouped and where each group doesn't have to be visible at the same time as other groups. The rollout also has a button that is used at runtime to expand and collapse the control.

To use a TJvRollOut, drop it on a form and:

Set Placement to specify in what direction the control expands and collapses and where the button is located.

Set Collapsed to true and adjust the rollout's width and height to define its collapsed size.

Set Collapsed to false and adjust the rollout's width and height to define its expanded size.

When Collapsed is false, drop other visual controls on the surface of the rollout. These controls will only be visible while the rollout is expanded.

Created with Doc-O-Matic.


TJvRollOut Properties

TJvRollOut	Legend

Properties

 ButtonHeight

 Caption

 ChildOffset

 Collapsed

 Colors

 GroupIndex

 ImageOptions

 ParentBackground

 Placement

 ShowFocus

 ToggleAnywhere

TJvCustomRollOut

 ButtonHeight

 ChildOffset

 Collapsed

 Colors

 GroupIndex

 ImageOptions

 Placement

 ShowFocus

 ToggleAnywhere

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvRollOut Events

TJvRollOut	Legend

Events

 OnCollapse

 OnExpand

TJvCustomRollOut

 OnCollapse

 OnExpand

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvRollOut Methods

TJvRollOut	Legend

Methods

TJvCustomRollOut

 Collapse

 Expand

MouseIsOnButton

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvRollOut

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel
                TJvCustomRollOut
                    TJvRollOut


TJvRollOut Members

TJvRollOut	Legend

Members

Properties

 ButtonHeight

 Caption

 ChildOffset

 Collapsed

 Colors

 GroupIndex

 ImageOptions

 ParentBackground

 Placement

 ShowFocus

 ToggleAnywhere

TJvCustomRollOut

 ButtonHeight

 ChildOffset

 Collapsed

 Colors

 GroupIndex

 ImageOptions

 Placement

 ShowFocus

 ToggleAnywhere

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnCollapse

 OnExpand

TJvCustomRollOut

 OnCollapse

 OnExpand

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomRollOut

 Collapse

 Expand

MouseIsOnButton

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Ctrls


TJvRollOut.ButtonHeight property

TJvRollOut	See Also	Edit topic

Specifies the size of the button at the top (left) of the rollout.

Pascal

property ButtonHeight: Integer;

Description

Use ButtonHeight to specify the size of the button at the top (left) of the rollout. The size is applied to the button depending on the value of the Placement property. If the button is displayed at the top, ButtonHeight adjusts the height, if the button is displayed on the left, ButtonHeight adjusts the width of the button instead.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Placement


TJvRollOut.Caption property

TJvRollOut	See Also	Edit topic

Specifies the caption of the button.

Pascal

property Caption;

Description

Use Caption to set the text of the button. If Placement is plLeft and the font is a true-type font, the text is rotated to fit in the button.

Created with Doc-O-Matic.


See Also

Placement


TJvRollOut.ChildOffset property

TJvRollOut	Edit topic

Specifies the top/left margin of the control.

Pascal

property ChildOffset: Integer;

Description

Use ChildOffset to specify the top/left edge of the control. Child controls placed outside this edge, will be realigned to be placed inside the edge.

Created with Doc-O-Matic.


TJvRollOut.Collapsed property

TJvRollOut	See Also	Edit topic

Specifies whether the rollout is collapsed or not.

Pascal

property Collapsed: Boolean;

Description

Use Collapsed to specify if the rollout is collapsed or not. Setting Collapsed to true is the same as calling Collapse.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Expand


TJvRollOut.Colors property

TJvRollOut	Edit topic

Specifies the colors for various parts of the control.

Pascal

property Colors: TJvRollOutColors;

Description

Use Colors to customize the way the rollout looks. Colors controls such aspects of the rollout as the colors of the edges, the color of the button and the background color of the control.

Created with Doc-O-Matic.


TJvRollOut.GroupIndex property

TJvRollOut	Edit topic

Index of the group this rollout belongs to.

Pascal

property GroupIndex: Integer;

Description

GroupIndex holds the index of the group this rollout is part of. If several rollouts have a GroupIndex > 0, they will behave as a radio group: when one rollout is expanded, the others are collapsed. To disable the radio group behavior, set GroupIndex to 0.

Created with Doc-O-Matic.


TJvRollOut.ImageOptions property

TJvRollOut	Edit topic

Specifies options acting on the images on the button.

Pascal

property ImageOptions: TJvRollOutImageOptions;

Description

Use ImageOptions to specify settings regarding the image display on the rollout button.

Created with Doc-O-Matic.


TJvRollOut.OnCollapse event

TJvRollOut	See Also	Edit topic

Occurs when the rollout is collapsed.

Pascal

property OnCollapse: TNotifyEvent;

Description

Write a handler for OnCollapse to take specific action when the rollout is collapsed.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Collapsed, TJvCustomRollOut.Expand, TJvCustomRollOut.OnExpand


TJvRollOut.OnExpand event

TJvRollOut	See Also	Edit topic

Occurs when the rollout is expanded.

Pascal

property OnExpand: TNotifyEvent;

Description

Write a handler for OnCollapse to take specific action when the rollout is expanded.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Collapsed, TJvCustomRollOut.Expand, TJvCustomRollOut.OnCollapse


TJvRollOut.ParentBackground property

TJvRollOut	Edit topic

Not documented

Pascal

property ParentBackground: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRollOut.Placement property

TJvRollOut	See Also	Edit topic

Specifies where the button is located and how the rollout is expanded and collapsed.

Pascal

property Placement: TJvPlacement;

Description

Use Placement to control how the rollout expands and collapses as you call Collapse and Expand. To place the button on the left edge and make the rollout expand and collapse its width, set Placement to plLeft. To place the button at the top and make the rollout expand and collapse its height, set Placement to plTop.

Created with Doc-O-Matic.


See Also

TJvCustomRollOut.Collapse, TJvCustomRollOut.Collapsed, TJvCustomRollOut.Expand


TJvRollOut.ShowFocus property

TJvRollOut	Edit topic

Not documented

Pascal

property ShowFocus: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRollOut.ToggleAnywhere property

TJvRollOut	Edit topic

Not documented

Pascal

property ToggleAnywhere: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRollOutAction
JEDI-VCL Reference

TJvRollOutAction

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvRollOutAction = class(TAction);

File

JvRollOut

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRollOutAction Properties

TJvRollOutAction	Legend

Properties

 LinkCheckedToCollapsed

 RollOut

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvRollOutAction

Legend

published

Created with Doc-O-Matic.


Hierarchy

TAction
    TJvRollOutAction


TJvRollOutAction Members

TJvRollOutAction	Legend

Members

Properties

 LinkCheckedToCollapsed

 RollOut

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRollOutAction.LinkCheckedToCollapsed property

TJvRollOutAction	Edit topic

Not documented

Pascal

property LinkCheckedToCollapsed: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRollOutAction.RollOut property

TJvRollOutAction	Edit topic

Not documented

Pascal

property RollOut: TJvCustomRollOut;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRollOutColors
JEDI-VCL Reference

TJvRollOutColors

Hierarchy	Properties	Events	 Edit topic

Maintains color settings for a rollout control.

Pascal

TJvRollOutColors = class(TPersistent);

File

JvRollOut

Description

TJvRollOutColors is the class type for color settings in a TJvRollOut. An instance of this class is created and maintained by the TJvRollOut class. Do not create instances of this class as it has internal references to the rollout it maintains the colors for.

Created with Doc-O-Matic.


TJvRollOutColors Properties

TJvRollOutColors	Legend

Properties

 ButtonBottom

 ButtonColor

 ButtonTop

 Color

 FrameBottom

 FrameTop

 HotTrackText

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRollOutColors Events

TJvRollOutColors	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvRollOutColors

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvRollOutColors


TJvRollOutColors Members

TJvRollOutColors	Legend

Members

Properties

 ButtonBottom

 ButtonColor

 ButtonTop

 Color

 FrameBottom

 FrameTop

 HotTrackText

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRollOutColors.ButtonBottom property

TJvRollOutColors	See Also	Edit topic

Specifies the color for the bottom and right line in a rollout button.

Pascal

property ButtonBottom: TColor;

Description

Use ButtonBottom to specify the color used for the frame line drawn at the bottom and right side of the button.

Created with Doc-O-Matic.


See Also

TJvRollOutColors.ButtonColor, TJvRollOutColors.ButtonTop


TJvRollOutColors.ButtonColor property

TJvRollOutColors	See Also	Edit topic

Specifies the background color for the rollout button.

Pascal

property ButtonColor: TColor;

Description

Use ButtonColor to set the color of the button.

Created with Doc-O-Matic.


See Also

TJvRollOutColors.ButtonBottom, TJvRollOutColors.ButtonTop


TJvRollOutColors.ButtonTop property

TJvRollOutColors	See Also	Edit topic

Specifies the color for the top and left line in a rollout button.

Pascal

property ButtonTop: TColor;

Description

Use ButtonTop to specify the color used for the frame line drawn at the top and left side of the button.

Created with Doc-O-Matic.


See Also

TJvRollOutColors.ButtonBottom, TJvRollOutColors.ButtonColor


TJvRollOutColors.Color property

TJvRollOutColors	See Also	Edit topic

Specifies the background color for the rollout control.

Pascal

property Color: TColor;

Description

Use Color to set the background color for the rollout.

Created with Doc-O-Matic.


See Also

TJvRollOutColors.FrameBottom, TJvRollOutColors.FrameTop


TJvRollOutColors.FrameBottom property

TJvRollOutColors	See Also	Edit topic

Specifies the color for the bottom and right line in a rollout control.

Pascal

property FrameBottom: TColor;

Description

Use FrameBottom to specify the color used to draw the bottom and right frame line in a rollout control.

Created with Doc-O-Matic.


See Also

TJvRollOutColors.Color, TJvRollOutColors.FrameTop


TJvRollOutColors.FrameTop property

TJvRollOutColors	See Also	Edit topic

Specifies the color for the top and left line in a rollout control.

Pascal

property FrameTop: TColor;

Description

Use FrameTop to specify the color used to draw the top and left frame line in a rollout control.

Created with Doc-O-Matic.


See Also

TJvRollOutColors.Color, TJvRollOutColors.FrameBottom


TJvRollOutColors.HotTrackText property

TJvRollOutColors	Edit topic

Specifies the color for text in a rollout button when the mouse cursor is in the button.

Pascal

property HotTrackText: TColor;

Description

Use HotTrackText to specify the font color when the user hovers the mouse inside the rollout's button.

Created with Doc-O-Matic.


TJvRollOutColors.OnChange event

TJvRollOutColors	Edit topic

Occurs when any of the colors changes.

Pascal

property OnChange: TNotifyEvent;

Description

Don't create an event handler for OnChange. The rollout control that creates the class, assigns its own handler to this event.

Created with Doc-O-Matic.


TJvRollOutImageOptions
JEDI-VCL Reference

TJvRollOutImageOptions

Hierarchy	Properties	Events	 Edit topic

Maintains the image options in a rollout.

Pascal

TJvRollOutImageOptions = class(TPersistent);

File

JvRollOut

Description

Class used by the TJvRollOut component to maintain settings affecting image display. Do not create instances of this class: an instance is created and maintained by the TJvRollOut component and made available through its ImageOptions property.

Created with Doc-O-Matic.


TJvRollOutImageOptions Properties

TJvRollOutImageOptions	Legend

Properties

 Images

 IndexCollapsed

 IndexExpanded

 Offset

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRollOutImageOptions Events

TJvRollOutImageOptions	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvRollOutImageOptions

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvRollOutImageOptions


TJvRollOutImageOptions Members

TJvRollOutImageOptions	Legend

Members

Properties

 Images

 IndexCollapsed

 IndexExpanded

 Offset

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRollOutImageOptions.Images property

TJvRollOutImageOptions	See Also	Edit topic

Specifies the image list to display an image from.

Pascal

property Images: TCustomImageList;

Description

Use Images to assign an existing TImageList instance to the control. The images to display on the button is extracted from this image list.

Created with Doc-O-Matic.


See Also

TJvRollOutImageOptions.IndexCollapsed, TJvRollOutImageOptions.IndexExpanded


TJvRollOutImageOptions.IndexCollapsed property

TJvRollOutImageOptions	See Also	Edit topic

Specifies the button image to use when the rollout is collapsed.

Pascal

property IndexCollapsed: TImageIndex;

Description

Use IndexCollapsed to set the index of the image in Images that is used when the rollout is collapsed. The image is displayed next to the button's text. If no image is to be displayed, set IndexCollapsed to -1.

Created with Doc-O-Matic.


See Also

TJvRollOutImageOptions.Images, TJvRollOutImageOptions.IndexExpanded


TJvRollOutImageOptions.IndexExpanded property

TJvRollOutImageOptions	See Also	Edit topic

Specifies the button image to use when the rollout is expanded.

Pascal

property IndexExpanded: TImageIndex;

Description

Use IndexExpanded to set the index of the image in Images that is used when the rollout is expanded. The image is displayed next to the button's text. If no image is to be displayed, set IndexExpanded to -1.

Created with Doc-O-Matic.


See Also

TJvRollOutImageOptions.Images, TJvRollOutImageOptions.IndexCollapsed


TJvRollOutImageOptions.Offset property

TJvRollOutImageOptions	See Also	Edit topic

Specifies the offset of the image from the top/left edge of the control.

Pascal

property Offset: Integer;

Description

Use Offset to specify how far from the top/left edge of the button the images in IndexCollapsed and IndexExpanded are displayed.

Created with Doc-O-Matic.


See Also

TJvRollOutImageOptions.Images, TJvRollOutImageOptions.IndexCollapsed, TJvRollOutImageOptions.IndexExpanded


TJvRollOutImageOptions.OnChange event

TJvRollOutImageOptions	See Also	Edit topic

Occurs when an option changes.

Pascal

property OnChange: TNotifyEvent;

Description

Do not create a handler for this event. A handler is assigned automatically by the rollout control that created the TJvRollOutImageOptions instance.

Created with Doc-O-Matic.


See Also

TJvRollOut


TJvRTFConversion
JEDI-VCL Reference

TJvRTFConversion

Hierarchy	Properties	Methods	Events	 Edit topic

Reads or writes rich text data.

Pascal

TJvRTFConversion = class(TJvStreamConversion);

File

JvRichEdit

Description

The TJvRTFConversion is an "empty" converter used to read or write to RTF files. Empty means that TJvRTFConversion does not perform any conversion of the rich text data it imports or exports.

Created with Doc-O-Matic.


TJvRTFConversion Methods

TJvRTFConversion	Legend

Methods

 CanHandle

 Filter

 IsFormatCorrect

 TextKind

TJvStreamConversion

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvRTFConversion Properties

TJvRTFConversion	Legend

Properties

TJvStreamConversion

 Stream

TJvConversion

 ParentWindow

 PercentDone

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvRTFConversion Events

TJvRTFConversion

Events

TJvConversion

OnProgress

Created with Doc-O-Matic.


Legend

TJvRTFConversion

Legend

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvConversion
        TJvStreamConversion
            TJvRTFConversion


TJvRTFConversion Members

TJvRTFConversion	Legend

Members

Methods

 CanHandle

 Filter

 IsFormatCorrect

 TextKind

TJvStreamConversion

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Properties

TJvStreamConversion

 Stream

TJvConversion

 ParentWindow

 PercentDone

Events

TJvConversion

OnProgress

Legend

virtual

read only

Created with Doc-O-Matic.


Legend

virtual

read only


TJvRTFConversion.CanHandle method

TJvRTFConversion	See Also	Edit topic

Returns whether the converter can import or export files.

Pascal

function CanHandle(const AExtension: string; const AKind: TJvConversionKind): Boolean; override;

Return Value

Returns true if the converter can handle this extension, false otherwise.

Parameters

AExtension

The extension of the file to import or export. The extension must be in lowercase.

AKind

Indicates whether to import or export.

Description

Call CanHandle to determine whether the converter can import or export files or streams, or whether the converter can import or export files with an extension as specified by AExtension.

TJvRichEdit will call CanHandle to determine whether the converter can either import or export files and streams, and whether it can import or export files with a particular extension.

As implemented in TJvConversion, CanHandle always returns true. Override this method in a descendant class to indicate that the converter can only operate on files with a particular extension.

Created with Doc-O-Matic.


See Also

IsFormatCorrect


TJvRTFConversion.Filter method

TJvRTFConversion	Edit topic

Returns the file mask of the converter.

Pascal

function Filter: string; override;

Return Value

Returns the file masks of the registered converters.

Description

Call Filter to retrieve a file mask of the files that can be imported or exported by the converter. For example, you can use the return value of a Filter call to set the Filter property of a TOpenDialog component.

As implemented in TJvConversion, Filter always returns an empty string. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


TJvRTFConversion.IsFormatCorrect method (string)

TJvRTFConversion	See Also	Edit topic

Returns whether the converter can import a specific file or stream.

Pascal

function IsFormatCorrect(const AFileName: string): Boolean; override;

Return Value

Returns true if the converter can import the specified file or stream, false otherwise.

Parameters

AFileName

The file to import.

AStream

The stream to import.

Description

Call IsFormatCorrect to determine whether the converter can import the file specified by AFileName or the stream specified by AStream.

TJvRichEdit will call IsFormatCorrect to determine whether the converter recognizes and can convert the contents of a file or stream.

As implemented in TJvConversion, IsFormatCorrect always returns true. Override this method in a descendant class to check files or streams before the actual import operation.

Created with Doc-O-Matic.


See Also

CanHandle


TJvRTFConversion.TextKind method

TJvRTFConversion	Edit topic

Returns the preferred source or target format of the rich edit content.

Pascal

function TextKind: TJvConversionTextKind; override;

Return Value

Returns the preferred source or target format of the rich edit content.

Description

TJvRichEdit calls TextKind to determine what format the converter prefers the content of the rich edit to be.

Created with Doc-O-Matic.


TJvRunDialog
JEDI-VCL Reference

 TJvRunDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays the Windows Run dialog.

Pascal

TJvRunDialog = class(TJvCommonDialogP);

File

JvWinDialogs

Description

Use TJvRunDialog to show the Windows Run dialog. Do this by calling the Execute method.

To manually open the Run dialog, click Start, then Run. You can also preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

This component is a wrapper for an undocumented Windows function that may not be implemented on all Windows platforms.

Created with Doc-O-Matic.


TJvRunDialog Properties

TJvRunDialog	Legend

Properties

 Caption

 Description

 Icon

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvRunDialog Methods

TJvRunDialog	Legend

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvRunDialog

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP
            TJvRunDialog


TJvRunDialog Members

TJvRunDialog	Legend

Members

Properties

 Caption

 Description

 Icon

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogP

 Execute

Legend

published

virtual

abstract

Created with Doc-O-Matic.


Legend

published

virtual

abstract


Package

Dlgs


TJvRunDialog.Caption property

TJvRunDialog	See Also	Edit topic

Specifies the caption for the Run dialog.

Pascal

property Caption: string;

Description

Use Caption to specify a caption for the Run dialog.

Created with Doc-O-Matic.


See Also

Execute, TJvRunDialog.Description, TJvRunDialog.Icon


TJvRunDialog.Description property

TJvRunDialog	See Also	Edit topic

Specifies the description displayed in the Run dialog.

Pascal

property Description: string;

Description

Use Description to specify the description displayed in the Run dialog.

Created with Doc-O-Matic.


See Also

Execute, TJvRunDialog.Caption, TJvRunDialog.Icon


TJvRunDialog.Icon property

TJvRunDialog	See Also	Edit topic

Specifies the icon that appears in the Run dialog.

Pascal

property Icon: TIcon;

Description

Set the Icon property to provide an icon for the Run Dialog. If Icon is not set, the system provides a default icon.

Created with Doc-O-Matic.


See Also

Execute, TJvRunDialog.Caption, TJvRunDialog.Description


TJvRunDialog.Execute method

TJvRunDialog	See Also	Edit topic

Shows the Run dialog

Pascal

procedure Execute; override;

Description

Call Execute to show the Run Dialog.

Created with Doc-O-Matic.


See Also

TJvRunDialog.Caption, TJvRunDialog.Description, TJvRunDialog.Icon


TJvSaveFileAction
JEDI-VCL Reference

TJvSaveFileAction

Hierarchy	Properties	 Edit topic

Action that displays the TJvSaveDialog dialog.

Pascal

TJvSaveFileAction = class(TJvOpenFileAction);

File

JvDialogActns

Description

Add TJvSaveFileAction to an action list to add a common file save dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display a file save dialog when invoked.

Use the OnAccept event to respond after the user selects a file name in the file save dialog or the OnCancel event to respond when the user cancels from the dialog. In the event handler for these events, you can read the file name from the dialog specified by the Dialog property.

Created with Doc-O-Matic.


TJvSaveFileAction Properties

TJvSaveFileAction	Legend

Properties

 Dialog

TJvOpenFileAction

 Dialog

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvSaveFileAction

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCommonDialogAction
    TJvOpenFileAction
        TJvSaveFileAction


TJvSaveFileAction Members

TJvSaveFileAction	Legend

Members

Properties

 Dialog

TJvOpenFileAction

 Dialog

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSaveFileAction.Dialog property

TJvSaveFileAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvSaveDialog;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvScheduledEvents
JEDI-VCL Reference

 TJvScheduledEvents

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Allows you to schedule execution of events using a recurring schedule.

Pascal

TJvScheduledEvents = class(TJvCustomScheduledEvents);

File

JvScheduledEvents

Description

TJvScheduledEvents allows you to schedule execution of events based on a recurring schedule, much like the recurring appointments/tasks in Microsoft® Outlook® or the replication/job scheduler in Microsoft® SQL Server.

The component uses the JclSchedule unit and its interface to generate the execution times. For more information on scheduling possibilities, check out the help for JclSchedule.

Components usage:

Drop a TJvScheduledEvents component on a form or a datamodule

Optionally specify if schedule states should be automatically saved/restored when the application is terminated/started.

Optionally specify the registry key to store/retrieve the schedule states.

Add some events (at design time using the component popup menu or the events property, specifying the schedule and the handler; at run time by using Events.Add).

Optionally assign handlers to to fire before and/or after an event is/has fired.

Created with Doc-O-Matic.


TJvScheduledEvents Properties

TJvScheduledEvents	Legend

Properties

 AppStorage

 AppStoragePath

 AutoSave

 Events

TJvCustomScheduledEvents

 AppStorage

 AppStoragePath

 AutoSave

Events

 Handle

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvScheduledEvents Events

TJvScheduledEvents	Legend

Events

 OnEndEvent

 OnStartEvent

TJvCustomScheduledEvents

 OnEndEvent

 OnStartEvent

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvScheduledEvents Methods

TJvScheduledEvents

Methods

TJvCustomScheduledEvents

LoadEventStates

PauseAll

SaveEventStates

StartAll

StopAll

Created with Doc-O-Matic.


Legend

TJvScheduledEvents

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomScheduledEvents
        TJvScheduledEvents


TJvScheduledEvents Members

TJvScheduledEvents	Legend

Members

Properties

 AppStorage

 AppStoragePath

 AutoSave

 Events

TJvCustomScheduledEvents

 AppStorage

 AppStoragePath

 AutoSave

Events

 Handle

Events

 OnEndEvent

 OnStartEvent

TJvCustomScheduledEvents

 OnEndEvent

 OnStartEvent

Methods

TJvCustomScheduledEvents

LoadEventStates

PauseAll

SaveEventStates

StartAll

StopAll

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

Custom


TJvScheduledEvents.AppStorage property

TJvScheduledEvents	Edit topic

Not documented

Pascal

property AppStorage: TJvCustomAppStorage;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScheduledEvents.AppStoragePath property

TJvScheduledEvents	Edit topic

Not documented

Pascal

property AppStoragePath: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScheduledEvents.AutoSave property

TJvScheduledEvents	See Also	Edit topic

Specifies if the component should save the event states when it is destroyed.

Pascal

property AutoSave: Boolean;

Description

AutoSave determines if the component stores all event states and last execution times in the registry when the component is destroyed (usually when the application terminates).

When set to True, all event states and last execution times are saved to the location specified by the SaveTo property when the component is destroyed and are read back in from that location when the component is created.

When set to False, no information is saved.

Created with Doc-O-Matic.


See Also

SaveTo


TJvScheduledEvents.Events property

TJvScheduledEvents	Edit topic

Holds a collection of events and their schedules.

Pascal

property Events: TJvEventCollection;

Description

Events is a collection of events and their schedules.

At run time you can iterate over the items to retrieve information on each of the event or add new events on the fly.

At design time you can use the editor to add events and set the schedule for each of them.

Created with Doc-O-Matic.


TJvScheduledEvents.OnEndEvent event

TJvScheduledEvents	See Also	Edit topic

Event called when a scheduled events has been completed.

Pascal

property OnEndEvent: TNotifyEvent;

Description

Write an OnEndEvent handler to take special action when a scheduled event has just been executed.

Created with Doc-O-Matic.


See Also

TJvCustomScheduledEvents.OnStartEvent


TJvScheduledEvents.OnStartEvent event

TJvScheduledEvents	See Also	Edit topic

Event called when a scheduled event is about to be executed.

Pascal

property OnStartEvent: TNotifyEvent;

Description

Write an OnStartEvent handler to take special action when a scheduled event is about to be executed.

Created with Doc-O-Matic.


See Also

OnEndEvent


TJvScreenInfo
JEDI-VCL Reference

TJvScreenInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvScreenInfo = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenInfo Properties

TJvScreenInfo	Legend

Properties

 BitsPerPixel

 Flags

 Height

 Hz

ScreenModes

ScreenResolution

 Width

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvScreenInfo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvScreenInfo


TJvScreenInfo Members

TJvScreenInfo	Legend

Members

Properties

 BitsPerPixel

 Flags

 Height

 Hz

ScreenModes

ScreenResolution

 Width

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvScreenInfo.BitsPerPixel property

TJvScreenInfo	See Also	Edit topic

Provides access to the current screen resolution.

Pascal

property BitsPerPixel: DWORD;

Description

Use BitsPerPixel to set and retrieve the screen resolution as bits per pixel.

IMPORTANT! Do not try to set an invalid or unavailable BitsPerPixel as this could potentially damage your screen! Use ScreenModes to find the available screen resolutions before changing this value

Created with Doc-O-Matic.


See Also

TJvScreenInfo.ScreenModes


TJvScreenInfo.Flags property

TJvScreenInfo	Edit topic

Specifies the device's display mode.

Pascal

property Flags: TJvDisplayFlags;

Description

Specifies the device's display mode.

Created with Doc-O-Matic.


TJvScreenInfo.Height property

TJvScreenInfo	See Also	Edit topic

Specifies the height, in pixels, of the visible device surface.

Pascal

property Height: DWORD;

Description

Specifies the height, in pixels, of the visible device surface.

Created with Doc-O-Matic.


See Also

ScreenResolution, Width


TJvScreenInfo.Hz property

TJvScreenInfo	Edit topic

Specifies the frequency, in hertz, of the display device.

Pascal

property Hz: DWORD;

Description

Specifies the frequency, in hertz (cycles per second), of the display device in a particular mode. This value is also known as the display device's vertical refresh rate.

Property Hz may return 60, which indicates the display hardware's default refresh rate. This default rate is typically set by switches on a display card or computer motherboard, or by a configuration program.

Created with Doc-O-Matic.


TJvScreenInfo.ScreenModes property

TJvScreenInfo	Edit topic

Not documented

Pascal

property ScreenModes: TJvScreenModes;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenInfo.ScreenResolution property

TJvScreenInfo	See Also	Edit topic

Not documented

Pascal

property ScreenResolution: TPoint;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

Height, Width


TJvScreenInfo.Width property

TJvScreenInfo	See Also	Edit topic

Specifies the width, in pixels, of the visible device surface.

Pascal

property Width: DWORD;

Description

Specifies the width, in pixels, of the visible device surface.

Created with Doc-O-Matic.


See Also

Height,ScreenResolution


TJvScreenMode
JEDI-VCL Reference

TJvScreenMode

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvScreenMode = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenMode Properties

TJvScreenMode	Legend

Properties

 BitsPerPixel

 Flags

 Height

 Hz

 Width

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvScreenMode

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvScreenMode


TJvScreenMode Members

TJvScreenMode	Legend

Members

Properties

 BitsPerPixel

 Flags

 Height

 Hz

 Width

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvScreenMode.BitsPerPixel property

TJvScreenMode	Edit topic

Not documented

Pascal

property BitsPerPixel: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenMode.Flags property

TJvScreenMode	Edit topic

Not documented

Pascal

property Flags: TJvDisplayFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenMode.Height property

TJvScreenMode	Edit topic

Not documented

Pascal

property Height: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenMode.Hz property

TJvScreenMode	Edit topic

Not documented

Pascal

property Hz: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenMode.Width property

TJvScreenMode	Edit topic

Not documented

Pascal

property Width: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenModes
JEDI-VCL Reference

TJvScreenModes

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvScreenModes = class(TJvReadOnlyInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenModes Properties

TJvScreenModes	Legend

Properties

 Count

Items

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvScreenModes Methods

TJvScreenModes

Methods

Refresh

Created with Doc-O-Matic.


Legend

TJvScreenModes

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvReadOnlyInfo
        TJvScreenModes


TJvScreenModes Members

TJvScreenModes	Legend

Members

Properties

 Count

Items

Methods

Refresh

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvScreenModes.Count property

TJvScreenModes	Edit topic

Not documented

Pascal

property Count: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenModes.Items property

TJvScreenModes	Edit topic

Not documented

Pascal

property Items [Index: Integer]: TJvScreenMode;

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenModes.Refresh method

TJvScreenModes	Edit topic

Not documented

Pascal

procedure Refresh;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenResolution
JEDI-VCL Reference

TJvScreenResolution

Hierarchy	Properties	Methods	 Edit topic

Enables access to the graphics modes of the default display device.

Pascal

TJvScreenResolution = class(TObject);

File

JvScreenResolution

Description

TJvScreenResolution enables you to retrieve information about the possible graphics modes, and to change the settings of the default display device.

Use Count to determine the number of graphics modes. Use Modes or GetSupportedModes to retrieve information about the possible graphics modes. Use SetMode to change the settings of the default display device.

Created with Doc-O-Matic.


TJvScreenResolution Properties

TJvScreenResolution	Legend

Properties

 Count

 Modes

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvScreenResolution Methods

TJvScreenResolution

Methods

GetSupportedModes

SetMode

Created with Doc-O-Matic.


Legend

TJvScreenResolution

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvScreenResolution


TJvScreenResolution Members

TJvScreenResolution	Legend

Members

Properties

 Count

 Modes

Methods

GetSupportedModes

SetMode

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvScreenResolution.Count property

TJvScreenResolution	See Also	Edit topic

Indicates the number of graphics modes for the display device.

Pascal

property Count: Integer;

Description

Use Count when iterating over all the graphics modes in the object.

Created with Doc-O-Matic.


See Also

TJvScreenResolution.Modes


TJvScreenResolution.Modes property

TJvScreenResolution	See Also	Edit topic

Provides indexed access to the graphics modes in the list maintained by TJvScreenResolution.

Pascal

property Modes [Index: Integer]: TDevMode;

Description

Use Items to access information about individual graphics modes. The Index parameter indicates the index of the information record, where 0 is the index of the first record, 1 is the index of the second record, and so on.

Use Items with the Count property to iterate through all of the records in the list.

Created with Doc-O-Matic.


See Also

TJvScreenResolution.Count


TJvScreenResolution.GetSupportedModes method

TJvScreenResolution	See Also	Edit topic

Retrieves all records describing the possible graphics modes for the display device.

Pascal

procedure GetSupportedModes(var Modes: array of TDevMode; var Count: Integer);

Parameters

var Modes: array of TDevMode

A record array into which the function stores information about the graphics mode. Ensure that the record is big enough to store all information.

var Count: Integer

The number of graphics modes for a display device.

Description

Use GetSupportedModes to retrieve all records describing the possible graphics modes for the display device.

Use property Count to determine the number of graphics modes for the display device.

Created with Doc-O-Matic.


See Also

TJvScreenResolution.Count, TJvScreenResolution.Modes


TJvScreenResolution.SetMode method

TJvScreenResolution	See Also	Edit topic

Changes the settings of the default display device to the specified graphics mode.

Pascal

function SetMode(Value: TDevMode): Boolean;

Return Value

Returns True when the settings change was successful and False when the settings change was unsuccessful, possibly because the computer must be restarted in order for the graphics mode to work.

Parameters

Value: TDevMode

Describes the new graphics mode.

Description

Call SetMode to change the settings of the default display device.

Created with Doc-O-Matic.


See Also

GetSupportedModes


TJvScreenSaveSuppressor
JEDI-VCL Reference

 TJvScreenSaveSuppressor

Hierarchy	Properties	Events	Package	 Edit topic

Not documented

Pascal

TJvScreenSaveSuppressor = class(TJvComponent);

File

JvScreenSaveSuppress

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenSaveSuppressor Properties

TJvScreenSaveSuppressor	Legend

Properties

 Active

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvScreenSaveSuppressor Events

TJvScreenSaveSuppressor	Legend

Events

 OnScreenSave

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvScreenSaveSuppressor

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvScreenSaveSuppressor


TJvScreenSaveSuppressor Members

TJvScreenSaveSuppressor	Legend

Members

Properties

 Active

TJvComponent

 AboutJVCL

Events

 OnScreenSave

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

System


TJvScreenSaveSuppressor.Active property

TJvScreenSaveSuppressor	Edit topic

Not documented

Pascal

property Active: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScreenSaveSuppressor.OnScreenSave event

TJvScreenSaveSuppressor	Edit topic

Not documented

Pascal

TJvScreenSaveEvent = procedure (var Handled: Boolean) of object;
property OnScreenSave: TJvScreenSaveEvent;

Parameters

Handled

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScrollBar
JEDI-VCL Reference

 TJvScrollBar

Hierarchy	Properties	Events	Package	 Edit topic

Supports extended features such as hot tracking.

Pascal

TJvScrollBar = class(TJvExScrollBar);

File

JvScrollBar

Description

TJvScrollBar is a scroll bar that supports extended features such as hot tracking. It adds events to TScrollBar: OnParentColorChange, OnMouseEnter and OnMouseLeave.

Use OnMouseEnter and OnMouseLeave to alter the controls look or behavior, when the user moves the mouse pointer over the control.

Alternatively, you could use property HotTrack to highlight the scroll bar automatically when the mouse passes over it.

Property HintColor can be used to set a different color of the Help hint boxes for the scroll bar.

A TJvScrollBar scroll bar can contain objects, such as TButton and TLabel objects.

Created with Doc-O-Matic.


TJvScrollBar Properties

TJvScrollBar	Legend

Properties

 HintColor

 HotTrack

TJvExScrollBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvScrollBar Events

TJvScrollBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExScrollBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvScrollBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TScrollBar, IJvExControl
        TJvExScrollBar
            TJvScrollBar


TJvScrollBar Members

TJvScrollBar	Legend

Members

Properties

 HintColor

 HotTrack

TJvExScrollBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExScrollBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvScrollBar.HintColor property

TJvScrollBar	See Also	Edit topic

Determines the color of the hint boxes for the Help Hints for the scroll bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


See Also

TJvScrollBar.HotTrack


TJvScrollBar.HotTrack property

TJvScrollBar	See Also	Edit topic

Specifies whether the scroll bar is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback when the mouse passes over the scroll bar. When HotTrack is false, there is no visual feedback when the mouse passes over the scroll bar.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvScrollBar.OnMouseEnter event

TJvScrollBar	See Also	Edit topic

Occurs when the mouse pointer moves over the scroll bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the scroll bar.

Created with Doc-O-Matic.


See Also

TJvExScrollBar.OnMouseLeave


TJvScrollBar.OnMouseLeave event

TJvScrollBar	See Also	Edit topic

Occurs when the mouse pointer moves off the scroll bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the scroll bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExScrollBar.OnMouseEnter


TJvScrollBar.OnParentColorChange event

TJvScrollBar	Edit topic

Occurs when the color property for the parent of the scroll bar changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvScrollBox
JEDI-VCL Reference

 TJvScrollBox

Hierarchy	Properties	Events	Package	 Edit topic

Supports extended features such as hot tracking, and responds to navigational key combinations.

Pascal

TJvScrollBox = class(TJvExScrollBox);

File

JvScrollBox

Description

TJvScrollBox is a scroll box that supports extended features such as hot tracking, and responds to navigational key combinations.

You can use OnMouseEnter and OnMouseLeave to alter the controls look or behavior, when the user moves the mouse pointer over the control. Alternatively, you can use property HotTrack to highlight the scroll box automatically when the mouse passes over it.

Use OnHorizontalScroll and OnVerticalScroll to take action when the user scrolls the specified scroll bar.

Property HintColor can be used to set a different color of the Help hint boxes for the scroll box.

TJvScrollBox scrolls the box in response to the following navigational key combinations:
Key	Action
UP ARROW	Scrolls one line up.
DOWN ARROW	Scrolls one line down.
LEFT ARROW	Scrolls left by one unit.
RIGHT ARROW	Scrolls right by one unit.
PAGE DOWN + Shift	Scrolls right by the width of the window.
PAGE DOWN	Scrolls one page down.
PAGE UP + Shift	Scrolls left by the width of the window.
PAGE UP	Scrolls one page up.
HOME + Shift	Scrolls to the upper left.
HOME	Scrolls to the left.
END + Shift	Scrolls to the lower right.
END	Scrolls to the right.
Created with Doc-O-Matic.


TJvScrollBox Properties

TJvScrollBox	Legend

Properties

 HintColor

 HotTrack

TJvExScrollBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvScrollBox Events

TJvScrollBox	Legend

Events

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnVerticalScroll

TJvExScrollBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvScrollBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TScrollBox, IJvExControl
        TJvExScrollBox
            TJvScrollBox


TJvScrollBox Members

TJvScrollBox	Legend

Members

Properties

 HintColor

 HotTrack

TJvExScrollBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnHorizontalScroll

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnVerticalScroll

TJvExScrollBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvScrollBox.HintColor property

TJvScrollBox	See Also	Edit topic

Determines the color of the hint boxes for the Help Hints for the scroll box.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


See Also

TJvScrollBox.HotTrack


TJvScrollBox.HotTrack property

TJvScrollBox	See Also	Edit topic

Specifies whether the scroll box is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse. When HotTrack is False, there is no visual feedback when the mouse passes over this control.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvScrollBox.OnHorizontalScroll event

TJvScrollBox	See Also	Edit topic

Occurs when the user scrolls the horizontal scroll bar with the mouse or keyboard.

Pascal

property OnHorizontalScroll: TNotifyEvent;

Description

Write an OnHorizontalScroll event handler to take specific action when the user scrolls the horizontal scroll bar.

Created with Doc-O-Matic.


See Also

TJvScrollBox.OnVerticalScroll


TJvScrollBox.OnMouseEnter event

TJvScrollBox	See Also	Edit topic

Occurs when the mouse pointer moves over the scroll box.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the scroll box.

Created with Doc-O-Matic.


See Also

TJvExScrollBox.OnMouseLeave


TJvScrollBox.OnMouseLeave event

TJvScrollBox	See Also	Edit topic

Occurs when the mouse pointer moves off the scroll box.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the scroll box. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExScrollBox.OnMouseEnter


TJvScrollBox.OnParentColorChange event

TJvScrollBox	Edit topic

Occurs when the color property for the parent of the scroll box changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvScrollBox.OnVerticalScroll event

TJvScrollBox	See Also	Edit topic

Occurs when the user scrolls the vertical scroll bar with the mouse or keyboard.

Pascal

property OnVerticalScroll: TNotifyEvent;

Description

Write an OnVerticalScroll event handler to take specific action when the user scrolls the vertical scroll bar.

Created with Doc-O-Matic.


See Also

TJvScrollBox.OnHorizontalScroll


TJvScrollButton
JEDI-VCL Reference

TJvScrollButton

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvScrollButton = class(TJvCustomControl);

File

JvScrollPanel

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScrollButton Properties

TJvScrollButton	Legend

Properties

 AutoRepeat

 Flat

 Increment

 Kind

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvScrollButton

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvScrollButton


TJvScrollButton Members

TJvScrollButton	Legend

Members

Properties

 AutoRepeat

 Flat

 Increment

 Kind

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvScrollButton.AutoRepeat property

TJvScrollButton	Edit topic

Not documented

Pascal

property AutoRepeat: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScrollButton.Flat property

TJvScrollButton	Edit topic

Not documented

Pascal

property Flat: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScrollButton.Increment property

TJvScrollButton	Edit topic

Not documented

Pascal

property Increment: Word;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScrollButton.Kind property

TJvScrollButton	Edit topic

Not documented

Pascal

property Kind: TJvScrollKind;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScrollingWindow
JEDI-VCL Reference

 TJvScrollingWindow

Hierarchy	Properties	Events	Package	 See Also	Edit topic

Represents a scrolling toolbar.

Pascal

TJvScrollingWindow = class(TJvCustomScrollPanel);

File

JvScrollPanel

Description

Use TJvScrollingWindow to create a scrollable container for controls. TJvScrollingWindow represents a horizontally or vertically oriented toolbar that contains scroll buttons to scroll its content. Use property ScrollDirection to specify whether the user can scroll the content horizontally or vertically.

You can use component TJvDivider to act as a spacer or divider, so it can group controls on the scrolling panel both visually and functionally.

Created with Doc-O-Matic.


TJvScrollingWindow Properties

TJvScrollingWindow	Legend

Properties

 AutoArrange

 AutoHide

 AutoRepeat

 Flat

 ScrollAmount

 ScrollDirection

TJvCustomScrollPanel

 AutoArrange

 AutoHide

 AutoRepeat

 Flat

 ScrollAmount

 ScrollDirection

TJvExToolWindow

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvScrollingWindow Events

TJvScrollingWindow	Legend

Events

 OnScrolled

 OnScrolling

TJvCustomScrollPanel

 OnScrolled

 OnScrolling

TJvExToolWindow

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvScrollingWindow

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TToolWindow, IJvExControl
        TJvExToolWindow
            TJvCustomScrollPanel
                TJvScrollingWindow


TJvScrollingWindow Members

TJvScrollingWindow	Legend

Members

Properties

 AutoArrange

 AutoHide

 AutoRepeat

 Flat

 ScrollAmount

 ScrollDirection

TJvCustomScrollPanel

 AutoArrange

 AutoHide

 AutoRepeat

 Flat

 ScrollAmount

 ScrollDirection

TJvExToolWindow

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnScrolled

 OnScrolling

TJvCustomScrollPanel

 OnScrolled

 OnScrolling

TJvExToolWindow

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


See Also

TJvDivider


Package

Ctrls


TJvScrollingWindow.AutoArrange property

TJvScrollingWindow	See Also	Edit topic

Determines whether the controls on the scrolling panel are automatically rearranged if ScrollDirection changes.

Pascal

property AutoArrange: Boolean;

Description

If AutoArrange is True and ScrollDirection changes then the control swaps the Left and Top values, and the Width and Height values of all controls in the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.ScrollDirection


TJvScrollingWindow.AutoHide property

TJvScrollingWindow	See Also	Edit topic

Indicates whether the scroll buttons hide automatically on the scrolling panel control if it is large enough to display all of its controls.

Pascal

property AutoHide: Boolean;

Description

If AutoHide is True the scroll bars hide automatically when necessary. For example, if the user scrolls the control so that all of its controls are visible, the scroll buttons hide.

If AutoHide is False, the scroll buttons don’t hide automatically.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.AutoRepeat, TJvCustomScrollPanel.ScrollAmount


TJvScrollingWindow.AutoRepeat property

TJvScrollingWindow	See Also	Edit topic

Determines whether the scroll panel continues to be scrolled at regular intervals while a scroll button is in the depressed state.

Pascal

property AutoRepeat: Boolean;

Description

If AutoRepeat is set to False, the scroll panel scrolls only once while a scroll button is depressed. If AutoRepeat is set to True, the scroll panel continues to be scrolled at regular intervals while a scroll button is in the depressed state.

The default value is False

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.AutoHide, TJvCustomScrollPanel.ScrollAmount


TJvScrollingWindow.Flat property

TJvScrollingWindow	Edit topic

Determines whether the scroll buttons have a three-dimensional (3-D) look with borders or two-dimensional look without borders.

Pascal

property Flat: Boolean;

Description

When Flat is True, the scroll buttons appear flat and do not have borders separating them. When Flat is False, the buttons are clearly defined.

Created with Doc-O-Matic.


TJvScrollingWindow.OnScrolled event

TJvScrollingWindow	See Also	Edit topic

Occurs after the user has scrolled the scrolling panel.

Pascal

property OnScrolled: TJvScrolledEvent;

Parameters

Sender

The scrolling panel control that has been scrolled.

Kind

Specifies the kind of scroll.

Description

Write an OnScrolled event handler to take specific action when the user finishes scrolling the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.OnScrolling, TJvCustomScrollPanel.ScrollAmount


TJvScrollingWindow.OnScrolling event

TJvScrollingWindow	See Also	Edit topic

Occurs when the user tries to scroll the scrolling panel by pressing a scroll button.

Pascal

property OnScrolling: TJvScrollingEvent;

Parameters

Sender

The scrolling panel control the user tries to scroll.

AllowChange

Indicates whether the scroll should be permitted.

Kind

Specifies the kind of scroll.

Description

Write an OnScrolling event handler to conditionally prevent the user from scrolling the scrolling panel.

Set AllowChange to False to disallow any scrolling of the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.OnScrolled, TJvCustomScrollPanel.ScrollAmount


TJvScrollingWindow.ScrollAmount property

TJvScrollingWindow	See Also	Edit topic

Determines how much the position of controls in the scrolling panel changes when the user clicks the scroll buttons on the scrolling panel.

Pascal

property ScrollAmount: Word;

Description

Set ScrollAmount to specify how much to change the position of controls in the scrolling panel, when the user clicks on the scroll buttons.

Property ScrollDirection determines whether the scroll is horizontally or vertically.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.ScrollDirection


TJvScrollingWindow.ScrollDirection property

TJvScrollingWindow	See Also	Edit topic

Specifies how the user can scroll the scrolling panel.

Pascal

property ScrollDirection: TJvScrollDirection;

Description

Set ScrollDirection to specify how the user can scroll the scrolling panel.

Created with Doc-O-Matic.


See Also

TJvCustomScrollPanel.AutoHide, TJvCustomScrollPanel.ScrollAmount


TJvScrollText
JEDI-VCL Reference

 TJvScrollText

Hierarchy	Properties	Methods	Package	 Edit topic

Can scroll multiple lines of text.

Pascal

TJvScrollText = class(TJvCustomControl);

File

JvScrollText

Description

Use TJvScrollText to scroll multiple lines of text.

Use Items to specify the text.

Use ScrollDirection to determine how text is scrolled within the control.

Use Delay to specify the interval between refresh events.

Set Active to true to scroll the text.

Created with Doc-O-Matic.


TJvScrollText Properties

TJvScrollText	Legend

Properties

 Active

 Alignment

 BackgroundColor

 Delay

 Font

 Items

 ScrollDirection

 ScrollPixels

 WordWrap

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvScrollText Methods

TJvScrollText	Legend

Methods

 Pause

 Reset

 Unpause

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvScrollText

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvScrollText


TJvScrollText Members

TJvScrollText	Legend

Members

Properties

 Active

 Alignment

 BackgroundColor

 Delay

 Font

 Items

 ScrollDirection

 ScrollPixels

 WordWrap

Methods

 Pause

 Reset

 Unpause

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Ctrls


TJvScrollText.Active property

TJvScrollText	See Also	Edit topic

Indicates whether the text is scrolling in the control.

Pascal

property Active: Boolean;

Description

Set Active to true to scroll the text. Set Active to false to interrupt the scrolling.

Created with Doc-O-Matic.


See Also

TJvScrollText.Pause, TJvScrollText.Reset, TJvScrollText.Unpause


TJvScrollText.Alignment property

TJvScrollText	See Also	Edit topic

Determines how the scroll text is aligned within the control.

Pascal

property Alignment: TAlignment;

Description

The possible values of Alignment are

Value	Meaning
taLeftJustify	Text is aligned at the left of the control.
taCenter	Text is centered in the control.
taRightJustify	Text is aligned at the right of the control.
Created with Doc-O-Matic.


See Also

TJvScrollText.Items


TJvScrollText.BackgroundColor property

TJvScrollText	Edit topic

Specifies the background color of the control.

Pascal

property BackgroundColor: TColor;

Description

Use Color to read or change the background color of the control.

Created with Doc-O-Matic.


TJvScrollText.Delay property

TJvScrollText	See Also	Edit topic

Determines the amount of time, in milliseconds, between two refreshes of the control.

Pascal

property Delay: Cardinal;

Description

Delay determines how frequently a refresh of the control occurs. Each time the specified time passes, the position of the text on the control changes.

Use Delay to specify any cardinal value as the interval between refresh events. The default value is 50 (1/20 second).

Created with Doc-O-Matic.


See Also

TJvScrollText.Active


TJvScrollText.Font property

TJvScrollText	See Also	Edit topic

Controls the attributes of the scroll text in the control.

Pascal

property Font: TFont;

Description

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvScrollText.Items


TJvScrollText.Items property

TJvScrollText	See Also	Edit topic

Contains the strings that appear in the scroll box.

Pascal

property Items: TStrings;

Description

Use Items to add, insert, delete and move items. Items is of type TStringList. Use this item type to access its methods or properties to manipulate the items in the list.

Created with Doc-O-Matic.


See Also

TJvScrollText.Font


TJvScrollText.ScrollDirection property

TJvScrollText	Edit topic

Determines how text is scrolled within the control.

Pascal

property ScrollDirection: TJvScrollTextDirection;

Description

The possible values of ScrollDirection are

Value	Meaning
drFromLeft	Text is scrolled from left to right.
drFromRight	Text is scrolled from right to left.
drFromTop	Text is scrolled from top to bottom.
drFromBottom	Text is scrolled from bottom to top.
Created with Doc-O-Matic.


TJvScrollText.ScrollPixels property

TJvScrollText	See Also	Edit topic

Determines the amount of pixels the text is moved per scroll event.

Pascal

property ScrollPixels: Integer;

Description

Use ScrollPixels to set the number of pixels that the text will move per refresh. If ScrollPixels is 0, the text on the control won't move at all.

The default value for ScrollPixels is 1.

Created with Doc-O-Matic.


See Also

Delay


TJvScrollText.WordWrap property

TJvScrollText	Edit topic

Not documented

Pascal

property WordWrap: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvScrollText.Pause method

TJvScrollText	See Also	Edit topic

Pauses scrolling the text.

Pascal

procedure Pause;

Description

Call Pause to pause scrolling the text. Pause will decrease ScrollPixels until its equal to 0.

Created with Doc-O-Matic.


See Also

TJvScrollText.Reset, TJvScrollText.ScrollPixels, TJvScrollText.Unpause


TJvScrollText.Reset method

TJvScrollText	See Also	Edit topic

Resets the text position.

Pascal

procedure Reset;

Description

Call Reset to reposition the text to its start position.

Created with Doc-O-Matic.


See Also

TJvScrollText.Pause, TJvScrollText.Unpause


TJvScrollText.Unpause method

TJvScrollText	See Also	Edit topic

Resumes scrolling the text.

Pascal

procedure Unpause;

Description

Call Resume to resume scrolling the text. Resume will increase ScrollPixels until its equal to the value specified by the user.

Created with Doc-O-Matic.


See Also

TJvScrollText.Pause, TJvScrollText.Reset, TJvScrollText.ScrollPixels


TJvSearchAttributes
JEDI-VCL Reference

TJvSearchAttributes

Hierarchy	Properties	 Edit topic

Represents an attribute filter for files and directories.

Pascal

TJvSearchAttributes = class(TPersistent);

File

JvSearchFiles

Description

TJvSearchParams uses the TJvSearchAttributes object to limit the search result to files and directories whose attributes match with the values described by TJvSearchAttributes.

Use IncludeAttr at run-time to specify the attributes that must be set for files and directories to be included in the search result.

Use ExcludeAttr at run-time to specify the attributes that must not be set for files and directories to be included in the search result.

Use the other properties to specify per attribute whether it must be included, must not be included, or may be included.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


TJvSearchAttributes Properties

TJvSearchAttributes	Legend

Properties

 Archive

 Compressed

 Encrypted

ExcludeAttr

 Hidden

IncludeAttr

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

 ReparsePoint

 SparseFile

 System

 Temporary

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvSearchAttributes

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvSearchAttributes


TJvSearchAttributes Members

TJvSearchAttributes	Legend

Members

Properties

 Archive

 Compressed

 Encrypted

ExcludeAttr

 Hidden

IncludeAttr

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

 ReparsePoint

 SparseFile

 System

 Temporary

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSearchAttributes.Archive property

TJvSearchAttributes	See Also	Edit topic

Specifies whether archive files or directories must be included in the search result.

Pascal

property Archive: TJvAttrFlagKind;

Description

Set Archive to tsMustBeSet to only include archive files or directories in the search result. Set Archive to tsMustBeUnSet to exclude these files or directories. If Archive is set to tsDontCare then archive files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.Compressed property

TJvSearchAttributes	See Also	Edit topic

Specifies whether compressed files or directories must be included in the search result.

Pascal

property Compressed: TJvAttrFlagKind;

Description

Set Compressed to tsMustBeSet to only include compressed files or directories in the search result. Set Compressed to tsMustBeUnSet to exclude these files or directories. If Compressed is set to tsDontCare then compressed files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.Encrypted property

TJvSearchAttributes	See Also	Edit topic

Specifies whether encrypted files or directories must be included in the search result.

Pascal

property Encrypted: TJvAttrFlagKind;

Description

Set Encrypted to tsMustBeSet to only include encrypted files or directories in the search result. Set Encrypted to tsMustBeUnSet to exclude these files or directories. If Encrypted is set to tsDontCare then encrypted files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.ExcludeAttr property

TJvSearchAttributes	See Also	Edit topic

Specifies the attributes that must not be set for files and directories to be included in the search result.

Pascal

property ExcludeAttr: DWORD;

Description

Read ExcludeAttr to determine the attributes of a file or directory that must not be set, for it to be included in the search result. Set ExcludeAttr to specify the exclude attributes at once. Use the other properties of TJvSearchAttributes to specify the exclude attributes per attribute.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.IncludeAttr


TJvSearchAttributes.Hidden property

TJvSearchAttributes	See Also	Edit topic

Specifies whether hidden files or directories must be included in the search result.

Pascal

property Hidden: TJvAttrFlagKind;

Description

Set Hidden to tsMustBeSet to only include files or directories that are not included in an ordinary directory listing, in the search result. Set Hidden to tsMustBeUnSet to exclude these files or directories. If Hidden is set to tsDontCare then hidden files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.IncludeAttr property

TJvSearchAttributes	See Also	Edit topic

Specifies the attributes that must be set for files and directories to be included in the search result.

Pascal

property IncludeAttr: DWORD;

Description

Read IncludeAttr to determine the attributes of a file or directory that must be set, for it to be included in the search result. Set IncludeAttr to specify the include attributes at once. Use the other properties of TJvSearchAttributes to specify the include attributes per attribute.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.ExcludeAttr


TJvSearchAttributes.Normal property

TJvSearchAttributes	See Also	Edit topic

Specifies whether normal files must be included in the search result.

Pascal

property Normal: TJvAttrFlagKind;

Description

Normal files are files that have no other attributes set. Directories do not have this attribute set.

Set Normal to tsMustBeSet to only include normal files in the search result. If an other attribute is as well set to tsMustBeSet, it will give an empty search result. Set Normal to tsMustBeUnSet to exclude these files. If Normal is set to tsDontCare then normal files aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.NotContentIndexed property

TJvSearchAttributes	See Also	Edit topic

Specifies whether non-indexed files or directories must be included in the search result.

Pascal

property NotContentIndexed: TJvAttrFlagKind;

Description

Set NotContentIndexed to tsMustBeSet to only include files or directories that will not be indexed by the content indexing service, in the search result. Set NotContentIndexed to tsM stBeUnSet to exclude these files or directories. If NotContentIndexed is set to tsDontCare then non-indexed files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.OffLine property

TJvSearchAttributes	See Also	Edit topic

Specifies whether files or directories marked as off-line must be included in the search result.

Pascal

property OffLine: TJvAttrFlagKind;

Description

Set OffLine to tsMustBeSet to only include files or directories marked as off-line in the search result. Set OffL ne to tsMustBeUnSet to exclude these files or directories. If OffLine is set to tsDontCare then off-line files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.ReadOnly property

TJvSearchAttributes	See Also	Edit topic

Specifies whether read-only files or directories must be included in the search result.

Pascal

property ReadOnly: TJvAttrFlagKind;

Description

Set ReadOnly to tsMustBeSet to only include read-only files or directories in the search result. Set ReadOnly to tsMustBeUnSet to exclude these files or directories. If ReadOnly is set to tsDontCare then read-only files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.ReparsePoint property

TJvSearchAttributes	See Also	Edit topic

Specifies whether files or directories with an associated reparse point must be included in the search result.

Pascal

property ReparsePoint: TJvAttrFlagKind;

Description

Set ReparsePoint to tsMustBeSet to only include files or directories with an associated reparse point, in the search result. Set ReparsePoint to tsMustBeUnSet to exclude these files or directories. If ReparsePoint is set to tsDontCare then files or directories with a reparse point aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.SparseFile property

TJvSearchAttributes	See Also	Edit topic

Specifies whether sparse files must be included in the search result.

Pascal

property SparseFile: TJvAttrFlagKind;

Description

Set SparseFile to tsMustBeSet to only include sparse files in the search result. Set SparseFile to tsMustBeUnSet to exclude these files. If SparseFile is set to tsDontCare then sparse files aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Notes

Directories can't have this attribute set.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.System, TJvSearchAttributes.Temporary


TJvSearchAttributes.System property

TJvSearchAttributes	See Also	Edit topic

Specifies whether system files or directories must be included in the search result.

Pascal

property System: TJvAttrFlagKind;

Description

Set System to tsMustBeSet to only include files or directories that are part of the operating system or that are used exclusively by the operating system, in the search result. Set System to tsMustBeUnSet to exclude these files or directories. If System is set to tsDontCare then system files or directories aren't excluded in the search result.

Include stAttribute in SearchTypes to actually limit the search result.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.Temporary


TJvSearchAttributes.Temporary property

TJvSearchAttributes	See Also	Edit topic

Specifies whether temporary files must be included in the search result.

Pascal

property Temporary: TJvAttrFlagKind;

Description

Set Temporary to tsMustBeSet to only include files that are being used for temporary storage, in the search result. Set Temporary to tsMustBeUnSet to exclude these files. If Temporary is set to tsDontCare then temporary files aren't excluded in the search result.

Notes

Directories can't have this attribute set.

Created with Doc-O-Matic.


See Also

TJvSearchAttributes.Archive, TJvSearchAttributes.Compressed, TJvSearchAttributes.Encrypted, TJvSearchAttributes.Hidden, TJvSearchAttributes.Normal, TJvSearchAttributes.NotContentIndexed, TJvSearchAttributes.OffLine, TJvSearchAttributes.ReadOnly, TJvSearchAttributes.ReparsePoint, TJvSearchAttributes.SparseFile, TJvSearchAttributes.System


TJvSearchFiles
JEDI-VCL Reference

 TJvSearchFiles

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Enables you to search for files and directories.

Pascal

TJvSearchFiles = class(TJvComponent);

File

JvSearchFiles

Description

Use TJvSearchFiles to perform a search operation for files and directories.

First use the properties of TJvSearchFiles to specify how and what to search for:

Use RootDirectory to specify the start directory for the search.

Use DirOption to specify whether the component must only scan the start directory, must also scan in valid - as specified by DirParams - sub-directories or must scan in all sub-directories.

Use ErrorResponse to specify how a TJvSearchFiles component should react on errors.

Use FileParams to specify which files are included in the search result. Include soSearchFiles in Options to actually search for files.

Use DirParams to specify which directories are included in the search result. If DirOption is set to doExcludeInvalidDirs or doExcludeCompleteInvalidDirs then DirParams also limits the search to sub-directories that match to the parameters specified by DirParams. Include soSearchDirs in Options to actually search for directories.

Use Options to specify various behavioral properties of the search component.

Some work can be done by the component or by the user:

TJvSearchFiles can store all found files and directories in Files and Directories resp., or this can be done by the user in response of OnFindFile and OnFindDirectory events. Include soOwnerData in Options to let the component not store found files and directories.

FileParams and DirParams can be used to limit the search result to files and directories that match the parameters described by these objects, or this can be done by the user in response of the OnCheck event.

After setting these properties you can call Search to start the search operation. Now the following events will be triggered during the search operation:

OnBeginScanDir: when the component starts scanning a directory.

OnCheck: when the component needs to check if a file or directory is valid. If you don't write an OnCheck event handler, then the component uses the DirParams and FileParams object to determine if a file or directory is valid.

OnFindFile: when the component finds a valid file.

OnFindDirectory: when the component finds a valid directory.

OnAbort: when the user aborts the search operation by calling Abort.

While searching the component updates the TotalDirectories, TotalFiles, and TotalFileSize properties, if a file or directory is found.

Eventually the search operation will end with result False, if an error occurred or the user did abort the operation, or otherwise with result True.

For examples on how to search for specific file, look here.

Created with Doc-O-Matic.


TJvSearchFiles Properties

TJvSearchFiles	Legend

Properties

 Directories

 DirOption

 DirParams

 ErrorResponse

 FileParams

 Files

 FindData

 IsRootDirValid

 Options

 RecurseDepth

 RootDirectory

 Searching

 TotalDirectories

 TotalFiles

 TotalFileSize

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvSearchFiles Events

TJvSearchFiles	Legend

Events

 OnAbort

 OnBeginScanDir

 OnCheck

 OnError

 OnFindDirectory

 OnFindFile

 OnProgress

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSearchFiles Methods

TJvSearchFiles

Methods

Abort

Search

Created with Doc-O-Matic.


Legend

TJvSearchFiles

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvSearchFiles


TJvSearchFiles Members

TJvSearchFiles	Legend

Members

Properties

 Directories

 DirOption

 DirParams

 ErrorResponse

 FileParams

 Files

 FindData

 IsRootDirValid

 Options

 RecurseDepth

 RootDirectory

 Searching

 TotalDirectories

 TotalFiles

 TotalFileSize

TJvComponent

 AboutJVCL

Events

 OnAbort

 OnBeginScanDir

 OnCheck

 OnError

 OnFindDirectory

 OnFindFile

 OnProgress

Methods

Abort

Search

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Package

System


TJvSearchFiles.Directories property

TJvSearchFiles	See Also	Edit topic

Returns a list of the found directory names.

Pascal

property Directories: TStrings;

Description

Directories is a string list that contains each found directory name. If soStripDirs is included in Options, only the directory name is stored. Otherwise the directory name is stored with its full directory path.

soOwnerData must not be included in Options, but soSearchDirs must be included, otherwise Directories stays empty.

Use properties and methods for string lists to traverse this list of directories and read individual items.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Files, TJvSearchFiles.Options


TJvSearchFiles.DirOption property

TJvSearchFiles	See Also	Edit topic

Specifies the kind of directory search.

Pascal

property DirOption: TJvDirOption;

Description

Use DirOption to specify the kind of directory search. Use DirOption to specify to

Only search in the directory specified by RootDirectory.

Search in RootDirectory and all its sub-directories.

Search in RootDirectory and all its sub-directories, but not in directories that do not meet the parameters specified by DirParams.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.RecurseDepth


TJvSearchFiles.DirParams property

TJvSearchFiles	See Also	Edit topic

Specifies which directories are included in the search result or in which directories must be searched for files or directories

Pascal

property DirParams: TJvSearchParams;

Description

If DirOption is set to doExcludeSubDirs or doIncludeSubDirs, then DirParams specifies which directories are included in the search result. If DirOption is set to doExcludeInvalidDirs or doExcludeCompleteInvalidDirs, then it also specifies in which directories must be searched for files or directories.

Include soSearchDirs in Options to actually search for directories.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.FileParams, TJvSearchFiles.Options


TJvSearchFiles.ErrorResponse property

TJvSearchFiles	Edit topic

Specifies how to react on errors.

Pascal

property ErrorResponse: TJvErrorResponse;

Description

Use ErrorResponse to specify how the file search component should react on errors. Possible values are:

Value	Meaning
erAbort	Aborts the entire search operation; Search will return with result False.
erIgnore	Aborts the search operation in the directory where the error occurred, and continues in the next.
erRaise	Raises a system error.
Created with Doc-O-Matic.


TJvSearchFiles.FileParams property

TJvSearchFiles	See Also	Edit topic

Specifies which files are included in the search result.

Pascal

property FileParams: TJvSearchParams;

Description

Use FileParams to specify which files are included in the search result. Use property SearchTypes to specify

Include soSearchFiles in Options to actually search for files.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.DirParams, TJvSearchFiles.Options


TJvSearchFiles.Files property

TJvSearchFiles	See Also	Edit topic

Returns a list of the found file names.

Pascal

property Files: TStrings;

Description

Files is a string list that contains each found file name. If soStripDirs is included in Options, only the file name is stored. Otherwise the file name is stored with its full directory path.

soOwnerData must not be included in Options, but soSearchFiles must be included, otherwise Files stays empty.

Use properties and methods for string lists to traverse this list of files and read individual items.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Directories, TJvSearchFiles.Options


TJvSearchFiles.FindData property

TJvSearchFiles	Edit topic

Describes a file or directory.

Pascal

property FindData: TWin32FindData;

Description

Use FindData in an OnCheck, OnFindDirectory or OnFindFile event handler to determine the characteristics of the file or directory that has been found by the search component.

Created with Doc-O-Matic.


TJvSearchFiles.IsRootDirValid property

TJvSearchFiles	See Also	Edit topic

Indicates if the root directory is valid.

Pascal

property IsRootDirValid: Boolean;

Description

Read IsRootDirValid to determine if the directory specified by RootDirectory is valid as specified by DirParams.

If IsRootDirValid is False and soCheckRootDirValid is included in Options then no search for files or directories is performed in that directory. If DirOption also equals doExcludeSubDirs or doExcludeCompleteInvalidDirs then no s arch at all is performed. Otherwise the component only searches for files or directories in the sub-directories of the root directory and not in the root directory self.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.DirParams, TJvSearchFiles.Options, TJvSearchFiles.RootDirectory


TJvSearchFiles.OnAbort event

TJvSearchFiles	See Also	Edit topic

Occurs when the user calls Abort while the component is searching for files.

Pascal

property OnAbort: TNotifyEvent;

Description

Use the OnAbort event handler to respond when the user aborts the search operation.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Abort


TJvSearchFiles.OnBeginScanDir event

TJvSearchFiles	See Also	Edit topic

Occurs when the component starts searching for files and directories in a directory.

Pascal

property OnBeginScanDir: TJvFileSearchEvent;

Description

Use the OnBeginScanDir event handler to respond when the component starts searching for files and directories in a directory.

Parameter AName specifies the name and full directory path of the directory.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.OnFindDirectory, TJvSearchFiles.OnFindFile


TJvSearchFiles.OnCheck event

TJvSearchFiles	See Also	Edit topic

Occurs if a file or directory needs to be checked whether it's valid.

Pascal

TJvCheckEvent = procedure (Sender: TObject; var Result: Boolean) of object;
property OnCheck: TJvCheckEvent;

Parameters

FindData

is invalid. Set Result to True to indicate that it is a valid file or directory.

Result

Set Result to False to indicate that the current file or directory - as specified by

Sender

The TJvSearchFiles component that has sent this event.

Description

Write an OnCheck event handler to programmatically filter the files and directories that are valid.

Use FindData to determine the type of directory or file currently being checked.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.FindData


TJvSearchFiles.OnError event

TJvSearchFiles	See Also	Edit topic

Occurs if an error occurred while scanning for files or directories.

Pascal

TJvSearchFilesError = procedure (Sender: TObject; var Handled: Boolean) of object;
property OnError: TJvSearchFilesError;

Parameters

Handled

Set Handled to True if the OnError event handler successfully deals with the error condition, to prevent an error from being raised, or to prevent an abort of the search operation. If Handled is set to False, the component will handle the error as specified by the ErrorResponse property.

Sender

The TJvSearchFiles component that has sent this event.

Description

Use the OnError event handler to respond to errors that occurred while scanning for files or directories.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.ErrorResponse


TJvSearchFiles.OnFindDirectory event

TJvSearchFiles	See Also	Edit topic

Occurs when a valid directory is found.

Pascal

property OnFindDirectory: TJvFileSearchEvent;

Description

Write an OnFindDirectory event handler to respond when the search component finds a valid directory. Use FindData to determine the characteristics of the directory that has been found.

Parameter AName indicates the directory. If soStripDirs is excluded from Options, AName includes the full directory path of the directory.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.OnBeginScanDir, TJvSearchFiles.OnFindFile, TJvSearchFiles.Options


TJvSearchFiles.OnFindFile event

TJvSearchFiles	See Also	Edit topic

Occurs when a valid file is found.

Pascal

property OnFindFile: TJvFileSearchEvent;

Description

Write an OnFindFile event handler to respond when the search component finds a valid file. Use FindData to determine the characteristics of the file that has been found.

Parameter AName Indicates the name of the file. If soStripDirs is excluded from Options, AName includes the full directory path of the file.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.OnBeginScanDir, TJvSearchFiles.OnFindDirectory, TJvSearchFiles.Options


TJvSearchFiles.OnProgress event

TJvSearchFiles	See Also	Edit topic

Occurs periodically during search operations.

Pascal

property OnProgress: TNotifyEvent;

Description

Write an OnProgress event handler to keep the user interface of your program responsive. It also gives you a change to call Abort.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Abort


TJvSearchFiles.Options property

TJvSearchFiles	Edit topic

Specifies various behavioral properties of the search component.

Pascal

property Options: TJvSearchOptions;

Description

Use Options to

Specify whether to search for files, directories or both.

Control the format of the Files and Directories lists.

Specify whether to search in the start directory as specified by RootDirectory.

By default, all options except soSearchFiles are off.

Created with Doc-O-Matic.


TJvSearchFiles.RecurseDepth property

TJvSearchFiles	See Also	Edit topic

Specifies the maximum depth of a search.

Pascal

property RecurseDepth: Integer;

Description

Use RecurseDepth to specify a maximum depth for a search. If set to 0, all subfolders are searched. Otherwise all subfolders with a depth smaller than or equal to RecurseDepth are searched.

The root directory has depth 0, subfolders of the root directory have depth 1, subfolders of subfolders of the root directory have depth 2, etc.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.DirOption


TJvSearchFiles.RootDirectory property

TJvSearchFiles	See Also	Edit topic

Specifies the directory in which the component starts searching for files and directories.

Pascal

property RootDirectory: string;

Description

Use RootDirectory to specify the directory in which the component must start searching for files and directories. Use DirOption to specify if it also must search in the sub-directories of RootDirectory.

Include soExcludeFilesInRootDir in Options to disable searching for files or directories in RootDirectory, and only search in its sub-directories. (If DirOption equals doExcludeSubDirs then no search at all is performed.)

Include soCheckRootDirValid in Options to disable searching for files or directories in RootDirectory, if it isn't a valid directory as specified by DirParams. If so, the component only searches in the sub-directories of RootDirectory. (If DirOption equals doExcludeSubDirs or doExcludeCompleteInvalidDirs then no search at all is performed.)

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Options


TJvSearchFiles.Searching property

TJvSearchFiles	See Also	Edit topic

Indicates whether the component is searching.

Pascal

property Searching: Boolean;

Description

Read Searching to determine if the component is searching. If Searching is True, the component is searching for files and directories. Call Abort to stop the search.

If Searching is False, the component isn't searching for files and directories. Call Search to start a search.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Abort, TJvSearchFiles.Search


TJvSearchFiles.TotalDirectories property

TJvSearchFiles	See Also	Edit topic

Indicates the total number of directories found.

Pascal

property TotalDirectories: Integer;

Description

If Searching equals False then the component has finished searching and TotalDirectories indicates the total number of directories found. If Searching equals True, the component is still searching and TotalDirectories indicates the total number of directories found so far.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Searching, TJvSearchFiles.TotalFiles, TJvSearchFiles.TotalFileSize


TJvSearchFiles.TotalFiles property

TJvSearchFiles	See Also	Edit topic

Indicates the total number of files found.

Pascal

property TotalFiles: Integer;

Description

If Searching equals False then the component has finished searching and TotalFiles indicates the total number of files found. If Searching equals True, the component is still searching and TotalFiles indicates the total number of files found so far.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Searching, TJvSearchFiles.TotalDirectories, TJvSearchFiles.TotalFileSize


TJvSearchFiles.TotalFileSize property

TJvSearchFiles	See Also	Edit topic

Indicates the total size of the files and directories found in bytes.

Pascal

property TotalFileSize: Int64;

Description

If Searching equals False then the component has finished searching and TotalFileSize indicates the total size of the files and directories found in bytes. If Searching equals True, the component is still searching and TotalFileSize indicates the total size of the files and directories found so far, in bytes.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Searching, TJvSearchFiles.TotalDirectories, TJvSearchFiles.TotalFiles


TJvSearchFiles.Abort method

TJvSearchFiles	See Also	Edit topic

Stops a search operation.

Pascal

procedure Abort;

Description

Call Abort to terminate a search operation started by calling Search. Search will return with result False.

You can call Abort in an OnProgress event handler.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.OnProgress, TJvSearchFiles.Search


TJvSearchFiles.Search method

TJvSearchFiles	See Also	Edit topic

Searches for files or directories.

Pascal

function Search: Boolean;

Return Value

Returns False if an error occurred or the user did abort the operation, otherwise returns True.

Description

Call Search to start a search operation. If soSearchFiles is included in Options, then Search will search for files. If soSearchDirs is included in Options, then Search will search for directories.

Use RootDirectory to specify the start directory for the search. Use DirOption to specify whether Search must only scan the start directory or must also include its sub-directories.

Each time a valid directory - as specified by DirParams - is found, the component updates TotalDirectories and TotalFileSize, triggers the OnFindDirectory event and adds the directory name to Directories (if soOwnerData isn't included in Options).

Each time a valid file - as specified by FileParams - is found, the component updates TotalFiles and TotalFileSize, triggers the OnFindFile event and adds the file name to Files (if soOwnerData isn't included in Options).

Eventually Search will end with result False, if an error occurred or the user did abort the operation, or otherwise with result True.

Created with Doc-O-Matic.


See Also

TJvSearchFiles.Abort, TJvSearchFiles.Searching


TJvSearchParams
JEDI-VCL Reference

TJvSearchParams

Hierarchy	Properties	Methods	 Edit topic

Represents a filter for files and directories.

Pascal

TJvSearchParams = class(TPersistent);

File

JvSearchFiles

Description

TJvSearchFiles uses the TJvSearchParams object to limit the search result to files and directories whose parameters match with the parameters described by the TJvSearchParams object.

Use SearchTypes to specify the parameters that a file or directory must be matched to, to decide whether it can be added to the search results.

You can filter out files and directories by the following parameters:

Use Attributes to limit the search results to files and directories that have specific attributes.

Use FileMasks to limit the search results to files and directories whose name match a certain mask.

Use MinSize and MaxSize to limit the search results to files and directories with a specific file size.

Use LastChangeAfter and LastChangeBefore to limit the search results to files and directories that are last changed or created in a specific time period.

Alternatively, you can write an OnCheck event handler to filter out files and directories by yourself.

Created with Doc-O-Matic.


TJvSearchParams Properties

TJvSearchParams	Legend

Properties

 Attributes

FileMask

 FileMasks

FileMaskSeperator

 LastChangeAfter

 LastChangeBefore

 MaxSize

 MinSize

 SearchTypes

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSearchParams Methods

TJvSearchParams

Methods

Check

Created with Doc-O-Matic.


Legend

TJvSearchParams

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvSearchParams


TJvSearchParams Members

TJvSearchParams	Legend

Members

Properties

 Attributes

FileMask

 FileMasks

FileMaskSeperator

 LastChangeAfter

 LastChangeBefore

 MaxSize

 MinSize

 SearchTypes

Methods

Check

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSearchParams.Attributes property

TJvSearchParams	Edit topic

Points to an attribute filter for files and directories.

Pascal

property Attributes: TJvSearchAttributes;

Description

Use Attributes to limit the search results to files and directories whose file attributes match to values represented by Attributes.

Created with Doc-O-Matic.


TJvSearchParams.FileMask property

TJvSearchParams	See Also	Edit topic

Lists the masks in the FileMasks as a single string with the individual strings delimited by the character specified by FileMaskSeperator.

Pascal

property FileMask: string;

Description

Use FileMask to get or set all the masks in FileMasks in a single string delimited by the character specified by FileMaskSeperator.

Created with Doc-O-Matic.


See Also

TJvSearchParams.FileMasks, TJvSearchParams.FileMaskSeperator, TJvSearchParams.SearchTypes


TJvSearchParams.FileMasks property

TJvSearchParams	See Also	Edit topic

Contains file masks used to limit the search results.

Pascal

property FileMasks: TStrings;

Description

Set each item in FileMasks to a regular expression to limit the search results to files and directories that match at least one of the masks in FileMasks. The value of a mask is a filename which can contain wildcard characters (* and ?). The asterisk (*) is a wildcard which matches any number of arbitrary characters. The question mark (?) is a wildcard which matches a single arbitrary character.

Use FileMasks to add, insert, delete and move file masks. Use properties and methods for string lists to manipulate the items in the list.

stFileMask must be included in SearchTypes, otherwise the name of a file or directory will not be matched with the masks in FileMasks to determine if a file or directory is valid. If stFileMask is included in SearchTypes but FileMasks contains no masks, then all files and directories are valid for this match.

Include stFileMaskCaseSensitive in SearchTypes to compare the name of a file or directory case-sensitive with the masks in FileMasks.

Created with Doc-O-Matic.


See Also

TJvSearchParams.FileMask, TJvSearchParams.FileMaskSeperator, TJvSearchParams.SearchTypes


TJvSearchParams.FileMaskSeperator property

TJvSearchParams	See Also	Edit topic

Specifies the separator character used to separate masks when reading or setting FileMask.

Pascal

property FileMaskSeperator: Char;

Description

Use FileMaskSeperator to specify a separator character used to separate masks when reading or setting FileMask.

Created with Doc-O-Matic.


See Also

TJvSearchParams.FileMask, TJvSearchParams.FileMasks, TJvSearchParams.SearchTypes


TJvSearchParams.LastChangeAfter property

TJvSearchParams	See Also	Edit topic

Specifies a date and time after which a file must be last written to or a directory must be created.

Pascal

property LastChangeAfter: TDateTime;

Description

Use LastChangeAfter in FileParams to specify a date and time after which a file must be last written to, for it to be included in the search result. Use LastChangeAfter in DirParams to specify a date and time after which a directory must be created, for it to be included in the search result.

stLastChangeAfter must be included in SearchTypes, otherwise the last write time of a file or directory will not be matched with LastChangeAfter to determine if a file or directory is valid.

Notes

Not all file systems do support last write time.

Created with Doc-O-Matic.


See Also

TJvSearchParams.LastChangeBefore, TJvSearchParams.SearchTypes


TJvSearchParams.LastChangeBefore property

TJvSearchParams	See Also	Edit topic

Specifies a date and time before which a file must be last written to or a directory must be created.

Pascal

property LastChangeBefore: TDateTime;

Description

Use LastChangeBefore in FileParams to specify a date and time before which a file must be last written to, for it to be included in the search result. Use LastChangeBefore in DirParams to specify a date and time before which a directory must be created, for it to be included in the search result.

stLastChangeBefore must be included in SearchTypes, otherwise the last write time of a file or directory will not be matched with LastChangeBefore to determine if a file or directory is valid.

Notes

Not all file systems do support last write time.

Created with Doc-O-Matic.


See Also

TJvSearchParams.LastChangeAfter, TJvSearchParams.SearchTypes


TJvSearchParams.MaxSize property

TJvSearchParams	See Also	Edit topic

Specifies the maximum size of a file or directory in bytes.

Pascal

property MaxSize: Int64;

Description

Use MaxSize to specify the maximum size in bytes of a file or directory, for it to be included in the search result.

stMaxSize must be included in SearchTypes, otherwise the size of a file or directory will not be matched with MaxSize to determine if a file or directory is valid.

Created with Doc-O-Matic.


See Also

TJvSearchParams.MinSize, TJvSearchParams.SearchTypes


TJvSearchParams.MinSize property

TJvSearchParams	See Also	Edit topic

Specifies the minimum size of a file or directory in bytes.

Pascal

property MinSize: Int64;

Description

Use MinSize to specify the minimum size in bytes of a file or directory, for it to be included in the search result.

stMinSize must be included in SearchTypes, otherwise the size of a file or directory will not be matched with MinSize to determine if a file or directory is valid.

Created with Doc-O-Matic.


See Also

TJvSearchParams.MaxSize, TJvSearchParams.SearchTypes


TJvSearchParams.SearchTypes property

TJvSearchParams	Edit topic

Specifies the parameters that a file or directory must be matched to, to decide whether it can be added to the search results.

Pascal

property SearchTypes: TJvSearchTypes;

Description

Use SearchTypes to specify the parameters that a file or directory must be matched to, to decide whether it can be added to the search results.

If DirOption equals doExcludeInvalidDirs or doExcludeCompleteInvalidDirs then property SearchTypes of DirParams also indicates the parameters that a directory must be matched to, to decide whether the component must search in that directory for other files or directories.

Created with Doc-O-Matic.


TJvSearchParams.Check method

TJvSearchParams	See Also	Edit topic

Checks whether a file or directory is valid.

Pascal

function Check(const AFindData: TWin32FindData): Boolean;

Parameters

const AFindData: TWin32FindData

Describes the file or directory that must be checked.

Description

A TJvSearchFiles component calls Check to determine if a file or directory is valid. Check will match the parameters of a file or directory to the values specified by SearchTypes.

Created with Doc-O-Matic.


See Also

TJvSearchParams.SearchTypes


TJvSegmentedLEDCharacterMapper
JEDI-VCL Reference

TJvSegmentedLEDCharacterMapper

Hierarchy	Properties	Methods	 Edit topic

Not documented

Pascal

TJvSegmentedLEDCharacterMapper = class(TPersistent);

File

JvSegmentedLEDDisplay

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSegmentedLEDCharacterMapper Properties

TJvSegmentedLEDCharacterMapper	Legend

Properties

CharMapping

 CurDigit

 Display

 MappingChanged

 SegMapRemoves

 TextForDigit

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvSegmentedLEDCharacterMapper Methods

TJvSegmentedLEDCharacterMapper

Methods

Clear

LoadDefaultMapping

LoadFromFile

LoadFromStream

MapText

SaveToFile

SaveToStream

Created with Doc-O-Matic.


Legend

TJvSegmentedLEDCharacterMapper

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvSegmentedLEDCharacterMapper


TJvSegmentedLEDCharacterMapper Members

TJvSegmentedLEDCharacterMapper	Legend

Members

Properties

CharMapping

 CurDigit

 Display

 MappingChanged

 SegMapRemoves

 TextForDigit

Methods

Clear

LoadDefaultMapping

LoadFromFile

LoadFromStream

MapText

SaveToFile

SaveToStream

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvSegmentedLEDCharacterMapper.CharMapping property

TJvSegmentedLEDCharacterMapper	Edit topic

Not documented

Pascal

property CharMapping [Chr: Char]: Int64;

Parameters

Chr

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSegmentedLEDCharacterMapper.CurDigit property

TJvSegmentedLEDCharacterMapper	Edit topic

Current digit for which we are mapping.

Pascal

property CurDigit: TJvCustomSegmentedLEDDigit;

Description

CurDigit is a reference to the digit we are currently mapping text for.

Created with Doc-O-Matic.


TJvSegmentedLEDCharacterMapper.Display property

TJvSegmentedLEDCharacterMapper	Edit topic

Not documented

Pascal

property Display: TJvCustomSegmentedLEDDisplay;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSegmentedLEDCharacterMapper.MappingChanged property

TJvSegmentedLEDCharacterMapper	Edit topic

Not documented

Pascal

property MappingChanged: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSegmentedLEDCharacterMapper.SegMapRemoves property

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Flag indicating if new segments are added or removed from the segment list.

Pascal

property SegMapRemoves: Boolean;

Description

The SegMapRemoves indicates if new segments are added (default) or removed from the segment list for the digit.

This flag is manipulated by the mapping string when it detects a + or - symbol within the control item markers ([ and ]).

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.MapText


TJvSegmentedLEDCharacterMapper.TextForDigit property

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Contains the mapping text for the digit.

Pascal

property TextForDigit: string;

Description

TextForDigit keeps track of the applied mapping texts. Upon completion of the mapping this property will contain a slightly optimized version of the original mapping text (i.e. a #65 control item will be rewritten as a &A; mappings that did not result in any change will not be present in this property).

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.MapText


TJvSegmentedLEDCharacterMapper.Clear method

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Clears the mappings table.

Pascal

procedure Clear;

Description

Clear empties the character mapping table. After a call to clear, no character will map to any segment (i.e. all characters map effectively to a space).

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.LoadFromStream, TJvBaseSegmentedLEDCharacterMapper.SaveToStream


TJvSegmentedLEDCharacterMapper.LoadDefaultMapping method

TJvSegmentedLEDCharacterMapper	Edit topic

Not documented

Pascal

procedure LoadDefaultMapping; dynamic;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSegmentedLEDCharacterMapper.LoadFromFile method

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Loads a character mapping from a file.

Pascal

procedure LoadFromFile(const FileName: string);

Parameters

const FileName: string

File name of the mapping to load.

Description

LoadFromFile will read a character mapping from the specified file and applies that to the mapping table.

LoadFromFile internally creates a TFileStream and calls LoadFromStream on that stream.

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.LoadFromStream, TJvBaseSegmentedLEDCharacterMapper.SaveToFile


TJvSegmentedLEDCharacterMapper.LoadFromStream method

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Reads a character mapping from a stream.

Pascal

procedure LoadFromStream(Stream: TStream);

Parameters

Stream: TStream

Stream from which to read the mapping table. Reading starts at the current position of the stream. If the stream points to an invalid mapping, the position will not have changed. After reading the stream's position is updated to point to the first byte following the mapping.

Description

LoadFromStream will read a character mapping from the specified stream and applies it to the mapping table.

If the current position of the stream does not refer to a valid mapping for this mapper class, an exception is raised (the stream position will not have changed nor will the mapping table be changed).

Before reading of the actual mapping, the table is first cleared with a call to Clear. Next the data from the stream is read for each mapped character and applies to the mapping table.

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.LoadFromFile, TJvBaseSegmentedLEDCharacterMapper.SaveToStream


TJvSegmentedLEDCharacterMapper.MapText method

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Maps a text into it's segment representation.

Pascal

procedure MapText(var Text: PChar; ADigit: TJvCustomSegmentedLEDDigit);

Parameters

var Text: PChar

Points to the text to map. On exit of the method, Text will point to the text to map for the next digit.

ADigit: TJvCustomSegmentedLEDDigit

Reference to the digit to map for. In some cases certain digit properties may influence the actual mapping applied.

Description

MapText is the primary method for the TJvBaseSegmentedLEDCharacterMapper class.

It initializes various flags and data and then calls PrimMapText to map the text starting at the specified text pointer into it's segments representation and updates the specified digit accordingly.

On return from this method, the specified digit is updated and the text pointer is advanced to the text start for the next digit.

The mapping string can contain:

a single character, except for [. The mapping for this character is applied to the digit.

control string between []. Between these two brackets you can modify the segment modifier flag, map a character and control individual segments.

List of control items:
Control item	Description
&Character	Maps a single character and adds/removes the segments to/from the digit. Note that you are allowed to specify multiple & and # items for a single digit to "merge" two or more characters.
#ASCII value	Maps the character specified by the ordinal value and add/removes the segments to/from the digit. Note that you allowed to specify multiple # and & items for a single digit to "merge" two or more characters.
+	Sets the segment modifier to "add": merge new segments with existing segments.
-	Sets the segment modifier to "remove": remove new segments from the existing segments.
Segment name(s)	Adds/removes the specified segments to/from the digit. Segment names may be separated by a comma.

Control items may be separated by a semicolon. Note since the open bracket "[" is used to signal the start of a control items, you can only map it by specifying [&[] in the map text.

characters that can not be mapped are interpreted as an empty digit (i.e. has no influence on the digit) and will effectively be skipped.

Created with Doc-O-Matic.


See Also

PrimMapText


TJvSegmentedLEDCharacterMapper.SaveToFile method

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Saves the mapping table to a file.

Pascal

procedure SaveToFile(const FileName: string);

Parameters

const FileName: string

File name of the file in which the mapping table is to be stored.

Description

SaveToFile will save the mapping table to the specified file.

SaveToFile internally creates a TFileStream and calls SaveToStream on that stream.

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.LoadFromFile, TJvBaseSegmentedLEDCharacterMapper.SaveToStream


TJvSegmentedLEDCharacterMapper.SaveToStream method

TJvSegmentedLEDCharacterMapper	See Also	Edit topic

Writes the mapping table to a stream.

Pascal

procedure SaveToStream(Stream: TStream); dynamic;

Parameters

Stream: TStream

Stream to which to write the mapping table. After writing the stream's position is updated to point to the first byte following the mapping.

Description

SaveToStream will write the mapping table to the specified stream.

The mapping table will be stored at the current position of the stream and will only contain data for the actual mapped characters.

Created with Doc-O-Matic.


See Also

TJvBaseSegmentedLEDCharacterMapper.LoadFromStream, TJvBaseSegmentedLEDCharacterMapper.SaveToFile


TJvSegmentedLEDDigits
JEDI-VCL Reference

TJvSegmentedLEDDigits

Hierarchy	Properties	 Edit topic

Collection class used by the segmented LED display.

Pascal

TJvSegmentedLEDDigits = class(TOwnedCollection);

File

JvSegmentedLEDDisplay

Description

TJvSegmentedLEDDigits is a TOwnedCollection derivative used to hold the list of digits used by a segmented LED display. Note upon changing the digit style of the display control, the collection will be destroyed and recreated (specifying the new digit class to use). Any reference to a TJvSegmentedLEDDigits might become invalid in such occasion. Generally you will not need to keep a reference to the collection but rather use the Digits property of the display control.

Created with Doc-O-Matic.


TJvSegmentedLEDDigits Properties

TJvSegmentedLEDDigits

Properties

Items

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvSegmentedLEDDigits


TJvSegmentedLEDDigits Members

TJvSegmentedLEDDigits

Members

Properties

Items

Created with Doc-O-Matic.


TJvSegmentedLEDDigits.Items property

TJvSegmentedLEDDigits	Edit topic

Not documented

Pascal

property Items [Index: Integer]: TJvCustomSegmentedLEDDigit;

Parameters

Index

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSegmentedLEDDisplay
JEDI-VCL Reference

 TJvSegmentedLEDDisplay

Hierarchy	Properties	Methods	Package	 See Also	Edit topic

Segmented LED display control.

Pascal

TJvSegmentedLEDDisplay = class(TJvCustomSegmentedLEDDisplay);

File

JvSegmentedLEDDisplay

Description

TJvSegmentedLEDDisplay is a control that mimics a segmented LED display (as used in classic calculators, VCR displays, car radio displays, etc.).

A segmented LED display allows to display numbers, characters and/or symbols. It does so by controlling a number of individual leds. Each LED is covered by a glass bar or dot to give it a proper orientation and layout. Each such LED is called a segment (hence the name 'segmented LED display').

The control simulates this by rendering the bars and dots. It allows to use any color for the segments and allows to render both lit and unlit segments in two different colors (conventional LED displays often show unlit segments due to either a backlight is being used (as sometimes used with LCD displays) or because a neighboring segment is lit and the optical separation is not good enough). The unlit segments are generally the same color as the lit segment but a lot darker.

The control allows to use any layout by specifying a digit class. Each digit class can provide it's own layout and number of segments as well as specifying how to map characters to these segments.

Created with Doc-O-Matic.


TJvSegmentedLEDDisplay Properties

TJvSegmentedLEDDisplay	Legend

Properties

DigitClass

 DigitClassName

 DigitHeight

 Digits

 DigitSpacing

 DigitWidth

 DotSize

 SegmentLitColor

 SegmentSpacing

 SegmentThickness

 SegmentUnlitColor

 Slant

 Text

TJvCustomSegmentedLEDDisplay

 CharacterMapper

 DigitClass

 DigitClassName

 DigitHeight

 Digits

 DigitSpacing

 DigitWidth

 DotSize

 SegmentLitColor

 SegmentSpacing

 SegmentThickness

 SegmentUnlitColor

 Slant

 Text

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvSegmentedLEDDisplay Methods

TJvSegmentedLEDDisplay

Methods

TJvCustomSegmentedLEDDisplay

GetHitInfo

RemapText

Created with Doc-O-Matic.


Legend

TJvSegmentedLEDDisplay

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomSegmentedLEDDisplay
            TJvSegmentedLEDDisplay


TJvSegmentedLEDDisplay Members

TJvSegmentedLEDDisplay	Legend

Members

Properties

DigitClass

 DigitClassName

 DigitHeight

 Digits

 DigitSpacing

 DigitWidth

 DotSize

 SegmentLitColor

 SegmentSpacing

 SegmentThickness

 SegmentUnlitColor

 Slant

 Text

TJvCustomSegmentedLEDDisplay

 CharacterMapper

 DigitClass

 DigitClassName

 DigitHeight

 Digits

 DigitSpacing

 DigitWidth

 DotSize

 SegmentLitColor

 SegmentSpacing

 SegmentThickness

 SegmentUnlitColor

 Slant

 Text

Methods

TJvCustomSegmentedLEDDisplay

GetHitInfo

RemapText

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


See Also

TJvCustomSegmentedLEDDisplay


Package

HMI


TJvSegmentedLEDDisplay.DigitClass property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies which digit style to use.

Pascal

property DigitClass: TJvSegmentedLEDDigitClass;

Description

DigitClass specifies which digit style to use. Read DigitClass to determine which class (and thus style) is used or set it to another class.

If no digit style is specified you can't add new digits to the display nor can you specify which character mapper to use. Changing DigitClass will recreate the same number of digits currently present (unless the new class is set to nil in which case any digits present are removed). If the active character mapper is not allowed for the new digit style it will be set to nil, otherwise the Text property will be remapped.

Notes

The Object Inspector does not allow class references to be edited. To circumvent that problem an additional property, DigitClassName, has been added. DigitClassName is the property you should publish on any derivative, not DigitClass. The property editor for DigitClassName will fake the actual property name by removing the 'Name' part of the actual property name used.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.CharacterMapper, TJvCustomSegmentedLEDDisplay.DigitClassName, TJvCustomSegmentedLEDDisplay.Text


TJvSegmentedLEDDisplay.DigitClassName property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the digit style to use.

Pascal

property DigitClassName: TJvSegmentedLEDDigitClassName;

Description

DigitClassName specifies which digit style to use. Read DigitClassName to determine which class (and thus style) is used or set it to another class name.

If no digit style is specified you can't add new digits to the display nor can you specify which character mapper to use. Changing DigitClassName will recreate the same number of digits currently present (unless the new class name is set to an empty string in which case any digits present are removed). If the active character mapper is not allowed for the new digit style it will be set to nil, otherwise the Text property will be remapped.

The sole purpose of this property is to overcome a problem at design time: the Object Inspector does not allow class references to be edited. To circumvent that problem this property has been added. DigitClassName is the property you should publish on any derivative, not DigitClass. The property editor for DigitClassName will fake the actual property name by removing the 'Name' part of the actual property name used.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.CharacterMapper, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.Text


TJvSegmentedLEDDisplay.DigitHeight property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the height of the digits.

Pascal

property DigitHeight: Integer;

Description

DigitHeight specifies the height of each digit's main segments. Read DigitHeight to determine the currently used height or set it to a new value.

DigitHeight only refers to the main segments of a digit (the ones that make up the characters), not it's actual height. Some digit styles may add additional markings above or below the main character segments. The height needed for these markings are added to this height to determine the actual height.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.Height, TJvCustomSegmentedLEDDisplay.DigitSpacing, TJvCustomSegmentedLEDDisplay.DigitWidth, TJvCustomSegmentedLEDDisplay.Slant


TJvSegmentedLEDDisplay.Digits property

TJvSegmentedLEDDisplay	See Also	Edit topic

Collection of digits.

Pascal

property Digits: TJvSegmentedLEDDigits;

Description

Digits is the collection of digits displayable. As a TCollection derivative it allows you to use the normal TCollection methods to add or remove digits.

At design time it allows you to add or remove digits or select the individual digits and control their appearance (provided the digit style allows such control).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit, TJvCustomSegmentedLEDDisplay.DigitClass


TJvSegmentedLEDDisplay.DigitSpacing property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the spacing between digits.

Pascal

property DigitSpacing: Integer;

Description

DigitSpacing specifies the spacing between two adjacent digits. Read DigitSpacing to determine how far apart two adjacent digits are or set it to a new value.

A DigitSpacing of 0 means each digit is placed directly next to it's predecessor with no spacing between them. Depending on the digit style this is usually to close to each other.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitHeight, TJvCustomSegmentedLEDDisplay.DigitWidth, TJvCustomSegmentedLEDDisplay.Slant


TJvSegmentedLEDDisplay.DigitWidth property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the width of the digits.

Pascal

property DigitWidth: Integer;

Description

DigitWidth specifies the width of each digit's main segments. Read DigitWidth to determine the currently used width or set it to a new value.

DigitWidth only refers to the main segments of a digit (the ones that make up the characters), not it's actual width. Some digit styles may add additional markings to the left or right of the main character segments. The width needed for these markings are added to this width to determine the actual width.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.Width, TJvCustomSegmentedLEDDisplay.DigitHeight, TJvCustomSegmentedLEDDisplay.DigitSpacing, TJvCustomSegmentedLEDDisplay.Slant


TJvSegmentedLEDDisplay.DotSize property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the size of dot type segments.

Pascal

property DotSize: Integer;

Description

DotSize specifies the size of dot type segments. Read DotSize to determine the current size of dot type segments or set it to a new value.

A digit is made up of different type of segments: polygons, rectangles and/or dots. The size of dot type segments (generally filled circles) is controlled by this property (often you'll specify a slightly larger value for dot type segments than you do for polygon type segments).

DotSize will be rounded down to an even value (i.e. 3 will become 2, 5 will become 4, ...).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.SegmentSpacing, TJvCustomSegmentedLEDDisplay.SegmentThickness


TJvSegmentedLEDDisplay.SegmentLitColor property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the color to use for lit segments.

Pascal

property SegmentLitColor: TColor;

Description

SegmentLitColor specifies the color to use for lit segments. Read SegmentLitColor to determine which color is used for segments that are lit or set it to a new value.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.SegmentUnlitColor


TJvSegmentedLEDDisplay.SegmentSpacing property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the spacing between segments.

Pascal

property SegmentSpacing: Integer;

Description

SegmentSpacing specifies the distance between two adjacent segments. Read SegmentSpacing to determine the current distance between segments or set it to a new value.

SegmentSpacing will be rounded down to an even value (i.e. 3 will become 2, 5 will become 4, ...).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DotSize, TJvCustomSegmentedLEDDisplay.SegmentThickness


TJvSegmentedLEDDisplay.SegmentThickness property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the width of the normal type segments.

Pascal

property SegmentThickness: Integer;

Description

SegmentThickness determines the width of the normal type (polygon) segments. Read SegmentThickness to retrieve the current width used or set it to a new value.

A digit is made up of different type of segments: polygons, rectangles and/or dots. The size of polygon type segments (generally filled polygon shapes) is controlled by this property.

SegmentThickness will be rounded down to an even value (i.e. 3 will become 2, 5 will become 4, ...).

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DotSize, TJvCustomSegmentedLEDDisplay.SegmentSpacing


TJvSegmentedLEDDisplay.SegmentUnlitColor property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the color to use for unlit segments.

Pascal

property SegmentUnlitColor: TUnlitColor;

Description

SegmentUnlitColor specifies the color to use for unlit segments. Read SegmentUnlitColor to retrieve which color is used for segments that are not lit or set it to a new value.

SegmentUnlitColor can be set to any color value. In addition two extra color constants are added and the meaning of one predefined constant has changed:

Constant	Value	Meaning
clDefaultBackground	$20100001	Unlit color is calculated based on the current background color.
clDefaultLitColor	$20100002	Unlit color is calculated based on the difference between the lit color and background color.
clNone	$1FFFFFFF	Unlit color is not used; unlit segments are not rendered.
Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.SegmentLitColor


TJvSegmentedLEDDisplay.Slant property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the slant angle of the digits.

Pascal

property Slant: TSlantAngle;

Description

Slant specifies how much the digit slants (hangs over) to the right. Read Slant to determine the angle at which the digit slants or set it to a new value.

Changing the slant may affect the width of the digits, making them wider than DigitWidth.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit.Width, TJvCustomSegmentedLEDDisplay.DigitHeight, TJvCustomSegmentedLEDDisplay.DigitSpacing, TJvCustomSegmentedLEDDisplay.DigitWidth


TJvSegmentedLEDDisplay.Text property

TJvSegmentedLEDDisplay	See Also	Edit topic

Specifies the text of the display.

Pascal

property Text: string;

Description

Text specifies the text to render. Read Text to determine the currently rendered text or set it to a new value.

If CharacterMapper is not assigned changing Text will just store the new value, otherwise the new value is parsed by the mapper and the resulting value is stored.

If the Text property of a digit is changed, this property will be updated accordingly.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDigit, TJvCustomSegmentedLEDDisplay.CharacterMapper, TJvCustomSegmentedLEDDisplay.Digits


TJvSelectDialogColumnStrings
JEDI-VCL Reference

TJvSelectDialogColumnStrings

Hierarchy	Properties	 Edit topic

Class that holds the strings to use in a TJvDBGrid select column dialog at run-time.

Pascal

TJvSelectDialogColumnStrings = class(TPersistent);

File

JvDBGrid

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSelectDialogColumnStrings Properties

TJvSelectDialogColumnStrings	Legend

Properties

 Caption

 NoSelectionWarning

 OK

 RealNamesOption

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvSelectDialogColumnStrings

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvSelectDialogColumnStrings


TJvSelectDialogColumnStrings Members

TJvSelectDialogColumnStrings	Legend

Members

Properties

 Caption

 NoSelectionWarning

 OK

 RealNamesOption

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSelectDialogColumnStrings.Caption property

TJvSelectDialogColumnStrings	Edit topic

The text to display in the select columns dialogs caption.

Pascal

property Caption: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSelectDialogColumnStrings.NoSelectionWarning property

TJvSelectDialogColumnStrings	Edit topic

The text to use for the warning message in the select columns dialog when the user tries to hide all columns.

Pascal

property NoSelectionWarning: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSelectDialogColumnStrings.OK property

TJvSelectDialogColumnStrings	Edit topic

The caption to use on the OK button on the select columns dialog.

Pascal

property OK: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSelectDialogColumnStrings.RealNamesOption property

TJvSelectDialogColumnStrings	Edit topic

Not documented

Pascal

property RealNamesOption: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSelectDirectory
JEDI-VCL Reference

 TJvSelectDirectory

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a directory-selection dialog.

Pascal

TJvSelectDirectory = class(TJvCommonDialog);

File

JvSelectDirectory

Description

The TJvSelectDirectory component is a wrapper for the two SelectDirectory functions. It displays a modal dialog box for selecting a directory. The dialog does not appear at runtime until it is activated by a call to the Execute method.

Use property ClassicDialog to specify whether to show the Windows directory browser or the classic Select Directory dialog box.

Created with Doc-O-Matic.


TJvSelectDirectory Properties

TJvSelectDirectory	Legend

Properties

 ClassicDialog

 Directory

 HelpContext

 InitialDir

 Options

 Title

TJvCommonDialog

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSelectDirectory Methods

TJvSelectDirectory	Legend

Methods

 Execute

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvSelectDirectory

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog
        TJvSelectDirectory


TJvSelectDirectory Members

TJvSelectDirectory	Legend

Members

Properties

 ClassicDialog

 Directory

 HelpContext

 InitialDir

 Options

 Title

TJvCommonDialog

 AboutJVCL

Methods

 Execute

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


Package

Dlgs


TJvSelectDirectory.ClassicDialog property

TJvSelectDirectory	Edit topic

Specifies whether to show the Windows directory browser or the classic Select Directory dialog box.

Pascal

property ClassicDialog: Boolean;

Description

Set ClassicDialog to True to show the classic Select Directory dialog box when you call Execute. Set ClassicDialog to False to show the Windows directory browser when you call Execute.

The default value is True.

Created with Doc-O-Matic.


TJvSelectDirectory.Directory property

TJvSelectDirectory	See Also	Edit topic

Specifies the directory the user selected.

Pascal

property Directory: string;

Description

If ClassicDialog is set to True, then the directory specified by Directory appears as the currently selected directory when the dialog box appears. The name of the directory the user selects becomes the value of Directory when the function returns.

If ClassicDialog is set to False, then the selected directory is returned as the Directory parameter.

Created with Doc-O-Matic.


See Also

TJvSelectDirectory.ClassicDialog, TJvSelectDirectory.InitialDir


TJvSelectDirectory.HelpContext property

TJvSelectDirectory	See Also	Edit topic

Specifies the context number for online Help.

Pascal

property HelpContext: Longint;

Description

The HelpContext property is an integer value that determines which Help screen appears when the user requests context-sensitive online Help. If HelpContext is set to the default value of 0, the dialog inherits the Help context of its parent.

Notes

ClassicDialog must be set to True, otherwise the component ignores the value of this property.

Created with Doc-O-Matic.


See Also

TJvSelectDirectory.ClassicDialog


TJvSelectDirectory.InitialDir property

TJvSelectDirectory	See Also	Edit topic

Determines the root directory from which to browse when the dialog opens.

Pascal

property InitialDir: string;

Description

The Root parameter specifies the root directory from which to browse.

Notes

ClassicDialog must be set to False, otherwise the component ignores the value of this property.

Created with Doc-O-Matic.


See Also

TJvSelectDirectory.ClassicDialog, TJvSelectDirectory.Directory


TJvSelectDirectory.Options property

TJvSelectDirectory	See Also	Edit topic

Determines how the directory selection dialog responds when the user enters a nonexistent directory.

Pascal

property Options: TSelectDirOpts;

Description

Use Options to

Determine which controls in the dialog are disabled (grayed).

Determine which controls do not appear in the dialog.

Specify settings for the search direction, case-sensitivity, and “whole word” attributes of the search.

By default, all options except frDown are off.

Notes

ClassicDialog must be set to True, otherwise the component ignores the value of this property.

Created with Doc-O-Matic.


See Also

TJvSelectDirectory.ClassicDialog


TJvSelectDirectory.Title property

TJvSelectDirectory	See Also	Edit topic

Specifies the text in the dialog’s title bar.

Pascal

property Title: string;

Description

Use Title to specify the text that appears in the directory selection dialog’s title bar. If no value is assigned to Title, the dialog has the title "Open".

Notes

ClassicDialog must be set to False, otherwise the component ignores the value of this property.

Created with Doc-O-Matic.


See Also

TJvSelectDirectory.ClassicDialog


TJvSelectDirectory.Execute method

TJvSelectDirectory	Edit topic

Displays the directory-selection dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns True when the user selects a file and clicks Open. If the user clicks Cancel, Execute returns False.

Description

Execute opens the file-selection dialog.

Property ClassicDialog determines whether to show the Windows directory browser or the classic Select Directory dialog box.

Created with Doc-O-Matic.


TJvSelectDirectoryAction
JEDI-VCL Reference

TJvSelectDirectoryAction

Hierarchy	Properties	Events	 Edit topic

Action that displays the TJvSelectDirectory dialog.

Pascal

TJvSelectDirectoryAction = class(TJvCommonDialogAction);

File

JvDialogActns

Description

Add TJvSelectDirectoryAction to an action list to add the Browse For Folder dialog or the custom select directory dialog to your application.

Controls such as menu items and tool buttons linked to this action cause the application to display a select directory dialog when invoked.

Created with Doc-O-Matic.


TJvSelectDirectoryAction Properties

TJvSelectDirectoryAction	Legend

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSelectDirectoryAction Events

TJvSelectDirectoryAction	Legend

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvSelectDirectoryAction

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TCustomAction
    TJvCommonDialogAction
        TJvSelectDirectoryAction


TJvSelectDirectoryAction Members

TJvSelectDirectoryAction	Legend

Members

Properties

 Dialog

TJvCommonDialogAction

 ExecuteResult

Events

TJvCommonDialogAction

BeforeExecute

 OnAccept

 OnCancel

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvSelectDirectoryAction.Dialog property

TJvSelectDirectoryAction	Edit topic

Reference to the dialog displayed by the action.

Pascal

property Dialog: TJvSelectDirectory;

Description

Use Dialog to access the internal instance of the dialog this action uses.

Created with Doc-O-Matic.


TJvSerialKeys
JEDI-VCL Reference

TJvSerialKeys

Hierarchy	Properties	 Edit topic

Provides access to information about the SerialKeys accessibility feature.

Pascal

TJvSerialKeys = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This is not supported on Windows Server 2003 and Windows XP/2000/NT. The user controls this feature through the control panel.

Created with Doc-O-Matic.


TJvSerialKeys Properties

TJvSerialKeys	Legend

Properties

 Active

 ActivePort

 BaudRate

 Flags

NativeType

 Port

 PortState

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSerialKeys

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvSerialKeys


TJvSerialKeys Members

TJvSerialKeys	Legend

Members

Properties

 Active

 ActivePort

 BaudRate

 Flags

NativeType

 Port

 PortState

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSerialKeys.Active property

TJvSerialKeys	See Also	Edit topic

Indicates whether a port is active.

Pascal

property Active: Boolean;

Description

Indicates whether a port is active.

Created with Doc-O-Matic.


See Also

ActivePort


TJvSerialKeys.ActivePort property

TJvSerialKeys	See Also	Edit topic

Indicates the active port.

Pascal

property ActivePort: string;

Description

Indicates the active port.

Created with Doc-O-Matic.


See Also

Active


TJvSerialKeys.BaudRate property

TJvSerialKeys	See Also	Edit topic

Specifies the baud rate setting for the serial port.

Pascal

property BaudRate: DWORD;

Description

Specifies the baud rate setting for the serial port specified by ActivePort.

Created with Doc-O-Matic.


See Also

ActivePort


TJvSerialKeys.Flags property

TJvSerialKeys	Edit topic

Not documented

Pascal

property Flags: TJvSerialKeysFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSerialKeys.NativeType property

TJvSerialKeys	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: SERIALKEYS;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvSerialKeys.Port property

TJvSerialKeys	Edit topic

Reserved

Pascal

property Port: string;

Description

Reserved

Created with Doc-O-Matic.


TJvSerialKeys.PortState property

TJvSerialKeys	See Also	Edit topic

Specifies the state of the port specified by ActivePort.

Pascal

property PortState: TJvSerialKeysPortState;

Description

Specifies the state of the port specified by ActivePort.

Created with Doc-O-Matic.


See Also

ActivePort.


TJvSettingsTreeImages
JEDI-VCL Reference

TJvSettingsTreeImages

Hierarchy	Properties	 Edit topic

Property class for setting up usage of images from an image list.

Pascal

TJvSettingsTreeImages = class(TPersistent);

File

JvPageListTreeView

Description

TJvSettingsTreeImages is a property class that describes the images used in a TJvCustomSettingsTreeView as the usage of images in this control differs from a normal TreeView

Created with Doc-O-Matic.


TJvSettingsTreeImages Properties

TJvSettingsTreeImages	Legend

Properties

 CollapsedIndex

 ExpandedIndex

 ImageIndex

 SelectedIndex

TreeView

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvSettingsTreeImages

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvSettingsTreeImages


TJvSettingsTreeImages Members

TJvSettingsTreeImages	Legend

Members

Properties

 CollapsedIndex

 ExpandedIndex

 ImageIndex

 SelectedIndex

TreeView

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSettingsTreeImages.CollapsedIndex property

TJvSettingsTreeImages	See Also	Edit topic

Specifies which image is displayed when a node with children is in its collapsed state.

Pascal

property CollapsedIndex: TImageIndex;

Description

Use the CollapsedIndex property with the Images property of the tree view to specify the image for the node in its collapsed state. If the node doesn't have any children, use the ImageIndex and SelectedIndex properties instead.

Created with Doc-O-Matic.


See Also

TJvSettingsTreeImages.ExpandedIndex, TJvSettingsTreeImages.ImageIndex, TJvSettingsTreeImages.SelectedIndex


TJvSettingsTreeImages.ExpandedIndex property

TJvSettingsTreeImages	See Also	Edit topic

Specifies which image is displayed when a node with children is in its expanded state.

Pascal

property ExpandedIndex: TImageIndex;

Description

Use the ExpandedIndex property with the Images property of the tree view to specify the image for the node in its expanded state. If the node doesn't have any children, use the ImageIndex and SelectedIndex properties instead.

Created with Doc-O-Matic.


See Also

TJvSettingsTreeImages.CollapsedIndex, TJvSettingsTreeImages.ImageIndex, TJvSettingsTreeImages.SelectedIndex


TJvSettingsTreeImages.ImageIndex property

TJvSettingsTreeImages	See Also	Edit topic

Specifies which image is displayed when a node is in its normal state and is not currently selected.

Pascal

property ImageIndex: TImageIndex;

Description

Use the ImageIndex property with the Images property of the tree view to specify the image for the node in its normal state. If the node has children, use the ExpandedIndex and CollapsedIndex properties instead.

Created with Doc-O-Matic.


See Also

TJvSettingsTreeImages.CollapsedIndex, TJvSettingsTreeImages.ExpandedIndex, TJvSettingsTreeImages.SelectedIndex


TJvSettingsTreeImages.SelectedIndex property

TJvSettingsTreeImages	See Also	Edit topic

Specifies which image is displayed when a node is in its selected state.

Pascal

property SelectedIndex: TImageIndex;

Description

Use the SelectedIndex property with the Images property of the tree view to specify the image for the node in its selected state. If the node has children, use the ExpandedIndex and CollapsedIndex properties instead.

Created with Doc-O-Matic.


See Also

TJvSettingsTreeImages.CollapsedIndex, TJvSettingsTreeImages.ExpandedIndex, TJvSettingsTreeImages.ImageIndex


TJvSettingsTreeImages.TreeView property

TJvSettingsTreeImages	Edit topic

Specifies the treeview that this class is acting upon.

Pascal

property TreeView: TJvCustomPageListTreeView;

Description

The TreeView property is used internally to reference the treeview the class is operating on. Only component developers might need to access this property.

Created with Doc-O-Matic.


TJvSettingsTreeView
JEDI-VCL Reference

 TJvSettingsTreeView

Hierarchy	Properties	Events	Package	 Edit topic

A treeview that behaves like the treeview in the Options Dialog in VS.Net.

Pascal

TJvSettingsTreeView = class(TJvCustomSettingsTreeView);

File

JvPageListTreeView

Description

TJvSettingsTreeView is derived from TJvCustomSettingsTreeView and publishes its properties but it does not add any new functionality.

Created with Doc-O-Matic.


TJvSettingsTreeView Properties

TJvSettingsTreeView	Legend

Properties

 Items

 PageDefault

 PageLinks

 PageList

 PageNodeImages

TJvCustomSettingsTreeView

 PageNodeImages

TJvCustomPageListTreeView

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSettingsTreeView Events

TJvSettingsTreeView	Legend

Events

 OnGetImageIndex

 OnGetSelectedIndex

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomSettingsTreeView

 OnGetImageIndex

 OnGetSelectedIndex

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSettingsTreeView

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomTreeView, IJvExControl
        TJvExCustomTreeView
            TJvCustomPageListTreeView
                TJvCustomSettingsTreeView
                    TJvSettingsTreeView


TJvSettingsTreeView Members

TJvSettingsTreeView	Legend

Members

Properties

 Items

 PageDefault

 PageLinks

 PageList

 PageNodeImages

TJvCustomSettingsTreeView

 PageNodeImages

TJvCustomPageListTreeView

 Items

PageDefault

PageLinks

PageList

TJvExCustomTreeView

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnGetImageIndex

 OnGetSelectedIndex

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvCustomSettingsTreeView

 OnGetImageIndex

 OnGetSelectedIndex

TJvExCustomTreeView

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

PageComps


TJvSettingsTreeView.Items property

TJvSettingsTreeView	See Also	Edit topic

Lists the individual nodes that appear in the tree view control.

Pascal

property Items: TJvPageIndexNodes;

Description

Individual nodes in this tree view are TJvPageIndexNode objects but they are surfaced as standard TTreeNode objects. To access the additional properties and methods of the TJvPageIndexNode class, you must type cast the node to a TJvPageIndexNode. The individual nodes can be accessed by using the Items property along with the item's index into the tree view. For example, to access the second item in the tree view, you could use the following code.

    (Delphi)

      MyTreeNode := TreeView1.Items[1];

    (C++Builder)

      MyTreeNode = TreeView1->Items[1];

When setting this property at design-time in the Object Inspector the Tree View Items Editor appears. Use the New Item and New SubItem buttons to add items to the tree view. Use the Text property to modify what text is displayed in the label of the item.

At run-time nodes can be added and inserted by using the TTreeNodes methods AddChildFirst, AddChild, AddChildObjectFirst, AddChildObject, AddFirst, Add, AddObjectFirst, AddObject, and Insert.

Notes

Accessing tree view items by index can be time-intensive, particularly when the tree view contains many items. For optimal performance, try to design your application so that it has as few dependencies on the tree view’s item index as possible.

Created with Doc-O-Matic.


See Also

AddChildFirst, AddChild, AddChildObjectFirst, AddChildObject, AddFirst, Add, AddObjectFirst, AddObject, Insert


TJvSettingsTreeView.OnGetImageIndex event

TJvSettingsTreeView	See Also	Edit topic

Occurs when the tree view looks up the ImageIndex of a node.

Pascal

property OnGetImageIndex: TTVExpandedEvent;

Description

Write an OnGetImageIndex event handler to change the image index for the particular node before it is drawn. For example, the bitmap of a node can be changed to indicate a different state for the node.

Created with Doc-O-Matic.


See Also

ImageIndex, Images


TJvSettingsTreeView.OnGetSelectedIndex event

TJvSettingsTreeView	See Also	Edit topic

Occurs when the tree view looks up the SelectedIndex of a node.

Pascal

property OnGetSelectedIndex: TTVExpandedEvent;

Description

Write an OnGetSelectedIndex event handler to change the selected image index of a node before it is drawn.

Created with Doc-O-Matic.


See Also

Images, ImageIndex


TJvSettingsTreeView.OnMouseEnter event

TJvSettingsTreeView	See Also	Edit topic

Occurs when the mouse pointer moves over the tree view control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the tree view control.

Created with Doc-O-Matic.


See Also

TJvExCustomTreeView.OnMouseLeave


TJvSettingsTreeView.OnMouseLeave event

TJvSettingsTreeView	See Also	Edit topic

Occurs when the mouse pointer moves off the tree view control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the tree view control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExCustomTreeView.OnMouseEnter


TJvSettingsTreeView.OnParentColorChange event

TJvSettingsTreeView	Edit topic

Occurs when the color property for the parent of the control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvSettingsTreeView.PageDefault property

TJvSettingsTreeView	See Also	Edit topic

Specifies the index of the default page.

Pascal

property PageDefault: Integer;

Description

Use DefaultPage to specify the value of the PageIndex property for new nodes. For example, settings this property to 0 will set the PageIndex of new nodes to 0, setting it to 1 will set the PageIndex to 1, etc.

Created with Doc-O-Matic.


See Also

TJvCustomPageListTreeView.PageLinks, TJvCustomPageListTreeView.PageList


TJvSettingsTreeView.PageLinks property

TJvSettingsTreeView	See Also	Edit topic

Used at design-time to set up the association between tree nodes and pages in a PageList.

Pascal

property PageLinks: TJvPageLinks;

Description

This property is only used at design-time to set up the association between a node and the page that should be displayed y the IPageList implementation when that node is selected. To set up a page link association at run-time, type cast the tree node to TJvPageIndexNode and set its PageIndex property.

Example:

    TJvPageIndexNode(JvCustomPageListTreeView1.Items[SomeIndex]).PageIndex := SomePageIndex;

The linking will only have effect if the PageList property has been assigned.

Created with Doc-O-Matic.


See Also

TJvCustomPageListTreeView.PageList, TJvPageIndexNode.PageIndex


TJvSettingsTreeView.PageList property

TJvSettingsTreeView	Edit topic

Specifies the IPageList implementation.

Pascal

property PageList: IPageList;

Description

Use the PageList property to associate an IPageList implementation with the treeview. If a PageList is assigned, the active page of the page list will change automatically when the user selects a new node in the treeview. The page that is activated is determined by the value of the selected nodes PageIndex property.

Created with Doc-O-Matic.


TJvSettingsTreeView.PageNodeImages property

TJvSettingsTreeView	See Also	Edit topic

Specifies the images to use for the different states of the nodes.

Pascal

property PageNodeImages: TJvSettingsTreeImages;

Description

Use PageNodeImages to specify what images to use for the different states a node can be in. The recognized states are normal, selected, expanded and collapsed.

Created with Doc-O-Matic.


See Also

Images


TJvShape
JEDI-VCL Reference

 TJvShape

Hierarchy	Properties	Events	Package	 Edit topic

Supports extended features such as hot tracking.

Pascal

TJvShape = class(TJvExShape);

File

JvShape

Description

TJvShape is a shape that supports extended features such as hot tracking.

TJvShape adds events to TShape: OnParentColorChange, OnMouseEnter and OnMouseLeave.

You can use OnMouseEnter and OnMouseLeave to alter the shape's look or behavior, when the user moves the mouse pointer over the control.

Property HintColor can be used to set a different color of the Help hint boxes for the shape.

Created with Doc-O-Matic.


TJvShape Properties

TJvShape	Legend

Properties

 HintColor

TJvExShape

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvShape Events

TJvShape	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExShape

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvShape

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TShape, IJvExControl
        TJvExShape
            TJvShape


TJvShape Members

TJvShape	Legend

Members

Properties

 HintColor

TJvExShape

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExShape

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvShape.HintColor property

TJvShape	Edit topic

Determines the color of the hint boxes for the Help Hints for the shape.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvShape.OnMouseEnter event

TJvShape	See Also	Edit topic

Occurs when the mouse pointer moves over the shape control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the shape control.

Created with Doc-O-Matic.


See Also

TJvExShape.OnMouseLeave


TJvShape.OnMouseLeave event

TJvShape	See Also	Edit topic

Occurs when the mouse pointer moves off the shape control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the shape control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExShape.OnMouseEnter


TJvShape.OnParentColorChange event

TJvShape	Edit topic

Occurs when the color property for the parent of the shape changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvShellAboutDialog
JEDI-VCL Reference

 TJvShellAboutDialog

Hierarchy	Properties	Methods	Package	 Edit topic

Displays a ShellAbout dialog.

Pascal

TJvShellAboutDialog = class(TJvCommonDialog);

File

JvWinDialogs

Description

TJvShellAboutDialog is a wrapper for the ShellAbout Windows API. It can display the ShellAbout dialog, do this by calling the Execute method.

To see an example of a ShellAbout dialog, choose "About Windows" from the "Help" menu drop-down list in Windows Explorer.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvShellAboutDialog Properties

TJvShellAboutDialog	Legend

Properties

 Caption

 Icon

 OtherText

 Product

TJvCommonDialog

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvShellAboutDialog Methods

TJvShellAboutDialog	Legend

Methods

 Execute

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvShellAboutDialog

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog
        TJvShellAboutDialog


TJvShellAboutDialog Members

TJvShellAboutDialog	Legend

Members

Properties

 Caption

 Icon

 OtherText

 Product

TJvCommonDialog

 AboutJVCL

Methods

 Execute

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

Dlgs


TJvShellAboutDialog.Caption property

TJvShellAboutDialog	See Also	Edit topic

Specifies a string to be displayed in the title bar of the about dialog.

Pascal

property Caption: string;

Description

Use Caption to specify a string to be displayed in the title bar of the about dialog.

Created with Doc-O-Matic.


See Also

TJvShellAboutDialog.OtherText, TJvShellAboutDialog.Product


TJvShellAboutDialog.Icon property

TJvShellAboutDialog	See Also	Edit topic

Specifies an icon to be displayed in the dialog.

Pascal

property Icon: TIcon;

Description

Use Icon to specify an icon that displays in the dialog. If Icon is not set, the component displays the Microsoft Windows or Microsoft Windows NT icon.

Created with Doc-O-Matic.


See Also

Execute


TJvShellAboutDialog.OtherText property

TJvShellAboutDialog	See Also	Edit topic

Specifies another text to be displayed in the dialog.

Pascal

property OtherText: string;

Description

Use OtherText to specify a string that will be displayed in the dialog after the version and copyright information.

Created with Doc-O-Matic.


See Also

TJvShellAboutDialog.Caption, TJvShellAboutDialog.Product


TJvShellAboutDialog.Product property

TJvShellAboutDialog	See Also	Edit topic

Specifies a product name to be displayed in the dialog.

Pascal

property Product: string;

Description

Use Product to specify a string to be displayed on the first line of the dialog after the text 'Microsoft'.

Created with Doc-O-Matic.


See Also

TJvShellAboutDialog.Caption, TJvShellAboutDialog.OtherText


TJvShellAboutDialog.Execute method

TJvShellAboutDialog	Edit topic

Shows the ShellAbout dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true if successful, or false otherwise.

Description

Call Execute to show the ShellAbout dialog.

Created with Doc-O-Matic.


TJvShellHook
JEDI-VCL Reference

 TJvShellHook

Hierarchy	Properties	Events	Package	 Edit topic

Wrapper component for the RegisterShellHookWindow and DeregisterShellHookWindow Windows API functions.

Pascal

TJvShellHook = class(TJvComponent);

File

JvShellHook

Description

Wraps calls to RegisterShellHookWindow and DeregisterShellHookWindow into a simple to use component.

RegisterShellHookWindow registers a specified shell window to receive certain messages for events or notifications that can be useful to shell applications. The event messages received are only those sent to the shell window associated with the specified window's desktop. Many of the messages are the same as those that can be received after calling the SetWindowsHookEx function and specifying WH_SHELL for the hook type. The difference with RegisterShellHookWindow is that the messages are received through the specified window's WindowProc and not through a call back procedure.

See MSDN (http://msdn.microsoft.com, search for "RegisterShellHookWindow") for more details

Notes

The RegisterShellHookWindow and DeregisterShellHookWindow API functions may not be available on all versions of Windows. To detect if the API is available, set Active to true. If it remains true, the API is available. If it is reset to false, the API is not available.

Created with Doc-O-Matic.


TJvShellHook Properties

TJvShellHook	Legend

Properties

 Active

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvShellHook Events

TJvShellHook	Legend

Events

 OnShellMessage

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvShellHook

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvShellHook


TJvShellHook Members

TJvShellHook	Legend

Members

Properties

 Active

TJvComponent

 AboutJVCL

Events

 OnShellMessage

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

System


TJvShellHook.Active property

TJvShellHook	See Also	Edit topic

Specifies if shell messages are received and propagated to the event handler.

Pascal

property Active: Boolean;

Description

Use Active to specify whether the component receives shell messages or not. When Active is true, the component calls the RegisterShellWindow API function to register its own message handler. Messages received are relayed to the user through the OnShellMessage event handler.

Created with Doc-O-Matic.


See Also

TJvShellHook.OnShellMessage


TJvShellHook.OnShellMessage event

TJvShellHook	Edit topic

Occurs when a shell message is received.

Pascal

TJvShellHookEvent = procedure (Sender: TObject; var Msg: TMessage) of object;
property OnShellMessage: TJvShellHookEvent;

Parameters

Msg

The message received. lParam should be interpreted according to the value of wParam.

Sender

The object that called the event.

Description

Write a handler for the OnShellMessage event to take specific action when a shell message is received by the component. Depending on the value of Msg.wParam, Msg.lParam contains various data as described in the table below.

wParam	lParam
HSHELL_GETMINRECT	A pointer to a SHELLHOOKINFO structure.
HSHELL_WINDOWACTIVATEED	The HWND handle of the activated window.
HSHELL_RUDEAPPACTIVATEED	The HWND handle of the activated window.
HSHELL_WINDOWREPLACING	The HWND handle of the window replacing the top-level window.
HSHELL_WINDOWREPLACED	The HWND handle of the window being replaced.
HSHELL_WINDOWCREATED	The HWND handle of the window being created.
HSHELL_WINDOWDESTROYED	The HWND handle of the top-level window being destroyed.
HSHELL_ACTIVATESHELLWINDOW	Not used.
HSHELL_TASKMAN	Can be ignored.
HSHELL_REDRAW	The HWND handle of the window that needs to be redrawn.
HSHELL_FLASH	The HWND handle of the window that needs to be flashed.
HSHELL_ENDTASK	The HWND handle of the window that should be forced to exit.
HSHELL_APPCOMMAND	The APPCOMMAND which has been unhandled by the application or other hooks. See WM_APPCOMMAND in the Windows API Help and use the function GET_APPCOMMAND_LPARAM to extract the parameter.
Created with Doc-O-Matic.


TJvSHFileOperation
JEDI-VCL Reference

 TJvSHFileOperation

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Copies, moves, renames, or deletes files, while showing the standard Windows progress dialog.

Pascal

TJvSHFileOperation = class(TJvCommonDialog);

File

JvSHFileOperation

Description

TJvSHFileOperation is a wrapper for the windows SHFileOperation function.

This Windows API function provides the ability to perform a copy, move, rename, or delete operation on files, while displaying a dialog box with an animation and an animated progress bar that indicates the progress of the operation.

Use TJvSHFileOperation to get access to the functionality of the SHFileOperation API function in an easier to use way. TJvSHFileOperation implements all the functionality of SHFileOperation.

Created with Doc-O-Matic.


TJvSHFileOperation Properties

TJvSHFileOperation	Legend

Properties

 DestFiles

 Operation

 Options

 SourceFiles

 Title

TJvCommonDialog

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSHFileOperation Events

TJvSHFileOperation	Legend

Events

 OnFileMapping

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSHFileOperation Methods

TJvSHFileOperation	Legend

Methods

 Execute

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvSHFileOperation

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCommonDialog
    TJvCommonDialog
        TJvSHFileOperation


TJvSHFileOperation Members

TJvSHFileOperation	Legend

Members

Properties

 DestFiles

 Operation

 Options

 SourceFiles

 Title

TJvCommonDialog

 AboutJVCL

Events

 OnFileMapping

Methods

 Execute

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

System


TJvSHFileOperation.DestFiles property

TJvSHFileOperation	See Also	Edit topic

Contains the name of the destination file or directory.

Pascal

property DestFiles: TStrings;

Description

DestFiles contains the name of the destination file or directory.

DestFiles must meet the following specifications:

Wildcard characters are not supported.

Copy and move operations can specify destination directories that do not exist and the system will attempt to create them. The system normally displays a dialog box to ask the user if they want to create the new directory. To suppress this dialog box and have the directories created silently, include fofNoConfirmMkDir in Options.

For copy and move operations, DestFiles can contain multiple destination file names if fofMultiDestFiles is included in Options.

Each file and directory name is translated to a file name with a fully qualified path. So if you don't specify a path, the name of the current drive and directory will be merged with the specified file name to determine the full path and file name of the specified file.

Created with Doc-O-Matic.


See Also

TJvSHFileOperation.SourceFiles


TJvSHFileOperation.OnFileMapping event

TJvSHFileOperation	See Also	Edit topic

Occurs after the file operation when any files were renamed.

Pascal

TJvShFileMappingEvent = procedure (Sender: TObject; const OldFileName, NewFileName: string) of object;
property OnFileMapping: TJvShFileMappingEvent;

Parameters

NewFileName

Specifies the new name of a renamed file.

OldFileName

Specifies the old name of a renamed file.

Sender

The TJvSHFileOperation component that has sent this event.

Description

Write an OnFileMapping event handler to respond after the file operation when any files were renamed.

Only when you include fofRenameOnCollision in Options then the system will give a file a new name in a move, copy, or rename operation if a file with the target name already exists. Otherwise, the system shows a dialog box that asks for confirmation to replace the already existing target file.

Notes

This event will only occur if you include both fofRenameOnCollision and fofWantMappingHandle in Options.

Created with Doc-O-Matic.


See Also

TJvSHFileOperation.Options


TJvSHFileOperation.Operation property

TJvSHFileOperation	See Also	Edit topic

Specifies the file operation to perform.

Pascal

property Operation: TJvSHFileOpType;

Description

Set Operation to specify what kind of file operation the component must perform.

Created with Doc-O-Matic.


See Also

Execute


TJvSHFileOperation.Options property

TJvSHFileOperation	Edit topic

Controls the file operation.

Pascal

property Options: TJvSHFileOptions;

Description

Use Options to

Disable confirmation dialogs.

Alter or disable the appearance of the progress dialog.

Specify whether files must be renamed or deleted on name collisions.

By default, all flags except fofAllowUndo and fofFilesOnly are off.

Created with Doc-O-Matic.


TJvSHFileOperation.SourceFiles property

TJvSHFileOperation	See Also	Edit topic

Contains one or more source file names.

Pascal

property SourceFiles: TStrings;

Description

Set each item in SourceFiles to a filename which can contain wildcard characters (* and ?). The asterisk (*) is a wildcard which matches any number of arbitrary characters. The question mark (?) is a wildcard which matches a single arbitrary character.

Use SourceFiles to add, insert, delete and move source file names. Use properties and methods for string lists to manipulate the items in the list.

Each file name is translated to a file name with a fully qualified path. So if you don't specify a path, the name of the current drive and directory will be merged with the specified file name to determine the full path and file name of the specified file.

Include fofFilesOnly in Options to perform the operation as specified by Operation on files only, if a wildcard file name is specified. Include fofNoRecursion in Options to operate only in the local directory; thus, the operation will not operate recursively into subdirectories if this flag is included in Options.

Created with Doc-O-Matic.


See Also

TJvSHFileOperation.DestFiles


TJvSHFileOperation.Title property

TJvSHFileOperation	See Also	Edit topic

Specifies the title of the progress dialog.

Pascal

property Title: string;

Description

Use Title to specify a title for the progress dialog, that displays the progress of the file operation.

The value of Title is only used if Options includes fofSimpleProgress.

Created with Doc-O-Matic.


See Also

TJvSHFileOperation.Options


TJvSHFileOperation.Execute method

TJvSHFileOperation	See Also	Edit topic

Performs the file operation.

Pascal

function Execute: Boolean; override;

Return Value

Execute returns True if no errors occurred and no file operations were aborted by the user, or False otherwise.

Description

Call Execute to perform the operation as specified by Operation.

Created with Doc-O-Matic.


See Also

TJvSHFileOperation.Operation


TJvSimpleHashTable
JEDI-VCL Reference

TJvSimpleHashTable

Hierarchy	Methods	 Edit topic

A hash table

Pascal

TJvSimpleHashTable = class(TObject);

File

JvSimpleXml

Description

This is not used at the moment

Created with Doc-O-Matic.


TJvSimpleHashTable Methods

TJvSimpleHashTable

Methods

AddObject

Clear

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleHashTable


TJvSimpleHashTable Members

TJvSimpleHashTable

Members

Methods

AddObject

Clear

Created with Doc-O-Matic.


TJvSimpleHashTable.AddObject method

TJvSimpleHashTable	Edit topic

This is not used at the moment

Pascal

procedure AddObject(const AName: string; AObject: TObject);

Parameters

const AName: string

The name to add

AObject: TObject

The object to link to this name

Description

....

Created with Doc-O-Matic.


TJvSimpleHashTable.Clear method

TJvSimpleHashTable	Edit topic

Clears the table

Pascal

procedure Clear;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML
JEDI-VCL Reference

 TJvSimpleXML

Hierarchy	Properties	Methods	Events	Package	 Edit topic

The component to manipulate a XML file

Pascal

TJvSimpleXML = class(TComponent);

File

JvSimpleXml

Description

Use this object to manipulate an XML file

Created with Doc-O-Matic.


TJvSimpleXML Properties

TJvSimpleXML	Legend

Properties

 FileName

 IndentString

 Options

Prolog

Root

XMLData

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSimpleXML Events

TJvSimpleXML	Legend

Events

 OnDecodeStream

 OnDecodeValue

 OnEncodeStream

 OnEncodeValue

 OnLoadProgress

 OnSaveProgress

 OnTagParsed

 OnValueParsed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSimpleXML Methods

TJvSimpleXML

Methods

LoadFromFile

LoadFromResourceName

LoadFromStream

LoadFromString

SaveToFile

SaveToStream

SaveToString

Created with Doc-O-Matic.


Legend

TJvSimpleXML

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvSimpleXML


TJvSimpleXML Members

TJvSimpleXML	Legend

Members

Properties

 FileName

 IndentString

 Options

Prolog

Root

XMLData

Events

 OnDecodeStream

 OnDecodeValue

 OnEncodeStream

 OnEncodeValue

 OnLoadProgress

 OnSaveProgress

 OnTagParsed

 OnValueParsed

Methods

LoadFromFile

LoadFromResourceName

LoadFromStream

LoadFromString

SaveToFile

SaveToStream

SaveToString

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

System


TJvSimpleXML.FileName property

TJvSimpleXML	See Also	Edit topic

Indicates the name of the file loaded by the object

Pascal

property FileName: TFileName;

Description

Setting this property will call LoadFromFile

Created with Doc-O-Matic.


See Also

TJvSimpleXML.LoadFromFile, TJvSimpleXML.SaveToFile


TJvSimpleXML.IndentString property

TJvSimpleXML	See Also	Edit topic

The string to use when performing indentation in the file.

Pascal

property IndentString: string;

Description

This string must be made of only spaces or tabs, and if not, will be refused leaving the current value unchanged.

Created with Doc-O-Matic.


See Also

TJvSimpleXML.Options


TJvSimpleXML.OnDecodeStream event

TJvSimpleXML	See Also	Edit topic

Occurs when the XML data is read from string, stream or file.

Pascal

property OnDecodeStream: TJvSimpleXMLEncodeStreamEvent;

Description

Write a handler for this event to do special processing of the XML stream before reading it into the component. For example, use this event to convert an encoded XML file to an internal format.

Note that if you assign a handler to this event, you should set sxoAutoEncodeValue to false in Options to prevent the default encoding of tag and attribute values.

Created with Doc-O-Matic.


See Also

TJvSimpleXML.OnEncodeStream


TJvSimpleXML.OnDecodeValue event

TJvSimpleXML	See Also	Edit topic

Occurs when a value is to be decoded.

Pascal

property OnDecodeValue: TJvSimpleXMLEncodeEvent;

Description

Write a handler for this event to do special processing to the XML data of tag and attribute values. The normal processing of JvSimpleXML (if sxoAutoEncodeValue is set in Options) is to decode all XML values using the SimpleXMLDecode function but you can handle all encoding/decoding yourself using any of the events OnEncodeValue, OnDecodeValue, OnEncodeStream and OnDecodeStream.

Note that if you assign a handler to this event, the default decoding is not performed, regardless of the value of sxoAutoEncodeValue.

Created with Doc-O-Matic.


See Also

TJvSimpleXML.OnEncodeValue, TJvSimpleXML.OnEncodeStream, TJvSimpleXML.OnDecodeStream


TJvSimpleXML.OnEncodeStream event

TJvSimpleXML	See Also	Edit topic

Occurs when the XML data is written to string, stream or file.

Pascal

property OnEncodeStream: TJvSimpleXMLEncodeStreamEvent;

Description

Write a handler for this event to do special processing of the XML stream before writing it to storage. For example, use this event to convert an internal XML format to a standard encoding.

Note that if you assign a handler to this event, you should set sxoAutoEncodeValue to false in Options to prevent the default encoding of tag and attribute values.

Created with Doc-O-Matic.


See Also

TJvSimpleXML.OnDecodeStream


TJvSimpleXML.OnEncodeValue event

TJvSimpleXML	See Also	Edit topic

Occurs when a value is to be encoded.

Pascal

property OnEncodeValue: TJvSimpleXMLEncodeEvent;

Description

Write a handler for this event to do special processing to the XML data of tag and attribute values. The normal processing of JvSimpleXML (if sxoAutoEncodeValue is set in Options) is to encode all tag and attribute values using the SimpleXMLEnocde function but you can handle all encoding/decoding yourself using any of the events OnEncodeValue, OnDecodeValue, OnEncodeStream and OnDecodeStream.

Note that if you assign a handler to this event, the default decoding is not performed, regardless of the value of sxoAutoEncodeValue.

Created with Doc-O-Matic.


See Also

TJvSimpleXML.OnDecodeValue, TJvSimpleXML.OnEncodeStream, TJvSimpleXML.OnDecodeStream


TJvSimpleXML.OnLoadProgress event

TJvSimpleXML	Edit topic

Event triggered while loading xml data

Pascal

property OnLoadProgress: TJvOnSimpleProgress;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.OnSaveProgress event

TJvSimpleXML	Edit topic

Event triggered while saving xml data

Pascal

property OnSaveProgress: TJvOnSimpleProgress;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.OnTagParsed event

TJvSimpleXML	Edit topic

Event triggered when an XML tag has been parsed

Pascal

TJvOnSimpleXMLParsed = procedure (Sender: TObject; Name: string) of object;
property OnTagParsed: TJvOnSimpleXMLParsed;

Parameters

Name

The name of the parsed tag

Sender

The TJvSimpleXML object that has parsed the tag

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.OnValueParsed event

TJvSimpleXML	Edit topic

Event triggered when a value has been parsed

Pascal

TJvOnValueParsed = procedure (Sender: TObject; Name, Value: string) of object;
property OnValueParsed: TJvOnValueParsed;

Parameters

Value

The value that has been parsed

Name

The name of the value

Sender

The TJvSimpleXML object that has parsed the value

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.Options property

TJvSimpleXML	Edit topic

The options to use when using xml data

Pascal

property Options: TJvSimpleXMLOptions;

Description

sxoAutoCreate	If a node is accessed and it does not exist, create it instead of returning nil
sxoAutoIndent	Automatically indent xml data when output to a character stream
Created with Doc-O-Matic.


TJvSimpleXML.Prolog property

TJvSimpleXML	Edit topic

The prolog in the xml file

Pascal

property Prolog: TJvSimpleXMLElemsProlog;

Description

Usually indicates the DTD to be used with the XML file. For instance:

  <?xml version="1.0"?>

  <!DOCTYPE greeting SYSTEM "hello.dtd">

Created with Doc-O-Matic.


TJvSimpleXML.Root property

TJvSimpleXML	Edit topic

The root element in the xml file

Pascal

property Root: TJvSimpleXMLElemClassic;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.XMLData property

TJvSimpleXML	Edit topic

Provides access to the XML data as a string.

Pascal

property XMLData: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.LoadFromFile method

TJvSimpleXML	See Also	Edit topic

Loads the indicated file into the object

Pascal

procedure LoadFromFile(const FileName: TFileName);

Parameters

const FileName: TFileName

The file to load

Description

This doesn't set the value of the FileName property

Created with Doc-O-Matic.


See Also

TJvSimpleXML.FileName


TJvSimpleXML.LoadFromResourceName method

TJvSimpleXML	Edit topic

Loads xml data from a named resource

Pascal

procedure LoadFromResourceName(Instance: THandle; const ResName: string);

Parameters

Instance: THandle

The handle of the processes where the resource is stored

const ResName: string

The name of the resource to load

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.LoadFromStream method

TJvSimpleXML	Edit topic

Loads the xml data from an existing stream

Pascal

procedure LoadFromStream(Stream: TStream);

Parameters

Stream: TStream

The stream to load the data from

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.LoadFromString method

TJvSimpleXML	Edit topic

Load the xml data from a string

Pascal

procedure LoadFromString(const Value: string);

Parameters

const Value: string

The string to load the value from

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXML.SaveToFile method

TJvSimpleXML	See Also	Edit topic

Saves the xml data into the given file

Pascal

procedure SaveToFile(FileName: TFileName);

Parameters

FileName: TFileName

The file to save to

Description

The file will be emptied first if it exists

Created with Doc-O-Matic.


See Also

TJvSimpleXML.LoadFromFile, TJvSimpleXML.SaveToStream, TJvSimpleXML.SaveToString


TJvSimpleXML.SaveToStream method

TJvSimpleXML	See Also	Edit topic

Saves the xml data to a stream

Pascal

procedure SaveToStream(Stream: TStream);

Parameters

Stream: TStream

The stream to write to

Description

The stream must be created before the call to the function

Created with Doc-O-Matic.


See Also

TJvSimpleXML.LoadFromStream, TJvSimpleXML.SaveToFile, TJvSimpleXML.SaveToString


TJvSimpleXML.SaveToString method

TJvSimpleXML	See Also	Edit topic

Saves the xml data in a string

Pascal

function SaveToString: string;

Return Value

The xml data as a string

Description

Saves the xml data in a string and returns it

Created with Doc-O-Matic.


See Also

TJvSimpleXML.LoadFromString, TJvSimpleXML.SaveToFile, TJvSimpleXML.SaveToStream


TJvSimpleXMLElem
JEDI-VCL Reference

TJvSimpleXMLElem

Hierarchy	Properties	Methods	 Edit topic

This is the base class for every type of element xml data can contain

Pascal

TJvSimpleXMLElem = class(TObject);

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElem Properties

TJvSimpleXMLElem	Legend

Properties

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSimpleXMLElem Methods

TJvSimpleXMLElem	Legend

Methods

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


Legend

TJvSimpleXMLElem

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem


TJvSimpleXMLElem Members

TJvSimpleXMLElem	Legend

Members

Properties

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Methods

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


TJvSimpleXMLElem.BoolValue property

TJvSimpleXMLElem	See Also	Edit topic

The value of the element as a Boolean

Pascal

property BoolValue: Boolean;

Description

This is False if the Value is not a boolean

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.IntValue, TJvSimpleXMLElem.Value


TJvSimpleXMLElem.ChildsCount property

TJvSimpleXMLElem	Edit topic

The number of childs of that element

Pascal

property ChildsCount: Integer;

Description

This is recursive and as such may be different from Items.Count

Created with Doc-O-Matic.


TJvSimpleXMLElem.Container property

TJvSimpleXMLElem	Edit topic

Specifies the list class owning the item

Pascal

property Container: TJvSimpleXMLElems;

Description

Use Container to determine the list class that owns this item. An item is always a child of its Container

Created with Doc-O-Matic.


TJvSimpleXMLElem.Data property

TJvSimpleXMLElem	Edit topic

Pointer to the internal data of the element

Pascal

property Data: Pointer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElem.FloatValue property

TJvSimpleXMLElem	Edit topic

The nodes value as a float

Pascal

property FloatValue: Extended;

Description

Use FloatValue to read and write the nodes value as a float. If the value cannot be converted to a float, 0.0 is returned.

Created with Doc-O-Matic.


TJvSimpleXMLElem.IntValue property

TJvSimpleXMLElem	See Also	Edit topic

The item value as an Integer

Pascal

property IntValue: Int64;

Description

If the value is not an Integer, returns -1

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.BoolValue, TJvSimpleXMLElem.Value


TJvSimpleXMLElem.Items property

TJvSimpleXMLElem	Edit topic

The direct childs of the element

Pascal

property Items: TJvSimpleXMLElems;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElem.Name property

TJvSimpleXMLElem	Edit topic

The name of the element

Pascal

property Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElem.NameSpace property

TJvSimpleXMLElem	Edit topic

Contains the namespace part of the node name.

Pascal

property NameSpace: string;

Description

USe NameSpace to determine the namespace part of the node name. The namespace part is the part before the ':' in the name, like in "xsl:stylesheet'. If the node doesn't have a namespace, this property contains an empty string.

Created with Doc-O-Matic.


TJvSimpleXMLElem.Parent property

TJvSimpleXMLElem	Edit topic

The element parent of this one

Pascal

property Parent: TJvSimpleXMLElem;

Description

Unless the element is the root, there is always a parent

Created with Doc-O-Matic.


TJvSimpleXMLElem.Properties property

TJvSimpleXMLElem	Edit topic

The properties of the element

Pascal

property Properties: TJvSimpleXMLProps;

Description

This is ever nil, but may not contain elements.

Created with Doc-O-Matic.


TJvSimpleXMLElem.SimpleXML property

TJvSimpleXMLElem	See Also	Edit topic

The TJvSimpleXML component containing this element

Pascal

property SimpleXML: TJvSimpleXML;

Description

This is set through calls to SaveToStream and LoadToStream

Created with Doc-O-Matic.


See Also

TJvSimpleXML


TJvSimpleXMLElem.Value property

TJvSimpleXMLElem	Edit topic

The value of the node

Pascal

property Value: string;

Description

Use Value to get and set the value of the node as a string

Created with Doc-O-Matic.


TJvSimpleXMLElem.Assign method

TJvSimpleXMLElem	Edit topic

Assign the values of the given element to the current one

Pascal

procedure Assign(Value: TJvSimpleXMLElem); virtual;

Parameters

Value: TJvSimpleXMLElem

The element source of the assignment

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElem.Clear method

TJvSimpleXMLElem	Edit topic

Deletes all childs and properties from the element

Pascal

procedure Clear; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElem.FullName method

TJvSimpleXMLElem	Edit topic

Returns the full name of the node

Pascal

function FullName: string; virtual;

Description

Call FullName to get the full name of the node. The full name consists of the NameSpace, a colon and the Name. If the node doesn't have a namespace, FullName returns the Name without the colon.

Created with Doc-O-Matic.


TJvSimpleXMLElem.GetBinaryValue method

TJvSimpleXMLElem	Edit topic

Fills the given stream with the binary value

Pascal

procedure GetBinaryValue(const Stream: TStream);

Parameters

const Stream: TStream

The stream to fill, must be created before the call

Description

A binary value is a series of numbers and letters characters that can be interpreted as hexadecimal numbers when put in pairs. For instance, the following is a binary value: F302004D

Created with Doc-O-Matic.


TJvSimpleXMLElem.GetChildIndex method

TJvSimpleXMLElem	See Also	Edit topic

Returns the index of the given child

Pascal

function GetChildIndex(const AChild: TJvSimpleXMLElem): Integer;

Return Value

The index of the child in the Items list, or nil if the child is not in the list

Parameters

const AChild: TJvSimpleXMLElem

The child to find

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

Childs


TJvSimpleXMLElem.LoadFromStream method

TJvSimpleXMLElem	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); virtual; abstract;

Parameters

const Stream: TStream

The stream containing the data

Parent: TJvSimpleXML = nil

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElem.LoadFromString method

TJvSimpleXMLElem	See Also	Edit topic

Loads the element data from the given string

Pascal

procedure LoadFromString(const Value: string);

Parameters

const Value: string

The string containing the data

Description

Calls LoadFromStream internally

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromStream


TJvSimpleXMLElem.SaveToStream method

TJvSimpleXMLElem	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); virtual; abstract;

Parameters

const Stream: TStream

The stream to write to

const Level: string = ''

The level of indentation

Parent: TJvSimpleXML = nil

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLElem.SaveToString method

TJvSimpleXMLElem	See Also	Edit topic

Saves the element data to a string

Pascal

function SaveToString: string;

Return Value

The element data as a string

Description

Calls SaveToStream internally

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToStream


TJvSimpleXMLElemCData
JEDI-VCL Reference

TJvSimpleXMLElemCData

Hierarchy	Examples	Properties	Methods	 Edit topic

A CDATA XML element

Pascal

TJvSimpleXMLElemCData = class(TJvSimpleXMLElem);

File

JvSimpleXml

Examples

  <![CDATA[value]]>

Created with Doc-O-Matic.


TJvSimpleXMLElemCData Methods

TJvSimpleXMLElemCData	Legend

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


TJvSimpleXMLElemCData Properties

TJvSimpleXMLElemCData	Legend

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvSimpleXMLElemCData

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem
        TJvSimpleXMLElemCData


TJvSimpleXMLElemCData Members

TJvSimpleXMLElemCData	Legend

Members

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Legend

virtual

published

abstract

read only


Examples

TJvSimpleXMLElemCData

  <![CDATA[value]]>

Created with Doc-O-Matic.


TJvSimpleXMLElemCData.LoadFromStream method

TJvSimpleXMLElemCData	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream containing the data

Parent

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElemCData.SaveToStream method

TJvSimpleXMLElemCData	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream to write to

Level

The level of indentation

Parent

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLElemClassic
JEDI-VCL Reference

TJvSimpleXMLElemClassic

Hierarchy	Examples	Properties	Methods	 Edit topic

A classic XML element

Pascal

TJvSimpleXMLElemClassic = class(TJvSimpleXMLElem);

File

JvSimpleXml

Examples

  <element property="propvalue">value

Created with Doc-O-Matic.


TJvSimpleXMLElemClassic Methods

TJvSimpleXMLElemClassic	Legend

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


TJvSimpleXMLElemClassic Properties

TJvSimpleXMLElemClassic	Legend

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvSimpleXMLElemClassic

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem
        TJvSimpleXMLElemClassic


TJvSimpleXMLElemClassic Members

TJvSimpleXMLElemClassic	Legend

Members

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Legend

virtual

published

abstract

read only


Examples

TJvSimpleXMLElemClassic

  <element property="propvalue">value

Created with Doc-O-Matic.


TJvSimpleXMLElemClassic.LoadFromStream method

TJvSimpleXMLElemClassic	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream containing the data

Parent

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElemClassic.SaveToStream method

TJvSimpleXMLElemClassic	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream to write to

Level

The level of indentation

Parent

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLElemComment
JEDI-VCL Reference

TJvSimpleXMLElemComment

Hierarchy	Examples	Properties	Methods	 Edit topic

A comment XML element

Pascal

TJvSimpleXMLElemComment = class(TJvSimpleXMLElem);

File

JvSimpleXml

Examples

  <!-- This is a comment -->

Created with Doc-O-Matic.


TJvSimpleXMLElemComment Methods

TJvSimpleXMLElemComment	Legend

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


TJvSimpleXMLElemComment Properties

TJvSimpleXMLElemComment	Legend

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvSimpleXMLElemComment

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem
        TJvSimpleXMLElemComment


TJvSimpleXMLElemComment Members

TJvSimpleXMLElemComment	Legend

Members

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Legend

virtual

published

abstract

read only


Examples

TJvSimpleXMLElemComment

  <!-- This is a comment -->

Created with Doc-O-Matic.


TJvSimpleXMLElemComment.LoadFromStream method

TJvSimpleXMLElemComment	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream containing the data

Parent

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElemComment.SaveToStream method

TJvSimpleXMLElemComment	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream to write to

Level

The level of indentation

Parent

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLElemDocType
JEDI-VCL Reference

TJvSimpleXMLElemDocType

Hierarchy	Examples	Properties	Methods	 Edit topic

A DOCTYPE XML element

Pascal

TJvSimpleXMLElemDocType = class(TJvSimpleXMLElem);

File

JvSimpleXml

Examples

  <!DOCTYPE Value>

Created with Doc-O-Matic.


TJvSimpleXMLElemDocType Methods

TJvSimpleXMLElemDocType	Legend

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


TJvSimpleXMLElemDocType Properties

TJvSimpleXMLElemDocType	Legend

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvSimpleXMLElemDocType

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem
        TJvSimpleXMLElemDocType


TJvSimpleXMLElemDocType Members

TJvSimpleXMLElemDocType	Legend

Members

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Legend

virtual

published

abstract

read only


Examples

TJvSimpleXMLElemDocType

  <!DOCTYPE Value>

Created with Doc-O-Matic.


TJvSimpleXMLElemDocType.LoadFromStream method

TJvSimpleXMLElemDocType	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream containing the data

Parent

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElemDocType.SaveToStream method

TJvSimpleXMLElemDocType	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream to write to

Level

The level of indentation

Parent

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLElemHeader
JEDI-VCL Reference

TJvSimpleXMLElemHeader

Hierarchy	Examples	Properties	Methods	 Edit topic

A header XML element

Pascal

TJvSimpleXMLElemHeader = class(TJvSimpleXMLElem);

File

JvSimpleXml

Examples

  <?xml version="Version" standalone="yes" encoding="Encoding"?>

Created with Doc-O-Matic.


TJvSimpleXMLElemHeader Properties

TJvSimpleXMLElemHeader	Legend

Properties

Encoding

StandAlone

Version

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSimpleXMLElemHeader Methods

TJvSimpleXMLElemHeader	Legend

Methods

 Assign

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


Legend

TJvSimpleXMLElemHeader

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem
        TJvSimpleXMLElemHeader


TJvSimpleXMLElemHeader Members

TJvSimpleXMLElemHeader	Legend

Members

Properties

Encoding

StandAlone

Version

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Methods

 Assign

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


Examples

TJvSimpleXMLElemHeader

  <?xml version="Version" standalone="yes" encoding="Encoding"?>

Created with Doc-O-Matic.


TJvSimpleXMLElemHeader.Encoding property

TJvSimpleXMLElemHeader	Edit topic

The encoding the elements may use

Pascal

property Encoding: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Notes

The element will not encode the values.

Created with Doc-O-Matic.


TJvSimpleXMLElemHeader.StandAlone property

TJvSimpleXMLElemHeader	Edit topic

True if the XML document is to be standalone

Pascal

property StandAlone: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemHeader.Version property

TJvSimpleXMLElemHeader	Edit topic

The version of the XML standard

Pascal

property Version: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemHeader.Assign method

TJvSimpleXMLElemHeader	Edit topic

Assign the values of the given element to the current one

Pascal

procedure Assign(Value: TJvSimpleXMLElem); override;

Parameters

Value

The element source of the assignment

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemHeader.LoadFromStream method

TJvSimpleXMLElemHeader	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream containing the data

Parent

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElemHeader.SaveToStream method

TJvSimpleXMLElemHeader	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream to write to

Level

The level of indentation

Parent

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLElems
JEDI-VCL Reference

TJvSimpleXMLElems

Hierarchy	Properties	Methods	 Edit topic

A collection of XML elements

Pascal

TJvSimpleXMLElems = class(TObject);

File

JvSimpleXml

Description

This is not implemented as a TCollection but rather with the help of a HashedStringList

Created with Doc-O-Matic.


TJvSimpleXMLElems Properties

TJvSimpleXMLElems	Legend

Properties

 Count

 Item

 ItemNamed

Parent

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvSimpleXMLElems Methods

TJvSimpleXMLElems	Legend

Methods

Add

AddCData

AddComment

AddFirst

AddText

BinaryValue

BoolValue

 Clear

CustomSort

Delete

IntValue

LoadFromStream

Notify

SaveToStream

Sort

Value

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvSimpleXMLElems

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElems


TJvSimpleXMLElems Members

TJvSimpleXMLElems	Legend

Members

Properties

 Count

 Item

 ItemNamed

Parent

Methods

Add

AddCData

AddComment

AddFirst

AddText

BinaryValue

BoolValue

 Clear

CustomSort

Delete

IntValue

LoadFromStream

Notify

SaveToStream

Sort

Value

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvSimpleXMLElems.Count property

TJvSimpleXMLElems	Edit topic

Returns the number of elements in the list

Pascal

property Count: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Item property

TJvSimpleXMLElems	See Also	Edit topic

Array property to access the list items by index

Pascal

property Item [const Index: Integer]: TJvSimpleXMLElem;

Parameters

Index

The index of the element to retrieve

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElems.ItemNamed


TJvSimpleXMLElems.ItemNamed property

TJvSimpleXMLElems	See Also	Edit topic

Array property to access the list items by name

Pascal

property ItemNamed [const Name: string]: TJvSimpleXMLElem;

Parameters

Name

The name of the element to retrieve

Description

If no element Named is in the list and sxoAutoCreate is in the owner's parent's Options property, a new element by that name is added to the list

Created with Doc-O-Matic.


See Also

Owner


TJvSimpleXMLElems.Parent property

TJvSimpleXMLElems	Edit topic

The XML element parent of the list

Pascal

property Parent: TJvSimpleXMLElem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Add method (TJvSimpleXMLElem)

TJvSimpleXMLElems	Edit topic

Adds the indicated element to the list of elements

Pascal

function Add(Value: TJvSimpleXMLElem): TJvSimpleXMLElem; overload;

Return Value

Returns Value

Parameters

Value: TJvSimpleXMLElem

The element to add to the collection

Description

No new element is created, the passed one is simply added to the list.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Add method (string)

TJvSimpleXMLElems	Edit topic

Add an element with the given name in the collection

Pascal

function Add(const Name: string): TJvSimpleXMLElemClassic; overload;

Return Value

The newly added element

Parameters

const Name: string

The name of the element to add

Description

No value is given to the element

Created with Doc-O-Matic.


TJvSimpleXMLElems.Add method (string, Boolean)

TJvSimpleXMLElems	Edit topic

Adds a new element with the given name and value in the collection

Pascal

function Add(const Name: string; const Value: Boolean): TJvSimpleXMLElemClassic; overload;

Return Value

The newly added element

Parameters

const Name: string

The name of the element

const Value: Boolean

The boolean value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Add method (string, Int64)

TJvSimpleXMLElems	Edit topic

Adds a new element with the given name and value in the collection

Pascal

function Add(const Name: string; const Value: Int64): TJvSimpleXMLElemClassic; overload;

Return Value

The newly added element

Parameters

const Name: string

The name of the element

const Value: Int64

The Int64 value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Add method (string, TStream)

TJvSimpleXMLElems	Edit topic

Adds a new element with the given name and value in the collection

Pascal

function Add(const Name: string; const Value: TStream): TJvSimpleXMLElemClassic; overload;

Return Value

The newly added element

Parameters

const Name: string

The name of the element

const Value: TStream

The stream containing the binary value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Add method (string, string)

TJvSimpleXMLElems	Edit topic

Adds a new element with the given name and value in the collection

Pascal

function Add(const Name: string; const Value: string): TJvSimpleXMLElemClassic; overload;

Return Value

The newly added element

Parameters

const Name: string

The name of the element

const Value: string

The string value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.AddCData method

TJvSimpleXMLElems	Edit topic

Adds a new CDATA element with the given name and value in the collection

Pascal

function AddCData(const Name: string; const Value: string): TJvSimpleXMLElemCData;

Return Value

The newly added element

Parameters

const Name: string

The name of the element

const Value: string

The value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.AddComment method

TJvSimpleXMLElems	Edit topic

Adds a new Comment element with the given name and value in the collection

Pascal

function AddComment(const Name: string; const Value: string): TJvSimpleXMLElemComment;

Return Value

The newly added element

Parameters

const Name: string

The name of the element

const Value: string

The value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.AddFirst method (TJvSimpleXMLElem)

TJvSimpleXMLElems	Edit topic

Add the element as the first in the list

Pascal

function AddFirst(Value: TJvSimpleXMLElem): TJvSimpleXMLElem; overload;

Return Value

Returns value

Parameters

Value: TJvSimpleXMLElem

The element to be added

Description

No new element is created.

Created with Doc-O-Matic.


TJvSimpleXMLElems.AddFirst method (string)

TJvSimpleXMLElems	Edit topic

Add a new element with the given name as the first in the list

Pascal

function AddFirst(const Name: string): TJvSimpleXMLElemClassic; overload;

Return Value

The newly added element

Parameters

const Name: string

The name of the element to be added

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.AddText method

TJvSimpleXMLElems	Edit topic

Adds a Text element in the list

Pascal

function AddText(const Name: string; const Value: string): TJvSimpleXMLElemText;

Return Value

The newly added element

Parameters

const Name: string

The name of the element

const Value: string

The value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.BinaryValue method

TJvSimpleXMLElems	See Also	Edit topic

Fills the given stream with the binary value of the given element

Pascal

procedure BinaryValue(const Name: string; const Stream: TStream);

Parameters

const Name: string

The name of the element to get the value from

const Stream: TStream

The stream to be filled

Description

If no element named Name is in the list, the stream is left untouched.

Created with Doc-O-Matic.


See Also

TJvSimpleXmlElem.BinaryValue


TJvSimpleXMLElems.BoolValue method

TJvSimpleXMLElems	See Also	Edit topic

Returns the boolean value of the given element

Pascal

function BoolValue(const Name: string; Default: Boolean = True): Boolean;

Return Value

The boolean value of the indicated element or Default if it cannot be found

Parameters

const Name: string

The name of the element to get the value for

Default: Boolean = True

The value to return if an element named Name doesn't exist

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.BoolValue


TJvSimpleXMLElems.Clear method

TJvSimpleXMLElems	Edit topic

Clears the list of elements

Pascal

procedure Clear; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.CustomSort method

TJvSimpleXMLElems	Edit topic

Indicates the function to use for sorting

Pascal

procedure CustomSort(AFunction: TJvSimpleXMLElemCompare);

Parameters

AFunction: TJvSimpleXMLElemCompare

The function to be used to sort the elements in the list

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Delete method (Integer)

TJvSimpleXMLElems	Edit topic

Deletes the indicated element from the list

Pascal

procedure Delete(const Index: Integer); overload;

Parameters

const Index: Integer

The index of the element to delete from the list

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Delete method (string)

TJvSimpleXMLElems	Edit topic

Deletes the indicated element from the list

Pascal

procedure Delete(const Name: string); overload;

Parameters

const Name: string

The name of the element to remove

Description

If no elements named Name exists in the list, no element is removed

Created with Doc-O-Matic.


TJvSimpleXMLElems.IntValue method

TJvSimpleXMLElems	See Also	Edit topic

Returns the Integer value of the given element

Pascal

function IntValue(const Name: string; Default: Int64 = -1): Int64;

Return Value

The Integer value of the indicated element or Default if it cannot be found

Parameters

const Name: string

The name of the element to get the value for

Default: Int64 = -1

The value to return if an element named Name doesn't exist

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.IntValue


TJvSimpleXMLElems.LoadFromStream method

TJvSimpleXMLElems	See Also	Edit topic

Load the list of elements from the given stream

Pascal

function LoadFromStream(const Stream: TStream; AParent: TJvSimpleXML = nil): string;

Return Value

Returns the portion of the stream that was read

Parameters

const Stream: TStream

The stream to load the list from

AParent: TJvSimpleXML = nil

The TJvSimpleXML parent component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElems.SaveToStream


TJvSimpleXMLElems.Notify method

TJvSimpleXMLElems	Edit topic

Sends a message to all children

Pascal

procedure Notify(Value: TJvSimpleXMLElem; Operation: TOperation);

Parameters

Value: TJvSimpleXMLElem

The node that is affected

Operation: TOperation

opAdd when the item is added, OpDelete when the item is removed

Description

Notify is used to indicate when a given element is removed from one list and added to another. This method is automatically called by AddChild and AddChildFirst if the Container property of the given element is set.

Created with Doc-O-Matic.


TJvSimpleXMLElems.SaveToStream method

TJvSimpleXMLElems	See Also	Edit topic

Saves the list into the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil);

Parameters

const Stream: TStream

The stream to save into

const Level: string = ''

The level of indentation to use for the list

Parent: TJvSimpleXML = nil

The TJvSimpleXML component that contains the list, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElems.LoadFromStream


TJvSimpleXMLElems.Sort method

TJvSimpleXMLElems	Edit topic

Sorts the list of elements

Pascal

procedure Sort;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElems.Value method

TJvSimpleXMLElems	See Also	Edit topic

Returns the value of the given element

Pascal

function Value(const Name: string; Default: string = ''): string;

Return Value

The value of the indicated element or Default if it cannot be found

Parameters

const Name: string

The name of the element to get the value for

Default: string = ''

The value to return if an element named Name doesn't exist

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.Value


TJvSimpleXMLElemSheet
JEDI-VCL Reference

TJvSimpleXMLElemSheet

Hierarchy	Examples	Properties	Methods	 Edit topic

A stylesheet XML element

Pascal

TJvSimpleXMLElemSheet = class(TJvSimpleXMLElem);

File

JvSimpleXml

Examples

  <?xml-stylesheet href="styles.css" type="text/css"?>

Created with Doc-O-Matic.


TJvSimpleXMLElemSheet Methods

TJvSimpleXMLElemSheet	Legend

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


TJvSimpleXMLElemSheet Properties

TJvSimpleXMLElemSheet	Legend

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvSimpleXMLElemSheet

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem
        TJvSimpleXMLElemSheet


TJvSimpleXMLElemSheet Members

TJvSimpleXMLElemSheet	Legend

Members

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Legend

virtual

published

abstract

read only


Examples

TJvSimpleXMLElemSheet

  <?xml-stylesheet href="styles.css" type="text/css"?>

Created with Doc-O-Matic.


TJvSimpleXMLElemSheet.LoadFromStream method

TJvSimpleXMLElemSheet	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream containing the data

Parent

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElemSheet.SaveToStream method

TJvSimpleXMLElemSheet	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream to write to

Level

The level of indentation

Parent

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLElemsProlog
JEDI-VCL Reference

TJvSimpleXMLElemsProlog

Hierarchy	Properties	Methods	 Edit topic

A list of Prolog elements

Pascal

TJvSimpleXMLElemsProlog = class(TObject);

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemsProlog Properties

TJvSimpleXMLElemsProlog	Legend

Properties

 Count

Encoding

 Item

StandAlone

Version

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvSimpleXMLElemsProlog Methods

TJvSimpleXMLElemsProlog

Methods

AddComment

AddDocType

AddStyleSheet

Clear

LoadFromStream

SaveToStream

Created with Doc-O-Matic.


Legend

TJvSimpleXMLElemsProlog

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElemsProlog


TJvSimpleXMLElemsProlog Members

TJvSimpleXMLElemsProlog	Legend

Members

Properties

 Count

Encoding

 Item

StandAlone

Version

Methods

AddComment

AddDocType

AddStyleSheet

Clear

LoadFromStream

SaveToStream

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvSimpleXMLElemsProlog.Count property

TJvSimpleXMLElemsProlog	Edit topic

The number of elements in the list

Pascal

property Count: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemsProlog.Encoding property

TJvSimpleXMLElemsProlog	See Also	Edit topic

The encoding that the elements use

Pascal

property Encoding: string;

Description

The list will not do any encoding, this is an indicative value

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElemHeader.Encoding


TJvSimpleXMLElemsProlog.Item property

TJvSimpleXMLElemsProlog	Edit topic

Array property to access the items in the list

Pascal

property Item [const Index: Integer]: TJvSimpleXMLElem;

Parameters

Index

The index of the item to retrieve

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemsProlog.StandAlone property

TJvSimpleXMLElemsProlog	See Also	Edit topic

Whether the xml data is standalone or not

Pascal

property StandAlone: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElemHeader.StandAlone


TJvSimpleXMLElemsProlog.Version property

TJvSimpleXMLElemsProlog	See Also	Edit topic

The version of the xml used

Pascal

property Version: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElemHeader.Version


TJvSimpleXMLElemsProlog.AddComment method

TJvSimpleXMLElemsProlog	Edit topic

Not documented

Pascal

function AddComment(const AValue: string): TJvSimpleXMLElemComment;

Parameters

const AValue: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemsProlog.AddDocType method

TJvSimpleXMLElemsProlog	Edit topic

Not documented

Pascal

function AddDocType(const AValue: string): TJvSimpleXMLElemDocType;

Parameters

const AValue: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemsProlog.AddStyleSheet method

TJvSimpleXMLElemsProlog	Edit topic

Not documented

Pascal

function AddStyleSheet(AType: string; AHRef: string): TJvSimpleXMLElemSheet;

Parameters

AType: string

Not documented

AHRef: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemsProlog.Clear method

TJvSimpleXMLElemsProlog	Edit topic

Clears the list

Pascal

procedure Clear;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemsProlog.LoadFromStream method

TJvSimpleXMLElemsProlog	See Also	Edit topic

Load the list of elements from the given stream

Pascal

function LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil): string;

Return Value

Returns the portion of the stream that was read

Parameters

const Stream: TStream

The stream to load the list from

Parent: TJvSimpleXML = nil

The TJvSimpleXML parent component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElemsProlog.SaveToStream


TJvSimpleXMLElemsProlog.SaveToStream method

TJvSimpleXMLElemsProlog	See Also	Edit topic

Saves the list into the given stream

Pascal

procedure SaveToStream(const Stream: TStream; Parent: TJvSimpleXML = nil);

Parameters

const Stream: TStream

The stream to save into

Parent: TJvSimpleXML = nil

The TJvSimpleXML component that contains the list, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElemsProlog.LoadFromStream


TJvSimpleXMLElemText
JEDI-VCL Reference

TJvSimpleXMLElemText

Hierarchy	Examples	Properties	Methods	 Edit topic

A text xml element

Pascal

TJvSimpleXMLElemText = class(TJvSimpleXMLElem);

File

JvSimpleXml

Examples

This is some text

Created with Doc-O-Matic.


TJvSimpleXMLElemText Methods

TJvSimpleXMLElemText	Legend

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Legend

virtual

published

abstract

Created with Doc-O-Matic.


Legend

virtual

published

abstract


TJvSimpleXMLElemText Properties

TJvSimpleXMLElemText	Legend

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvSimpleXMLElemText

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLElem
        TJvSimpleXMLElemText


TJvSimpleXMLElemText Members

TJvSimpleXMLElemText	Legend

Members

Methods

 LoadFromStream

 SaveToStream

TJvSimpleXMLElem

 Assign

 Clear

 FullName

GetBinaryValue

GetChildIndex

 LoadFromStream

LoadFromString

 SaveToStream

SaveToString

Properties

TJvSimpleXMLElem

 BoolValue

 ChildsCount

Container

Data

 FloatValue

 IntValue

 Items

 Name

 NameSpace

 Parent

 Properties

 SimpleXML

 Value

Legend

virtual

published

abstract

read only

Created with Doc-O-Matic.


Legend

virtual

published

abstract

read only


Examples

TJvSimpleXMLElemText

This is some text

Created with Doc-O-Matic.


TJvSimpleXMLElemText.LoadFromStream method

TJvSimpleXMLElemText	See Also	Edit topic

Loads the element data from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream containing the data

Parent

The parent TJvSimpleXML component, if any

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.LoadFromString


TJvSimpleXMLElemText.SaveToStream method

TJvSimpleXMLElemText	See Also	Edit topic

Saves the element data in the given stream

Pascal

procedure SaveToStream(const Stream: TStream; const Level: string = ''; Parent: TJvSimpleXML = nil); override;

Parameters

Stream

The stream to write to

Level

The level of indentation

Parent

The TJvSimpleXML parent, if any

Description

The level string will be put before the element, this is used with the sxoAutoIncrement

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem.SaveToString


TJvSimpleXMLProp
JEDI-VCL Reference

TJvSimpleXMLProp

Hierarchy	Properties	Methods	 Edit topic

An XML property

Pascal

TJvSimpleXMLProp = class(TObject);

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProp Properties

TJvSimpleXMLProp

Properties

BoolValue

Data

FloatValue

IntValue

Name

NameSpace

Parent

Value

Created with Doc-O-Matic.


TJvSimpleXMLProp Methods

TJvSimpleXMLProp

Methods

FullName

GetSimpleXML

SaveToString

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLProp


TJvSimpleXMLProp Members

TJvSimpleXMLProp

Members

Properties

BoolValue

Data

FloatValue

IntValue

Name

NameSpace

Parent

Value

Methods

FullName

GetSimpleXML

SaveToString

Created with Doc-O-Matic.


TJvSimpleXMLProp.BoolValue property

TJvSimpleXMLProp	See Also	Edit topic

The value of the property as a Boolean

Pascal

property BoolValue: Boolean;

Description

If the property is not a boolean, returns False

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProp.IntValue, TJvSimpleXMLProp.Value


TJvSimpleXMLProp.Data property

TJvSimpleXMLProp	Edit topic

The internal Data of the property

Pascal

property Data: Pointer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProp.FloatValue property

TJvSimpleXMLProp	Edit topic

Not documented

Pascal

property FloatValue: Extended;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProp.IntValue property

TJvSimpleXMLProp	See Also	Edit topic

The value of the property as an Int64

Pascal

property IntValue: Int64;

Description

If the value is not an integer, returns -1

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProp.BoolValue, TJvSimpleXMLProp.Value


TJvSimpleXMLProp.Name property

TJvSimpleXMLProp	Edit topic

The name of the property

Pascal

property Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProp.NameSpace property

TJvSimpleXMLProp	Edit topic

Contains the namespace part of the node name.

Pascal

property NameSpace: string;

Description

USe NameSpace to determine the namespace part of the node name. The namespace part is the part before the ':' in the name, like in "xsl:stylesheet'. If the node doesn't have a namespace, this property contains an empty string.

Created with Doc-O-Matic.


TJvSimpleXMLProp.Parent property

TJvSimpleXMLProp	Edit topic

The list of properties containing this property

Pascal

property Parent: TJvSimpleXMLProps;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProp.Value property

TJvSimpleXMLProp	See Also	Edit topic

The value of the property

Pascal

property Value: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProp.BoolValue, TJvSimpleXMLProp.IntValue


TJvSimpleXMLProp.FullName method

TJvSimpleXMLProp	Edit topic

Returns the complete node name

Pascal

function FullName: string;

Description

Call FullName to get the full name of the node. The full name consists of the NameSpace, a colon and the Name. If the node doesn't have a namespace, FullName returns the Name without the colon.

Created with Doc-O-Matic.


TJvSimpleXMLProp.GetSimpleXML method

TJvSimpleXMLProp	Edit topic

Not documented

Pascal

function GetSimpleXML: TJvSimpleXML;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProp.SaveToString method

TJvSimpleXMLProp	Edit topic

Save the property in a string

Pascal

function SaveToString: string;

Return Value

The property as a string

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps
JEDI-VCL Reference

TJvSimpleXMLProps

Hierarchy	Properties	Methods	 Edit topic

A list of properties

Pascal

TJvSimpleXMLProps = class(TObject);

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps Properties

TJvSimpleXMLProps	Legend

Properties

 Count

 Item

 ItemNamed

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvSimpleXMLProps Methods

TJvSimpleXMLProps	Legend

Methods

Add

BoolValue

 Clear

Delete

IntValue

LoadFromStream

SaveToStream

Value

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvSimpleXMLProps

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvSimpleXMLProps


TJvSimpleXMLProps Members

TJvSimpleXMLProps	Legend

Members

Properties

 Count

 Item

 ItemNamed

Methods

Add

BoolValue

 Clear

Delete

IntValue

LoadFromStream

SaveToStream

Value

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvSimpleXMLProps.Count property

TJvSimpleXMLProps	Edit topic

Returns the number of elements in the list

Pascal

property Count: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps.Item property

TJvSimpleXMLProps	See Also	Edit topic

Array property to access the list items by index

Pascal

property Item [const Index: Integer]: TJvSimpleXMLProp;

Parameters

Index

The index of the element to retrieve

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProps.ItemNamed


TJvSimpleXMLProps.ItemNamed property

TJvSimpleXMLProps	See Also	Edit topic

Array property to access the list items by name

Pascal

property ItemNamed [const Name: string]: TJvSimpleXMLProp;

Parameters

Name

The name of the element to retrieve

Description

If no element Named is in the list and sxoAutoCreate is in the owner's parent's Options property, a new element by that name is added to the list

Created with Doc-O-Matic.


See Also

Owner


TJvSimpleXMLProps.Add method (string, Boolean)

TJvSimpleXMLProps	Edit topic

Adds a new property with the given name and value in the collection

Pascal

function Add(const Name: string; const Value: Boolean): TJvSimpleXMLProp; overload;

Return Value

The newly added property

Parameters

const Name: string

The name of the element

const Value: Boolean

The Boolean value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps.Add method (string, Int64)

TJvSimpleXMLProps	Edit topic

Adds a new property with the given name and value in the collection

Pascal

function Add(const Name: string; const Value: Int64): TJvSimpleXMLProp; overload;

Return Value

The newly added property

Parameters

const Name: string

The name of the element

const Value: Int64

The Int64 value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps.Add method (string, string)

TJvSimpleXMLProps	Edit topic

Adds a new property with the given name and value in the collection

Pascal

function Add(const Name: string; const Value: string): TJvSimpleXMLProp; overload;

Return Value

The newly added property

Parameters

const Name: string

The name of the element

const Value: string

The string value of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps.BoolValue method

TJvSimpleXMLProps	See Also	Edit topic

Returns the boolean value of the given property

Pascal

function BoolValue(const Name: string; Default: Boolean = True): Boolean;

Return Value

The boolean value of the indicated property or Default if it cannot be found

Parameters

const Name: string

The name of the property to get the value for

Default: Boolean = True

The value to return if a property named Name doesn't exist

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProp.BoolValue, TJvSimpleXMLProps.IntValue, TJvSimpleXMLProps.Value


TJvSimpleXMLProps.Clear method

TJvSimpleXMLProps	Edit topic

Clears the list

Pascal

procedure Clear; virtual;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps.Delete method (Integer)

TJvSimpleXMLProps	Edit topic

Deletes the indicated property from the list

Pascal

procedure Delete(const Index: Integer); overload;

Parameters

const Index: Integer

The index of the element to delete from the list

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLProps.Delete method (string)

TJvSimpleXMLProps	Edit topic

Deletes the indicated property from the list

Pascal

procedure Delete(const Name: string); overload;

Parameters

const Name: string

The name of the property to remove

Description

If no property named Name exists in the list, no property is removed

Created with Doc-O-Matic.


TJvSimpleXMLProps.IntValue method

TJvSimpleXMLProps	See Also	Edit topic

Returns the Int64 value of the given property

Pascal

function IntValue(const Name: string; Default: Int64 = -1): Int64;

Return Value

The Int64 value of the indicated property or Default if it cannot be found

Parameters

const Name: string

The name of the property to get the value for

Default: Int64 = -1

The value to return if a property named Name doesn't exist

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProp.IntValue, TJvSimpleXMLProps.BoolValue, TJvSimpleXMLProps.Value


TJvSimpleXMLProps.LoadFromStream method

TJvSimpleXMLProps	See Also	Edit topic

Load the list of properties from the given stream

Pascal

procedure LoadFromStream(const Stream: TStream);

Parameters

const Stream: TStream

The stream to load the list from

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProps.SaveToStream


TJvSimpleXMLProps.SaveToStream method

TJvSimpleXMLProps	See Also	Edit topic

Saves the list into the given stream

Pascal

procedure SaveToStream(const Stream: TStream);

Parameters

const Stream: TStream

The stream to save into

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProps.LoadFromStream


TJvSimpleXMLProps.Value method

TJvSimpleXMLProps	See Also	Edit topic

Returns the value of the given property

Pascal

function Value(const Name: string; Default: string = ''): string;

Return Value

The value of the indicated property or Default if it cannot be found

Parameters

const Name: string

The name of the property to get the value for

Default: string = ''

The value to return if a property named Name doesn't exist

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLProp.Value


TJvSlider
JEDI-VCL Reference

 TJvSlider

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Slider displayed with user-defined images.

Pascal

TJvSlider = class(TJvCustomControl);

File

JvSlider

Description

TJvSlider represents a slider displayed with user-defined images.

Use TJvSlider to display a slider control with your images. Set ImageRuler and ImageThumb to specify bitmaps that appear on the ruler and thumb, respectively.

Use the events OnBeginChange, OnChanged and OnStopChanged to respond when the user changes the thumb position.

Set Maximum to indicate an upper limit to the value that can be represented using the slider. Use Position to get the actual value the slider represents.

Created with Doc-O-Matic.


TJvSlider Properties

TJvSlider	Legend

Properties

 AutoSize

 Horizontal

 ImageRuler

 ImageThumb

 Maximum

 Position

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSlider Events

TJvSlider	Legend

Events

 OnBeginChange

 OnChanged

 OnStopChanged

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSlider Methods

TJvSlider	Legend

Methods

 Create

 Destroy

 MouseDown

 MouseMove

 MouseUp

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvSlider

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvSlider


TJvSlider Members

TJvSlider	Legend

Members

Properties

 AutoSize

 Horizontal

 ImageRuler

 ImageThumb

 Maximum

 Position

Events

 OnBeginChange

 OnChanged

 OnStopChanged

Methods

 Create

 Destroy

 MouseDown

 MouseMove

 MouseUp

 Paint

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


Package

MM


TJvSlider.AutoSize property

TJvSlider	See Also	Edit topic

Determines whether the size of the slider control automatically resizes to accommodate the ruler image.

Pascal

property AutoSize;

Description

Use AutoSize to make the slider adjust its size automatically so the client area accommodates the height and width of the ruler image. When AutoSize is false, the slider is fixed in size. When AutoSize is true, the size of the slider readjusts whenever the ruler image changes.

By default, AutoSize is true.

Created with Doc-O-Matic.


See Also

TJvSlider.ImageRuler


TJvSlider.Horizontal property

TJvSlider	Edit topic

Indicates whether the slider is oriented vertically or horizontally.

Pascal

property Horizontal: Boolean;

Description

Set Horizontal to true to orient the slider horizontally. Set Horizontal to false to orient the slider vertically.

Created with Doc-O-Matic.


TJvSlider.ImageRuler property

TJvSlider	See Also	Edit topic

Specifies the bitmap that is used for the ruler background.

Pascal

property ImageRuler: TBitmap;

Description

Use the Open dialog box that appears as an editor in the Object Inspector to choose a bitmap file (with a .BMP extension) to use as the background, or specify a TBitmap object at runtime.

Use AutoSize to make the slider adjust its size automatically so the client area accommodates the height and width of the ruler image.

Created with Doc-O-Matic.


See Also

TJvSlider.AutoSize, TJvSlider.ImageThumb


TJvSlider.ImageThumb property

TJvSlider	See Also	Edit topic

Specifies the bitmap that appears on the thumb.

Pascal

property ImageThumb: TBitmap;

Description

Use the Open dialog box that appears as an editor in the Object Inspector to choose a bitmap file (with a .BMP extension) to use on the thumb, or specify a TBitmap object at runtime.

You must provide two images within a single bitmap. Both images must be the same size and next to each other in a row. The slider displays one of these images depending on its state.

Image position	Button state	Description
First	Up	This image appears when the button is up (unselected).
Second	Down	This image appears when the button stays down (indicating that it remains selected).
Created with Doc-O-Matic.


See Also

TJvSlider.ImageRuler


TJvSlider.Maximum property

TJvSlider	See Also	Edit topic

Specifies the upper limit of the range of possible positions.

Pascal

property Maximum: Integer;

Description

Use Maximum to set an upper limit to the value that can be represented using the slider. A slider indicates the current Position in a range between 0 and Maximum.

Created with Doc-O-Matic.


See Also

TJvSlider.Position


TJvSlider.OnBeginChange event

TJvSlider	See Also	Edit topic

Occurs when the user starts changing the thumb position.

Pascal

property OnBeginChange: TNotifyEvent;

Description

Write an OnBeginChange event handler to take specific action when the user starts changing the thumb position by pressing the mouse button.

Created with Doc-O-Matic.


See Also

TJvSlider.OnChanged, TJvSlider.OnStopChanged


TJvSlider.OnChanged event

TJvSlider	See Also	Edit topic

Occurs when the user starts changes the thumb position.

Pascal

property OnChanged: TNotifyEvent;

Description

Write an OnChanged event handler to take specific action when the user changes the thumb position by moving the mouse button.

Created with Doc-O-Matic.


See Also

TJvSlider.OnBeginChange, TJvSlider.OnStopChanged


TJvSlider.OnStopChanged event

TJvSlider	See Also	Edit topic

Occurs when the user stops changing the thumb position.

Pascal

property OnStopChanged: TNotifyEvent;

Description

Write an OnStopChanged event handler to take specific action when the user stops changing the thumb position by releasing the mouse button.

Created with Doc-O-Matic.


See Also

TJvSlider.OnBeginChange, TJvSlider.OnChanged


TJvSlider.Position property

TJvSlider	See Also	Edit topic

Specifies the current value represented by the slider.

Pascal

property Position: Integer;

Description

Use Position to get or change the value the slider represents. Position must be a value between 0 and Maximum.

Use the OnChanged event to respond to changes in the value of Position.

Created with Doc-O-Matic.


See Also

TJvSlider.Maximum, TJvSlider.OnBeginChange, TJvSlider.OnChanged, TJvSlider.OnStopChanged


TJvSlider.Create constructor

TJvSlider	See Also	Edit topic

Creates and initializes an instance of TJvSlider.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

The owner for the instance of TJvSlider.

Description

Call Create to create an instance of TJvSlider at runtime. A TJvSlider component placed on a form at design time is created automatically.

Pass a single Component as a parameter to provide the slider control with an Owner that is responsible for freeing it.

Create calls the inherited Create method, then sets the initial values for the slider control as follows:

Maximum is set to 100.

Position is set to 0.

Horizontal is set to true.

The default images for the thumb and ruler are loaded.

Created with Doc-O-Matic.


See Also

TJvSlider.Destroy, TJvSlider.Horizontal, TJvSlider.Maximum, TJvSlider.Position


TJvSlider.Destroy destructor

TJvSlider	See Also	Edit topic

Destroys an instance of TJvSlider.

Pascal

destructor Destroy; override;

Description

Do not call Destroy directly in an application. Instead, call Free. Free verifies that the TJvSlider object is not nil and only then calls Destroy.

Created with Doc-O-Matic.


See Also

TJvSlider.Create


TJvSlider.MouseDown method

TJvSlider	See Also	Edit topic

Responds when the user clicks the slider with the mouse.

Pascal

procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); override;

Parameters

Button: TMouseButton

Determines which mouse button the user pressed.

Shift: TShiftState

Indicates which keys (Shift, Ctrl, and Alt) were down when the user pressed the mouse button.

X: Integer

Indicates the new x-coordinate of the mouse pointer.

Y: Integer

Indicates the new y-coordinate of the mouse pointer.

Description

Do not call MouseDown. It is called automatically when the user clicks the sizable panel with the mouse. As implemented in TJvSlider, MouseDown renders the "down" image specified by ImageThumb on the thumb, and triggers the OnBeginChange event.

Created with Doc-O-Matic.


See Also

TJvSlider.ImageThumb, TJvSlider.MouseMove, TJvSlider.MouseUp, TJvSlider.OnBeginChange, TJvSlider.Paint


TJvSlider.MouseMove method

TJvSlider	See Also	Edit topic

Responds when the user moves the mouse over the slider.

Pascal

procedure MouseMove(Shift: TShiftState; X: Integer; Y: Integer); override;

Parameters

Shift: TShiftState

Indicates which keys (Shift, Ctrl, and Alt) were down when the mouse moved.

X: Integer

Indicates the new x-coordinate of the mouse pointer.

Y: Integer

Indicates the new y-coordinate of the mouse pointer.

Description

Do not call MouseMove. It is called automatically when the user moves the mouse over the sizable panel, or when the sizable panel has captured the mouse. As implemented in TJvSlider, MouseMove changes the position of the thumb, and triggers the OnChanged event.

Created with Doc-O-Matic.


See Also

TJvSlider.MouseDown, TJvSlider.MouseUp, TJvSlider.OnChanged, TJvSlider.Paint


TJvSlider.MouseUp method

TJvSlider	See Also	Edit topic

Responds when the user releases the mouse.

Pascal

procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer); override;

Parameters

Button: TMouseButton

Determines which mouse button the user pressed.

Shift: TShiftState

Indicates which keys (Shift, Ctrl, and Alt) were down when the user released the mouse button.

X: Integer

Indicates the new x-coordinate of the mouse pointer.

Y: Integer

Indicates the new y-coordinate of the mouse pointer.

Description

Do not call MouseUp. It is called automatically when the user releases the mouse. As implemented in TJvSlider, MouseUp renders the "up" image specified by ImageThumb on the thumb, and triggers the OnStopChanged event.

Created with Doc-O-Matic.


See Also

TJvSlider.ImageThumb, TJvSlider.MouseDown, TJvSlider.MouseMove, TJvSlider.OnStopChanged, TJvSlider.Paint


TJvSlider.Paint method

TJvSlider	See Also	Edit topic

Renders the image of the slider.

Pascal

procedure Paint; override;

Description

Paint is called automatically in response to WM_PAINT messages. TJvSlider overrides Paint in order to render the slider and thumb image.

Created with Doc-O-Matic.


See Also

TJvSlider.MouseDown, TJvSlider.MouseMove, TJvSlider.MouseUp


TJvSoftwareUpdateDialog
JEDI-VCL Reference

TJvSoftwareUpdateDialog

Hierarchy	Properties	Methods	 Edit topic

Displays a standard message box that can be used to notify a user that an application has been updated.

Pascal

TJvSoftwareUpdateDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

TJvSoftwareUpdateDialog is a wrapper for the SoftwareUpdateMessageBox Windows API. It can display a standard message box that can be used to notify a user that an application has been updated, do this by calling the Execute method.

No dialog box will be displayed if there is no update available or if the available update version is less than or equal to the Advertised update version.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvSoftwareUpdateDialog Properties

TJvSoftwareUpdateDialog	Legend

Properties

 DistInfo

 DistributionUnit

 ReturnValue

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSoftwareUpdateDialog Methods

TJvSoftwareUpdateDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvSoftwareUpdateDialog

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvSoftwareUpdateDialog


TJvSoftwareUpdateDialog Members

TJvSoftwareUpdateDialog	Legend

Members

Properties

 DistInfo

 DistributionUnit

 ReturnValue

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


TJvSoftwareUpdateDialog.DistInfo property

TJvSoftwareUpdateDialog	See Also	Edit topic

Contains information about a software update.

Pascal

property DistInfo: TJvSoftwareUpdateInfo;

Description

Use DistInfo to store the update information.

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateDialog.DistributionUnit


TJvSoftwareUpdateDialog.DistributionUnit property

TJvSoftwareUpdateDialog	See Also	Edit topic

Specifies the identifier for the code distribution unit.

Pascal

property DistributionUnit: string;

Description

Use DistributionUnit to specify the identifier for the code distribution unit. For ActiveX controls and Active Setup installed components, DistributionUnit is typically a globally unique identifier (GUID).

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateDialog.DistInfo


TJvSoftwareUpdateDialog.ReturnValue property

TJvSoftwareUpdateDialog	See Also	Edit topic

Indicates the value returned by the function called by Execute.

Pascal

property ReturnValue: Cardinal;

Description

The TJvSoftwareUpdateDialog component is a wrapper for the SoftwareUpdateMessageBox Windows API. When you call Execute, this Windows API is executed, and the return value of that function is stored in ReturnValue.

Possible return values are:

Value	Meaning
IDNO	The user clicked the "Don't Update" button on the dialog box. The caller should save the update version from the SOFTDISTINFO and pass it in as the Advertised version in future calls.
IDYES	The user clicked the "Update Now" or "About Update" button. The application should navigate to the HTML page referred to by the HREF property of DistInfo to initiate the install or learn about it. The caller should save the update version from DistInfo and pass it in as the Advertised version in future calls.
IDIGNORE	There is no pending software update. This occurs if the available version is less than the installed version or is not present or if the Advertised version is greater than or equal to the update version.
IDABORT	An error occurred.
Created with Doc-O-Matic.


See Also

Execute


TJvSoftwareUpdateDialog.Execute method

TJvSoftwareUpdateDialog	Edit topic

Shows an application update notification dialog

Pascal

function Execute: Boolean; override;

Return Value

Returns true if the user clicked the Update Now or About Update button, false otherwise.

Description

Call Execute to show an application update notification dialog.

If Execute returns false, then read ReturnValue to get additional information.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo
JEDI-VCL Reference

TJvSoftwareUpdateInfo

Hierarchy	Properties	 Edit topic

Contains information about a software update.

Pascal

TJvSoftwareUpdateInfo = class(TPersistent);

File

JvWinDialogs

Description

Use TJvSoftwareUpdateInfo to store update information.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo Properties

TJvSoftwareUpdateInfo	Legend

Properties

 AdState

 AdvertisedVersionLS

 AdvertisedVersionMS

 Description

 Flags

 HREF

 InstalledVersionLS

 InstalledVersionMS

SoftDistInfo

 Title

 UpdateVersionLS

 UpdateVersionMS

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvSoftwareUpdateInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvSoftwareUpdateInfo


TJvSoftwareUpdateInfo Members

TJvSoftwareUpdateInfo	Legend

Members

Properties

 AdState

 AdvertisedVersionLS

 AdvertisedVersionMS

 Description

 Flags

 HREF

 InstalledVersionLS

 InstalledVersionMS

SoftDistInfo

 Title

 UpdateVersionLS

 UpdateVersionMS

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSoftwareUpdateInfo.AdState property

TJvSoftwareUpdateInfo	Edit topic

Specifies the advertised state.

Pascal

property AdState: TJvSoftwareUpdateAdState;

Description

Use AdState to specify the advertised state.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo.AdvertisedVersionLS property

TJvSoftwareUpdateInfo	See Also	Edit topic

Specifies the least-significant unsigned long integer value of the advertised version number.

Pascal

property AdvertisedVersionLS: DWORD;

Description

Use AdvertisedVersionLS to specify the least-significant unsigned long integer value of the advertised version number.

The least-significant unsigned long integer of the version number contains the custom version and build numbers.

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateInfo.AdvertisedVersionMS


TJvSoftwareUpdateInfo.AdvertisedVersionMS property

TJvSoftwareUpdateInfo	See Also	Edit topic

Specifies the most-significant unsigned long integer value of the advertised version number.

Pascal

property AdvertisedVersionMS: DWORD;

Description

Use AdvertisedVersionMS to specify the most-significant unsigned long integer value of the advertised version number.

The most-significant unsigned long integer of a version number contains the major and minor version numbers.

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateInfo.AdvertisedVersionLS


TJvSoftwareUpdateInfo.Description property

TJvSoftwareUpdateInfo	Edit topic

Specifies the contents of the ABSTRACT flag from the associated .cdf file.

Pascal

property Description: string;

Description

Use Description to specify the contents of the ABSTRACT flag from the associated .cdf file.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo.Flags property

TJvSoftwareUpdateInfo	Edit topic

Specifies options.

Pascal

property Flags: TJvSoftwareUpdateFlags;

Description

Use Flags to specify additional options.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo.HREF property

TJvSoftwareUpdateInfo	Edit topic

Specifies the URL of the Web page to advertise or install the update.

Pascal

property HREF: string;

Description

Use HREF to specify the URL of the Web page to advertise or install the update.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo.InstalledVersionLS property

TJvSoftwareUpdateInfo	See Also	Edit topic

Contains the least-significant unsigned long integer value of the installed version number.

Pascal

property InstalledVersionLS: DWORD;

Description

Use InstalledVersionLS to specify the least-significant unsigned long integer value of the installed version number.

The least-significant unsigned long integer of the version number contains the custom version and build numbers.

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateInfo.InstalledVersionMS


TJvSoftwareUpdateInfo.InstalledVersionMS property

TJvSoftwareUpdateInfo	See Also	Edit topic

Specifies the most-significant unsigned long integer value of the installed version number.

Pascal

property InstalledVersionMS: DWORD;

Description

Use InstalledVersionMS to specify the most-significant unsigned long integer value of the installed version number.

The most-significant unsigned long integer of a version number contains the major and minor version numbers.

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateInfo.InstalledVersionLS


TJvSoftwareUpdateInfo.SoftDistInfo property

TJvSoftwareUpdateInfo	Edit topic

Gives access to the update information.

Pascal

property SoftDistInfo: TSoftDistInfo;

Description

Use SoftDistInfo to read or alter the update information.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo.Title property

TJvSoftwareUpdateInfo	Edit topic

Specifies the contents of the TITLE flag from the associated .cdf file.

Pascal

property Title: string;

Description

Use Title to specify the contents of the TITLE flag from the associated .cdf file.

Created with Doc-O-Matic.


TJvSoftwareUpdateInfo.UpdateVersionLS property

TJvSoftwareUpdateInfo	See Also	Edit topic

Specifies the least-significant unsigned long integer value of the update version number.

Pascal

property UpdateVersionLS: DWORD;

Description

Use UpdateVersionLS to specify the least-significant unsigned long integer value of the update version number.

The least-significant unsigned long integer of the version number contains the custom version and build numbers.

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateInfo.UpdateVersionMS


TJvSoftwareUpdateInfo.UpdateVersionMS property

TJvSoftwareUpdateInfo	See Also	Edit topic

Specifies the most-significant unsigned long integer value of the update version number.

Pascal

property UpdateVersionMS: DWORD;

Description

Use UpdateVersionMS to specify the most-significant unsigned long integer value of the update version number.

The most-significant unsigned long integer of a version number contains the major and minor version numbers.

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateInfo.UpdateVersionLS


TJvSoundControl
JEDI-VCL Reference

 TJvSoundControl

Hierarchy	Properties	Methods	Package	 Edit topic

Enables you to change the balance and volume of output devices.

Pascal

TJvSoundControl = class(TJvComponent);

File

JvSoundControl

Description

Use TJvSoundControl to change the balance or volume of output devices. TJvSoundControl has three properties that describe output devices:

Cd, the first auxiliary output device available on your system, usually the CD audio output from a CD-ROM drive.

Midi, the first MIDI output device available on your system.

Wave, the first waveform device available on your system.

These properties all have a Balance and Volume property, which can be used to change the balance and volume of these devices.

Created with Doc-O-Matic.


TJvSoundControl Properties

TJvSoundControl	Legend

Properties

 Cd

 LastError

 Midi

 Wave

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSoundControl Methods

TJvSoundControl	Legend

Methods

 Create

 Destroy

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvSoundControl

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvSoundControl


TJvSoundControl Members

TJvSoundControl	Legend

Members

Properties

 Cd

 LastError

 Midi

 Wave

TJvComponent

 AboutJVCL

Methods

 Create

 Destroy

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


Package

System


TJvSoundControl.Cd property

TJvSoundControl	See Also	Edit topic

Contains information about the first auxiliary output device available on your system.

Pascal

property Cd: TJvSoundValue;

Description

Access Cd at runtime to view and set volume and balance of the first auxiliary output device available on your system dynamically (at design time use the object inspector to set the properties of Cd).

Auxiliary audio devices are audio devices whose output is mixed with the MIDI and waveform-audio output devices in a multimedia computer. An example of an auxiliary audio device is the CD audio output from a CD-ROM drive.

Created with Doc-O-Matic.


See Also

TJvSoundControl.Midi, TJvSoundControl.Wave


TJvSoundControl.LastError property

TJvSoundControl	See Also	Edit topic

Read LastError to determine if the last operation was successful.

Pascal

property LastError: Integer;

Description

Read LastError after getting or setting a value to property Balance or Volume, to determine if the operation was successful. LastError returns MMSYSERR_NOERROR if the last operation was successful or an error otherwise. Possible error values include the following:
Value	Description
MMSYSERR_INVALHANDLE	Specified device handle is invalid.
MMSYSERR_NODRIVER	No device driver is present.
MMSYSERR_NOMEM	Unable to allocate or lock memory.
MMSYSERR_NOTSUPPORTED	Function isn't supported.
Created with Doc-O-Matic.


See Also

TJvSoundValue.Balance, TJvSoundValue.Volume


TJvSoundControl.Midi property

TJvSoundControl	See Also	Edit topic

Contains information about the first MIDI output device available on your system.

Pascal

property Midi: TJvSoundValue;

Description

Access Midi at runtime to view and set volume and balance of the first MIDI output device available on your system dynamically (at design time use the object inspector to set the properties of Midi).

Created with Doc-O-Matic.


See Also

TJvSoundControl.Cd, TJvSoundControl.Wave


TJvSoundControl.Wave property

TJvSoundControl	See Also	Edit topic

Contains information about the first waveform device available on your system.

Pascal

property Wave: TJvSoundValue;

Description

Access Wave at runtime to view and set volume and balance of the first waveform device available on your system dynamically (at design time use the object inspector to set the properties of Wave).

Created with Doc-O-Matic.


See Also

TJvSoundControl.Cd, TJvSoundControl.Midi


TJvSoundControl.Create constructor

TJvSoundControl	See Also	Edit topic

Creates and initializes an instance of TJvSoundControl.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

The owner for the instance of TJvSoundControl.

Description

Call Create to create an instance of TJvSoundControl at runtime. A TJvSoundControl component placed on a form at design time is created automatically.

Pass a single Component as a parameter to provide the control with an Owner that is responsible for freeing it.

Created with Doc-O-Matic.


See Also

TJvSoundControl.Destroy


TJvSoundControl.Destroy destructor

TJvSoundControl	See Also	Edit topic

Destroys an instance of TJvSoundControl.

Pascal

destructor Destroy; override;

Description

Do not call Destroy directly in an application. Instead, call Free. Free verifies that the TJvSoundControl object is not nil and only then calls Destroy.

Created with Doc-O-Matic.


See Also

TJvSoundControl.Create


TJvSoundSentry
JEDI-VCL Reference

TJvSoundSentry

Hierarchy	Properties	 Edit topic

Provides access to information about the SoundSentry accessibility feature.

Pascal

TJvSoundSentry = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry Properties

TJvSoundSentry	Legend

Properties

 Flags

 GrafEffect

 GrafEffectColor

 GrafEffectMSec

NativeType

 TextEffect

 TextEffectColor

 TextEffectMSec

 WindowsEffect

 WindowsEffectDLL

 WindowsEffectMSec

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSoundSentry

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvSoundSentry


TJvSoundSentry Members

TJvSoundSentry	Legend

Members

Properties

 Flags

 GrafEffect

 GrafEffectColor

 GrafEffectMSec

NativeType

 TextEffect

 TextEffectColor

 TextEffectMSec

 WindowsEffect

 WindowsEffectDLL

 WindowsEffectMSec

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSoundSentry.Flags property

TJvSoundSentry	Edit topic

Not documented

Pascal

property Flags: TJvSoundSentryFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.GrafEffect property

TJvSoundSentry	Edit topic

Not documented

Pascal

property GrafEffect: TJvSoundSentryGrafEffect;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.GrafEffectColor property

TJvSoundSentry	Edit topic

Not documented

Pascal

property GrafEffectColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.GrafEffectMSec property

TJvSoundSentry	Edit topic

Not documented

Pascal

property GrafEffectMSec: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.NativeType property

TJvSoundSentry	Edit topic

Provides direct access to the underlying Windows API structure.

Pascal

property NativeType: SOUNDSENTRY;

Description

Use NativeType when you need to access the Windows API structure this class encapsulates. If you need to change several properties of the class at once, it is recommended to use NativeType instead of the individual properties of the class as each change triggers a separate call to NativeType.

Created with Doc-O-Matic.


TJvSoundSentry.TextEffect property

TJvSoundSentry	Edit topic

Not documented

Pascal

property TextEffect: TJvSoundSentryTextEffect;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.TextEffectColor property

TJvSoundSentry	Edit topic

Not documented

Pascal

property TextEffectColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.TextEffectMSec property

TJvSoundSentry	Edit topic

Not documented

Pascal

property TextEffectMSec: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.WindowsEffect property

TJvSoundSentry	Edit topic

Not documented

Pascal

property WindowsEffect: TJvSoundSentryWindowsEffect;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.WindowsEffectDLL property

TJvSoundSentry	Edit topic

Not documented

Pascal

property WindowsEffectDLL: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundSentry.WindowsEffectMSec property

TJvSoundSentry	Edit topic

Not documented

Pascal

property WindowsEffectMSec: DWORD;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSoundValue
JEDI-VCL Reference

TJvSoundValue

Hierarchy	Properties	Methods	Events	 Edit topic

TJvSoundValue describes an output device on your system.

Pascal

TJvSoundValue = class(TPersistent);

File

JvSoundControl

Description

Use the properties of a TJvSoundValue to:

Find or set the volume of a device.

Find or set the balance between the left and right volume of a device.

Created with Doc-O-Matic.


TJvSoundValue Properties

TJvSoundValue	Legend

Properties

 Balance

 Handle

 Volume

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSoundValue Events

TJvSoundValue	Legend

Events

 OnRefresh

 OnUpdate

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvSoundValue Methods

TJvSoundValue	Legend

Methods

Create

 GetValue

 SetValue

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvSoundValue

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvSoundValue


TJvSoundValue Members

TJvSoundValue	Legend

Members

Properties

 Balance

 Handle

 Volume

Events

 OnRefresh

 OnUpdate

Methods

Create

 GetValue

 SetValue

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSoundValue.Balance property

TJvSoundValue	See Also	Edit topic

Specifies the balance between the left and right volume of a device.

Pascal

property Balance: TBalance;

Description

Use Balance to find or set the balance between the left and right volume. The value for this property must be a number from 0 (only right) to 100 (only left).

Use LastError to determine if the operation was successful.

Created with Doc-O-Matic.


See Also

TJvSoundValue.Volume


TJvSoundValue.Handle property

TJvSoundValue	Edit topic

Identifies the output device described by TJvSoundValue.

Pascal

property Handle: Integer;

Description

Applications can’t use Handle. It is used internally by TJvSoundValue and TJvSoundControl.

Created with Doc-O-Matic.


TJvSoundValue.OnRefresh event

TJvSoundValue	Edit topic

Occurs when the values of Balance or Volume needs to be refreshed.

Pascal

property OnRefresh: TNotifyEvent;

Description

Applications can’t use OnRefresh. It is used internally by TJvSoundValue and TJvSoundControl.

Created with Doc-O-Matic.


TJvSoundValue.OnUpdate event

TJvSoundValue	Edit topic

Occurs when the user changes the values of Balance or Volume.

Pascal

property OnUpdate: TNotifyEvent;

Description

Applications can’t use OnUpdate. It is used internally by TJvSoundValue and TJvSoundControl.

Created with Doc-O-Matic.


TJvSoundValue.Volume property

TJvSoundValue	See Also	Edit topic

Specifies the volume of a device.

Pascal

property Volume: Byte;

Description

Use Volume to find or set the volume of a device. The value for this property must be a number from 0 (silence) to 255 (maximum volume).

Volume settings are interpreted logarithmically. This means the perceived volume increase is the same when increasing the volume level from 50 to 60 as it is from 40 to 50.

Use LastError to determine if the operation was successful.

Created with Doc-O-Matic.


See Also

TJvSoundValue.Balance


TJvSoundValue.Create constructor

TJvSoundValue	Edit topic

Creates and initializes an instance of TJvSoundValue.

Pascal

constructor Create;

Description

Applications should not call Create directly. A TJvSoundValue is created automatically by a TJvSoundControl for the first auxiliary output device, the first MIDI output device and the first waveform device available on your system.

Created with Doc-O-Matic.


TJvSoundValue.GetValue method

TJvSoundValue	Edit topic

Gets the values of the Balance and Volume property.

Pascal

function GetValue: TJvVolumeRec;

Description

Applications can’t call the protected GetValue method. A TJvSoundControl calls GetValue if a user sets property Balance or Volume.

Created with Doc-O-Matic.


TJvSoundValue.SetValue method

TJvSoundValue	Edit topic

Sets the values of the Balance and Volume property.

Pascal

procedure SetValue(Vol: TJvVolumeRec);

Parameters

Vol: TJvVolumeRec

Determines the new values of Balance and Volume.

Description

Applications can’t call the protected GetValue method. A TJvSoundControl calls SetValue if a user reads property Balance or Volume.

Created with Doc-O-Matic.


TJvSpacer
JEDI-VCL Reference

 TJvSpacer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Can be used as a spacer on a window.

Pascal

TJvSpacer = class(TJvCustomPanel);

File

JvSpacer

Description

TJvSpacer can be used as a spacer on a window. Use this component if you need to create a gap between two controls.

Set property Align to position the spacing object on the screen, and set property Spacing to determine the size of the control.

Note that you can't place components on a TJvSpacer, and that it has no caption.

Created with Doc-O-Matic.


TJvSpacer Properties

TJvSpacer	Legend

Properties

 Spacing

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSpacer Methods

TJvSpacer	Legend

Methods

 Create

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvSpacer Events

TJvSpacer	Legend

Events

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvSpacer

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel
                TJvSpacer


TJvSpacer Members

TJvSpacer	Legend

Members

Properties

 Spacing

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Methods

 Create

 SetBounds

Events

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Ctrls


TJvSpacer.Spacing property

TJvSpacer	See Also	Edit topic

Determines the size of the spacing object.

Pascal

property Spacing: Integer;

Description

Use Spacing in combination with property Align to set the size of the spacing object. If Align equals alTop or alBottom then Spacing determines the height of the spacing object. If Align equals alLeft or alRight then Spacing determines the width of the spacing object.

Created with Doc-O-Matic.


See Also

TJvSpacer.SetBounds


TJvSpacer.Create constructor

TJvSpacer	Edit topic

Creates and initializes an instance of JvSpacer.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

The owner for the instance of TJvSpacer.

Description

Call Create to create an instance of JvSpacer at runtime. A JvSpacer component placed on a form at design time is created automatically.

Create calls the inherited Create method, then sets the initial values for the spacing object as follows:

Spacing is set 4.

csAcceptsControls and csSetCaption are removed from ControlStyle.

Created with Doc-O-Matic.


TJvSpacer.SetBounds method

TJvSpacer	See Also	Edit topic

Sets the spacing object's boundary properties all at once.

Pascal

procedure SetBounds(ALeft: Integer; ATop: Integer; AWidth: Integer; AHeight: Integer); override;

Parameters

ALeft: Integer

Specifies the horizontal coordinate of the left edge of the spacing object relative to its parent.

ATop: Integer

Specifies the vertical coordinate of the top left edge of the spacing object relative to its parent.

AWidth: Integer

Specifies the horizontal size of the spacing object or form in pixels.

AHeight: Integer

Specifies the vertical size of the spacing object in pixels.

Description

Use SetBounds to change all of the control’s boundary properties at once. SetBounds uses the Spacing property to determine the actual new height or width of the spacing object.

Created with Doc-O-Matic.


See Also

TJvSpacer.Spacing


TJvSpecialImage
JEDI-VCL Reference

 TJvSpecialImage

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Supports extended features such as fade in, fade out and image flipping.

Pascal

TJvSpecialImage = class(TJvExImage);

File

JvSpecialImage

Description

TJvSpecialImage is an image that can be used to create special effects.

For example, you can use the methods FadeIn, and FadeOut to let an image slowly appear and disappear on the form. The same effect can be accomplished by using the property Brightness, which sets the brightness of the image. Set Stretch to True to reduce flickering.

Use the Flipped and Mirrored to flip the image vertically or horizontally. Use Inverted to invert the image.

Call Reset to restore the image to its original state.

Created with Doc-O-Matic.


TJvSpecialImage Properties

TJvSpecialImage	Legend

Properties

 Brightness

 Flipped

 Inverted

 Mirrored

TJvExImage

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSpecialImage Methods

TJvSpecialImage	Legend

Methods

 FadeIn

 FadeOut

 Reset

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSpecialImage Events

TJvSpecialImage	Legend

Events

TJvExImage

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvSpecialImage

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TImage, IJvExControl
        TJvExImage
            TJvSpecialImage


TJvSpecialImage Members

TJvSpecialImage	Legend

Members

Properties

 Brightness

 Flipped

 Inverted

 Mirrored

TJvExImage

 AboutJVCL

 HintColor

 MouseOver

Methods

 FadeIn

 FadeOut

 Reset

Events

TJvExImage

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

MM


TJvSpecialImage.Brightness property

TJvSpecialImage	See Also	Edit topic

Specifies the brightness of the image.

Pascal

property Brightness: TJvBright;

Description

Use Brightness to find or set the brightness of the image. The value for this property must be a number from 0 (dimmest) to 200 (brightest).

The default value is 100.

Created with Doc-O-Matic.


See Also

TJvSpecialImage.FadeIn, TJvSpecialImage.FadeOut, TJvSpecialImage.Reset


TJvSpecialImage.Flipped property

TJvSpecialImage	See Also	Edit topic

Indicates whether the image should be flipped vertically.

Pascal

property Flipped: Boolean;

Description

Set Flipped to True to cause the image to turn upside-down: that is, to swap lines on the top side of the image with lines on the bottom side. The left/right orientation will stay the same.

Created with Doc-O-Matic.


See Also

TJvSpecialImage.Inverted, TJvSpecialImage.Mirrored, TJvSpecialImage.Reset


TJvSpecialImage.Inverted property

TJvSpecialImage	See Also	Edit topic

Indicates whether the image should be inverted.

Pascal

property Inverted: Boolean;

Description

Set Inverted to True to cause the image to invert: that is, each pixel is converted to a reversed color version of the original. The image becomes the negative of the original image.

Created with Doc-O-Matic.


See Also

TJvSpecialImage.Flipped, TJvSpecialImage.Mirrored, TJvSpecialImage.Reset


TJvSpecialImage.Mirrored property

TJvSpecialImage	See Also	Edit topic

Indicates whether the image should be mirrored.

Pascal

property Mirrored: Boolean;

Description

Set Mirrored to True to cause the image to flip horizontally: that is, to swap pixels on the left side of the image with pixels on the right side. The image will turn side-to-side, as in a mirror.

Created with Doc-O-Matic.


See Also

TJvSpecialImage.Flipped, TJvSpecialImage.Inverted, TJvSpecialImage.Reset


TJvSpecialImage.FadeIn method

TJvSpecialImage	See Also	Edit topic

Fades in the image.

Pascal

procedure FadeIn;

Description

Call FadeIn to fade in the image. FadeIn starts with setting Brightness to 0 and then increases Brightness by 2 until 100.

Set property Stretch to True to reduce flickering.

Created with Doc-O-Matic.


See Also

TJvSpecialImage.Brightness, TJvSpecialImage.FadeOut, TJvSpecialImage.Reset


TJvSpecialImage.FadeOut method

TJvSpecialImage	See Also	Edit topic

Fades out the image.

Pascal

procedure FadeOut;

Description

Call FadeOut to fade out the image. FadeOut starts with setting Brightness to 100 and then decreases Brightness by 2 until 0.

Set property Stretch to True to reduce flickering.

Created with Doc-O-Matic.


See Also

TJvSpecialImage.Brightness, TJvSpecialImage.FadeIn, TJvSpecialImage.Reset


TJvSpecialImage.Reset method

TJvSpecialImage	See Also	Edit topic

Restores the image to its original state.

Pascal

procedure Reset;

Description

Call Reset to restore the image to its original state.

Brightness is set to 100.

Inverted is set to False.

Flipped is set to False.

Mirrored is set to False.

Created with Doc-O-Matic.


See Also

TJvSpecialImage.Brightness, TJvSpecialImage.Flipped, TJvSpecialImage.Inverted, TJvSpecialImage.Mirrored


TJvSpecialProgress
JEDI-VCL Reference

 TJvSpecialProgress

Hierarchy	Properties	Methods	Package	 Edit topic

Two-color gradient filled progress bar.

Pascal

TJvSpecialProgress = class(TJvGraphicControl);

File

JvSpecialProgress

Description

TJvSpecialProgress is a progress bar, filled using a two-color gradient fill. That is, the color of the progress bar turns from left to right gradually from StartColor into EndColor.

Use TextOption, to display the current progress percentage of the process tracked by the progress bar, or display a custom string. Read PercentDone to get this value. Use TextCentered and Font to alter the appearance of the percentage text.

Use Color to change the background color of the control, or set Transparent to true to set the background color to transparent.

Created with Doc-O-Matic.


TJvSpecialProgress Properties

TJvSpecialProgress	Legend

Properties

 BorderStyle

 Color

 EndColor

 Font

 GradientBlocks

 HintColor

 Maximum

 Minimum

 OnParentColorChange

 PercentDone

 Position

 Solid

 StartColor

 Step

 TextCentered

 TextOption

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSpecialProgress Methods

TJvSpecialProgress	Legend

Methods

 Create

 Destroy

 Loaded

 Paint

StepIt

 UpdateBuffer

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvSpecialProgress

Legend

published

read only

virtual

protected

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvSpecialProgress


TJvSpecialProgress Members

TJvSpecialProgress	Legend

Members

Properties

 BorderStyle

 Color

 EndColor

 Font

 GradientBlocks

 HintColor

 Maximum

 Minimum

 OnParentColorChange

 PercentDone

 Position

 Solid

 StartColor

 Step

 TextCentered

 TextOption

Methods

 Create

 Destroy

 Loaded

 Paint

StepIt

 UpdateBuffer

Legend

published

read only

virtual

protected

Created with Doc-O-Matic.


Legend

published

read only

virtual

protected


Package

MM


TJvSpecialProgress.BorderStyle property

TJvSpecialProgress	Edit topic

Determines whether the progress bar has a border.

Pascal

property BorderStyle: TBorderStyle;

Description

Use BorderStyle to change the appearance of the outer boundary of the progress bar control. A progress bar can have a single border (bsSingle) or no visible border (bsNone).

Created with Doc-O-Matic.


TJvSpecialProgress.Color property

TJvSpecialProgress	See Also	Edit topic

Specifies the background color of the control.

Pascal

property Color;

Description

Use Color to read or change the background color of the control.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.EndColor, TJvSpecialProgress.StartColor


TJvSpecialProgress.EndColor property

TJvSpecialProgress	See Also	Edit topic

Determines the end color for the gradient fill used to fill the progress bar.

Pascal

property EndColor: TColor;

Description

Use EndColor to specify the end color for the gradient fill. The progress bar is filled using a two-color gradient fill. That is, the color of the progress bar turns from left to right gradually from StartColor into EndColor.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.StartColor


TJvSpecialProgress.Font property

TJvSpecialProgress	See Also	Edit topic

Controls the attributes of text written on the progress bar.

Pascal

property Font;

Description

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

TextOption must not be set to true to display the text on the progress bar.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.TextCentered, TJvSpecialProgress.TextOption


TJvSpecialProgress.GradientBlocks property

TJvSpecialProgress	See Also	Edit topic

Specifies the fill method of the progress blocks.

Pascal

property GradientBlocks: Boolean;

Description

Set GradientBlocks to false to let the progress control fill each progress block using a one color fill. From left to right, the fill color turns gradually from StartColor into EndColor. Set GradientBlocks to true to let the control fill each progress blocks using a two-color gradient fill. From left to right, the begin color and end color of each block turns gradually from StartColor to EndColor.

Notes

Property Solid must be set to false, otherwise property GradientBlocks is ignored.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Solid


TJvSpecialProgress.HintColor property

TJvSpecialProgress	Edit topic

Determines the color of the hint boxes for the Help Hints for the progress bar.

Pascal

property HintColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvSpecialProgress.Maximum property

TJvSpecialProgress	See Also	Edit topic

Specifies the upper limit of the range of possible positions.

Pascal

property Maximum: Integer;

Description

Use Maximum along with the Minimum property to establish the range of possible positions for a progress bar. When the process tracked by the progress bar is complete, the value of Position should equal Maximum.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Minimum, TJvSpecialProgress.Position


TJvSpecialProgress.Minimum property

TJvSpecialProgress	See Also	Edit topic

Specifies the lower limit of the range of possible positions.

Pascal

property Minimum: Integer;

Description

Use Minimum along with the Maximum property to establish the range of possible positions for a progress bar. When the process tracked by the progress bar begins, the value of Position should equal Minimum.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Maximum, TJvSpecialProgress.Position


TJvSpecialProgress.OnParentColorChange property

TJvSpecialProgress	Edit topic

Occurs when the color property for the parent of the scroll box changes.

Pascal

property OnParentColorChange;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvSpecialProgress.PercentDone property

TJvSpecialProgress	See Also	Edit topic

Indicates the current progress percentage of the process tracked by the progress bar.

Pascal

property PercentDone: Longint;

Description

Read PercentDone to get the current progress percentage of the process tracked by the progress bar. The value equals (Position - Minimum) as a percentage of (Maximum - Minimum).

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Maximum, TJvSpecialProgress.Minimum, TJvSpecialProgress.Position


TJvSpecialProgress.Position property

TJvSpecialProgress	See Also	Edit topic

Specifies the current position of the progress bar.

Pascal

property Position: Integer;

Description

You can read Position to determine how far the process tracked by the progress bar has advanced from Minimum toward Maximum. Set Position to cause the progress bar to display a position between Minimum and Maximum. For example, when the process tracked by the progress bar completes, set Position to Maximum so that it appears completely filled.

When a progress bar is created, Minimum and Maximum represent percentages, where Minimum is 0 (0% complete) and Maximum is 100 (100% complete). If these values are not changed, Position is the percentage of the process that has already been completed.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Maximum, TJvSpecialProgress.Minimum


TJvSpecialProgress.Solid property

TJvSpecialProgress	See Also	Edit topic

Specifies whether the progress bar is solid or segmented.

Pascal

property Solid: Boolean;

Description

Use Solid to specify whether the progress bar is solid or segmented. If Solid is set to true, the progress bar is solid and the GradientBlocks property is ignored. If Solid is set to false, the progress bar is segmented. GradientBlocks then indicates whether the progress blocks are filled using a two-color gradient fill or using one color.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.GradientBlocks


TJvSpecialProgress.StartColor property

TJvSpecialProgress	See Also	Edit topic

Determines the start color for the gradient fill used to fill the progress bar.

Pascal

property StartColor: TColor;

Description

Use StartColor to specify the start color for the gradient fill. The progress bar is filled using a two-color gradient fill. That is, the color of the progress bar turns from left to right gradually from StartColor into EndColor.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.EndColor


TJvSpecialProgress.Step property

TJvSpecialProgress	See Also	Edit topic

Specifies the amount that Position increases when the StepIt method is called.

Pascal

property Step: Integer;

Description

Set Step to specify the granularity of the progress bar. Step should reflect the size of each step in the process tracked by the progress bar, in the logical units used by the Maximum and Minimum properties.

When a progress bar is created, Minimum and Maximum represent percentages, where Minimum is 0 (0% complete) and Maximum is 100 (100% complete). If these values are not changed, Step is the percentage of the process completed before the user is provided with additional visual feedback.

When the StepIt method is called, the value of Position increases by Step.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Maximum, TJvSpecialProgress.Minimum, TJvSpecialProgress.Position, TJvSpecialProgress.StepIt


TJvSpecialProgress.TextCentered property

TJvSpecialProgress	See Also	Edit topic

Determines the placement of the text on the progress bar.

Pascal

property TextCentered: Boolean;

Description

Set TextCentered to true to keep the position of the text unchanged - that is, centered on the control - while changing property Position. Set TextCentered to false to position the text centered on the filled part of the progress bar. If property Position changes, then the progress bar size will change and thus, so will the position of the text.

Notes

TextOption must be set to a value other than toNoText, to display the text on the progress bar.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Font, TJvSpecialProgress.TextOption


TJvSpecialProgress.TextOption property

TJvSpecialProgress	See Also	Edit topic

Determines whether or which text is displayed on the progress bar.

Pascal

property TextOption: TJvTextOption;

Description

Use TextOption to specify to:

Not display text on the progress bar, or

Display a percentage, or

Display the text specified by the Caption property, or

Display a formatted text.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Font, TJvSpecialProgress.PercentDone, TJvSpecialProgress.Position, TJvSpecialProgress.TextCentered, TJvTextOption


TJvSpecialProgress.Create constructor

TJvSpecialProgress	See Also	Edit topic

Creates and initializes an instance of TJvSpecialProgress.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

The owner for the instance of TJvSpecialProgress.

Description

Call Create to create an instance of TJvSpecialProgress at runtime. A TJvSpecialProgress placed on a form at design time is created automatically.

Pass a single Component as a parameter to provide the progress bar with an Owner that is responsible for freeing it.

Create calls the inherited Create method, creates a timer, and then sets the initial values for the progress bar as follows:

Minimum is set to 0.

Maximum is set to 100.

StartColor is set to clWhite, EndColor is set to clBlack.

Position is set to 0.

Solid, TextCentered, GradientBlocks and Transparent are set to false.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Destroy, TJvSpecialProgress.EndColor, TJvSpecialProgress.GradientBlocks, TJvSpecialProgress.Maximum, TJvSpecialProgress.Minimum, TJvSpecialProgress.Solid, TJvSpecialProgress.StartColor, TJvSpecialProgress.TextCentered, TJvSpecialProgress.TextOption


TJvSpecialProgress.Destroy destructor

TJvSpecialProgress	See Also	Edit topic

Destroys an instance of TJvSpecialProgress.

Pascal

destructor Destroy; override;

Description

Do not call Destroy directly in an application. Instead, call Free. Free verifies that the TJvSpecialProgress object is not nil and only then calls Destroy.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Create


TJvSpecialProgress.Loaded method

TJvSpecialProgress	Edit topic

Initializes the progress bar after its form is loaded into memory.

Pascal

procedure Loaded; override;

Description

Do not call the protected Loaded method. The component streaming system calls this method after it loads the progress bar’s form from a stream.

TJvSpecialProgress overrides the inherited method to paint the in-memory bitmap.

Created with Doc-O-Matic.


TJvSpecialProgress.Paint method

TJvSpecialProgress	Edit topic

Renders the image of the sizable panel.

Pascal

procedure Paint; override;

Description

Paint is called automatically in response to WM_PAINT messages. TJvSpecialProgress overrides Paint in order to render the gradient filled progress bar.

Created with Doc-O-Matic.


TJvSpecialProgress.StepIt method

TJvSpecialProgress	See Also	Edit topic

Advances Position by the amount specified in the Step property.

Pascal

procedure StepIt;

Description

Call the StepIt method to increase the value of Position by the value of the Step property. If Step represents the size of one logical step in the process tracked by the progress bar, call Step after each logical step is completed.

Created with Doc-O-Matic.


See Also

TJvSpecialProgress.Step


TJvSpecialProgress.UpdateBuffer method

TJvSpecialProgress	See Also	Edit topic

Updates the in-memory bitmap of the progress bar.

Pascal

procedure UpdateBuffer;

Description

TJvSpecialProgress uses double buffering to reduces the amount of flicker when the control repaints. The control paints itself to an in-memory bitmap that is then used to paint the window. UpdateBuffer is called automatically when the in-memory bitmap needs to be updated.

Created with Doc-O-Matic.


See Also

UpdateTaille


TJvSpeedButton
JEDI-VCL Reference

 TJvSpeedButton

Hierarchy	Properties	Methods	Package	 Edit topic

Enhanced speed button.

Pascal

TJvSpeedButton = class(TJvCustomSpeedButton);

File

JvSpeedButton

Description

TJvSpeedButton is a descendant of TJvCustomSpeedButton. See the help at TJvCustomSpeedButton for the properties introduced by that component.

TJvSpeedButton introduces properties to display a bitmap on the speed button:

Propery	Meaning
Glyph	Specifies the bitmap that appears on the speed button.
HotTrackGlyph	Specifies the bitmap that appears on the speed button when the mouse pointer passes over the button.
NumGlyphs	Specifies the number of images included in the Glyph property.
Created with Doc-O-Matic.


TJvSpeedButton Properties

TJvSpeedButton	Legend

Properties

 Alignment

 AllowAllUp

 AllowTimer

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 Glyph

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackGlyph

 HotTrackOptions

 InitPause

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 NumGlyphs

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

TJvCustomSpeedButton

 Alignment

 AllowAllUp

 AllowTimer

 ButtonGlyph

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackOptions

 InitPause

 IsDragging

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvSpeedButton Methods

TJvSpeedButton	Legend

Methods

TJvCustomSpeedButton

ButtonClick

CheckBtnMenuDropDown

 Click

UpdateTracking

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvSpeedButton

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl, IJvHotTrack
            TJvCustomSpeedButton
                TJvSpeedButton


TJvSpeedButton Members

TJvSpeedButton	Legend

Members

Properties

 Alignment

 AllowAllUp

 AllowTimer

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 Glyph

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackGlyph

 HotTrackOptions

 InitPause

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 NumGlyphs

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

TJvCustomSpeedButton

 Alignment

 AllowAllUp

 AllowTimer

 ButtonGlyph

 DoubleBuffered

 Down

 DropDownMenu

 Flat

 GrayedInactive

 GrayNewStyle

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 HotTrackOptions

 InitPause

 IsDragging

 Layout

 Margin

 MarkDropDown

 MenuPosition

 ModalResult

 RepeatInterval

 Spacing

 Style

 Transparent

 WordWrap

Methods

TJvCustomSpeedButton

ButtonClick

CheckBtnMenuDropDown

 Click

UpdateTracking

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvSpeedButton.Alignment property

TJvSpeedButton	Edit topic

Determines how text is aligned within the button.

Pascal

property Alignment: TAlignment;

Description

The possible values of Alignment are

Value	Meaning
taLeftJustify	Text is aligned at the left of the control.
taCenter	Text is centered in the control.
taRightJustify	Text is aligned at the right of the control.
Created with Doc-O-Matic.


TJvSpeedButton.AllowAllUp property

TJvSpeedButton	See Also	Edit topic

Specifies whether all speed buttons in the group that contains this speed button can be unselected at the same time.

Pascal

property AllowAllUp: Boolean;

Description

See Delphi help at TSpeedButton.AllowAllUp for more info.

Created with Doc-O-Matic.


See Also

Down


TJvSpeedButton.AllowTimer property

TJvSpeedButton	See Also	Edit topic

Determines whether the OnClick event occurs at regular intervals while the button is in the depressed state.

Pascal

property AllowTimer: Boolean;

Description

Use AllowTimer to specify whether an OnClick event continues to be generated at regular intervals while the button is in the depressed state. If AllowTimer is set to false, a single OnClick event is generated when the button is released. If AllowTimer is set to true, the OnClick event continues to be generated at regular intervals while the button is in the depressed state.

Use InitPause and RepeatInterval to specify the amount of time, in milliseconds that passes before the first OnClick event is fired and before another OnClick event is fired, resp.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.InitPause, TJvCustomSpeedButton.RepeatInterval


TJvSpeedButton.DoubleBuffered property

TJvSpeedButton	Edit topic

Determines whether the control’s image is rendered directly to the window or painted to an in-memory bitmap first.

Pascal

property DoubleBuffered: Boolean;

Description

When DoubleBuffered is false, the windowed control paints itself directly to the window. When DoubleBuffered is true, the windowed control paints itself to an in-memory bitmap that is then used to paint the window. Double buffering reduces the amount of flicker when the control repaints, but is more memory intensive.

Created with Doc-O-Matic.


TJvSpeedButton.Down property

TJvSpeedButton	See Also	Edit topic

Specifies whether the button is selected (down) or unselected (up).

Pascal

property Down: Boolean;

Description

See Delphi help at TSpeedButton.Down for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowAllUp, TJvCustomSpeedButton.GroupIndex


TJvSpeedButton.DropDownMenu property

TJvSpeedButton	See Also	Edit topic

Identifies a pop-up menu associated with the speed button.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a value to DropDownMenu to make a menu appear when the button is pressed. (To display the menu programmatically, call the speed button’s Click or ButtonClickmethod.) If the menu’s AutoPopup property is set to true, the menu appears automatically. If AutoPopup is false, display the menu by calling the menu’s Popup method in the speed button’s OnClick event handler.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Click, TJvCustomSpeedButton.MarkDropDown, TJvCustomSpeedButton.MenuPosition


TJvSpeedButton.Flat property

TJvSpeedButton	See Also	Edit topic

Determines whether the button has a 3D border that provides a raised or lowered look.

Pascal

property Flat: Boolean;

Description

See Delphi help at TSpeedButton.Flat for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.GrayedInactive


TJvSpeedButton.Glyph property

TJvSpeedButton	See Also	Edit topic

Specifies the bitmap that appears on the speed button.

Pascal

property Glyph: TBitmap;

Description

See Delphi help at TSpeedButton.Glyph for more info.

Created with Doc-O-Matic.


See Also

TJvSpeedButton.HotTrackGlyph, TJvSpeedButton.NumGlyphs


TJvSpeedButton.GrayedInactive property

TJvSpeedButton	See Also	Edit topic

Indicates whether to display the image of the button grayed when the button is inactive.

Pascal

property GrayedInactive: Boolean;

Description

Set GrayedInactive to true to render the image of the button grayed, when the button is flat and the mouse pointer is not on the button (i.e., the button is inactive)

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Flat, TJvCustomSpeedButton.GrayNewStyle


TJvSpeedButton.GrayNewStyle property

TJvSpeedButton	Edit topic

Specifies the graying style of the image when the button is not enabled.

Pascal

property GrayNewStyle: Boolean;

Description

Set GrayNewStyle to false to render the image of a disabled button the same way as TSpeedButton does. Set GrayNewStyle to true to render the image of a disabled button the same way as TImageList does.

Created with Doc-O-Matic.


TJvSpeedButton.GroupIndex property

TJvSpeedButton	See Also	Edit topic

Allows speed buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

See Delphi help at TSpeedButton.GroupIndex for more info.

Created with Doc-O-Matic.


See Also

Down


TJvSpeedButton.HotTrack property

TJvSpeedButton	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is false, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvSpeedButton.HotTrackFont property

TJvSpeedButton	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is true.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to true, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.HotTrack, TJvImageSpeedButton.HotTrackImageIndex, TJvSpeedButton.HotTrackGlyph


TJvSpeedButton.HotTrackFontOptions property

TJvSpeedButton	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.HotTrack, TJvCustomSpeedButton.HotTrackFont


TJvSpeedButton.HotTrackGlyph property

TJvSpeedButton	See Also	Edit topic

Specifies the bitmap that appears on the speed button when the mouse pointer passes over the button.

Pascal

property HotTrackGlyph: TBitmap;

Description

See Delphi help at TSpeedButton.Glyph for more info.

Created with Doc-O-Matic.


See Also

TJvSpeedButton.Glyph, TJvSpeedButton.NumGlyphs


TJvSpeedButton.HotTrackOptions property

TJvSpeedButton	Edit topic

Not documented

Pascal

property HotTrackOptions: TJvHotTrackOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSpeedButton.InitPause property

TJvSpeedButton	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Pascal

property InitPause: Word;

Description

Use InitPause to set the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Property RepeatInterval determines the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Notes

AllowTimer must be set to true.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowTimer, TJvCustomSpeedButton.RepeatInterval


TJvSpeedButton.Layout property

TJvSpeedButton	See Also	Edit topic

Specifies where the image appears on the button.

Pascal

property Layout: TButtonLayout;

Description

Layout indicates whether the text appears on the left of the button (blGlyphLeft), the right of the button (blGlyphRight), the top (blGlyphTop) or the bottom (blGlyphBottom).

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Margin


TJvSpeedButton.Margin property

TJvSpeedButton	See Also	Edit topic

Specifies the number of pixels between the edge of the image (specified in the Glyph property) and the edge of the button.

Pascal

property Margin: Integer;

Description

The margin is the space between the image edge and the button edge. The format of the edges depends on the layout of the image and text (specified in the Layout property). For example, if Layout is blGlyphLeft, the margin appears between the left edge of the image and the left edge of the button. If Margin is 3, three pixels separate the image and the button edges. If Margin is 0, there is no space between the image and the button edges.

If Margin is -1 (the default value), the image and text (specified in the Caption property) are centered. The number of pixels between the image and button edge is equal to the number of pixels between the opposite edge of the button and the text.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Spacing


TJvSpeedButton.MarkDropDown property

TJvSpeedButton	See Also	Edit topic

Specifies whether the button displays a downward-pointing arrow.

Pascal

property MarkDropDown: Boolean;

Description

Use MarkDropDown to get or set whether the button displays a downward-pointing arrow. MarkDropDown is typically set to true when a pop-up menu is associated with the speed button (via property DropDownMenu)

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.DropDownMenu, TJvCustomSpeedButton.MenuPosition


TJvSpeedButton.MenuPosition property

TJvSpeedButton	See Also	Edit topic

Specifies the position where the pop-up menu will appear.

Pascal

property MenuPosition: TJvDropDownMenuPos;

Description

Use MenuPosition to set the position where the pop-up menu will appear. Use property DropDownMenu to associate a pop-up menu with the speed button.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.DropDownMenu, TJvCustomSpeedButton.MarkDropDown


TJvSpeedButton.ModalResult property

TJvSpeedButton	Edit topic

Determines whether and how the button closes its (modal) parent form.

Pascal

property ModalResult: TModalResult;

Description

Setting the button’s ModalResult property is an easy way to make clicking the button close a modal form. When a button is clicked, the ModalResult property of its parent form is set to the same value as the button’s ModalResult property.

For example, if a dialog box has OK and Cancel buttons, their ModalResult properties could be set at design time to mrOk and mrCancel, respectively. At runtime, clicking the OK button then changes the dialog’s ModalResult property to mrOk, and clicking the Cancel button changes the dialog’s ModalResult property to mrCancel. Unless further processing is required, no OnClick event handlers are required for the buttons.

Created with Doc-O-Matic.


TJvSpeedButton.NumGlyphs property

TJvSpeedButton	See Also	Edit topic

Specifies the number of images included in the Glyph property.

Pascal

property NumGlyphs: TJvNumGlyphs;

Description

Set NumGlyphs to the number of images provided by the bitmap assigned to the Glyph property. All images must be the same size and next to each other in a row. Unlike TSpeedButton, the Glyph property can provide up to five images (one image more, for the inactive state, ie when the button is flat and and the mouse pointer is not on the button).

Created with Doc-O-Matic.


See Also

TJvSpeedButton.Glyph, TJvSpeedButton.HotTrackGlyph


TJvSpeedButton.RepeatInterval property

TJvSpeedButton	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Pascal

property RepeatInterval: Word;

Description

Use RepeatInterval to set the amount of time, in milliseconds, that passes before the button calls Click again, when pressed.

Property InitPause determines the amount of time, in milliseconds, that passes before the button calls Click for the first time, when pressed.

Notes

AllowTimer must be set to true.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.AllowTimer, TJvCustomSpeedButton.InitPause


TJvSpeedButton.Spacing property

TJvSpeedButton	See Also	Edit topic

Determines where the image and text appear on a speed button.

Pascal

property Spacing: Integer;

Description

See Delphi help at TSpeedButton.Spacing for more info.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Layout, TJvCustomSpeedButton.Margin


TJvSpeedButton.Style property

TJvSpeedButton	Edit topic

Determines the appearance of a button.

Pascal

property Style: TButtonStyle;

Description

Style indicates whether the speed button uses the modern button look, or reflects the look of a 16-bit Windows pushbutton.

Created with Doc-O-Matic.


TJvSpeedButton.Transparent property

TJvSpeedButton	See Also	Edit topic

Specifies whether the background of the button is transparent.

Pascal

property Transparent: Boolean;

Description

Use Transparent to specify whether the background of the button is transparent.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.Flat


TJvSpeedButton.WordWrap property

TJvSpeedButton	Edit topic

Specifies whether the button text wraps to fit the width of the control.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to true to allow the speed button to display multiple line of text. When WordWrap is true, text that is too wide for the control wraps at the right margin.

Set WordWrap to false to limit the button to a single line. When WordWrap is false, text that is too wide for the button appears truncated.

Created with Doc-O-Matic.


TJvSpellChecker
JEDI-VCL Reference

TJvSpellChecker

Hierarchy	Properties	Events	Package	 Edit topic

Provides spellchecker functionality.

Pascal

TJvSpellChecker = class(TJvComponent);

File

JvSpellChecker

Description

Use TJvSpellChecker when you want to add spell checking functionality to your application. TJvSpellChecker can spell check any text. TJvSpellChecker is a non-visual component and does not display any dialogs. To implement a spell checking dialog, see the demo included with JVCL for an example on how to do that.

TJvSpellChecker implements the IJvSpellIntf interface.

Created with Doc-O-Matic.


TJvSpellChecker Properties

TJvSpellChecker	Legend

Properties

Delimiters

 Dictionary

 Ignores

 SpellChecker

 Text

 UserDictionary

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvSpellChecker Events

TJvSpellChecker	Legend

Events

 OnCanIgnore

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvSpellChecker

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvSpellChecker


TJvSpellChecker Members

TJvSpellChecker	Legend

Members

Properties

Delimiters

 Dictionary

 Ignores

 SpellChecker

 Text

 UserDictionary

TJvComponent

 AboutJVCL

Events

 OnCanIgnore

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Cmp


TJvSpellChecker.Delimiters property

TJvSpellChecker	See Also	Edit topic

Specifies the characters that are used to break the text into words.

Pascal

property Delimiters: TSysCharSet;

Description

Use Delimiters to set or read the characters that are used to delimit text.

Created with Doc-O-Matic.


See Also

TJvSpellChecker.Text


TJvSpellChecker.Dictionary property

TJvSpellChecker	See Also	Edit topic

Defines the basic dictionary used to check spelling against.

Pascal

property Dictionary: TFileName;

Description

Use Dictionary to set and read the base dictionary used for spell checking. This value should point to a file on disk. If no dictionary is set, no spell checking can take place.

Created with Doc-O-Matic.


See Also

TJvSpellChecker.UserDictionary


TJvSpellChecker.Ignores property

TJvSpellChecker	See Also	Edit topic

Contains a list of words to ignore.

Pascal

property Ignores: TStrings;

Description

Ignores is used for words that should be ignored in the current session. To make an ignored word persistent, you should call UserDictionary.Add and then save/load the UserDictionary to storage as needed.

In a typical spell checking application, Ignores is used to implement "Ignore All" functionality.

Created with Doc-O-Matic.


See Also

TJvSpellChecker.Text, IJvSpellChecker.GetCurrentWord


TJvSpellChecker.OnCanIgnore event

TJvSpellChecker	Edit topic

Event handler that is called for every word in the text.

Pascal

property OnCanIgnore: TJvSpellCheckIgnoreEvent;

Parameters

Sender

The IJvSpellChecker implementer

Value

The string to check.

CanIgnore

Set to true to skip the word, false to handle it normally.

Description

Write a handler for the OnCanIgnore event when you need to set up ignores for words that can't be easily captured using a simple table driven spell checker. For example, to ignore upper case words, you could write an event handler that compares the current word with its upper cased variant and set CanIgnore to true if they match.

Created with Doc-O-Matic.


TJvSpellChecker.SpellChecker property

TJvSpellChecker	See Also	Edit topic

Reference to the implemented interface.

Pascal

property SpellChecker: IJvSpellChecker;

Description

Use SpellChecker to access the IJvSpellChecker interface and its methods and properties. For example, TJvSpellChecker does not surface any of the IJvSpellChecker methods like Seek, Next or GetCurrentWord. To access these in your application, use the SpellChecker property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker


TJvSpellChecker.Text property

TJvSpellChecker	Edit topic

The Text to spell check.

Pascal

property Text: string;

Description

Use Text to set the text to spell check. When Text is changed, spell checking is reset to the start of the string.

Created with Doc-O-Matic.


TJvSpellChecker.UserDictionary property

TJvSpellChecker	See Also	Edit topic

A sorted list of words the user has selected as his own words.

Pascal

property UserDictionary: TStrings;

Description

UserDictionary is used to manage the users own words. The main difference between a dictionary and a user dictionary is that you cannot change the content of the main dictionary once loaded (without reloading it).

In addition, UserDictionary contains a list of sorted words, one per line, whereas the dictionary might be in any format.

Use UserDictionary to create a list of words that the user has chosen as his own word. For example, in a typical spell checking application, this property can be used to implement "Add" functionality.

Created with Doc-O-Matic.


See Also

TJvSpellChecker.Dictionary, TJvSpellChecker.Ignores


TJvSpinButton
JEDI-VCL Reference

 TJvSpinButton

Hierarchy	Properties	Events	Package	 See Also	Edit topic

Spin buttons for choosing from a numeric range.

Pascal

TJvSpinButton = class(TJvGraphicControl);

File

JvSpin

Description

Use TJvSpinButton to add a spin control to a form. Spin controls consist of a pair of arrow buttons. Spin button controls allow users to change the size of a numerical value by clicking on arrow buttons.

Created with Doc-O-Matic.


TJvSpinButton Properties

TJvSpinButton	Legend

Properties

 ButtonStyle

Down

 DownGlyph

 FocusControl

 UpGlyph

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSpinButton Events

TJvSpinButton	Legend

Events

 OnBottomClick

 OnTopClick

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvSpinButton

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvSpinButton


TJvSpinButton Members

TJvSpinButton	Legend

Members

Properties

 ButtonStyle

Down

 DownGlyph

 FocusControl

 UpGlyph

Events

 OnBottomClick

 OnTopClick

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvSpinEdit


Package

StdCtrls


TJvSpinButton.ButtonStyle property

TJvSpinButton	Edit topic

Determines the appearance of the spin buttons.

Pascal

property ButtonStyle: TJvSpinButtonStyle;

Description

Use ButtonStyle to determine the appearance of the spin buttons.

Created with Doc-O-Matic.


TJvSpinButton.Down property

TJvSpinButton	Edit topic

Specifies whether a button control is selected (down) or unselected (up).

Pascal

property Down: TSpinButtonState;

Description

Read Down to determine whether a button control is selected (down) or unselected (up). Set Down to change the state of a button control. Setting Down to true causes the button control to be selected and setting Down to false causes the button control to be unselected.

Created with Doc-O-Matic.


TJvSpinButton.DownGlyph property

TJvSpinButton	See Also	Edit topic

Specifies the bitmap that appears on the down spin button.

Pascal

property DownGlyph: TBitmap;

Description

Set DownGlyph to a bitmap object that contains the image that should appear on the face of the down spin button. Bring up the Open dialog box from the Object Inspector to choose a bitmap file (with a .BMP extension), or specify a bitmap file at runtime.

If DownGlyph is not assigned then the default down button glyph is used.

Created with Doc-O-Matic.


See Also

TJvSpinButton.UpGlyph


TJvSpinButton.FocusControl property

TJvSpinButton	Edit topic

Designates a windowed control associated with the spin button.

Pascal

property FocusControl: TWinControl;

Description

Set FocusControl to the windowed control that should receive focus when the user presses the spin buttons.

Created with Doc-O-Matic.


TJvSpinButton.OnBottomClick event

TJvSpinButton	See Also	Edit topic

Occurs when the user clicks the bottom arrow button.

Pascal

property OnBottomClick: TNotifyEvent;

Description

Write an OnBottomClick event handler to take specific action when the user clicks the bottom arrow button.

Created with Doc-O-Matic.


See Also

TJvSpinButton.OnTopClick


TJvSpinButton.OnTopClick event

TJvSpinButton	See Also	Edit topic

Occurs when the user clicks the top arrow button.

Pascal

property OnTopClick: TNotifyEvent;

Description

Write an OnTopClick event handler to take specific action when the user clicks the top arrow button.

Created with Doc-O-Matic.


See Also

TJvSpinButton.OnBottomClick


TJvSpinButton.UpGlyph property

TJvSpinButton	See Also	Edit topic

Specifies the bitmap that appears on the up spin button.

Pascal

property UpGlyph: TBitmap;

Description

Set UpGlyph to a bitmap object that contains the image that should appear on the face of the up spin button. Bring up the Open dialog box from the Object Inspector to choose a bitmap file (with a .BMP extension), or specify a bitmap file at runtime.

If UpGlyph is not assigned then the default up button glyph is used.

Created with Doc-O-Matic.


See Also

TJvSpinButton.DownGlyph


TJvSpinEdit
JEDI-VCL Reference

 TJvSpinEdit

Hierarchy	Properties	Events	Package	 Edit topic

Spin boxes for choosing from a numeric range

Pascal

TJvSpinEdit = class(TJvCustomSpinEdit);

File

JvSpin

Description

TJvSpinEdit is a generic implementation of spin boxes, as defined in TJvCustomSpinEdit. Spin boxes allow the user to choose from a range of numeric values by clicking on special "spin buttons", or by pressing vertical arrow keys. Users can also enter the value in a text box, as with an edit control.

Created with Doc-O-Matic.


TJvSpinEdit Properties

TJvSpinEdit	Legend

Properties

 Alignment

 ArrowKeys

 BeepOnError

 ButtonKind

 CheckMaxValue

 CheckMinValue

 CheckOptions

 ClipboardCommands

 Decimal

 DisplayFormat

 EditorEnabled

 Increment

 MaxValue

 MinValue

 ShowButton

 Thousands

 Value

 ValueType

TJvCustomSpinEdit

Alignment

ArrowKeys

AsInteger

ButtonKind

 ButtonWidth

CheckMaxValue

CheckMinValue

CheckOptions

Decimal

 DisplayFormat

EditorEnabled

Increment

MaxValue

MinValue

ShowButton

Thousands

Value

ValueType

TJvExCustomMaskEdit

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvSpinEdit Events

TJvSpinEdit	Legend

Events

 OnBottomClick

 OnTopClick

TJvCustomSpinEdit

OnBottomClick

OnTopClick

TJvExCustomMaskEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSpinEdit

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomMaskEdit, IJvExControl
        TJvExCustomMaskEdit
            TJvCustomSpinEdit
                TJvSpinEdit


TJvSpinEdit Members

TJvSpinEdit	Legend

Members

Properties

 Alignment

 ArrowKeys

 BeepOnError

 ButtonKind

 CheckMaxValue

 CheckMinValue

 CheckOptions

 ClipboardCommands

 Decimal

 DisplayFormat

 EditorEnabled

 Increment

 MaxValue

 MinValue

 ShowButton

 Thousands

 Value

 ValueType

TJvCustomSpinEdit

Alignment

ArrowKeys

AsInteger

ButtonKind

 ButtonWidth

CheckMaxValue

CheckMinValue

CheckOptions

Decimal

 DisplayFormat

EditorEnabled

Increment

MaxValue

MinValue

ShowButton

Thousands

Value

ValueType

TJvExCustomMaskEdit

 AboutJVCL

 BeepOnError

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnBottomClick

 OnTopClick

TJvCustomSpinEdit

OnBottomClick

OnTopClick

TJvExCustomMaskEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

StdCtrls


TJvSpinEdit.Alignment property

TJvSpinEdit	Edit topic

Determines how the text in the spin edit is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvSpinEdit.ArrowKeys property

TJvSpinEdit	Edit topic

Indicates whether the up and down keys spin the entered number.

Pascal

property ArrowKeys: Boolean;

Description

Use ArrowKeys to specify whether the user can use the up and down keys to spin the entered number.

Created with Doc-O-Matic.


TJvSpinEdit.BeepOnError property

TJvSpinEdit	Edit topic

Specifies whether the edit control beeps when the user tries to enter text that does not match the mask.

Pascal

property BeepOnError: Boolean;

Description

If BeepOnError is true (the default), the application beeps when a validation error occurs.

Created with Doc-O-Matic.


TJvSpinEdit.ButtonKind property

TJvSpinEdit	Edit topic

Determines the appearance of the spin buttons.

Pascal

property ButtonKind: TSpinButtonKind;

Description

Use ButtonKind to determine the appearance of the control's spin buttons.

Created with Doc-O-Matic.


TJvSpinEdit.CheckMaxValue property

TJvSpinEdit	See Also	Edit topic

Specifies whether to use the MaxValue as maximum value the user can enter into the spin edit control.

Pascal

property CheckMaxValue: Boolean;

Description

Use CheckMaxValue to specify whether to use the MaxValue as maximum value the user can enter into the spin edit control.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMinValue, TJvCustomSpinEdit.CheckOptions


TJvSpinEdit.CheckMinValue property

TJvSpinEdit	See Also	Edit topic

Specifies whether to use the MinValue as minimum value the user can enter into the spin edit control.

Pascal

property CheckMinValue: Boolean;

Description

Use CheckMinValue to specify whether to use the MinValue as minimum value the user can enter into the spin edit control.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMaxValue, TJvCustomSpinEdit.CheckOptions


TJvSpinEdit.CheckOptions property

TJvSpinEdit	See Also	Edit topic

Specifies range check options for the spin edit.

Pascal

property CheckOptions: TJvCheckOptions;

Description

Use CheckOptions to alter the range check behavior of the spin edit.

The range is specified by the MinValue, MaxValue, CheckMinValue and CheckMaxValue properties.

Notes

If coCropBeyondLimit is not included in CheckOptions, an exception is raised when the value of the spin edit is out of range. (But either coCheckOnChange or coCheckOnExit must be included, otherwise no checking is done at all)

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMaxValue, TJvCustomSpinEdit.CheckMinValue, TJvCustomSpinEdit.MaxValue, TJvCustomSpinEdit.MinValue


TJvSpinEdit.ClipboardCommands property

TJvSpinEdit	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvSpinEdit.Decimal property

TJvSpinEdit	See Also	Edit topic

Specifies the precision for the floating-point value.

Pascal

property Decimal: Byte;

Description

Use Decimal to set the number of digits beyond the decimal point that the floating-point value of the control should be formatted to before rounding begins.

Use DisplayFormat to change the format of the floating-point value when it is displayed as a text string in the edit box, but note that Decimal may also affect that displayed text string:

Entered value	DisplayFormat	Decimal	Displayed text string	Stored value
0.1234	0.###	2	0.12	0.12
0.1234	0.###	3	0.123	0.123
0.1234	0.###	4	0.123	0.1234
0.1234	0.####	4	0.1234	0.1234
Notes

Decimal affects the actual floating-point value that is stored in the control.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.DisplayFormat


TJvSpinEdit.DisplayFormat property

TJvSpinEdit	See Also	Edit topic

Specifies the format for the displayed number.

Pascal

property DisplayFormat: string;

Description

Use DisplayFormat to specify a custom format string for the number display. Note that DisplayFormat is only used when the control has no focus.

The value of DisplayFormat does not affect the actual stored floating-point value. See Delphi help at FormatFloat to view which format specifiers are supported in the format string.

Notes

Ensure that Decimal is large enough for the DisplayFormat. For example, if DisplayFormat is '0.###' then Decimal must be minimal 3.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.Decimal


TJvSpinEdit.EditorEnabled property

TJvSpinEdit	Edit topic

Determines whether the user can use the edit box of the spin edit.

Pascal

property EditorEnabled: Boolean;

Description

Use EditorEnabled to read or change whether the user can use the edit box of the spin edit. By setting EditorEnabled to false, the edit box of the spin edit will become read-only, and the user can only use the spin buttons.

Created with Doc-O-Matic.


TJvSpinEdit.Increment property

TJvSpinEdit	See Also	Edit topic

Specifies the amount by which the number increments or decrements when the user clicks the buttons on the spin edit control.

Pascal

property Increment: Extended;

Description

Increment specifies the value that is added or subtracted from Value when the user spins the control.

Created with Doc-O-Matic.


See Also

AsInteger


TJvSpinEdit.MaxValue property

TJvSpinEdit	See Also	Edit topic

Specifies the maximum value the user can enter into the spin edit control.

Pascal

property MaxValue: Extended;

Description

MaxValue specifies the maximum for the Value property. If the user enters a number greater than MaxValue, the number is changed to MaxValue. This also happens if the user attempts to spin past MaxValue.

Notes

CheckMaxValue must be set to true, otherwise MaxValue is ignored.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMaxValue, TJvCustomSpinEdit.CheckOptions, TJvCustomSpinEdit.MinValue


TJvSpinEdit.MinValue property

TJvSpinEdit	See Also	Edit topic

Specifies the minimum value the user can enter into the spin edit control.

Pascal

property MinValue: Extended;

Description

The MinValue property specifies the minimum for the Value property. If the user enters a number less than MinValue, the number is changed to MinValue. This also happens if the user attempts to spin past MinValue.

Notes

CheckMinValue must be set to true, otherwise MinValue is ignored.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckMinValue, TJvCustomSpinEdit.CheckOptions, TJvCustomSpinEdit.MaxValue


TJvSpinEdit.OnBottomClick event

TJvSpinEdit	See Also	Edit topic

Occurs when the user clicks the bottom arrow button.

Pascal

property OnBottomClick: TNotifyEvent;

Description

Write an OnBottomClick event handler to take specific action when the user clicks the bottom arrow button.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.OnTopClick


TJvSpinEdit.OnTopClick event

TJvSpinEdit	See Also	Edit topic

Occurs when the user clicks the top arrow button.

Pascal

property OnTopClick: TNotifyEvent;

Description

Write an OnTopClick event handler to take specific action when the user clicks the top arrow button.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.OnBottomClick


TJvSpinEdit.ShowButton property

TJvSpinEdit	Edit topic

Not documented

Pascal

property ShowButton: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSpinEdit.Thousands property

TJvSpinEdit	See Also	Edit topic

Determines whether a thousands separator appears between every three digits of a decimal string.

Pascal

property Thousands: Boolean;

Description

Use Thousands to control the formatting of the text of spin edit control. If Thousands is true, a separator appears between every three digits. The numeric value that is displayed is given by the Value property.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.Value


TJvSpinEdit.Value property

TJvSpinEdit	See Also	Edit topic

Indicates the numeric value of the spin edit control.

Pascal

property Value: Extended;

Description

The Value property determines the current numeric value of the control.

Created with Doc-O-Matic.


See Also

AsInteger


TJvSpinEdit.ValueType property

TJvSpinEdit	See Also	Edit topic

Specifies the type of the spin edit.

Pascal

property ValueType: TValueType;

Description

Use the ValueType property to specify the type of the data the spin edit contains. Depending on the value of ValueType, the user can use specific keys. For example, if ValueType is vtHex the user can use the 'a' to 'f' keys to enter hexadecimal values.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.Value


TJvSplitter
JEDI-VCL Reference

 TJvSplitter

Hierarchy	Properties	Events	Package	 Edit topic

Adds events that can be used for hot tracking.

Pascal

TJvSplitter = class(TJvExSplitter);

File

JvSplitter

Description

You can use OnMouseEnter and OnMouseLeave to alter the controls look or behavior, when the user moves the mouse pointer over the control.

Use property HintColor to change the color of the hint boxes for the scroll box.

Created with Doc-O-Matic.


TJvSplitter Properties

TJvSplitter	Legend

Properties

 HintColor

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSplitter Events

TJvSplitter	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSplitter

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TSplitter, IJvExControl
        TJvExSplitter
            TJvSplitter


TJvSplitter Members

TJvSplitter	Legend

Members

Properties

 HintColor

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

Ctrls


TJvSplitter.HintColor property

TJvSplitter	Edit topic

Determines the color of the hint boxes for the Help Hints for the splitter control.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvSplitter.OnMouseEnter event

TJvSplitter	See Also	Edit topic

Occurs when the mouse pointer moves over the splitter.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the splitter.

Created with Doc-O-Matic.


See Also

TJvExSplitter.OnMouseLeave


TJvSplitter.OnMouseLeave event

TJvSplitter	See Also	Edit topic

Occurs when the mouse pointer moves off the splitter.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the splitter. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExSplitter.OnMouseEnter


TJvSplitter.OnParentColorChange event

TJvSplitter	Edit topic

Occurs when the color property for the parent of the splitter control changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvStandardMenuItemPainter
JEDI-VCL Reference

 TJvStandardMenuItemPainter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This painter draws the items without any special effects, apart from drawing the image

Pascal

TJvStandardMenuItemPainter = class(TJvCustomMenuItemPainter);

File

JvMenus

Description

Set the Style property of TJvMainMenu or TJvPopupMenu to msStandard to use this painter.

Created with Doc-O-Matic.


TJvStandardMenuItemPainter Properties

TJvStandardMenuItemPainter	Legend

Properties

 LeftMargin

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvStandardMenuItemPainter Events

TJvStandardMenuItemPainter	Legend

Events

 OnDrawLeftMargin

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvStandardMenuItemPainter Methods

TJvStandardMenuItemPainter	Legend

Methods

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvStandardMenuItemPainter

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomMenuItemPainter
        TJvStandardMenuItemPainter


TJvStandardMenuItemPainter Members

TJvStandardMenuItemPainter	Legend

Members

Properties

 LeftMargin

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Events

 OnDrawLeftMargin

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Methods

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

published

protected

read only

virtual

Created with Doc-O-Matic.


Legend

published

protected

read only

virtual


Package

StdCtrls


TJvStandardMenuItemPainter.LeftMargin property

TJvStandardMenuItemPainter	See Also	Edit topic

This is the size of the margin to be drawn on the left side of the menu

Pascal

property LeftMargin: Cardinal;

Description

Most derived painters will publish this property, thus allowing you to specify that you want a colored margin to be drawn on the side of your menu items. By default, this is a gradient from clBlue to clBlack but you can provide an event handler for OnDrawLeftMargin and do your own rendering in it.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.OnDrawLeftMargin


TJvStandardMenuItemPainter.OnDrawLeftMargin event

TJvStandardMenuItemPainter	See Also	Edit topic

This is the event called when the margin is to be drawn

Pascal

property OnDrawLeftMargin: TJvDrawLeftMarginEvent;

Description

Most derived painters will publish this property, thus allowing you to provide an event handler for OnDrawLeftMargin and do your own rendering in it. If LeftMargin is equal to 0, the event is never fired.

Notes

If the system displays text from right to left, the margin is drawn on the right side of the menu.

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.LeftMargin


TJvStandardMenuItemPainter.Paint method

TJvStandardMenuItemPainter	See Also	Edit topic

Does the painting of the given item

Pascal

procedure Paint(Item: TMenuItem; ItemRect: TRect; State: TMenuOwnerDrawState); override;

Parameters

Item

The item to paint

ItemRect

The rectangle in which the item is to be drawn. Drawing outside the rectangle isn't forbidden but every drawing done outside isn't considered to be part of the item and will get discarded sooner or later.

State

The state of the item (selected, active...)

Description

This is the method you want to override along with Measure to create a new rendering style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Measure


TJvStandardPage
JEDI-VCL Reference

TJvStandardPage

Hierarchy	Properties	Events	 Edit topic

Class that represents a page in a page list control.

Pascal

TJvStandardPage = class(TJvCustomPage);

File

JvPageList

Description

TJvStandardPage derives from TJvCustomPage and publishes its properties but does not add any new functionality.

Created with Doc-O-Matic.


TJvStandardPage Events

TJvStandardPage	Legend

Events

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

TJvCustomPage

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvStandardPage Properties

TJvStandardPage	Legend

Properties

 PageIndex

TJvCustomPage

 Height

 Left

PageIndex

PageList

 Top

 Width

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvStandardPage

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomPage
            TJvStandardPage


TJvStandardPage Members

TJvStandardPage	Legend

Members

Events

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

TJvCustomPage

 OnAfterPaint

 OnBeforePaint

 OnHide

 OnPaint

 OnShow

Properties

 PageIndex

TJvCustomPage

 Height

 Left

PageIndex

PageList

 Top

 Width

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvStandardPage.OnAfterPaint event

TJvStandardPage	See Also	Edit topic

Called after the page has been painted.

Pascal

property OnAfterPaint: TJvPagePaintEvent;

Description

OnAfterPaint is of type TJvPagePaintEvent and is called after the control has painted itself. Assign an event handler to this event to perform any special drawing after the default painting has completed.

Created with Doc-O-Matic.


See Also

OnBeforePaint


TJvStandardPage.OnBeforePaint event

TJvStandardPage	Edit topic

Called before the page is painted.

Pascal

property OnBeforePaint: TJvPageCanPaintEvent;

Parameters

Sender

The control that is calling this event.

ACanvas

The canvas to draw on.

ARect

The rect area to draw within.

DefaultDraw

Variable that determines if the default drawing is to be performed after the event returns. Set this to false to suppress normal drawing of the page.

Description

OnBeforePaint is of type TJvPageCanPaintEvent and is called just prior to painting. Assign an event handler to this event to perform any special drawing before the default painting has started. To suppress normal drawing, set the DefaultDraw parameter to false.

Created with Doc-O-Matic.


TJvStandardPage.OnHide event

TJvStandardPage	Edit topic

Occurs when the page is hidden.

Pascal

property OnHide: TNotifyEvent;

Description

Write an OnHide event handler to take specific action when the control is hidden.

Created with Doc-O-Matic.


TJvStandardPage.OnPaint event

TJvStandardPage	Edit topic

Occurs when the control is painted.

Pascal

property OnPaint: TJvPagePaintEvent;

Description

Write an OnPaint event handler to take specific action when the control is painted.

Created with Doc-O-Matic.


TJvStandardPage.OnShow event

TJvStandardPage	Edit topic

Occurs when the page is shown.

Pascal

property OnShow: TNotifyEvent;

Description

Write an OnShow event handler to take specific action when the page is shown.

Created with Doc-O-Matic.


TJvStandardPage.PageIndex property

TJvStandardPage	See Also	Edit topic

The index of this page.

Pascal

property PageIndex: Integer;

Description

Read PageIndex to determine where the page is placed in the parents Pages array. Set PageIndex to change the place of the page in the Pages array. PageIndex is 0-based, that is, the first page in the Pages array has Index 0 and the last page has index PageCount - 1

Created with Doc-O-Matic.


See Also

TJvCustomPageList.PageCount, TJvCustomPageList.Pages


TJvStarfield
JEDI-VCL Reference

 TJvStarfield

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A star field with moving stars.

Pascal

TJvStarfield = class(TJvGraphicControl);

File

JvStarfield

Description

Use TJvStarfield to show a star field with moving stars.

Use Stars to specify the amount of stars on the star field.

Use MaxSpeed to limit the amount of pixels a star will move per refresh event.

Set Delay to indicate the amount of time (in milliseconds) between refresh events.

Created with Doc-O-Matic.


TJvStarfield Properties

TJvStarfield	Legend

Properties

 Active

 Delay

 MaxSpeed

 Stars

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvStarfield Events

TJvStarfield	Legend

Events

 OnActiveChanged

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvStarfield Methods

TJvStarfield

Methods

Clear

Created with Doc-O-Matic.


Legend

TJvStarfield

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvStarfield


TJvStarfield Members

TJvStarfield	Legend

Members

Properties

 Active

 Delay

 MaxSpeed

 Stars

Events

 OnActiveChanged

Methods

Clear

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

MM


TJvStarfield.Active property

TJvStarfield	See Also	Edit topic

Indicates whether the stars are moving on the star field.

Pascal

property Active: Boolean;

Description

Set Active to True to move the stars on the star field. Set Active to False to interrupt the stars when they are are moving.

Make sure to set MaxSpeed and Stars to a value greater than 0, otherwise the stars won't move.

Created with Doc-O-Matic.


See Also

TJvStarfield.MaxSpeed, TJvStarfield.Stars


TJvStarfield.Delay property

TJvStarfield	See Also	Edit topic

Determines the amount of time, in milliseconds, between two refreshes of the star field.

Pascal

property Delay: Cardinal;

Description

Set Delay to specify the amount of time (in milliseconds) between two refreshes of the star field.

Delay determines how frequently a refresh of the star field occurs. Each time the specified time passes, the position of the stars on the star field changes.

Use Delay to specify any cardinal value as the interval between refresh events. The default value is 50 (1/20 second).

Created with Doc-O-Matic.


See Also

TJvStarfield.MaxSpeed, TJvStarfield.Stars


TJvStarfield.MaxSpeed property

TJvStarfield	See Also	Edit topic

Indicates the maximum number of pixels a star may move per refresh.

Pascal

property MaxSpeed: Byte;

Description

Set MaxSpeed to limit the number of pixels that a star can move per refresh. If MaxSpeed is 0, the stars on the star field won't move at all. If MaxSpeed is set to a value greater than 0, the stars will move 1 to MaxSpeed pixels per refresh.

The default value for MaxSpeed is 10.

Created with Doc-O-Matic.


See Also

Delay, TJvStarfield.Stars


TJvStarfield.OnActiveChanged event

TJvStarfield	Edit topic

Not documented

Pascal

property OnActiveChanged: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStarfield.Stars property

TJvStarfield	See Also	Edit topic

Indicates the number of stars on the star field.

Pascal

property Stars: Word;

Description

Set Stars to specify the amount of stars on the star field.

Created with Doc-O-Matic.


See Also

Delay, TJvStarfield.MaxSpeed


TJvStarfield.Clear method

TJvStarfield	Edit topic

Not documented

Pascal

procedure Clear;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStaticText
JEDI-VCL Reference

 TJvStaticText

Hierarchy	Properties	Package	 Edit topic

Supports extended features such as hot tracking.

Pascal

TJvStaticText = class(TJvCustomStaticText);

File

JvStaticText

Description

TJvStaticText is a TJvCustomStaticText descendant that supports extended features such as hot tracking.

Set HotTrack to true, to provide visual feedback about when the text control is under the mouse. Use HotGlyph, HotTrackFont to alter the appearance of the control when the mouse is over it.

Use property HintColor to change the color of the hint boxes for the control.

Created with Doc-O-Matic.


TJvStaticText Properties

TJvStaticText	Legend

Properties

 Alignment

 AutoSize

 BorderStyle

 FocusControl

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 ShowAccelChar

 TextMargins

 WordWrap

TJvCustomStaticText

 Alignment

 AutoSize

 BorderStyle

 FocusControl

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 ShowAccelChar

 TextMargins

 WordWrap

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvStaticText

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExWinControl
    TJvWinControl
        TJvCustomStaticText
            TJvStaticText


TJvStaticText Members

TJvStaticText	Legend

Members

Properties

 Alignment

 AutoSize

 BorderStyle

 FocusControl

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 ShowAccelChar

 TextMargins

 WordWrap

TJvCustomStaticText

 Alignment

 AutoSize

 BorderStyle

 FocusControl

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Layout

 ShowAccelChar

 TextMargins

 WordWrap

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvStaticText.Alignment property

TJvStaticText	See Also	Edit topic

Determines how text is aligned within the component.

Pascal

property Alignment: TAlignment;

Description

The possible values of Alignment are

Value	Meaning
taLeftJustify	Text is aligned at the left of the control.
taCenter	Text is centered in the control.
taRightJustify	Text is aligned at the right of the control.
Created with Doc-O-Matic.


See Also

TJvCustomStaticText.Layout


TJvStaticText.AutoSize property

TJvStaticText	Edit topic

Determines whether the component is automatically resized to accommodate its text.

Pascal

property AutoSize: Boolean;

Description

If AutoSize is true, the component is automatically resized—at runtime and design time—whenever the font size or Caption text changes.

Created with Doc-O-Matic.


TJvStaticText.BorderStyle property

TJvStaticText	Edit topic

Determines the appearance of the control’s border.

Pascal

property BorderStyle: TStaticBorderStyle;

Description

The possible values of BorderStyle are

Value	Meaning
sbsNone	No visible border.
sbsSingle	Single-line border.
sbsSunken	Raised border.
Created with Doc-O-Matic.


TJvStaticText.FocusControl property

TJvStaticText	Edit topic

Links the component with another windowed control.

Pascal

property FocusControl: TWinControl;

Description

Use the FocusControl property to link the TJvCustomStaticText instance with another windowed control. If the text of Caption includes an accelerator key, the component specified by FocusControl receives focus when the accelerator is pressed.

Created with Doc-O-Matic.


TJvStaticText.HotTrack property

TJvStaticText	See Also	Edit topic

Specifies whether the control is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to true to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the control's text. When HotTrack is false, there is no visual feedback when the mouse passes over this control.

Created with Doc-O-Matic.


See Also

OnMouseEnter, OnMouseLeave


TJvStaticText.HotTrackFont property

TJvStaticText	See Also	Edit topic

Specifies the font used when the mouse passes over the control, and HotTrack is true.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the control and HotTrack is set to true, HotTrackFont is used as the font for the control text.

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvCustomStaticText.HotTrack


TJvStaticText.HotTrackFontOptions property

TJvStaticText	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFOntOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

TJvCustomStaticText.HotTrack, TJvCustomStaticText.HotTrackFont


TJvStaticText.Layout property

TJvStaticText	See Also	Edit topic

Specifies the vertical placement of the text within the control.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of the control is placed within the ClientRect of the control. Layout is the vertical analog to the Alignment property.

Layout can be one of the following values:
Value	Meaning
tlTop	The text appears at the top of the control.
tlCenter	The text is vertically centered in the control.
tlBottom	The text appears along the bottom of the control.
Created with Doc-O-Matic.


See Also

TJvCustomStaticText.Alignment


TJvStaticText.ShowAccelChar property

TJvStaticText	Edit topic

Enables accelerator characters.

Pascal

property ShowAccelChar: Boolean;

Description

If ShowAccelChar is true, an ampersand in the component’s Caption text appears as an underline and makes the character after it into an accelerator key. If ShowAccelChar is false, ampersands appear as ampersands.

Created with Doc-O-Matic.


TJvStaticText.TextMargins property

TJvStaticText	See Also	Edit topic

Controls the indentation of the text on the control.

Pascal

property TextMargins: TJvTextMargins;

Description

Use TextMargins to specify the indentation of the text on a control.

Created with Doc-O-Matic.


See Also

TJvTextMargins, TJvTextMargins.X, TJvTextMargins.Y


TJvStaticText.WordWrap property

TJvStaticText	Edit topic

Specifies whether the control's text wraps when it is too long for the width of the control.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to true to allow the control to display multiple line of text. When WordWrap is true, text that is too wide for the control wraps at the right margin and continues in additional lines.

Set WordWrap to false to limit the control to a single line. When WordWrap is false, text that is too wide for the control appears truncated.

Created with Doc-O-Matic.


TJvStatusBar
JEDI-VCL Reference

 TJvStatusBar

Hierarchy	Properties	Events	Package	 Edit topic

Supports extended features such as hot tracking, and accepts controls dropped on it at design time.

Pascal

TJvStatusBar = class(TJvExStatusBar);

File

JvStatusBar

Description

TJvStatusBar is a class derived from TStatusBar that supports extended features such as hot tracking, and accepts controls dropped on it at design time.

Use a TJvStatusBar if you want a status bar that enables hot tracking, or where you can place controls on.

You can use OnMouseEnter and OnMouseLeave to alter the status bar's look or behavior, when the user moves the mouse pointer over the control.

Property HintColor can be used to set a different color of the Help hint boxes for the status bar.

Created with Doc-O-Matic.


TJvStatusBar Properties

TJvStatusBar	Legend

Properties

 AutoHintShown

 HintColor

TJvExStatusBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


TJvStatusBar Events

TJvStatusBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExStatusBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvStatusBar

Legend

read only

published

protected

Created with Doc-O-Matic.


Hierarchy

TStatusBar, IJvExControl
        TJvExStatusBar
            TJvStatusBar


TJvStatusBar Members

TJvStatusBar	Legend

Members

Properties

 AutoHintShown

 HintColor

TJvExStatusBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExStatusBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

read only

published

protected

Created with Doc-O-Matic.


Legend

read only

published

protected


Package

StdCtrls


TJvStatusBar.AutoHintShown property

TJvStatusBar	Edit topic

Specifies whether the status bar is showing the current hint.

Pascal

property AutoHintShown: Boolean;

Description

Read AutoHintShown to determine whether the status bar is showing the current hint.

Created with Doc-O-Matic.


TJvStatusBar.HintColor property

TJvStatusBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the status bar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvStatusBar.OnMouseEnter event

TJvStatusBar	See Also	Edit topic

Occurs when the mouse pointer moves over the status bar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the status bar.

Created with Doc-O-Matic.


See Also

TJvExStatusBar.OnMouseLeave


TJvStatusBar.OnMouseLeave event

TJvStatusBar	See Also	Edit topic

Occurs when the mouse pointer moves off the status bar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the status bar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExStatusBar.OnMouseEnter


TJvStatusBar.OnParentColorChange event

TJvStatusBar	Edit topic

Occurs when the color property for the parent of the status bar changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvStatusPanel
JEDI-VCL Reference

TJvStatusPanel

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvStatusPanel = class(TStatusPanel);

File

JvStatusBar

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStatusPanel Properties

TJvStatusPanel	Legend

Properties

 AboutJVCL

 Control

 MarginLeft

 MarginTop

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvStatusPanel

Legend

published

Created with Doc-O-Matic.


Hierarchy

TStatusPanel
    TJvStatusPanel


TJvStatusPanel Members

TJvStatusPanel	Legend

Members

Properties

 AboutJVCL

 Control

 MarginLeft

 MarginTop

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvStatusPanel.AboutJVCL property

TJvStatusPanel

JVCL version information

Pascal

property AboutJVCL: TJVCLAboutInfo;

Description

AboutJVCL is a property all JVCL components and controls have in common. It's used to display the version information of JVCL.

Created with Doc-O-Matic.


TJvStatusPanel.Control property

TJvStatusPanel	Edit topic

Not documented

Pascal

property Control: TControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStatusPanel.MarginLeft property

TJvStatusPanel	Edit topic

Not documented

Pascal

property MarginLeft: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStatusPanel.MarginTop property

TJvStatusPanel	Edit topic

Not documented

Pascal

property MarginTop: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStoredValue
JEDI-VCL Reference

TJvStoredValue

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Represents a stored value.

Pascal

TJvStoredValue = class(TCollectionItem);

File

JvFormPlacement

Description

Use the properties of a TJvStoredValue object to get or set the value of a stored value. Storage components such as TJvFormStorage create TJvStoredValue objects to represent a data value stored in an ini file or in the system registry.

Created with Doc-O-Matic.


TJvStoredValue Properties

TJvStoredValue	Legend

Properties

 KeyString

 Name

 StoredValues

 Value

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvStoredValue Events

TJvStoredValue	Legend

Events

 OnRestore

 OnSave

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvStoredValue Methods

TJvStoredValue	Legend

Methods

Clear

 Restore

 Save

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvStoredValue

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvStoredValue


TJvStoredValue Members

TJvStoredValue	Legend

Members

Properties

 KeyString

 Name

 StoredValues

 Value

Events

 OnRestore

 OnSave

Methods

Clear

 Restore

 Save

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


See Also

TJvFormStorage, TJvStoredValues


TJvStoredValue.KeyString property

TJvStoredValue	Edit topic

Specifies a key to be used for encoding and decoding the stored value.

Pascal

property KeyString: string;

Description

Use KeyString to specify a key that will be used for encoding and decoding the stored value.

If you specify an empty string for KeyString, the stored value is not encoded.

Created with Doc-O-Matic.


TJvStoredValue.Name property

TJvStoredValue	See Also	Edit topic

Specifies the name of the stored value.

Pascal

property Name: string;

Description

Use Name to identify a particular stored value within a TJvStoredValues object. Name specifies a string that identifies the name of the data value into which to store the value.

Created with Doc-O-Matic.


See Also

Value


TJvStoredValue.OnRestore event

TJvStoredValue	See Also	Edit topic

Occurs after the stored value is restored.

Pascal

property OnRestore: TJvStoredValueEvent;

Description

Write an OnRestore event handler to take specific actions after the stored value is retrieved from the storage. Typically, you use this event to read the Value property of the stored value object, and take action depending on the value of Value.

Created with Doc-O-Matic.


See Also

OnSave, Restore, Value


TJvStoredValue.OnSave event

TJvStoredValue	See Also	Edit topic

Occurs before the stored value is saved.

Pascal

property OnSave: TJvStoredValueEvent;

Description

Write an OnSave event handler to take specific actions before the stored value is stored to the storage. Typically, you use this event to set the Value property of the stored value object.

Created with Doc-O-Matic.


See Also

OnRestore, Save, Value


TJvStoredValue.StoredValues property

TJvStoredValue	Edit topic

Specifies the TJvStoredValues instance to which the TJvStoredValue belongs.

Pascal

property StoredValues: TJvStoredValues;

Description

Each TJvStoredValue belongs to the TJvStoredValues which creates it. The StoredValues property points to the collection object to which the item belongs.

Created with Doc-O-Matic.


TJvStoredValue.Value property

TJvStoredValue	See Also	Edit topic

Represents the value of the stored value as a Variant.

Pascal

property Value: Variant;

Description

Use Value in generic code that manipulates the values of stored values without needing to know the type the stored value represent.

Write OnRestore and OnSave event handles to set the value just before it is saved or get it just after it is read from the storage.

Created with Doc-O-Matic.


See Also

Clear, OnRestore, OnSave


TJvStoredValue.Clear method

TJvStoredValue	See Also	Edit topic

Sets the Value of the stored value to NULL.

Pascal

procedure Clear;

Description

Use Clear to assign a NULL value to a stored value.

Created with Doc-O-Matic.


See Also

Value


TJvStoredValue.Restore method

TJvStoredValue	See Also	Edit topic

Restores the stored value.

Pascal

procedure Restore; virtual;

Description

Call Restore to set property Value to the data value read from the ini file or registry at a location specified by the Name property.

Created with Doc-O-Matic.


See Also

OnRestore, Save


TJvStoredValue.Save method

TJvStoredValue	See Also	Edit topic

Saves the stored value.

Pascal

procedure Save; virtual;

Description

Call Save to write the value of property Value to the ini file or registry at a location specified by the Name property.

Created with Doc-O-Matic.


See Also

OnSave, Restore


TJvStoredValues
JEDI-VCL Reference

TJvStoredValues

Hierarchy	Properties	Methods	 See Also	Edit topic

Manages a list of stored values.

Pascal

TJvStoredValues = class(TOwnedCollection);

File

JvFormPlacement

Description

The TJvFormStorage storage component uses the TJvStoredValues object to represent its stored values.

Use the properties and methods of TJvStoredValues to:

Access a specific stored value object.

Add or delete stored values from the list.

Get or set the values of individual stored values.

Iterate through all stored values.

Copy a set of stored values to another stored values list.

Created with Doc-O-Matic.


TJvStoredValues Properties

TJvStoredValues

Properties

Items

Path

Storage

StoredValue

Values

Created with Doc-O-Matic.


TJvStoredValues Methods

TJvStoredValues	Legend

Methods

IndexOf

 RestoreValues

 SaveValues

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvStoredValues

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvStoredValues


TJvStoredValues Members

TJvStoredValues	Legend

Members

Properties

Items

Path

Storage

StoredValue

Values

Methods

IndexOf

 RestoreValues

 SaveValues

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


See Also

TJvFormStorage, TJvStoredValue


TJvStoredValues.Items property

TJvStoredValues	See Also	Edit topic

Lists the individual stored value objects of a TJvStoredValues object.

Pascal

property Items [Index: Integer]: TJvStoredValue;

Description

Use Items to iterate through all the stored values. Index identifies the index in the range 0 to Count - 1. Items can reference a particular stored value by its index, but the Values property is preferred, because it does not depend on the order of the stored values.

Created with Doc-O-Matic.


See Also

TJvFormStorage.StoredValues, IndexOf, StoredValue, Values


TJvStoredValues.Path property

TJvStoredValues	Edit topic

Not documented

Pascal

property Path: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStoredValues.Storage property

TJvStoredValues	Edit topic

Identifies the storage component that uses the stored values collection to represent all of its stored values.

Pascal

property Storage: TJvFormPlacement;

Description

Check the value of the Storage property to determine the storage component that is associated with the TJvStoredValues object.

Use the properties of the storage component to obtain additional information.

Created with Doc-O-Matic.


TJvStoredValues.StoredValue property

TJvStoredValues	See Also	Edit topic

References the stored values in the list by their name.

Pascal

property StoredValue [const Name: string]: Variant;

Description

Use the StoredValue property to get or set the value represented by a stored value object with a particular name.

Created with Doc-O-Matic.


See Also

Items, Values


TJvStoredValues.Values property

TJvStoredValues	See Also	Edit topic

References the stored value objects in the list by their name.

Pascal

property Values [const Name: string]: TJvStoredValue;

Description

Use the Values property to get or set the properties of a stored value object with a particular name.

Created with Doc-O-Matic.


See Also

Items, StoredValue


TJvStoredValues.IndexOf method

TJvStoredValues	See Also	Edit topic

Finds the index number of a stored value in the Items array from its name.

Pascal

function IndexOf(const Name: string): Integer;

Return Value

Returns a value from zero (the first position) to Count - 1, if Items contains a stored value with the specified Name. Otherwise the return value is -1.

Parameters

const Name: string

Specifies the name of the stored value as the Name parameter.

Description

Use the IndexOf method to locate the position of a stored value in the Items property array.

Created with Doc-O-Matic.


See Also

TJvStoredValue.Name, Items


TJvStoredValues.RestoreValues method

TJvStoredValues	See Also	Edit topic

Restores the values represented by the stored value objects in the list.

Pascal

procedure RestoreValues; virtual;

Description

Call RestoreValues to restore the values of all stored value objects in the Items list. Alternatively call the Restore method of a specific stored value object to restore that stored value.

Restoring a value of a stored value object means that the Value property of the stored value object is read from the ini file or registry at a location specified by its Name property.

Created with Doc-O-Matic.


See Also

TJvStoredValue.OnRestore, TJvStoredValue.Restore, SaveValues


TJvStoredValues.SaveValues method

TJvStoredValues	See Also	Edit topic

Saves the values represented by the stored value objects in the list.

Pascal

procedure SaveValues; virtual;

Description

Call SaveValues to save the values of all stored value objects in the Items list. Alternatively call the Save method of a specific stored value object to save only that stored value.

Saving a value of a stored value object means that the Value property of the stored value object is written to the ini file or registry at a location specified by its Name property.

Created with Doc-O-Matic.


See Also

TJvStoredValue.OnSave, TJvStoredValue.Save, RestoreValues


TJvStreamConversion
JEDI-VCL Reference

TJvStreamConversion

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for stream converters.

Pascal

TJvStreamConversion = class(TJvConversion);

File

JvRichEdit

Description

The TJvStreamConversion class implements the Open, Done and Retry methods.

Created with Doc-O-Matic.


TJvStreamConversion Properties

TJvStreamConversion	Legend

Properties

 Stream

TJvConversion

 ParentWindow

 PercentDone

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvStreamConversion Methods

TJvStreamConversion	Legend

Methods

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvStreamConversion Events

TJvStreamConversion

Events

TJvConversion

OnProgress

Created with Doc-O-Matic.


Legend

TJvStreamConversion

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvConversion
        TJvStreamConversion


TJvStreamConversion Members

TJvStreamConversion	Legend

Members

Properties

 Stream

TJvConversion

 ParentWindow

 PercentDone

Methods

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Events

TJvConversion

OnProgress

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvStreamConversion.Stream property

TJvStreamConversion	See Also	Edit topic

Gives access to the stream used for the import or export operation.

Pascal

property Stream: TStream;

Description

Descendants of TJvStreamConversion can use this property to access the source or destination file in ConvertRead or ConvertWrite procedures.

Created with Doc-O-Matic.


See Also

ConvertRead, ConvertWrite


TJvStreamConversion.ConvertRead method

TJvStreamConversion	See Also	Edit topic

Reads BufSize bytes from the import source into the memory buffer pointed to by Buffer.

Pascal

function ConvertRead(Buffer: PChar; BufSize: Integer): Integer; override;

Return Value

Returns the number of bytes actually stored in Buffer.

Parameters

Buffer

A buffer to write to. The converter fills the buffer with data to transfer into the rich edit control.

BufSize

Size of Buffer.

Description

A TJvRichEdit control calls ConvertRead multiple times during an import operation. Each time this method is called the converter should read a chunk of the source file or stream, convert it, and put the converted data in Buffer.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertWrite


TJvStreamConversion.ConvertWrite method

TJvStreamConversion	See Also	Edit topic

Writes BufSize bytes to the export destination from the memory buffer pointed to by Buffer.

Pascal

function ConvertWrite(Buffer: PChar; BufSize: Integer): Integer; override;

Return Value

Returns the number of bytes actually read from Buffer.

Parameters

Buffer

A buffer to read from. The buffer contains data from the control that the converter writes to some storage.

BufSize

Size of Buffer.

Description

A TJvRichEdit control calls ConvertWrite multiple times during an export operation. Each time this method is called the converter should read the data in Buffer, convert it, and write it to the destination file or stream.

Created with Doc-O-Matic.


See Also

TJvConversion.ConvertRead


TJvStreamConversion.Done method

TJvStreamConversion	See Also	Edit topic

Finalizes the converter.

Pascal

procedure Done; override;

Description

Call Done to finalize the converter.

TJvRichEdit calls Done after a conversion operation is finished, to permit the converter to perform any necessary finalization.

A TJvRichEdit control guarantees that method Done is called after procedure Init is called.

Created with Doc-O-Matic.


See Also

TJvConversion.Init


TJvStreamConversion.Open method (string, TJvConversionKind)

TJvStreamConversion	See Also	Edit topic

Starts the conversion operation.

Pascal

function Open(const AFileName: string; const AKind: TJvConversionKind): Boolean; override;

Return Value

Returns true on success, false on failure. If a converter returns false, the conversion operation is aborted.

Parameters

AFileName

The file to import or export.

Stream

The stream to import or export.

AKind

Indicates whether to import or export the file or stream.

Description

A TJvRichEdit control calls Open to start a conversion operation, either import or export as specified by the AKind parameter. This gives the converter a chance to open the source file or create the destination file, for example.

Following a successful call to Open will be multiple calls to either ConvertRead or ConvertWrite.

Created with Doc-O-Matic.


See Also

TJvConversion.Done, TJvConversion.Init


TJvStreamConversion.Retry method

TJvStreamConversion	Edit topic

Returns whether the conversion process can be retried.

Pascal

function Retry: Boolean; override;

Return Value

Returns true if the current conversion process can be retried, false otherwise.

Description

TJvRichEdit calls Retry after a failed import or export process. If the converter indicates that the import or export process can be retried (by returning true) the rich edit control will start the import or export process once again, but now switches the source or target format of its content from RTF to plaintext or vice versa.

For example if a plain text file is imported as a RTF file, an error will occur. Retrying to import the file but now as plain text will then succeed.

As implemented in TJvConversion, Retry always returns false. Override this method in a descendant class to allow retrying of a conversion process.

Created with Doc-O-Matic.


TJvStringGrid
JEDI-VCL Reference

 TJvStringGrid

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Supports extended features such as alternative cell alignment, sorting, loading and saving a grid.

Pascal

TJvStringGrid = class(TJvExStringGrid);

File

JvStringGrid

Description

Call method SortGrid to sort the grid. Call method SaveToCSV, SaveToFile or SaveToStream to save the grid to a stream or file. Call method LoadFromCSV, LoadFromFile or LoadFromStream to load the grid from a file or stream.

You can use OnMouseEnter and OnMouseLeave to alter the grids look or behavior, when the user moves the mouse pointer over the control.

Property HintColor can be used to set a different color of the Help hint boxes for the grid.

Use Alignment to set the default alignment for the grid. Write an OnGetCellAlignment event handler to provide the grid with an alignment for a specific cell.

Call InvalidateCell, InvalidateCol or InvalidateRow to repaint a cell, column or row, respectively.

Call ActivateCell to set the input focus to a specific cell. Write an OnExitCell event handler to respond when the input focus shifts away from a cell.

Write an OnCaptionClick event handler to respond when the user clicks a fixed cell.

Created with Doc-O-Matic.


TJvStringGrid Properties

TJvStringGrid	Legend

Properties

 Alignment

 FixedFont

 HintColor

TJvExStringGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvStringGrid Events

TJvStringGrid	Legend

Events

 OnCaptionClick

 OnEditButtonClick

 OnExitCell

 OnGetCellAlignment

 OnGetEditStyle

 OnHorizontalScroll

 OnListBoxCloseUp

 OnLoadProgress

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSaveProgress

 OnSetCanvasProperties

 OnShowEditor

 OnVerticalScroll

TJvExStringGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvStringGrid Methods

TJvStringGrid	Legend

Methods

ActivateCell

AutoSizeCol

 CaptionClick

Clear

ClearSelection

 Create

 CreateEditor

 DefaultDrawCell

 DrawCell

 ExitCell

 GetCellAlignment

HideAll

HideCell

HideCol

HideRow

InsertCol

InsertRow

InvalidateCell

InvalidateCol

InvalidateRow

IsHidden

LoadFromCSV

LoadFromFile

LoadFromStream

MoveColumn

MoveRow

RemoveCol

RemoveRow

SaveToCSV

SaveToFile

SaveToStream

 SetCanvasProperties

ShowAll

ShowCell

ShowCol

ShowRow

SortGrid

SortGridByCols

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvStringGrid

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TStringGrid, IJvExControl
        TJvExStringGrid
            TJvStringGrid


TJvStringGrid Members

TJvStringGrid	Legend

Members

Properties

 Alignment

 FixedFont

 HintColor

TJvExStringGrid

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnCaptionClick

 OnEditButtonClick

 OnExitCell

 OnGetCellAlignment

 OnGetEditStyle

 OnHorizontalScroll

 OnListBoxCloseUp

 OnLoadProgress

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

 OnSaveProgress

 OnSetCanvasProperties

 OnShowEditor

 OnVerticalScroll

TJvExStringGrid

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

ActivateCell

AutoSizeCol

 CaptionClick

Clear

ClearSelection

 Create

 CreateEditor

 DefaultDrawCell

 DrawCell

 ExitCell

 GetCellAlignment

HideAll

HideCell

HideCol

HideRow

InsertCol

InsertRow

InvalidateCell

InvalidateCol

InvalidateRow

IsHidden

LoadFromCSV

LoadFromFile

LoadFromStream

MoveColumn

MoveRow

RemoveCol

RemoveRow

SaveToCSV

SaveToFile

SaveToStream

 SetCanvasProperties

ShowAll

ShowCell

ShowCol

ShowRow

SortGrid

SortGridByCols

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

StdCtrls


TJvStringGrid.Alignment property

TJvStringGrid	See Also	Edit topic

Specifies how text is default aligned within a cell.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to specify whether values should be left-justified, right-justified, or centered in the cells of a grid. Alignment is the default value for all cells in the grid, but you can write an OnGetCellAlignment event handler to specify the alignment of a single cell. The value returned by OnGetCellAlignment then overrides the value specified by Alignment.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnGetCellAlignment


TJvStringGrid.FixedFont property

TJvStringGrid	See Also	Edit topic

Specifies the font to use for the fixed columns and rows in the grid.

Pascal

property FixedFont: TFont;

Description

Set the properties of FixedFont to change the visual appearance of the font used in the fixed rows and columns in the grid. By default, the FixedFont properties are the same as the properties for Font.

Created with Doc-O-Matic.


See Also

Font


TJvStringGrid.HintColor property

TJvStringGrid	Edit topic

Determines the color of the hint boxes for the Help Hints for the grid.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvStringGrid.OnCaptionClick event

TJvStringGrid	Edit topic

Occurs when the user clicks a fixed cell.

Pascal

TCaptionClickEvent = procedure (Sender: TJvStringGrid; AColumn, ARow: Integer) of object;
property OnCaptionClick: TCaptionClickEvent;

Parameters

ARow

Indicates the row index of the fixed cell that is clicked.

AColumn

Indicates the column index of the fixed cell that is clicked.

Sender

The grid that has fired this event.

Description

Write an OnCaptionClick event handler to take specific action when the user clicks a fixed cell. Fixed cells are specified by the FixedCols and FixedRows properties.

Created with Doc-O-Matic.


TJvStringGrid.OnEditButtonClick event

TJvStringGrid	Edit topic

Not documented

Pascal

property OnEditButtonClick: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringGrid.OnExitCell event

TJvStringGrid	Edit topic

Occurs when a cell loses the input focus.

Pascal

TExitCellEvent = procedure (Sender: TJvStringGrid; AColumn, ARow: Integer; const EditText: string) of object;
property OnExitCell: TExitCellEvent;

Parameters

ARow

Indicate the row index of the cell that loses the input focus.

EditText

The text of the cell that loses the input focus.

Sender

The grid that has fired this event.

AColumn

Indicate the column index of the cell that loses the input focus.

Description

Write an OnExitCell event handler to take specific action when the input focus shifts away from a cell.

Created with Doc-O-Matic.


TJvStringGrid.OnGetCellAlignment event

TJvStringGrid	See Also	Edit topic

Occurs when the grid request the alignment of a cell.

Pascal

TGetCellAlignmentEvent = procedure (Sender: TJvStringGrid; AColumn, ARow: Integer; State: TGridDrawState; var CellAlignment: TAlignment) of object;
property OnGetCellAlignment: TGetCellAlignmentEvent;

Parameters

State

Indicates whether the cell has input focus, whether the cell is selected, and whether the cell is a fixed (nonscrolling) cell.

CellAlignment

Specifies the alignment for the cell specified by the ACol and ARow parameters. If you don't alter CellAlignment the cell is aligned as specified by Alignment.

ARow

Indicates the row index of the cell that loses the input focus.

Sender

The grid that has fired this event.

AColumn

Indicates the column index of the cell that loses the input focus.

Description

Write an OnGetCellAlignment event handler to provide the grid with an alignment for a specific cell. Set the CellAlignment parameter to the alignment for the cell specified by the ACol and ARow parameters. CellAlignment is set to the value of property Alignment, so if you don't alter CellAlignment, the cell is aligned as specified by Alignment.

OnGetCellAlignment is fired just before the cell is drawn, or if the user calls GetCellAlignment.

Created with Doc-O-Matic.


See Also

TJvStringGrid.Alignment, TJvStringGrid.GetCellAlignment


TJvStringGrid.OnGetEditStyle event

TJvStringGrid	Edit topic

Not documented

Pascal

TJvOnGetEditStyleEvent = procedure (Sender: TJvStringGrid; AColumn, ARow: Integer; PickListStrings: TStrings; var EditStyle: TEditStyle) of object;
property OnGetEditStyle: TJvOnGetEditStyleEvent;

Parameters

PickListStrings

Not documented

EditStyle

Not documented

ARow

Not documented

Sender

Not documented

AColumn

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringGrid.OnHorizontalScroll event

TJvStringGrid	See Also	Edit topic

Occurs when the user scrolls the horizontal scroll bar with the mouse or keyboard.

Pascal

property OnHorizontalScroll: TNotifyEvent;

Description

Write an OnHorizontalScroll event handler to take specific action when the user scrolls the horizontal scroll bar.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnVerticalScroll


TJvStringGrid.OnListBoxCloseUp event

TJvStringGrid	Edit topic

Not documented

Pascal

property OnListBoxCloseUp: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringGrid.OnLoadProgress event

TJvStringGrid	See Also	Edit topic

Occurs periodically during load operations.

Pascal

property OnLoadProgress: TProgress;

Description

Write an OnProgress event handler to provide the user with feedback during load operations.

To calculate the percentage of progress to show in a progress indicator, multiply the value of Progression by 100 and divide by the value of Total.

Created with Doc-O-Matic.


See Also

TJvStringGrid.LoadFromCSV, TJvStringGrid.LoadFromFile, TJvStringGrid.LoadFromStream


TJvStringGrid.OnMouseEnter event

TJvStringGrid	See Also	Edit topic

Occurs when the mouse pointer moves over the string grid.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the string grid.

Created with Doc-O-Matic.


See Also

TJvExStringGrid.OnMouseLeave


TJvStringGrid.OnMouseLeave event

TJvStringGrid	See Also	Edit topic

Occurs when the mouse pointer moves off the string grid.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the string grid. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExStringGrid.OnMouseEnter


TJvStringGrid.OnParentColorChange event

TJvStringGrid	Edit topic

Occurs when the color property for the parent of the grid changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvStringGrid.OnSaveProgress event

TJvStringGrid	See Also	Edit topic

Occurs periodically during save operations.

Pascal

property OnSaveProgress: TProgress;

Description

Write an OnProgress event handler to provide the user with feedback during save operations.

To calculate the percentage of progress to show in a progress indicator, multiply the value of Progression by 100 and divide by the value of Total.

Created with Doc-O-Matic.


See Also

TJvStringGrid.SaveToCSV, TJvStringGrid.SaveToFile, TJvStringGrid.SaveToStream


TJvStringGrid.OnSetCanvasProperties event

TJvStringGrid	See Also	Edit topic

Occurs immediately before a cell in the grid is drawn.

Pascal

property OnSetCanvasProperties: TDrawCellEvent;

Description

Write an OnSetCanvasProperties event handler to provide any initialization of the canvas of a cell, before cells are drawn. This event is fired just before TJvStringGrid calls DefaultDrawCell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.DefaultDrawCell


TJvStringGrid.OnShowEditor event

TJvStringGrid	Edit topic

Not documented

Pascal

TEditShowEvent = procedure (Sender: TJvStringGrid; ACol, ARow: Longint; var AllowEdit: Boolean) of object;
property OnShowEditor: TEditShowEvent;

Parameters

ARow

Not documented

AllowEdit

Not documented

Sender

Not documented

ACol

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringGrid.OnVerticalScroll event

TJvStringGrid	See Also	Edit topic

Occurs when the user scrolls the vertical scroll bar with the mouse or keyboard.

Pascal

property OnVerticalScroll: TNotifyEvent;

Description

Write an OnVerticalScroll event handler to take specific action when the user scrolls the vertical scroll bar.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnHorizontalScroll


TJvStringGrid.ActivateCell method

TJvStringGrid	Edit topic

Sets focus to a cell in the grid.

Pascal

procedure ActivateCell(AColumn: Integer; ARow: Integer);

Parameters

AColumn: Integer

Indicates the column index of the cell that should get focus.

ARow: Integer

Indicates the row index of the cell that that should get focus.

Description

Call ActivateCell to shift the input focus to a particular cell.

Created with Doc-O-Matic.


TJvStringGrid.AutoSizeCol method

TJvStringGrid	Edit topic

Calculates and sets the width of a specific column or all columns.

Pascal

procedure AutoSizeCol(Index: Integer; MinWidth: Integer);

Parameters

Index: Integer

The index of the column to resize. If Index < 0, all columns are resized.

MinWidth: Integer

Specifies a minimum width for the column(s). If MinWidth is < 0, DefaultColWidth is used instead.

Description

Call AutoSizeCol to calculates and set the width of column specified by parameter Index, based on the text in the affected cells.

Created with Doc-O-Matic.


TJvStringGrid.CaptionClick method

TJvStringGrid	See Also	Edit topic

Responds when the user clicks a fixed cell.

Pascal

procedure CaptionClick(AColumn: Longint; ARow: Longint); dynamic;

Parameters

AColumn: Longint

Indicates the column index of the cell that is clicked.

ARow: Longint

Indicates the row index of the cell that is clicked.

Description

CaptionClick is called automatically when the user clicks a fixed cell. It triggers the OnCaptionClick event.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnCaptionClick


TJvStringGrid.Clear method

TJvStringGrid	See Also	Edit topic

Removes the content in the Cells, but does not remove any rows or columns.

Pascal

procedure Clear;

Description

Call Clear to remove the content in the Cells. Calling Clear will not remove any rows or columns.

Created with Doc-O-Matic.


See Also

TJvStringGrid.HideAll


TJvStringGrid.ClearSelection method

TJvStringGrid	Edit topic

Not documented

Pascal

procedure ClearSelection;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringGrid.Create constructor

TJvStringGrid	Edit topic

Creates and initializes a new TJvStringGrid object.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

A component, typically the form, that is responsible for freeing the grid.

Description

Use Create to create and initialize a new TJvStringGrid object.

Create calls the inherited Create method, then sets the initial values for the grid as follows:

Created with Doc-O-Matic.


TJvStringGrid.CreateEditor method

TJvStringGrid	Edit topic

Creates an editor for the grid.

Pascal

function CreateEditor: TInplaceEdit; override;

Description

CreateEditor overrides the inherited method to be able to align the text of cells, and to fire the OnExitCell event.

Created with Doc-O-Matic.


TJvStringGrid.DefaultDrawCell method

TJvStringGrid	See Also	Edit topic

Draws the text in a column cell.

Pascal

procedure DefaultDrawCell(AColumn: Longint; ARow: Longint; Rect: TRect; State: TGridDrawState); virtual;

Parameters

AColumn: Longint

Indicates the column index of the cell that should be drawn.

ARow: Longint

Indicates the row index of the cell that should be drawn.

Rect: TRect

Indicates the location of the cell on the canvas.

State: TGridDrawState

Indicates whether the cell has input focus, whether the cell is selected, and whether the cell is a fixed (nonscrolling) cell.

Description

Call DefaultDrawCell from an OnDrawCell event handler to draw the text in a column cell. If the OnGetCellAlignment event handler is assigned, DefaultDrawCell fires the OnGetCellAlignment event to get the alignment for the text. Otherwise it uses the Alignment property to align the cell text.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnGetCellAlignment


TJvStringGrid.DrawCell method

TJvStringGrid	See Also	Edit topic

Draws the cell specified by the ACol and ARow parameters.

Pascal

procedure DrawCell(AColumn: Longint; ARow: Longint; Rect: TRect; State: TGridDrawState); override;

Parameters

AColumn: Longint

Indicate the column index of the cell that should be drawn.

ARow: Longint

Indicate the row index of the cell that should be drawn.

Rect: TRect

Indicates the location of the cell on the canvas.

State: TGridDrawState

Indicates whether the cell has input focus, whether the cell is selected, and whether the cell is a fixed (nonscrolling) cell.

Description

DrawCell is called automatically whenever a cell in the grid is drawn. It overrides the inherited method to notify the user of events and use the Alignment property when drawing cells in the grid.

DrawCell checks if the OnDrawCell event handler is assigned, if so an OnDrawCell event is fired and the user is responsible for drawing the cell.

If the OnDrawCell event handler is not assigned, then TJvStringGrid fires the OnSetCanvasProperties event and finally calls DefaultDrawCell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.DefaultDrawCell, TJvStringGrid.OnSetCanvasProperties


TJvStringGrid.ExitCell method

TJvStringGrid	See Also	Edit topic

Responds when a cell loses the input focus.

Pascal

procedure ExitCell(const EditText: string; AColumn: Integer; ARow: Integer); virtual;

Parameters

const EditText: string

The text of the cell that loses the input focus.

AColumn: Integer

Indicate the column index of the cell that loses the input focus.

ARow: Integer

Indicate the row index of the cell that loses the input focus.

Description

ExitCell is called automatically when the input focus shifts away from a cell. It triggers the OnExitCell event.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnExitCell


TJvStringGrid.GetCellAlignment method

TJvStringGrid	See Also	Edit topic

Returns the alignment of a cell in the grid.

Pascal

function GetCellAlignment(AColumn: Longint; ARow: Longint; State: TGridDrawState): TAlignment; virtual;

Parameters

AColumn: Longint

The column index of the cell.

ARow: Longint

The row index of the cell that should be drawn.

State: TGridDrawState

Indicates whether the cell has input focus, whether the cell is selected, and whether the cell is a fixed (nonscrolling) cell.

Description

Use GetCellAlignment to get the alignment of a cell in the grid. If the OnGetCellAlignment event handler is assigned, GetCellAlignment fires the OnGetCellAlignment event to get the alignment for the cell. Otherwise it returns the value of the Alignment property.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnGetCellAlignment


TJvStringGrid.HideAll method

TJvStringGrid	See Also	Edit topic

Hides all rows and columns.

Pascal

procedure HideAll;

Description

Call HideAll to hide all rows and columns of the grid.

Created with Doc-O-Matic.


See Also

TJvStringGrid.Clear, TJvStringGrid.HideCell, TJvStringGrid.HideCol, TJvStringGrid.HideRow, TJvStringGrid.ShowAll


TJvStringGrid.HideCell method

TJvStringGrid	See Also	Edit topic

Hides a complete row and column of the grid.

Pascal

procedure HideCell(ACol: Integer; ARow: Integer);

Parameters

ACol: Integer

Specifies the column to hide.

ARow: Integer

Specifies the row to hide.

Description

Call HideCell to hide a complete row and cell of the grid.

Created with Doc-O-Matic.


See Also

TJvStringGrid.HideAll, TJvStringGrid.HideCol, TJvStringGrid.HideRow, TJvStringGrid.ShowCell


TJvStringGrid.HideCol method

TJvStringGrid	See Also	Edit topic

Hides a complete column of the grid.

Pascal

procedure HideCol(Index: Integer);

Parameters

Index: Integer

The index of the column to hide.

Description

Call HideCol to hide the column at position Index. This is done by setting its ColWidth to -1.

Notes

Calling this method repeatedly does nothing (the hidden column retains its Index even if it's hidden)

Created with Doc-O-Matic.


See Also

TJvStringGrid.HideAll, TJvStringGrid.HideCell, TJvStringGrid.HideRow, TJvStringGrid.RemoveCol, TJvStringGrid.ShowCol


TJvStringGrid.HideRow method

TJvStringGrid	See Also	Edit topic

Hides a complete row of the grid.

Pascal

procedure HideRow(Index: Integer);

Parameters

Index: Integer

The index of the row to hide.

Description

Call HideRow to hide the column at position Index. This is done by setting its ColHeight to -1.

Notes

Calling this method repeatedly does nothing (the hidden row retains its Index even if it's hidden)

Created with Doc-O-Matic.


See Also

TJvStringGrid.HideAll, TJvStringGrid.HideCell, TJvStringGrid.HideCol, TJvStringGrid.RemoveRow, TJvStringGrid.ShowRow


TJvStringGrid.InsertCol method

TJvStringGrid	See Also	Edit topic

Inserts a new column in the grid.

Pascal

function InsertCol(Index: Integer): TStrings;

Return Value

Returns the inserted column as an empty TStrings.

Parameters

Index: Integer

The position in the grid where to insert a new column.

Description

Call InsertCol to insert a new column at the specified Index. All existing columns left of and at the insertion point will be moved one step to the right.

Created with Doc-O-Matic.


See Also

TJvStringGrid.InsertRow


TJvStringGrid.InsertRow method

TJvStringGrid	See Also	Edit topic

Inserts a new row in the grid.

Pascal

function InsertRow(Index: Integer): TStrings;

Return Value

Returns the inserted row as an empty TStrings.

Parameters

Index: Integer

The position in the grid where to insert a new row.

Description

Call InsertRow to insert a new row at the specified Index. All existing rows below and at the insertion point will be moved down one step.

Created with Doc-O-Matic.


See Also

TJvStringGrid.InsertCol


TJvStringGrid.InvalidateCell method

TJvStringGrid	See Also	Edit topic

Invalidates the region occupied by a cell so that it will be repainted with the next Windows paint message.

Pascal

procedure InvalidateCell(AColumn: Integer; ARow: Integer);

Parameters

AColumn: Integer

Column index of the cell.

ARow: Integer

Row index of the cell.

Description

Call InvalidateCell when the contents of a cell changes so that the cell will need to be repainted.

Created with Doc-O-Matic.


See Also

InvalidateCol , InvalidateRow


TJvStringGrid.InvalidateCol method

TJvStringGrid	See Also	Edit topic

Invalidates the region occupied by a column so that it will be repainted with the next Windows paint message.

Pascal

procedure InvalidateCol(AColumn: Integer);

Parameters

AColumn: Integer

Index of the column.

Description

Call InvalidateCol when a column changes so that the area it occupies will need to be repainted.

Created with Doc-O-Matic.


See Also

InvalidateCell , InvalidateRow


TJvStringGrid.InvalidateRow method

TJvStringGrid	See Also	Edit topic

Invalidates the region occupied by a row so that it will be repainted with the next Windows paint message.

Pascal

procedure InvalidateRow(ARow: Integer);

Parameters

ARow: Integer

Index of the row.

Description

Call InvalidateRow when a row changes so that the area it occupies will need to be repainted.

Created with Doc-O-Matic.


See Also

InvalidateCell , InvalidateCol


TJvStringGrid.IsHidden method

TJvStringGrid	See Also	Edit topic

Indicates whether a specific cell is hidden.

Pascal

function IsHidden(ACol: Integer; ARow: Integer): Boolean;

Return Value

Returns true if the cell is hidden, otherwise false.

Parameters

ACol: Integer

The column coordinate of the cell.

ARow: Integer

The row coordinate of the cell.

Description

Call IsHidden to determine whether a specific cell, as specified by the ACol and ARow parameters, is hidden. A cell is determined to be hidden, if its RowHeight or ColWidth is less than 0.

Created with Doc-O-Matic.


See Also

TJvStringGrid.HideCell


TJvStringGrid.LoadFromCSV method

TJvStringGrid	See Also	Edit topic

Reads the comma separated file specified in FileName and loads the data into the string grid.

Pascal

procedure LoadFromCSV(FileName: string; Separator: Char = ';'; QuoteChar: Char = '"'; StripQuotes: Boolean = True);

Parameters

FileName: string

Name of a CSV file from which to read the string grid.

Separator: Char = ';'

Character used in the CSV file to separate cell strings.

QuoteChar: Char = '"'

Specifies the quote char.

StripQuotes: Boolean = True

Not documented

Description

Use the LoadFromCSV method to retrieve a string grid from a comma separated file. LoadFromCSV can read files that list the cell strings - separated with the character specified by Separator - one row per line.

Notes

String grid files contain only the text of the string grid cells. They do not contain any data associated with a cell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.LoadFromFile, TJvStringGrid.LoadFromStream, TJvStringGrid.OnLoadProgress, TJvStringGrid.SaveToCSV


TJvStringGrid.LoadFromFile method

TJvStringGrid	See Also	Edit topic

Reads the file specified in FileName and changes the grid into the grid specified by the data.

Pascal

procedure LoadFromFile(FileName: string);

Parameters

FileName: string

Name of a file that was saved using the SaveToFile method

Description

Use the LoadFromFile method to change the grid into the grid specified by the data. FileName should reference a file that was saved using the SaveToFile method.

Notes

String grid files contain only the text of the string grid cells. They do not contain any data associated with a cell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.LoadFromCSV, TJvStringGrid.LoadFromStream, TJvStringGrid.OnLoadProgress, TJvStringGrid.SaveToFile


TJvStringGrid.LoadFromStream method

TJvStringGrid	See Also	Edit topic

Reads string grid data from a stream and stores the contents in the string grid.

Pascal

procedure LoadFromStream(Stream: TStream);

Parameters

Stream: TStream

Specifies the stream from which to read the string grid.

Description

Use LoadFromStream to read the cell strings of the grid from the specified stream. LoadFromStream changes the grid into the grid specified by the stream.

Notes

String grid files contain only the text of the string grid cells. They do not contain any data associated with a cell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.LoadFromCSV, TJvStringGrid.LoadFromFile, TJvStringGrid.OnLoadProgress, TJvStringGrid.SaveToStream


TJvStringGrid.MoveColumn method

TJvStringGrid	Edit topic

Not documented

Pascal

procedure MoveColumn(FromIndex: Integer; ToIndex: Integer);

Parameters

FromIndex: Integer

Not documented

ToIndex: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringGrid.MoveRow method

TJvStringGrid	Edit topic

Not documented

Pascal

procedure MoveRow(FromIndex: Longint; ToIndex: Longint);

Parameters

FromIndex: Longint

Not documented

ToIndex: Longint

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringGrid.RemoveCol method

TJvStringGrid	See Also	Edit topic

Removes a column from the grid.

Pascal

procedure RemoveCol(Index: Integer);

Parameters

Index: Integer

Position of the column to remove.

Description

Call RemoveCol to remove the column specified by Index from the grid. All columns to the right of the removed column will be moved left one step.

Created with Doc-O-Matic.


See Also

TJvStringGrid.HideCol, TJvStringGrid.RemoveRow


TJvStringGrid.RemoveRow method

TJvStringGrid	See Also	Edit topic

Removes a row from the grid.

Pascal

procedure RemoveRow(Index: Integer);

Parameters

Index: Integer

Position of the row to remove.

Description

Call RemoveRow to remove the row specified by Index from the grid. All rows below the removed row will be moved up one step.

Created with Doc-O-Matic.


See Also

TJvStringGrid.HideRow, TJvStringGrid.RemoveCol


TJvStringGrid.SaveToCSV method

TJvStringGrid	See Also	Edit topic

Saves the string grid to the file specified in FileName.

Pascal

procedure SaveToCSV(FileName: string; Separator: Char = ';'; QuoteChar: Char = '"');

Parameters

FileName: string

Name of the CSV file where to write the string grid to.

Separator: Char = ';'

Character to be used in the CSV file to separate cell strings.

QuoteChar: Char = '"'

Specifies the quote char.

Description

Use the SaveToFile method to store string grid cells to a text file. The cells can later be reloaded from the file into a new string grid object using the LoadFromCSV method. SaveToCSV writes the cell strings to the file, separated with the character specified by Separator, and one row per line.

Note: String grid files contain only the text of the string grid cells. They do not contain any data associated with a cell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.LoadFromCSV, TJvStringGrid.OnSaveProgress, TJvStringGrid.SaveToFile, TJvStringGrid.SaveToStream


TJvStringGrid.SaveToFile method

TJvStringGrid	See Also	Edit topic

Saves the string grid to the file specified in FileName.

Pascal

procedure SaveToFile(FileName: string);

Parameters

FileName: string

Name of the file where to write the string grid to.

Description

Use the SaveToFile method to store string grid cells to a file. The cells can later be reloaded from the file into a new string grid object using the LoadFromFile method.

Notes

String grid files contain only the text of the string grid cells. They do not contain any data associated with a cell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.LoadFromFile, TJvStringGrid.OnSaveProgress, TJvStringGrid.SaveToCSV, TJvStringGrid.SaveToStream


TJvStringGrid.SaveToStream method

TJvStringGrid	See Also	Edit topic

Writes the data in the string grid to the stream passed as the Stream parameter.

Pascal

procedure SaveToStream(Stream: TStream);

Parameters

Stream: TStream

The stream object to use for writing the information.

Description

Use the SaveToStream method to stream out the strings in a grid. It can be streamed back in to another string grid object using the LoadFromStream method.

Notes

String grid files contain only the text of the string grid cells. They do not contain any data associated with a cell.

Created with Doc-O-Matic.


See Also

TJvStringGrid.LoadFromStream, TJvStringGrid.OnSaveProgress, TJvStringGrid.SaveToCSV, TJvStringGrid.SaveToFile


TJvStringGrid.SetCanvasProperties method

TJvStringGrid	See Also	Edit topic

Responds when a cell in the grid needs to be drawn.

Pascal

procedure SetCanvasProperties(AColumn: Longint; ARow: Longint; Rect: TRect; State: TGridDrawState); virtual;

Parameters

AColumn: Longint

Indicate the column index of the cell that is about to be drawn.

ARow: Longint

Indicate the row index of the cell that is about to be drawn.

Rect: TRect

Indicates the location of the cell on the canvas.

State: TGridDrawState

Indicates whether the cell has input focus, whether the cell is selected, and whether the cell is a fixed (nonscrolling) cell.

Description

Do not call SetCanvasProperties. It is called automatically just before TJvStringGrid calls DefaultDrawCell. SetCanvasProperties fires the OnSetCanvasProperties event.

Created with Doc-O-Matic.


See Also

TJvStringGrid.DefaultDrawCell, TJvStringGrid.OnSetCanvasProperties


TJvStringGrid.ShowAll method

TJvStringGrid	See Also	Edit topic

Shows all previously hidden cells.

Pascal

procedure ShowAll(AWidth: Integer; AHeight: Integer);

Parameters

AWidth: Integer

The new width of hidden cells. If AWidth is set to a value < 0, DefaultColWidth determines the new width of the cells.

AHeight: Integer

The new height of hidden cells. If AHeight is set to a value < 0, DefaultRowHeight determines the new height of the cells.

Description

Call ShowAll to show all previously hidden cells.

Created with Doc-O-Matic.


See Also

TJvStringGrid.ShowCell, TJvStringGrid.ShowCol, TJvStringGrid.ShowRow


TJvStringGrid.ShowCell method

TJvStringGrid	See Also	Edit topic

Shows a previously hidden row and column.

Pascal

procedure ShowCell(ACol: Integer; ARow: Integer; AWidth: Integer; AHeight: Integer);

Parameters

ACol: Integer

Specifies the column to show.

ARow: Integer

Specifies the row to show.

AWidth: Integer

The new width for the hidden column. If AWidth is set to a value < 0, DefaultColWidth determines the new width. If the column is not hidden, then the width of the column is not affected.

AHeight: Integer

The new height of hidden row. If AHeight is set to a value < 0, DefaultRowHeight determines the new height. If the row is not hidden, then the height of the row is not affected.

Description

Call ShowCell to show a previously hidden row and column.

Created with Doc-O-Matic.


See Also

TJvStringGrid.ShowAll, TJvStringGrid.ShowCol, TJvStringGrid.ShowRow


TJvStringGrid.ShowCol method

TJvStringGrid	See Also	Edit topic

Shows a previously hidden column.

Pascal

procedure ShowCol(Index: Integer; AWidth: Integer);

Parameters

Index: Integer

Position of the hidden column.

AWidth: Integer

The new width for the hidden column. If AWidth is set to a value < 0, DefaultColWidth determines the new width. If the column is not hidden, then the width of the column is not affected.

Description

Call ShowCol to show a previously hidden column.

Created with Doc-O-Matic.


See Also

TJvStringGrid.ShowAll, TJvStringGrid.ShowCell, TJvStringGrid.ShowRow


TJvStringGrid.ShowRow method

TJvStringGrid	See Also	Edit topic

Shows a previously hidden row.

Pascal

procedure ShowRow(Index: Integer; AHeight: Integer);

Parameters

Index: Integer

Position of the hidden row.

AHeight: Integer

The new height of hidden row. If AHeight is set to a value < 0, DefaultRowHeight determines the new height. If the row is not hidden, then the height of the row is not affected.

Description

Call ShowRow to show a previously hidden row.

Created with Doc-O-Matic.


See Also

TJvStringGrid.ShowAll, TJvStringGrid.ShowCell, TJvStringGrid.ShowCol


TJvStringGrid.SortGrid method

TJvStringGrid	Edit topic

Sorts the rows in the grid.

Pascal

procedure SortGrid(Column: Integer; Ascending: Boolean = True; Fixed: Boolean = False; SortType: TJvSortType = stClassic; BlankTop: Boolean = True);

Parameters

Column: Integer

Specifies the index of the column to use for the sort.

Ascending: Boolean = True

Indicates the sort order.

Fixed: Boolean = False

Indicates whether to include the fixed rows in the sort.

SortType: TJvSortType = stClassic

Specifies the comparison function.

BlankTop: Boolean = True

Indicates whether to move blank cells before the sort.

Description

Call SortGrid to sort the rows in the grid on the value of the string in the column specified by Column.

Set Ascending to True for an ascending sort, set Ascending to False for a descending sort.

Set Fixed to True to include the fixed rows in the sort. Set Fixed to False to exclude the fixed rows in the sort.

Set BlankTop to True to move the rows with blank cells at the column with index Column before the sort, and exclude them from the sort. If Ascending is True, the rows will be moved to the top of the grid. If Ascending is False, the rows will be moved to the bottom of the grid. Set BlankTop to False to include the rows with blank cells at the column with index Column in the sort.

SortGrid uses the comparison function specified by SortType. SortType can have any of the following values:
Value	Meaning
stAutomatic	The comparison function automatically determines the type of the strings when comparing two strings. If both strings represent an integer, floating-point value or a date, then the two strings are compared as integer, floating-point value or data, respectively. Otherwise the two strings are compared as string.
stClassic	The strings in the sort column are sorted without case-sensitivity.
stCaseSensitive	The strings in the sort column are sorted with case-sensitivity.
stNumeric	A numeric sort is used. Every string in the sort column, that is included in the sort, must represent a floating-point value.
stDate	A date sort is used. Every string in the sort column, that is included in the sort, must specify a date.
stCurrency	A currency sort is used. Every string in the sort column, that is included in the sort must represent a currency value.
Created with Doc-O-Matic.


TJvStringGrid.SortGridByCols method

TJvStringGrid	Edit topic

Not documented

Pascal

procedure SortGridByCols(ColOrder: array of Integer; Fixed: Boolean = False);

Parameters

ColOrder: array of Integer

Not documented

Fixed: Boolean = False

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStringListToHtml
JEDI-VCL Reference

 TJvStringListToHtml

Hierarchy	Properties	Methods	Package	 Edit topic

Converts a plain string list to a HTML formatted equivalent.

Pascal

TJvStringListToHtml = class(TJvComponent);

File

JvStringListToHtml

Description

Use TJvStringListToHtml to simplify the creation of a HTML document from a string list. At design-time, use the property editor from Strings to change the content of the string list. You can then read the formatted strings from the HTML property. At run-time you can call the ConvertToHtml and the ConvertToHTMLStrings methods to perform the conversion on any arbitrary TStrings instance. Use HTMLTitle, HTMLLineBreak and IncludeHeader to modify the HTML inserted into the string list.

The structure of the generated HTML looks like this:

  <HTML>

    <HEAD>

      <TITLE>HTMLTitle</TITLE>

    </HEAD>

    <BODY>

     Strings[0] + HTMLLineBreak

     Strings[1] + HTMLLineBreak

     Strings[2] + HTMLLineBreak

     ...

     Strings[n] + HTMLLineBreak

    </BODY>

  </HTML>

If IncludeHeader is false, only the Strings[] + HTMLLineBreak lines are included in the result.

Created with Doc-O-Matic.


TJvStringListToHtml Properties

TJvStringListToHtml	Legend

Properties

 HTML

 HTMLLineBreak

 HTMLTitle

 IncludeHeader

 Strings

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvStringListToHtml Methods

TJvStringListToHtml

Methods

ConvertToHTML

ConvertToHTMLStrings

Created with Doc-O-Matic.


Legend

TJvStringListToHtml

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvStringListToHtml


TJvStringListToHtml Members

TJvStringListToHtml	Legend

Members

Properties

 HTML

 HTMLLineBreak

 HTMLTitle

 IncludeHeader

 Strings

TJvComponent

 AboutJVCL

Methods

ConvertToHTML

ConvertToHTMLStrings

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Net


TJvStringListToHtml.HTML property

TJvStringListToHtml	See Also	Edit topic

Contains the content of Strings converted to HTML.

Pascal

property HTML: TStrings;

Description

Read HTML to access the HTML equivalent of Strings. The actual content of HTML is modified by the settings of the HTMLTitle, HTMLLineBreak and IncludeHeader properties.

Created with Doc-O-Matic.


See Also

TJvStringListToHtml.HTMLLineBreak, TJvStringListToHtml.HTMLTitle, TJvStringListToHtml.IncludeHeader, TJvStringListToHtml.Strings


TJvStringListToHtml.HTMLLineBreak property

TJvStringListToHtml	See Also	Edit topic

Specifies the string to use for line breaks.

Pascal

property HTMLLineBreak: string;

Description

Use HTMLLineBreak to specify the HTML string to use for line breaks in the HTML list. This value is '<BR>' by default.

Created with Doc-O-Matic.


See Also

TJvStringListToHtml.HTMLTitle


TJvStringListToHtml.HTMLTitle property

TJvStringListToHtml	See Also	Edit topic

Specifies the string to put into the title of the HTML header.

Pascal

property HTMLTitle: string;

Description

Use HTMLTitle to specify the HTML string to use for the title string in the HTML header. This value is 'Converted by TJvStringListToHtml' by default.

Created with Doc-O-Matic.


See Also

TJvStringListToHtml.HTMLLineBreak


TJvStringListToHtml.IncludeHeader property

TJvStringListToHtml	See Also	Edit topic

Determines if the converted string list is to be constructed as a complete document.

Pascal

property IncludeHeader: Boolean;

Description

Use IncludeHeader to specify if the converted HTML is enclosed in the HTML, HEAD and BODY tags and comprises a complete document. If IncludeHeader is false, a HTMLLineBreak is appended to each string in Strings. If IncludeHeader is true, a complete HTML document is constructed.

Notes

When calling ConvertToHtml, this property is ignored and the file is always written as a complete HTML document.

Created with Doc-O-Matic.


See Also

TJvStringListToHtml.ConvertToHTML, TJvStringListToHtml.ConvertToHTMLStrings, TJvStringListToHtml.HTMLLineBreak, TJvStringListToHtml.HTMLTitle


TJvStringListToHtml.Strings property

TJvStringListToHtml	See Also	Edit topic

The strings to convert to HTML.

Pascal

property Strings: TStrings;

Description

Strings contains the plain text strings that should be converted to HTML. Read the HTML from the HTML property. Assign a TStrings instance to the Strings property or use the methods of the TStrings class to modify the content of Strings.

Notes

You can use either the Strings and HTML properties or the ConvertToHtml and ConvertToHTMLStrings methods to perform the conversion.

Created with Doc-O-Matic.


See Also

TJvStringListToHtml.ConvertToHTML, TJvStringListToHtml.ConvertToHTMLStrings, TJvStringListToHtml.HTML


TJvStringListToHtml.ConvertToHTML method

TJvStringListToHtml	See Also	Edit topic

Inserts HTML formatted text into a string list and saves the result to a file.

Pascal

procedure ConvertToHTML(Source: TStrings; const FileName: string);

Parameters

Source: TStrings

The string list to read from. This list is unaffected by the conversion.

const FileName: string

The name of the file to save to. If the file already exists, it will be overwritten.

Description

Call ConvertToHtml to format a string list with HTML codes and save the result to a file.

Created with Doc-O-Matic.


See Also

TJvStringListToHtml.ConvertToHTMLStrings


TJvStringListToHtml.ConvertToHTMLStrings method

TJvStringListToHtml	See Also	Edit topic

Converts the strings in one list to HTML formatted text in another.

Pascal

procedure ConvertToHTMLStrings(Source: TStrings; Destination: TStrings);

Parameters

Source: TStrings

The original, unformatted string list.

Destination: TStrings

The string list to put the HTML formatted strings into. Destination is not cleared before adding the HTML strings.

Description

Call ConvertToHTMLStrings when you want to convert an arbitrary TStrings instance to HTML and store the result in another string list.

Created with Doc-O-Matic.


See Also

TJvStringListToHtml.ConvertToHTML


TJvStrToHtml
JEDI-VCL Reference

 TJvStrToHtml

Hierarchy	Properties	Methods	Package	 Edit topic

Component that can convert a string into a form that contains no values that are illegal in an HTML document.

Pascal

TJvStrToHtml = class(TJvComponent);

File

JvStrToHtml

Description

Use TJvStrToHTML when you need to convert a string into valid HTML or convert HTML to a valid string. Use the Text and Html properties to perform the conversion using properties. To convert any arbitrary string, use HtmlToText and TextToHtml instead.

Created with Doc-O-Matic.


TJvStrToHtml Properties

TJvStrToHtml	Legend

Properties

 Html

 Text

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvStrToHtml Methods

TJvStrToHtml

Methods

HtmlToText

TextToHtml

Created with Doc-O-Matic.


Legend

TJvStrToHtml

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvStrToHtml


TJvStrToHtml Members

TJvStrToHtml	Legend

Members

Properties

 Html

 Text

TJvComponent

 AboutJVCL

Methods

HtmlToText

TextToHtml

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Net


TJvStrToHtml.Html property

TJvStrToHtml	See Also	Edit topic

Contains the HTML string.

Pascal

property Html: string;

Description

Read Html to convert the content of Text to HTML. Write to Html and then read Text to access the value of Html as a plain string.

Created with Doc-O-Matic.


See Also

TJvStrToHtml.Text


TJvStrToHtml.Text property

TJvStrToHtml	See Also	Edit topic

Contains the plain text string.

Pascal

property Text: string;

Description

Read Text to convert Html to plain text. Write to Text and then read Html to access the value of Text as a HTML string.

Created with Doc-O-Matic.


See Also

TJvStrToHtml.Html


TJvStrToHtml.HtmlToText method

TJvStrToHtml	See Also	Edit topic

Converts an HTML string to plain text.

Pascal

function HtmlToText(const Text: string): string;

Return Value

The converted text.

Parameters

const Text: string

The text to convert.

Description

Use HtmlToText to convert special HTML characters to plain text characters.

Created with Doc-O-Matic.


See Also

TJvStrToHtml.TextToHtml


TJvStrToHtml.TextToHtml method

TJvStrToHtml	See Also	Edit topic

Converts a plain string to an HTML string.

Pascal

function TextToHtml(const Text: string): string;

Return Value

The converted text.

Parameters

const Text: string

The text to convert.

Description

Use TextToHtml to convert plain text characters to special HTML characters.

Created with Doc-O-Matic.


See Also

TJvStrToHtml.HtmlToText


TJvSyncSplitter
JEDI-VCL Reference

 TJvSyncSplitter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Synchronizes two split controls.

Pascal

TJvSyncSplitter = class(TJvSplitter);

File

JvSyncSplitter

Description

Use TJvSyncSplitter to synchronize the movements of two splitters.

Set Partner to specify another TJvSyncSplitter control which must be synchronized with the splitter.

If you specify a Partner and change the position of the splitter at runtime, the position of the "partner" splitter will change also.

If you also set the Partner property of the second splitter to the first splitter, then both splitters will be synchronized. So if you move either of these TJvSyncSplitter controls at run-time, the position of the other TJvSyncSplitter control will change also.

Created with Doc-O-Matic.


TJvSyncSplitter Properties

TJvSyncSplitter	Legend

Properties

 Partner

 ResizeStyle

TJvSplitter

 HintColor

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSyncSplitter Methods

TJvSyncSplitter	Legend

Methods

 Notification

 WndProc

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


TJvSyncSplitter Events

TJvSyncSplitter	Legend

Events

TJvSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSyncSplitter

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TSplitter, IJvExControl
        TJvExSplitter
            TJvSplitter
                TJvSyncSplitter


TJvSyncSplitter Members

TJvSyncSplitter	Legend

Members

Properties

 Partner

 ResizeStyle

TJvSplitter

 HintColor

TJvExSplitter

 AboutJVCL

 HintColor

 MouseOver

Methods

 Notification

 WndProc

Events

TJvSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExSplitter

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Ctrls


TJvSyncSplitter.Partner property

TJvSyncSplitter	Edit topic

Specifies the partner splitter control.

Pascal

property Partner: TJvSyncSplitter;

Description

Use Partner to link the splitter to another splitter (the "partner") so that the position of the partner will be synchronized with the splitters position. Thus if you specify a Partner and change the position of the splitter at runtime, the position of the "partner" splitter will change also.

Created with Doc-O-Matic.


TJvSyncSplitter.ResizeStyle property

TJvSyncSplitter	Edit topic

Not documented

Pascal

property ResizeStyle: TResizeStyle;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSyncSplitter.Notification method

TJvSyncSplitter	Edit topic

Responds to notifications when objects are about to be created or destroyed.

Pascal

procedure Notification(AComponent: TComponent; Operation: TOperation); override;

Parameters

AComponent: TComponent

Identifies the component that is about to be created or destroyed.

Operation: TOperation

Specifies whether the component is about to be created or destroyed.

Description

Notification is called automatically when components are created or destroyed. After calling the inherited method, Notification checks whether the windowed control specified by the Partner property is about to be destroyed. If the windowed control is going away, Notification sets the Partner property to nil.

Created with Doc-O-Matic.


TJvSyncSplitter.WndProc method

TJvSyncSplitter	Edit topic

Provides specific message responses for the splitter control.

Pascal

procedure WndProc(var Msg: TMessage); override;

Parameters

var Msg: TMessage

Represents the Windows message.

Description

WndProc overrides the WndProc for TWinControl to handle mouse messages, and sends all messages to the inherited WndProc.

Created with Doc-O-Matic.


TJvSystemColorsInfo
JEDI-VCL Reference

TJvSystemColorsInfo

Hierarchy	Properties	 Edit topic

Encapsulates the available system colors as a class.

Pascal

TJvSystemColorsInfo = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

TJvSystemColorsInfo is the type of the TJvComputerInfoEx.Colors property and encapsulates the available system colors on the computer. Not all colors in TJvSystemColorsInfo are available on all platforms.

TJvSystemColorsInfo is a read-write class and all properties are writeable.

Created with Doc-O-Matic.


TJvSystemColorsInfo Properties

TJvSystemColorsInfo	Legend

Properties

 Color3DDarkShadow

 Color3DFace

 Color3DHighlight

 Color3DLight

 Color3DShadow

 ColorActiveBorder

 ColorActiveCaption

 ColorAppWorkspace

 ColorBackground

 ColorBtnFace

 ColorBtnText

 ColorCaptionText

 ColorGradientActiveCaption

 ColorGradientInactiveCaption

 ColorGrayText

 ColorHighlight

 ColorHighlightText

 ColorHotLight

 ColorInactiveBorder

 ColorInactiveCaption

 ColorInactiveCaptionText

 ColorInfoBk

 ColorInfoText

 ColorMenu

 ColorMenuBar

 ColorMenuHighlight

 ColorMenuText

 ColorScrollBar

 ColorWindow

 ColorWindowFrame

 ColorWindowText

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSystemColorsInfo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvSystemColorsInfo


TJvSystemColorsInfo Members

TJvSystemColorsInfo	Legend

Members

Properties

 Color3DDarkShadow

 Color3DFace

 Color3DHighlight

 Color3DLight

 Color3DShadow

 ColorActiveBorder

 ColorActiveCaption

 ColorAppWorkspace

 ColorBackground

 ColorBtnFace

 ColorBtnText

 ColorCaptionText

 ColorGradientActiveCaption

 ColorGradientInactiveCaption

 ColorGrayText

 ColorHighlight

 ColorHighlightText

 ColorHotLight

 ColorInactiveBorder

 ColorInactiveCaption

 ColorInactiveCaptionText

 ColorInfoBk

 ColorInfoText

 ColorMenu

 ColorMenuBar

 ColorMenuHighlight

 ColorMenuText

 ColorScrollBar

 ColorWindow

 ColorWindowFrame

 ColorWindowText

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSystemColorsInfo.Color3DDarkShadow property

TJvSystemColorsInfo	Edit topic

Color of dark shadow for three-dimensional display elements.

Pascal

property Color3DDarkShadow: TColor;

Description

  COLOR_3DDKSHADOW = 21

Created with Doc-O-Matic.


TJvSystemColorsInfo.Color3DFace property

TJvSystemColorsInfo	Edit topic

Face color for three-dimensional display elements and for dialog box backgrounds.

Pascal

property Color3DFace: TColor;

Description

  COLOR_3DFACE = 15

Created with Doc-O-Matic.


TJvSystemColorsInfo.Color3DHighlight property

TJvSystemColorsInfo	Edit topic

Highlight color for three-dimensional display elements (for edges facing the light source.)

Pascal

property Color3DHighlight: TColor;

Description

  COLOR_3DHIGHLIGHT = 20;

  COLOR_3DHILIGHT   = 20;

Created with Doc-O-Matic.


TJvSystemColorsInfo.Color3DLight property

TJvSystemColorsInfo	Edit topic

Light color for three-dimensional display elements (for edges facing the light source.)

Pascal

property Color3DLight: TColor;

Description

  COLOR_3DLIGHT = 22;

Created with Doc-O-Matic.


TJvSystemColorsInfo.Color3DShadow property

TJvSystemColorsInfo	Edit topic

Shadow color for three-dimensional display elements (for edges facing away from the light source).

Pascal

property Color3DShadow: TColor;

Description

  COLOR_3DSHADOW = 16;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorActiveBorder property

TJvSystemColorsInfo	Edit topic

Color of active window border.

Pascal

property ColorActiveBorder: TColor;

Description

  COLOR_ACTIVEBORDER = 10;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorActiveCaption property

TJvSystemColorsInfo	See Also	Edit topic

Color of active window title bar.

Pascal

property ColorActiveCaption: TColor;

Description

  COLOR_ACTIVECAPTION = 2;

If not Windows NT or Windows 95: Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.

Created with Doc-O-Matic.


See Also

ColorGradientActiveCaption


TJvSystemColorsInfo.ColorAppWorkspace property

TJvSystemColorsInfo	Edit topic

Background color of multiple document interface (MDI) applications.

Pascal

property ColorAppWorkspace: TColor;

Description

  COLOR_APPWORKSPACE = 12;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorBackground property

TJvSystemColorsInfo	Edit topic

Color of desktop.

Pascal

property ColorBackground: TColor;

Description

  COLOR_BACKGROUND = 1;

  COLOR_DESKTOP    = 1;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorBtnFace property

TJvSystemColorsInfo	Edit topic

Face color for three-dimensional display elements and for dialog box backgrounds.

Pascal

property ColorBtnFace: TColor;

Description

  COLOR_BTNFACE = 15;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorBtnText property

TJvSystemColorsInfo	Edit topic

Color of text on push buttons.

Pascal

property ColorBtnText: TColor;

Description

  COLOR_BTNTEXT = 18;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorCaptionText property

TJvSystemColorsInfo	Edit topic

Color of text in caption, size box, and scroll bar arrow box.

Pascal

property ColorCaptionText: TColor;

Description

  COLOR_CAPTIONTEXT = 9;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorGradientActiveCaption property

TJvSystemColorsInfo	See Also	Edit topic

Right side color in the color gradient of an active window's title bar.

Pascal

property ColorGradientActiveCaption: TColor;

Description

  COLOR_GRADIENTACTIVECAPTION = 27;

ColorActiveCaption specifies the left side color. Check TJvSystemParametersInfo.GradientCaptions to determine whether the gradient effect is enabled. Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


See Also

TJvSystemParametersInfo.GradientCaptions, ColorActiveCaption


TJvSystemColorsInfo.ColorGradientInactiveCaption property

TJvSystemColorsInfo	See Also	Edit topic

Right side color in the color gradient of an inactive window's title bar.

Pascal

property ColorGradientInactiveCaption: TColor;

Description

  COLOR_GRADIENTINACTIVECAPTION = 28;

ColorInactiveCaption specifies the left side color. Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


See Also

ColorInactiveCaption


TJvSystemColorsInfo.ColorGrayText property

TJvSystemColorsInfo	Edit topic

Color of grayed (disabled) text.

Pascal

property ColorGrayText: TColor;

Description

  COLOR_GRAYTEXT = 17;

This color is set to 0 if the current display driver does not support a solid gray color.

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorHighlight property

TJvSystemColorsInfo	See Also	Edit topic

Color of item(s) selected in a control.

Pascal

property ColorHighlight: TColor;

Description

  COLOR_HIGHLIGHT = 13;

Created with Doc-O-Matic.


See Also

ColorMenuHighlight


TJvSystemColorsInfo.ColorHighlightText property

TJvSystemColorsInfo	Edit topic

Color of text of item(s) selected in a control.

Pascal

property ColorHighlightText: TColor;

Description

  COLOR_HIGHLIGHTTEXT = 14;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorHotLight property

TJvSystemColorsInfo	Edit topic

Color for a hot-tracked item.

Pascal

property ColorHotLight: TColor;

Description

  COLOR_HOTLIGHT = 26;

Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorInactiveBorder property

TJvSystemColorsInfo	Edit topic

Color of inactive window border.

Pascal

property ColorInactiveBorder: TColor;

Description

  COLOR_INACTIVEBORDER = 11;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorInactiveCaption property

TJvSystemColorsInfo	See Also	Edit topic

Color of inactive window caption.

Pascal

property ColorInactiveCaption: TColor;

Description

  COLOR_INACTIVECAPTION = 3;

If not Windows NT or Windows 95: Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.

Created with Doc-O-Matic.


See Also

ColorGradientInactiveCaption


TJvSystemColorsInfo.ColorInactiveCaptionText property

TJvSystemColorsInfo	Edit topic

Color of text in an inactive caption.

Pascal

property ColorInactiveCaptionText: TColor;

Description

  COLOR_INACTIVECAPTIONTEXT = 19;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorInfoBk property

TJvSystemColorsInfo	Edit topic

Background color for tooltip controls.

Pascal

property ColorInfoBk: TColor;

Description

  COLOR_INFOBK = 24;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorInfoText property

TJvSystemColorsInfo	Edit topic

Text color for tooltip controls.

Pascal

property ColorInfoText: TColor;

Description

  COLOR_INFOTEXT = 23;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorMenu property

TJvSystemColorsInfo	Edit topic

Menu background.

Pascal

property ColorMenu: TColor;

Description

  COLOR_MENU = 4;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorMenuBar property

TJvSystemColorsInfo	Edit topic

The background color for the menu bar when menus appear as flat menus

Pascal

property ColorMenuBar: TColor;

Description

  COLOR_MENUBAR = 30;

The background color for the menu bar when menus appear as flat menus (see SystemParametersInfo). However, COLOR_MENU continues to specify the background color of the menu popup.

Windows 2000/NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorMenuHighlight property

TJvSystemColorsInfo	See Also	Edit topic

The color used to highlight menu items when the menu appears as a flat menu

Pascal

property ColorMenuHighlight: TColor;

Description

  COLOR_MENUHILIGHT = 29;

For flat menu, see TJvSystemParametersInfo.FlatMenu. The highlighted menu item is outlined with ColorHighlight.

Windows 2000/NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


See Also

TJvSystemParametersInfo.FlatMenu, ColorHighlight


TJvSystemColorsInfo.ColorMenuText property

TJvSystemColorsInfo	Edit topic

Color of text in menus.

Pascal

property ColorMenuText: TColor;

Description

  COLOR_MENUTEXT = 7;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorScrollBar property

TJvSystemColorsInfo	Edit topic

Color of scroll bar gray area.

Pascal

property ColorScrollBar: TColor;

Description

  COLOR_SCROLLBAR = 0;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorWindow property

TJvSystemColorsInfo	Edit topic

Color of window background.

Pascal

property ColorWindow: TColor;

Description

  COLOR_WINDOW = 5;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorWindowFrame property

TJvSystemColorsInfo	Edit topic

Color of window frame.

Pascal

property ColorWindowFrame: TColor;

Description

  COLOR_WINDOWFRAME = 6;

Created with Doc-O-Matic.


TJvSystemColorsInfo.ColorWindowText property

TJvSystemColorsInfo	Edit topic

Color of text in windows.

Pascal

property ColorWindowText: TColor;

Description

  COLOR_WINDOWTEXT = 8;

Created with Doc-O-Matic.


TJvSystemFolders
JEDI-VCL Reference

TJvSystemFolders

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvSystemFolders = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemFolders Properties

TJvSystemFolders	Legend

Properties

 AppData

 CommonAppData

 CommonDesktopDirectory

 CommonFavorites

 CommonFiles

 CommonPrograms

 CommonStartmenu

 CommonStartup

 Cookies

 Current

 Desktop

 DesktopDirectory

 Favorites

 Fonts

 History

 InternetCache

 Nethood

 Personal

 Printhood

 Profile

 ProgramFiles

 Programs

 Recent

 SendTo

 StartMenu

 Startup

 System

 Temp

 Templates

 TrailingPathDelimiter

 Windows

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSystemFolders

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvSystemFolders


TJvSystemFolders Members

TJvSystemFolders	Legend

Members

Properties

 AppData

 CommonAppData

 CommonDesktopDirectory

 CommonFavorites

 CommonFiles

 CommonPrograms

 CommonStartmenu

 CommonStartup

 Cookies

 Current

 Desktop

 DesktopDirectory

 Favorites

 Fonts

 History

 InternetCache

 Nethood

 Personal

 Printhood

 Profile

 ProgramFiles

 Programs

 Recent

 SendTo

 StartMenu

 Startup

 System

 Temp

 Templates

 TrailingPathDelimiter

 Windows

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSystemFolders.AppData property

TJvSystemFolders	Edit topic

Serves as a common repository for application-specific data.

Pascal

property AppData: string;

Description

  CSIDL_APPDATA

A typical path is C:\Documents and Settings\username\Application Data.

Created with Doc-O-Matic.


TJvSystemFolders.CommonAppData property

TJvSystemFolders	Edit topic

Contains application data for all users.

Pascal

property CommonAppData: string;

Description

  CSIDL_COMMON_APPDATA

A typical path is C:\Documents and Settings\All Users\Application Data.

Notes

Version 5.0.

Created with Doc-O-Matic.


TJvSystemFolders.CommonDesktopDirectory property

TJvSystemFolders	Edit topic

Contains files and folders that appear on the desktop for all users.

Pascal

property CommonDesktopDirectory: string;

Description

  CSIDL_COMMON_DESKTOPDIRECTORY

A typical path is C:\Documents and Settings\All Users\Desktop. Valid only for Windows NT systems.

Created with Doc-O-Matic.


TJvSystemFolders.CommonFavorites property

TJvSystemFolders	Edit topic

Serves as a common repository for favorite items common to all users.

Pascal

property CommonFavorites: string;

Description

  CSIDL_COMMON_FAVORITES

Valid only for Windows NT systems.

Created with Doc-O-Matic.


TJvSystemFolders.CommonFiles property

TJvSystemFolders	Edit topic

Not documented

Pascal

property CommonFiles: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemFolders.CommonPrograms property

TJvSystemFolders	Edit topic

contains the directories for the common program groups that appear on the Start menu for all users.

Pascal

property CommonPrograms: string;

Description

  CSIDL_COMMON_PROGRAMS

A typical path is C:\Documents and Settings\All Users\Start Menu\Programs. Valid only for Windows NT systems.

Created with Doc-O-Matic.


TJvSystemFolders.CommonStartmenu property

TJvSystemFolders	Edit topic

Contains the programs and folders that appear on the Start menu for all users.

Pascal

property CommonStartmenu: string;

Description

  CSIDL_COMMON_STARTMENU

A typical path is C:\Documents and Settings\All Users\Start Menu. Valid only for Windows NT systems.

Created with Doc-O-Matic.


TJvSystemFolders.CommonStartup property

TJvSystemFolders	Edit topic

Contains the programs that appear in the Startup folder for all users.

Pascal

property CommonStartup: string;

Description

  CSIDL_COMMON_STARTUP

A typical path is C:\Documents and Settings\All Users\Start Menu\Programs\Startup. Valid only for Windows NT systems.

Created with Doc-O-Matic.


TJvSystemFolders.Cookies property

TJvSystemFolders	Edit topic

Serves as a common repository for Internet cookies.

Pascal

property Cookies: string;

Description

  CSIDL_COOKIES

A typical path is C:\Documents and Settings\username\Cookies.

Created with Doc-O-Matic.


TJvSystemFolders.Current property

TJvSystemFolders	Edit topic

Specifies the current directory.

Pascal

property Current: string;

Description

Read Current to access the path to the currently selected folder in the system. Change Current to set a new current folder.

Created with Doc-O-Matic.


TJvSystemFolders.Desktop property

TJvSystemFolders	Edit topic

The virtual folder representing the Windows desktop, the root of the namespace.

Pascal

property Desktop: string;

Description

  CSIDL_DESKTOP

Created with Doc-O-Matic.


TJvSystemFolders.DesktopDirectory property

TJvSystemFolders	Edit topic

Used to physically store file objects on the desktop (not to be confused with the desktop folder itself).

Pascal

property DesktopDirectory: string;

Description

  CSIDL_DESKTOPDIRECTORY

A typical path is C:\Documents and Settings\username\Desktop.

Created with Doc-O-Matic.


TJvSystemFolders.Favorites property

TJvSystemFolders	Edit topic

Serves as a common repository for the user's favorite items.

Pascal

property Favorites: string;

Description

  CSIDL_FAVORITES

A typical path is C:\Documents and Settings\username\Favorites.

Created with Doc-O-Matic.


TJvSystemFolders.Fonts property

TJvSystemFolders	Edit topic

A virtual folder containing fonts.

Pascal

property Fonts: string;

Description

  CSIDL_FONTS

A typical path is C:WindowsFonts.

Created with Doc-O-Matic.


TJvSystemFolders.History property

TJvSystemFolders	Edit topic

Serves as a common repository for Internet history items.

Pascal

property History: string;

Description

  CSIDL_HISTORY

Created with Doc-O-Matic.


TJvSystemFolders.InternetCache property

TJvSystemFolders	Edit topic

Serves as a common repository for temporary Internet files.

Pascal

property InternetCache: string;

Description

  CSIDL_INTERNET_CACHE

A typical path is C:\Documents and Settings\username\Local Settings\Temporary Internet Files.

Notes

Version 4.72.

Created with Doc-O-Matic.


TJvSystemFolders.Nethood property

TJvSystemFolders	Edit topic

Containing the link objects that may exist in the My Network Places virtual folder.

Pascal

property Nethood: string;

Description

  CSIDL_NETHOOD

A typical path is C:\Documents and Settings\username\NetHood.

Created with Doc-O-Matic.


TJvSystemFolders.Personal property

TJvSystemFolders	Edit topic

The virtual folder representing the My Documents desktop item.

Pascal

property Personal: string;

Description

  CSIDL_PERSONAL

Previous to Version 6.0: The file system directory used to physically store a user's common repository of documents. A typical path is C:\Documents and Settings\username\My Documents.

Notes

Version 6.0.

Created with Doc-O-Matic.


TJvSystemFolders.Printhood property

TJvSystemFolders	Edit topic

Contains the link objects that can exist in the Printers virtual folder.

Pascal

property Printhood: string;

Description

  CSIDL_PRINTHOOD

A typical path is C:\Documents and Settings\username\PrintHood.

Created with Doc-O-Matic.


TJvSystemFolders.Profile property

TJvSystemFolders	Edit topic

The user's profile folder.

Pascal

property Profile: string;

Description

  CSIDL_PROFILE

A typical path is C:\Documents and Settings\username.

Notes

Version 5.0.

Created with Doc-O-Matic.


TJvSystemFolders.ProgramFiles property

TJvSystemFolders	Edit topic

The Program Files folder.

Pascal

property ProgramFiles: string;

Description

  CSIDL_PROGRAM_FILES

A typical path is C:\Program Files.

Notes

Version 5.0.

Created with Doc-O-Matic.


TJvSystemFolders.Programs property

TJvSystemFolders	Edit topic

Contains the user's program groups (which are themselves file system directories).

Pascal

property Programs: string;

Description

  CSIDL_PROGRAMS

A typical path is C:\Documents and Settings\username\Start Menu\Programs.

Created with Doc-O-Matic.


TJvSystemFolders.Recent property

TJvSystemFolders	Edit topic

Contains shortcuts to the user's most recently used documents.

Pascal

property Recent: string;

Description

  CSIDL_RECENT

A typical path is C:\Documents and Settings\username\My Recent Documents.

Created with Doc-O-Matic.


TJvSystemFolders.SendTo property

TJvSystemFolders	Edit topic

Contains Send To menu items.

Pascal

property SendTo: string;

Description

  CSIDL_SENDTO

A typical path is C:\Documents and Settings\username\SendTo.

Created with Doc-O-Matic.


TJvSystemFolders.StartMenu property

TJvSystemFolders	Edit topic

Contains Start menu items.

Pascal

property StartMenu: string;

Description

  CSIDL_STARTMENU

A typical path is C:\Documents and Settings\username\Start Menu.

Created with Doc-O-Matic.


TJvSystemFolders.Startup property

TJvSystemFolders	Edit topic

Corresponds to the user's Startup program group.

Pascal

property Startup: string;

Description

  CSIDL_STARTUP

The system starts these programs whenever any user logs onto Windows NT or starts Windows 95. A typical path is C:\Documents and Settings\username\Start Menu\Programs\Startup.

Created with Doc-O-Matic.


TJvSystemFolders.System property

TJvSystemFolders	Edit topic

The Windows System folder.

Pascal

property System: string;

Description

  CSIDL_SYSTEM

A typical path is C:\Windows\System32.

Notes

Version 5.0.

Created with Doc-O-Matic.


TJvSystemFolders.Temp property

TJvSystemFolders	Edit topic

Not documented

Pascal

property Temp: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemFolders.Templates property

TJvSystemFolders	Edit topic

Serves as a common repository for document templates.

Pascal

property Templates: string;

Description

  CSIDL_TEMPLATES

A typical path is C:\Documents and Settings\username\Templates.

Created with Doc-O-Matic.


TJvSystemFolders.TrailingPathDelimiter property

TJvSystemFolders	Edit topic

Determines how a system folder path string is terminated.

Pascal

property TrailingPathDelimiter: Boolean;

Description

Use TrailingPathDelimiter to specify how a system folder path string is terminated. If TrailingPathDelimiter is True, a path delimiter ('\' on Windows) is added to the end of the path unless already present. If TrailingPathDelimiter is False, a path delimiter is removed from the end of the path if present.

Created with Doc-O-Matic.


TJvSystemFolders.Windows property

TJvSystemFolders	Edit topic

The Windows directory or SYSROOT.

Pascal

property Windows: string;

Description

  CSIDL_WINDOWS

This corresponds to the %windir% or %SYSTEMROOT% environment variables. A typical path is C:\Windows.

Notes

Version 5.0.

Created with Doc-O-Matic.


TJvSystemParametersInfo
JEDI-VCL Reference

TJvSystemParametersInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvSystemParametersInfo = class(TJvWriteableInfo);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo Properties

TJvSystemParametersInfo	Legend

Properties

 AccessTimeOut

 ActiveWindowTracking

 ActiveWindowTrackTimeOut

 ActiveWindowTrackZOrder

 Animation

 Beep

 BorderMultiplier

 CaretWidth

 ComboboxAnimation

 CursorShadow

 DefaultInputLanguage

 DeskWallpaper

 DragFullWindows

 DropShadow

 FilterKeys

 FlatMenu

 FocusBorderHeight

 FocusBorderWidth

 FontSmoothing

 FontSmoothingContrast

 FontSmoothingType

 ForegroundFlashCount

 ForegroundLockTimeOut

 GradientCaptions

 GridGranularity

 HighContrast

 HotTracking

 IconHorizontalSpacing

 IconMetrics

 IconTitleFont

 IconTitleWrap

 IconVerticalSpacing

 KeyboardDelay

 KeyboardLayoutName

 KeyboardPreferred

 KeyboardSpeed

 ListboxSmoothScrolling

 LowPowerActive

 LowPowerTimeOut

 MenuAnimation

 MenuFade

 MenuLeftAligned

 MenuShowDelay

 MenuUnderLines

 MinimizedMetrics

 MouseClickLock

 MouseClickLockTime

 MouseHoverHeight

 MouseHoverTime

 MouseHoverWidth

 MouseKeys

 MouseSonar

 MouseSpeed

 MouseThreshold1

 MouseThreshold2

 MouseTrails

 MouseVanish

 NonClientMetrics

 PowerOffActive

 PowerOffTimeout

 ScreenReader

 ScreenSaverActive

 ScreenSaverRunning

 ScreenSaveTimeOut

 SelectionFade

 SerialKeys

 ShowIMEUI

 ShowSounds

 SnapToDefaultButton

 SoundSentry

 StickyKeys

 ToggleKeys

 ToolTipAnimation

 ToolTipFade

 UIEffects

 WheelScrollLines

 WindowsExtensions

 WorkArea

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvSystemParametersInfo

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo
        TJvSystemParametersInfo


TJvSystemParametersInfo Members

TJvSystemParametersInfo	Legend

Members

Properties

 AccessTimeOut

 ActiveWindowTracking

 ActiveWindowTrackTimeOut

 ActiveWindowTrackZOrder

 Animation

 Beep

 BorderMultiplier

 CaretWidth

 ComboboxAnimation

 CursorShadow

 DefaultInputLanguage

 DeskWallpaper

 DragFullWindows

 DropShadow

 FilterKeys

 FlatMenu

 FocusBorderHeight

 FocusBorderWidth

 FontSmoothing

 FontSmoothingContrast

 FontSmoothingType

 ForegroundFlashCount

 ForegroundLockTimeOut

 GradientCaptions

 GridGranularity

 HighContrast

 HotTracking

 IconHorizontalSpacing

 IconMetrics

 IconTitleFont

 IconTitleWrap

 IconVerticalSpacing

 KeyboardDelay

 KeyboardLayoutName

 KeyboardPreferred

 KeyboardSpeed

 ListboxSmoothScrolling

 LowPowerActive

 LowPowerTimeOut

 MenuAnimation

 MenuFade

 MenuLeftAligned

 MenuShowDelay

 MenuUnderLines

 MinimizedMetrics

 MouseClickLock

 MouseClickLockTime

 MouseHoverHeight

 MouseHoverTime

 MouseHoverWidth

 MouseKeys

 MouseSonar

 MouseSpeed

 MouseThreshold1

 MouseThreshold2

 MouseTrails

 MouseVanish

 NonClientMetrics

 PowerOffActive

 PowerOffTimeout

 ScreenReader

 ScreenSaverActive

 ScreenSaverRunning

 ScreenSaveTimeOut

 SelectionFade

 SerialKeys

 ShowIMEUI

 ShowSounds

 SnapToDefaultButton

 SoundSentry

 StickyKeys

 ToggleKeys

 ToolTipAnimation

 ToolTipFade

 UIEffects

 WheelScrollLines

 WindowsExtensions

 WorkArea

TJvWriteableInfo

 ReadOnly

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvSystemParametersInfo.AccessTimeOut property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property AccessTimeOut: TJvAccessTimeOut;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ActiveWindowTracking property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ActiveWindowTracking: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ActiveWindowTrackTimeOut property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ActiveWindowTrackTimeOut: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ActiveWindowTrackZOrder property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ActiveWindowTrackZOrder: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.Animation property

TJvSystemParametersInfo	Edit topic

Specifies whether minimize and restore animation is enabled.

Pascal

property Animation: Boolean;

Description

True if the beeper is on, or False if it is off.

Created with Doc-O-Matic.


TJvSystemParametersInfo.Beep property

TJvSystemParametersInfo	Edit topic

Determines whether the warning beeper is on.

Pascal

property Beep: Boolean;

Description

True if the beeper is on, or False if it is off.

Created with Doc-O-Matic.


TJvSystemParametersInfo.BorderMultiplier property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property BorderMultiplier: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.CaretWidth property

TJvSystemParametersInfo	Edit topic

The caret width in edit controls, in pixels.

Pascal

property CaretWidth: Integer;

Description

Windows NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ComboboxAnimation property

TJvSystemParametersInfo	Edit topic

Determines whether the slide-open effect for combo boxes is enabled

Pascal

property ComboboxAnimation: Boolean;

Description

True for enabled, or False for disabled.

Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.CursorShadow property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property CursorShadow: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.DefaultInputLanguage property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property DefaultInputLanguage: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.DeskWallpaper property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property DeskWallpaper: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.DragFullWindows property

TJvSystemParametersInfo	Edit topic

Determines whether dragging of full windows is enabled.

Pascal

property DragFullWindows: Boolean;

Description

True if enabled, or False otherwise.

Windows 95: This flag is supported only if Windows Plus! is installed. See WindowsExtensions. See WindowsExtensions

Created with Doc-O-Matic.


TJvSystemParametersInfo.DropShadow property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property DropShadow: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.FilterKeys property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property FilterKeys: TJvFilterKeys;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.FlatMenu property

TJvSystemParametersInfo	See Also	Edit topic

Not documented

Pascal

property FlatMenu: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSystemColorsInfo.ColorMenuHighlight


TJvSystemParametersInfo.FocusBorderHeight property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property FocusBorderHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.FocusBorderWidth property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property FocusBorderWidth: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.FontSmoothing property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property FontSmoothing: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.FontSmoothingContrast property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property FontSmoothingContrast: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.FontSmoothingType property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property FontSmoothingType: TJvFontSmoothingType;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ForegroundFlashCount property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ForegroundFlashCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ForegroundLockTimeOut property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ForegroundLockTimeOut: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.GradientCaptions property

TJvSystemParametersInfo	See Also	Edit topic

Not documented

Pascal

property GradientCaptions: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSystemColorsInfo.ColorGradientActiveCaption


TJvSystemParametersInfo.GridGranularity property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property GridGranularity: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.HighContrast property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property HighContrast: TJvHighContrast;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.HotTracking property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property HotTracking: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.IconHorizontalSpacing property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property IconHorizontalSpacing: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.IconMetrics property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property IconMetrics: TJvIconMetrics;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.IconTitleFont property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property IconTitleFont: TFont;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.IconTitleWrap property

TJvSystemParametersInfo	Edit topic

Determines whether icon-title wrapping is enabled.

Pascal

property IconTitleWrap: Boolean;

Description

True if enabled, or False otherwise.

Created with Doc-O-Matic.


TJvSystemParametersInfo.IconVerticalSpacing property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property IconVerticalSpacing: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.KeyboardDelay property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property KeyboardDelay: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.KeyboardLayoutName property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property KeyboardLayoutName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.KeyboardPreferred property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property KeyboardPreferred: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.KeyboardSpeed property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property KeyboardSpeed: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ListboxSmoothScrolling property

TJvSystemParametersInfo	Edit topic

Determines whether the smooth-scrolling effect for list boxes is enabled.

Pascal

property ListboxSmoothScrolling: Boolean;

Description

True for enabled, or False for disabled.

Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.LowPowerActive property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property LowPowerActive: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.LowPowerTimeOut property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property LowPowerTimeOut: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MenuAnimation property

TJvSystemParametersInfo	Edit topic

Determines whether the menu animation feature is enabled.

Pascal

property MenuAnimation: Boolean;

Description

This master switch must be on to enable menu animation effects. True if animation is enabled and False if it is disabled.

If animation is enabled, MenuFade indicates whether menus use fade or slide animation.

Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MenuFade property

TJvSystemParametersInfo	See Also	Edit topic

Determines whether the selection fade effect is enabled.

Pascal

property MenuFade: Boolean;

Description

True if enabled or False if disabled. The selection fade effect causes the menu item selected by the user to remain on the screen briefly while fading out after the menu is dismissed.

MenuAnimation must be on to enable menu animation effects.

Windows NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


See Also

MenuAnimation


TJvSystemParametersInfo.MenuLeftAligned property

TJvSystemParametersInfo	Edit topic

Determines whether pop-up menus are left-aligned or right-aligned, relative to the corresponding menu-bar item.

Pascal

property MenuLeftAligned: Boolean;

Description

True if left-aligned, or False otherwise.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MenuShowDelay property

TJvSystemParametersInfo	Edit topic

Specifies the time, in milliseconds, that the system waits before displaying a shortcut menu when the mouse cursor is over a submenu item.

Pascal

property MenuShowDelay: Integer;

Description

Windows 95: Not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MenuUnderLines property

TJvSystemParametersInfo	Edit topic

Determines whether menu access keys are always underlined.

Pascal

property MenuUnderLines: Boolean;

Description

True if menu access keys are always underlined, and False if they are underlined only when the menu is activated by the keyboard.

Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MinimizedMetrics property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property MinimizedMetrics: TJvMinimizedMetrics;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MouseClickLock property

TJvSystemParametersInfo	See Also	Edit topic

Retrieves the state of the Mouse ClickLock feature.

Pascal

property MouseClickLock: Boolean;

Description

True if enabled, or False otherwise.

Windows 2000/NT and Windows 98/95: This value is not supported.

Created with Doc-O-Matic.


See Also

MouseClickLockTime


TJvSystemParametersInfo.MouseClickLockTime property

TJvSystemParametersInfo	See Also	Edit topic

Retrieves the time delay before the primary mouse button is locked.

Pascal

property MouseClickLockTime: Integer;

Description

This is only enabled if MouseClickLock is set to True.

Windows 2000/NT and Windows 98/95: This value is not supported.

Created with Doc-O-Matic.


See Also

MouseClickLock


TJvSystemParametersInfo.MouseHoverHeight property

TJvSystemParametersInfo	See Also	Edit topic

Retrieves the height, in pixels, of the rectangle within which the mouse pointer has to stay for TrackMouseEvent to generate a WM_MOUSEHOVER message.

Pascal

property MouseHoverHeight: Integer;

Description

Windows 95: Not supported.

Created with Doc-O-Matic.


See Also

MouseHoverTime, MouseHoverWidth


TJvSystemParametersInfo.MouseHoverTime property

TJvSystemParametersInfo	See Also	Edit topic

Retrieves the time, in milliseconds, that the mouse pointer has to stay in the hover rectangle for TrackMouseEvent to generate a WM_MOUSEHOVER message.

Pascal

property MouseHoverTime: Integer;

Description

Windows 95: Not supported.

Created with Doc-O-Matic.


See Also

MouseHoverHeight, MouseHoverWidth


TJvSystemParametersInfo.MouseHoverWidth property

TJvSystemParametersInfo	See Also	Edit topic

Retrieves the width, in pixels, of the rectangle within which the mouse pointer has to stay for TrackMouseEvent to generate a WM_MOUSEHOVER message.

Pascal

property MouseHoverWidth: Integer;

Description

Windows 95: Not supported.

Created with Doc-O-Matic.


See Also

MouseHoverHeight, MouseHoverTime


TJvSystemParametersInfo.MouseKeys property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property MouseKeys: TJvMouseKeys;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MouseSonar property

TJvSystemParametersInfo	Edit topic

Retrieves the state of the Mouse Sonar feature.

Pascal

property MouseSonar: Boolean;

Description

True if enabled or False otherwise.

Windows 2000/NT and Windows 98/95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MouseSpeed property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property MouseSpeed: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MouseThreshold1 property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property MouseThreshold1: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MouseThreshold2 property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property MouseThreshold2: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MouseTrails property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property MouseTrails: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.MouseVanish property

TJvSystemParametersInfo	Edit topic

Retrieves the state of the Mouse Vanish feature.

Pascal

property MouseVanish: Boolean;

Description

True if enabled or False otherwise. For more information, see About Mouse Input.

Windows 2000/NT and Windows 98/95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.NonClientMetrics property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property NonClientMetrics: TJvNonClientMetrics;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.PowerOffActive property

TJvSystemParametersInfo	Edit topic

Determines whether the power-off phase of screen saving is enabled.

Pascal

property PowerOffActive: Boolean;

Description

True if enabled, or False if disabled.

Created with Doc-O-Matic.


TJvSystemParametersInfo.PowerOffTimeout property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property PowerOffTimeout: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ScreenReader property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ScreenReader: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ScreenSaverActive property

TJvSystemParametersInfo	Edit topic

Determines whether screen saving is enabled.

Pascal

property ScreenSaverActive: Boolean;

Description

True if screen saving is enabled, or False otherwise.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ScreenSaverRunning property

TJvSystemParametersInfo	Edit topic

Determines whether a screen saver is currently running on the window station of the calling process.

Pascal

property ScreenSaverRunning: Boolean;

Description

True if a screen saver is currently running, or False otherwise.

Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ScreenSaveTimeOut property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ScreenSaveTimeOut: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.SelectionFade property

TJvSystemParametersInfo	Edit topic

Determines whether the selection fade effect is enabled.

Pascal

property SelectionFade: Boolean;

Description

True if enabled or False if disabled.

The selection fade effect causes the menu item selected by the user to remain on the screen briefly while fading out after the menu is dismissed.

Windows NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.SerialKeys property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property SerialKeys: TJvSerialKeys;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ShowIMEUI property

TJvSystemParametersInfo	Edit topic

Determines whether the IME status window is visible (on a per-user basis).

Pascal

property ShowIMEUI: Boolean;

Description

True if the status window is visible, or False if it is not. Windows NT and Windows 95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ShowSounds property

TJvSystemParametersInfo	See Also	Edit topic

Determines whether the Show Sounds accessibility flag is on or off.

Pascal

property ShowSounds: Boolean;

Description

If it is on, the user requires an application to present information visually in situations where it would otherwise present the information only in audible form. True if the feature is on, or False if it is off.

Created with Doc-O-Matic.


See Also

TJvMetricsInfo.ShowSounds


TJvSystemParametersInfo.SnapToDefaultButton property

TJvSystemParametersInfo	Edit topic

Determines whether the snap-to-default-button feature is enabled.

Pascal

property SnapToDefaultButton: Boolean;

Description

If enabled, the mouse cursor automatically moves to the default button, such as OK or Apply, of a dialog box. True if the feature is on, or False if it is off. Windows 95: Not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.SoundSentry property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property SoundSentry: TJvSoundSentry;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.StickyKeys property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property StickyKeys: TJvStickyKeysFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ToggleKeys property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property ToggleKeys: TJvToggleKeysFlags;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemParametersInfo.ToolTipAnimation property

TJvSystemParametersInfo	See Also	Edit topic

Determines whether ToolTip animation is enabled.

Pascal

property ToolTipAnimation: Boolean;

Description

True if enabled or False if disabled. If ToolTip animation is enabled, SPI_GETTOOLTIPFADE indicates whether ToolTips use fade or slide animation.

Windows NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


See Also

ToolTipFade


TJvSystemParametersInfo.ToolTipFade property

TJvSystemParametersInfo	See Also	Edit topic

Specifies whether ToolTip animation uses a fade effect or a slide effect.

Pascal

property ToolTipFade: Boolean;

Description

If ToolTipAnimation is enabled, ToolTipFade specifies whether ToolTip animation uses a fade effect or a slide effect. True for fade animation or False for slide animation.

Windows NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


See Also

ToolTipAnimation


TJvSystemParametersInfo.UIEffects property

TJvSystemParametersInfo	Edit topic

Determines whether UI effects are enabled or disabled.

Pascal

property UIEffects: Boolean;

Description

True if all UI effects are enabled, or False if they are disabled.

Windows NT and Windows Me/98/95: This value is not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.WheelScrollLines property

TJvSystemParametersInfo	Edit topic

Retrieves the number of lines to scroll when the mouse wheel is rotated.

Pascal

property WheelScrollLines: Integer;

Description

The default value is 3.

Windows 95: Not supported.

Created with Doc-O-Matic.


TJvSystemParametersInfo.WindowsExtensions property

TJvSystemParametersInfo	Edit topic

Determines whether the Windows extension, Windows Plus!, is installed.

Pascal

property WindowsExtensions: Boolean;

Description

Only Windows 95: True if the extension is installed, or False if it is not.

Created with Doc-O-Matic.


TJvSystemParametersInfo.WorkArea property

TJvSystemParametersInfo	Edit topic

Not documented

Pascal

property WorkArea: TJvRect;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSystemPopup
JEDI-VCL Reference

 TJvSystemPopup

Hierarchy	Properties	Methods	Package	 Edit topic

Adds menu items to the system menu.

Pascal

TJvSystemPopup = class(TJvComponent);

File

JvSystemPopup

Description

Use TJvSystemPopup to add menu items to the system menu (also known as the system menu or the control menu).

Use Popup to associate a pop-up menu with TJvSystemPopup. TJvSystemPopup adds the menu items of the pop-up menu to the system menu.

Use Position to specify whether the popup menu is inserted in the forms system menu, the application's system menu, or isn't inserted at all. Use PositionInMenu to specify where the menu items are inserted in the system menu: at the bottom or at the top.

Created with Doc-O-Matic.


TJvSystemPopup Properties

TJvSystemPopup	Legend

Properties

 Popup

 Position

 PositionInMenu

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvSystemPopup Methods

TJvSystemPopup	Legend

Methods

 Create

 Destroy

 Notification

Refresh

Legend

virtual

protected

Created with Doc-O-Matic.


Legend

virtual

protected


Legend

TJvSystemPopup

Legend

published

virtual

protected

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvSystemPopup


TJvSystemPopup Members

TJvSystemPopup	Legend

Members

Properties

 Popup

 Position

 PositionInMenu

TJvComponent

 AboutJVCL

Methods

 Create

 Destroy

 Notification

Refresh

Legend

published

virtual

protected

Created with Doc-O-Matic.


Legend

published

virtual

protected


Package

StdCtrls


TJvSystemPopup.Popup property

TJvSystemPopup	See Also	Edit topic

Identifies a pop-up menu associated with the component.

Pascal

property Popup: TPopupMenu;

Description

Use Popup to associate a pop-up menu with TJvSystemPopup. The component adds the menu items of the pop-up menu to the system menu.

Created with Doc-O-Matic.


See Also

TJvSystemPopup.Position


TJvSystemPopup.Position property

TJvSystemPopup	See Also	Edit topic

Specifies in which system menu the popup menu items are inserted.

Pascal

property Position: TJvPopupPosition;

Description

Use Position to specify whether the popup menu is inserted in the forms system menu, the application's system menu, or isn't inserted at all.

These are the possible values of Position:
Value	Meaning
ppNone	The popup menu isn't inserted in a system menu.
ppForm	The popup menu is inserted in the system menu of the form. Access this system menu by right-clicking on the forms title bar.
ppApplication	The popup menu is inserted in the system menu of the application. Access this system menu by right-clicking the window button on the taskbar that is associated with the application.
Created with Doc-O-Matic.


See Also

TJvSystemPopup.Popup, TJvSystemPopup.PositionInMenu


TJvSystemPopup.PositionInMenu property

TJvSystemPopup	See Also	Edit topic

Specifies where in the system menu the popup menu items are inserted.

Pascal

property PositionInMenu: TJvPositionInMenu;

Description

Use PositionInMenu to specify whether the menu items of the popup menu specified by Popup are inserted at the top or of the system menu, or at the bottom.

Created with Doc-O-Matic.


See Also

TJvSystemPopup.Position


TJvSystemPopup.Create constructor

TJvSystemPopup	See Also	Edit topic

Creates and initializes a new TJvSystemPopup object.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

A component, typically the form, that is responsible for freeing the component.

Description

Use Create to create and initialize a new TJvSystemPopup object.

Create calls the inherited Create method, then sets the initial values for the component as follows:

Position is set to ppNone.

PositionInMenu is set to pmTop.

Created with Doc-O-Matic.


See Also

TJvSystemPopup.Position, TJvSystemPopup.PositionInMenu


TJvSystemPopup.Destroy destructor

TJvSystemPopup	See Also	Edit topic

Destroys an instance of TJvSystemPopup

Pascal

destructor Destroy; override;

Description

Do not call Destroy directly in an application. Instead, call Free. Free verifies that the TJvSystemPopup object is not nil and only then calls Destroy.

Created with Doc-O-Matic.


See Also

TJvSystemPopup.Create


TJvSystemPopup.Notification method

TJvSystemPopup	See Also	Edit topic

Responds to notifications when objects are about to be created or destroyed.

Pascal

procedure Notification(AComponent: TComponent; Operation: TOperation); override;

Parameters

AComponent: TComponent

Identifies the component that is about to be created or destroyed.

Operation: TOperation

Specifies whether the component is about to be created or destroyed.

Description

Notification is called automatically when components are created or destroyed. After calling the inherited method, Notification checks whether the component specified by the Popup property is about to be destroyed. If the component is going away, Notification sets the Popup property to nil.

Created with Doc-O-Matic.


See Also

TJvSystemPopup.Popup


TJvSystemPopup.Refresh method

TJvSystemPopup	Edit topic

Refreshes the system menu.

Pascal

procedure Refresh(SystemReset: Boolean = True);

Parameters

SystemReset: Boolean = True

Specifies whether to reset the system menu.

Description

Call Refresh to refresh the system menu. Refresh resets the window menu back to the default state,

Created with Doc-O-Matic.


TJvTabBar
JEDI-VCL Reference

 TJvTabBar

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Implements a tab bar control.

Pascal

TJvTabBar = class(TJvCustomTabBar);

File

JvTabBar

Description

TJvTabBar is a TJvCustomTabBar descendant that implements a tab bar control. TJvTabBar is a visual control that can arrange the items defined in the Tabs property on a scrollable drawing surface.

The Images property stores graphic images that can be displayed for items in the Tabs property.

Use the Painter property to specify the rendering mechanism to use for both the control and the Tabs defined for the control.

TJvTabBar can have an associated list of TJvCustomPage instances in the Pages property that are displayed when a Tab is selected using the control.

TJvTabBar publishes properties defined in TJvCustomTabBar, including:

Property	Default Value
Align	alTop
AllowTabMoving
AllowUnselected
AutoFreeClosed
CloseButton
Cursor
FlatScrollButtons
Height	23
Hint
HotTracking
Images
Margin
OnChange
OnClick
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnStartDock
OnStartDrag
OnTabClosed
OnTabClosing
OnTabSelected
OnTabSelecting
Orientation
PageList
Painter
PopupMenu
RightClickSelect
SelectBeforeClose
ShowHint	False
Tabs
Created with Doc-O-Matic.


TJvTabBar Properties

TJvTabBar	Legend

Properties

 AllowTabMoving

 AllowUnselected

 AutoFreeClosed

 CloseButton

 FlatScrollButtons

 Hint

 HotTracking

 Images

 Margin

 Orientation

 PageList

 PageListTabLink

 Painter

 RightClickSelect

 SelectBeforeClose

 Tabs

TJvCustomTabBar

AllowTabMoving

AllowUnselected

AutoFreeClosed

CloseButton

 ClosingTab

FlatScrollButtons

Hint

 HotTab

HotTracking

Images

LeftTab

Margin

Orientation

PageList

PageListTabLink

Painter

RightClickSelect

SelectBeforeClose

SelectedTab

Tabs

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvTabBar Events

TJvTabBar	Legend

Events

 OnChange

 OnTabClosed

 OnTabClosing

 OnTabMoved

 OnTabSelected

 OnTabSelecting

TJvCustomTabBar

OnChange

OnScrollButtonClick

OnTabClosed

OnTabClosing

OnTabMoved

OnTabSelected

OnTabSelecting

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTabBar Methods

TJvTabBar

Methods

TJvCustomTabBar

AddTab

FindData

FindTab

MakeVisible

TabAt

Created with Doc-O-Matic.


Legend

TJvTabBar

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvCustomTabBar
        TJvTabBar


TJvTabBar Members

TJvTabBar	Legend

Members

Properties

 AllowTabMoving

 AllowUnselected

 AutoFreeClosed

 CloseButton

 FlatScrollButtons

 Hint

 HotTracking

 Images

 Margin

 Orientation

 PageList

 PageListTabLink

 Painter

 RightClickSelect

 SelectBeforeClose

 Tabs

TJvCustomTabBar

AllowTabMoving

AllowUnselected

AutoFreeClosed

CloseButton

 ClosingTab

FlatScrollButtons

Hint

 HotTab

HotTracking

Images

LeftTab

Margin

Orientation

PageList

PageListTabLink

Painter

RightClickSelect

SelectBeforeClose

SelectedTab

Tabs

Events

 OnChange

 OnTabClosed

 OnTabClosing

 OnTabMoved

 OnTabSelected

 OnTabSelecting

TJvCustomTabBar

OnChange

OnScrollButtonClick

OnTabClosed

OnTabClosing

OnTabMoved

OnTabSelected

OnTabSelecting

Methods

TJvCustomTabBar

AddTab

FindData

FindTab

MakeVisible

TabAt

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvCustomTabBar, TJvStandardPage, TJvCustomPage, TJvTabBarPainter, TJvModernTabBarPainter


Package

Custom


TJvTabBar.AllowTabMoving property

TJvTabBar	See Also	Edit topic

Indicates if the order of tabs can be changed using Drag-and-Drop.

Pascal

property AllowTabMoving: Boolean;

Description

AllowTabMoving is a Boolean property that indicates if the order of tabs in the control can be changed using Drag-and-Drop. When AllowTabMoving contains True, dragging a tab using the left mouse button causes items in the Tabs collection to be reordered. If there is a value in SelectedTab, the tab under the mouse pointer is assigned to the SelectedTab property prior to reordering tabs.

The default value for AllowTabMoving is False, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

Tabs, SelectedTab


TJvTabBar.AllowUnselected property

TJvTabBar	See Also	Edit topic

Indicates if the selected tab can be omitted for the tabbed-bar control.

Pascal

property AllowUnselected: Boolean;

Description

AllowUnselected is a Boolean property that indicates if a selected tab can be omitted when updates are performed for the tabbed-bar control.

When AllowUnselected contains True, the value in SelectedTab can contain Nil if the selected tab is hidden, disabled, or the selection is cleared. When AllowUnselected contains False, any change that causes the control to be updated with attempt to find a selectable tab item in the Tabs collection for assignment to the SelectedTab property.

The default value for AllowUnselected is False, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

SelectedTab


TJvTabBar.AutoFreeClosed property

TJvTabBar	See Also	Edit topic

Indicates if a tab is automatically freed when its' close button is clicked.

Pascal

property AutoFreeClosed: Boolean;

Description

AutoFreeClosed is a Boolean property that indicates if a tab item in the Tabs collection is automatically freed when its' close button is clicked.

AutoFreeClosed is used following a mouse up event on the close button. When AutoFreeClosed contains True, the affected tab is hidden prior to signaling the OnTabClosed event handler and freeing the TJvTabBarItem instance. When AutoFreeClosed contains False, the affected tab is neither hidden nor freed but the OnTabClosed event handler is still signaled.

The default value for AutoFreeClosed is True, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

Tabs, OnTabClosed, TJvTabBarItems, TJvTabBarItem


TJvTabBar.CloseButton property

TJvTabBar	See Also	Edit topic

Indicates if the close button is drawn and handled for tabs on the control.

Pascal

property CloseButton: Boolean;

Description

CloseButton is a Boolean property that indicates if a close button should be drawn when rendering tab items defined in the Tabs collection.

When CloseButton contains True, the close button will be drawn using the style defined in the Painter for the control. In addition, mouse movement and click operations examine the property value to determine if handling must be provided for the close button during navigation.

When CloseButton contains False, the close button is not drawn and mouse handling for the close button is not provided.

The default value for CloseButton is True, as assigned in the constructor for the control. Changing the value in the CloseButton property causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

Tabs


TJvTabBar.FlatScrollButtons property

TJvTabBar	Edit topic

Indicates if scroll buttons are drawn using the flat button style.

Pascal

property FlatScrollButtons: Boolean;

Description

FlatScrollButtons is a Boolean property that indicates if scroll buttons on the tabbed-bar control are drawn using the flat button style. Scroll buttons are drawn along the right-hand edge of the tabbed-bar control, and are active when the cumulative width of all items in Tabs exceeds the display area for the control.

The default value for FlatScrollButtons is True, as assigned in the constructor for the control. Changing the value in FlatScrollButtons causes existing scroll buttons to be recreated using the specified drawing style.

Created with Doc-O-Matic.


TJvTabBar.Hint property

TJvTabBar	See Also	Edit topic

Contains the text that can appear when the user moves the mouse over the control.

Pascal

property Hint: TCaption;

Description

Hint is a TCaption property that contains the text that can appear when the user moves the mouse over the control. Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily.

To show the Hint on a status bar or other location, use the OnHint event handler of the application. The application’s OnHint event occurs when the mouse pointer moves over the control.

Specify a hint to be used for both a Help Hint box and by an OnHint handler by specifying two values separated by a | character (the vertical bar “or” symbol).

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Please note that if the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.

Use the TJvTabBarItem.Hint property to specify hints for items defined in the Tabs collection.

Created with Doc-O-Matic.


See Also

OnHint, TJvTabBarItem.Hint


TJvTabBar.HotTracking property

TJvTabBar	See Also	Edit topic

Specifies whether tabs are highlighted when the mouse passes over them.

Pascal

property HotTracking: Boolean;

Description

HotTracking is a Boolean property that specifies whether tabs are highlighted when the mouse passes over them.

Set HotTracking to True to provide visual feedback about which item in the Tabs collection is under the mouse pointer. When HotTracking contains True, the HotTab property is updated during mouse movements to indicate the TJvTabBarItem that lies under the mouse pointer. When HotTracking contains False, there is no visual feedback when the mouse passes over tabs and HotTabs will contain the value Nil.

Created with Doc-O-Matic.


See Also

HotTab, Tabs, TJvTabBarItems, TJvTabBarItem.Hot


TJvTabBar.Images property

TJvTabBar	See Also	Edit topic

Specifies the images that appear next to captions on tabs in the control.

Pascal

property Images: TCustomImageList;

Description

Images is a TImageList property used to provide a list of bitmaps that are drawn on the tab items defined in the Tabs collection. Each TJvTabBarItem in Tabs has an ImageIndex property that identifies an image in this list. Applications must create and populate a TImageList for the Images property when images should be drawn on tabs in the control.

Images are used in the DrawTab method for the Painter assigned to the control to access the bitmap for a tab using the value in its' ImageIndex property. When Images is unassigned or when ImageIndex contains -1, no image can be drawn on the tab.

Assigning a new value to the Images property causes the tabbed-bar control to be redrawn.

Created with Doc-O-Matic.


See Also

TJvTabBarItem.ImageIndex, TJvTabBarPainter, TJvModernTabBarPainter


TJvTabBar.Margin property

TJvTabBar	See Also	Edit topic

Offset in pixels for tabs drawn on the scrollable drawing area for the control.

Pascal

property Margin: Integer;

Description

Margin is an Integer property that represents the offset in pixels the scrollable drawing area in the control. When drawing items in the Tabs collection, Margin is used to indent the drawing area on the left- and right-hand edges.

The default value for Margin is 6, as assigned in the constructor for the control. Changing the value in Margin causes the control to be redrawn.

Created with Doc-O-Matic.


See Also

Tabs


TJvTabBar.OnChange event

TJvTabBar	Edit topic

Event signaled when control properties or tab definitions have been changed.

Pascal

property OnChange: TNotifyEvent;

Description

OnChange is a TNotifyEvent property that represents the event handler signaled when tabbed-bar control has been changed. OnChange is triggered when properties in the control are updated, and when values in Tabs collection have been modified.

Applications must assign a procedure to the event handler to allow responding to the notification.

Created with Doc-O-Matic.


TJvTabBar.OnTabClosed event

TJvTabBar	See Also	Edit topic

Event signaled when a tab on the control has been closed.

Pascal

property OnTabClosed: TJvTabBarItemEvent;

Description

OnTabClosed is a TJvTabBarItemEvent property that represents the event handler signaled when an item in the Tabs collection has been marked as the ClosingTab.

OnTabClosed is signaled after the TJvTabBarItem instance has updated its' Visible property, and before it is freed when AutoFreeClosed contains True.

Use OnTabClosing to perform processing required before the tab is assigned as the ClosingTab for the control.

Created with Doc-O-Matic.


See Also

OnTabClosing, AutoFreeClosed, TJvTabBarItem.Visible, Tabs, ClosingTab


TJvTabBar.OnTabClosing event

TJvTabBar	See Also	Edit topic

Event handler signaled when a tab on the control is about to be closed.

Pascal

property OnTabClosing: TJvTabBarClosingEvent;

Parameters

Sender

Control for the event.

Item

Tab for the event.

AllowClose

Indicates the item can continue closing.

Description

OnTabClosing is a TJvTabBarClosingEvent property that represents the event handler signaled when the Item in the Tabs collection is about to be closed.

OnTabClosing is normally triggered when CloseButton contains True and a mouse click occurs on the close button for the tab specified in Item. Applications can assign a procedure to the event handler to determine if Item can continue closing. Set the value in AllowClose to False to prevent the item in the Tabs collection from being closed and assigned to the ClosingTab property.

Use OnTabClosed to implement an event handler triggered after ClosingTab has been assigned and the control has been redrawn.

Created with Doc-O-Matic.


See Also

TJvTabBarClosingEvent, CloseButton, Tabs, ClosingTab, OnTabClosed


TJvTabBar.OnTabMoved event

TJvTabBar	Edit topic

Not documented

Pascal

property OnTabMoved: TJvTabBarItemEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTabBar.OnTabSelected event

TJvTabBar	See Also	Edit topic

Event handler signaled after a tab becomes the selected tab.

Pascal

property OnTabSelected: TJvTabBarItemEvent;

Parameters

Sender

Control for the event.

Item

Tab for the event.

Description

OnTabSelected is a TJvTabBarItemEvent property that represents the event handler signaled after a tab has been assigned as the selected tab for the control.

OnTabSelected is triggered during processing that occurs after a new value has been assigned for the SelectedTab property as a result of a mouse click event or through assignment in code. OnTabSelected can be used to perform application-specific processing required when the tab in Item has become the selected tab in the control.

Applications must assign a procedure for the event handler to allow responding to the notification.

Use OnTabSelecting to perform processing required before a new value is assigned for the SelectedTab property.

Created with Doc-O-Matic.


See Also

TJvTabBarSelectingEvent, SelectedTab, OnTabSelecting


TJvTabBar.OnTabSelecting event

TJvTabBar	See Also	Edit topic

Event handler signaled before a tab becomes the selected tab.

Pascal

property OnTabSelecting: TJvTabBarSelectingEvent;

Parameters

Sender

Control generating the event.

Item

Tab for the event.

AllowSelect

Indicates the tab can become the selected tab.

Description

OnTabSelecting is a TJvTabBarSelectingEvent property that represents the event handler signaled before a tab becomes the selected tab on the control.

OnTabSelecting is triggered during processing that occurs when a new value has been assigned for the SelectedTab property as a result of a mouse click event or through assignment in code. OnTabSelecting can be used to perform application-specific processing required to determine if the tab in Item can become the selected tab in the control. Set AllowSelect to False to indicate that the tab cannot be used as the SelectedTab value.

Applications must assign a procedure for the event handler to allow responding to the notification.

Use OnTabSelected to perform processing required after a new value has determined and assigned for the SelectedTab property.

Created with Doc-O-Matic.


See Also

TJvTabBarSelectingEvent, SelectedTab, OnTabSelected


TJvTabBar.Orientation property

TJvTabBar	Edit topic

Not documented

Pascal

property Orientation: TJvTabBarOrientation;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTabBar.PageList property

TJvTabBar	Edit topic

Not documented

Pascal

property PageList: TCustomControl;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTabBar.PageListTabLink property

TJvTabBar	Edit topic

Not documented

Pascal

property PageListTabLink: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTabBar.Painter property

TJvTabBar	See Also	Edit topic

Measures and renders tabs defined for the control.

Pascal

property Painter: TJvTabBarPainter;

Description

Painter is a TJvTabBarPainter property that represents the rendering mechanism used to measure and draw the tabbed-bar control and the items defined in the Tabs collection.

Nearly all of the procedures and functions in TJvTabBarPainter are declared as abstract virtual methods. Applications do not create instances of TJvTabBarPainter; use a descendant class like TJvModernTabBarPainter which implements the abstract virtual methods as well as additional properties required for the specific rendering style.

Each TJvTabBarPainter descendant implements a specific drawing style and may include properties for the fonts and colors for Selected and Disabled tabs on the control. Its' capabilities include drawing close buttons on tabs using different colors for modified versus unmodified tabs. The drawing style is defined using the properties introduced in the renderer.

Assign a TJvTabBarPainter instance to the Painter property to use the measuring and rendering capabilities specific to the class. Changing the value in Painter causes an assigned Painter to be removed before storing the new Painter value and redrawing the control.

The class instance in Painter will be notified when changes are made to items in the Images property for the control.

Created with Doc-O-Matic.


See Also

TJvTabBarPainter, TJvModernTabBarPainter, Images, Tabs


TJvTabBar.RightClickSelect property

TJvTabBar	See Also	Edit topic

Indicates if right mouse button clicks can be used to select a tab on the control.

Pascal

property RightClickSelect: Boolean;

Description

RightClickSelect is a Boolean property that indicates if right mouse button clicks can be used to select a tab on the control. When RightClickSelect contains True, the tab under the mouse event will become the SelectedTab. If the TJvTabBarItem in SelectedTab has an assigned PopupMenu, the menu will be displayed at the mouse coordinates.

Please note that there is a potential conflict in handling right mouse button events when RightClickSelect for the TabBar control contains True and PopupMenu has been assigned for the control. In this situation, a right mouse button event occurring on the Tab cannot be properly resolved so no action is performed.

The default value for RightClickSelect is True, as assigned in the constructor for the control.

Created with Doc-O-Matic.


See Also

TJvTabBarItem, SelectedTab, PopupMenu


TJvTabBar.SelectBeforeClose property

TJvTabBar	See Also	Edit topic

Indicates if a tab must be selected before it can be closed using the close button.

Pascal

property SelectBeforeClose: Boolean;

Description

SelectBeforeClose is a Boolean property that indicates if a tab must be selected before it can be closed using the close button.

SelectBeforeClose is used when handling a mouse down event that occurs over the close button for an item in the Tabs property. When SelectBeforeClose contains True, the SelectedTab must be the same as the tab where the mouse click occurs or no action is performed. When SelectBeforeClose contains False, the tab will be closed even if it is not the item stored in the SelectedTab property.

CloseButton must contain True in order for close buttons to be drawn on items in the Tabs collection.

The default value for SelectBeforeClose is False, as assigned in the constructor for the control.

Use the event handlers in OnTabClosing, OnTabClosed, OnTabSelecting, OnTabSelected, and OnChange perform application-specific actions required for items in the Tabs property.

Created with Doc-O-Matic.


See Also

Tabs, CloseButton, SelectedTab, OnTabClosing, OnTabClosed, OnTabSelecting, OnTabSelected, OnChange


TJvTabBar.Tabs property

TJvTabBar	Edit topic

Contains tabs defined for the tabbed-bar control.

Pascal

property Tabs: TJvTabBarItems;

Description

Tabs is a TJvTabBarItems property that stores tabs defined for the tabbed-bar control. Tabs is a collection for TJvTabItem instances created at design-time or at run-time using the AddTab method.

Values in Tabs are used when methods in the Painter for the control are called during Paint and PaintTab operations, and when mouse movement and click operations are performed. Applications can use Tabs to access and maintain tabs items for the control, and to perform specific actions in event handlers like OnTabClosing, OnTabClosed, OnTabSelecting, OnTabSelected, and OnChange.

Use AddTab to create a new Tab for the tabbed-bar control. Use FindTab to locate a tab in the control with the desired caption. Use FindData to locate a tab item with a specific Data object. Use MakeVisible to display a specific tab item in the Tabs property.

Use SelectedTab to read or write the currently selected tab item in the Tabs collection.

Use LeftTab to determine the leftmost visible tab item in the scrollable area for the tabbed-bar control.

Use HotTab to determine the tab item in Tabs that lies under the mouse pointer when HotTracking contains True.

Use ClosingTab to determine the tab item in Tabs that is in the process of Closing after clicking the close button on the tab.

Use PageList to access TJvCustomPage instances associated with tab items stored in the Tabs collection.

Use Images to access and maintain images drawn on tab items in the Tabs collection.

Created with Doc-O-Matic.


TJvTabBarItem
JEDI-VCL Reference

TJvTabBarItem

Hierarchy	Properties	Methods	Events	 See Also	Edit topic

Implements a collection item for a tab added to a TJvTabBar control.

Pascal

TJvTabBarItem = class(TCollectionItem);

File

JvTabBar

Description

TJvTabBarItem is a TCollectionItem descendant that implements items added to the TJvTabBarItems collection. Properties in TJvTabBarItem are used to define the tabs added to the TJvTabBar control.

TJvTabBarItem overrides methods from the ancestor class to handle creation, assignment, destruction of the collection item instances. In addition, TJvTabBarItem provides virtual methods to implement notification messages and positional indexing for items maintained in the TJvTabBarItems collection.

Use Data to access an object instance that represents data associated with items in the collection.

Use GetImages and ImageIndex to provide the image used when drawing the tab on the TJvTabBar control.

Use Enabled, Visible, Closing, Modified, Hot, and Selected to provide state information when drawing the tab on the TJvTabBar control.

Use PopupMenu to provide a pop-up context menu for the tab.

Use TabBar to access properties and methods in the TJvCustomTabBar control that owns the items in the collection.

Use the OnGetModified and OnGetEnabled event handlers to implement processing required to determine or override values for the Modified and Enabled properties (respectively).

Created with Doc-O-Matic.


TJvTabBarItem Properties

TJvTabBarItem	Legend

Properties

 Caption

 Closing

Data

 DisplayRect

 Enabled

 Hint

 Hot

 ImageIndex

 Modified

 Name

 PopupMenu

 Selected

 ShowHint

 TabBar

 Tag

 Visible

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvTabBarItem Events

TJvTabBarItem	Legend

Events

 OnGetEnabled

 OnGetModified

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTabBarItem Methods

TJvTabBarItem	Legend

Methods

 Assign

CanSelect

GetImages

GetNextVisible

GetPreviousVisible

MakeVisible

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTabBarItem

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvTabBarItem


TJvTabBarItem Members

TJvTabBarItem	Legend

Members

Properties

 Caption

 Closing

Data

 DisplayRect

 Enabled

 Hint

 Hot

 ImageIndex

 Modified

 Name

 PopupMenu

 Selected

 ShowHint

 TabBar

 Tag

 Visible

Events

 OnGetEnabled

 OnGetModified

Methods

 Assign

CanSelect

GetImages

GetNextVisible

GetPreviousVisible

MakeVisible

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


See Also

TJvTabBarItems, TJvCustomTabBar, TJvTabBar


TJvTabBarItem.Caption property

TJvTabBarItem	See Also	Edit topic

Text displayed on the tab in the tabbed-bar control.

Pascal

property Caption: TCaption;

Description

Caption is a String property that specifies the text displayed on the tab when rendered in the tabbed-bar control. The values in Caption and ImageIndex are used when the tabs are rendered in the TJvTabBarPainter.DrawTab method. Changing the value in Caption causes the tab and the TabBar to be redrawn.

The value in Caption is updated using the parameter value passed when the TJvCustomTabBar.AddTab method is called. Caption is also used to select an existing tab in the control when calling the TJvCustomTabBar.FindTab method.

Created with Doc-O-Matic.


See Also

TabBar, ImageIndex, TJvCustomTabBar.FindTab, TJvTabBarPainter.DrawTab, TJvTabBar.Painter


TJvTabBarItem.Closing property

TJvTabBarItem	Edit topic

Indicates the tab is currently being closed in the TabBar control.

Pascal

property Closing: Boolean;

Description

Closing is a read-only Boolean property that indicates if the tab is currently being closed in the TabBar control. The value in Closing is derived by comparing the current tab to the value stored in the TJvTabBar.ClosingTab property in the TabBar for the collection item. When the collection items are the same, the value for the property is True.

Closing is used when rendering the tab using the TJvTabBarPainter.DrawTab method in the Painter assigned for the TabBar control. When Closing contains True, the display rectangle for the closing button tab is adjusted to simulate a pressed or down state.

Use the OnTabClosing event handler in the TabBar control to perform application-specific processing required when a tab is about to be closed.

Created with Doc-O-Matic.


TJvTabBarItem.Data property

TJvTabBarItem	See Also	Edit topic

Stores application-specific data for the tab.

Pascal

property Data: TObject;

Description

Data is a TObject property used to store an object instance that represents application-specific data for the tab.

Data can be used to store any TObject descendant, and has no pre-defined use or meaning. Applications can use Data in code provided for event handlers in the JvTabBarItem instance or in the TJvTabBar that owns the collection item.

Use the TJvTabBar.FindData method to locate an object instance stored in the Data property for Tabs defined in the tabbed-bar control.

Created with Doc-O-Matic.


See Also

TJvTabBar.FindData, JvTabBarItem, JvTabBarItems


TJvTabBarItem.DisplayRect property

TJvTabBarItem	See Also	Edit topic

Display area for the tab in the tabbed-bar control.

Pascal

property DisplayRect: TRect;

Description

DisplayRect is a read-only TRect property that represents the display area required for the tab on the tabbed-bar control.

Reading the value for DisplayRect causes the values in the TRect to be recalculated. When Visible contains False, the derived display area is a rectangle with the following Left, Top, Bottom, and Right coordinates:

    Rect(-1, -1, -1, -1);

Otherwise, the display area for tab is adjusted for the current orientation in the TabBar.Orientation property. The display area will include space required for the image specified in ImageIndex and the Caption for the tab.

DisplayRect is used extensively in the implementation of the TJvTabBar control that owns the tab definition. DisplayRect is used during MouseUp, MouseDown, and MouseMove operations in the tab bar, and provides the screen coordinates for tab when selected using a Mouse Click.

Created with Doc-O-Matic.


See Also

Visible, Caption, ImageIndex, TabBar, TJvTabParPainter, TJvModernTabParPainter


TJvTabBarItem.Enabled property

TJvTabBarItem	See Also	Edit topic

Indicates the state used when drawing the tab in the tab bar control.

Pascal

property Enabled: Boolean;

Description

Enabled is a Boolean property that indicates the font, colors, and drawing style use when the tab is drawn in the tabbed-control bar.

Enabled is used when drawing TJvTabBarItem instances on the tabbed-bar control using a TJvTabBarPainter instance. Enabled ultimately determines the fonts and colors used to draw the dividers, close rectangles, close buttons, images, and captions appearing on tabs in the control.

Changing the value in the Enabled property cause the TJvTabBarItem and the TJvTabBar control to be redrawn. The default value for Enabled is True, as assigned in the constructor for the collection item.

Use the OnGetEnabled event handler to implement custom application logic that derives the value for the Enabled property.

Use Visible to determine if a tab can be displayed (has not been hidden).

Created with Doc-O-Matic.


See Also

TJvTabBarPainter, TJvModernTabBarPainter, TJvTabBar, Visible, OnGetEnabled


TJvTabBarItem.Hint property

TJvTabBarItem	See Also	Edit topic

Text displayed when the user moves the mouse over the control.

Pascal

property Hint: TCaption;

Description

Hint is a String property that provides a string of help text either as a Help Hint, or for display on a status bar. A Help Hint is a box containing help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily.

Set the ShowHint property to True, or set the ParentShowHint property to True. At run-time, set the value of the application's ShowHint property to true.

To show the Hint on a status bar, use the OnHint event handler of the application. The application’s OnHint event occurs when the mouse pointer moves over the control.

Hint can be used to specify both a Help Hint box and long help message for an OnHint handler by specifying two values separated by a "|" character (the vertical bar “or” symbol).

  ATabItem.Hint := 'Tab Item|This is information about the tab item.';

If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint function. If a control has no Hint value specified, but its parent control does, the control uses the Hint value of the parent control (as long as the control's ShowHint property is true).

Please note that when the application's ShowHint property is false, the Help Hint does not appear, but the OnHint event handler is still called.

Created with Doc-O-Matic.


See Also

ShowHint, ParentShowHint, TJvTabBar.ShowHint


TJvTabBarItem.Hot property

TJvTabBarItem	See Also	Edit topic

Indicates if the tab is highlighted during a HotTracking operation.

Pascal

property Hot: Boolean;

Description

Hot is a read-only Boolean property that indicates if the tab is the highlighted tab under the mouse when HotTracking is enabled for the TabBar control. When HotTracking contains False, the value in Hot is always False.

Hot compares the value in the HotTab property for the TJvTabBar instance to the current tab to determine the value for the property. Hot is used when the TJvTabBarPainter instance in the Painter property for the control calls its' DrawTab method.

Created with Doc-O-Matic.


See Also

TJvTabBarPainter.DrawTab, TJvTabBar.Painter, TJvTabBar.HotTracking, TJvTabBar.HotTab


TJvTabBarItem.ImageIndex property

TJvTabBarItem	See Also	Edit topic

Position of the image to be drawn on the tab.

Pascal

property ImageIndex: TImageIndex;

Description

ImageIndex is a TImageIndex property that indicates the ordinal position of an image to be drawn on the tab. ImageIndex is used to access a specific TImage stored in the TJvTabBar.Images for the tabbed-bar control.

The default value for ImageIndex is -1, and indicates that an image has not been assigned for use when drawing the tab using a TJvTabBarPainter instance.

Assigning a value to ImageIndex has no effect when a TImageList instance has not been assigned and populated for the TJvTabBar control.

ImageIndex is used in conjunction with the Enabled property to determine the state used when drawing the image on the tab. During rendering of the tab, the width of the TJvTabBarItem instance is adjusted to accommodate both the image from an assigned image list and the value in the Caption property.

Changing the value in ImageIndex causes the TJvTabBarItem and the TJvTabBar to be redrawn.

Created with Doc-O-Matic.


See Also

TImageIndex, TJvTabBar.Images, TJvTabBarPainter


TJvTabBarItem.Modified property

TJvTabBarItem	See Also	Edit topic

Indicates how the close button is drawing on a tab in the tab bar control.

Pascal

property Modified: Boolean;

Description

Modified is a Boolean property that indicates if the content associated with the tab has been altered.

Modified ultimately determines the color used when rendering the close button for the tab using a TJvTabBarPainter instance. When Modified contains True, the color from the ModifiedCrossColor property in TJvTabBarPainter is used. When Modified contains False, one of the values from CloseCrossColorSelected, CloseCrossColor, or CloseCrossColorDisabled are used to draw the close button for the tab control.

Changing the value in Modified causes the TJvTabBarItem and the TJvTabBar to be redrawn.

The default value for Modified is False, as assigned in the constructor for the collection item.

Use the OnGetModified event handler to implement custom application logic that derives the value for the Modified property. This can include examining entries in the PageList or controls embedded on the associated page.

Use Visible to determine if a tab can be displayed (has not been hidden).

Created with Doc-O-Matic.


See Also

TJvTabBarPainter, TJvModernTabBarPainter, TJvTabBar, Visible, Enabled, OnGetModified, PageList


TJvTabBarItem.Name property

TJvTabBarItem	See Also	Edit topic

Specifies the name for the Tab item for use in code.

Pascal

property Name: string;

Description

Name is a String property that represents the name to associate with the Tab in the collection that owns the collection item. Use the Name property to assign a new name to the tab or to find the name of the tab item.

Name can be changed at design-time to reflect a meaningful value that make the application’s code more readable. Name must be a valid Delphi identifier.

Changing the value in Name causes the TJvTabBarItems collection that owns the Tab definition to be searched to ensure that the value is not already in use. If the value in Name is already in use, no change is made to the current tab definition.

Use Caption to specify the value displayed on the tab item when rendered in the TabBar control.

Use Tag to specify a numeric value associated with the tab definition.

Use Data to store a TObject instance that can be used in conjunction with the tab definition.

Created with Doc-O-Matic.


See Also

TJvTabBarItems.Find, Caption, Tag, Data


TJvTabBarItem.OnGetEnabled event

TJvTabBarItem	See Also	Edit topic

Event handler signaled when reading the value of the Enabled property.

Pascal

TJvGetEnabledEvent = procedure (Sender: TJvTabBarItem; var Enabled: Boolean) of object;
property OnGetEnabled: TJvGetEnabledEvent;

Parameters

Enabled

Value derived in the event handler for the Enabled property.

Sender

Tab generating the event notification.

Description

OnGetEnabled is a TJvGetEnabledEvent property that represents the event handler signaled when reading the value for the Enabled property.

OnGetEnabled allows the application to implement code that is executed each time a value is read for the Enabled property. Applications must assign a procedure to the event handler to allow responding to the event notification. The procedure can be used to update the Enabled argument based on the logic required for the application.

When OnGetEnabled is unassigned, the unaltered value in the Enabled property is used.

Use OnGetModified to derive the value for the Modified property in the collection item.

Created with Doc-O-Matic.


See Also

TJvGetEnabledEvent, Enabled, Modified, OnGetModified


TJvTabBarItem.OnGetModified event

TJvTabBarItem	See Also	Edit topic

Event handler signaled when reading the value of the Modified property.

Pascal

TJvGetModifiedEvent = procedure (Sender: TJvTabBarItem; var Modified: Boolean) of object;
property OnGetModified: TJvGetModifiedEvent;

Parameters

Modified

Value derived in the event handler for the Modified property.

Sender

Collection item generating the event notification.

Description

OnGetModified is a TJvGetModifiedEvent property that represents the event handler signaled when reading the value for the Modified property.

OnGetModified allows the application to implement code that is executed each time a value is read for the Modified property. Applications must assign a procedure to the event handler to allow responding to the event notification. The procedure can be used to update the Modified argument based on the logic required for the application.

When OnGetModified is unassigned, the unaltered value in the Modified property is used.

Use OnGetEnabled to derive the value for the Enabled property in the collection item.

Created with Doc-O-Matic.


See Also

TJvGetModifiedEvent, Modified, OnGetEnabled, Enabled


TJvTabBarItem.PopupMenu property

TJvTabBarItem	See Also	Edit topic

Identifies the pop-up menu associated with the Tab in the TabBar control.

Pascal

property PopupMenu: TPopupMenu;

Description

PopupMenu is a TPopupMenu property that identifies the pop-up menu associated with the Tab in the TabBar control.

Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu’s AutoPopup property is true, the pop-up menu appears automatically. If the menu’s AutoPopup property is false, display the menu with a call to its Popup method from the TabBar control’s OnContextPopup event handler.

Assigning a new value to the PopupMenu property causes the associated TabBar control to update its' Notification list to reflect the change.

Please note that there is a potential conflict in handling right mouse button events when RightClickSelect for the TabBar control contains True and PopupMenu has been assigned for the TabBar control. In this situation, a right mouse button event occurring on the Tab cannot be properly resolved so no action is performed.

Created with Doc-O-Matic.


See Also

TJvTabBar, TJvTabBar.RightClickSelect


TJvTabBarItem.Selected property

TJvTabBarItem	See Also	Edit topic

Indicates if the tab is currently selected in the TabBar control.

Pascal

property Selected: Boolean;

Description

Selected is a Boolean property that indicates if the collection item is the currently selected tab in the TabBar control.

Reading the value in Selected checks to see if the selected tab in the TabBar control is the same as the current collection item.

Changing the value of the Selected property to True causes the SelectedTab in TJvTabBar to be updated to reflect the value of the collection item. Changing the value of the Selected property to False has no effect; another Tab must be selected in the TabBar control.

Selected is not a stored property. That is, the value of the property cannot be restored using the VCL component streaming mechanism and must be determined at run-time.

Use Enabled and OnGetEnabled to determine if the Tab is available for use in the TabBar control.

Use Visible to indicate if the Tab can be displayed in the TabBar control.

Use CanSelect to determine if a tab in the TabBar control is both Enabled and Visible.

Created with Doc-O-Matic.


See Also

TJvTabBar.SelectedTab, Enabled, OnGetEnabled, Visible, CanSelect


TJvTabBarItem.ShowHint property

TJvTabBarItem	See Also	Edit topic

Determines if the control displays a Help Hint when the mouse pointer rests momentarily on the Tab in the TabBar control.

Pascal

property ShowHint: Boolean;

Description

ShowHint is a Boolean property used to indicate if a Help Hint is displayed when the mouse pointer rests momentarily on the Tab in the TabBar control.

The Help Hint is the value of the Hint property, which is displayed in a box just beneath the control. Use ShowHint to determine whether a Help Hint appears for the control.

To enable Help Hint for a particular control, the application ShowHint property must be true and either the TabBar control’s own ShowHint property must be true, or the control’s ParentShowHint property must be true and its parent's ShowHint property must be true.

The default value for ShowHint is True, as assigned in the constructor for the collection item.

Created with Doc-O-Matic.


See Also

Hint, TJvTabBar.ShowHint


TJvTabBarItem.TabBar property

TJvTabBarItem	See Also	Edit topic

Control that owns the collection item.

Pascal

property TabBar: TJvCustomTabBar;

Description

TabBar is a read-only TJvCustomTabBar property that represents the control that owns the collection item. TabBar provides access to properties, methods, and events in the visual control when manipulating either the collection or the collection items in the Tab bar.

The value in TabBar is the same as the value specified in the TJvTabBarItems collection that owns the tab, and the visual control (TJvCustomTabBar) that owns the TJvTabBarItems collection.

Created with Doc-O-Matic.


See Also

TJvCustomTabBar, TJvTabBarItems


TJvTabBarItem.Tag property

TJvTabBarItem	Edit topic

Stores an integer value as part of the Tab bar item.

Pascal

property Tag: Integer;

Description

Tag is an Integer property used to store an arbitrary value to associate with the Tab definition in the TabBar control.

Tag has no predefined meaning. The Tag property is provided as a convenience for developers. It can be used for storing an additional integer value or it can be typecast to any 32-bit value such as a component reference or a pointer.

The default value for Tag is 0 (zero), as assigned in the constructor for the collection item.

Created with Doc-O-Matic.


TJvTabBarItem.Visible property

TJvTabBarItem	See Also	Edit topic

Indicates if the Tab can be drawn on the Tab bar control.

Pascal

property Visible: Boolean;

Description

Visible is a Boolean property that indicates if the Tab is currently available for drawing on the TJvTabBar control. In other words, it is not Hidden. The Tab may also become hidden when it has been closed and is pending destruction by the Tab bar control that owns the collection item.

The default value for Visible is True. When Visible contains False, the tab will not be drawn on the TJvTabBar control. Changing the value in Visible causes the OnChanged event handler for the TJvTabBar control to be signaled.

Enabled and Visible are used to determine if the tab can be selected at run-time using the TJvTabBar control.

Created with Doc-O-Matic.


See Also

TJvTabBarItem.Enabled, TJvTabBar


TJvTabBarItem.Assign method

TJvTabBarItem	See Also	Edit topic

Copies values into the current tab.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

Contains values to assign to the tab.

Description

Assign is an overridden procedure used to assign values from the persistent object specified in Source to the current collection item. When Source is a TJvTabBarItem descendant, the following properties are copied from Source to the current tab instance:

ImageIndex

Enabled

Visible

Tag

Data

Hint

ShowHint

Name

Caption

Modified

Images

If Source does not descend from TJvTabBarItem, the inherited Assign method is called using the value in Source.

Assign is used in the implementation of TJvTabBarItems to perform write access to the indexed Items property for the collection.

Created with Doc-O-Matic.


See Also

TJvTabBarItems.Items


TJvTabBarItem.CanSelect method

TJvTabBarItem	See Also	Edit topic

Indicates if the tab can become the selected tab in the tabbed-bar control.

Pascal

function CanSelect: Boolean;

Return Value

Boolean - True if the tab is visible and enabled in the tabbed-bar control.

Description

CanSelect is a Boolean function used to determine if the collection item can become the selected tab in the TabBar control. The return value for the function is derived by examining the Visible and Selected properties for the tab. When both properties contain True, the tab can become the selected tab in the TabBar control.

CanSelect is used when the selected tab on the TabBar control has changed, and a new tab needs to be drawn using the appropriate font, color, image, and close button. This occurs when the TabBar control calls its' private FindSelectableTab method or when assigning a new value to its' SelectedTab property.

Created with Doc-O-Matic.


See Also

TJvCustomTabBar.SelectedTab, Enabled, Visible, TabBar


TJvTabBarItem.GetImages method

TJvTabBarItem	See Also	Edit topic

Provides access to images drawn on tabs in the tabbed-bar control.

Pascal

function GetImages: TCustomImageList;

Return Value

TCustomImageList - Images to draw on tabs in the tabbed-bar control.

Description

GetImages is a TCustomImageList function used to access images to be drawn on the tabs in the TabBar control. The return value for the method is the value assigned to the TabBar.Images property, or Nil when an image list has not been assigned.

GetImages is used when tabs are drawn using the TJvTabBarPainter instances assigned to the TabBar control. The value in ImageIndex is used to access a specific TImage in the image list for the tabbed bar control. When ImageIndex contains -1 or GetImages returns Nil, no image will be drawn for the current tab definition. The value in Enabled is used to determine the drawing state for the image on the tab.

GetImages is also used when TJvTabBarPainter calculates the display width required for the tab, and adjusts the width to accommodate both the image from an assigned image list and the value in the Caption property.

Created with Doc-O-Matic.


See Also

ImageIndex, Enabled, Caption, TJvTabBarPainter, TJvModernTabBarPainter


TJvTabBarItem.GetNextVisible method

TJvTabBarItem	See Also	Edit topic

Locates a visible tab following the current tab in the tabbed-bar control.

Pascal

function GetNextVisible: TJvTabBarItem;

Return Value

TJvTabBarItem - Visible tab definition following the current tab.

Description

GetNextVisible is a TJvTabBarItem function used to find the tab following the current tab that can be displayed in the TabBar control.

GetNextVisible examines the TJvTabBarItem instances in TabBar.Tabs starting at the Index specified for the current tab definition. Moving in ascending order, it checks the value in the Visible property for the examined TJvTabBarItem instance. When a visible tab is located, it is used as the return value for the method. If no visible tab can be located following the current tab, the return value is Nil.

Created with Doc-O-Matic.


See Also

GetPreviousVisible, Index, Visible, TabBar, TJvTabBarItems


TJvTabBarItem.GetPreviousVisible method

TJvTabBarItem	See Also	Edit topic

Locates a visible tab prior to the current tab in the tabbed-bar control.

Pascal

function GetPreviousVisible: TJvTabBarItem;

Return Value

TJvTabBarItem - Visible tab definition prior to the current tab.

Description

GetPreviousVisible is a TJvTabBarItem function used to find the tab prior to the current tab that can be displayed in the TabBar control.

GetPreviousVisible examines the TJvTabBarItem instances in TabBar.Tabs starting at the Index specified for the current tab definition. Moving in reverse order, it checks the value in the Visible property for the examined TJvTabBarItem instance. When a visible tab is located, it is used as the return value for the method. If no visible tab can be located prior to the current tab, the return value is Nil.

Created with Doc-O-Matic.


See Also

GetNextVisible, Index, Visible, TabBar, TJvTabBarItems


TJvTabBarItem.MakeVisible method

TJvTabBarItem	See Also	Edit topic

Forces a tab onto the display area for the TabBar control.

Pascal

procedure MakeVisible;

Description

MakeVisible is a procedure used to force a tab onto the display area for the TabBar control. MakeVisible calls the same similarly named method for the TJvTabBar instance.

The values in both Visible and Enabled must contain True or no action is performed.

MakeVisible causes the display rectangles for tabs on the control to be recalculated and adjusted until the specified tab is with the display area for the TabBar. This includes scrolling the visible tabs until the target tab fits onto the display area. When necessary, the scroll buttons are updated and the TabBar control is redrawn.

The Tab can be scrolled into view and redrawn by setting the SelectedTab property in TJvTabBar.

Created with Doc-O-Matic.


See Also

TJvCustomTabBar.MakeVisible, TJvCustomTabBar.SelectedTab, Visible


TJvTabBarItems
JEDI-VCL Reference

TJvTabBarItems

Hierarchy	Properties	Methods	 See Also	Edit topic

Implements a collection for tabs in the TJvCustomTabBar control.

Pascal

TJvTabBarItems = class(TOwnedCollection);

File

JvTabBar

Description

TJvTabBarItems is a TOwnedCollection descendant that implements a container for tabs defined in the TJvCustomTabBar control.

TJvTabBarItems implements the following properties used to access tab definitions and the tabbed-bar control for the collection:

TabBar

Items

TJvTabBarItems implements the following methods used to search for tab definitions in the collection:

Find

IndexOf

TJvTabBarItems overrides the Notify method from the ancestor class to perform updates to the TabBar control when TJvTabBarItem instances are added, extracted, or deleted in the collection.

TJvTabBarItems is the type used to represent the Tabs property in TJvCustomTabBar.

Created with Doc-O-Matic.


TJvTabBarItems Properties

TJvTabBarItems	Legend

Properties

Items

 TabBar

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvTabBarItems Methods

TJvTabBarItems

Methods

IndexOf

Created with Doc-O-Matic.


Legend

TJvTabBarItems

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvTabBarItems


TJvTabBarItems Members

TJvTabBarItems	Legend

Members

Properties

Items

 TabBar

Methods

IndexOf

Legend

read only

Created with Doc-O-Matic.


Legend

read only


See Also

TJvTabBarItem, TJvCustomTabBar.Tabs


TJvTabBarItems.Items property

TJvTabBarItems	See Also	Edit topic

Provides indexed access to items in the collection.

Pascal

property Items [Index: Integer]: TJvTabBarItem;

Description

Items is an indexed TJvTabBarItem property that provides read and write access to the tabs defined in the collection using the ordinal position of the collection item. Writing a new value to a tab definition in Items cause the Assign method for the TJvTabBarItem instance to be called.

Items is the default property for the collection.

Use IndexOf to find the ordinal position of a specific TJvTabBarItem instance in the collection.

Created with Doc-O-Matic.


See Also

IndexOf, TJvTabBarItem.Assign


TJvTabBarItems.TabBar property

TJvTabBarItems	See Also	Edit topic

Provides access to the tab bar for items in the collection.

Pascal

property TabBar: TJvCustomTabBar;

Description

TabBar is a read-only TJvCustomTabBar property that provides access to the properties, methods, and events of the tabbed-bar control used to render tab items in the collection. TabBar is available in the identical property in TJvTabItem instances in the collection.

TabBar is used primarily the TJvTabBarPainter that renders tabs on the tabbed-bar control.

Created with Doc-O-Matic.


See Also

TJvCustomTabBar, TJvTabItem, TJvTabBarPainter, TJvModernTabBarPainter


TJvTabBarItems.IndexOf method

TJvTabBarItems	See Also	Edit topic

Not documented

Pascal

function IndexOf(Item: TJvTabBarItem): Integer;

Return Value

Integer - Ordinal position of the tab in the collection.

Parameters

Item: TJvTabBarItem

Tab definition to locate in the collection.

Description

IndexOf is an Integer function used to locate the ordinal position for the tab specified in Item in the collection. The return value is the zero-based position of the Item, or -1 when the specified Item cannot be located in the Items for the collection.

IndexOf performs a sequential search in the Items property to locate the specified value. When a match is found, the search and the method are exited.

Created with Doc-O-Matic.


See Also

Items, TJvTabItem


TJvTabBarPainter
JEDI-VCL Reference

TJvTabBarPainter

Hierarchy	 See Also	Edit topic

Specifies the interface used to render tabs defined for a TJvCustomTabBar control.

Pascal

TJvTabBarPainter = class(TComponent);

File

JvTabBar

Description

TJvTabBarPainter is a TComponent descendant that specified the interface for a class used to measure and render tabs defined in a TJvCustomTabBar control.

Methods specified in TJvTabBarPainter include the interface required to draw tabs using the background, divider, tab size, and other options on the TCanvas drawing surface for the tabbed-bar control.

Nearly all of the procedures and functions in TJvTabBarPainter are declared as abstract virtual methods. Applications do not create instances of TJvTabBarPainter; use a descendant class like TJvModernTabBarPainter which implements the abstract virtual methods as well as additional properties required for the specific rendering style.

TJvTabBarPainter does implement the Changed method used to trigger notification event required when the font, color, border or divider is changed for the rendering component.

TJvTabBarPainter is the type used for the TJvCustomTabBar.Painter property.

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvTabBarPainter


See Also

TJvCustomTabBar.Painter, TJvCustomTabBar.Tabs, TJvTabBarItems, TJvTabBarItem, Changed


TJvTextAttributes
JEDI-VCL Reference

TJvTextAttributes

Hierarchy	Properties	 See Also	Edit topic

Represents the font characteristics of a section of text in a rich edit control.

Pascal

TJvTextAttributes = class(TPersistent);

File

JvRichEdit

Description

TJvTextAttributes is a wrapper for the CHARFORMAT2 structure, that contains information about character formatting in a rich edit control. The TJvTextAttributes class is an extension of the TTextAttributes class, i.e., it can do the same and more:

New properties that affects the text represented by the TJvTextAttributes:

Property	Description
BackColor	Sets the background color of the text.
Disabled	Enables or disables the text. If the text is disabled, it can't be changed by the user.
Hidden	Hides the text for the user.
Link	Indicates whether the text is a link. If the user clicks such link an OnURLClick event is fired.
Offset	Specifies the character Offset from the baseline, in points.
RevAuthorIndex	Identifies the author making a revision.
SubscriptStyle	Changes the text's font to normal, superscript or subscript.
UnderlineType	Underlines the text.
Created with Doc-O-Matic.


TJvTextAttributes Properties

TJvTextAttributes	Legend

Properties

BackColor

Bold

Charset

Color

 ConsistentAttributes

Disabled

Height

Hidden

Italic

Link

Name

Offset

Pitch

Protected

RevAuthorIndex

Size

StrikeOut

Style

SubscriptStyle

Underline

UnderlineColor

UnderlineType

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvTextAttributes

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTextAttributes


TJvTextAttributes Members

TJvTextAttributes	Legend

Members

Properties

BackColor

Bold

Charset

Color

 ConsistentAttributes

Disabled

Height

Hidden

Italic

Link

Name

Offset

Pitch

Protected

RevAuthorIndex

Size

StrikeOut

Style

SubscriptStyle

Underline

UnderlineColor

UnderlineType

Legend

read only

Created with Doc-O-Matic.


Legend

read only


See Also

TJvRichEdit


TJvTextAttributes.BackColor property

TJvTextAttributes	See Also	Edit topic

Indicates the background color of the text.

Pascal

property BackColor: TColor;

Description

Use BackColor to specify the background color of the text. Set BackColor to clDefault to set the color to the default color: clWindow.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Color, TJvTextAttributes.ConsistentAttributes


TJvTextAttributes.Bold property

TJvTextAttributes	Edit topic

Not documented

Pascal

property Bold: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTextAttributes.Charset property

TJvTextAttributes	See Also	Edit topic

Specifies the character set of the font.

Pascal

property Charset: TFontCharset;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Name


TJvTextAttributes.Color property

TJvTextAttributes	See Also	Edit topic

Indicates the foreground color of the text.

Pascal

property Color: TColor;

Description

Use Color to specify the foreground color of the text. Set Color clDefault to set the color to the default color: clWindowText.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.BackColor, TJvTextAttributes.ConsistentAttributes


TJvTextAttributes.ConsistentAttributes property

TJvTextAttributes	See Also	Edit topic

Indicates which of the properties of the TJvTextAttributes object are consistent throughout the text of the current selection in the rich edit object.

Pascal

property ConsistentAttributes: TJvConsistentAttributes;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.BackColor, TJvTextAttributes.Color, TJvTextAttributes.Disabled, TJvTextAttributes.Hidden, TJvTextAttributes.Link, TJvTextAttributes.Name, TJvTextAttributes.Protected, TJvTextAttributes.Size, TJvTextAttributes.Style


TJvTextAttributes.Disabled property

TJvTextAttributes	See Also	Edit topic

Indicates whether the text represented by the TJvTextAttributes object is disabled.

Pascal

property Disabled: Boolean;

Description

Disabled text is displayed with a shadow that is Offset by 3/4 point or one pixel, whichever is larger.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Hidden, TJvTextAttributes.Link, TJvTextAttributes.Protected, TJvTextAttributes.Style


TJvTextAttributes.Height property

TJvTextAttributes	See Also	Edit topic

Specifies the height of the font in pixels.

Pascal

property Height: Integer;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.ConsistentAttributes, TJvTextAttributes.Size


TJvTextAttributes.Hidden property

TJvTextAttributes	See Also	Edit topic

Indicates whether the text represented by the TJvTextAttributes object is hidden.

Pascal

property Hidden: Boolean;

Description

Hidden text is not displayed.

Notes

Rich Edit 3.0.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Disabled, TJvTextAttributes.Link, TJvTextAttributes.Protected, TJvTextAttributes.Style


TJvTextAttributes.Italic property

TJvTextAttributes	Edit topic

Not documented

Pascal

property Italic: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTextAttributes.Link property

TJvTextAttributes	See Also	Edit topic

Indicates whether the text represented by the TJvTextAttributes object is a link.

Pascal

property Link: Boolean;

Description

Text that represents a link is underlined and colored blue. If the user clicks on the link text an OnURLClick event is fired.

If you want to set the Link property for specific text, then AutoURLDetect must be set to false. When AutoURLDetect is set to true, the rich edit control applies and removes the link property to specific text automatically.

Note that the link is not persistent, ie. if you save the text to a (RTF) file the links will not be saved.

You could also insert a link by inserting RTF codes. Such a link will also not be saved for rich edit dll version 3.0 and below, but it will be saved for rich edit dll version 4.0 and up.

  const

    cHyperlink = '{\rtf1{\field {\*\fldinst {HYPERLINK "%s" }}{\fldrslt {\ul %s }}}}';

  var

    S: string;

    Stream: TStream;

  begin

    S := Format(cHyperLink, ['http://jvcl.sourceforge.net', 'JVCL']);

    Stream := TMemoryStream.Create;

    try

      Stream.Write(PChar(S)^, Length(S));

      Stream.Position := 0;

      JvRichEdit1.StreamFormat := sfRichText;

      JvRichEdit1.StreamMode := [smSelection, smPlainRtf];

      JvRichEdit1.Lines.LoadFromStream(Stream);

      { Don't forget to clear the smSelection flag: normally we want to save

         the whole text, and such a flag is easily forgotten }

      JvRichEdit1.StreamMode := [];

    finally

      Stream.Free;

    end;

  end;

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnURLClick, TJvTextAttributes.Disabled, TJvTextAttributes.Hidden, TJvTextAttributes.Protected, TJvTextAttributes.Style


TJvTextAttributes.Name property

TJvTextAttributes	See Also	Edit topic

Specifies the typeface of the font described by the TJvTextAttributes object.

Pascal

property Name: TFontName;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Charset, TJvTextAttributes.ConsistentAttributes, TJvTextAttributes.Pitch


TJvTextAttributes.Offset property

TJvTextAttributes	See Also	Edit topic

Specifies the character Offset from the baseline, in points.

Pascal

property Offset: Integer;

Description

Use Offset to specify the character Offset from the baseline in points. If the value of Offset is positive, the character is a superscript; if the value is negative, the character is a subscript.

Alternatively, you can use property SubscriptStyle to specify whether the text is made of subscript and superscript characters. Note (= is equals; ~ is approx.)

1 point = 20 twips. (A twip is a TWenthIeth of a Point)

For printing:

72 points = 1 physical inch.

1440 twips = 1 physical inch.

1 inch ~ 25,40 mm, thus

2,83 points ~ 1 mm

56,7 twips ~ 1 mm

For screen:

72 points ~ 1 logical inch.

1440 twips ~ 1 logical inch.

The relation between a logical inch and a physical inch depends on your monitor/video driver. Windows typically uses 96 pixels per logical inch for small fonts and 120 pixels per logical inch for large fonts. So, if 1 logical inch = 96 pixels, then

1 pixel = 1/96 logical inch ~ 1440/96 twips = 15 twips = 3/4 point.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.SubscriptStyle


TJvTextAttributes.Pitch property

TJvTextAttributes	See Also	Edit topic

Specifies whether the characters in the font all have the same width.

Pascal

property Pitch: TFontPitch;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Name


TJvTextAttributes.Protected property

TJvTextAttributes	See Also	Edit topic

Indicates whether the text represented by the TJvTextAttributes object is protected.

Pascal

property Protected: Boolean;

Description

Protected text can’t be changed by the user. When the user attempts to edit a selection that includes protected text, the rich edit control calls the OnProtectChangeEx event handler. The OnProtectChangeEx event handler can then permit or disallow the editing of the protected text. If there is no OnProtectChange or OnProtectChangeEx event handler, protected text is read-only.

Created with Doc-O-Matic.


See Also

TJvCustomRichEdit.OnProtectChange, TJvCustomRichEdit.OnProtectChangeEx, TJvTextAttributes.ConsistentAttributes, TJvTextAttributes.Disabled, TJvTextAttributes.Hidden, TJvTextAttributes.Link, TJvTextAttributes.Style


TJvTextAttributes.RevAuthorIndex property

TJvTextAttributes	Edit topic

Identifies the author making a revision.

Pascal

property RevAuthorIndex: Byte;

Description

An index that identifies the author making a revision. The rich edit control uses different text colors for each different author index.

Created with Doc-O-Matic.


TJvTextAttributes.Size property

TJvTextAttributes	See Also	Edit topic

Specifies the height of the font in points.

Pascal

property Size: Integer;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.ConsistentAttributes, TJvTextAttributes.Height


TJvTextAttributes.StrikeOut property

TJvTextAttributes	Edit topic

Not documented

Pascal

property StrikeOut: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTextAttributes.Style property

TJvTextAttributes	See Also	Edit topic

Determines whether the font is normal, italic, underlined, bold, or strikeout.

Pascal

property Style: TFontStyles;

Description

See Delphi help for more info.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Disabled, TJvTextAttributes.Hidden, TJvTextAttributes.Link, TJvTextAttributes.Protected


TJvTextAttributes.SubscriptStyle property

TJvTextAttributes	See Also	Edit topic

Determines whether the font is normal, superscript or subscript.

Pascal

property SubscriptStyle: TSubscriptStyle;

Description

Use SubscriptStyle to specify whether the font is normal, superscript or subscript. If you specify ssSubscript or ssSuperscript for SubscriptStyle, the control automatically calculates a value for property Offset and a smaller font size.

Alternatively, you can use the Height and Offset properties to explicitly specify font size and Offset for subscript and superscript characters.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.Height, TJvTextAttributes.Offset


TJvTextAttributes.Underline property

TJvTextAttributes	Edit topic

Not documented

Pascal

property Underline: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTextAttributes.UnderlineColor property

TJvTextAttributes	See Also	Edit topic

Determines in which color the text is underlined.

Pascal

property UnderlineColor: TUnderlineColor;

Description

Use UnderlineColor to specify in which color the text is underlined. Use UnderlineType to specify how and whether the text is underlined.

Notes

If you stream out the text as RTF, underlined text with a color other than ucBlack is streamed out as non underlined text.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.UnderlineType


TJvTextAttributes.UnderlineType property

TJvTextAttributes	See Also	Edit topic

Determines whether and how the text is underlined.

Pascal

property UnderlineType: TUnderlineType;

Description

Use UnderlineType to specify how and whether the text is underlined. Use UnderlineColor to specify in which color the text is underlined.

Created with Doc-O-Matic.


See Also

TJvTextAttributes.UnderlineColor


TJvTextConversion
JEDI-VCL Reference

TJvTextConversion

Hierarchy	Properties	Methods	Events	 Edit topic

Reads or writes plain text.

Pascal

TJvTextConversion = class(TJvStreamConversion);

File

JvRichEdit

Description

The TJvTextConversion is an "empty" converter used to read or write to text files. Empty means that TJvTextConversion does not perform any conversion of the plain text it imports or exports.

Created with Doc-O-Matic.


TJvTextConversion Methods

TJvTextConversion	Legend

Methods

 CanHandle

 Filter

 TextKind

TJvStreamConversion

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvTextConversion Properties

TJvTextConversion	Legend

Properties

TJvStreamConversion

 Stream

TJvConversion

 ParentWindow

 PercentDone

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvTextConversion Events

TJvTextConversion

Events

TJvConversion

OnProgress

Created with Doc-O-Matic.


Legend

TJvTextConversion

Legend

virtual

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvConversion
        TJvStreamConversion
            TJvTextConversion


TJvTextConversion Members

TJvTextConversion	Legend

Members

Methods

 CanHandle

 Filter

 TextKind

TJvStreamConversion

 ConvertRead

 ConvertWrite

 Done

 Open

 Retry

TJvConversion

 CanHandle

 ConvertRead

 ConvertWrite

 Done

 Error

 ErrorStr

 Filter

 Init

 IsFormatCorrect

 Open

 Retry

 TextKind

 UserCancel

Properties

TJvStreamConversion

 Stream

TJvConversion

 ParentWindow

 PercentDone

Events

TJvConversion

OnProgress

Legend

virtual

read only

Created with Doc-O-Matic.


Legend

virtual

read only


TJvTextConversion.CanHandle method

TJvTextConversion	See Also	Edit topic

Returns whether the converter can import or export files.

Pascal

function CanHandle(const AExtension: string; const AKind: TJvConversionKind): Boolean; override;

Return Value

Returns true if the converter can handle this extension, false otherwise.

Parameters

AExtension

The extension of the file to import or export. The extension must be in lowercase.

AKind

Indicates whether to import or export.

Description

Call CanHandle to determine whether the converter can import or export files or streams, or whether the converter can import or export files with an extension as specified by AExtension.

TJvRichEdit will call CanHandle to determine whether the converter can either import or export files and streams, and whether it can import or export files with a particular extension.

As implemented in TJvConversion, CanHandle always returns true. Override this method in a descendant class to indicate that the converter can only operate on files with a particular extension.

Created with Doc-O-Matic.


See Also

IsFormatCorrect


TJvTextConversion.Filter method

TJvTextConversion	Edit topic

Returns the file mask of the converter.

Pascal

function Filter: string; override;

Return Value

Returns the file masks of the registered converters.

Description

Call Filter to retrieve a file mask of the files that can be imported or exported by the converter. For example, you can use the return value of a Filter call to set the Filter property of a TOpenDialog component.

As implemented in TJvConversion, Filter always returns an empty string. Override this method in a descendant class to return a meaningful value.

Created with Doc-O-Matic.


TJvTextConversion.TextKind method

TJvTextConversion	Edit topic

Returns the preferred source or target format of the rich edit content.

Pascal

function TextKind: TJvConversionTextKind; override;

Return Value

Returns the preferred source or target format of the rich edit content.

Description

TJvRichEdit calls TextKind to determine what format the converter prefers the content of the rich edit to be.

Created with Doc-O-Matic.


TJvTextListBox
JEDI-VCL Reference

 TJvTextListBox

Hierarchy	Properties	Events	Package	 Edit topic

Not documented

Pascal

TJvTextListBox = class(TJvExCustomListBox);

File

JvTextListBox

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTextListBox Properties

TJvTextListBox	Legend

Properties

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvTextListBox Events

TJvTextListBox	Legend

Events

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvTextListBox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TCustomListBox, IJvExControl
        TJvExCustomListBox
            TJvTextListBox


TJvTextListBox Members

TJvTextListBox	Legend

Members

Properties

TJvExCustomListBox

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

TJvExCustomListBox

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvTextMargins
JEDI-VCL Reference

TJvTextMargins

Hierarchy	Properties	 See Also	Edit topic

Controls the indentation of the text on a control.

Pascal

TJvTextMargins = class(TPersistent);

File

JvStaticText

Description

Use TJvTextMargins to specify the indentation of the text on a control.

Property X specifies the horizontally margin between the left or right edge of the caption and the control, depending on the value of Alignment. Property Y specifies the vertically margin between the top or bottom edge of the caption and the control, depending on the value of LayOut.

Created with Doc-O-Matic.


TJvTextMargins Properties

TJvTextMargins	Legend

Properties

 X

 Y

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvTextMargins

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTextMargins


TJvTextMargins Members

TJvTextMargins	Legend

Members

Properties

 X

 Y

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvCustomStaticText.Alignment, TJvCustomStaticText.Layout


TJvTextMargins.X property

TJvTextMargins	See Also	Edit topic

Specifies the horizontally number of pixels between the edge of the control and the caption drawn on its surface.

Pascal

property X: Word;

Description

Use X to specify the indentation of the the text specified by the Caption property. The edges that X separates depends on the Alignment property. If Alignment is taLeftJustify, the margin appears between the left edge of the caption and the left edge of the control. If Layout is taRightJustify, the margin separates the right edges.

If Layout is taCenter the value of X is ignored.

Created with Doc-O-Matic.


See Also

TJvCustomStaticText.Alignment, TJvTextMargins.Y


TJvTextMargins.Y property

TJvTextMargins	See Also	Edit topic

Specifies the vertically number of pixels between the edge of the control and the caption drawn on its surface.

Pascal

property Y: Word;

Description

Use Y to specify the indentation of the the text specified by the Caption property. The edges that Y separates depends on the LayOut property. If Layout is tlTop, the margin appears between the top edge of the caption and the top edge of the control. If Layout is tlBottom, the margin separates the bottom edges.

If Layout is tlCenter the value of Y is ignored.

Created with Doc-O-Matic.


See Also

TJvCustomStaticText.Layout, TJvTextMargins.X


TJvTFAppt
JEDI-VCL Reference

TJvTFAppt

Hierarchy	Properties	Methods	 Edit topic

Stores information about an appointment.

Pascal

TJvTFAppt = class(TPersistent);

File

JvTFManager

Description

The TJvTFAppt object is used to store information about an appointment within the server. Normally the server completely maintains each appointment it contains, which includes creation, destruction, and indexing for contained TJvTFSched objects.

The TJvTFAppt object provides you with several properties that you can use to define the appointment. There are also several methods you may use to manipulate the object.

Created with Doc-O-Matic.


TJvTFAppt Properties

TJvTFAppt	Legend

Properties

 AlarmAdvance

 AlarmEnabled

 BarColor

 Color

 Connections

 Data

 Description

 Destroying

 EndDate

 EndDateTime

 EndTime

 Glyph

 ID

ImageMap

 Persistent

Refreshed

 ScheduleManager

 Schedules

 StartDate

 StartDateTime

 StartTime

 Updating

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvTFAppt Methods

TJvTFAppt

Methods

AddSchedule

AssignSchedules

BeginUpdate

ClearSchedules

ConnectionCount

Delete

EndUpdate

IndexOfSchedule

Modified

Post

Refresh

RefreshControls

RemoveSchedule

ScheduleCount

SetModified

SetStartEnd

Shared

Created with Doc-O-Matic.


Legend

TJvTFAppt

Legend

published

read only

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTFAppt


TJvTFAppt Members

TJvTFAppt	Legend

Members

Properties

 AlarmAdvance

 AlarmEnabled

 BarColor

 Color

 Connections

 Data

 Description

 Destroying

 EndDate

 EndDateTime

 EndTime

 Glyph

 ID

ImageMap

 Persistent

Refreshed

 ScheduleManager

 Schedules

 StartDate

 StartDateTime

 StartTime

 Updating

Methods

AddSchedule

AssignSchedules

BeginUpdate

ClearSchedules

ConnectionCount

Delete

EndUpdate

IndexOfSchedule

Modified

Post

Refresh

RefreshControls

RemoveSchedule

ScheduleCount

SetModified

SetStartEnd

Shared

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvTFAppt.AlarmAdvance property

TJvTFAppt	Edit topic

Indicates when the alarm should be triggered.

Pascal

property AlarmAdvance: Integer;

Description

Set the AlarmAdvance property to indicate the number of minutes before the appointment is scheduled to start that the alarm should fire. Note that currently alarm functionality is not native to the JTF suite. Example:

  Appointment starts at 10:00am.

  AlarmAdvance is set to 15.

  Alarm should fire at 9:45am.

Created with Doc-O-Matic.


TJvTFAppt.AlarmEnabled property

TJvTFAppt	Edit topic

Controls whether alarms are active or not.

Pascal

property AlarmEnabled: Boolean;

Description

Set the AlarmEnabled property to True if an alarm should fire before the appointment is scheduled to begin. Note that currently alarm functionality is not included in the JTF suite.

Created with Doc-O-Matic.


TJvTFAppt.BarColor property

TJvTFAppt	See Also	Edit topic

Controls the color of the bar.

Pascal

property BarColor: TColor;

Description

Use this property to specify the color of the bar for an individual appointment. The default value for this property is clDefault. If this property is set to clDefault, the JvTFDays control will use the color specified by the ApptBar.Color property when drawing the appointment bar. By setting this property to a value other than clDefault, you are in effect, overriding the ApptBar.Color property.

Created with Doc-O-Matic.


See Also

TJvTFAppt.Color


TJvTFAppt.Color property

TJvTFAppt	See Also	Edit topic

Specifies the background color of the appointment.

Pascal

property Color: TColor;

Description

Use the Color property of TJvTFAppt to set the background color of an appointment, specific to that appointment.

The default value for this property is clDefault. When this property is set to clDefault, the JvTFDays control will use the color specified in the ApptAttr.Color property. In short, by specifying any value other than clDefault for this property you are "overriding" the color specified in the ApptAttr.Color property for an individual appointment.

Use TJvTFDays.GetApptDispColor to easily determine the background color of an appointment drawn in the JvTFDays control.

Created with Doc-O-Matic.


See Also

GetApptDispColor


TJvTFAppt.Connections property

TJvTFAppt	See Also	Edit topic

Returns a TJvTFSched object to which the appointment is connected.

Pascal

property Connections [Index: Integer]: TJvTFSched;

Description

Note that a "connection" signifies that the appointment belongs to a schedule that is currently loaded in the server and is represented by a TJvTFSched object. A "schedule" signifies that the appointment belongs to a schedule that may or may not currently reside in the server. A schedule is represented by a name and a date. See the Schedules property for more info.

Created with Doc-O-Matic.


See Also

TJvTFAppt.ConnectionCount, TJvTFAppt.Schedules


TJvTFAppt.Data property

TJvTFAppt	Edit topic

Provides space for storing custom data.

Pascal

property Data: Integer;

Description

You can use the Data property to attach custom data to an appointment. Most likely, you will define a TObject to hold the additional data and then typecast this property into a TObject, but it has been implemented as an Integer for added flexibility.

If you store additional data by using a TObject, you should use the TJvTFScheduleManager.OnCreateAppt and the TJvTFScheduleManager.OnDestroyAppt events to create and destroy your object.

Created with Doc-O-Matic.


TJvTFAppt.Description property

TJvTFAppt	Edit topic

Specifies the description of the appointment.

Pascal

property Description: string;

Description

This property specifies the description of the appointment.

Created with Doc-O-Matic.


TJvTFAppt.Destroying property

TJvTFAppt	Edit topic

Not documented

Pascal

property Destroying: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTFAppt.EndDate property

TJvTFAppt	See Also	Edit topic

Specifies the ending date of the appointment.

Pascal

property EndDate: TDate;

Description

Note that this property is read-only. You should set the start and end info by using the SetStartEnd method.

Created with Doc-O-Matic.


See Also

TJvTFAppt.EndDateTime, TJvTFAppt.EndTime, TJvTFAppt.SetStartEnd


TJvTFAppt.EndDateTime property

TJvTFAppt	See Also	Edit topic

Specifies the ending date and time of the appointment.

Pascal

property EndDateTime: TDateTime;

Description

Note that this property is read-only. You should set the start and end info by using the SetStartEnd method.

Created with Doc-O-Matic.


See Also

TJvTFAppt.EndDate, TJvTFAppt.EndTime, TJvTFAppt.SetStartEnd


TJvTFAppt.EndTime property

TJvTFAppt	See Also	Edit topic

Specifies the end time of the appointment.

Pascal

property EndTime: TTime;

Description

Note that this property is read-only. You should set the start and end info by using the SetStartEnd method.

Created with Doc-O-Matic.


See Also

TJvTFAppt.EndDate, TJvTFAppt.EndDateTime, TJvTFAppt.SetStartEnd


TJvTFAppt.Glyph property

TJvTFAppt	Edit topic

Not documented

Pascal

property Glyph: TPicture;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTFAppt.ID property

TJvTFAppt	Edit topic

A unique identifier for the item.

Pascal

property ID: string;

Description

The ID property contains a string that uniquely identifies an appointment. The ID is set when the appointment object is initially created. If an ID is not provided by you (using the TJvTFScheduleManager.RequestAppt or TJvTFScheduleManager.dbNewAppt methods) the server will generate a unique ID for you.

If you do specify an ID, it is your responsibility to guarantee that it is unique among all appointments, whether or not they are currently loaded into the server.

The server automatically generates IDs using the TJvTFScheduleManager.GenerateApptID class function.

Created with Doc-O-Matic.


TJvTFAppt.ImageMap property

TJvTFAppt	Edit topic

Provides space for custom images.

Pascal

property ImageMap: TJvTFCustomImageMap;

Description

Use this property to embed custom images into the appointment which are specific to the appointment. See TJvTFCustomImageMap for more info.

Note that the TJvTFCustomImageMap stored in this property refers to images stored in the TImageList specified in TJvTFScheduleManager.CustomImages.

Created with Doc-O-Matic.


TJvTFAppt.Persistent property

TJvTFAppt	Edit topic

Determines whether the appointment is cached or not.

Pascal

property Persistent: Boolean;

Description

The caching mechanism will not flush the appointment from memory if Persistent is set to True.

Created with Doc-O-Matic.


TJvTFAppt.Refreshed property

TJvTFAppt	Edit topic

Determines whether the object has been refreshed.

Pascal

property Refreshed: Boolean;

Description

This property specifies whether or not the appt object has been refreshed. Please see "Refresh Reconciliation" for more information.

Notes

This property is ignored if TJvTFScheduleManager.RefreshAutoReconcile is set to False.

Created with Doc-O-Matic.


TJvTFAppt.ScheduleManager property

TJvTFAppt	See Also	Edit topic

Points to the schedule manager for the component.

Pascal

property ScheduleManager: TJvTFScheduleManager;

Description

Use ScheduleManager to access the schedule manager for this component.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager


TJvTFAppt.Schedules property

TJvTFAppt	See Also	Edit topic

Provides indexed access to the schedules that contain the appointment.

Pascal

property Schedules [Index: Integer]: string;

Description

The Schedules property is a list of names for all of the schedules that contain this appointment. (The schedule date(s) are specified by StartDate and EndDate.)

Note that a "connection" signifies that the appointment belongs to a schedule that is currently loaded in the server and is represented by a TJvTFSched object. A "schedule" signifies that the appointment belongs to a schedule that may or may not currently reside in the server. A schedule is represented by a name and a date. See the Connections property for more info.

Created with Doc-O-Matic.


See Also

TJvTFAppt.Connections, TJvTFAppt.ScheduleCount


TJvTFAppt.StartDate property

TJvTFAppt	See Also	Edit topic

Specifies the starting date of the appointment.

Pascal

property StartDate: TDate;

Description

Note that this property is read-only. You should set the start and end info by using the SetStartEnd method.

Created with Doc-O-Matic.


See Also

TJvTFAppt.SetStartEnd, TJvTFAppt.StartDateTime, TJvTFAppt.StartTime


TJvTFAppt.StartDateTime property

TJvTFAppt	See Also	Edit topic

Specifies the starting date and time of the appointment.

Pascal

property StartDateTime: TDateTime;

Description

Note that this property is read-only. You should set the start and end info by using the SetStartEnd method.

Created with Doc-O-Matic.


See Also

TJvTFAppt.SetStartEnd, TJvTFAppt.StartDate, TJvTFAppt.StartTime


TJvTFAppt.StartTime property

TJvTFAppt	See Also	Edit topic

Specifies the starting time of the appointment.

Pascal

property StartTime: TTime;

Description

Note that this property is read-only. You should set the start and end info by using the SetStartEnd method.

Created with Doc-O-Matic.


See Also

TJvTFAppt.SetStartEnd, TJvTFAppt.StartDate, TJvTFAppt.StartDateTime


TJvTFAppt.Updating property

TJvTFAppt	See Also	Edit topic

Determines if the appointment is currently being updated.

Pascal

property Updating: Boolean;

Description

This property will be True when an appointment is being loaded or refreshed, or between a BeginUpdate/EndUpdate pair.

Created with Doc-O-Matic.


See Also

TJvTFAppt.BeginUpdate, TJvTFAppt.EndUpdate


TJvTFAppt.AddSchedule method

TJvTFAppt	Edit topic

Adds the appointment to a schedule.

Pascal

procedure AddSchedule(const SchedName: string);

Parameters

const SchedName: string

Name of the schedule.

Description

Use the AddSchedule method to add the appointment to the schedule specified in SchedName. An appointment can be added to multiple schedules, which is called "sharing".

Created with Doc-O-Matic.


TJvTFAppt.AssignSchedules method

TJvTFAppt	Edit topic

Adds the appointment to multiple schedules.

Pascal

procedure AssignSchedules(List: TStrings);

Parameters

List: TStrings

List with names of schedules the appointment belongs to.

Description

Use the AssignSchedules method to add the appointment to multiple schedules with one call. List should contain the names of all of the schedules that the appointment belongs to. AssignSchedules will overwrite the current Schedules list.

Created with Doc-O-Matic.


TJvTFAppt.BeginUpdate method

TJvTFAppt	See Also	Edit topic

Suspends updating.

Pascal

procedure BeginUpdate;

Description

Calling this method before you change one or more of the appt's properties prevents the OnPostApptQuery/OnPostAppt events from being fired. This is handy if you need to change more than one property at a time. Be sure to call EndUpdate when you are done modifying the properties.

Note that you do not have to call BeginUpdate/EndUpdate when the appointment is being loaded or refreshed.

Created with Doc-O-Matic.


See Also

TJvTFAppt.EndUpdate


TJvTFAppt.ClearSchedules method

TJvTFAppt	Edit topic

Removes the appointment from all schedules.

Pascal

procedure ClearSchedules;

Description

Call the ClearSchedules method to remove all of the schedules from the appointment.

Created with Doc-O-Matic.


TJvTFAppt.ConnectionCount method

TJvTFAppt	See Also	Edit topic

The number of maintained connections.

Pascal

function ConnectionCount: Integer;

Description

Returns the number of TJvTFSched objects stored in the Connections list.

Created with Doc-O-Matic.


See Also

TJvTFAppt.Connections


TJvTFAppt.Delete method

TJvTFAppt	Edit topic

Removes the appointment.

Pascal

procedure Delete;

Description

This method will completely remove the appointment from the scheduling system. This method calls TJvTFScheduleManager.dbDeleteAppt, which eventually fires the TJvTFScheduleManager.OnDeleteAppt event. (You would implement a handler for the OnDeleteAppt event that would remove the appointment data from your physical data storage backend.)

Created with Doc-O-Matic.


TJvTFAppt.EndUpdate method

TJvTFAppt	See Also	Edit topic

Resumes updating.

Pascal

procedure EndUpdate;

Description

Calling this method after a call to BeginUpdate signifies that you are done updating the appt. properties and TJvTFScheduleManager will fire the OnPostApptQuery/OnPostAppt events.

Created with Doc-O-Matic.


See Also

TJvTFAppt.BeginUpdate


TJvTFAppt.IndexOfSchedule method

TJvTFAppt	See Also	Edit topic

Returns the index of the name of a schedule stored in the Schedules list.

Pascal

function IndexOfSchedule(const SchedName: string): Integer;

Return Value

The index in Schedule where SchedName is located or -1 if SchedName is not found.

Parameters

const SchedName: string

Name of the schedule to find. Not case-sensitive.

Description

Call IndexOfSchedule to get the index of SchedName in Schedules.

Created with Doc-O-Matic.


See Also

TJvTFAppt.Schedules


TJvTFAppt.Modified method

TJvTFAppt	Edit topic

Determines if the appointment has been modified or not.

Pascal

function Modified: Boolean; dynamic;

Description

Returns True if the appointment information has changed since it was last posted, false otherwise.

Created with Doc-O-Matic.


TJvTFAppt.Post method

TJvTFAppt	Edit topic

Saves the appointment.

Pascal

procedure Post;

Description

Use this method to save changes to the appointment's data to your physical data storage backend. This method calls TJvTFScheduleManager.dbPostAppt, which eventually fires the TJvTFScheduleManager.OnPostAppt event. (You would implement a handler for the OnPostAppt event that would change the physical data stored for the appointment.)

Created with Doc-O-Matic.


TJvTFAppt.Refresh method

TJvTFAppt	Edit topic

Rereads data from storage.

Pascal

procedure Refresh;

Description

Call this method when you need to make the data in memory reflects the data on the disk. This method calls TJvTFScheduleManager.dbRefreshAppt, which eventually fires the TJvTFScheduleManager.OnRefreshAppt event. (You would implement a handler for the OnRefreshAppt event to "reload" the appointment data in memory from the data stored on disk.)

Created with Doc-O-Matic.


TJvTFAppt.RefreshControls method

TJvTFAppt	Edit topic

Updates all linked controls with new data.

Pascal

procedure RefreshControls;

Description

Call this method to cause all controls that display the appointment to be redrawn to reflect recent changes. You should not have to call this method, as the server should refresh its controls as needed.

Created with Doc-O-Matic.


TJvTFAppt.RemoveSchedule method

TJvTFAppt	See Also	Edit topic

Removes the appointment from a schedule.

Pascal

procedure RemoveSchedule(const SchedName: string);

Parameters

const SchedName: string

Name of the schedule to remove.

Description

Use the RemoveSchedule method to remove the schedule specified by SchedName from the appointment's Schedules list.

Created with Doc-O-Matic.


See Also

TJvTFAppt.Schedules


TJvTFAppt.ScheduleCount method

TJvTFAppt	See Also	Edit topic

Returns the number of schedules in the component's Schedules list.

Pascal

function ScheduleCount: Integer;

Description

Use ScheduleCount to determine number of schedules in the list

Created with Doc-O-Matic.


See Also

TJvTFAppt.Schedules


TJvTFAppt.SetModified method

TJvTFAppt	See Also	Edit topic

Causes Modified to return true.

Pascal

procedure SetModified;

Description

Call SetModified to cause the Modified method to return True. This method will come in handy if you attach custom data to the appointment via the Data property. When your custom data changes, you can call SetModified to signal that the appointment's data has changed.

Created with Doc-O-Matic.


See Also

TJvTFAppt.Modified


TJvTFAppt.SetStartEnd method

TJvTFAppt	Edit topic

Sets new start and end values for the appointment.

Pascal

procedure SetStartEnd(NewStartDate: TDate; NewStartTime: TTime; NewEndDate: TDate; NewEndTime: TTime);

Parameters

NewStartDate: TDate

The date when the appointment should start.

NewStartTime: TTime

The time when the appointment should start.

NewEndDate: TDate

The date when the appointment should end.

NewEndTime: TTime

The time when the appointment should end.

Description

Use the SetStartEnd method to set the start and end information of the appointment. Valid parameters are as follows:

1.	NewStartDate must fall on or before NewEndDate

2.	If NewStartDate = NewEndDate then NewStartTime must be before NewEndTime

Created with Doc-O-Matic.


TJvTFAppt.Shared method

TJvTFAppt	See Also	Edit topic

Determines whether the appointment is shared between several Schedules or not.

Pascal

function Shared: Boolean;

Description

Returns True if ScheduleCount > 1, False otherwise.

Created with Doc-O-Matic.


See Also

TJvTFAppt.ScheduleCount


TJvTFComponent
JEDI-VCL Reference

TJvTFComponent

Hierarchy	Properties	Methods	 Edit topic

Base class of all JvTFComponents.

Pascal

TJvTFComponent = class(TJvComponent);

File

JvTFManager

Description

This class manages most of the communication that takes place between a JvTFComponent and its server.

You should never create an instance of TJvTFComponent, but rather derive a new component from the TJvTFComponent class and override methods as necessary.

All non-visual components that need to connect to the server should be derived from TJvTFComponent. Any visual control that needs to connect to the server should be derived from TJvTFControl.

Created with Doc-O-Matic.


TJvTFComponent Properties

TJvTFComponent	Legend

Properties

 DateFormat

 ScheduleManager

 Schedules

 TimeFormat

TJvComponent

 AboutJVCL

Legend

protected

published

read only

Created with Doc-O-Matic.


Legend

protected

published

read only


TJvTFComponent Methods

TJvTFComponent	Legend

Methods

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTFComponent

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvTFComponent


TJvTFComponent Members

TJvTFComponent	Legend

Members

Properties

 DateFormat

 ScheduleManager

 Schedules

 TimeFormat

TJvComponent

 AboutJVCL

Methods

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

protected

published

read only

virtual

Created with Doc-O-Matic.


Legend

protected

published

read only

virtual


TJvTFComponent.DateFormat property

TJvTFComponent	See Also	Edit topic

Sets the (display) date format used by the component.

Pascal

property DateFormat: string;

Description

This property allows you to specify how dates should be displayed. This property is protected and may be surfaced as a public or published property in a derived component.

Created with Doc-O-Matic.


See Also

TJvTFComponent.TimeFormat


TJvTFComponent.ScheduleManager property

TJvTFComponent	See Also	Edit topic

Points to the schedule manager for the component.

Pascal

property ScheduleManager: TJvTFScheduleManager;

Description

Use ScheduleManager to connect the component to a schedule manager or to access the schedule manager assigned to the component.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager


TJvTFComponent.Schedules property

TJvTFComponent	See Also	Edit topic

Provides indexed access to the schedules.

Pascal

property Schedules [Index: Integer]: TJvTFSched;

Description

Allows you to access each of the schedule objects that are connected to the component using an index.

Created with Doc-O-Matic.


See Also

TJvTFComponent.ScheduleCount


TJvTFComponent.TimeFormat property

TJvTFComponent	See Also	Edit topic

Sets the (display) time format used by the component.

Pascal

property TimeFormat: string;

Description

Use this property to specify how Time should be displayed. This property is protected and may be surface as a public or published property is derived components.

Created with Doc-O-Matic.


See Also

TJvTFComponent.DateFormat


TJvTFComponent.FindSchedule method

TJvTFComponent	Edit topic

Searches for a schedule.

Pascal

function FindSchedule(const SchedName: string; SchedDate: TDate): TJvTFSched;

Return Value

The found TSchedule or nil if not found.

Parameters

const SchedName: string

Name of the schedule to find.

SchedDate: TDate

Date where the schedule appears.

Description

This method will search for a schedule with SchedName on SchedDate in the component's Schedules list. If a match is not found FindSchedule will return nil.

Created with Doc-O-Matic.


TJvTFComponent.ProcessBatches method

TJvTFComponent	Edit topic

Performs batch processing.

Pascal

procedure ProcessBatches;

Description

This method simply calls TJvTFScheduleManager.ProcessBatches if the Server property is assigned and the server's SchedLoadMode property is set to slmBatch.

Created with Doc-O-Matic.


TJvTFComponent.ReleaseSchedule method

TJvTFComponent	See Also	Edit topic

Releases a schedule.

Pascal

procedure ReleaseSchedule(const SchedName: string; SchedDate: TDate); virtual;

Parameters

const SchedName: string

Name of the schedule to release.

SchedDate: TDate

Date where the schedule appears.

Description

Releases a schedule with SchedName on SchedDate. This signals the server that the schedule will no longer be needed by the component. This method is here strictly for convenience since it simply calls TJvTFScheduleManager.ReleaseSchedule.

Created with Doc-O-Matic.


See Also

TJvTFComponent.ReleaseSchedules


TJvTFComponent.ReleaseSchedules method

TJvTFComponent	See Also	Edit topic

Releases all schedules.

Pascal

procedure ReleaseSchedules;

Description

Release all of the schedules found in the component's Schedules list with one call. The call is equivalent to:

  while ScheduleCount > 0 do

   ReleaseSchedule(Schedules[0].SchedName, Schedules[0].SchedDate);

Created with Doc-O-Matic.


See Also

TJvTFComponent.ReleaseSchedule


TJvTFComponent.RetrieveSchedule method

TJvTFComponent	Edit topic

Retrieves a schedule.

Pascal

function RetrieveSchedule(const SchedName: string; SchedDate: TDate): TJvTFSched;

Return Value

The found schedule. If a schedule is not found, an exception is raised.

Parameters

const SchedName: string

name of schedule to find.

SchedDate: TDate

Date where schedule occurs.

Description

This method will search for schedule with SchedName on SchedDate in the component's Schedules list. If a match is not found an EJvTFScheduleManagerError will be raised.

Created with Doc-O-Matic.


TJvTFComponent.ScheduleCount method

TJvTFComponent	See Also	Edit topic

Returns the number of schedules in the component's Schedules list.

Pascal

function ScheduleCount: Integer;

Description

Use ScheduleCount to determine number of schedules in the list

Created with Doc-O-Matic.


See Also

TJvTFComponent.Schedules


TJvTFControl
JEDI-VCL Reference

TJvTFControl

Hierarchy	Properties	Methods	 Edit topic

Base class of all JTF controls.

Pascal

TJvTFControl = class(TJvCustomControl);

File

JvTFManager

Description

This class manages most of the communication that takes place between a JTF control and its server. You should never create an instance of TJvTFControl, but rather derive a new control from the TJvTFControl class and override methods as necessary.

All non-visual components that need to connect to the server should be derived from TJvTFComponent. Any visual control that needs to connect to the server should be derived from TJvTFControl.

Created with Doc-O-Matic.


TJvTFControl Properties

TJvTFControl	Legend

Properties

 DateFormat

 DragInfo

 ScheduleManager

 Schedules

 TimeFormat

Legend

protected

read only

published

Created with Doc-O-Matic.


Legend

protected

read only

published


TJvTFControl Methods

TJvTFControl	Legend

Methods

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTFControl

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvTFControl


TJvTFControl Members

TJvTFControl	Legend

Members

Properties

 DateFormat

 DragInfo

 ScheduleManager

 Schedules

 TimeFormat

Methods

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

protected

read only

published

virtual

Created with Doc-O-Matic.


Legend

protected

read only

published

virtual


TJvTFControl.DateFormat property

TJvTFControl	See Also	Edit topic

Sets the (display) date format used by the control.

Pascal

property DateFormat: string;

Description

The DateFormat property allows you to specify how dates should be displayed in the control. Internally JTF uses Delphi's FormatDateTime method along with the format strings specified here and in the TimeFormat property to display dates and times. Please refer to the FormatDateTime method for more information on the content of the format string.

This is a protected property which can be surfaced by controls derived from TJvTFControl. It may not be available to all TJvTFControls.

Created with Doc-O-Matic.


See Also

FormatDateTime


TJvTFControl.DragInfo property

TJvTFControl	See Also	Edit topic

Contains drag information.

Pascal

property DragInfo: TJvTFDragInfo;

Description

The DragInfo property will contain information about the current drag operation. This property is used by the internal drag/drop routines and facilitates moving appointments between different JvTFControls. Please see TJvTFDragInfo for more information.

Created with Doc-O-Matic.


See Also

TJvTFDragInfo


TJvTFControl.ScheduleManager property

TJvTFControl	See Also	Edit topic

Points to the schedule manager for the control.

Pascal

property ScheduleManager: TJvTFScheduleManager;

Description

Use ScheduleManager to access the schedule manager for this component.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager


TJvTFControl.Schedules property

TJvTFControl	See Also	Edit topic

Provides indexed access to the schedules.

Pascal

property Schedules [Index: Integer]: TJvTFSched;

Description

Allows you to access each of the schedule objects that are connected to the control using an index. The Schedules property is a list of all schedules that are being used (have been requested and not yet released) by the control.

Created with Doc-O-Matic.


See Also

TJvTFControl.ScheduleCount


TJvTFControl.TimeFormat property

TJvTFControl	See Also	Edit topic

Sets the (display) time format used by the control.

Pascal

property TimeFormat: string;

Description

The TimeFormat property allows you to specify how times should be displayed in the control. Internally JTF uses Delphi's FormatDateTime method along with the format strings specified here and in the DateFormat property to display dates and times. Please refer to the FormatDateTime method for more information on the content of the format string.

In TJvTFDays this property will be ignored if TJvTFDays.RowHdrType is set to rhFancy.

This is a protected property which can be surfaced by controls derived from TJvTFControl. It may not be available to all TJvTFControls.

Created with Doc-O-Matic.


See Also

FormatDateTime


TJvTFControl.FindSchedule method

TJvTFControl	Edit topic

Searches for a schedule.

Pascal

function FindSchedule(const SchedName: string; SchedDate: TDate): TJvTFSched;

Return Value

The found schedule. If a match is not found FindSchedule will return nil.

Parameters

const SchedName: string

Name of schedule to find.

SchedDate: TDate

Date where schedule occurs.

Description

This method will search for a schedule with SchedName on SchedDate in the control's Schedules list.

Created with Doc-O-Matic.


TJvTFControl.ProcessBatches method

TJvTFControl	Edit topic

Performs batch processing.

Pascal

procedure ProcessBatches;

Description

This method simply calls TJvTFScheduleManager.ProcessBatches if the Server property is assigned and the server's SchedLoadMode property is set to slmBatch.

Created with Doc-O-Matic.


TJvTFControl.ReleaseSchedule method

TJvTFControl	See Also	Edit topic

Releases a schedule.

Pascal

procedure ReleaseSchedule(const SchedName: string; SchedDate: TDate); virtual;

Parameters

const SchedName: string

Name of schedule to release.

SchedDate: TDate

Date where schedule occurs.

Description

Releases a schedule with SchedName on SchedDate. This signals the server that the schedule will no longer be needed by the control. This method is here strictly for convenience since it simply calls TJvTFScheduleManager.ReleaseSchedule.

Created with Doc-O-Matic.


See Also

TJvTFControl.ReleaseSchedules


TJvTFControl.ReleaseSchedules method

TJvTFControl	See Also	Edit topic

Releases all schedules.

Pascal

procedure ReleaseSchedules;

Description

Release all of the schedules found in the control's Schedules list with one call. The call is equivalent to:

  while ScheduleCount > 0 do

   ReleaseSchedule(Schedules[0].SchedName, Schedules[0].SchedDate);

Created with Doc-O-Matic.


See Also

TJvTFControl.ReleaseSchedule


TJvTFControl.RetrieveSchedule method

TJvTFControl	Edit topic

Retrieves a schedule.

Pascal

function RetrieveSchedule(const SchedName: string; SchedDate: TDate): TJvTFSched;

Return Value

Returns the matching schedule. If a match is not found an EJvTFScheduleManagerError will be raised.

Parameters

const SchedName: string

Name of schedule to find.

SchedDate: TDate

Date where schedule occurs.

Description

This method will search for schedule with SchedName on SchedDate in the control's Schedules list.

Created with Doc-O-Matic.


TJvTFControl.ScheduleCount method

TJvTFControl	See Also	Edit topic

Returns the number of schedules in the component's Schedules list.

Pascal

function ScheduleCount: Integer;

Description

Use ScheduleCount to determine number of schedules in the list

Created with Doc-O-Matic.


See Also

TJvTFControl.Schedules


TJvTFCustomImageMap
JEDI-VCL Reference

TJvTFCustomImageMap

Hierarchy	Properties	Methods	 Edit topic

Provides support for custom images in appointments.

Pascal

TJvTFCustomImageMap = class(TPersistent);

File

JvTFManager

Description

The TJvTFCustomImageMap is part of the system that allows you to attach custom images to specific appointments. Specifically, the TJvTFCustomImageMap is part of a TJvTFAppt object and allows you to assign a name to an image from a TImageList. You can then reference the image by name or by its index in the map (which is different from the index in the ImageList).

Notes

The TJvTFScheduleManager.CustomImages is the TImageList that is referenced.

Created with Doc-O-Matic.


TJvTFCustomImageMap Properties

TJvTFCustomImageMap	Legend

Properties

 ImageNames

Images

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvTFCustomImageMap Methods

TJvTFCustomImageMap	Legend

Methods

Add

 Assign

Clear

Count

Delete

FindImageIndex

FindMapIndex

Move

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTFCustomImageMap

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTFCustomImageMap


TJvTFCustomImageMap Members

TJvTFCustomImageMap	Legend

Members

Properties

 ImageNames

Images

Methods

Add

 Assign

Clear

Count

Delete

FindImageIndex

FindMapIndex

Move

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvTFCustomImageMap.ImageNames property

TJvTFCustomImageMap	See Also	Edit topic

Provides indexed access to image names.

Pascal

property ImageNames [MapIndex: Integer]: string;

Description

The ImageNames property allows you to retrieve the name of the image at the given index.

Notes

The index is the map index and not the index of the image in the ImageList.

Created with Doc-O-Matic.


See Also

TJvTFCustomImageMap.Images


TJvTFCustomImageMap.Images property

TJvTFCustomImageMap	See Also	Edit topic

Provides indexed access to the original image index in the ImageList.

Pascal

property Images [MapIndex: Integer]: Integer;

Description

The Images property allows you to retrieve the index where the image can be found in the ImageList given an index in the image map.

Created with Doc-O-Matic.


See Also

TJvTFCustomImageMap.ImageNames


TJvTFCustomImageMap.Add method

TJvTFCustomImageMap	Edit topic

Adds a named imagelist reference to the class.

Pascal

procedure Add(const ImageName: string; ImageIndex: Integer);

Parameters

const ImageName: string

Image name.

ImageIndex: Integer

Index in imagelist.

Description

Use Add to add a new image to the map. Specify a name for the image in ImageName . Specify the location of the image in the ImageList in ImageIndex.

Created with Doc-O-Matic.


TJvTFCustomImageMap.Assign method

TJvTFCustomImageMap	Edit topic

Copies another object to this object.

Pascal

procedure Assign(Source: TPersistent); override;

Parameters

Source: TPersistent

The object to copy from.

Description

Use the Assign method to assign the properties of one CustomImageMap to another.

Created with Doc-O-Matic.


TJvTFCustomImageMap.Clear method

TJvTFCustomImageMap	Edit topic

Removes all entries from the map.

Pascal

procedure Clear;

Description

Call Clear to remove all image mappings from the list.

Created with Doc-O-Matic.


TJvTFCustomImageMap.Count method

TJvTFCustomImageMap	Edit topic

Returns the number of entries in the map.

Pascal

function Count: Integer;

Description

Use Count to determine how many entries is in the map list.

Created with Doc-O-Matic.


TJvTFCustomImageMap.Delete method

TJvTFCustomImageMap	Edit topic

Removes a mapping.

Pascal

procedure Delete(MapIndex: Integer);

Parameters

MapIndex: Integer

The index of the entry to remove.

Description

Removes the map entry at MapIndex.

Created with Doc-O-Matic.


TJvTFCustomImageMap.FindImageIndex method

TJvTFCustomImageMap	See Also	Edit topic

Searches for an image.

Pascal

function FindImageIndex(const ImageName: string): Integer;

Return Value

The index of the image in the imagelist or -1 if not found.

Parameters

const ImageName: string

Name of the image.

Description

Use FindImageIndex to get the index position of the image (specified in ImageName) in the ImageList.

Created with Doc-O-Matic.


See Also

TJvTFCustomImageMap.FindMapIndex


TJvTFCustomImageMap.FindMapIndex method

TJvTFCustomImageMap	See Also	Edit topic

Searches for an image.

Pascal

function FindMapIndex(const ImageName: string): Integer;

Return Value

The index of the image in the map or -1 if not found.

Parameters

const ImageName: string

name of the image.

Description

Use FindMapIndex to get the position of the image (specified by ImageName) in the map.

Created with Doc-O-Matic.


See Also

TJvTFCustomImageMap.FindImageIndex


TJvTFCustomImageMap.Move method

TJvTFCustomImageMap	Edit topic

Moves an entry.

Pascal

procedure Move(SrcMapIndex: Integer; DestMapIndex: Integer);

Parameters

SrcMapIndex: Integer

Index of the entry to move.

DestMapIndex: Integer

Index of the new location.

Description

Moves the image (entry) found at SrcMapIndex to DestMapIndex.

Created with Doc-O-Matic.


TJvTFDateList
JEDI-VCL Reference

TJvTFDateList

Hierarchy	Properties	Methods	Events	 Edit topic

Maintains a list of dates.

Pascal

TJvTFDateList = class;

File

JvTFManager

Description

Don't create instances of TJvDateList. It is used internally to manage dates.

Created with Doc-O-Matic.


TJvTFDateList Properties

TJvTFDateList	Legend

Properties

 Dates

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvTFDateList Events

TJvTFDateList

Events

OnChange

Created with Doc-O-Matic.


TJvTFDateList Methods

TJvTFDateList

Methods

Add

Clear

Count

Delete

IndexOf

Created with Doc-O-Matic.


Legend

TJvTFDateList

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TJvTFDateList


TJvTFDateList Members

TJvTFDateList	Legend

Members

Properties

 Dates

Events

OnChange

Methods

Add

Clear

Count

Delete

IndexOf

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvTFDateList.Dates property

TJvTFDateList	See Also	Edit topic

Provides indexed access to the items in the list.

Pascal

property Dates [Index: Integer]: TDate;

Description

Use Dates to access the items in the list using an index.

Created with Doc-O-Matic.


See Also

TJvTFDateList.Count


TJvTFDateList.OnChange event

TJvTFDateList	Edit topic

Occurs when the list changes.

Pascal

property OnChange: TNotifyEvent;

Description

Don't' assign a handler to this event. It is for internal use only.

Created with Doc-O-Matic.


TJvTFDateList.Add method

TJvTFDateList	See Also	Edit topic

Adds a date to the list.

Pascal

function Add(ADate: TDate): Integer;

Return Value

Index in Dates where the new date was added.

Parameters

ADate: TDate

The date to add.

Description

Call Add to add a new date to the list.

Created with Doc-O-Matic.


See Also

TJvTFDateList.Clear, TJvTFDateList.Dates, TJvTFDateList.Delete


TJvTFDateList.Clear method

TJvTFDateList	See Also	Edit topic

Empties the list.

Pascal

procedure Clear;

Description

Clear removes all items from Dates.

Created with Doc-O-Matic.


See Also

TJvTFDateList.Add, TJvTFDateList.Dates, TJvTFDateList.Delete


TJvTFDateList.Count method

TJvTFDateList	See Also	Edit topic

Indicates the number of dates in the list.

Pascal

function Count: Integer;

Description

Use the Count property when iterating over all items in the list, or when trying to locate the position of an item relative to the last item in the list.

Created with Doc-O-Matic.


See Also

TJvTFDateList.Dates


TJvTFDateList.Delete method

TJvTFDateList	See Also	Edit topic

Deletes an item.

Pascal

procedure Delete(Index: Integer);

Parameters

Index: Integer

The index of the item to delete.

Description

Deletes a date with the given index from the list.

Created with Doc-O-Matic.


See Also

TJvTFDateList.Add, TJvTFDateList.Clear


TJvTFDateList.IndexOf method

TJvTFDateList	Edit topic

Returns the position of an item in the list.

Pascal

function IndexOf(ADate: TDate): Integer;

Return Value

The index of the item or -1 if not found.

Parameters

ADate: TDate

The date to find.

Description

Call IndexOf to obtain the position of the first occurrence of an item that matches ADate. An item matches ADate if it is identical to ADate or if it differs only in the time portion of ADate.

IndexOf returns the 0-based index of the item; thus, if ADate matches the first item in the list, IndexOf returns 0, if ADate is the second item, IndexOf returns 1, and so on. If the item does not have a match in the list, IndexOf returns -1.

Created with Doc-O-Matic.


TJvTFDragInfo
JEDI-VCL Reference

TJvTFDragInfo

Hierarchy	Properties	 Edit topic

Represents drag and drop information.

Pascal

TJvTFDragInfo = class(TObject);

File

JvTFManager

Description

The TJvTFDragInfo object is used by the Drag/Drop routines of JvTFControls. This object contains information about the current drag operation and facilitates dragging appointments across different JvTFControls.

Since the JvTFDays control natively handles all drag/drop functions, you should not have to work with this object.

Created with Doc-O-Matic.


TJvTFDragInfo Properties

TJvTFDragInfo

Properties

Appt

ApptCtrl

Schedule

Shift

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvTFDragInfo


TJvTFDragInfo Members

TJvTFDragInfo

Members

Properties

Appt

ApptCtrl

Schedule

Shift

Created with Doc-O-Matic.


TJvTFDragInfo.Appt property

TJvTFDragInfo	See Also	Edit topic

The currently dragged appointment object.

Pascal

property Appt: TJvTFAppt;

Description

The Appt property will point to the TJvTFAppt that is being dragged.

Created with Doc-O-Matic.


See Also

TJvTFDragInfo.ApptCtrl


TJvTFDragInfo.ApptCtrl property

TJvTFDragInfo	See Also	Edit topic

Source of drag.

Pascal

property ApptCtrl: TJvTFControl;

Description

The ApptCtrl property will point to the Control where the drag operation originated.

Created with Doc-O-Matic.


See Also

TJvTFDragInfo.Appt


TJvTFDragInfo.Schedule property

TJvTFDragInfo	Edit topic

Source schedule of drag.

Pascal

property Schedule: TJvTFSched;

Description

The Schedule property will point to the TJvTFSched where the drag operation originated.

Created with Doc-O-Matic.


TJvTFDragInfo.Shift property

TJvTFDragInfo	Edit topic

Contains keyboard information.

Pascal

property Shift: TShiftState;

Description

The Shift property will contain shift information for the drag operation.

Created with Doc-O-Matic.


TJvTFDWNames
JEDI-VCL Reference

TJvTFDWNames

Hierarchy	Properties	Methods	Events	 Edit topic

Stores display names for days.

Pascal

TJvTFDWNames = class(TPersistent);

File

JvTFManager

Description

This class provides the mechanism to store and retrieve the display names of the days of the week.

Created with Doc-O-Matic.


TJvTFDWNames Properties

TJvTFDWNames	Legend

Properties

 DWN_Friday

 DWN_Monday

 DWN_Saturday

 DWN_Sunday

 DWN_Thursday

 DWN_Tuesday

 DWN_Wednesday

 Source

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFDWNames Events

TJvTFDWNames	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFDWNames Methods

TJvTFDWNames

Methods

GetDWName

Created with Doc-O-Matic.


Legend

TJvTFDWNames

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTFDWNames


TJvTFDWNames Members

TJvTFDWNames	Legend

Members

Properties

 DWN_Friday

 DWN_Monday

 DWN_Saturday

 DWN_Sunday

 DWN_Thursday

 DWN_Tuesday

 DWN_Wednesday

 Source

Events

 OnChange

Methods

GetDWName

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFDWNames.DWN_Friday property

TJvTFDWNames	See Also	Edit topic

Stores a week day name.

Pascal

property DWN_Friday: string;

Description

Specify a custom day of week display name in this property. This property will be ignored unless

Source is set to dwnsCustom.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.DWN_Monday, TJvTFDWNames.DWN_Saturday, TJvTFDWNames.DWN_Sunday, TJvTFDWNames.DWN_Thursday, TJvTFDWNames.DWN_Tuesday, TJvTFDWNames.DWN_Wednesday


TJvTFDWNames.DWN_Monday property

TJvTFDWNames	See Also	Edit topic

Stores a week day name.

Pascal

property DWN_Monday: string;

Description

Specify a custom day of week display name in this property. This property will be ignored unless Source is set to dwnsCustom.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.DWN_Friday, TJvTFDWNames.DWN_Saturday, TJvTFDWNames.DWN_Sunday, TJvTFDWNames.DWN_Thursday, TJvTFDWNames.DWN_Tuesday, TJvTFDWNames.DWN_Wednesday


TJvTFDWNames.DWN_Saturday property

TJvTFDWNames	See Also	Edit topic

Stores a week day name.

Pascal

property DWN_Saturday: string;

Description

Specify a custom day of week display name in this property. This property will be ignored unless Source is set to dwnsCustom.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.DWN_Friday, TJvTFDWNames.DWN_Monday, TJvTFDWNames.DWN_Sunday, TJvTFDWNames.DWN_Thursday, TJvTFDWNames.DWN_Tuesday, TJvTFDWNames.DWN_Wednesday


TJvTFDWNames.DWN_Sunday property

TJvTFDWNames	See Also	Edit topic

Stores a week day name.

Pascal

property DWN_Sunday: string;

Description

Specify a custom day of week display name in this property. This property will be ignored unless Source is set to dwnsCustom.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.DWN_Friday, TJvTFDWNames.DWN_Monday, TJvTFDWNames.DWN_Saturday, TJvTFDWNames.DWN_Thursday, TJvTFDWNames.DWN_Tuesday, TJvTFDWNames.DWN_Wednesday


TJvTFDWNames.DWN_Thursday property

TJvTFDWNames	See Also	Edit topic

Stores a week day name.

Pascal

property DWN_Thursday: string;

Description

Specify a custom day of week display name in this property. This property will be ignored unless Source is set to dwnsCustom.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.DWN_Friday, TJvTFDWNames.DWN_Monday, TJvTFDWNames.DWN_Saturday, TJvTFDWNames.DWN_Sunday, TJvTFDWNames.DWN_Tuesday, TJvTFDWNames.DWN_Wednesday


TJvTFDWNames.DWN_Tuesday property

TJvTFDWNames	See Also	Edit topic

Stores a week day name.

Pascal

property DWN_Tuesday: string;

Description

Specify a custom day of week display name in this property. This property will be ignored unless Source is set to dwnsCustom.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.DWN_Friday, TJvTFDWNames.DWN_Monday, TJvTFDWNames.DWN_Saturday, TJvTFDWNames.DWN_Sunday, TJvTFDWNames.DWN_Thursday, TJvTFDWNames.DWN_Wednesday


TJvTFDWNames.DWN_Wednesday property

TJvTFDWNames	See Also	Edit topic

Stores a week day name.

Pascal

property DWN_Wednesday: string;

Description

Specify a custom day of week display name in this property. This property will be ignored unless Source is set to dwnsCustom.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.DWN_Friday, TJvTFDWNames.DWN_Monday, TJvTFDWNames.DWN_Saturday, TJvTFDWNames.DWN_Sunday, TJvTFDWNames.DWN_Thursday, TJvTFDWNames.DWN_Tuesday


TJvTFDWNames.OnChange event

TJvTFDWNames	Edit topic

Occurs when any property of the class changes.

Pascal

property OnChange: TNotifyEvent;

Description

Do not write a handler for this event. One is assigned internally.

Created with Doc-O-Matic.


TJvTFDWNames.Source property

TJvTFDWNames	Edit topic

Determines the format of week day display names.

Pascal

property Source: TJvTFDWNameSource;

Description

Specifies where the display names of the days of the week are retrieved from. See TJvTFDWNameSource for more info.

Created with Doc-O-Matic.


TJvTFDWNames.GetDWName method

TJvTFDWNames	See Also	Edit topic

Retrieves the week day name using an index.

Pascal

function GetDWName(DWIndex: Integer): string;

Return Value

The week day display name. If Index is less than 1 or greater than 7, am empty string is returned.

Parameters

DWIndex: Integer

The week day display name to retrieve. This value must be between 1 and 7.

Description

Call GetDWName to retrieve the week day display name using an index. Index must be between 1 (DWN_Monday) and 7 (DWN_Sunday). Depending on the settings of Source, this function returns the long or short week day name or a custom week day display name.

Created with Doc-O-Matic.


See Also

TJvTFDWNames.Source


TJvTFHint
JEDI-VCL Reference

TJvTFHint

Hierarchy	Properties	Methods	Events	 Edit topic

Class that provides hints for JTF controls.

Pascal

TJvTFHint = class(THintWindow);

File

JvTFManager

Description

The TJvTFHint component provides hint functionality to JvTFControls. It is used internally and under normal circumstances you should never have to work with this component.

Created with Doc-O-Matic.


TJvTFHint Properties

TJvTFHint	Legend

Properties

 HintType

Pause

RefProps

ShortPause

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvTFHint Events

TJvTFHint

Events

OnShowHint

Created with Doc-O-Matic.


TJvTFHint Methods

TJvTFHint	Legend

Methods

 ActivateHint

 ApptHint

CellHint

MultiLineObjHint

 ReleaseHandle

StartEndHint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTFHint

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

THintWindow
    TJvTFHint


TJvTFHint Members

TJvTFHint	Legend

Members

Properties

 HintType

Pause

RefProps

ShortPause

Events

OnShowHint

Methods

 ActivateHint

 ApptHint

CellHint

MultiLineObjHint

 ReleaseHandle

StartEndHint

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvTFHint.HintType property

TJvTFHint	See Also	Edit topic

Retrieves the hint type.

Pascal

property HintType: TJvTFHintType;

Description

Returns the type of hint that is showing. See TJvTFHintType for more information.

Created with Doc-O-Matic.


See Also

TJvTFHintType


TJvTFHint.OnShowHint event

TJvTFHint	Edit topic

Occurs when a hint window becomes visible.

Pascal

TJvTFShowHintEvent = procedure (Sender: TObject; HintType: TJvTFHintType; Ref: TObject; var HintRect: TRect; var HintText: string) of object;
property OnShowHint: TJvTFShowHintEvent;

Parameters

HintRect

Bounding rect of hint window. Can be modified.

HintText

Text to display in the hint window. Can be modified.

Ref

May contain a reference to the object that is displayed.

Sender

The object that called the event.

HintType

The hint type.

Description

Write a handler for this event to take specific actions before the hint window becomes visible. For example, you can customize the location and content of the hint window.

Created with Doc-O-Matic.


TJvTFHint.Pause property

TJvTFHint	Edit topic

Specifies the time interval to wait before hiding the hint if the mouse has not moved from the control or menu item.

Pascal

property Pause: Integer;

Description

Use Pause to specify a wait time in milliseconds, which is different from the default value of 2500 ms or 2 1/2 seconds that is set in the constructor. The hint for the control is specified in the Hint property.

Created with Doc-O-Matic.


TJvTFHint.RefProps property

TJvTFHint	Edit topic

Stores additional hint window information.

Pascal

property RefProps: TJvTFHintProps;

Description

This property holds a pointer to an instance of a TJvTFHintProps object. If this property is not nil, TJvTFHint will reference the TJvTFHintProps object in order to set specific properties of the hint window. These properties include HintColor, HintPause, and HintHidePause.

Created with Doc-O-Matic.


TJvTFHint.ShortPause property

TJvTFHint	Edit topic

Specifies the time interval that passes before the control's hint appears when the user places the mouse pointer on a control.

Pascal

property ShortPause: Integer;

Description

Use ShortPause to change the default pause time of 500 ms or 1/2 second that is set in the constructor. When assigning a value to ShortPause, specify the interval in milliseconds. The hint displayed at the end of the pause is specified in the Hint property.

Created with Doc-O-Matic.


TJvTFHint.ActivateHint method

TJvTFHint	See Also	Edit topic

Displays the hint window.

Pascal

procedure ActivateHint(Rect: TRect; const AHint: THintString); override;

Parameters

Rect: TRect

Window coordinates of the hint window.

const AHint: THintString

The hint string to display.

Description

Call ActivateHint to display the hint window at the coordinates provided by the Rect parameter. If the Rect parameter appears off screen, ActivateHint moves the hint window to the closest approximation to the coordinates supplied by Rect that appears entirely on screen. ActivateHint sets the Caption property to the AHint parameter before showing the window, so that the AHint string appears to the user.

After an application displays a hint window, it automatically deactivates it after a time period has elapsed, or when it receives a message that requires hiding the hint message. To hide the hint window that is brought up automatically by the application, use the HideHint method of the global Application object. To hide a hint window that is activated directly by calling ActivateHint, use the ReleaseHandle method.

Created with Doc-O-Matic.


See Also

Application.HideHint


TJvTFHint.ApptHint method

TJvTFHint	Edit topic

Displays the hint window.

Pascal

procedure ApptHint(Appt: TJvTFAppt; X: Integer; Y: Integer; ShowDatesTimes: Boolean; ShowDesc: Boolean; FormattedDesc: Boolean); virtual;

Parameters

Appt: TJvTFAppt

The appointment whose hint is to be displayed.

X: Integer

Coordinate of the left edged of the hint window

Y: Integer

Coordinate of the top edged of the hint window

ShowDatesTimes: Boolean

Specifies if the appointment's date and time settings are displayed in the hint.

ShowDesc: Boolean

Specifies if the appointment's description is displayed in the hint.

FormattedDesc: Boolean

Specifies if CRLF's are preserved.

Description

This method will cause a specially formatted hint to show. The hint will display the appointment's description and start/end info according to the values of the ShowDatesTimes and ShowDesc properties. If FormattedDesc is True, CRs and LFs (line breaks) will be preserved, otherwise they will be removed to minimize the size of the hint window.

The hint will appear at location (X, Y) (relative to the control).

Created with Doc-O-Matic.


TJvTFHint.CellHint method

TJvTFHint	Edit topic

Displays the hint window.

Pascal

procedure CellHint(Row: Integer; Col: Integer; const HintText: string; CellRect: TRect);

Parameters

Row: Integer

The row of the cell.

Col: Integer

The column of the cell.

const HintText: string

The hint text.

CellRect: TRect

Coordinates for the hint window.

Description

The CellHint method will display a hint window specific to the cell given by Row and Col. HintText is the text that will be displayed and the hint window will appear center in the rect given by CellRect (control coordinates).

Created with Doc-O-Matic.


TJvTFHint.MultiLineObjHint method

TJvTFHint	Edit topic

Displays a hint window.

Pascal

procedure MultiLineObjHint(Obj: TObject; X: Integer; Y: Integer; Hints: TStrings);

Parameters

Obj: TObject

The object that the hint is displayed for.

X: Integer

Left edged of hint window.

Y: Integer

Top edge of hint window

Hints: TStrings

List of hints to display.

Description

This method will show a hint window given multiple lines of text (Hints).

Created with Doc-O-Matic.


TJvTFHint.ReleaseHandle method

TJvTFHint	See Also	Edit topic

Hides a hint window.

Pascal

procedure ReleaseHandle; virtual;

Description

Call ReleaseHandle to destroy a hint window that was activated by directly calling the ActivateHint method. Hint windows activated automatically by the application object are deactivated by the application as well.

Created with Doc-O-Matic.


See Also

TJvTFHint.ActivateHint


TJvTFHint.StartEndHint method

TJvTFHint	Edit topic

Displays a hint window.

Pascal

procedure StartEndHint(StartDate: TDate; EndDate: TDate; StartTime: TTime; EndTime: TTime; X: Integer; Y: Integer; ShowDates: Boolean);

Parameters

StartDate: TDate

Date to display as the start date.

EndDate: TDate

Date to display as the end date.

StartTime: TTime

Time to display as the start time.

EndTime: TTime

Time to display as the end time.

X: Integer

Left edge of hint window.

Y: Integer

Top edge of hint window.

ShowDates: Boolean

Set to true to display the dates. Times are always displayed.

Description

Call the StartEndHint method to display start/end information. The window will appear at control position (X, Y). The StartDate and EndDate will only be shown if ShowDates is true. The hint will appear immediately on the screen, ignoring the ShortPause property.

Created with Doc-O-Matic.


TJvTFHintProps
JEDI-VCL Reference

TJvTFHintProps

Hierarchy	Properties	 Edit topic

Manages hint window settings.

Pascal

TJvTFHintProps = class(TPersistent);

File

JvTFManager

Description

The TJvTFHintProps class allows you to control certain properties of a TJvTFHint window. These properties include HintColor, HintPause, and HintHidePause.

Created with Doc-O-Matic.


TJvTFHintProps Properties

TJvTFHintProps	Legend

Properties

 HintColor

 HintHidePause

 HintPause

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvTFHintProps

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTFHintProps


TJvTFHintProps Members

TJvTFHintProps	Legend

Members

Properties

 HintColor

 HintHidePause

 HintPause

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFHintProps.HintColor property

TJvTFHintProps	Edit topic

Determines the background color of the control's hint window.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvTFHintProps.HintHidePause property

TJvTFHintProps	Edit topic

Specifies the time interval to wait before hiding the Help Hint if the mouse has not moved from the control.

Pascal

property HintHidePause: Integer;

Description

This property specifies the amount of time, in milliseconds, that the Hint window will be visible on the screen. If this property is set to -1, the Hint window will refer to the application's HintHidePause property.

Created with Doc-O-Matic.


TJvTFHintProps.HintPause property

TJvTFHintProps	Edit topic

Specifies the time interval that passes before the control's Help Hint appears when the user places the mouse pointer on a control.

Pascal

property HintPause: Integer;

Description

This property specifies the amount of time, in milliseconds, that will elapse before the Hint window is shown. If this property is set to -1, the Hint window will refer to the application's HintPause property.

Created with Doc-O-Matic.


TJvTFPrinter
JEDI-VCL Reference

TJvTFPrinter

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for printing components.

Pascal

TJvTFPrinter = class(TJvTFComponent);

File

JvTFManager

Description

The TJvTFPrinter class is the base case for all printing components in the JTF system.

Created with Doc-O-Matic.


TJvTFPrinter Properties

TJvTFPrinter	Legend

Properties

 Aborted

 BodyHeight

 BodyLeft

 BodyTop

 BodyWidth

 ConvertingProps

 DirectPrint

 DocDateTime

 Measure

 PageCount

 PageLayout

 Pages

 State

 Title

TJvTFComponent

 DateFormat

 ScheduleManager

 Schedules

 TimeFormat

TJvComponent

 AboutJVCL

Legend

read only

protected

published

Created with Doc-O-Matic.


Legend

read only

protected

published


TJvTFPrinter Events

TJvTFPrinter	Legend

Events

 OnAssembleProgress

 OnDrawBody

 OnDrawFooter

 OnDrawHeader

 OnMarginError

 OnPrintProgress

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFPrinter Methods

TJvTFPrinter	Legend

Methods

AbortPrint

ConvertMeasure

FreeDoc

Print

PrinterToScreen

SaveDocToFiles

ScreenToPrinter

TJvTFComponent

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTFPrinter

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvTFComponent
            TJvTFPrinter


TJvTFPrinter Members

TJvTFPrinter	Legend

Members

Properties

 Aborted

 BodyHeight

 BodyLeft

 BodyTop

 BodyWidth

 ConvertingProps

 DirectPrint

 DocDateTime

 Measure

 PageCount

 PageLayout

 Pages

 State

 Title

TJvTFComponent

 DateFormat

 ScheduleManager

 Schedules

 TimeFormat

TJvComponent

 AboutJVCL

Events

 OnAssembleProgress

 OnDrawBody

 OnDrawFooter

 OnDrawHeader

 OnMarginError

 OnPrintProgress

Methods

AbortPrint

ConvertMeasure

FreeDoc

Print

PrinterToScreen

SaveDocToFiles

ScreenToPrinter

TJvTFComponent

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

read only

protected

published

virtual

Created with Doc-O-Matic.


Legend

read only

protected

published

virtual


TJvTFPrinter.Aborted property

TJvTFPrinter	Edit topic

Determines if the user aborted the print job.

Pascal

property Aborted: Boolean;

Description

If Aborted is True, the print job was aborted. If it is False, the user did not abort the print job.

The AbortPrint method sets the Aborted property to True.

Created with Doc-O-Matic.


TJvTFPrinter.BodyHeight property

TJvTFPrinter	See Also	Edit topic

Retrieves the height of the printable page.

Pascal

property BodyHeight: Integer;

Description

Read BodyHeight to determine the height of the printable page. BodyHeight is in pixels.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.BodyLeft, TJvTFPrinter.BodyTop, TJvTFPrinter.BodyWidth


TJvTFPrinter.BodyLeft property

TJvTFPrinter	See Also	Edit topic

Retrieves the left side of the printable page.

Pascal

property BodyLeft: Integer;

Description

Read BodyLeft to determine the left of the printable page. BodyLeft is in pixels.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.BodyHeight, TJvTFPrinter.BodyTop, TJvTFPrinter.BodyWidth


TJvTFPrinter.BodyTop property

TJvTFPrinter	See Also	Edit topic

Retrieves the top of the printable page.

Pascal

property BodyTop: Integer;

Description

Read BodyTop to determine the top of the printable page. BodyTop is in pixels.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.BodyHeight, TJvTFPrinter.BodyLeft, TJvTFPrinter.BodyWidth


TJvTFPrinter.BodyWidth property

TJvTFPrinter	See Also	Edit topic

Retrieves the width of the printable page.

Pascal

property BodyWidth: Integer;

Description

Read BodyWidth to determine the width of the printable page. BodyWidth is in pixels.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.BodyHeight, TJvTFPrinter.BodyLeft, TJvTFPrinter.BodyTop


TJvTFPrinter.ConvertingProps property

TJvTFPrinter	See Also	Edit topic

True when a unit conversion is in progress.

Pascal

property ConvertingProps: Boolean;

Description

This property will be true if the component is in the process of converting the units of measure of various properties due to a change in the Measure property.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.ConvertMeasure, TJvTFPrinter.Measure


TJvTFPrinter.DirectPrint property

TJvTFPrinter	See Also	Edit topic

Determines printing mode.

Pascal

property DirectPrint: Boolean;

Description

Use this property to control the printing model that the Printer uses. See "Using TJvTFPrinter" for more info.

Created with Doc-O-Matic.


See Also

"Using TJvTFPrinter"


TJvTFPrinter.DocDateTime property

TJvTFPrinter	Edit topic

Holds information on the documents creation date.

Pascal

property DocDateTime: TDateTime;

Description

This property will hold the date and time when the document was composed.

Created with Doc-O-Matic.


TJvTFPrinter.Measure property

TJvTFPrinter	Edit topic

Determines the units used in calculations.

Pascal

property Measure: TJvTFPrinterMeasure;

Description

Use this property to specify which unit of measure you want to work with. You can change this property at any time and all measurement related properties will be automatically converted to the new unit of measure.

Created with Doc-O-Matic.


TJvTFPrinter.OnAssembleProgress event

TJvTFPrinter	See Also	Edit topic

Occur while the document is being prepared for printing.

Pascal

property OnAssembleProgress: TJvTFProgressEvent;

Description

This event will fire after each page has been assembled. (The assemble process takes the header, body, and footer as separate images and combines them into one page image.) Use this event to update a progress window or something of that sort. See TJvTFProgressEvent for more details.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.OnPrintProgress, TJvTFProgressEvent


TJvTFPrinter.OnDrawBody event

TJvTFPrinter	See Also	Edit topic

Occurs when a page body has been drawn.

Pascal

property OnDrawBody: TJvTFPrinterDrawEvent;

Description

This event fires after the Printer has drawn the body of a page. This event allows you do to any custom drawing on the body that you might need to do. See TJvTFPrinterDrawEvent for complete descriptions of the parameters.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.OnAssembleProgress, TJvTFPrinter.OnDrawFooter, TJvTFPrinter.OnDrawHeader, TJvTFPrinter.OnPrintProgress, TJvTFPrinterDrawEvent


TJvTFPrinter.OnDrawFooter event

TJvTFPrinter	See Also	Edit topic

Occurs when a page footer has been drawn.

Pascal

property OnDrawFooter: TJvTFPrinterDrawEvent;

Description

This event fires after Printer has drawn the footer. This event allows you to do any custom drawing on the footer that you might need to do. See TJvTFPrinterDrawEvent for a complete description of the parameters.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.OnAssembleProgress, TJvTFPrinter.OnDrawBody, TJvTFPrinter.OnDrawHeader, TJvTFPrinter.OnPrintProgress, TJvTFPrinterDrawEvent


TJvTFPrinter.OnDrawHeader event

TJvTFPrinter	See Also	Edit topic

Occurs when a page header has been drawn.

Pascal

property OnDrawHeader: TJvTFPrinterDrawEvent;

Description

This event fires after Printer has drawn the page header. Use this event to do any custom drawing on the header that you might need to do. See TJvTFPrinterDrawEvent for complete descriptions of the parameters.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.OnAssembleProgress, TJvTFPrinter.OnDrawBody, TJvTFPrinter.OnDrawFooter, TJvTFPrinter.OnPrintProgress, TJvTFPrinterDrawEvent


TJvTFPrinter.OnMarginError event

TJvTFPrinter	See Also	Edit topic

Occurs when margins are incorrectly set.

Pascal

property OnMarginError: TNotifyEvent;

Description

This event fires if the MarginLeft, MarginRight, MarginTop, or MarginBottom property specifies a value that causes the margin to fall in the unprintable area of the page. The unprintable area is hardware dependent and varies from printer to printer.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout.MarginBottom, TJvTFPrinterPageLayout.MarginLeft, TJvTFPrinterPageLayout.MarginRight, TJvTFPrinterPageLayout.MarginTop


TJvTFPrinter.OnPrintProgress event

TJvTFPrinter	See Also	Edit topic

Occurs when a page is printed.

Pascal

property OnPrintProgress: TJvTFProgressEvent;

Description

This event fires after each page has been sent to Windows to print. You can use this event to update a progress window or status bar. See TJvTFProgressEvent for more details.

Created with Doc-O-Matic.


See Also

TJvTFProgressEvent


TJvTFPrinter.PageCount property

TJvTFPrinter	See Also	Edit topic

Returns the page count of the document.

Pascal

property PageCount: Integer;

Description

An EJvTFPrinterError exception will be raised if you attempt to read this property when the State = spsNoDoc.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.Pages, TJvTFPrinter.State


TJvTFPrinter.PageLayout property

TJvTFPrinter	See Also	Edit topic

Maintains page layout properties.

Pascal

property PageLayout: TJvTFPrinterPageLayout;

Description

Use this property to specify various aspects of how the pages are laid out on paper, such as margins. See TJvTFPrinterPageLayout for more details.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout


TJvTFPrinter.Pages property

TJvTFPrinter	See Also	Edit topic

Provides indexed access to the pages that are about to be printed.

Pascal

property Pages [Index: Integer]: TMetafile;

Description

You can access each page in the document through the pages property. Each page is stored internally as a TMetafile that you can have direct access to.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.PageCount


TJvTFPrinter.State property

TJvTFPrinter	See Also	Edit topic

Describes the current state of the printer component.

Pascal

property State: TJvTFPrinterState;

Description

See TJvTFPrinterState for more information.

Created with Doc-O-Matic.


See Also

TJvTFPrinterState


TJvTFPrinter.Title property

TJvTFPrinter	Edit topic

Specifies the title of the document.

Pascal

property Title: string;

Description

This string will be sent to Windows as the title of the document when it is sent to a printer. (This is what will display in Print Manager.)

Created with Doc-O-Matic.


TJvTFPrinter.AbortPrint method

TJvTFPrinter	See Also	Edit topic

Terminates the printing of a print job, dropping all unprinted data.

Pascal

procedure AbortPrint;

Description

Use AbortPrint to terminate the print job before it completes.

When AbortPrint is called, the device is then set for the next print job.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.Aborted


TJvTFPrinter.ConvertMeasure method

TJvTFPrinter	See Also	Edit topic

Converts a value from one unit to another.

Pascal

function ConvertMeasure(Value: Integer; FromMeasure: TJvTFPrinterMeasure; ToMeasure: TJvTFPrinterMeasure; Horizontal: Boolean): Integer;

Return Value

The converted value.

Parameters

Value: Integer

The value to convert.

FromMeasure: TJvTFPrinterMeasure

The measure to convert from.

ToMeasure: TJvTFPrinterMeasure

The measure to convert to.

Horizontal: Boolean

True if the measure is a horizontal measure.

Description

Use this method to convert a value (Value) from one unit of measure (FromMeasure) to another (ToMeasure). Set Horizontal to true if Value is some horizontal measurement.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.Measure


TJvTFPrinter.FreeDoc method

TJvTFPrinter	See Also	Edit topic

Releases resources allocated for printing.

Pascal

procedure FreeDoc; dynamic;

Description

When you are finished with a document, call FreeDoc to remove the document from memory and release any resources allocated by the document. Printer will take care of this for you if you forget to call FreeDoc, so you don't have to worry about resource leaks. A successful call to FreeDoc changes State to spsNoDoc.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.State


TJvTFPrinter.Print method

TJvTFPrinter	See Also	Edit topic

Sends the document to the printer.

Pascal

procedure Print; dynamic;

Description

If DirectPrint is False, you can call the Print method to send a finished document to Windows to print. An EJvTFPrinterError will be raised if the component is in any State other than spsFinished.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.DirectPrint


TJvTFPrinter.PrinterToScreen method

TJvTFPrinter	See Also	Edit topic

Converts a value from printer units to screen units.

Pascal

function PrinterToScreen(Value: Integer; Horizontal: Boolean): Integer;

Return Value

The converted value.

Parameters

Value: Integer

Value to convert.

Horizontal: Boolean

True if Value is a horizontal measurement.

Description

Use this method to change a value (Value) from printer measurement to screen measurement. For example, a one-inch line may be 300 pixels (printer resolution = 300 dpi), but a 300 pixel line on the screen probably would be much longer than one inch. Set Horizontal to True if Value is a horizontal measurement.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.ScreenToPrinter


TJvTFPrinter.SaveDocToFiles method

TJvTFPrinter	See Also	Edit topic

Save the document's pages to file.

Pascal

procedure SaveDocToFiles(BaseFileName: TFileName);

Parameters

BaseFileName: TFileName

The base filename for the files to create.

Description

Use this method to save each of the page images as separate emf files. Printer will append an underscore "_" and the page number, along with the emf extension to each file it saves. For example, if there are three pages and you set BaseFileName to "c:\simpl\schedule" the following files will be produced:

        c:\simpl\schedule_1.emf

        c:\simpl\schedule_2.emf

        c:\simpl\schedule_3.emf

You can access each page as a TMetafile via the Pages property.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.Pages, TJvTFPrinter.Print


TJvTFPrinter.ScreenToPrinter method

TJvTFPrinter	See Also	Edit topic

Converts a value from screen units to printer units.

Pascal

function ScreenToPrinter(Value: Integer; Horizontal: Boolean): Integer;

Return Value

The converted value.

Parameters

Value: Integer

Value to convert.

Horizontal: Boolean

True if Value is a horizontal measurement.

Description

Use this method to change a value (Value) from screen measurement to printer measurement. For example, a one-inch line may be 300 pixels (printer resolution = 300 dpi), but a 300 pixel line on the screen probably would be much longer than one inch. Set Horizontal to True if Value is a horizontal measurement.

Created with Doc-O-Matic.


See Also

TJvTFPrinter.PrinterToScreen


TJvTFPrinterPageLayout
JEDI-VCL Reference

TJvTFPrinterPageLayout

Hierarchy	Properties	 Edit topic

Maintains page layout settings.

Pascal

TJvTFPrinterPageLayout = class(TPersistent);

File

JvTFManager

Description

You use the TJvTFPrinterPageLayout class to access specific properties (i.e. margins) related to the layout of a printed page. Normally you will access this property through the TJvTFPrinter.PageLayout property.

Created with Doc-O-Matic.


TJvTFPrinterPageLayout Properties

TJvTFPrinterPageLayout	Legend

Properties

 FooterHeight

 HeaderHeight

 MarginBottom

 MarginLeft

 MarginRight

 MarginTop

 Printer

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Legend

TJvTFPrinterPageLayout

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTFPrinterPageLayout


TJvTFPrinterPageLayout Members

TJvTFPrinterPageLayout	Legend

Members

Properties

 FooterHeight

 HeaderHeight

 MarginBottom

 MarginLeft

 MarginRight

 MarginTop

 Printer

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvTFPrinterPageLayout.FooterHeight property

TJvTFPrinterPageLayout	See Also	Edit topic

Specifies the height of the page footer.

Pascal

property FooterHeight: Integer;

Description

This value is in units specified by the TJvTFPrinter.Measure property.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout.HeaderHeight, TJvTFPrinterPageLayout.MarginBottom, TJvTFPrinterPageLayout.MarginLeft, TJvTFPrinterPageLayout.MarginRight, TJvTFPrinterPageLayout.MarginTop


TJvTFPrinterPageLayout.HeaderHeight property

TJvTFPrinterPageLayout	See Also	Edit topic

Specifies the height of the page header.

Pascal

property HeaderHeight: Integer;

Description

This value is in units specified by the TJvTFPrinter.Measure property.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout.FooterHeight, TJvTFPrinterPageLayout.MarginBottom, TJvTFPrinterPageLayout.MarginLeft, TJvTFPrinterPageLayout.MarginRight, TJvTFPrinterPageLayout.MarginTop


TJvTFPrinterPageLayout.MarginBottom property

TJvTFPrinterPageLayout	See Also	Edit topic

Specifies the height of the bottom margin.

Pascal

property MarginBottom: Integer;

Description

This value is in units specified by the TJvTFPrinter.Measure property.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout.FooterHeight, TJvTFPrinterPageLayout.HeaderHeight, TJvTFPrinterPageLayout.MarginLeft, TJvTFPrinterPageLayout.MarginRight, TJvTFPrinterPageLayout.MarginTop


TJvTFPrinterPageLayout.MarginLeft property

TJvTFPrinterPageLayout	See Also	Edit topic

Specifies the width of the left margin.

Pascal

property MarginLeft: Integer;

Description

This value is in units specified by the TJvTFPrinter.Measure property.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout.FooterHeight, TJvTFPrinterPageLayout.HeaderHeight, TJvTFPrinterPageLayout.MarginBottom, TJvTFPrinterPageLayout.MarginRight, TJvTFPrinterPageLayout.MarginTop


TJvTFPrinterPageLayout.MarginRight property

TJvTFPrinterPageLayout	See Also	Edit topic

Specifies the width of the right margin.

Pascal

property MarginRight: Integer;

Description

This value is in units specified by the TJvTFPrinter.Measure property.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout.FooterHeight, TJvTFPrinterPageLayout.HeaderHeight, TJvTFPrinterPageLayout.MarginBottom, TJvTFPrinterPageLayout.MarginLeft, TJvTFPrinterPageLayout.MarginTop


TJvTFPrinterPageLayout.MarginTop property

TJvTFPrinterPageLayout	See Also	Edit topic

Specifies the height of the top margin.

Pascal

property MarginTop: Integer;

Description

This value is in units specified by the TJvTFPrinter.Measure property.

Created with Doc-O-Matic.


See Also

TJvTFPrinterPageLayout.FooterHeight, TJvTFPrinterPageLayout.HeaderHeight, TJvTFPrinterPageLayout.MarginBottom, TJvTFPrinterPageLayout.MarginLeft, TJvTFPrinterPageLayout.MarginRight


TJvTFPrinterPageLayout.Printer property

TJvTFPrinterPageLayout	Edit topic

Not documented

Pascal

property Printer: TJvTFPrinter;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTFSched
JEDI-VCL Reference

TJvTFSched

Hierarchy	Properties	Methods	 Edit topic

Class that represents a schedule.

Pascal

TJvTFSched = class(TObject);

File

JvTFManager

Description

A TJvTFSched object represents a schedule (a schedule name and date). The server completely maintains its schedule objects so you shouldn't have to worry about their creation, destruction, or the relationships with other objects.

Although a schedule object does not physically contain appointments (that's the server's job), it does logically group the appointments. That is its main function. Because of this, you can use a schedule object to retrieve a list of the appointments that are logically "contained" by the schedule, operate on the appointments, and add or remove appointments at the schedule level. You can also retrieve basic information about the schedule, such as its name and date.

Created with Doc-O-Matic.


TJvTFSched Properties

TJvTFSched	Legend

Properties

 Appts

 Cached

 CachedTime

 ConComponents

 ConControls

 Data

 Destroying

 Persistent

 SchedDate

 SchedDisplayName

 SchedName

 ScheduleManager

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvTFSched Methods

TJvTFSched

Methods

AddAppt

ApptByID

ApptCount

ApptHasConflicts

ConComponentCount

ConControlCount

EnumConflicts

GetFirstAppt

GetFreeTime

GetLastAppt

GetUsedTime

PostAppts

Refresh

RemoveAppt

TimeIsFree

Created with Doc-O-Matic.


Legend

TJvTFSched

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvTFSched


TJvTFSched Members

TJvTFSched	Legend

Members

Properties

 Appts

 Cached

 CachedTime

 ConComponents

 ConControls

 Data

 Destroying

 Persistent

 SchedDate

 SchedDisplayName

 SchedName

 ScheduleManager

Methods

AddAppt

ApptByID

ApptCount

ApptHasConflicts

ConComponentCount

ConControlCount

EnumConflicts

GetFirstAppt

GetFreeTime

GetLastAppt

GetUsedTime

PostAppts

Refresh

RemoveAppt

TimeIsFree

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvTFSched.Appts property

TJvTFSched	See Also	Edit topic

Provides indexed access to the appointments that fall in the schedule.

Pascal

property Appts [Index: Integer]: TJvTFAppt;

Description

Use the Appts property to retrieve each appointment object that is a member of the schedule.

Created with Doc-O-Matic.


See Also

TJvTFSched.ApptCount


TJvTFSched.Cached property

TJvTFSched	See Also	Edit topic

Determines if the schedule is in use.

Pascal

property Cached: Boolean;

Description

Cached will be true if the schedule object is no longer used by any of the controls that are connected to the server, false otherwise. A cached schedule object is queued to be flushed from memory by the caching system.

Created with Doc-O-Matic.


See Also

TJvTFSched.CachedTime


TJvTFSched.CachedTime property

TJvTFSched	See Also	Edit topic

Determines when the schedule was cached.

Pascal

property CachedTime: DWORD;

Description

This property returns the Windows tick count when the object was initially queued to be flushed from memory. (The value of this property should be ignored if Cached = False.)

Use this property along with the Windows API function GetTickCount to determine how long the schedule has been cached, i.e the following code:

    Interval := GetTickCount - CachedTime;

would set Interval to the number of milliseconds since the schedule was put in the cache.

Created with Doc-O-Matic.


See Also

GetTickCount


TJvTFSched.ConComponents property

TJvTFSched	See Also	Edit topic

Provides indexed access to connected JvTFComponents.

Pascal

property ConComponents [Index: Integer]: TJvTFComponent;

Description

This property provides access to each of the JvTFComponents that are connected to the schedule object.

Use the ConControls property to access the JvTFControls that are connected to the schedule object.

Notes

This property supersedes the Controls property as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFSched.ConComponentCount, TJvTFSched.ConControlCount, TJvTFSched.ConControls


TJvTFSched.ConControls property

TJvTFSched	See Also	Edit topic

Provides indexed access to connected JvTFControls.

Pascal

property ConControls [Index: Integer]: TJvTFControl;

Description

Provides access to each of the JvTFControls that are connected to the schedule object.

The ConComponents property holds a reference to each of the JvTFComponents that are connected to the schedule object.

Notes

This property supersedes the Controls property as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFSched.ConComponentCount, TJvTFSched.ConComponents, TJvTFSched.ConControlCount


TJvTFSched.Data property

TJvTFSched	Edit topic

Provides storage space for custom data.

Pascal

property Data: Integer;

Description

Use the Data property to attach custom data to the schedule object.

You will most likely create a TObject to store extra information, in which case you would need to typecast this property into a TObject. It has been implemented as an integer for additional flexibility. If you do use a TObject to store custom data, you probably will want to use the TJvTFScheduleManager.OnCreateSchedule and TJvTFScheduleManager.OnDestroySchedule events to create and destroy your custom object.

Created with Doc-O-Matic.


TJvTFSched.Destroying property

TJvTFSched	Edit topic

Determines if the object is being destroyed.

Pascal

property Destroying: Boolean;

Description

This property will return True if the schedule object is in the process of being destroyed.

Created with Doc-O-Matic.


TJvTFSched.Persistent property

TJvTFSched	See Also	Edit topic

Determines if the cache system handles this object.

Pascal

property Persistent: Boolean;

Description

If Persistent is set to True, the caching system will not flush the object from memory.

Created with Doc-O-Matic.


See Also

TJvTFSched.Cached


TJvTFSched.SchedDate property

TJvTFSched	Edit topic

Returns the date of the schedule.

Pascal

property SchedDate: TDate;

Description

Read SchedDate to determine the date of the schedule.

Created with Doc-O-Matic.


TJvTFSched.SchedDisplayName property

TJvTFSched	See Also	Edit topic

Specifies the schedule name to show to users.

Pascal

property SchedDisplayName: string;

Description

Use this property to specify a friendly name for the schedule. If this property is null, JTF will use the value of the SchedName property as the display name for the schedule. (This property comes in handy if you wish to use the SchedName property for a unique identifier and yet display a user-friendly name.)

Created with Doc-O-Matic.


See Also

TJvTFSched.SchedName


TJvTFSched.SchedName property

TJvTFSched	See Also	Edit topic

Returns the name of the schedule. (Also known as the resource name.)

Pascal

property SchedName: string;

Description

If you wish to use the SchedName property to hold a unique identifier you should use the SchedDisplayName property to specify a user-friendly display name.

Created with Doc-O-Matic.


See Also

TJvTFSched.SchedDisplayName


TJvTFSched.ScheduleManager property

TJvTFSched	See Also	Edit topic

References the manager responsible for this schedule.

Pascal

property ScheduleManager: TJvTFScheduleManager;

Description

Use ScheduleManager to access the manager responsible for this schedule. The manager handles most background chores associated with a schedule, like caching.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager


TJvTFSched.AddAppt method

TJvTFSched	See Also	Edit topic

Adds an existing appointment.

Pascal

procedure AddAppt(Appt: TJvTFAppt);

Parameters

Appt: TJvTFAppt

The appointment to add.

Description

This method will add the given appointment to the schedule.

Created with Doc-O-Matic.


See Also

TJvTFSched.RemoveAppt


TJvTFSched.ApptByID method

TJvTFSched	Edit topic

Searches for an appointment.

Pascal

function ApptByID(const ID: string): TJvTFAppt;

Return Value

Returns an appointment object or nil if an appointment could not be found.

Parameters

const ID: string

Identifier of the appointment to find.

Description

This will return an appointment object with the given ID. If an appointment with the given ID is not found in the schedule, it will return nil.

Created with Doc-O-Matic.


TJvTFSched.ApptCount method

TJvTFSched	See Also	Edit topic

Returns the number of appointments that fall in the schedule.

Pascal

function ApptCount: Integer;

Description

Call ApptCount to learn the number of appointments that fall in the schedule. Use ApptCount-1 as the upper bound when accessing appointments using the Appts property.

Created with Doc-O-Matic.


See Also

TJvTFSched.Appts


TJvTFSched.ApptHasConflicts method

TJvTFSched	Edit topic

Searches for appointment conflicts.

Pascal

function ApptHasConflicts(anAppt: TJvTFAppt): Boolean; dynamic;

Return Value

True if conflicts were found, false otherwise.

Parameters

anAppt: TJvTFAppt

The appointment to check for conflicts.

Description

This method will return True if any other appointments conflict with an Appt, False otherwise. This method only checks for conflicts in the schedule from which it is invoked.

Created with Doc-O-Matic.


TJvTFSched.ConComponentCount method

TJvTFSched	See Also	Edit topic

Returns the number of JvTFComponents that are connected to the schedule object.

Pascal

function ConComponentCount: Integer;

Description

Use the ConControlCount method to get the number of JvTFControls that are connected to the schedule object.

Notes

This method supersedes the ControlCount method as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFSched.ConComponents, TJvTFSched.ConControlCount, TJvTFSched.ConControls


TJvTFSched.ConControlCount method

TJvTFSched	See Also	Edit topic

Returns the number of JvTFControls that are connected to the object.

Pascal

function ConControlCount: Integer;

Description

Use the ConComponentCount method to get the number of JvTFComponents that are connected to the schedule object.

Notes

This method supersedes the ControlCount method as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFSched.ConComponentCount, TJvTFSched.ConComponents, TJvTFSched.ConControls


TJvTFSched.EnumConflicts method (TJvTFAppt)

TJvTFSched	Edit topic

Enumerates appointment conflicts.

Pascal

function EnumConflicts(TimeRange: TJvTFTimeRange): TDynApptArray; dynamic; overload;
function EnumConflicts(RangeStart: TTime; RangeEnd: TTime): TDynApptArray; dynamic; overload;
function EnumConflicts(anAppt: TJvTFAppt): TDynApptArray; dynamic; overload;

Return Value

A dynamic array of conflicting appointments.

Parameters

TimeRange: TJvTFTimeRange

The range within which conflicts should be checked.

RangeStart: TTime

Start of the range to check.

RangeEnd: TTime

End of the range to check.

anAppt: TJvTFAppt

The appointment to check conflicts against.

Description

EnumConflicts will return a dynamic array populated with all the TJvTFAppt's that conflict with the time range given or the appointment given. It is not advised to retain the array for use at a later time due to the fact that the caching system may destroy one or more of the appt objects contained in the result (thus leaving one or more dangling pointers).

These methods only check for conflicts in the schedule from which they are invoked.

Notes

These methods are NOT available in the Delphi 3 version of JTF.

Created with Doc-O-Matic.


TJvTFSched.GetFirstAppt method

TJvTFSched	See Also	Edit topic

Returns the appointment with the earliest start date and time.

Pascal

function GetFirstAppt: TJvTFAppt;

Return Value

The first appointment or nil if there are no appointments in the schedule.

Description

This method will return the earliest appointment in the schedule. (End times are ignored.)

Created with Doc-O-Matic.


See Also

TJvTFSched.GetLastAppt


TJvTFSched.GetFreeTime method

TJvTFSched	See Also	Edit topic

Returns available free time.

Pascal

function GetFreeTime: TDynTimeRangeArray; dynamic;

Return Value

A dynamic array of TJvTFTimeRange objects.

Description

This method will return a dynamic array that contains zero or more TJvTFTimeRange's that represent the free time available in the schedule.

This method only checks the time in the schedule from which it is invoked.

Notes

This method is NOT available in the Delphi 3 version of JTF.

Created with Doc-O-Matic.


See Also

TJvTFSched.GetUsedTime


TJvTFSched.GetLastAppt method

TJvTFSched	See Also	Edit topic

Returns the appointment with the latest end date and time.

Pascal

function GetLastAppt: TJvTFAppt;

Return Value

The last appointment or nil if there are no appointments in the schedule.

Description

This method will return the latest appointment in the schedule. (Start times are ignored.)

Created with Doc-O-Matic.


See Also

TJvTFSched.GetFirstAppt


TJvTFSched.GetUsedTime method

TJvTFSched	See Also	Edit topic

Returns used time.

Pascal

function GetUsedTime: TDynTimeRangeArray; dynamic;

Return Value

A dynamic array of TJvTFTimeRange objects.

Description

This method will return a dynamic array that contains zero or more TJvTFTimeRange's that represent the time that is used in the schedule.

Created with Doc-O-Matic.


See Also

TJvTFSched.GetFreeTime


TJvTFSched.PostAppts method

TJvTFSched	See Also	Edit topic

Saves all changes.

Pascal

procedure PostAppts;

Description

Call this method to post all of the appointments contained in the schedule.

Created with Doc-O-Matic.


See Also

TJvTFSched.Refresh


TJvTFSched.Refresh method

TJvTFSched	See Also	Edit topic

Rereads appointment data from storage.

Pascal

procedure Refresh;

Description

Call this method to refresh all of the appointments linked to the schedule. This method simply calls TJvTFScheduleManager.dbRefreshSched and is provided in this form as a convenience when working with schedule objects.

Created with Doc-O-Matic.


See Also

TJvTFSched.PostAppts


TJvTFSched.RemoveAppt method

TJvTFSched	See Also	Edit topic

Removes an appointment.

Pascal

procedure RemoveAppt(Appt: TJvTFAppt);

Parameters

Appt: TJvTFAppt

The appointment to remove.

Description

Use this method to remove the given appointment from the schedule.

Created with Doc-O-Matic.


See Also

TJvTFSched.AddAppt


TJvTFSched.TimeIsFree method (TJvTFTimeRange)

TJvTFSched	Edit topic

Determines if a time range is unused.

Pascal

function TimeIsFree(TimeRange: TJvTFTimeRange): Boolean; dynamic; overload;
function TimeIsFree(RangeStart: TTime; RangeEnd: TTime): Boolean; dynamic; overload;

Return Value

True if the time is free, false otherwise.

Parameters

TimeRange: TJvTFTimeRange

The start and end time of the range to check.

RangeStart: TTime

The start of the time range to check.

RangeEnd: TTime

The end of the time range to check.

Description

TimeIsFree will return True if there are not any appointments that fall in the given time range, False otherwise.

This method only checks the time in the schedule from which it is invoked.

Notes

This method is NOT available in the Delphi 3 version of JTF.

Created with Doc-O-Matic.


TJvTFScheduleManager
JEDI-VCL Reference

 TJvTFScheduleManager

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Manages multiple schedules, appointments and associated controls and components.

Pascal

TJvTFScheduleManager = class(TComponent);

File

JvTFManager

Description

The TJvTFScheduleManager component is the heart of the JTF suite. It provides a centralized source of data for multiple JTF Controls. It stores schedule and appointment objects and manages all relationships between them. The server provides many methods and events to its connected controls, embedded schedule and appointment objects, and you that allow objects, relationships, and communication to take place without the caller needing to worry about the low-level details and implications of the action.

You use the server to implement several things. These include reading/writing data to/from disk, adding new appointments, setting caching options, and so on.

All JTF Controls will communicate with the server. The controls tell the server when to load, unload, and change schedule and appointment data and the server executes those commands.

Created with Doc-O-Matic.


TJvTFScheduleManager Properties

TJvTFScheduleManager	Legend

Properties

 AlwaysPost

 Appts

 Cache

 ConComponents

 ConControls

 CustomImages

 Flushing

 LoadingAppts

 RefreshAutoReconcile

 Refreshing

 SchedLoadMode

 Schedules

 StateImageMap

 StateImages

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvTFScheduleManager Events

TJvTFScheduleManager	Legend

Events

 OnBatchesProcessed

 OnCreateAppt

 OnCreateSchedule

 OnDeleteAppt

 OnDestroyAppt

 OnDestroySchedule

 OnFlush

 OnGetApptDescription

 OnGetApptDisplayText

 OnLoadBatch

 OnNeedAppts

 OnPostAppt

 OnPostApptQuery

 OnRefreshAll

 OnRefreshAppt

 OnRefreshSched

 OnSetApptDescription

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFScheduleManager Methods

TJvTFScheduleManager	Legend

Methods

ApptCount

ConComponentCount

ConControlCount

dbDeleteAllAppt

dbDeleteAppt

dbNewAppt

dbPostAppt

dbRefreshAll

dbRefreshAppt

dbRefreshOrphans

dbRefreshSched

FindAppt

FindSchedule

 Flush

 GenerateApptID

GetApptClass

 GetApptDisplayText

GetSchedClass

GetScheduleID

PostAppts

ProcessBatches

ReconcileRefresh

RefreshAppts

 RefreshConnections

ReleaseSchedule

RequestAppt

RequestSchedule

ScheduleCount

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTFScheduleManager

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvTFScheduleManager


TJvTFScheduleManager Members

TJvTFScheduleManager	Legend

Members

Properties

 AlwaysPost

 Appts

 Cache

 ConComponents

 ConControls

 CustomImages

 Flushing

 LoadingAppts

 RefreshAutoReconcile

 Refreshing

 SchedLoadMode

 Schedules

 StateImageMap

 StateImages

Events

 OnBatchesProcessed

 OnCreateAppt

 OnCreateSchedule

 OnDeleteAppt

 OnDestroyAppt

 OnDestroySchedule

 OnFlush

 OnGetApptDescription

 OnGetApptDisplayText

 OnLoadBatch

 OnNeedAppts

 OnPostAppt

 OnPostApptQuery

 OnRefreshAll

 OnRefreshAppt

 OnRefreshSched

 OnSetApptDescription

Methods

ApptCount

ConComponentCount

ConControlCount

dbDeleteAllAppt

dbDeleteAppt

dbNewAppt

dbPostAppt

dbRefreshAll

dbRefreshAppt

dbRefreshOrphans

dbRefreshSched

FindAppt

FindSchedule

 Flush

 GenerateApptID

GetApptClass

 GetApptDisplayText

GetSchedClass

GetScheduleID

PostAppts

ProcessBatches

ReconcileRefresh

RefreshAppts

 RefreshConnections

ReleaseSchedule

RequestAppt

RequestSchedule

ScheduleCount

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


Package

TimeFramework


TJvTFScheduleManager.AlwaysPost property

TJvTFScheduleManager	See Also	Edit topic

Determines how posts are handled.

Pascal

property AlwaysPost: Boolean;

Description

If this property is True, the Modified property will be ignored and the OnPostAppt event will be fired even if Modified is False. If AlwaysPost is False the OnPostAppt event will be fired only if Modified is True.

Setting AlwaysPost to False increases performance since only modified appointments will be written to disk.

You should be warned though that if AlwaysPost is false, a call to dbPostAppt, PostAppts, TJvTFSched.PostAppts, or TJvTFAppt.Post only actually fires the OnPostAppt event if TJvTFAppt.Modified = True.

Notes

You must implement a handler for the OnPostAppt event which will write the appointment to some physical storage backend.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.dbPostAppt, TJvTFScheduleManager.OnPostAppt, TJvTFScheduleManager.PostAppts


TJvTFScheduleManager.Appts property

TJvTFScheduleManager	See Also	Edit topic

Provides indexed access to appointments.

Pascal

property Appts [Index: Integer]: TJvTFAppt;

Description

The Appts property contains the "master" list of appointments that reside in server. All appointments that are present in the server, regardless of what schedule(s) the belong to and regardless of whether they are cached or not, can be retrieved through this property.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.ApptCount


TJvTFScheduleManager.Cache property

TJvTFScheduleManager	See Also	Edit topic

Provides access to the caching mechanism.

Pascal

property Cache: TJvTFScheduleManagerCache;

Description

See TJvTFScheduleManagerCache for more information.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManagerCache


TJvTFScheduleManager.ConComponents property

TJvTFScheduleManager	See Also	Edit topic

Provides indexed access to the JTF components connected to the server.

Pascal

property ConComponents [Index: Integer]: TJvTFComponent;

Description

Use this property to access any of the TJvTFComponents that are connected to the server. To access the TJvTFControls, use the ConControls property instead.

Notes

This property supersedes the Connections property as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.ConComponentCount, TJvTFScheduleManager.ConControlCount, TJvTFScheduleManager.ConControls


TJvTFScheduleManager.ConControls property

TJvTFScheduleManager	See Also	Edit topic

Provides indexed access to each of the JTF controls that is connected to the server.

Pascal

property ConControls [Index: Integer]: TJvTFControl;

Description

Use this property to access any of the TJvTFControls that are connected to the server. To access the TJvTFComponents, use the ConComponents property instead.

Notes

This property supersedes the Connections property as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.ConComponentCount, TJvTFScheduleManager.ConComponents, TJvTFScheduleManager.ConControlCount


TJvTFScheduleManager.CustomImages property

TJvTFScheduleManager	Edit topic

Points to an imagelist with appointment images.

Pascal

property CustomImages: TCustomImageList;

Description

Use this property to specify a TImageList that contains the images you want to embed into specific appointments.

Created with Doc-O-Matic.


TJvTFScheduleManager.Flushing property

TJvTFScheduleManager	See Also	Edit topic

Determines if a flush is in progress.

Pascal

property Flushing: Boolean;

Description

This property will be True when the caching system is in the process of flushing cached objects from memory.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.Flush


TJvTFScheduleManager.LoadingAppts property

TJvTFScheduleManager	See Also	Edit topic

Returns whether data loading is in progress.

Pascal

property LoadingAppts: Boolean;

Description

LoadingAppts will be True when appointments are being loaded for a schedule. It is set to True immediately before firing the OnNeedAppts event and set to False immediately after the OnNeedAppts event has been fired.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnNeedAppts


TJvTFScheduleManager.OnBatchesProcessed event

TJvTFScheduleManager	See Also	Edit topic

Occurs after batches have been processed.

Pascal

property OnBatchesProcessed: TNotifyEvent;

Description

This event will fire after OnLoadBatch has been called for each batch that must be loaded. Please see "Batch Loading" for more information.

Notes

This event will not fire unless SchedLoadMode is set to slmBatch.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.SchedLoadMode


TJvTFScheduleManager.OnCreateAppt event

TJvTFScheduleManager	See Also	Edit topic

Occurs when a new appointment object is created.

Pascal

property OnCreateAppt: TJvTFApptEvent;

Description

This event is fired when the server creates an appointment object. This is especially handy if you will be attaching custom data to the appointment via a custom object. It provides a place for you to create your custom object.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnDestroyAppt


TJvTFScheduleManager.OnCreateSchedule event

TJvTFScheduleManager	See Also	Edit topic

Occurs when a new schedule is created.

Pascal

property OnCreateSchedule: TJvTFSchedEvent;

Description

This event is fired when the server creates a schedule object. This is especially handy if you will be attaching custom data to the schedule via a custom object. It provides a place for you to create your custom object.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnDestroySchedule


TJvTFScheduleManager.OnDeleteAppt event

TJvTFScheduleManager	Edit topic

Occurs when an appointment is deleted.

Pascal

property OnDeleteAppt: TJvTFApptEvent;

Description

This event is fired when an appointment is being removed from the system. You need to provide code behind this event that will remove the appointment data from your physical storage implementation.

Created with Doc-O-Matic.


TJvTFScheduleManager.OnDestroyAppt event

TJvTFScheduleManager	See Also	Edit topic

Occurs when an appointment is freed.

Pascal

property OnDestroyAppt: TJvTFApptEvent;

Description

This event is fired when the server destroys an appointment object. This is especially handy if you will be attaching custom data to the appointment via a custom object. It provides a place for you to destroy your custom object.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnCreateAppt


TJvTFScheduleManager.OnDestroySchedule event

TJvTFScheduleManager	See Also	Edit topic

Occurs when a schedule is freed.

Pascal

property OnDestroySchedule: TJvTFSchedEvent;

Description

This event is fired when the server destroys a schedule object. This is especially handy if you will be attaching custom data to the schedule via a custom object. It provides a place for you to destroy your custom object.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnCreateSchedule


TJvTFScheduleManager.OnFlush event

TJvTFScheduleManager	See Also	Edit topic

Occurs when the cache is flushed.

Pascal

TJvTFFlushEvent = procedure (Sender, FlushObj: TObject; var FlushIt: Boolean) of object;
property OnFlush: TJvTFFlushEvent;

Parameters

FlushIt

Specify whether to remove the FlushObj object from memory.

FlushObj

The object that is about to be removed from memory (either a TJvTFSched or a TJvTFAppt).

Sender

The object that has fired the event and most likely will be a TJvTFScheduleManager.

Description

The OnFlush event is fired when the caching system is about to remove an object from memory. You could use this event to "filter" which objects are actually removed from memory.

The TJvTFFlushEvent type is used for the OnFlush event. If you set FlushIt to False, the FlushObj will not be removed from memory.

Created with Doc-O-Matic.


See Also

TJvTFFlushEvent, TJvTFScheduleManager.Flush, TJvTFScheduleManager.Flushing


TJvTFScheduleManager.OnGetApptDescription event

TJvTFScheduleManager	See Also	Edit topic

Occurs when an appointments description is accessed.

Pascal

property OnGetApptDescription: TJvTFApptDescEvent;

Description

This event is fired anytime an appointment's Description property is read. You can modify the description as it is read without modifying the actual description that is stored in memory. This may come in handy for such things as encrypting/decrypting the description.

Caution: This event is every time an appt's description is read, internally or externally. Be wary of the performance of the code you call in this event.

Since this event is fired every time an appt's description is read (regardless of the purpose of the read), it is recommended that you use the OnGetApptDisplayText event if you only want to change how JTF displays the appt text, such as adding a Location and/or phone number that is not stored in the Description property of the appt. OnGetApptDisplayText is only called when JTF needs to display text for the appointment.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnGetApptDisplayText, TJvTFScheduleManager.OnSetApptDescription


TJvTFScheduleManager.OnGetApptDisplayText event

TJvTFScheduleManager	See Also	Edit topic

Occurs when an appointment's text needs to be displayed.

Pascal

TJvTFGetApptDisplayTextEvent = procedure (Sender: TObject; Source: TComponent; Appt: TJvTFAppt; var DisplayText: string) of object;
property OnGetApptDisplayText: TJvTFGetApptDisplayTextEvent;

Parameters

Appt

The appointment object in question.

DisplayText

The text that will be displayed.

Sender

The object that is firing the event.

Source

The component that is requesting the display text.

Description

This event is fired whenever a JvTFComponent or Control needs to display text for an appointment. DisplayText specifies the text that will be displayed, and is modifiable by you.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnGetApptDescription, TJvTFScheduleManager.OnSetApptDescription


TJvTFScheduleManager.OnLoadBatch event

TJvTFScheduleManager	Edit topic

Occurs when a batch needs to be loaded.

Pascal

TJvTFLoadBatchEvent = procedure (Sender: TObject; BatchName: string; BatchStartDate, BatchEndDate: TDate) of object;
property OnLoadBatch: TJvTFLoadBatchEvent;

Parameters

BatchStartDate

The starting date of the schedule(s) to be loaded.

BatchEndDate

The ending date of the schedule(s) to be loaded.

Sender

The object that is firing the event.

BatchName

The schedule(resource) name.

Description

This event will fire once for each batch that must be loaded.

Note that BatchStartDate and BatchEndDate define a contiguous set of dates that must be loaded. Therefore, if BatchName is Mike, BatchStartDate is 1/1/2000, and BatchEndDate is 1/3/2000 you should load the following schedules:

    Mike - 1/1/2000

    Mike - 1/2/2000

    Mike - 1/3/2000

Please see "Batch Loading" for more information.

Notes

This event will not fire unless SchedLoadMode is set to slmBatch.

Created with Doc-O-Matic.


TJvTFScheduleManager.OnNeedAppts event

TJvTFScheduleManager	Edit topic

Occurs when appointments needs to be loaded.

Pascal

property OnNeedAppts: TJvTFSchedEvent;

Description

This event is fired when a schedule needs to be loaded into the server. You need to provide code behind this event that will read the appropriate appointment data from your physical storage implementation, request an appointment object from the server, set its properties, and then add it to the given schedule.

Created with Doc-O-Matic.


TJvTFScheduleManager.OnPostAppt event

TJvTFScheduleManager	See Also	Edit topic

Occurs when an appointment needs to be saved.

Pascal

property OnPostAppt: TJvTFApptEvent;

Description

The event is fired when an appointment's data needs to be saved to your physical storage implementation. You need to provide code behind this event that will accomplish this task. You can prevent this event from being fired by handling the OnPostApptQuery event.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnPostApptQuery


TJvTFScheduleManager.OnPostApptQuery event

TJvTFScheduleManager	See Also	Edit topic

Occurs before an appointment is saved.

Pascal

TJvTFPostApptQueryEvent = procedure (Sender: TObject; Appt: TJvTFAppt; var CanPost: Boolean) of object;
property OnPostApptQuery: TJvTFPostApptQueryEvent;

Parameters

CanPost

Specifies whether to fire an OnPostAppt event.

Appt

The appointment object.

Sender

The object that is firing the event.

Description

This event is fired before an appointment object is posted. By default, CanPost is True which allows TJvTFScheduleManager to fire the OnPostAppt event. You can set CanPost to false to prevent TJvTFScheduleManager from firing the OnPostAppt.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnPostAppt


TJvTFScheduleManager.OnRefreshAll event

TJvTFScheduleManager	Edit topic

Occurs when data needs to be refreshed.

Pascal

property OnRefreshAll: TNotifyEvent;

Description

This event will be fired when the server needs to refresh all of its schedule and appointment data. You will need to provide code in this event that will actually update the schedule and appointment data.

The Modified property for each of the appointment objects in the server will set to False before the event is fired. If, for some reason, the Modified property needs to be set to true simply call TJvTFAppt.SetModified for the specific appointment.

Created with Doc-O-Matic.


TJvTFScheduleManager.OnRefreshAppt event

TJvTFScheduleManager	Edit topic

Occurs when an appointment needs to be reloaded.

Pascal

property OnRefreshAppt: TJvTFApptEvent;

Description

This event will be fired when the appointment object in memory needs to have its data updated to reflect the data on disk. You need to provide the code that will retrieve the data from physical storage and set the appointment object's properties appropriately.

Created with Doc-O-Matic.


TJvTFScheduleManager.OnRefreshSched event

TJvTFScheduleManager	Edit topic

Occurs when a schedule needs to be reloaded.

Pascal

property OnRefreshSched: TJvTFSchedEvent;

Description

This event fires when the server needs to refresh the data for each appointment that is linked to a specific schedule object, given by the Sched parameter. It is your responsibility to provide code in the event that will actually update the appointment data.

The Modified property for each appointment linked to the schedule will be set to False before the event is fired. If, for some reason, the Modified property for a particular appointment needs to be set to True, simply call the TJvTFAppt.SetModified method.

Created with Doc-O-Matic.


TJvTFScheduleManager.OnSetApptDescription event

TJvTFScheduleManager	See Also	Edit topic

Occurs when an appointment's description is changed.

Pascal

property OnSetApptDescription: TJvTFApptDescEvent;

Description

This event is fired when an appointment's Description property is being written. Appt references the appointment whose description is being modified. Description specifies the appt's description, which is modifiable by you. This event may come in handy for things such as encrypting/decrypting the appt's description.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnGetApptDescription


TJvTFScheduleManager.RefreshAutoReconcile property

TJvTFScheduleManager	Edit topic

Determines if automatic reconciliation is activated.

Pascal

property RefreshAutoReconcile: Boolean;

Description

If True, TJvTFScheduleManager will automatically reconcile deleted/refreshed appointments after a Refresh has taken place. You must set the Refreshed property to True for each appointment refreshed in one of the Refresh events. Please see "Refresh Reconciliation" for more information.

Created with Doc-O-Matic.


TJvTFScheduleManager.Refreshing property

TJvTFScheduleManager	Edit topic

Determines whether the server is currently refreshing its appointments.

Pascal

property Refreshing: Boolean;

Description

This property will be True if the server is currently in the process of refreshing its appointment and schedule objects, False otherwise.

Created with Doc-O-Matic.


TJvTFScheduleManager.SchedLoadMode property

TJvTFScheduleManager	See Also	Edit topic

Specifies the manner in which schedules are loaded into TJvTFScheduleManager.

Pascal

property SchedLoadMode: TJvTFSchedLoadMode;

Description

slmOnDemand will fire the OnNeedAppts event for each schedule to be loaded. slmBatch will caused the schedules to be batched and loaded at a later time when the OnLoadBatch and/or OnBatchesProcessed events fire.

Notes

If SchedLoadMode is set to slmOnDemand, the OnLoadBatch and OnBatchesProcessed events will NOT fire unless a direct call is made to ProcessBatches. If SchedLoadMode is set to slmBatch, the OnNeedAppts event will NOT fire.

Please see "Batch Loading" for more information.

Created with Doc-O-Matic.


See Also

Batch Loading


TJvTFScheduleManager.Schedules property

TJvTFScheduleManager	See Also	Edit topic

Provides indexed access to the schedules.

Pascal

property Schedules [Index: Integer]: TJvTFSched;

Description

Allows you to access each of the schedule objects that are connected to the component.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.ScheduleCount


TJvTFScheduleManager.StateImageMap property

TJvTFScheduleManager	See Also	Edit topic

Specifies the images to use for appointment states.

Pascal

property StateImageMap: TJvTFStateImageMap;

Description

Allows you to display specific images for specific appointment states. See TJvTFStateImageMap for more details.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.StateImages


TJvTFScheduleManager.StateImages property

TJvTFScheduleManager	See Also	Edit topic

The imagelist containing images for appointment state.

Pascal

property StateImages: TCustomImageList;

Description

Set the property to point to a TImageList the contains the images would want the appointments to show for the various states.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.StateImageMap


TJvTFScheduleManager.ApptCount method

TJvTFScheduleManager	See Also	Edit topic

Returns the number of appointment objects contained in the server.

Pascal

function ApptCount: Integer;

Description

Read ApptCount to determine the number of appointments managed by the server. Use ApptCount-1 as the upper bound when accessing the Appts array.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.Appts


TJvTFScheduleManager.ConComponentCount method

TJvTFScheduleManager	See Also	Edit topic

Returns the number of TJvTFComponents that are connected to the server.

Pascal

function ConComponentCount: Integer;

Description

Use the ConComponentCount method to find the number of TJvTFComponents that are connected to the server. To find the number of TJvTFControls, use ConControlCount instead.

Notes

This method supersedes the ComponentCount method as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.ConComponents, TJvTFScheduleManager.ConControlCount, TJvTFScheduleManager.ConControls


TJvTFScheduleManager.ConControlCount method

TJvTFScheduleManager	See Also	Edit topic

Returns the number of JTF controls connected to the server.

Pascal

function ConControlCount: Integer;

Description

Use the ConControlCount to get the number of TJvTFControls that are connected to the server. To get the number of TJvTFComponents instead, use the ConComponentCount.

Notes

This method supersedes ConnectionCount as of version 1.1 of the server.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.ConComponentCount, TJvTFScheduleManager.ConComponents, TJvTFScheduleManager.ConControls


TJvTFScheduleManager.dbDeleteAllAppt method

TJvTFScheduleManager	Edit topic

Not documented

Pascal

procedure dbDeleteAllAppt;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTFScheduleManager.dbDeleteAppt method

TJvTFScheduleManager	See Also	Edit topic

Deletes an appointment from the server.

Pascal

procedure dbDeleteAppt(Appt: TJvTFAppt);

Parameters

Appt: TJvTFAppt

The appointment to delete.

Description

Use the dbDeleteAppt to remove an appointment from the system. dbDeleteAppt will fire the OnDeleteAppt event where you will have code that will delete the appointment from physical storage. As a convenience, you may also call TJvTFAppt.Delete since that method simply calls the dbDeleteAppt method.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnDeleteAppt


TJvTFScheduleManager.dbNewAppt method

TJvTFScheduleManager	See Also	Edit topic

Adds a new appointment to the server.

Pascal

function dbNewAppt(const ID: string): TJvTFAppt;

Return Value

The new appointment object.

Parameters

const ID: string

The new ID. Leave empty to have an ID created for you.

Description

Use the method to create a new appointment in the system. If you do not specify an ID, the server will create one for you. If you do specify an ID, you are responsible to ensure that the ID will be unique among all appointments.

The server uses the GenerateApptID method to generate a unique ID.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.GenerateApptID


TJvTFScheduleManager.dbPostAppt method

TJvTFScheduleManager	See Also	Edit topic

Saves changes to storage.

Pascal

procedure dbPostAppt(Appt: TJvTFAppt);

Parameters

Appt: TJvTFAppt

The appointment to save.

Description

Calling this method will cause the OnPostAppt event to fired. You will have code behind the OnPostAppt event that will save the appointment's data to physical storage.

Note that if AlwaysPost is False and Appt.Modified is False then OnPostAppt will not be fired.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.AlwaysPost, TJvTFScheduleManager.OnPostAppt


TJvTFScheduleManager.dbRefreshAll method

TJvTFScheduleManager	See Also	Edit topic

Reloads all data from storage.

Pascal

procedure dbRefreshAll;

Description

Use this method to refresh all of the server's appointment and schedule data. Calling this method will first clear the Modified property for each of the appointment objects in the server. It will then fire the OnRefreshAll event.

After the OnRefreshAll event finishes dbRefreshAll will call RefreshConnections to update all of the JvTFComponents and JvTFControls that are connected to the server.

Notes

It is your responsibility to provide a handler for the OnRefreshAll event that will actually update the schedule and appointment data.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnRefreshAll, TJvTFScheduleManager.RefreshConnections


TJvTFScheduleManager.dbRefreshAppt method

TJvTFScheduleManager	See Also	Edit topic

Reloads data from storage.

Pascal

procedure dbRefreshAppt(Appt: TJvTFAppt);

Parameters

Appt: TJvTFAppt

The appointment to refresh.

Description

Use this method to refresh a single appointment object. Calling this method will first clear the Modified property of the given appointment. It will then fire the OnRefreshAppt event.

After the OnRefreshAppt event finishes dbRefreshAppt will call RefreshConnections to update all of the JvTFComponents and JvTFControls that are accessing the appointment.

Notes

It is your responsibility to provide a handler for the OnRefreshAppt event that will actually update the appointment data.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnRefreshAppt, TJvTFScheduleManager.RefreshConnections


TJvTFScheduleManager.dbRefreshOrphans method

TJvTFScheduleManager	See Also	Edit topic

Reloads data from storage.

Pascal

procedure dbRefreshOrphans;

Description

Use this method to refresh all appointments that are not linked to any schedules. This method call the dbRefreshAppt method for each appointment that is not connected to at least one schedule object.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.dbRefreshAppt


TJvTFScheduleManager.dbRefreshSched method

TJvTFScheduleManager	See Also	Edit topic

Reloads data from storage.

Pascal

procedure dbRefreshSched(Sched: TJvTFSched);

Parameters

Sched: TJvTFSched

The schedule to update.

Description

Use this method to refresh all of the appointments linked to the schedule specified by the Sched parameter. Calling this method will first clear the Modified property for each of the appointment objects linked to the schedule. It will then fire the OnRefreshSched event.

After the OnRefreshSched event finishes dbRefreshSched will call RefreshConnections to update all of the JvTFComponents and JvTFControls that are connected to the schedule.

Notes

It is your responsibility to provide a handler for the OnRefreshSched event that will actually update the appointment data.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnRefreshSched, TJvTFScheduleManager.RefreshConnections


TJvTFScheduleManager.FindAppt method

TJvTFScheduleManager	See Also	Edit topic

Searches for an appointment.

Pascal

function FindAppt(const ID: string): TJvTFAppt;

Return Value

The found appointment or nil if not found.

Parameters

const ID: string

The ID to search for.

Description

FindAppt searches the Appts array and return the appointment object that has the given ID. If no appointment is found for the given ID, FindAppt will return nil.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.Appts


TJvTFScheduleManager.FindSchedule method

TJvTFScheduleManager	See Also	Edit topic

Searches for a schedule.

Pascal

function FindSchedule(const SchedName: string; SchedDate: TDate): TJvTFSched;

Return Value

The found schedule or nil if not found.

Parameters

const SchedName: string

Name of schedule to find.

SchedDate: TDate

Date of schedule to find.

Description

FindSchedule searches the Schedules list and return a schedule object that has the given SchedName and SchedDate. If a match is not found, FindSchedule will return nil.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.Schedules


TJvTFScheduleManager.Flush method

TJvTFScheduleManager	See Also	Edit topic

Removes cached objects.

Pascal

procedure Flush(All: Boolean = False); virtual;

Parameters

All: Boolean = False

Indicates whether to flush all cached objects.

Description

Use this method to manually flush cached objects from memory. If All is True, all cached objects will be flushed from memory. If All is False, cached objects are flushed according to the rules of the Cache.CacheType property.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.Cache


TJvTFScheduleManager.GenerateApptID method

TJvTFScheduleManager	See Also	Edit topic

Generates a unique identifier for appointment objects.

Pascal

class function GenerateApptID: string; virtual;

Return Value

A unique appointment ID.

Description

The implementation uses a concatenation of the system date/time and five random alpha chars and is as follows:

        class function TJvTFScheduleManager.GenerateApptID: String;

        Var

         I : Integer;

        begin

         Result := FloatToStr(Now);

         For I := 1 to 5 do

         Result := Result + Chr(Random(25) + 65);

        end;

You may override this method in a descendant class if you need to change this algorithm, otherwise you can just supply an ID to the RequestAppt or dbNewAppt methods.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.dbNewAppt, TJvTFScheduleManager.RequestAppt


TJvTFScheduleManager.GetApptClass method

TJvTFScheduleManager	Edit topic

Returns the actual appointment class in use.

Pascal

function GetApptClass: TJvTFApptClass; dynamic;

Description

Returns a specific TJvTFAppt class. You can override this method if you would like JTF to use a custom subclass of TJvTFAppt.

Created with Doc-O-Matic.


TJvTFScheduleManager.GetApptDisplayText method

TJvTFScheduleManager	See Also	Edit topic

Sets the default display text and then calls OnGetApptDisplayText.

Pascal

function GetApptDisplayText(AComponent: TComponent; Appt: TJvTFAppt): string; virtual;

Description

This method is for internal use.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnGetApptDisplayText


TJvTFScheduleManager.GetSchedClass method

TJvTFScheduleManager	Edit topic

Returns the actual schedule class in use.

Pascal

function GetSchedClass: TJvTFSchedClass; dynamic;

Description

Returns a specific TJvTFSched class. You can override this method if you would like JTF to use a custom subclass of TJvTFSched.

Created with Doc-O-Matic.


TJvTFScheduleManager.GetScheduleID method

TJvTFScheduleManager	Edit topic

Returns an ID based on the input parameters.

Pascal

class function GetScheduleID(const SchedName: string; SchedDate: TDate): string;

Return Value

A string ID built from the input.

Description

Call GetScheduleID to construct an ID from the SchedName and SchedDate parameters. Currently, this method is implemented as:

    Result := SchedName + IntToStr(trunc(SchedDate));

Created with Doc-O-Matic.


TJvTFScheduleManager.PostAppts method

TJvTFScheduleManager	See Also	Edit topic

Saves all appointments to storage.

Pascal

procedure PostAppts;

Description

Use this method to post all of the appointment objects in the server at once.

This method is equivalent to:

   for I := 0 to ApptCount - 1 do

     dbPostAppt(Appts[I]);

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.dbPostAppt


TJvTFScheduleManager.ProcessBatches method

TJvTFScheduleManager	See Also	Edit topic

Processes several schedules at once.

Pascal

procedure ProcessBatches;

Description

Call this event to trigger the loading of all of the schedules that have been batched since the last call to ProcessBatches. Under normal circumstances you will not have to call this method. Please see "Batch Loading" for more information.

Notes

This method will ALWAYS trigger the batch loading process regarding of the setting of SchedLoadMode, as long as there are schedules that have been previously batched to be loaded. (Schedules will not be batched for loading unless SchedLoadMode is set to slmBatch.)

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.SchedLoadMode


TJvTFScheduleManager.ReconcileRefresh method

TJvTFScheduleManager	See Also	Edit topic

Adds appointments to the internal cache.

Pascal

procedure ReconcileRefresh(Scope: TObject);

Parameters

Scope: TObject

Specifies the scope for the reconcile. Warning This method ignores the value of the RefreshAutoReconcile property. Use extreme caution in calling this method, especially if RefreshAutoReconcile is set to False!

Description

This procedure will cache all affected appointments whose Refreshed property is set to False. Which appointments that are affected is controlled by Scope.

If Scope is a TJvTFAppt then only the appt specified by Scope is reconciled. If Scope is a TJvTFSched then all appointments that belong to that schedule are reconciled. If Scope is a TJvTFScheduleManager then all appointments that reside in the server are reconciled.

Under normal circumstances you will not have to call this method. Please see "Refresh Reconciliation" for more information.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.RefreshAutoReconcile


TJvTFScheduleManager.RefreshAppts method

TJvTFScheduleManager	See Also	Edit topic

Reloads all appointments.

Pascal

procedure RefreshAppts;

Description

[This method is obsolete as of version 1.1 of the server.]

Please use dbRefreshAll, dbRefreshSched, dbRefreshAppt or dbRefreshOrphans instead.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.dbRefreshAll, TJvTFScheduleManager.dbRefreshAppt, TJvTFScheduleManager.dbRefreshOrphans, TJvTFScheduleManager.dbRefreshSched


TJvTFScheduleManager.RefreshConnections method

TJvTFScheduleManager	Edit topic

Redraws one or more controls.

Pascal

procedure RefreshConnections(Trigger: TObject); virtual;

Parameters

Trigger: TObject

an object to refresh (or nil).

Description

Use RefreshConnections to cause one or more of the controls (and/or components) connected to the server to refresh (redraw) themselves. The specific controls (components) that actually get refreshed are based on the value of Trigger and follow these rules:

If Trigger is:

Nil: All controls connected to the server are refreshed

A TJvTFComponent: Only that component is refreshed

A TJvTFControl: Only that control is refreshed

A TJvTFSched: Only the controls that reference the given schedule are refreshed

A TJvTFAppt: Only the controls that reference a schedule that contains the given appointment are refreshed

Any other value for Trigger raises an EJvTFScheduleManagerError exception.

Notes

This method was renamed from RefreshControls as of version 1.1 of the server.

Created with Doc-O-Matic.


TJvTFScheduleManager.ReleaseSchedule method (TJvTFComponent, string, TDate)

TJvTFScheduleManager	Edit topic

Signals that a component or control no longer needs a schedule.

Pascal

procedure ReleaseSchedule(ApptCtrl: TJvTFControl; const SchedName: string; SchedDate: TDate); overload;
procedure ReleaseSchedule(Comp: TJvTFComponent; const SchedName: string; SchedDate: TDate); overload;

Parameters

ApptCtrl: TJvTFControl

The control in question.

const SchedName: string

Name of the schedule.

SchedDate: TDate

Date of the schedule.

Comp: TJvTFComponent

The component in question.

Description

The ReleaseSchedule method signals the server that the control specified by ApptCtrl (or component specified by Comp) no longer needs access to the schedule with name=SchedName and date=SchedDate.

If the schedule is not used by any other JvTFComponents or JvTFControls, the server will cache the schedule object.

You normally will not use this method. A JvTFComponent or Control will automatically call this method when a schedule is no longer needed.

Use the RequestSchedule method to request a schedule object for use by a JvTFComponent or Control.

Created with Doc-O-Matic.


TJvTFScheduleManager.RequestAppt method

TJvTFScheduleManager	Edit topic

Finds or creates a new appointment.

Pascal

procedure RequestAppt(const ID: string; var Appt: TJvTFAppt; var New: Boolean);

Parameters

const ID: string

The ID of the appointment.

var Appt: TJvTFAppt

The new or found appointment.

var New: Boolean

Is Set to true if Appt contains a newly created object.

Description

When an appointment object is needed from the server RequestAppt will normally be used. RequestAppt will search the server's appointments for an appointment that has an ID that matches the given ID. If no match is found (or no ID is given) the server will create a new appointment object and set the New parameter to True.

In either case, RequestAppt will return an appointment object for use via the Appt parameter.

Created with Doc-O-Matic.


TJvTFScheduleManager.RequestSchedule method (TJvTFComponent, string, TDate)

TJvTFScheduleManager	See Also	Edit topic

Finds a schedule object.

Pascal

function RequestSchedule(ApptCtrl: TJvTFControl; const SchedName: string; SchedDate: TDate): TJvTFSched; overload;
function RequestSchedule(ApptCtrl: TJvTFControl; const SchedName: string; SchedDate: TDate; var LoadedNow: Boolean): TJvTFSched; overload;
function RequestSchedule(Comp: TJvTFComponent; const SchedName: string; SchedDate: TDate): TJvTFSched; overload;
function RequestSchedule(Comp: TJvTFComponent; const SchedName: string; SchedDate: TDate; var LoadedNow: Boolean): TJvTFSched; overload;

Return Value

The requested schedule object.

Parameters

ApptCtrl: TJvTFControl

The control requesting the schedule.

const SchedName: string

Name of the schedule.

SchedDate: TDate

Date of the schedule.

var LoadedNow: Boolean

False if the schedule was already in memory.

Comp: TJvTFComponent

The component requesting the schedule.

Description

The RequestSchedule method is used to retrieve a schedule object from the server. In the first two variations, ApptCtrl is the control that is requesting the schedule. In the last two variations, Comp is the JvTFComponent that is requesting the schedule. SchedName and SchedDate specify the name (resource name) and date of the requested schedule.

If the schedule object is not already loaded into the server, the server will create the object and fire the OnNeedAppts event so that you may retrieve the appointment data from physical storage and add the appointments to the schedule.

If the schedule object is already present in memory, RequestSchedule will simply return a pointer to it.

Two variations include the LoadedNow variable which will be set to True if the schedule had to be loaded, False if it was already present in memory.

Use the ReleaseSchedule method to release a schedule object from a JvTFComponent or Control.

Created with Doc-O-Matic.


See Also

ReleaseSchedule


TJvTFScheduleManager.ScheduleCount method

TJvTFScheduleManager	See Also	Edit topic

Returns the number of schedules in the component's Schedules list.

Pascal

function ScheduleCount: Integer;

Description

Use ScheduleCount to determine number of schedules in the list

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.Schedules


TJvTFScheduleManagerCache
JEDI-VCL Reference

TJvTFScheduleManagerCache

Hierarchy	Properties	 Edit topic

Manages the object cache.

Pascal

TJvTFScheduleManagerCache = class(TPersistent);

File

JvTFManager

Description

Used internally to manage the object cache. The cache is sued to automatically create and free objects as necessary, relieving the programmer from having to think about it.

Created with Doc-O-Matic.


TJvTFScheduleManagerCache Properties

TJvTFScheduleManagerCache	Legend

Properties

 BufferCount

 CacheType

 TimedDelay

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvTFScheduleManagerCache

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTFScheduleManagerCache


TJvTFScheduleManagerCache Members

TJvTFScheduleManagerCache	Legend

Members

Properties

 BufferCount

 CacheType

 TimedDelay

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFScheduleManagerCache.BufferCount property

TJvTFScheduleManagerCache	See Also	Edit topic

Sets the max number of unused objects to keep in memory.

Pascal

property BufferCount: Integer;

Description

This property specifies a maximum number of unused schedules objects that will remain in memory. The cache then becomes a "buffer" of the most recently used schedules. As schedules are added to the cache list, others are flushed from memory so that the number of cached schedules never exceeds BufferCount.

This property is ignored unless the CacheType is set to ctBuffer .

Created with Doc-O-Matic.


See Also

TJvTFScheduleManagerCache.CacheType


TJvTFScheduleManagerCache.CacheType property

TJvTFScheduleManagerCache	See Also	Edit topic

Specifies the manner in which objects are cached.

Pascal

property CacheType: TJvTFScheduleManagerCacheType;

Description

See TJvTFScheduleManagerCacheType for descriptions of the available options.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManagerCacheType


TJvTFScheduleManagerCache.TimedDelay property

TJvTFScheduleManagerCache	Edit topic

Specifies how long objects are kept in memory.

Pascal

property TimedDelay: Integer;

Description

TimedDelay specifies how long cached objects will remain in memory before being flushed. TimedDelay is in milliseconds and cached objects are guaranteed to be removed from memory in TimedDelay to TimedDelay * 2 milliseconds after being cached.

Created with Doc-O-Matic.


TJvTFStateImageMap
JEDI-VCL Reference

TJvTFStateImageMap

Hierarchy	Properties	Methods	 Edit topic

Class that allows you to embed images within an appointment.

Pascal

TJvTFStateImageMap = class(TPersistent);

File

JvTFManager

Description

The TJvTFStateImageMap object is part of the system that allows you to embed images within a TJvTFAppt object. Specifically, it allows you to assign images to certain states that the appointment may be in. The different states are implemented as properties. You need to specify the index position where the image can be found in the ImageList.

Set the state property value to -1 to indicate that no image should be shown for the given state.

Note that the ImageList being referenced is found in the TJvTFScheduleManager.StateImages property.

Created with Doc-O-Matic.


TJvTFStateImageMap Properties

TJvTFStateImageMap	Legend

Properties

 AlarmDisabled

 AlarmEnabled

 Modified

Pics

 Recurring

 Shared

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFStateImageMap Methods

TJvTFStateImageMap

Methods

BeginUpdate

Clear

EndUpdate

Created with Doc-O-Matic.


Legend

TJvTFStateImageMap

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTFStateImageMap


TJvTFStateImageMap Members

TJvTFStateImageMap	Legend

Members

Properties

 AlarmDisabled

 AlarmEnabled

 Modified

Pics

 Recurring

 Shared

Methods

BeginUpdate

Clear

EndUpdate

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFStateImageMap.AlarmDisabled property

TJvTFStateImageMap	See Also	Edit topic

Specifies the image to use for the disabled alarm state.

Pascal

property AlarmDisabled: Integer;

Description

Set this property to the position of the image in the ImageList that should display when Appt.AlarmEnabled = False.

Set it to -1 to indicate that no image should be shown for this state.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.AlarmEnabled, TJvTFStateImageMap.Modified, TJvTFStateImageMap.Recurring, TJvTFStateImageMap.Shared


TJvTFStateImageMap.AlarmEnabled property

TJvTFStateImageMap	See Also	Edit topic

Specifies the image to use for the enabled alarm state.

Pascal

property AlarmEnabled: Integer;

Description

Set the value of this property to the position of the image in the ImageList that should display when Appt.AlarmEnabled = True.

Set it to -1 to indicate that no image should be shown for this state.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.AlarmDisabled, TJvTFStateImageMap.Modified, TJvTFStateImageMap.Recurring, TJvTFStateImageMap.Shared


TJvTFStateImageMap.Modified property

TJvTFStateImageMap	See Also	Edit topic

Specifies the image to use for the modified state.

Pascal

property Modified: Integer;

Description

Set the value of this property to the position of the image in the ImageList that should display when an appointment's data has been changed but not yet posted (Appt.Modified = True) .

Set it to -1 to indicate that no image should be shown for this state.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.AlarmDisabled, TJvTFStateImageMap.AlarmEnabled, TJvTFStateImageMap.Recurring, TJvTFStateImageMap.Shared


TJvTFStateImageMap.Pics property

TJvTFStateImageMap	Edit topic

Provides indexed access to the images.

Pascal

property Pics [Index: TJvTFStatePic]: Integer;

Description

Returns the position of the image specified by Index in the ImageList. This is handy if you need to loop through the possible states to get image map information.

Created with Doc-O-Matic.


TJvTFStateImageMap.Recurring property

TJvTFStateImageMap	See Also	Edit topic

Specifies the image to use for the recurring state.

Pascal

property Recurring: Integer;

Description

Set the value of this property to the position of the image in the ImageList that should display when Appt.Recurring = False. Note that recurring appointments are not yet supported.

Set it to -1 to indicate that no image should be shown for this state.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.AlarmDisabled, TJvTFStateImageMap.AlarmEnabled, TJvTFStateImageMap.Modified, TJvTFStateImageMap.Shared


TJvTFStateImageMap.Shared property

TJvTFStateImageMap	See Also	Edit topic

Specifies the image to use for the shared state.

Pascal

property Shared: Integer;

Description

Set the value of this property to the position of the image in the ImageList that should display when Appt.Shared = True.

Set it to -1 to indicate that no image should be shown for this state.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.AlarmDisabled, TJvTFStateImageMap.AlarmEnabled, TJvTFStateImageMap.Modified, TJvTFStateImageMap.Recurring


TJvTFStateImageMap.BeginUpdate method

TJvTFStateImageMap	See Also	Edit topic

Suspends redrawing.

Pascal

procedure BeginUpdate;

Description

If you are setting several of the state properties at once you should call BeginUpdate. This will not allow any connected controls to be redrawn while you are setting the properties. Don't forget to call EndUpdate when you are done setting the properties.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.EndUpdate


TJvTFStateImageMap.Clear method

TJvTFStateImageMap	See Also	Edit topic

Resets all state image values.

Pascal

procedure Clear;

Description

This will set the values of all of the state properties to -1.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.AlarmDisabled, TJvTFStateImageMap.AlarmEnabled, TJvTFStateImageMap.Modified, TJvTFStateImageMap.Recurring, TJvTFStateImageMap.Shared


TJvTFStateImageMap.EndUpdate method

TJvTFStateImageMap	See Also	Edit topic

Resumes redrawing.

Pascal

procedure EndUpdate;

Description

This signals the server that you are done changing the state properties and that it should now tell its controls to redraw themselves to reflect the changes you have made. Each call to EndUpdate should be paired with a previous call to BeginUpdate.

Created with Doc-O-Matic.


See Also

TJvTFStateImageMap.BeginUpdate


TJvTFUniversalPrinter
JEDI-VCL Reference

 TJvTFUniversalPrinter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

The TJvTFUniversalPrinter component is a general purpose printing component that allows you to easily produce documents with specific margins, bodies, and headers and footers.

Pascal

TJvTFUniversalPrinter = class(TJvTFPrinter);

File

JvTFManager

Description

This component is NOT a supported part of JTF. It is included only because it is a natural extension of TJvTFPrinter. This component will NOT be improved or enhanced.

See "Using TJvTFPrinter" for more information.

Created with Doc-O-Matic.


TJvTFUniversalPrinter Properties

TJvTFUniversalPrinter	Legend

Properties

 DirectPrint

TJvTFPrinter

 Aborted

 BodyHeight

 BodyLeft

 BodyTop

 BodyWidth

 ConvertingProps

 DirectPrint

 DocDateTime

 Measure

 PageCount

 PageLayout

 Pages

 State

 Title

TJvTFComponent

 DateFormat

 ScheduleManager

 Schedules

 TimeFormat

TJvComponent

 AboutJVCL

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvTFUniversalPrinter Events

TJvTFUniversalPrinter	Legend

Events

TJvTFPrinter

 OnAssembleProgress

 OnDrawBody

 OnDrawFooter

 OnDrawHeader

 OnMarginError

 OnPrintProgress

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTFUniversalPrinter Methods

TJvTFUniversalPrinter	Legend

Methods

TJvTFPrinter

AbortPrint

ConvertMeasure

FreeDoc

Print

PrinterToScreen

SaveDocToFiles

ScreenToPrinter

TJvTFComponent

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTFUniversalPrinter

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvTFComponent
            TJvTFPrinter
                TJvTFUniversalPrinter


TJvTFUniversalPrinter Members

TJvTFUniversalPrinter	Legend

Members

Properties

 DirectPrint

TJvTFPrinter

 Aborted

 BodyHeight

 BodyLeft

 BodyTop

 BodyWidth

 ConvertingProps

 DirectPrint

 DocDateTime

 Measure

 PageCount

 PageLayout

 Pages

 State

 Title

TJvTFComponent

 DateFormat

 ScheduleManager

 Schedules

 TimeFormat

TJvComponent

 AboutJVCL

Events

TJvTFPrinter

 OnAssembleProgress

 OnDrawBody

 OnDrawFooter

 OnDrawHeader

 OnMarginError

 OnPrintProgress

Methods

TJvTFPrinter

AbortPrint

ConvertMeasure

FreeDoc

Print

PrinterToScreen

SaveDocToFiles

ScreenToPrinter

TJvTFComponent

FindSchedule

ProcessBatches

 ReleaseSchedule

ReleaseSchedules

RetrieveSchedule

ScheduleCount

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

TimeFramework


TJvTFUniversalPrinter.DirectPrint property

TJvTFUniversalPrinter	See Also	Edit topic

Determines printing mode.

Pascal

property DirectPrint: Boolean;

Description

Use this property to control the printing model that the Printer uses. See "Using TJvTFPrinter" for more info.

Created with Doc-O-Matic.


See Also

"Using TJvTFPrinter"


TJvThreadTimer
JEDI-VCL Reference

 TJvThreadTimer

Hierarchy	Properties	Methods	Events	Package	 Edit topic

TTimer replacement that utilizes a thread and has a higher accuracy.

Pascal

TJvThreadTimer = class(TJvComponent);

File

JvThreadTimer

Description

This component is a replacement for the TTimer component with a better accuracy (1 millisecond) and without consuming a window handle for the timer.

TJvThreadTimer uses an internal thread instead of the Windows API timer functions, and can have an accuracy of a millisecond, but it will consume more CPU than a TTimer.

Created with Doc-O-Matic.


TJvThreadTimer Properties

TJvThreadTimer	Legend

Properties

 Enabled

 Interval

 KeepAlive

 Priority

 Thread

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvThreadTimer Events

TJvThreadTimer	Legend

Events

 OnTimer

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvThreadTimer Methods

TJvThreadTimer	Legend

Methods

 Create

 Destroy

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvThreadTimer

Legend

published

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvThreadTimer


TJvThreadTimer Members

TJvThreadTimer	Legend

Members

Properties

 Enabled

 Interval

 KeepAlive

 Priority

 Thread

TJvComponent

 AboutJVCL

Events

 OnTimer

Methods

 Create

 Destroy

Legend

published

read only

virtual

Created with Doc-O-Matic.


Legend

published

read only

virtual


Package

System


TJvThreadTimer.Enabled property

TJvThreadTimer	See Also	Edit topic

Controls whether the timer generates OnTimer events periodically.

Pascal

property Enabled: Boolean;

Description

Use Enabled to enable or disable the timer. If Enabled is true, the timer responds normally. If Enabled is false, the timer does not generate OnTimer events. The default is false.

Created with Doc-O-Matic.


See Also

TJvThreadTimer.KeepAlive, TJvThreadTimer.OnTimer


TJvThreadTimer.Interval property

TJvThreadTimer	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the timer component initiates another OnTimer event.

Pascal

property Interval: Cardinal;

Description

Interval determines how frequently the OnTimer event occurs. Each time the specified interval passes, the OnTimer event occurs.

Use Interval to specify any cardinal value as the interval between OnTimer events. The default value is 100 (1/10 second).

Created with Doc-O-Matic.


See Also

TJvThreadTimer.OnTimer


TJvThreadTimer.KeepAlive property

TJvThreadTimer	See Also	Edit topic

Indicates whether to keep the thread alive while disabling the timer.

Pascal

property KeepAlive: Boolean;

Description

Use KeepAlive to specify whether the timer should keep the thread alive or destroy the thread when Enabled is set to false.

Set KeepAlive to false to destroy the thread when Enabled is set to false. When Enabled is set to true again, the timer will create a new thread. Set KeepAlive to true to suspend but not destroy the thread if Enabled is set to false.

Created with Doc-O-Matic.


See Also

TJvThreadTimer.Enabled


TJvThreadTimer.OnTimer event

TJvThreadTimer	Edit topic

Occurs when a specified amount of time, determined by the Interval property, has passed.

Pascal

property OnTimer: TNotifyEvent;

Description

Write an OnTimer event handler to execute an action at regular intervals.

The Interval property of a timer determines how frequently the OnTimer event occurs. Each time the specified interval passes, the OnTimer event occurs.

Created with Doc-O-Matic.


TJvThreadTimer.Priority property

TJvThreadTimer	Edit topic

Determines the thread's scheduling priority relative to other threads in the process.

Pascal

property Priority: TThreadPriority;

Description

Priority indicates the priority used when scheduling the thread. Adjust the priority higher or lower as needed.

Notes

Boosting the thread priority of a CPU intensive operation may "starve" the other threads in the application. Only apply priority boosts to threads that spend most of their time waiting for external events.

Created with Doc-O-Matic.


TJvThreadTimer.Thread property

TJvThreadTimer	Edit topic

Not documented

Pascal

property Thread: TThread;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvThreadTimer.Create constructor

TJvThreadTimer	See Also	Edit topic

Creates and initializes a new TJvThreadTimer object.

Pascal

constructor Create(AOwner: TComponent); override;

Parameters

AOwner: TComponent

A component, typically the form, that is responsible for freeing the timer.

Description

Use Create to create and initialize a new TJvThreadTimer object.

Create calls the inherited Create method, creates a thread and then sets the initial values for the timer as follows:

Interval is set to 100.

Enabled is set to false.

Priority is set to tpNormal

KeepAlive is set to false.

Created with Doc-O-Matic.


See Also

TJvThreadTimer.Interval


TJvThreadTimer.Destroy destructor

TJvThreadTimer	See Also	Edit topic

Destroys an instance of TJvThreadTimer

Pascal

destructor Destroy; override;

Description

Do not call Destroy directly in an application. Instead, call Free. Free verifies that the TJvThreadTimer object is not nil and only then calls Destroy.

Created with Doc-O-Matic.


See Also

TJvThreadTimer.Create


TJvTimeItem
JEDI-VCL Reference

TJvTimeItem

Hierarchy	Properties	Methods	 See Also	Edit topic

Describes an individual item in a timeline view control.

Pascal

TJvTimeItem = class(TCollectionItem);

File

JvTimeLine

Description

Each node in a tree view control consists of a label and an optional bitmapped image. Each item can be the parent of a list of subitems. By clicking an item, the user can expand or collapse the associated list of subitems.

Created with Doc-O-Matic.


TJvTimeItem Properties

TJvTimeItem	Legend

Properties

 Caption

 Color

Data

 Date

 Enabled

 Hint

 ImageIndex

 ImageOffset

 Left

 Level

 Selected

 TextColor

 Top

 Width

 WidthAs

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTimeItem Methods

TJvTimeItem	Legend

Methods

 Remove

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTimeItem

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvTimeItem


TJvTimeItem Members

TJvTimeItem	Legend

Members

Properties

 Caption

 Color

Data

 Date

 Enabled

 Hint

 ImageIndex

 ImageOffset

 Left

 Level

 Selected

 TextColor

 Top

 Width

 WidthAs

Methods

 Remove

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


See Also

TJvTimeItems, TJvTimeLine


TJvTimeItem.Caption property

TJvTimeItem	See Also	Edit topic

Specifies the text value of the item.

Pascal

property Caption: string;

Description

Set Caption to provide the item with a text value. This is the string that appears on the timeline control.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Color, TJvTimeItem.TextColor


TJvTimeItem.Color property

TJvTimeItem	See Also	Edit topic

Specifies the background color for the item's caption.

Pascal

property Color: TColor;

Description

The Color property determines the background color of the item's caption. You can set Color to one of the constants defined in the Graphics unit (such as clBlue), or to an explicit RGB integer value. The default value is clWindow.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Caption, TJvTimeItem.TextColor


TJvTimeItem.Data property

TJvTimeItem	Edit topic

Points to application-defined data associated with the timeline item.

Pascal

property Data: Pointer;

Description

Use the Data property to associate data with a timeline item. Data allows applications to quickly access information about the entity represented by the item.

Created with Doc-O-Matic.


TJvTimeItem.Date property

TJvTimeItem	See Also	Edit topic

Specifies the date associated with a timeline item.

Pascal

property Date: TDateTime;

Description

Use Date to specify the horizontally position of the timeline item in the timeline view.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Left, TJvTimeItem.Level, TJvTimeItem.Top, TJvTimeItem.Width


TJvTimeItem.Enabled property

TJvTimeItem	Edit topic

Specifies whether the timeline item is enabled.

Pascal

property Enabled: Boolean;

Description

Use Enabled to enable or disable a timeline item. If Enabled is True, the Click method is called when the user selects the item with the mouse. If Enabled is False, the timeline item appears dimmed and the user cannot select it, but calling the Click method works even when Enabled is False.

Created with Doc-O-Matic.


TJvTimeItem.Hint property

TJvTimeItem	Edit topic

Specifies the text string that can appear when the user moves the mouse pointer over a timeline item.

Pascal

property Hint: string;

Description

Set Hint to a string that provides more information about the meaning of the timeline item than the Caption. The hint text appears in a Help Hint window when the user pauses with the mouse over the timeline item if Help Hints are enabled (that is, if the Form's and the Application's ShowHint properties are True). It is also available for the code in the application's OnHint event handler.

The value of Hint can specify both a short value for the Help Hint window and a longer string to be used by the OnHint event handler. To provide both a short and a long hint, set Hint to the short string, followed by a vertical bar (|), followed by the long string.

Created with Doc-O-Matic.


TJvTimeItem.ImageIndex property

TJvTimeItem	See Also	Edit topic

Determines which image is displayed as the icon for the item.

Pascal

property ImageIndex: Integer;

Description

Set ImageIndex to associate the timeline item with one of the view's Images.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.Images, TJvTimeItem.ImageOffset


TJvTimeItem.ImageOffset property

TJvTimeItem	See Also	Edit topic

Specifies the number of pixels between the edge of the image and the edge of the item.

Pascal

property ImageOffset: Integer;

Description

Set ImageOffset to the number of pixels that should appear between the left edge of the image specified with the ImageIndex property and the left edge of the timeline item.

Created with Doc-O-Matic.


See Also

TJvTimeItem.ImageIndex, TJvTimeItem.Width


TJvTimeItem.Left property

TJvTimeItem	See Also	Edit topic

Specifies the distance, in pixels, from the left edge of the timeline view to the left edge of the timeline item.

Pascal

property Left: Integer;

Description

Use Left to horizontally position the timeline item within the timeline view. Alternatively, you could set property Date.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Date, TJvTimeItem.Level, TJvTimeItem.Top, TJvTimeItem.Width


TJvTimeItem.Level property

TJvTimeItem	See Also	Edit topic

Indicates the level of an item within the timeline view control.

Pascal

property Level: Integer;

Description

Use Level to specify the vertically position of the timeline item in the timeline view. Items can only be placed at certain vertical positions, called levels. The value of Level is 0 for items on the top row.

Property TopLevel of a timeline control determines the level of the first row with timeline items that is visible in the view.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.TopLevel, TJvTimeItem.Date, TJvTimeItem.Left, TJvTimeItem.Top, TJvTimeItem.Width


TJvTimeItem.Selected property

TJvTimeItem	See Also	Edit topic

Indicates whether the item is selected.

Pascal

property Selected: Boolean;

Description

Set Selected to True to select the timeline item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.MultiSelect, TJvCustomTimeLine.Selected


TJvTimeItem.TextColor property

TJvTimeItem	See Also	Edit topic

The color of the font used for the caption of the item.

Pascal

property TextColor: TColor;

Description

TextColor determines the color of the caption of the item.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Caption, TJvTimeItem.Color


TJvTimeItem.Top property

TJvTimeItem	See Also	Edit topic

Specifies the distance, in pixels, from the top of the timeline view to the top of the item.

Pascal

property Top: Integer;

Description

Use Top to vertically position the timeline item within the timeline view. Items can only be placed at certain vertical positions, called levels; thus, if you set Top to a value that isn't equal to a vertical position of a level then the value of Top is changed by lowering its value, until it is equal to a vertical position.

Alternatively, you could set property Level.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Date, TJvTimeItem.Left, TJvTimeItem.Level, TJvTimeItem.Width


TJvTimeItem.Width property

TJvTimeItem	See Also	Edit topic

Specifies the width of the item.

Pascal

property Width: Integer;

Description

The Width property determines the width of the item. Property WidthAs determines whether the value of Width is in pixels or in days.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Top, TJvTimeItem.WidthAs


TJvTimeItem.WidthAs property

TJvTimeItem	See Also	Edit topic

Specifies whether the value of Width is in pixels or in days.

Pascal

property WidthAs: TJvTimeItemType;

Description

Use WidthAs to specify whether the value of Width is in pixels or in days.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Width


TJvTimeItem.Remove method

TJvTimeItem	See Also	Edit topic

Destroys the item.

Pascal

procedure Remove; virtual;

Description

Use the Remove method to delete a timeline item and free all associated memory.

Created with Doc-O-Matic.


See Also

TJvTimeItems.Add


TJvTimeItems
JEDI-VCL Reference

TJvTimeItems

Hierarchy	Properties	Methods	 See Also	Edit topic

TJvTimeItems maintains the collection of items that appear in a timeline view control.

Pascal

TJvTimeItems = class(TCollection);

File

JvTimeLine

Description

Each TJvTimeItems represents a collection of TJvTimeItem objects in a TTimeLine. At design time, use the timeline control's Columns editor to add, remove, or modify columns. At run-time, use the properties and methods of TJvTimeItems to manipulate the list of items displayed by a timeline view control.

Created with Doc-O-Matic.


TJvTimeItems Properties

TJvTimeItems

Properties

Items

Created with Doc-O-Matic.


TJvTimeItems Methods

TJvTimeItems

Methods

Add

Refresh

Created with Doc-O-Matic.


Hierarchy

TCollection
    TJvTimeItems


TJvTimeItems Members

TJvTimeItems

Members

Properties

Items

Methods

Add

Refresh

Created with Doc-O-Matic.


See Also

TJvTimeItem, TJvTimeLine


TJvTimeItems.Items property

TJvTimeItems	See Also	Edit topic

Lists the timeline items in the TJvTimeItems.

Pascal

property Items [Index: Integer]: TJvTimeItem;

Description

Use Items to access individual timeline items. The value of the Index parameter corresponds to the Index property of TJvTimeItem.

Created with Doc-O-Matic.


See Also

TJvTimeItem, TJvTimeLine


TJvTimeItems.Add method

TJvTimeItems	See Also	Edit topic

Creates a new timeline item and adds it to the timeline view control.

Pascal

function Add: TJvTimeItem;

Return Value

Returns the newly created TJvTimeItem object.

Description

Call Add to add a new timeline item to the end of the list.

Created with Doc-O-Matic.


See Also

TJvTimeItem.Remove


TJvTimeItems.Refresh method

TJvTimeItems	Edit topic

Updates the display to reflect the current values of the Items.

Pascal

procedure Refresh;

Description

Call Refresh to ensure that the timeitem view accurately reflects the value of the Items property. For example, call Refresh after programmatically editing the value of the Items property.

Created with Doc-O-Matic.


TJvTimeLimit
JEDI-VCL Reference

 TJvTimeLimit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Adds a date limit to the execution of an application.

Pascal

TJvTimeLimit = class(TJvComponent);

File

JvTimeLimit

Description

Use TJvTimeLimit to limit the possible execution of an application with an end date. Use EndDate to specify an expiration date after or on which the application won't start.

Use the OnExpire event to take specific actions, if the current date is past or on the date specified by EndDate.

Created with Doc-O-Matic.


TJvTimeLimit Properties

TJvTimeLimit	Legend

Properties

 EndDate

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTimeLimit Events

TJvTimeLimit	Legend

Events

 OnExpire

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTimeLimit Methods

TJvTimeLimit	Legend

Methods

 Loaded

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvTimeLimit

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvTimeLimit


TJvTimeLimit Members

TJvTimeLimit	Legend

Members

Properties

 EndDate

TJvComponent

 AboutJVCL

Events

 OnExpire

Methods

 Loaded

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Cmp


TJvTimeLimit.EndDate property

TJvTimeLimit	See Also	Edit topic

Indicates an end date, after which the application won't start.

Pascal

property EndDate: TDate;

Description

Use EndDate to set the last possible date that the application will work. If the user starts the application after or on the date specified by EndDate, TJvTimeLimit triggers the OnExpire event and terminates the application.

Created with Doc-O-Matic.


See Also

TJvTimeLimit.OnExpire


TJvTimeLimit.OnExpire event

TJvTimeLimit	See Also	Edit topic

Occurs when the current date is equal or past the date specified by EndDate.

Pascal

property OnExpire: TNotifyEvent;

Description

Write an OnExpire event handler to take specific action when the current date is equal or past the date specified by EndDate. For example, you can display a message box that notifies the user the application has expired.

After the event is handled the application is terminated. If no event handler is specified, TJvTimeLimit shows a default message.

Created with Doc-O-Matic.


See Also

TJvTimeLimit.EndDate


TJvTimeLimit.Loaded method

TJvTimeLimit	See Also	Edit topic

Checks whether the EndDate is reached.

Pascal

procedure Loaded; override;

Description

Loaded is called automatically when the form containing the TJvTimeLimit control has been loaded into memory. TJvTimeLimit uses this method to check whether the date specified by EndDate is reached. If so, it triggers the OnExpire event and the terminates the application.

Created with Doc-O-Matic.


See Also

TJvTimeLimit.EndDate, TJvTimeLimit.OnExpire


TJvTimeLine
JEDI-VCL Reference

 TJvTimeLine

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Displays a timeline with date items in various ways.

Pascal

TJvTimeLine = class(TJvCustomTimeLine);

File

JvTimeLine

Description

Use TJvTimeLine to manage and display a list of date items on a timeline control. The items can be displayed with small or large icons.

Property Date specifies the horizontally position of a date item on the timeline view. Use Level to specify the vertically position of the item in the timeline view. Items can only be placed at certain vertical positions, called levels. Items placed on the top row have Level value 0, items on the second row have value 1, and so on.

You can scroll the view with the keyboard cursor buttons or by pressing the scroll buttons in the view. Use ScrollArrows to select which scroll buttons appear on the timeline view.

TJvTimeLine publishes many of the properties, events, and methods of TJvCustomTimeLine, but does not introduce any new behavior.

Created with Doc-O-Matic.


TJvTimeLine Properties

TJvTimeLine	Legend

Properties

 AutoSize

 BorderStyle

 DragLine

 FirstVisibleDate

 Flat

 HelperYears

 HorzSupports

 Images

 ItemHeight

 Items

 MultiSelect

 OnHorzScroll

 OnVertScroll

 ScrollArrows

Selected

 ShowDays

 ShowHiddenItemHints

 ShowItemHint

 ShowMonthNames

 ShowSelection

 Style

 SupportsColor

 TopLevel

 TopOffset

 VertSupports

 YearFont

 YearWidth

TJvCustomTimeLine

 AutoSize

 BorderStyle

 DragLine

 FirstVisibleDate

 Flat

 HelperYears

 HorzSupports

 Images

 ItemHeight

 Items

 Month

 MultiSelect

 OnHorzScroll

 OnVertScroll

 ScrollArrows

 Selected

 ShowDays

 ShowHiddenItemHints

 ShowItemHint

 ShowMonthNames

 ShowSelection

 Style

 SupportsColor

 TopLevel

 TopOffset

 VertSupports

 Year

 YearFont

 YearWidth

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvTimeLine Events

TJvTimeLine	Legend

Events

 OnDrawItem

 OnItemClick

 OnItemDblClick

 OnItemMouseMove

 OnItemMoved

 OnItemMoving

 OnLoadItem

 OnMeasureItem

 OnSaveItem

 OnSize

TJvCustomTimeLine

 OnDrawItem

 OnItemClick

 OnItemDblClick

 OnItemMouseMove

 OnItemMoved

 OnItemMoving

 OnLoadItem

 OnMeasureItem

 OnSaveItem

 OnSize

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvTimeLine Methods

TJvTimeLine	Legend

Methods

TJvCustomTimeLine

 AutoLevels

 BeginUpdate

 DateAtPos

 EndUpdate

 ItemAtPos

 LevelAtPos

 LoadFromFile

 LoadFromStream

NextMonth

NextYear

 PosAtDate

PrevMonth

PrevYear

 SaveToFile

 SaveToStream

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTimeLine

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvCustomTimeLine
            TJvTimeLine


TJvTimeLine Members

TJvTimeLine	Legend

Members

Properties

 AutoSize

 BorderStyle

 DragLine

 FirstVisibleDate

 Flat

 HelperYears

 HorzSupports

 Images

 ItemHeight

 Items

 MultiSelect

 OnHorzScroll

 OnVertScroll

 ScrollArrows

Selected

 ShowDays

 ShowHiddenItemHints

 ShowItemHint

 ShowMonthNames

 ShowSelection

 Style

 SupportsColor

 TopLevel

 TopOffset

 VertSupports

 YearFont

 YearWidth

TJvCustomTimeLine

 AutoSize

 BorderStyle

 DragLine

 FirstVisibleDate

 Flat

 HelperYears

 HorzSupports

 Images

 ItemHeight

 Items

 Month

 MultiSelect

 OnHorzScroll

 OnVertScroll

 ScrollArrows

 Selected

 ShowDays

 ShowHiddenItemHints

 ShowItemHint

 ShowMonthNames

 ShowSelection

 Style

 SupportsColor

 TopLevel

 TopOffset

 VertSupports

 Year

 YearFont

 YearWidth

Events

 OnDrawItem

 OnItemClick

 OnItemDblClick

 OnItemMouseMove

 OnItemMoved

 OnItemMoving

 OnLoadItem

 OnMeasureItem

 OnSaveItem

 OnSize

TJvCustomTimeLine

 OnDrawItem

 OnItemClick

 OnItemDblClick

 OnItemMouseMove

 OnItemMoved

 OnItemMoving

 OnLoadItem

 OnMeasureItem

 OnSaveItem

 OnSize

Methods

TJvCustomTimeLine

 AutoLevels

 BeginUpdate

 DateAtPos

 EndUpdate

 ItemAtPos

 LevelAtPos

 LoadFromFile

 LoadFromStream

NextMonth

NextYear

 PosAtDate

PrevMonth

PrevYear

 SaveToFile

 SaveToStream

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


See Also

TJvTimeItem, TJvTimeItems


Package

Custom


TJvTimeLine.AutoSize property

TJvTimeLine	See Also	Edit topic

Indicates whether the timeline's height changes automatically to accommodate the items it contains.

Pascal

property AutoSize: Boolean;

Description

If AutoSize is set to True, the height of the timeline view adjusts automatically so that the items fit in it with no vertical margin.

When AutoSize is set to True and the timeline control needs to adjust the height of the view, it fires an OnSize event.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnSize


TJvTimeLine.BorderStyle property

TJvTimeLine	Edit topic

Specifies the border style for the timeline.

Pascal

property BorderStyle: TBorderStyle;

Description

If BorderStyle is set to the default bsSingle, the timeline has a single-line border. If BorderStyle is set to bsNone, no border appears around the timeline.

Created with Doc-O-Matic.


TJvTimeLine.DragLine property

TJvTimeLine	See Also	Edit topic

Specifies whether to show a vertical drag line when the user drags an item.

Pascal

property DragLine: Boolean;

Description

If DragLine is set to True, the timeline control shows a vertical drag line when the presses the left button while the mouse cursor is on the timeline view, or drags an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnItemClick, TJvCustomTimeLine.OnItemMoved, TJvCustomTimeLine.OnItemMoving


TJvTimeLine.FirstVisibleDate property

TJvTimeLine	See Also	Edit topic

Specifies the first visible date in the timeline view.

Pascal

property FirstVisibleDate: TDate;

Description

Use FirstVisibleDate to specify the date that will be the left most date visible in the timeline view. The timeline component ensures that the first visible date is always the first day of the month.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.NextMonth, TJvCustomTimeLine.NextYear, TJvCustomTimeLine.PrevMonth, TJvCustomTimeLine.PrevYear, TJvCustomTimeLine.TopLevel


TJvTimeLine.Flat property

TJvTimeLine	Edit topic

Determines whether the navigator buttons have a three-dimensional (3-D) look with borders or two-dimensional look without borders.

Pascal

property Flat: Boolean;

Description

When Flat is True, the navigator buttons appear flat and do not have borders separating them. When Flat is False, the buttons are clearly defined.

Created with Doc-O-Matic.


TJvTimeLine.HelperYears property

TJvTimeLine	See Also	Edit topic

Specifies whether helper years are displayed.

Pascal

property HelperYears: Boolean;

Description

If HelperYears is set to True, two years appear in the timeline. One in the upper left corner specifying the year of the first visible date and one in the upper right corner specifying the year of the last visible date.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.HorzSupports, TJvCustomTimeLine.VertSupports


TJvTimeLine.HorzSupports property

TJvTimeLine	See Also	Edit topic

Specifies whether horizontal support lines are displayed.

Pascal

property HorzSupports: Boolean;

Description

If HorzSupports is set to True, horizontal support lines appear in the timeline. One support line is drawn for each level.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.HelperYears, TJvCustomTimeLine.VertSupports


TJvTimeLine.Images property

TJvTimeLine	See Also	Edit topic

Specifies the images that appear next to items in the timeline view.

Pascal

property Images: TCustomImageList;

Description

Use Images to supply the list of images that appear above items in the timeline view. Each timeline item has an ImageIndex property that identifies an image in this list.

Created with Doc-O-Matic.


See Also

TJvTimeItem.ImageIndex


TJvTimeLine.ItemHeight property

TJvTimeLine	Edit topic

Specifies the height, in pixels, of the items in the timeline view.

Pascal

property ItemHeight: Integer;

Description

Set ItemHeight to control the height of the items that appear on the timeline control. The ItemHeight property is the vertical size in pixels of the individual items.

Note that an image associated with an item is placed above the caption of that item; thus, if you use images to display with the items, make sure that ItemHeight is big enough to hold both the image and the caption.

Created with Doc-O-Matic.


TJvTimeLine.Items property

TJvTimeLine	See Also	Edit topic

Contains the list of items displayed by the timeline view.

Pascal

property Items: TJvTimeItems;

Description

Use Items to directly access the TJvTimeItem objects that represent the items in the list. Setting this property at design time brings up the TimeLine Items Editor. Use this dialog to add or delete items, and to edit their display properties. At runtime, use each item's properties to change the appearance of the timeline items.

Created with Doc-O-Matic.


See Also

TJvTimeItem


TJvTimeLine.MultiSelect property

TJvTimeLine	See Also	Edit topic

Specifies whether multiple items can be selected on the timeline.

Pascal

property MultiSelect: Boolean;

Description

Use MultiSelect to specify whether the user can select multiple items.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.Selected, TJvTimeItem.Selected


TJvTimeLine.OnDrawItem event

TJvTimeLine	See Also	Edit topic

Occurs when an item in an owner-draw timeline view needs to be redisplayed.

Pascal

property OnDrawItem: TJvDrawTimeItemEvent;

Parameters

Sender

The timeline view control in which an item is about to be drawn.

Canvas

Provides a drawing surface on which to draw the menu item.

Item

Specifies the item that needs to be redisplayed.

R

Indicates the boundaries (in pixels) of the item on that canvas.

Description

Use OnDrawItem to write a handler for drawing of the items in timeline views with the Style values lbOwnerDrawFixed or lbOwnerDrawVariable. OnDrawItem occurs when the timeline view needs to display an item. OnDrawItem occurs only for owner-draw timeline views.

The size of the rectangle that contains the item is determined either by the ItemHeight property or fixed owner-draw timeline views or by the response to the OnMeasureItem event for variable owner-draw timeline views.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ItemHeight, TJvCustomTimeLine.OnMeasureItem, TJvCustomTimeLine.Style


TJvTimeLine.OnHorzScroll property

TJvTimeLine	See Also	Edit topic

Occurs when the user scrolls the timeline view horizontally with the mouse or keyboard.

Pascal

property OnHorzScroll: TScrollEvent;

Description

Write an OnHorzScroll event handler to take specific action when the user scrolls the timeline view horizontally.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnVertScroll, TJvCustomTimeLine.ScrollArrows


TJvTimeLine.OnItemClick event

TJvTimeLine	See Also	Edit topic

Occurs when an item is clicked.

Pascal

property OnItemClick: TJvTimeItemClickEvent;

Description

Use OnItemClick to respond to mouse clicks on an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DragLine, TJvCustomTimeLine.OnItemDblClick


TJvTimeLine.OnItemDblClick event

TJvTimeLine	See Also	Edit topic

Occurs when an item is double-clicked.

Pascal

property OnItemDblClick: TJvTimeItemClickEvent;

Description

Use OnItemDoubleClick to respond to double clicks on an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnItemClick


TJvTimeLine.OnItemMouseMove event

TJvTimeLine	Edit topic

Not documented

Pascal

property OnItemMouseMove: TJvItemMouseMove;

Parameters

Sender

Not documented

Item

Not documented

X

Not documented

Y

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTimeLine.OnItemMoved event

TJvTimeLine	See Also	Edit topic

Occurs after the user has moved an item.

Pascal

property OnItemMoved: TJvItemMovedEvent;

Parameters

Sender

The timeline view control in which an item is moved.

Item

The item that the user has moved.

NewStartDate

Specifies the date where to the user has moved the item.

NewLevel

Specifies the level where to the user has moved the item.

Description

Write an OnItemMoved event handler to take specific action when the user finishes dragging an item. For example, after moving an item, use an OnItemMoved event handler to ask the user whether the move really must be done.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DragLine, TJvCustomTimeLine.OnItemMoving


TJvTimeLine.OnItemMoving event

TJvTimeLine	See Also	Edit topic

Occurs when the user tries to move an item.

Pascal

property OnItemMoving: TJvItemMovingEvent;

Parameters

Sender

The timeline view control in which an item is moving.

Item

The item that the user wants to move.

AllowMove

Indicates whether the move should be permitted.

Description

Write an OnItemMoving event handler to conditionally prevent the user from moving items on the timeline view.

Set AllowMove to False to disallow any movement of the item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.DragLine, TJvCustomTimeLine.OnItemMoved


TJvTimeLine.OnLoadItem event

TJvTimeLine	See Also	Edit topic

Occurs after the application loads an item from a stream.

Pascal

property OnLoadItem: TJvStreamItemEvent;

Description

Use OnLoadItem to write a handler to load custom data associated with an item from the specified stream. When you call LoadFromStream or LoadFromFile, the component fires an OnLoadItem event for each item it loads from the stream. For example, you can use this event to read data from the stream, that will be stored in the Data property of an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnSaveItem


TJvTimeLine.OnMeasureItem event

TJvTimeLine	See Also	Edit topic

Occurs when the application needs to redisplay an item in a variable height owner-draw timeline view.

Pascal

property OnMeasureItem: TJvMeasureTimeItemEvent;

Parameters

Sender

The timeline view control in which an item is about to be drawn.

Item

Specifies item in the control.

ItemHeight

Specifies the height of the item.

Description

Use OnMeasureItem to write a handler to measure items to be drawn in a timeline view with a Style property value of lbOwnerDrawVariable.

The ItemHeight parameter should specify the height in pixels that the given item will occupy in the control. The ItemHeight parameter is passed by reference (a var parameter), which initially contains the default height of the item or the height of the item text in the control's font. The handler can set ItemHeight to a value appropriate to the contents of the item, such as the height of a graphical image to be displayed within the item.

After the OnMeasureItem event occurs, the OnDrawItem event occurs, rendering the item with the measured size.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ItemHeight, TJvCustomTimeLine.OnDrawItem, TJvCustomTimeLine.Style


TJvTimeLine.OnSaveItem event

TJvTimeLine	See Also	Edit topic

Occurs after the application saves an item to a stream.

Pascal

property OnSaveItem: TJvStreamItemEvent;

Description

Use OnSaveItem to write a handler to save custom data associated with an item to the specified stream. When you call SaveToStream or SaveToFile, the component fires an OnSaveItem event for each item it saves to the stream. For example, you can use this event to write data to the stream, that is stored in the Data property of an item.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnLoadItem


TJvTimeLine.OnSize event

TJvTimeLine	See Also	Edit topic

Occurs when the height of the timeline view changes.

Pascal

property OnSize: TNotifyEvent;

Description

Write an OnSize event handler to take specific action when the height of the timeline view changes. This event is only fired when AutoSize is set to True and the timeline control needs to adjust the height of the view.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.AutoSize


TJvTimeLine.OnVertScroll property

TJvTimeLine	See Also	Edit topic

Occurs when the user scrolls the timeline view vertically with the mouse or keyboard.

Pascal

property OnVertScroll: TScrollEvent;

Description

Write an OnVertScroll event handler to take specific action when the user scrolls the timeline view vertically.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnHorzScroll, TJvCustomTimeLine.ScrollArrows


TJvTimeLine.ScrollArrows property

TJvTimeLine	See Also	Edit topic

Determines which scroll buttons appear on the timeline view.

Pascal

property ScrollArrows: TJvScrollArrows;

Description

Use ScrollArrows to select which buttons appear on the timeline view. Leave any of the navigator buttons out of the ScrollArrows set to hide those buttons. Note that the user can still scroll the timeline view with the cursor buttons.
Button	Value	Action
Left	scrollLeft	Scrolls left by 1 month. If pressed with Ctrl it scrolls left by 1 year.
Right	scrollRight	Scrolls right by 1 month. If pressed with Ctrl it scrolls right by 1 year.
Up	scrollUp	Scrolls one level up.
Down	scrollDown	Scrolls one level down.
Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnHorzScroll, TJvCustomTimeLine.OnVertScroll, TJvScrollArrows


TJvTimeLine.Selected property

TJvTimeLine	See Also	Edit topic

Specifies the selected item in the timeline view.

Pascal

property Selected: TJvTimeItem;

Description

Read Selected to access the selected item of the timeline view. If there is no selected item, the value of Selected is nil. Set Selected to select an item in the timeline view.

If the MultiSelect property is True, then Selected returns the last item clicked on.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.MultiSelect, TJvTimeItem.Selected


TJvTimeLine.ShowDays property

TJvTimeLine	See Also	Edit topic

Specifies whether to display day numbers.

Pascal

property ShowDays: Boolean;

Description

If ShowDays is set to True, day numbers are displayed. The day numbers are only displayed if YearWidth is greater than or equal to 4320.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ShowMonthNames, TJvCustomTimeLine.YearWidth


TJvTimeLine.ShowHiddenItemHints property

TJvTimeLine	Edit topic

Specifies whether to show hints that indicate whether all items are visible in the current view.

Pascal

property ShowHiddenItemHints: Boolean;

Description

Set ShowHiddenItemHints to True, to show hints in the view that indicate whether there are items with a date before the left most date visible in the view, or with a date after the right most visible date.

Notes

This is a protected property.

Created with Doc-O-Matic.


TJvTimeLine.ShowItemHint property

TJvTimeLine	Edit topic

Indicates whether hints should be shown for items in the timeline.

Pascal

property ShowItemHint: Boolean;

Description

Set ShowHints to False if you don't want hints shown for date items. The default value is False.

Created with Doc-O-Matic.


TJvTimeLine.ShowMonthNames property

TJvTimeLine	See Also	Edit topic

Specifies whether the names of months are shown in the timeline view.

Pascal

property ShowMonthNames: Boolean;

Description

If ShowMonthNames is set to True, the names of month are displayed. If YearWidth is greater than 1440, long names of months are shown (e.g. "februari"), otherwise short names are shown (e.g. "feb").

Notes

The names of months are only displayed if YearWidth is greater than or equal to 140.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ShowDays, TJvCustomTimeLine.YearWidth


TJvTimeLine.ShowSelection property

TJvTimeLine	Edit topic

Not documented

Pascal

property ShowSelection: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTimeLine.Style property

TJvTimeLine	See Also	Edit topic

Determines whether the timeline view is standard or owner-draw.

Pascal

property Style: TJvTimeLineStyle;

Description

Use Style to specify whether the timeline view displays the items in a standard way or displays the items in some nonstandard way. In the latter, you must write the code to paint items in the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ItemHeight, TJvCustomTimeLine.Items, TJvCustomTimeLine.OnDrawItem, TJvCustomTimeLine.OnMeasureItem


TJvTimeLine.SupportsColor property

TJvTimeLine	Edit topic

Not documented

Pascal

property SupportsColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTimeLine.TopLevel property

TJvTimeLine	See Also	Edit topic

Specifies the level of the first visible row with date items in the timeline view.

Pascal

property TopLevel: Integer;

Description

Items can only be placed at certain vertical positions, called levels. Items placed on the top row have Level value 0, items on the second row have value 1, and so on.

Read TopLevel to determine the level of the first row with date items in the scrollable region that is visible. Set TopLevel to scroll the timeline view so that the items with level TopLevel are on the first visible row with date items.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.FirstVisibleDate, TJvTimeItem.Level


TJvTimeLine.TopOffset property

TJvTimeLine	Edit topic

Specifies the height of the topmost blank area of the timeline view.

Pascal

property TopOffset: Integer;

Description

Use TopOffset to get or set the height of the control's topmost blank area.

Created with Doc-O-Matic.


TJvTimeLine.VertSupports property

TJvTimeLine	See Also	Edit topic

Specifies whether to display vertical support lines.

Pascal

property VertSupports: Boolean;

Description

If VertSupports is set to True, vertical support lines are displayed. One support line is drawn for each month unless YearWidth is smaller than 160, then one support line is drawn for each quarter year.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.HelperYears, TJvCustomTimeLine.HorzSupports, TJvCustomTimeLine.YearWidth


TJvTimeLine.YearFont property

TJvTimeLine	Edit topic

Describes the font used to draw the years in the timeline view.

Pascal

property YearFont: TFont;

Description

Set YearFont to the font that should be used to make the years stand out.

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


TJvTimeLine.YearWidth property

TJvTimeLine	See Also	Edit topic

Specifies the horizontal size of years displayed on the timeline view.

Pascal

property YearWidth: TJvYearWidth;

Description

Use YearWidth to indicate the desired width of years displayed on the timeline view.

YearWidth determines whether specific data is displayed:

The day numbers are only displayed if YearWidth is greater than or equal to 4320, and ShowDays is set to True.

If YearWidth is greater than 1440, long names of months are shown (e.g. "februari"), otherwise short names are shown (e.g. "feb"). If ShowMonthNames is set to false then no month names are shown.

If VertSupports is set to True, then one support line is drawn for each month unless YearWidth is smaller than 160, then one support line is drawn for each quarter year.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ShowDays, TJvCustomTimeLine.ShowMonthNames, TJvCustomTimeLine.VertSupports


TJvTimerEvent
JEDI-VCL Reference

TJvTimerEvent

Hierarchy	Properties	Events	 See Also	Edit topic

Represents a timer in a timer list.

Pascal

TJvTimerEvent = class(TCollectionItem);

File

JvTimerList

Description

TJvTimerEvent represents a timer in a timer list. It has the same properties as a TTimer component: Enabled, Interval and OnTimer.

Additionally, you can specify whether the timer should execute indefinitely or a specific number of times. Use the Cycled and RepeatCount properties for this task.

A TJvTimerEvent object can be identified by its Handle or Name property. Handle is not a windows handle. You can not use it in calls to windows API's. It is just a number that identifies a timer uniquely in a timer list.

Created with Doc-O-Matic.


TJvTimerEvent Properties

TJvTimerEvent	Legend

Properties

AsSeconds

 Cycled

 Enabled

 ExecCount

 Handle

 Interval

 Name

 RepeatCount

 TimerList

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvTimerEvent Events

TJvTimerEvent	Legend

Events

 OnTimer

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvTimerEvent

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvTimerEvent


TJvTimerEvent Members

TJvTimerEvent	Legend

Members

Properties

AsSeconds

 Cycled

 Enabled

 ExecCount

 Handle

 Interval

 Name

 RepeatCount

 TimerList

Events

 OnTimer

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvTimerList


TJvTimerEvent.AsSeconds property

TJvTimerEvent	See Also	Edit topic

Determines the amount of time, in seconds, that passes before the timer component initiates another OnTimer event.

Pascal

property AsSeconds: Cardinal;

Description

AsSeconds determines how frequently the OnTimer event occurs. Each time the specified interval passes, the OnTimer event occurs.

Use AsSeconds to specify any cardinal value as the interval between OnTimer events. The default value is 1 (one second).

Notes

Reading AsSeconds returns the truncated actual interval - that is set in milliseconds. For example if you set Interval to 999, AsSeconds returns 0.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.Interval


TJvTimerEvent.Cycled property

TJvTimerEvent	See Also	Edit topic

Specifies whether the timer executes indefinitely or a specific number of times.

Pascal

property Cycled: Boolean;

Description

Set Cycled to true to specify that the timer should execute indefinitely. Set Cycled to false to specify that the timer should execute a number of times specified by the RepeatCount property.

You can change Cycled when the timer is enabled. After setting Cycled to false when the timer is enabled, the timer will execute minimal once.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.Enabled, TJvTimerEvent.ExecCount, TJvTimerEvent.RepeatCount


TJvTimerEvent.Enabled property

TJvTimerEvent	See Also	Edit topic

Controls whether the timer generates OnTimer events periodically.

Pascal

property Enabled: Boolean;

Description

Use Enabled to enable or disable the timer. If Enabled is true, the timer responds normally. If Enabled is false, the timer does not generate OnTimer events. The default is true.

Notes

When you set Enabled to true, the timer list is automatically activated; thus, its Active property is set to true.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.OnTimer


TJvTimerEvent.ExecCount property

TJvTimerEvent	See Also	Edit topic

Returns the number of times the timer has fired an OnTimer event.

Pascal

property ExecCount: Integer;

Description

ExecCount contains the number of times the timer has fired an OnTimer event. ExecCount is reset to 0, when Enabled is changed to true.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.Enabled, TJvTimerEvent.OnTimer


TJvTimerEvent.Handle property

TJvTimerEvent	See Also	Edit topic

Contains a number that uniquely identifies each timer in a timer list.

Pascal

property Handle: THandle;

Description

Use this property to reference the timer when calling for example ItemByHandle.

Notes

Handle is not a windows handle. You can not use it in calls to windows API's. It is just a number that identifies a timer uniquely in a timer list.

Created with Doc-O-Matic.


See Also

TJvTimerEvents.DeleteByHandle, TJvTimerEvents.ItemByHandle, TJvTimerEvents.ItemIndexByHandle


TJvTimerEvent.Interval property

TJvTimerEvent	See Also	Edit topic

Determines the amount of time, in milliseconds, that passes before the timer component initiates another OnTimer event.

Pascal

property Interval: Longint;

Description

Interval determines how frequently the OnTimer event occurs. Each time the specified interval passes, the OnTimer event occurs.

Use Interval to specify any cardinal value as the interval between OnTimer events. The default value is 1000 (one second).

Notes

A 0 value is valid, however the timer will not call an OnTimer event for a value of 0.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.AsSeconds


TJvTimerEvent.Name property

TJvTimerEvent	Edit topic

Not documented

Pascal

property Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTimerEvent.OnTimer event

TJvTimerEvent	See Also	Edit topic

Occurs when a specified amount of time, determined by the Interval property, has passed.

Pascal

property OnTimer: TNotifyEvent;

Description

Write an OnTimer event handler to execute an action at regular intervals.

The Interval property of a timer determines how frequently the OnTimer event occurs. Each time the specified interval passes, the OnTimer event occurs.

You can also write an OnTimers event handler to handle the execution of all timers in one procedure.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.AsSeconds, TJvTimerEvent.Interval, TJvTimerList.OnTimers


TJvTimerEvent.RepeatCount property

TJvTimerEvent	See Also	Edit topic

Specifies the number of times the execution of the timer occurs.

Pascal

property RepeatCount: Integer;

Description

Use the RepeatCount property to specify the number of times the execution of the timer occurs, when the Enabled property is set to true. The executions have an interval specified by the Interval property. On each execution the OnTimer event is fired.

Changing property RepeatCount to a value less than ExecCount sets Enabled to false.

Notes

Set Cycled to false, otherwise the value of RepeatCount is ignored.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.Cycled, TJvTimerEvent.Interval, TJvTimerEvent.OnTimer


TJvTimerEvent.TimerList property

TJvTimerEvent	Edit topic

Identifies the timer list that maintains this timer.

Pascal

property TimerList: TJvTimerList;

Description

Check the value of the TimerList property to determine the timer list component that is associated with the TJvTimerEvent object.

Use the properties of the timer list component to obtain additional information.

Created with Doc-O-Matic.


TJvTimerEvents
JEDI-VCL Reference

TJvTimerEvents

Hierarchy	Properties	Methods	 Edit topic

Container for TJvTimerEvent objects.

Pascal

TJvTimerEvents = class(TOwnedCollection);

File

JvTimerList

Description

TJvTimerEvents is a collection of TJvTimerEvent objects, each of which represents a single timer for a timer list (TJvTimerList instance). TJvTimerEvents objects are the implementation of the Events property of TJvTimerList.

Created with Doc-O-Matic.


TJvTimerEvents Properties

TJvTimerEvents	Legend

Properties

 EnabledCount

Items

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvTimerEvents Methods

TJvTimerEvents	Legend

Methods

Activate

Add

Deactivate

 DeleteByHandle

IndexOfName

ItemByHandle

ItemByName

ItemIndexByHandle

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTimerEvents

Legend

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TOwnedCollection
    TJvTimerEvents


TJvTimerEvents Members

TJvTimerEvents	Legend

Members

Properties

 EnabledCount

Items

Methods

Activate

Add

Deactivate

 DeleteByHandle

IndexOfName

ItemByHandle

ItemByName

ItemIndexByHandle

Legend

read only

virtual

Created with Doc-O-Matic.


Legend

read only

virtual


TJvTimerEvents.EnabledCount property

TJvTimerEvents	See Also	Edit topic

Returns the number of enabled timers maintained by the timer list.

Pascal

property EnabledCount: Integer;

Description

EnabledCount contains the number of enabled timers in the Events array. Use Count to retrieve the number of all timers.

Created with Doc-O-Matic.


See Also

Count


TJvTimerEvents.Items property

TJvTimerEvents	See Also	Edit topic

Provides indexed access to the TJvTimerEvent objects in the collection.

Pascal

property Items [Index: Integer]: TJvTimerEvent;

Description

Use Items to access the properties of the TJvTimerEvent objects maintained by TJvTimerEvents.

Items is the default property of TJvTimerEvents, so the name of the Items property can be left off when using this property. Thus the line

  FirstTimer := TJvTimerList1.Events.Items[0];

can be written

  FirstTimer := TJvTimerList1.Events[0];

Created with Doc-O-Matic.


See Also

TJvTimerList.Events


TJvTimerEvents.Activate method

TJvTimerEvents	See Also	Edit topic

Activates the timer list.

Pascal

procedure Activate;

Description

Call Activate to activate the timer list. Activate sets the Active property to true. Calling Activate will resume the timers whose Enabled property are set to true.

Created with Doc-O-Matic.


See Also

TJvTimerEvents.Deactivate, TJvTimerList.Active


TJvTimerEvents.Add method

TJvTimerEvents	See Also	Edit topic

Creates a new TJvTimerEvent object and adds it to the end of the Items property array.

Pascal

function Add: TJvTimerEvent;

Return Value

Returns the newly created TJvTimerEvent object

Description

Call Add to add a new timer to the timer list. Use Add when adding a timer whose properties will be set at a later time. If the values of the TJvTimerEvent properties are known at the time of creation, use the Add method of the TJvTimerList object instead.

Created with Doc-O-Matic.


See Also

TJvTimerList.Add


TJvTimerEvents.Deactivate method

TJvTimerEvents	See Also	Edit topic

Pauses all enabled timers.

Pascal

procedure Deactivate;

Description

Call Deactivate to deactivate the timer list. Deactivate sets the Active property to false. It will pause all enabled timer.

Created with Doc-O-Matic.


See Also

TJvTimerEvents.Activate, TJvTimerList.Active


TJvTimerEvents.DeleteByHandle method

TJvTimerEvents	See Also	Edit topic

Deletes the timer event with the specified handle.

Pascal

procedure DeleteByHandle(AHandle: THandle); virtual;

Parameters

AHandle: THandle

Specifies the value of the timer event's Handle property.

Description

Use DeleteByHandle to delete a timer event and remove it from the Events list.

Created with Doc-O-Matic.


See Also

ItemByHandle


TJvTimerEvents.IndexOfName method

TJvTimerEvents	Edit topic

Not documented

Pascal

function IndexOfName(const AName: string): Integer;

Parameters

const AName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTimerEvents.ItemByHandle method

TJvTimerEvents	See Also	Edit topic

Returns the TJvTimerEvent object with a specified handle.

Pascal

function ItemByHandle(AHandle: THandle): TJvTimerEvent;

Return Value

Returns the TJvTimerEvent component with AHandle as handle in the list, if there is no timer event in the list with the specified handle, it returns nil.

Parameters

AHandle: THandle

Specifies the value of the timer event's Handle property.

Description

Call ItemByHandle to obtain information about a particular timer event.

Notes

Use this method to access a specific timer event object instead of directly accessing property Events.

Created with Doc-O-Matic.


See Also

ItemIndexByHandle


TJvTimerEvents.ItemByName method

TJvTimerEvents	Edit topic

Not documented

Pascal

function ItemByName(const AName: string): TJvTimerEvent;

Parameters

const AName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTimerEvents.ItemIndexByHandle method

TJvTimerEvents	See Also	Edit topic

Returns the index of the TJvTimerEvent object with a specified handle.

Pascal

function ItemIndexByHandle(AHandle: THandle): Integer;

Return Value

Returns the index in the list of a timer event with the specified handle. If there is no such timer event, ItemIndexByHandle returns -1.

Parameters

AHandle: THandle

Specifies the value of the timer event's Handle property.

Description

Call ItemIndexByHandle to obtain the index of a TJvTimerEvent object with handle AHandle in the Events property array.

Created with Doc-O-Matic.


See Also

ItemByHandle


TJvTimerList
JEDI-VCL Reference

 TJvTimerList

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Maintains a list of timers.

Pascal

TJvTimerList = class(TComponent);

File

JvTimerList

Description

The TJvTimerList maintains a list of TJvTimerEvent objects, that each provide all the properties of the standard TTimer component. By using a TJvTimerList to maintain timers you have the additional benefit of using only 1 windows timer for up to 32767 timing events. The practical maximum number of timing events depends on how long it takes your application to handle each timer execution.

Windows (system) timers are a scarce system resource. Using more system timers than necessary can impact performance. If a (system) timer is not available when a program needs one, it can either terminate gracefully or it can terminate in a manner that leaves Windows in an unstable state. You can reduce the chances of running out of timers by using a TJvTimerList rather than multiple timers.

TJvTimerList uses the concept of a timer events to perform the same function as the TTimer's OnTimer event. After adding a TJvTimerList component to your form, use the component editor to create events at design-time, or call Add method at run-time to create timer events dynamically. Events can repeat until they are canceled or they can be fired only a specific number of times and then be automatically removed (accordingly Cycled property value).

Created with Doc-O-Matic.


TJvTimerList Properties

TJvTimerList	Legend

Properties

 Active

 Events

 Sorted

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTimerList Events

TJvTimerList	Legend

Events

 OnFinish

 OnTimers

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTimerList Methods

TJvTimerList	Legend

Methods

 Add

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTimerList

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvTimerList


TJvTimerList Members

TJvTimerList	Legend

Members

Properties

 Active

 Events

 Sorted

Events

 OnFinish

 OnTimers

Methods

 Add

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


See Also

TJvTimerEvent


Package

System


TJvTimerList.Active property

TJvTimerList	See Also	Edit topic

Specifies whether the timer list is active.

Pascal

property Active: Boolean;

Description

Read Active to determine whether the timer list active. If Active is true, then the time list has created an internal timer used for all timer event objects. If Active is false, then all timers are paused.

You don't have to change Active. This is done automatically when you change the Enabled property of a timer;

Setting an Enabled property of a TJvTimerEvent object to true, automatically activates the timer list (i.e., set Active to true)

When all Enabled properties of the timers in a timer list are set to false, the timer is automatically deactivated.

But you can change the active state of the timers explicitly: Set Active to false to pause all timers. Set Active to true to resume the timers whose Enabled property are set to true. Changing Active will not change any Enabled property of the timer events.

Created with Doc-O-Matic.


See Also

TJvTimerEvents.Activate, TJvTimerEvents.Deactivate


TJvTimerList.Events property

TJvTimerList	See Also	Edit topic

Provides indexed access to the TJvTimerEvent objects maintained by the timer list.

Pascal

property Events: TJvTimerEvents;

Description

Use Items to access the properties of the TJvTimerEvent objects maintained by TJvTimerList.

Notes

At run-time the timer list ensures that this list is sorted based on the Interval property of the timer events; thus, direct access to Events is not recommended, better use ItemByHandle for access to timer events and Add for adding a new timer event.

Created with Doc-O-Matic.


See Also

Add


TJvTimerList.OnFinish event

TJvTimerList	See Also	Edit topic

Occurs when the timer list is deactivated.

Pascal

property OnFinish: TNotifyEvent;

Description

Write an OnFinish event handler to respond when the timer list is deactivated. The timer list is deactivated when Active is set to false or when all timers are done executing.

A timer is done executing if its Enabled property is set to false or property Cycled is set to false and the timer has executed RepeatCount times.

Created with Doc-O-Matic.


See Also

TJvTimerList.Active


TJvTimerList.OnTimers event

TJvTimerList	See Also	Edit topic

Occurs for each timer that executes.

Pascal

TAllTimersEvent = procedure (Sender: TObject; Handle: Longint) of object;
property OnTimers: TAllTimersEvent;

Parameters

Handle

Identifies the timer that has fired in the list.

Sender

The timer list that maintains the timer that has fired.

Description

Write an OnTimers event handler to handle the execution of all timers in 1 procedure; thus, you don't have to write a specific event handle for each timer in the list.

The OnTimers event is fired each time a timer's interval is reached.

Created with Doc-O-Matic.


See Also

TJvTimerEvent.Handle, TJvTimerEvent.OnTimer


TJvTimerList.Sorted property

TJvTimerList	Edit topic

Not documented

Pascal

property Sorted: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTimerList.Add method

TJvTimerList	See Also	Edit topic

Creates a new timer and adds it to the list.

Pascal

function Add(AOnTimer: TNotifyEvent; AInterval: Longint; ACycled: Boolean): THandle; virtual;

Return Value

Returns the handle of the added timer. This is not a windows handle. You can not use it in calls to windows API's. It is just a number that identifies a timer uniquely in a timer list.

Parameters

AOnTimer: TNotifyEvent

A TNotifyEvent procedure that will be called when the timer executes.

AInterval: Longint

The interval in milliseconds between two executions for the added timer.

ACycled: Boolean

Indicates whether the timer executes indefinitely or a specific number of times.

Description

Add creates a timer and assigns the values passed in the AOnTimer, AInterval, and ACycled parameters to the TJvTimerEvent properties of the same names. Finally the timer is added to the timer list.

Created with Doc-O-Matic.


See Also

TJvTimerEvents.Add


TJvTipOfDay
JEDI-VCL Reference

 TJvTipOfDay

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Displays a Tip of the Day dialog.

Pascal

TJvTipOfDay = class(TJvCommonDialogP);

File

JvTipOfDay

Description

Use TJvTipOfDay to display a Tip of the Day dialog in your application. A Tip of the Day dialog is a dialog that displays a tip on startup of the application. The user can uncheck a checkbox to specify that the application should no longer display the tip dialog at startup.

You can use a storage component to store the value of the checkbox. Alternatively, you can provide a custom store-retrieve method by writing an OnCanShow and an OnAfterExecute event handler.

Use Tips to add, insert, delete and move tips. Property Tips is of type TStrings: each item of Tips specifies a single tip that can appear in the dialog.

Call the LoadFromFile and SaveToFile methods to load or save the tips from a file.

Use the other properties of TJvTipOfDay to alter the appearance of the dialog.

Created with Doc-O-Matic.


TJvTipOfDay Properties

TJvTipOfDay	Legend

Properties

 AppStorage

 AppStoragePath

 ButtonClose

 ButtonNext

 CheckBoxText

 Color

 DefaultFonts

 HeaderFont

 HeaderText

 IsAutoExecute

 Options

 Style

 TipFont

 Tips

 Title

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvTipOfDay Events

TJvTipOfDay	Legend

Events

 OnAfterExecute

 OnCanShow

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTipOfDay Methods

TJvTipOfDay	Legend

Methods

 Execute

LoadFromFile

SaveToFile

TJvCommonDialogP

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvTipOfDay

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogP
            TJvTipOfDay


TJvTipOfDay Members

TJvTipOfDay	Legend

Members

Properties

 AppStorage

 AppStoragePath

 ButtonClose

 ButtonNext

 CheckBoxText

 Color

 DefaultFonts

 HeaderFont

 HeaderText

 IsAutoExecute

 Options

 Style

 TipFont

 Tips

 Title

TJvComponent

 AboutJVCL

Events

 OnAfterExecute

 OnCanShow

Methods

 Execute

LoadFromFile

SaveToFile

TJvCommonDialogP

 Execute

Legend

published

read only

virtual

abstract

Created with Doc-O-Matic.


Legend

published

read only

virtual

abstract


Package

Dlgs


TJvTipOfDay.AppStorage property

TJvTipOfDay	See Also	Edit topic

Storage component to store the values of the Show On Startup Checkbox.

Pascal

property AppStorage: TJvCustomAppStorage;

Description

Use the AppStorage property to link the Tip of the Day component to a storage component. This storage component will be used to store the value of the checkbox permanently.

If you don't link the component to a storage component, you have to store and retrieve the checkbox value manually by using OnCanShow and an OnAfterExecute event handlers. Note Include toUseAppStorage in Options otherwise the storage component is not used.

Created with Doc-O-Matic.


See Also

TJvAppStorage, TJvTipOfDay.AppStoragePath, TJvTipOfDayOption.toUseAppStorage


TJvTipOfDay.AppStoragePath property

TJvTipOfDay	See Also	Edit topic

Specifies the path used by AppStorage.

Pascal

property AppStoragePath: string;

Description

Specifies the path in which the settings for the Show On Startup Checkbox will be saved.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.AppStorage


TJvTipOfDay.ButtonClose property

TJvTipOfDay	See Also	Edit topic

Controls the attributes of the close button on the dialog.

Pascal

property ButtonClose: TJvButtonPersistent;

Description

Use the properties of ButtonClose to specify the characteristics of the close button on the tip dialog.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.ButtonNext


TJvTipOfDay.ButtonNext property

TJvTipOfDay	See Also	Edit topic

Controls the attributes of the "Next Tip" button on the dialog.

Pascal

property ButtonNext: TJvButtonPersistent;

Description

Use the properties of ButtonNext to specify the characteristics of the "Next Tip" button on the tip dialog.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.ButtonClose


TJvTipOfDay.CheckBoxText property

TJvTipOfDay	See Also	Edit topic

Specifies the text to appear on the checkbox.

Pascal

property CheckBoxText: string;

Description

The Tip of the Day dialog displays a checkbox that enables the user to specify whether the application must show the dialog on the next startup of the application. Use CheckBoxText to change the text for this checkbox.

The default value of CheckBoxText is "Show Tips on StartUp".

Include or exclude flag toShowOnStartUp in Options - before the dialog is displayed - to specify whether the checkbox must be checked or unchecked, respectively.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.HeaderText, TJvTipOfDay.Tips


TJvTipOfDay.Color property

TJvTipOfDay	Edit topic

Specifies the background color of the tip text on the dialog.

Pascal

property Color: TColor;

Description

The Color property determines the background color of the the tip text on the dialog.

Created with Doc-O-Matic.


TJvTipOfDay.DefaultFonts property

TJvTipOfDay	See Also	Edit topic

Determines whether to display text on the dialog with the default fonts associated with Style.

Pascal

property DefaultFonts: Boolean;

Description

Set DefaultFonts to true to display the header and tip text with the default fonts associated with a specific dialog style as specified by property Style. Set DefaultFonts to false to display the header and tip text in a customized font.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.HeaderFont, TJvTipOfDay.Style, TJvTipOfDay.TipFont


TJvTipOfDay.HeaderFont property

TJvTipOfDay	See Also	Edit topic

Controls the attributes of the header text above the tip in the dialog.

Pascal

property HeaderFont: TFont;

Description

Set Font to specify the font to use for displaying the header text above the tip in the Tip of the Day dialog. The value of Font is a TFont object. Set the properties of the TFont object to specify the font face, color, size, style, and any other aspects of the font.

Set DefaultFonts to true, to assign the default font associated with Style to HeaderFont.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.DefaultFonts, TJvTipOfDay.HeaderText, TJvTipOfDay.TipFont


TJvTipOfDay.HeaderText property

TJvTipOfDay	See Also	Edit topic

Specifies the header text for the tip dialog.

Pascal

property HeaderText: string;

Description

Use HeaderText to specify the text to appear above the tip. The default value is "Did you know..."

Created with Doc-O-Matic.


See Also

TJvTipOfDay.HeaderFont, TJvTipOfDay.Tips, TJvTipOfDay.Title


TJvTipOfDay.IsAutoExecute property

TJvTipOfDay	See Also	Edit topic

Indicates whether the user called Execute to display the dialog or the dialog is automatically displayed.

Pascal

property IsAutoExecute: Boolean;

Description

Read IsAutoExecute in an OnAfterExecute or OnCanShow event handler to determine whether the user called Execute to display the dialog, or the dialog is automatically displayed.

Created with Doc-O-Matic.


See Also

Execute


TJvTipOfDay.OnAfterExecute event

TJvTipOfDay	See Also	Edit topic

Occurs after the dialog is closed.

Pascal

property OnAfterExecute: TNotifyEvent;

Description

Write an OnAfterExecute handler to store the value that determines whether the dialog must be shown the next time the application starts up.

A user can uncheck the checkbox on the dialog to indicate that the dialog must not be shown the next time the application starts up. The dialog can use a storage component to store this value, but applications can provide a custom method to store this value.

The flag toShowOnStartUp in Options indicates whether the checkbox was checked or unchecked, when the user closed the dialog. If toShowOnStartUp is included in Options then the checkbox was checked, otherwise it was unchecked.

Use an OnCanShow event handler to retrieve the stored value and to determine whether the dialog can be shown.

Created with Doc-O-Matic.


See Also

Execute, TJvTipOfDay.OnCanShow, TJvTipOfDay.Options


TJvTipOfDay.OnCanShow event

TJvTipOfDay	See Also	Edit topic

Occurs before the dialog is shown.

Pascal

TJvCanShowEvent = procedure (Sender: TObject; var CanShow: Boolean) of object;
property OnCanShow: TJvCanShowEvent;

Parameters

CanShow

Determines whether the tip dialog can be shown.

Sender

The tip dialog that fired the event

Description

Write an OnCanShow event handler to provide a custom check whether the Tip of the Day dialog can be shown. The dialog can use a storage component to determine whether the dialog can be shown. This check can be used by including the flag toUseAppStorage in Options; however, applications can provide custom checks in an OnCanShow event handler.

Set the CanShow parameter to false to prevent the dialog from showing.

Created with Doc-O-Matic.


See Also

Execute, TJvTipOfDay.OnAfterExecute


TJvTipOfDay.Options property

TJvTipOfDay	See Also	Edit topic

Specifies options for the dialog.

Pascal

property Options: TJvTipOfDayOptions;

Description

Use the Options property to customize the functionality of the dialog. Use these flags to specify whether the dialog:

Should be shown at startup.

Should use a storage component to store and retrieve the value of the "Show Tips on StartUp" checkbox.

Should be shown not before the parent form of the TJvTipOfDay component is shown.

Created with Doc-O-Matic.


See Also

Execute


TJvTipOfDay.Style property

TJvTipOfDay	See Also	Edit topic

Specifies the Tip of the Day dialog's style.

Pascal

property Style: TJvTipOfDayStyle;

Description

Use Style to determine the appearance of the dialog.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.DefaultFonts


TJvTipOfDay.TipFont property

TJvTipOfDay	See Also	Edit topic

Controls the attributes of the text that displays the tip in the Tip of the Day dialog.

Pascal

property TipFont: TFont;

Description

Set Font to specify the font to use for displaying the tips. The value of Font is a TFont object. Set the properties of the TFont object to specify the font face, color, size, style, and any other aspects of the font.

Set DefaultFonts to true, to assign the default font associated with Style to TipFont.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.DefaultFonts, TJvTipOfDay.HeaderFont


TJvTipOfDay.Tips property

TJvTipOfDay	See Also	Edit topic

Contains the tips that can be displayed in the dialog.

Pascal

property Tips: TStrings;

Description

Use Tips to add, insert, delete and move tips. Each item of Tips specifies a single tip that can appear in the dialog.

Property Tips is of type TStrings. Use this item type to access its methods or properties to manipulate the tips in the list.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.HeaderText, TJvTipOfDay.TipFont, TJvTipOfDay.Title


TJvTipOfDay.Title property

TJvTipOfDay	See Also	Edit topic

Specifies the text in the dialog’s title bar.

Pascal

property Title: string;

Description

Use Title to specify the text that appears in the Tip of the Day dialog’s title bar.

The default value is "Tips and Tricks".

Created with Doc-O-Matic.


See Also

TJvTipOfDay.HeaderText, TJvTipOfDay.Tips


TJvTipOfDay.Execute method

TJvTipOfDay	See Also	Edit topic

Displays the Tip of the Day dialog.

Pascal

procedure Execute; override;

Description

Execute opens the Tip of the Day dialog.

You can also use TJvTipOfDay to automatically display the tip dialog on startup of the application. Do so by:

Placing a TJvTipOfDay component on the main form.

Include flag toUseAppStorage in Options.

Link it to a storage component using the AppStorage property and specify a storage path.

This way the component uses the storage component to store the value of the checkbox that enables the user to specify whether the dialog must be shown at startup of the application.

Alternatively, you can provide a custom store-retrieve method of the checkbox's value by writing an OnCanShow and an OnAfterExecute event handler: Before the dialog is actually opened an OnCanShow event is fired, that may prevent the dialog from displaying. After the user closes the dialog an OnAfterExecute event is fired.

Created with Doc-O-Matic.


See Also

TJvTipOfDay.OnAfterExecute, TJvTipOfDay.OnCanShow, TJvTipOfDay.Options


TJvTipOfDay.LoadFromFile method

TJvTipOfDay	See Also	Edit topic

Fills the tip list with the lines of text in a specified file.

Pascal

procedure LoadFromFile(const AFileName: string);

Parameters

const AFileName: string

Name of the file where to read the tips from.

Description

Call LoadFromFile to fill the list Tips from the file specified by AFileName. Each line in the file, as indicated by carriage return or linefeed characters, is appended as a string in the list.

Created with Doc-O-Matic.


See Also

SaveToFile


TJvTipOfDay.SaveToFile method

TJvTipOfDay	See Also	Edit topic

Saves the tips list to the specified file.

Pascal

procedure SaveToFile(const AFileName: string);

Parameters

const AFileName: string

Name of the file where to write the tips to.

Description

Call SaveToFile to save the tips in the list Tips to the file specified by AFileName. Each string in the list is written to a separate line in the file.

Created with Doc-O-Matic.


See Also

LoadFromFile


TJvTLSelFrame
JEDI-VCL Reference

TJvTLSelFrame

Hierarchy	Properties	Events	 See Also	Edit topic

TJvTLSelFrame is used to outline the current selected date on a timeline view.

Pascal

TJvTLSelFrame = class(TPersistent);

File

JvTMTimeLine

Description

Use TJvTLSelFrame to describe the attributes of the selection frame on a timeline view. Use property Pen to specify how the selection frame must be drawn. Use property Visible to specify whether the selection frame must actually be shown in the timeline view.

Created with Doc-O-Matic.


TJvTLSelFrame Events

TJvTLSelFrame	Legend

Events

 OnChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTLSelFrame Properties

TJvTLSelFrame	Legend

Properties

 Pen

 Visible

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvTLSelFrame

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTLSelFrame


TJvTLSelFrame Members

TJvTLSelFrame	Legend

Members

Events

 OnChange

Properties

 Pen

 Visible

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvCustomTMTimeline, TJvCustomTMTimeline.SelDate, TJvCustomTMTimeline.Selection


TJvTLSelFrame.OnChange event

TJvTLSelFrame	Edit topic

Occurs immediately after the graphics object changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to take specific action when the graphics object changes. The properties of the graphics object reflect the new settings when OnChange occurs.

Created with Doc-O-Matic.


TJvTLSelFrame.Pen property

TJvTLSelFrame	See Also	Edit topic

Specifies the kind of pen is used for drawing the selection frame.

Pascal

property Pen: TPen;

Description

Read Pen to obtain the TPen object that represents the color and style of the line used to outline the current selection on a timeline view. The value of Pen is a TPen object. Set the properties of the TPen object to specify the color, style, width, and mode of the pen.

Notes

Setting the Pen property assigns the specified TPen object, rather than replacing the current TPen object.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.SelDate, TJvCustomTMTimeline.Selection, TJvTLSelFrame.Visible


TJvTLSelFrame.Visible property

TJvTLSelFrame	See Also	Edit topic

Specifies whether the selection frame is visible in the timeline view.

Pascal

property Visible: Boolean;

Description

If Visible is True, and a date is selected by the user, the selection frame will appear in the timeline view to outline the selected date. Set Visible to False to disable drawing of the selection frame when the user selects a date.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.SelDate, TJvCustomTMTimeline.Selection, TJvTLSelFrame.Pen


TJvTMTimeline
JEDI-VCL Reference

 TJvTMTimeline

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Displays a timeline that mimics the timeline in MS Team Manager.

Pascal

TJvTMTimeline = class(TJvCustomTMTimeline);

File

JvTMTimeLine

Description

Use TJvTMTimeline to display a timeline control that displays images below certain dates.

Use property ImageIndex to associate images to certain dates. These images will be displayed below that dates. Use property Objects to associate objects to certain dates. These dates will be displayed with another fontstyle

as specified by ObjectsFontStyle - than normal dates.

Call SaveToFile or LoadFromFile to write or read a timeline from a file.

Property Date specifies the first visible date in the timeline view. Use this property or method ScrollDate to scroll the timeline view. Use MinDate and MaxDate to specify a range within Date must lie.

TJvTMTimeline publishes many of the properties, events, and methods of TJvCustomTMTimeline, but does not introduce any new behavior.

Created with Doc-O-Matic.


TJvTMTimeline Properties

TJvTMTimeline	Legend

Properties

 BorderStyle

 ButtonWidth

 Date

 DayWidth

 ImageCursor

 Images

 LargeChange

 LastVisibleDate

LeftButton

 LineColor

 MaxDate

 MinDate

 MonthFont

 ObjectsFontStyle

 ReadOnly

RightButton

 RightClickSelect

 SelDate

 Selection

 ShowMonths

 ShowToday

 ShowTodayIcon

 ShowWeeks

 SmallChange

 TodayColor

 VisibleDays

TJvCustomTMTimeline

 BorderStyle

 ButtonWidth

 Date

 DayWidth

 ImageCursor

ImageIndex

 Images

 LargeChange

 LastVisibleDate

 LeftButton

 LineColor

 MaxDate

 MinDate

 MonthFont

Objects

 ObjectsFontStyle

 ReadOnly

 RightButton

 RightClickSelect

 SelDate

 Selection

 ShowMonths

 ShowToday

 ShowTodayIcon

 ShowWeeks

 SmallChange

 TodayColor

 VisibleDays

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvTMTimeline Events

TJvTMTimeline	Legend

Events

 OnChange

 OnReadObject

 OnWriteObject

TJvCustomTMTimeline

 OnChange

 OnReadObject

 OnWriteObject

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvTMTimeline Methods

TJvTMTimeline

Methods

TJvCustomTMTimeline

ClearImages

ClearObjects

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream

ScrollDate

Created with Doc-O-Matic.


Legend

TJvTMTimeline

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomPanel, IJvExControl
        TJvExCustomPanel
            TJvCustomPanel
                TJvCustomTMTimeline
                    TJvTMTimeline


TJvTMTimeline Members

TJvTMTimeline	Legend

Members

Properties

 BorderStyle

 ButtonWidth

 Date

 DayWidth

 ImageCursor

 Images

 LargeChange

 LastVisibleDate

LeftButton

 LineColor

 MaxDate

 MinDate

 MonthFont

 ObjectsFontStyle

 ReadOnly

RightButton

 RightClickSelect

 SelDate

 Selection

 ShowMonths

 ShowToday

 ShowTodayIcon

 ShowWeeks

 SmallChange

 TodayColor

 VisibleDays

TJvCustomTMTimeline

 BorderStyle

 ButtonWidth

 Date

 DayWidth

 ImageCursor

ImageIndex

 Images

 LargeChange

 LastVisibleDate

 LeftButton

 LineColor

 MaxDate

 MinDate

 MonthFont

Objects

 ObjectsFontStyle

 ReadOnly

 RightButton

 RightClickSelect

 SelDate

 Selection

 ShowMonths

 ShowToday

 ShowTodayIcon

 ShowWeeks

 SmallChange

 TodayColor

 VisibleDays

TJvExCustomPanel

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnChange

 OnReadObject

 OnWriteObject

TJvCustomTMTimeline

 OnChange

 OnReadObject

 OnWriteObject

TJvExCustomPanel

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomTMTimeline

ClearImages

ClearObjects

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream

ScrollDate

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

Custom


TJvTMTimeline.BorderStyle property

TJvTMTimeline	Edit topic

Specifies the border style for the timeline.

Pascal

property BorderStyle: TBorderStyle;

Description

If BorderStyle is set to the default bsSingle, the timeline has a single-line border. If BorderStyle is set to bsNone, no border appears around the timeline.

Created with Doc-O-Matic.


TJvTMTimeline.ButtonWidth property

TJvTMTimeline	Edit topic

Specifies the width of the scroll buttons on the timeline view.

Pascal

property ButtonWidth: Integer;

Description

ButtonWidth represents the width, in pixels, of the scroll buttons on the timeline view.

Created with Doc-O-Matic.


TJvTMTimeline.Date property

TJvTMTimeline	See Also	Edit topic

Specifies the first visible date in the timeline view.

Pascal

property Date: TDate;

Description

Use Date to specify the date that will be the left most date visible in the timeline view. The value of Date must lie within the range specified by MaxDate and MinDate.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.MaxDate, TJvCustomTMTimeline.MinDate


TJvTMTimeline.DayWidth property

TJvTMTimeline	See Also	Edit topic

Specifies the horizontal size of days displayed on the timeline view.

Pascal

property DayWidth: Integer;

Description

Use DayWidth to indicate the desired width of days in pixels displayed on the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.VisibleDays


TJvTMTimeline.ImageCursor property

TJvTMTimeline	Edit topic

Specifies the image that represents the mouse pointer when the mouse passes over a date with an associated image.

Pascal

property ImageCursor: TCursor;

Description

Use ImageCursor to specify the appearance of the mouse pointer when the mouse passes over a date with an associated image. Associate an image with a date by setting property ImageIndex with the particular date as index. If you associate an image with a date the control will display that image below that date in the timeline view.

Created with Doc-O-Matic.


TJvTMTimeline.Images property

TJvTMTimeline	See Also	Edit topic

Specifies the images that appear on the timeline view.

Pascal

property Images: TImageList;

Description

Use Images to supply the list of images that appear on the timeline view. Use ImageIndex to associate an image in the list to a specific date.

If you associate an image with a date the control will display that image below that date in the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ImageIndex


TJvTMTimeline.LargeChange property

TJvTMTimeline	See Also	Edit topic

Determines how much Date changes when the user clicks the scroll buttons or presses the arrow keys on the keyboard, while the Ctrl key is pressed.

Pascal

property LargeChange: Word;

Description

Set LargeChange to specify how much to change the value of Date when the user clicks on the scroll buttons on either side of the timeline or presses the arrow key on the keyboard, while the Ctrl key is pressed.

When the user doesn't press the Ctrl key, the timeline's view changes with the amount specified by SmallChange

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.SmallChange


TJvTMTimeline.LastVisibleDate property

TJvTMTimeline	See Also	Edit topic

Indicates the last fully visible date in the timeline view.

Pascal

property LastVisibleDate: TDate;

Description

Read LastVisibleDate to retrieve the date that is the right most date fully visible in the timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date


TJvTMTimeline.LeftButton property

TJvTMTimeline	See Also	Edit topic

Gives access to the timeline view's left scroll button.

Pascal

property LeftButton: TSpeedButton;

Description

Use LeftButton to access properties and methods of the timeline view's left scroll button.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.RightButton


TJvTMTimeline.LineColor property

TJvTMTimeline	See Also	Edit topic

Specifies the color of the week and month separator lines.

Pascal

property LineColor: TColor;

Description

Use LineColor to specify the color of the week and month separator lines. Use ShowMonths and ShowWeeks to specify whether these lines must be shown.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowWeeks


TJvTMTimeline.MaxDate property

TJvTMTimeline	See Also	Edit topic

Indicates the maximum date to which users can scroll the timeline view.

Pascal

property MaxDate: TDate;

Description

Use MaxDate to get or set the maximum date to which users can scroll the timeline. The value of the Date property can’t exceed MaxDate.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date, TJvCustomTMTimeline.MinDate


TJvTMTimeline.MinDate property

TJvTMTimeline	See Also	Edit topic

Indicates the minimum date to which users can scroll the timeline view.

Pascal

property MinDate: TDate;

Description

Use MinDate to get or set the minimum date to which users can scroll the timeline. The value of the Date property can't be set to a date before MinDate.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date, TJvCustomTMTimeline.MaxDate


TJvTMTimeline.MonthFont property

TJvTMTimeline	See Also	Edit topic

Describes the font used to draw the months in the timeline view.

Pascal

property MonthFont: TFont;

Description

Set MonthFont to the font that should be used to make the months stand out.

To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowToday, TJvCustomTMTimeline.ShowWeeks


TJvTMTimeline.ObjectsFontStyle property

TJvTMTimeline	See Also	Edit topic

Determines whether the font for displaying date numbers with an associated object, is normal, italic, underlined, bold, and so on.

Pascal

property ObjectsFontStyle: TFontStyles;

Description

Use Style to add special characteristics to date numbers that have an associated object. Use property Objects to associate an object to a date.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Objects


TJvTMTimeline.OnChange event

TJvTMTimeline	See Also	Edit topic

Occurs when property Date changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to respond when property Date changes.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date


TJvTMTimeline.OnReadObject event

TJvTMTimeline	See Also	Edit topic

Occurs when an object associated with a date needs to be read from a stream.

Pascal

property OnReadObject: TJvObjectReadEvent;

Parameters

Sender

The timeline view control that is reading the timeline data from the stream.

Stream

Specifies the stream from which to read the custom data.

AObject

The new object to be associated with a date.

Description

Use OnReadObject to write a handler that creates an object to be associated with a particular date. The OnReadObject can initialize that new object by reading custom data from the specified stream and setting the new object's properties accordingly.

When you call LoadFromStream or LoadFromFile, the component fires an OnReadObject event for each date it reads from the stream that has an associated object.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LoadFromFile, TJvCustomTMTimeline.LoadFromStream, TJvCustomTMTimeline.OnWriteObject


TJvTMTimeline.OnWriteObject event

TJvTMTimeline	See Also	Edit topic

Occurs when an object associated with a date needs to be written to a stream.

Pascal

property OnWriteObject: TJvObjectWriteEvent;

Parameters

Sender

The timeline view control that is writing the timeline data from the stream.

Stream

Specifies the stream to which to write the custom data.

AObject

The new object to be associated with a date.

Description

Use OnWriteObject to write a handler that writes an object associated with a particular date, to the specified stream. The OnWriteObject may save custom date, so an OnReadObject handler can initialize a new object by reading that custom data from a stream and setting that new object's properties accordingly.

When you call SaveToStream or SaveToFile, the component fires an OnWriteObject event for each date that has an associated object.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.OnReadObject, TJvCustomTMTimeline.SaveToFile, TJvCustomTMTimeline.SaveToStream


TJvTMTimeline.ReadOnly property

TJvTMTimeline	See Also	Edit topic

Determines whether the user can scroll the timeline.

Pascal

property ReadOnly: Boolean;

Description

Use ReadOnly to determine whether the user can scroll the timeline. If ReadOnly is True, no scroll buttons are displayed, and the user can't scroll the view with the keyboard arrow keys. If ReadOnly is False, scroll buttons are displayed on the view and the user can scroll the timeline view by either pressing these buttons or by pressing the keyboard arrow keys.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LeftButton, TJvCustomTMTimeline.RightButton


TJvTMTimeline.RightButton property

TJvTMTimeline	See Also	Edit topic

Gives access to the timeline view's right scroll button.

Pascal

property RightButton: TSpeedButton;

Description

Use RightButton to access properties and methods of the timeline view's right scroll button.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LeftButton


TJvTMTimeline.RightClickSelect property

TJvTMTimeline	See Also	Edit topic

Determines whether the user can use the right mouse button to select a date.

Pascal

property RightClickSelect: Boolean;

Description

If RightClickSelect is set to True, the user can select a date by either clicking that date with the right or left mouse button. If RightClickSelect is set to False, the user can only select a date by clicking it with the left mouse button.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.SelDate


TJvTMTimeline.SelDate property

TJvTMTimeline	See Also	Edit topic

Specifies the selected date in the timeline view.

Pascal

property SelDate: TDate;

Description

Use SelDate to get or set the date that is marked with a selection frame on the timeline view. Use Selection to describe the attributes of this selection frame on a timeline view.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.Date, TJvCustomTMTimeline.Selection


TJvTMTimeline.Selection property

TJvTMTimeline	See Also	Edit topic

Controls the appearance of the selection frame.

Pascal

property Selection: TJvTLSelFrame;

Description

To change to a new selection frame, specify a new TJvTLSelFrame object. To modify a selection frame, change the value of the Pen or Visible property of the TJvTLSelFrame object.

Created with Doc-O-Matic.


See Also

TJvTLSelFrame


TJvTMTimeline.ShowMonths property

TJvTMTimeline	See Also	Edit topic

Specifies whether month separator lines and the names of months are shown in the timeline view.

Pascal

property ShowMonths: Boolean;

Description

Use ShowMonths to specify whether month separator lines and the names of months are shown in the timeline view. Use MonthFont to set the font used to draw the names of months. Use LineColor to specify the color of the week and month separator lines.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LineColor, TJvCustomTMTimeline.MonthFont, TJvCustomTMTimeline.ShowToday, TJvCustomTMTimeline.ShowWeeks


TJvTMTimeline.ShowToday property

TJvTMTimeline	See Also	Edit topic

Specifies whether today's date is shown in another color and with a double-diamond icon below the date.

Pascal

property ShowToday: Boolean;

Description

Set ShowToday to True to show today's date (according to the system clock) in another color and with a double-diamond icon below the date. Use TodayColor to specify the background color to make today's date stand out.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.MonthFont, TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowWeeks, TJvCustomTMTimeline.TodayColor


TJvTMTimeline.ShowTodayIcon property

TJvTMTimeline	Edit topic

Not documented

Pascal

property ShowTodayIcon: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTMTimeline.ShowWeeks property

TJvTMTimeline	See Also	Edit topic

Specifies whether dotted week separator lines are shown in the timeline view.

Pascal

property ShowWeeks: Boolean;

Description

If ShowWeeks is True, dotted week separator lines are shown in the timeline view. These lines are drawn between Sunday and Monday. Use LineColor to specify the color of the week and month separator lines.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LineColor, TJvCustomTMTimeline.MonthFont, TJvCustomTMTimeline.ShowMonths, TJvCustomTMTimeline.ShowToday


TJvTMTimeline.SmallChange property

TJvTMTimeline	See Also	Edit topic

Determines how much Date changes when the user clicks the scroll buttons or presses the arrow keys on the keyboard.

Pascal

property SmallChange: Word;

Description

Set SmallChange to specify how much to change the value of Date when the user clicks on the scroll buttons on either side of the timeline or presses the arrow key on the keyboard.

When the user clicks the scroll button or presses the arrow keys on the keyboard, while holding the Ctrl key, the timeline's view changes with the amount specified by LargeChange

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.LargeChange


TJvTMTimeline.TodayColor property

TJvTMTimeline	See Also	Edit topic

Specifies the background color for today's date.

Pascal

property TodayColor: TColor;

Description

The TodayColor property determines the background color for today's date (according to the system clock). Use ShowToday to specify whether the special background color for today's date must be shown.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.ShowToday


TJvTMTimeline.VisibleDays property

TJvTMTimeline	See Also	Edit topic

Indicates the number of fully visible days in the control.

Pascal

property VisibleDays: Integer;

Description

Read VisibleDays to retrieve the number of fully visible days in the control.

Created with Doc-O-Matic.


See Also

TJvCustomTMTimeline.DayWidth


TJvToolBar
JEDI-VCL Reference

 TJvToolBar

Hierarchy	Properties	Events	Package	 Edit topic

Adds events that can be used for hot tracking.

Pascal

TJvToolBar = class(TJvExToolBar);

File

JvToolBar

Description

TJvToolBar is a toolbar that supports extended features.

You can use OnMouseEnter and OnMouseLeave to alter the controls look or behavior, when the user moves the mouse pointer over the control.

Use property HintColor to change the color of the hint boxes for the toolbar.

Created with Doc-O-Matic.


TJvToolBar Properties

TJvToolBar	Legend

Properties

 HintColor

 Menu

TJvExToolBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvToolBar Events

TJvToolBar	Legend

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExToolBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvToolBar

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TToolBar, IJvExControl
        TJvExToolBar
            TJvToolBar


TJvToolBar Members

TJvToolBar	Legend

Members

Properties

 HintColor

 Menu

TJvExToolBar

 AboutJVCL

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

TJvExToolBar

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

StdCtrls


TJvToolBar.HintColor property

TJvToolBar	Edit topic

Determines the color of the hint boxes for the Help Hints for the toolbar.

Pascal

property HintColor: TColor;

Description

Use HintColor to specify the hint box color. A default color value of clInfoBk is set for the HintColor property in the constructor when the application is created. To change the HintColor assign it a new TColor value.

Created with Doc-O-Matic.


TJvToolBar.Menu property

TJvToolBar	See Also	Edit topic

Indicates the menu that the toolbar must reproduce.

Pascal

property Menu: TMainMenu;

Description

This property is an overload of the inherited property from TToolBar; however, it accepts a TJvMainMenu and takes advantage of the menu modification notification to automatically update itself when the menu is changed.

Created with Doc-O-Matic.


See Also

TToolbar


TJvToolBar.OnMouseEnter event

TJvToolBar	See Also	Edit topic

Occurs when the mouse pointer moves over the toolbar.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the toolbar.

Created with Doc-O-Matic.


See Also

TJvExToolBar.OnMouseLeave


TJvToolBar.OnMouseLeave event

TJvToolBar	See Also	Edit topic

Occurs when the mouse pointer moves off the toolbar.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the toolbar. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvExToolBar.OnMouseEnter


TJvToolBar.OnParentColorChange event

TJvToolBar	Edit topic

Occurs when the color property for the parent of the tool bar changes.

Pascal

property OnParentColorChange: TNotifyEvent;

Description

Write an OnParentColorChange event to take specific action when the ParentColor property changes.

Created with Doc-O-Matic.


TJvTranslator
JEDI-VCL Reference

 TJvTranslator

Hierarchy	Properties	Methods	Package	 Edit topic

Translates an application, form or component.

Pascal

TJvTranslator = class(TJvComponent);

File

JvTranslator

Description

TJvTranslator is a non-visual component that can be used to automatically change the properties of forms and components. The forms and components to change and what value to change their properties to can be read from a string, a stream or a file.

You can also use this component to read the components and their properties and create an XML string from it. You can then use the generated XML to create a template used in translation.

Created with Doc-O-Matic.


TJvTranslator Properties

TJvTranslator	Legend

Properties

 XML

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvTranslator Methods

TJvTranslator

Methods

ClearSkipList

ComponentToXML

InSkipList

SkipClass

SkipProperty

Translate

TranslateScreen

TranslateScreenString

TranslateString

UnskipClass

UnskipProperty

Created with Doc-O-Matic.


Legend

TJvTranslator

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvTranslator


TJvTranslator Members

TJvTranslator	Legend

Members

Properties

 XML

TJvComponent

 AboutJVCL

Methods

ClearSkipList

ComponentToXML

InSkipList

SkipClass

SkipProperty

Translate

TranslateScreen

TranslateScreenString

TranslateString

UnskipClass

UnskipProperty

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Package

Cmp


TJvTranslator.XML property

TJvTranslator	Edit topic

Provides access to the internal XML object.

Pascal

property XML: TJvSimpleXml;

Description

Use the XML property to access the internal TJvSimpleXML object used to read and write the XML data.

Created with Doc-O-Matic.


TJvTranslator.ClearSkipList method

TJvTranslator	See Also	Edit topic

Clears the skip list.

Pascal

procedure ClearSkipList;

Description

Call ClearSkipList to clear the internal skip list.

Created with Doc-O-Matic.


See Also

SkipClass , SkipProperty


TJvTranslator.ComponentToXML method

TJvTranslator	See Also	Edit topic

Converts the properties of a TComponent to an XML string.

Pascal

function ComponentToXML(const AComponent: TComponent; Recurse: Boolean): string;

Return Value

An XML string then can be used in calls to TJvTranslator.Translate or as a building block for a XML translation template file.

Parameters

const AComponent: TComponent

The component to create the XML fragment for. If AComponent is found in the skip list, its properties will not be listed. If any of the component's properties is found in the skip list, the property will not be listed. If AComponent is Application, a root node with the name 'Translation' is automatically added to the returned XML.

Recurse: Boolean

Set this parameter to true to recurse the Components array of AComponent and create the XML for owned components as well. If AComponent is in the skip list and Recurse is true, the owned components of AComponent will still be checked and its properties added to the XML string.

Description

Use ComponentToXML to convert the name and published properties of a TComponent instance into a correctly formatted XML string compatible with the format used by JvTranslator. You can create a complete translation template file for your application by calling ComponentToXML for the Application object.

Note that ComponentToXML lists all published properties not skipped by a call to SkipProperty of a component and you might have to clean the returned XML from properties you don't need to translate.

Created with Doc-O-Matic.


See Also

SkipClass , SkipProperty , InSkipList


TJvTranslator.InSkipList method (TClass)

TJvTranslator	See Also	Edit topic

Checks if a specific class is skipped when creating XML with ComponentToXML

Pascal

function InSkipList(AClass: TClass): Boolean; overload;

Return Value

True if AClass is in the skip list, false if it is not.

Parameters

AClass: TClass

The class to check. The specified class and all classes inherited from it are checked.

Description

InSkipList returns true if the specified class has been added to the skip list by a call to SkipClass. If a class is in the skip list, its properties will not be included in the XML string.

Created with Doc-O-Matic.


See Also

SkipClass


TJvTranslator.InSkipList method (TClass, string)

TJvTranslator	See Also	Edit topic

Checks if a specific class is skipped when creating XML with ComponentToXML

Pascal

function InSkipList(AClass: TClass; const PropName: string): Boolean; overload;

Return Value

True if PropName of AClass is in the skip list, false if it is not.

Parameters

AClass: TClass

The class to check. The specified class and all classes inherited from it are checked.

const PropName: string

The name of the property to check.

Description

InSkipList returns true if the specified class has been added to the skip list by a call to SkipClass. If a class is in the skip list, its properties will not be included in the XML string.

Created with Doc-O-Matic.


See Also

SkipClass , SkipProperty


TJvTranslator.InSkipList method (TObject)

TJvTranslator	See Also	Edit topic

Checks if a specific class instance is skipped when creating XML with ComponentToXML

Pascal

function InSkipList(Obj: TObject): Boolean; overload;

Return Value

True if Obj is in the skip list, false if it is not.

Parameters

Obj: TObject

The class instance to check.

Description

InSkipList returns true if the specified class instance has been added to the skip list by a call to SkipClass. If a class is in the skip list, its properties will not be included in the XML string.

Created with Doc-O-Matic.


See Also

SkipClass


TJvTranslator.InSkipList method (TObject, string)

TJvTranslator	See Also	Edit topic

Checks if a specific class is skipped when creating XML with ComponentToXML

Pascal

function InSkipList(Obj: TObject; const PropName: string): Boolean; overload;

Return Value

True if PropName of Obj is in the skip list, false if it is not.

Parameters

Obj: TObject

The class instance to check.

const PropName: string

The name of the property.

Description

InSkipList returns true if the specified class has been added to the skip list by a call to SkipClass. If a class is in the skip list, its properties will not be included in the XML string.

Created with Doc-O-Matic.


See Also

SkipClass


TJvTranslator.SkipClass method

TJvTranslator	See Also	Edit topic

Adds a class to the internal skip list.

Pascal

procedure SkipClass(AClass: TClass);

Parameters

AClass: TClass

The class to skip. Calling SkipClass with the same class multiple times, does nothing.

Description

Call SkipClass with a class name to add the class to the skip list. The skip list is used by ComponentToXML to determine whether the properties of a class should be added to the returned XML string and by Translate to determine what to translate.

Note that even if a class is in the skip list, the Components array of the skipped class will still be iterated and checked if the Recurse parameter to ComponentToXML is true.

Created with Doc-O-Matic.


See Also

InSkipList


TJvTranslator.SkipProperty method

TJvTranslator	See Also	Edit topic

Adds a class property to the internal skip list.

Pascal

procedure SkipProperty(AClass: TClass; const PropName: string);

Parameters

AClass: TClass

The class containing the property.

const PropName: string

the property to skip in the class.

Description

Call SkipProperty with a class and property name to add the property of the class to the skip list. The skip list is used by ComponentToXML to determine whether the properties of a class should be added to the returned XML string and by Translate to determine what to translate.

Note that even if a class is in the skip list, the Components array of the skipped class will still be iterated and checked if the Recurse parameter to ComponentToXML is true.

Created with Doc-O-Matic.


See Also

InSkipList


TJvTranslator.Translate method (TCustomForm)

TJvTranslator	Edit topic

Translates a form.

Pascal

procedure Translate(const Form: TCustomForm); overload;

Parameters

const Form: TCustomForm

The form to translate.

Description

Translates a form and all contained components on the form using the currently loaded XML. The XML can be loaded with any of the Translate functions that contains a string, a filename or a stream.

Created with Doc-O-Matic.


TJvTranslator.Translate method (TStream)

TJvTranslator	Edit topic

Translates the entire application.

Pascal

procedure Translate(const Stream: TStream); overload;

Parameters

const Stream: TStream

The stream to read the XML from. The reading starts at the current position in the stream.

Description

Translates all forms in the current application using the XML in the stream. Only instantiated forms and their components are translated.

Created with Doc-O-Matic.


TJvTranslator.Translate method (TStream, TCustomForm)

TJvTranslator	Edit topic

Translates a form.

Pascal

procedure Translate(const Stream: TStream; const Form: TCustomForm); overload;

Parameters

const Stream: TStream

The stream to read the XML from. The reading starts at the current position in the stream.

const Form: TCustomForm

The form to translate.

Description

Translates a form and all contained components on the form using the translation loaded from Stream.

Created with Doc-O-Matic.


TJvTranslator.Translate method (string)

TJvTranslator	Edit topic

Translates the entire application.

Pascal

procedure Translate(const FileName: string); overload;

Parameters

const FileName: string

The name of the file containing the translation.

Description

Translates all forms in the current application using the XML in FileName. Only instantiated forms and their components are translated.

Created with Doc-O-Matic.


TJvTranslator.Translate method (string, TCustomForm)

TJvTranslator	Edit topic

Translates a form.

Pascal

procedure Translate(const FileName: string; const Form: TCustomForm); overload;

Parameters

const FileName: string

The name of the file containing the translation.

const Form: TCustomForm

The form to translate.

Description

Translates a form and all contained components on the form using the translation loaded from filename. If the file cannot be found, this function raises an exception.

Created with Doc-O-Matic.


TJvTranslator.Translate method (string, string)

TJvTranslator	Edit topic

Translates a string using the currently loaded XML.

Pascal

function Translate(const Category: string; const Item: string): string; overload;

Return Value

Returns the value of the Item node or, if not found, the value of a property of Item named "Value" or an empty string if the node was not found.

Parameters

const Category: string

The name of the Category of the translation to use. The value of this parameter is checked against the names of the direct sub nodes of the root node in the XML.

const Item: string

The name of the Item of the translation to use. The value of this parameter is checked against the names of the subnodes.

Description

Searches the currently loaded XML for a node matching the names as defined by Category and Item and returns the found value.

Example

If Category = "Variables" and Item = "Item", the XML would have to look like the following for this method to find a match:

    <Translation>

      ...

      <Variables>

        <Item>XXXXX</Item>

      </Variables>

      ...

    </Translation>

This would return the string "XXX". Alternatively, the XML could look like this:

    <Translation>

      ...

      <Variables>

        <Item Value="YYYY" />

      </Variables>

      ...

    </Translation>

This would return the string "YYY". if more than one node has the same name, the first one found is the one used.

Created with Doc-O-Matic.


TJvTranslator.TranslateScreen method (TStream)

TJvTranslator	Edit topic

Translates all forms on the screen.

Pascal

procedure TranslateScreen(const Stream: TStream); overload;

Parameters

const Stream: TStream

The stream to read the XML from. The reading starts at the current position in the stream.

Description

Translates all forms maintained by the global Screen object. Only instantiated forms and their components are translated.

Created with Doc-O-Matic.


TJvTranslator.TranslateScreen method (string)

TJvTranslator	Edit topic

Translates all forms on the screen.

Pascal

procedure TranslateScreen(const FileName: string); overload;

Parameters

const FileName: string

The name of the file containing the translation.

Description

Translates all forms maintained by the global Screen object. Only instantiated forms and their components are translated.

Created with Doc-O-Matic.


TJvTranslator.TranslateScreenString method

TJvTranslator	Edit topic

Translates all forms on the screen.

Pascal

procedure TranslateScreenString(const S: string);

Parameters

const S: string

The string to read the XML from.

Description

Translates all forms maintained by the global Screen object. Only instantiated forms and their components are translated.

Created with Doc-O-Matic.


TJvTranslator.TranslateString method (string)

TJvTranslator	Edit topic

Translates all forms on the screen.

Pascal

procedure TranslateString(const S: string); overload;

Parameters

const S: string

The string to read the XML from.

Description

Translates all forms maintained by the global Screen object. Only instantiated forms and their components are translated.

Created with Doc-O-Matic.


TJvTranslator.TranslateString method (string, TCustomForm)

TJvTranslator	Edit topic

Translates a form.

Pascal

procedure TranslateString(const S: string; const Form: TCustomForm); overload;

Parameters

const S: string

The string to read the XML from.

const Form: TCustomForm

The form to translate.

Description

Translates a form and all contained components on the form using the XML in the string.

Created with Doc-O-Matic.


TJvTranslator.UnskipClass method

TJvTranslator	See Also	Edit topic

Removes a class from the internal skip list.

Pascal

procedure UnskipClass(AClass: TClass);

Parameters

AClass: TClass

The class to remove

Description

Call UnskipClass to remove a class from the skip list.

Created with Doc-O-Matic.


See Also

TJvTranslator.UnskipProperty


TJvTranslator.UnskipProperty method

TJvTranslator	See Also	Edit topic

Removes a property from the internal skip list.

Pascal

procedure UnskipProperty(AClass: TClass; const PropName: string);

Parameters

AClass: TClass

The class containing the property.

const PropName: string

The name of the property.

Description

Call UnskipProperty to remove a property from the internal skip list. Removing the same property several times does nothing.

Created with Doc-O-Matic.


See Also

TJvTranslator.UnskipClass


TJvTranslatorStrings
JEDI-VCL Reference

 TJvTranslatorStrings

Hierarchy	Properties	Methods	Package	 Edit topic

Stores translatable strings that are not part of a form or component, like variables etc.

Pascal

TJvTranslatorStrings = class(TJvComponent);

File

JvTranslator

Description

To be able to translate string variables not part of a class, you can use the TJvTranslatorStrings component. Drop it on a form (one per application is enough) and, at run-time, add the strings you want to translate by using the Add method. Note that the strings you add must be declared as global variables somewhere in your project.

Example

  var AString:string = 'This is a string';

  ...

    // adding to list:

    JvTranslatorStrings.Add('AString',AString);

    // using:

    ShowMessage(AString); // this will show the translated value of AString

                          // if it was included in the translation data

                          // loaded into a TJvTranslator instance

Created with Doc-O-Matic.


TJvTranslatorStrings Properties

TJvTranslatorStrings	Legend

Properties

 Count

Strings

 Value

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvTranslatorStrings Methods

TJvTranslatorStrings

Methods

Add

IndexOf

Created with Doc-O-Matic.


Legend

TJvTranslatorStrings

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvTranslatorStrings


TJvTranslatorStrings Members

TJvTranslatorStrings	Legend

Members

Properties

 Count

Strings

 Value

TJvComponent

 AboutJVCL

Methods

Add

IndexOf

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Package

Cmp


TJvTranslatorStrings.Count property

TJvTranslatorStrings	Edit topic

Returns the number of items in the list.

Pascal

property Count: Integer;

Description

Count contains the number of items in the Strings and Value array. Since Strings and Value are indexed starting with 0, the value of Count is always one greater than the index of the last member of Strings and Value.

Created with Doc-O-Matic.


TJvTranslatorStrings.Strings property

TJvTranslatorStrings	See Also	Edit topic

Lists the names, referenced by a 0-based index.

Pascal

property Strings [Index: Integer]: string;

Description

Use Strings to read or modify the string at a particular position. Index gives the position of the string, where 0 is the position of the first string, 1 is the position of the second string, and so on. To locate a particular string in the list, call the IndexOf method.

Note that this property does not work like you might expect. Specifically, when reading, the returned value is the Name part of the string, but when writing the value is written to the Value part of the string. To read the value, use Value instead.

Created with Doc-O-Matic.


See Also

Add , IndexOf


TJvTranslatorStrings.Value property

TJvTranslatorStrings	Edit topic

Lists the values, referenced by a 0-based index.

Pascal

property Value [Index: Integer]: string;

Description

Use Value to read the value of a string at a particular position. Index gives the position of the string, where 0 is the position of the first string, 1 is the position of the second string, and so on.

Created with Doc-O-Matic.


TJvTranslatorStrings.Add method

TJvTranslatorStrings	Edit topic

Adds a new Name/Value pair to the translation list.

Pascal

function Add(const Name: string; var Value: string): Integer;

Return Value

The index into the list where the Name/Value pair was saved.

Parameters

const Name: string

The name of the string variable. This value must be unique within the application.

var Value: string

The value of the string.

Description

Use Add to add Name/Value pair of strings that you want to be able to translate. The Value must be available as a global variable somewhere in your project since TJvTranslatorStrings only stores a reference to it (that is how it can translate it automatically). When you use the string, use the variable, so you get the translated value of the string.

Created with Doc-O-Matic.


TJvTranslatorStrings.IndexOf method

TJvTranslatorStrings	See Also	Edit topic

Returns the position of a string in the list.

Pascal

function IndexOf(const Name: string): Integer;

Return Value

The 0-based index of the found string or -1 if not found.

Parameters

const Name: string

The string to search for.

Description

Call IndexOf to obtain the position of the first occurrence of the string Name, or of a string that differs from Name only by case. IndexOf returns the 0-based index of the string. Thus, if Name matches the first string in the list, IndexOf returns 0, if Name is he second string, IndexOf returns 1, and so on. If the string is not in the list, IndexOf returns -1.

Created with Doc-O-Matic.


See Also

TJvTranslatorStrings.Strings, TJvTranslatorStrings.Value


TJvTransparentButton
JEDI-VCL Reference

 TJvTransparentButton

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A button that can display images and text and also can align text and image in various ways.

Pascal

TJvTransparentButton = class(TJvCustomGraphicButton);

File

JvTransparentButton

Description

Use TJvTransparentButton when you need a button that can:

display an image as well as text.

align the text and image in several positions.

use different frame colors.

be transparent or opaque.

display multi-line strings.

automatically create disabled and "hot" images.

TJvTransparentButton is very similar to TJvTransparentButtonImages but uses a bitmap instead of image lists for its image. Using image lists is more resource friendly but can be more laborious to set up.

Created with Doc-O-Matic.


TJvTransparentButton Properties

TJvTransparentButton	Legend

Properties

 AllowAllUp

 AutoGray

 BorderWidth

 Down

 DropArrow

 DropDownMenu

 FrameStyle

 Glyph

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Images

 InternalList

 KeepMouseLeavePressed

 NumGlyphs

 PressOffset

 ShowPressed

 Spacing

 TextAlign

 Transparent

 UseImages

 WordWrap

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvTransparentButton Events

TJvTransparentButton	Legend

Events

 OnDropDownMenu

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvTransparentButton Methods

TJvTransparentButton	Legend

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvTransparentButton

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TJvExGraphicControl
    TJvGraphicControl
        TJvCustomGraphicButton
            TJvTransparentButton


TJvTransparentButton Members

TJvTransparentButton	Legend

Members

Properties

 AllowAllUp

 AutoGray

 BorderWidth

 Down

 DropArrow

 DropDownMenu

 FrameStyle

 Glyph

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 Images

 InternalList

 KeepMouseLeavePressed

 NumGlyphs

 PressOffset

 ShowPressed

 Spacing

 TextAlign

 Transparent

 UseImages

 WordWrap

TJvCustomGraphicButton

 AllowAllUp

 Down

 DropArrow

 DropDownMenu

 Flat

 ForceSameSize

 GroupIndex

 HotTrack

 HotTrackFont

 HotTrackFontOptions

 MouseStates

 Pattern

Events

 OnDropDownMenu

TJvCustomGraphicButton

 OnDropDownClose

 OnDropDownMenu

Methods

TJvCustomGraphicButton

 DrawDropArrow

 SetBounds

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

Ctrls


TJvTransparentButton.AllowAllUp property

TJvTransparentButton	See Also	Edit topic

Specifies whether all buttons in a group can be unselected at the same time.

Pascal

property AllowAllUp: Boolean;

Description

Use AllowAllUp with a group of buttons that belong to the same group. Buttons belong to the same group if they have the same value on their GroupIndex property. Buttons in the same group behave in a mutually exclusive fashion: when one button in the group is selected (down), all other buttons in the group become unselected (up).

If AllowAllUp is True, all of the buttons in a group can be unselected at the same time. Clicking the single selected button in the group will deselect that button without selecting another. If AllowAllUp is False, exactly one of the buttons in the group must be selected at any time. Clicking a down button won't return the button to its up state.

Changing the value of the AllowAllUp property for one button in a group changes the AllowAllUp value for all buttons in the group.

Notes

If GroupIndex is zero, AllowAllUp has no effect.

Created with Doc-O-Matic.


See Also

Down, GroupIndex


TJvTransparentButton.AutoGray property

TJvTransparentButton	See Also	Edit topic

Specifies if a special, gray, image is displayed when the mouse is outside the button.

Pascal

property AutoGray: Boolean;

Description

Use AutoGray to set whether the image on the button is automatically transformed to a gray scale image when the mouse leaves the button. When the mouse enters the button again, the image is displayed in color. This property only has effect if FrameStyle is fsExplorer and an Image is assigned.

Created with Doc-O-Matic.


See Also

TJvTransparentButton.FrameStyle, TJvTransparentButton.Glyph


TJvTransparentButton.BorderWidth property

TJvTransparentButton	See Also	Edit topic

Specifies the width of the button's border.

Pascal

property BorderWidth: Cardinal;

Description

Use BorderWidth to get or set the width of the control’s border. Graphics or text drawn by the control is clipped to the area within the border.

Created with Doc-O-Matic.


See Also

ClientRect


TJvTransparentButton.Down property

TJvTransparentButton	See Also	Edit topic

Specifies whether the button is selected (down) or unselected (up).

Pascal

property Down: Boolean;

Description

Read Down to determine whether a button is selected. The Down property only applies if the GroupIndex property of the button is nonzero.

When GroupIndex is greater than 0, set Down to True to select a button. When the user clicks on a button in the unselected (up) state, the button is selected and Down is set to True. When the user clicks on a button in the selected (down) state, if AllowAllUp is True, the button becomes unselected and Down is set to False.

At design time, specify which button in a group is the initially selected button by setting the Down property of the selected button to True.

Notes

When GroupIndex is 0, buttons do not remain in the selected state when clicked.

Created with Doc-O-Matic.


See Also

AllowAllUp, GroupIndex


TJvTransparentButton.DropArrow property

TJvTransparentButton	See Also	Edit topic

Determines whether a drop arrow is drawn on the control when a DropDownMenu is assigned

Pascal

property DropArrow: Boolean;

Description

Set DropArrow to true to automatically show an arrow in the button when the DropDownMenu property is assigned. The arrow is always displayed in a fixed position on the right side of the button. If the arrow interferes with the image or text of the button, either resize the button or change the values of Margin and Spacing until you are satisfied.

Created with Doc-O-Matic.


See Also

DropDownMenu


TJvTransparentButton.DropDownMenu property

TJvTransparentButton	See Also	Edit topic

Specifies a TPopupMenu to display when the button is clicked

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a TPopupMenu to the DropDownMenu to display a menu when the button is clicked. The menu is displayed below the button. To control where the menu is displayed (right, left, center), use the menus Align property.

Created with Doc-O-Matic.


See Also

OnDropDownMenu


TJvTransparentButton.FrameStyle property

TJvTransparentButton	Edit topic

Specifies the appearance of the button's frame.

Pascal

property FrameStyle: TJvFrameStyle;

Description

Use FrameStyle to specify the appearance of the button's frame. When FrameStyle is fsExplorer, the frame is only displayed when the mouse is inside the button.

Created with Doc-O-Matic.


TJvTransparentButton.Glyph property

TJvTransparentButton	See Also	Edit topic

Specifies the bitmap that appears on the button.

Pascal

property Glyph: TBitmap;

Description

Use the Open dialog box that appears as an editor in the Object Inspector to choose a bitmap file (with a .BMP extension) to use on the button, or specify a TBitmap object at runtime.

You can provide up to four images within a single bitmap. All images must be the same size and next to each other in a row. Bit buttons display one of these images depending on their state.

Image position	Button state	Description
First	Up	This image appears when the button is up (unselected). This image is also used when the button has focus (for example, if the user tabs to it); in this case, a focus rectangle is drawn around the button. If no other images exist in the bitmap, bit buttons also use this image for all other states.
Second	Disabled	This image usually appears dimmed to indicate that the button can't be selected.
Third	Clicked	This image appears when the button is clicked. The Up image reappears when the user releases the mouse button.
Fourth	Down	This image appears when the button stays down (indicating that it remains selected).

If only one image is present, bit buttons attempt to represent the other states by altering the image slightly for the different states, although the Down state is always the same as the Up state. If you aren't satisfied with the results, you can provide additional images in the bitmap.

If you have multiple images in a bitmap, you must specify the number of images that are in the bitmap with the NumGlyphs property.

Notes

The lower left pixel of the bitmap is reserved for the "transparent" color. Any pixel in the bitmap which matches that lower left pixel will be transparent.

Created with Doc-O-Matic.


See Also

TJvTransparentButton.NumGlyphs


TJvTransparentButton.GroupIndex property

TJvTransparentButton	See Also	Edit topic

Allows buttons to work together as a group.

Pascal

property GroupIndex: Integer;

Description

Set GroupIndex to determine how the button behaves when clicked.

When GroupIndex is 0, the button behaves independently of all other buttons on the form. When the user clicks such a button, the button appears pressed (in its clicked state) and then returns to its normal up state when the user releases the mouse button.

When GroupIndex is greater than 0, the button remains selected (in its down state) when clicked by the user. When the user clicks a selected button, it returns to the up state, unless AllowAllUp is False. Setting the G oupIndex property of a single button to a value greater than 0 causes the button to behave as a two-state button when AllowAllUp is True.

Buttons with the same GroupIndex property value (other than 0), work together as a group. When the user clicks one of these buttons, it remains selected until the user clicks another button in the same group. Buttons used in this way can present mutually exclusive choices to the user, much like radiobuttons.

Created with Doc-O-Matic.


See Also

AllowAllUp, Down


TJvTransparentButton.HotTrack property

TJvTransparentButton	See Also	Edit topic

Specifies whether the button is highlighted when the mouse passes over it.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the button text. When HotTrack is False, there is no visual feedback when the mouse passes over the button.

Created with Doc-O-Matic.


See Also

HotTrackFont, HotGlyph, OnMouseEnter, OnMouseLeave


TJvTransparentButton.HotTrackFont property

TJvTransparentButton	See Also	Edit topic

Specifies the font used when the mouse passes over the button and HotTrack is True.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over the button and HotTrack is set to True, HotTrackFont is used as the font for the button text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Created with Doc-O-Matic.


See Also

HotTrack, HotGlyph


TJvTransparentButton.HotTrackFontOptions property

TJvTransparentButton	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

HotTrack, HotTrackFont


TJvTransparentButton.Images property

TJvTransparentButton	Edit topic

Not documented

Pascal

property Images: TJvTransparentButtonImages;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTransparentButton.InternalList property

TJvTransparentButton	Edit topic

Not documented

Pascal

property InternalList: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTransparentButton.KeepMouseLeavePressed property

TJvTransparentButton	Edit topic

Not documented

Pascal

property KeepMouseLeavePressed: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTransparentButton.NumGlyphs property

TJvTransparentButton	See Also	Edit topic

Indicates the number of images that are in the graphic specified in the Glyph property for use on the button.

Pascal

property NumGlyphs: TNumGlyphs;

Description

If you have multiple images in a bitmap, you must specify the number of images that are in the bitmap with the NumGlyphs property. Valid NumGlyphs values are 1 to 4. The default value is 1.

Created with Doc-O-Matic.


See Also

TJvTransparentButton.Glyph


TJvTransparentButton.OnDropDownMenu event

TJvTransparentButton	See Also	Edit topic

Occurs just before the DropDownMenu is displayed

Pascal

property OnDropDownMenu: TContextPopupEvent;

Description

Write a handler for this event to take specific action when a DropDownMenu is about to be shown. For example, you can prevent the menu to be displayed by setting the Handled parameter to True.

Note that this event is only triggered if there is a DropDownMenu assigned to the button.

Created with Doc-O-Matic.


See Also

DropDownMenu, OnContextPopup


TJvTransparentButton.PressOffset property

TJvTransparentButton	Edit topic

Not documented

Pascal

property PressOffset: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTransparentButton.ShowPressed property

TJvTransparentButton	See Also	Edit topic

Specifies if the button is drawn in its depressed state when the left mouse button is clicked on the button.

Pascal

property ShowPressed: Boolean;

Description

Use ShowPressed to set whether the button is drawn as a depressed button when the left mouse is clicked and held on the button. The normal behavior for a button is to show the user that it has been pressed by moving the image and text down and right 1 pixel but you can achieve other effects by setting this value to false.

Created with Doc-O-Matic.


See Also

TJvTransparentButton.Offset


TJvTransparentButton.Spacing property

TJvTransparentButton	See Also	Edit topic

Determines where the image and text appear on the button.

Pascal

property Spacing: Integer;

Description

Spacing determines the number of pixels between the image (specified in the Glyph property) and the text (specified in the Caption property). The default value is 4 pixels.

If Spacing is a positive number, its value is the number of pixels between the image and text. If Spacing is 0, no pixels will be between the image and text. If Spacing is -1, the text appears centered between the image and the button edge. The number of pixels between the image and text is equal to the number of pixels between the text and the button edge opposite the glyph.

Created with Doc-O-Matic.


See Also

TJvTransparentButton.Glyph, TJvTransparentButton.Offset, TJvTransparentButton.TextAlign


TJvTransparentButton.TextAlign property

TJvTransparentButton	See Also	Edit topic

Specifies where the text is placed on the button.

Pascal

property TextAlign: TJvTextAlign;

Description

Use TextAlign to specify where text is to appear on the button.

Created with Doc-O-Matic.


See Also

TJvTransparentButton.Offset, TJvTransparentButton.Spacing


TJvTransparentButton.Transparent property

TJvTransparentButton	See Also	Edit topic

Specifies whether controls that sit below the control on a form can be seen through the control.

Pascal

property Transparent: Boolean;

Description

Set Transparent to true to prevent the control from obscuring other controls on the form. For example, if the control is used on top of a background image, set Transparent to true so that the control does not obscure the image more than necessary.

Writing text so that the background is transparent is slower than writing text when Transparent is false. If the control is not obscuring a complicated image, performance can be improved by setting the background color of the control to match the object beneath it and setting Transparent to false.

Created with Doc-O-Matic.


See Also

Color, Parent


TJvTransparentButton.UseImages property

TJvTransparentButton	Edit topic

Not documented

Pascal

property UseImages: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTransparentButton.WordWrap property

TJvTransparentButton	See Also	Edit topic

Specifies whether the text wraps when it is too long for the width of the control.

Pascal

property WordWrap: Boolean;

Description

Set WordWrap to true to allow the control to display multiple line of text. When WordWrap is true, text that is too wide for the control wraps at the right margin and continues in additional lines.

Set WordWrap to false to limit the text to a single line. When WordWrap is false, text that is too wide for the control appears truncated.

Created with Doc-O-Matic.


See Also

Caption


TJvTransparentButtonImages
JEDI-VCL Reference

TJvTransparentButtonImages

Hierarchy	Properties	 Edit topic

A button that can display images and text and also can align text and image in various ways.

Pascal

TJvTransparentButtonImages = class(TPersistent);

File

JvTransparentButton

Description

Use TJvTransparentButtonImages when you need a button that can:

display an image from an imagelist as well as text.

display different images depending on its state

align the text and image in several positions.

use different frame colors.

be transparent or opaque.

display multi-line strings.

automatically create disabled and "hot" images.

TJvTransparentButtonImages is very similar to TJvTransparentButton but uses imagelists instead of a bitmap image for its image. Using imagelists is more resource friendly but can be more difficult to set up.

Created with Doc-O-Matic.


TJvTransparentButtonImages Properties

TJvTransparentButtonImages	Legend

Properties

 ActiveImage

 ActiveIndex

 DisabledImage

 DisabledIndex

 DownImage

 DownIndex

 GrayImage

 GrayIndex

 HotImage

 HotIndex

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvTransparentButtonImages

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTransparentButtonImages


TJvTransparentButtonImages Members

TJvTransparentButtonImages	Legend

Members

Properties

 ActiveImage

 ActiveIndex

 DisabledImage

 DisabledIndex

 DownImage

 DownIndex

 GrayImage

 GrayIndex

 HotImage

 HotIndex

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTransparentButtonImages.ActiveImage property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the imagelist to get the active image from.

Pascal

property ActiveImage: TCustomImageList;

Description

Use ActiveImage to specify the imagelist to extract the active image from. This is the only imagelist you need to set to be able to display an image in the button. If none of the other imagelists are set, the other three images are created automatically.

Notes

The button has four different imagelist properties you can assign to but they can all point to the same imagelist. The button also has four different image index properties to match the imagelists but these can also be set to the same value. Internally, the button creates a read-only imagelist (InternalList) that contains the selected images or the auto created images for the three other states (down, disabled, gray).

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveIndex, TJvTransparentButtonImages.DisabledImage, TJvTransparentButtonImages.DisabledIndex, TJvTransparentButtonImages.DownImage, TJvTransparentButtonImages.DownIndex, TJvTransparentButtonImages.GrayImage, TJvTransparentButtonImages.GrayIndex, TJvTransparentButtonImages.InternalList


TJvTransparentButtonImages.ActiveIndex property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the index of the active image.

Pascal

property ActiveIndex: TImageIndex;

Description

Use ActiveIndex to set the index of the image to use in ActiveImage. If ActiveIndex is -1, no image is displayed.

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveImage, TJvTransparentButtonImages.DisabledImage, TJvTransparentButtonImages.DisabledIndex, TJvTransparentButtonImages.DownImage, TJvTransparentButtonImages.DownIndex, TJvTransparentButtonImages.GrayImage, TJvTransparentButtonImages.GrayIndex


TJvTransparentButtonImages.DisabledImage property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the imagelist to get the disabled image from.

Pascal

property DisabledImage: TCustomImageList;

Description

Use DisabledImage to specify the imagelist to extract the disabled image from. If this property is not set, a disabled image is generated automatically using ActiveImage as a template.

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveImage, TJvTransparentButtonImages.ActiveIndex, TJvTransparentButtonImages.DisabledIndex, TJvTransparentButtonImages.DownImage, TJvTransparentButtonImages.DownIndex, TJvTransparentButtonImages.GrayImage, TJvTransparentButtonImages.GrayIndex


TJvTransparentButtonImages.DisabledIndex property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the index of the disabled image.

Pascal

property DisabledIndex: TImageIndex;

Description

Use DisabledIndex to set the index of the image to use in DisabledImage. If DisabledIndex is -1, a disabled image is created automatically using ActiveImage as a template.

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveImage, TJvTransparentButtonImages.ActiveIndex, TJvTransparentButtonImages.DisabledImage, TJvTransparentButtonImages.DownImage, TJvTransparentButtonImages.DownIndex, TJvTransparentButtonImages.GrayImage, TJvTransparentButtonImages.GrayIndex


TJvTransparentButtonImages.DownImage property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the imagelist to get the down image from.

Pascal

property DownImage: TCustomImageList;

Description

Use DownImage to specify the imagelist to extract the down image from. If this property is not set, ActiveImage is used for the down state as well.

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveImage, TJvTransparentButtonImages.ActiveIndex, TJvTransparentButtonImages.DisabledImage, TJvTransparentButtonImages.DisabledIndex, TJvTransparentButtonImages.DownIndex, TJvTransparentButtonImages.GrayImage, TJvTransparentButtonImages.GrayIndex


TJvTransparentButtonImages.DownIndex property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the index of the down image.

Pascal

property DownIndex: TImageIndex;

Description

Use DownIndex to set the index of the image to use in DownImage. If DownIndex is -1, ActiveImage is used for the down state as well.

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveImage, TJvTransparentButtonImages.ActiveIndex, TJvTransparentButtonImages.DisabledImage, TJvTransparentButtonImages.DisabledIndex, TJvTransparentButtonImages.DownImage, TJvTransparentButtonImages.GrayImage, TJvTransparentButtonImages.GrayIndex


TJvTransparentButtonImages.GrayImage property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the imagelist to get the grayed image from.

Pascal

property GrayImage: TCustomImageList;

Description

Use GrayImage to specify the imagelist to extract the gray image from. If this property is not set, a gray image is created automatically using ActiveImage as a template.

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveImage, TJvTransparentButtonImages.ActiveIndex, TJvTransparentButtonImages.DisabledImage, TJvTransparentButtonImages.DisabledIndex, TJvTransparentButtonImages.DownImage, TJvTransparentButtonImages.DownIndex, TJvTransparentButtonImages.GrayIndex


TJvTransparentButtonImages.GrayIndex property

TJvTransparentButtonImages	See Also	Edit topic

Specifies the index of the gray image.

Pascal

property GrayIndex: TImageIndex;

Description

Use GrayIndex to set the index of the image to use in GrayImage. If GrayIndex is -1, a grayed image is created automatically using ActiveImage as a template.

Created with Doc-O-Matic.


See Also

TJvTransparentButtonImages.ActiveImage, TJvTransparentButtonImages.ActiveIndex, TJvTransparentButtonImages.DisabledImage, TJvTransparentButtonImages.DisabledIndex, TJvTransparentButtonImages.DownImage, TJvTransparentButtonImages.DownIndex, TJvTransparentButtonImages.GrayImage


TJvTransparentButtonImages.HotImage property

TJvTransparentButtonImages	Edit topic

Not documented

Pascal

property HotImage: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTransparentButtonImages.HotIndex property

TJvTransparentButtonImages	Edit topic

Not documented

Pascal

property HotIndex: TImageIndex;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvTrayIcon
JEDI-VCL Reference

 TJvTrayIcon

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Adds an icon to the tray.

Pascal

TJvTrayIcon = class(TJvComponent);

File

JvTrayIcon

Description

Use TJvTrayIcon to add an icon to the taskbar notification area. Applications commonly put icons in the status area of the taskbar - also called "tray" - to serve as status indicators. For example, an application might put a printer icon in the status area to show that a print job is under way. The status area is located at the right edge of the taskbar (if the taskbar is horizontal) or at the bottom (if the taskbar is vertical).

You can provide additional information when the user performs mouse actions, such as moving the mouse pointer over the icon or clicking the icon. Use the OnContextPopup, OnClick, OnDblClick, OnMouseDown, OnMouseMove and OnMouseMove events for this purpose.

Typically, clicking the icon causes the application to display a window with additional information, right-clicking displays a shortcut menu, and double-clicking executes the default shortcut menu command.

The default behavior of TJvTrayIcon is to automatically hide the application's button on the taskbar, if the user minimizes the application and not to react on mouse clicks on the tray icon. Use property Visibility to alter this behavior. For example, include tvRestoreClick in Visibility, to automatically restore the minimized application when the user clicks the tray icon with the left button. Use DropDownMenu or PopupMenu to display a shortcut menu, when the user clicks the icon.

Use the Animated, Delay and Icons properties to set up an animation in the tray. When Animated is set to true, TJvTrayIcon will start iterating through the image list specified by Icons and display each icon for Delay milliseconds in the notification area. Set Animated to false to stop the animation.

Call BalloonHint to display a cartoon-style "balloon" with a stem pointing to the icon in the taskbar notification area. Not all systems support balloon ToolTips: check AcceptBalloons to determine if balloon ToolTips are supported. Use the OnBalloonClick, OnBalloonHide and OnBalloonShow to react on user events.

Created with Doc-O-Matic.


TJvTrayIcon Properties

TJvTrayIcon	Legend

Properties

 Active

 Animated

ApplicationVisible

CurrentIcon

 Delay

 DropDownMenu

 Hint

 Icon

 IconIndex

 Icons

 PopupMenu

 Snap

 Visibility

VisibleInTaskList

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTrayIcon Events

TJvTrayIcon	Legend

Events

 OnAnimate

 OnBalloonClick

 OnBalloonHide

 OnBalloonShow

 OnClick

 OnContextPopup

 OnDblClick

 OnMouseDown

 OnMouseMove

 OnMouseUp

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvTrayIcon Methods

TJvTrayIcon	Legend

Methods

AcceptBalloons

 ApplicationHook

BalloonHint

 DoDoubleClick

 DoMouseDown

 DoMouseMove

 DoMouseUp

GetIconRect

 HideApplication

HideBalloon

 ShowApplication

 WndProc

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvTrayIcon

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvTrayIcon


TJvTrayIcon Members

TJvTrayIcon	Legend

Members

Properties

 Active

 Animated

ApplicationVisible

CurrentIcon

 Delay

 DropDownMenu

 Hint

 Icon

 IconIndex

 Icons

 PopupMenu

 Snap

 Visibility

VisibleInTaskList

TJvComponent

 AboutJVCL

Events

 OnAnimate

 OnBalloonClick

 OnBalloonHide

 OnBalloonShow

 OnClick

 OnContextPopup

 OnDblClick

 OnMouseDown

 OnMouseMove

 OnMouseUp

Methods

AcceptBalloons

 ApplicationHook

BalloonHint

 DoDoubleClick

 DoMouseDown

 DoMouseMove

 DoMouseUp

GetIconRect

 HideApplication

HideBalloon

 ShowApplication

 WndProc

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Custom


TJvTrayIcon.Active property

TJvTrayIcon	See Also	Edit topic

Specifies whether the tray icon is shown.

Pascal

property Active: Boolean;

Description

Examine Active at runtime to determine if it an icon is shown in the taskbar notification area or not. Active is false by default, meaning there is no notification icon shown in the taskbar notification area.

Setting Active to true adds the icon specified by Icon to the tray at runtime. If Animated is also set to true, TJvTrayIcon uses the images in the image list specified by Icons to periodically change the notification icon. Property Delay specifies the amount of time between icon changes.

Setting Active to false (the default), removes the notification icon from the taskbar notification area.

Created with Doc-O-Matic.


See Also

Delay, TJvTrayIcon.Animated, TJvTrayIcon.Icon, TJvTrayIcon.Icons


TJvTrayIcon.Animated property

TJvTrayIcon	See Also	Edit topic

Indicates whether the icon is animated.

Pascal

property Animated: Boolean;

Description

Set Animated to true to let TJvTrayIcon iterate through the icons in the image list specified by Icons and display each icon in that list - one at a time - in the notification area. Property Delay specifies the amount of time each icon is shown in the tray. Set Animated to false to stop the animation.

You must also set Active to true to activate the animation.

Created with Doc-O-Matic.


See Also

Delay, TJvTrayIcon.Active, TJvTrayIcon.Icons, TJvTrayIcon.OnAnimate


TJvTrayIcon.ApplicationVisible property

TJvTrayIcon	See Also	Edit topic

Determines whether the application and the application's taskbar button are visible.

Pascal

property ApplicationVisible: Boolean;

Description

Use the ApplicationVisible property to control the visibility of the application and the application's taskbar button. If ApplicationVisible is set to true, TJvTrayIcon restores the application to its normal size, if it was minimized, and shows the application's button on the taskbar. If ApplicationVisible is set to false, TJvTrayIcon minimizes the application and removes the application's button on the taskbar.

Calling the ShowApplication method sets the ApplicationVisible property to true. Calling the HideApplication method sets it to false.

Notes

This is a protected property.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.HideApplication, TJvTrayIcon.ShowApplication, TJvTrayIcon.Visibility


TJvTrayIcon.CurrentIcon property

TJvTrayIcon	See Also	Edit topic

Contains the currently displayed icon.

Pascal

property CurrentIcon: TIcon;

Description

CurrentIcon is a run-time, read-only property that contains the currently displayed icon in the notification area. Depending on the values of Animated, Icon, Icons and IconIndex, this property might change at run-time. Do not assign an icon to this property. Instead, use Icons, IconIndex or Icon to set the icon to display.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.Active, TJvTrayIcon.Animated, TJvTrayIcon.Icons


TJvTrayIcon.Delay property

TJvTrayIcon	See Also	Edit topic

Determines the amount of time, in milliseconds, between two refreshes of the tray icon.

Pascal

property Delay: Cardinal;

Description

Delay determines how frequently a refresh of the tray icon occurs. If Active and Animated are set to true, TJvTrayIcon will iterate through the icons in the image list specified by property Icons. Each time the specified time passes, TJvTrayIcon changes the tray icon to the next icon in the image list.

Use Delay to specify any cardinal value as the interval between refresh events. The default value is 100 (1/10 second).

Created with Doc-O-Matic.


See Also

TJvTrayIcon.Active, TJvTrayIcon.Animated, TJvTrayIcon.Icons


TJvTrayIcon.DropDownMenu property

TJvTrayIcon	See Also	Edit topic

Identifies a pop-up menu associated with the tray icon.

Pascal

property DropDownMenu: TPopupMenu;

Description

Assign a value to DropDownMenu to make a menu appear when the left button is pressed when the mouse is over the icon in the taskbar notification area.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnClick, TJvTrayIcon.PopupMenu


TJvTrayIcon.Hint property

TJvTrayIcon	See Also	Edit topic

Contains the text string that can appear when the user moves the mouse over the tray icon.

Pascal

property Hint: string;

Description

Use the Hint property to provide a string as the standard ToolTip for the tray icon. Hint can have a maximum of 64 characters. For version 5.0 and later, Hint can have a maximum of 128 characters.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.AcceptBalloons, TJvTrayIcon.BalloonHint


TJvTrayIcon.Icon property

TJvTrayIcon	See Also	Edit topic

Determines which icon represents the application on the Windows taskbar notification area.

Pascal

property Icon: TIcon;

Description

Use Icon to assign a specific icon to represent the application. TJvTrayIcon displays Icon on the Windows task bar notification area, when Active is set to true.

To avoid icon distortion, be aware that notification area icons have different levels of support under different versions of Windows. Windows 95, Windows 98, and Microsoft Windows NT 4.0 support icons of up to 4 bits per pixel (BPP). Windows Millennium Edition (Windows Me) and Windows 2000 support icons of a color depth up to the current display mode. Windows XP supports icons of up to 32 BPP.

If no icon is specified, TJvTrayIcon uses the application's icon, specified by Application.Icon.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.Active, TJvTrayIcon.CurrentIcon, TJvTrayIcon.IconIndex, TJvTrayIcon.Icons


TJvTrayIcon.IconIndex property

TJvTrayIcon	See Also	Edit topic

Specifies the index of the icon displayed in the Windows taskbar notification area.

Pascal

property IconIndex: Integer;

Description

Use IconIndex to get or set the index of the icon displayed in the Windows taskbar notification area. The index identifies an icon in the control's Icons property.

Notes

Setting IconIndex = -1, restores the icon selected for the Icon property.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.CurrentIcon, TJvTrayIcon.Icon, TJvTrayIcon.Icons


TJvTrayIcon.Icons property

TJvTrayIcon	See Also	Edit topic

Specifies the icons that are used for the animation.

Pascal

property Icons: TCustomImageList;

Description

Use Icons to supply a list of icons that are used for the animation in the task bar notification area. When Active and Animated are set to true, TJvTrayIcon will iterate through the icons in the image list specified by Icons and display each icon in that list for Delay milliseconds in the notification area. If Animated is true, the icon selected by setting IconIndex will be displayed instead. If IconIndex = -1 or Icons is nil, the icon from the Icon property is displayed.

Created with Doc-O-Matic.


See Also

Delay, TJvTrayIcon.Active, TJvTrayIcon.Animated, TJvTrayIcon.Icon, TJvTrayIcon.IconIndex


TJvTrayIcon.OnAnimate event

TJvTrayIcon	See Also	Edit topic

Occurs when TJvTrayIcon changes the tray icon.

Pascal

TAnimateEvent = procedure (Sender: TObject; const ImageIndex: Integer) of object;
property OnAnimate: TAnimateEvent;

Parameters

ImageIndex

The new index of the icon in the image list specified by Icons.

Sender

The TJvTrayIcon component that has sent this event.

Description

Write an OnAnimate event handler to take specific action whenever TJvTrayIcon changes the tray icon in response to animate events. When Animated is set to true, TJvTrayIcon iterates through the icons in the image list specified by Icons and displays each icon in that list - one at a time - in the notification area. Property Delay specifies the amount of time each icon is shown in the tray. Each time the specified time passes, TJvTrayIcon changes the tray icon to the next icon in the image list, and an OnAnimate event occurs.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.Animated, TJvTrayIcon.Delay, TJvTrayIcon.IconIndex, TJvTrayIcon.Icons


TJvTrayIcon.OnBalloonClick event

TJvTrayIcon	See Also	Edit topic

Occurs when the balloon is dismissed because the user clicked the mouse.

Pascal

property OnBalloonClick: TNotifyEvent;

Description

Use the OnBalloonClick event handler to respond when the user clicks on the balloon ToolTip.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnBalloonHide, TJvTrayIcon.OnBalloonShow


TJvTrayIcon.OnBalloonHide event

TJvTrayIcon	See Also	Edit topic

Occurs when the balloon disappears

Pascal

property OnBalloonHide: TNotifyEvent;

Description

Use the OnBalloonClick event handler to respond when the balloon ToolTip disappears, e.g., when the icon is deleted. This message is not sent if the balloon is dismissed because of a timeout or mouse click by the user.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnBalloonClick, TJvTrayIcon.OnBalloonShow


TJvTrayIcon.OnBalloonShow event

TJvTrayIcon	See Also	Edit topic

Occurs when the balloon is shown.

Pascal

property OnBalloonShow: TNotifyEvent;

Description

Use the OnBalloonShow event handler to respond when a balloon ToolTip is shown.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnBalloonClick, TJvTrayIcon.OnBalloonHide


TJvTrayIcon.OnClick event

TJvTrayIcon	See Also	Edit topic

Occurs when the user clicks the tray icon.

Pascal

property OnClick: TMouseEvent;

Description

Use the OnClick event handler to respond when the user clicks on the icon that represents the application on the Windows taskbar notification area.

Typically, clicking a tray icon causes the application to display a window with additional information; right-clicking displays a shortcut menu.

Use the tvRestoreClick and tvMinimizeClick flags from Visibility to automate the process of hiding and restoring the application upon clicking of the tray icon with the left button.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnContextPopup, TJvTrayIcon.OnDblClick, TJvTrayIcon.OnMouseDown, TJvTrayIcon.OnMouseUp, TJvTrayIcon.Visibility


TJvTrayIcon.OnContextPopup event

TJvTrayIcon	See Also	Edit topic

Occurs when the user right-clicks the tray icon or otherwise invokes the popup menu (such as using the keyboard).

Pascal

property OnContextPopup: TContextPopupEvent;

Description

The OnContextPopup handler is called when the user uses the mouse or keyboard to request a popup menu. The OnContextPopup event is generated by a WM_CONTEXTMENU message, which is itself generated by the user clicking the right mouse button or by pressing Shift+F10 key.

The OnContextPopup event can be used to override the automatic context menu that appears when the control has an associated popup menu. In this last case, if the event handler displays its own menu, it should set the Handled parameter to true to suppress the default context menu.

The handler’s MousePos parameter indicates the position of the mouse, in client coordinates. Windows moves the mouse pointer to the tray icon when the event was not generated by a mouse click, thus the MousePos parameter is always valid.

To show a custom popup menu, use the following code:

  procedure TForm1.JvTrayIcon1ContextPopup(Sender: TObject; MousePos: TPoint;

    var Handled: Boolean);

  begin

    Handled := True;

    SetForegroundWindow(JvTrayIcon1.Handle);

    YourCustomPopupMenu1.Popup(MousePos.X, MousePos.Y);

    PostMessage(JvTrayIcon1.Handle, WM_NULL, 0, 0);

  end;

Created with Doc-O-Matic.


See Also

TJvTrayIcon.PopupMenu


TJvTrayIcon.OnDblClick event

TJvTrayIcon	See Also	Edit topic

Occurs when the user double-clicks a mouse button when the mouse pointer is over the tray icon.

Pascal

property OnDblClick: TMouseEvent;

Description

Use the OnDblClick event to respond to mouse double-clicks.

Typically, double-clicking a tray icon causes the application to executes the default shortcut menu command.

Use the tvRestoreDbClick and tvMinimizeDbClick flags from Visibility to automate the process of hiding and restoring the application upon double-clicking of the tray icon.

Notes

Assigning an OnDblClick event handler overrides the tvRestoreDbClick and tvMinimizeDbClick flag in Visibility; thus, the application isn't automatically restored or hidden when the user double-clicks the tray icon.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnClick, TJvTrayIcon.OnMouseDown, TJvTrayIcon.OnMouseUp, TJvTrayIcon.Visibility


TJvTrayIcon.OnMouseDown event

TJvTrayIcon	See Also	Edit topic

Occurs when the user presses a mouse button with the mouse pointer over the tray icon.

Pascal

property OnMouseDown: TMouseEvent;

Description

Use the OnMouseDown event handler to implement any special processing that should occur as a result of pressing a mouse button with the mouse pointer over the icon that represents the application on the Windows taskbar notification area.

The OnMouseDown event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the screen coordinates of the mouse pointer.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnClick, TJvTrayIcon.OnDblClick, TJvTrayIcon.OnMouseUp


TJvTrayIcon.OnMouseMove event

TJvTrayIcon	See Also	Edit topic

Occurs when the user moves the mouse pointer while the mouse pointer is over the tray icon.

Pascal

property OnMouseMove: TMouseMoveEvent;

Description

Use the OnMouseMove event handler to respond when the mouse pointer moves after the control has captured the mouse.

Use the Shift parameter of the OnMouseDown event handler, to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are the screen coordinates of the mouse pointer.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnMouseDown, TJvTrayIcon.OnMouseUp


TJvTrayIcon.OnMouseUp event

TJvTrayIcon	See Also	Edit topic

Occurs when the user releases a mouse button that was pressed with the mouse pointer over the tray icon.

Pascal

property OnMouseUp: TMouseEvent;

Description

Use an OnMouseUp event handler to implement special processing when the user releases a mouse button.

The OnMouseUp event handler can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the screen coordinates of the mouse pointer.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnClick, TJvTrayIcon.OnDblClick, TJvTrayIcon.OnMouseDown


TJvTrayIcon.PopupMenu property

TJvTrayIcon	See Also	Edit topic

Identifies the pop-up menu associated with the control.

Pascal

property PopupMenu: TPopupMenu;

Description

Assign a value to PopupMenu to make a pop-up menu appear when the user clicks the tray icon with the right mouse.

If no OnDblClick event handler is assigned, TJvTrayIcon automatically executes the default shortcut menu command, if the user double-clicks the tray icon.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.DropDownMenu, TJvTrayIcon.OnContextPopup


TJvTrayIcon.Snap property

TJvTrayIcon	See Also	Edit topic

Specifies whether the hiding and restoring of the application should be animated.

Pascal

property Snap: Boolean;

Description

Set Snap to true to make the hiding and restoring of the application appear suddenly. Set Snap to false to make it appear animated.

Use Visibility to automate the hiding and restoring of the application.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.Visibility


TJvTrayIcon.Visibility property

TJvTrayIcon	Edit topic

Specifies options and default appearance for the tray icon.

Pascal

property Visibility: TTrayVisibilities;

Description

Use the Visibility property to customize the appearance and functionality of the tray icon. Use these flags to specify:

Whether the application should be automatically restored, if the user clicks or double-clicks the tray icon.

Whether the application should be automatically hidden, if the user clicks or double-clicks the tray icon.

Whether the application should be visible on start-up.

Created with Doc-O-Matic.


TJvTrayIcon.VisibleInTaskList property

TJvTrayIcon	See Also	Edit topic

Determines if the application is shown in the task manager.

Pascal

property VisibleInTaskList: Boolean;

Description

Set VisibleInTaskList to true to show the application in the windows task manager application. Set VisibleInTaskList to false to remove the application from the task manager: the application prevent itself from being closed when the user logs off. The application close only when the system is shut down.

This only applies to Windows 95, 98 and me.

Notes

This is a protected property.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.Visibility


TJvTrayIcon.AcceptBalloons method

TJvTrayIcon	See Also	Edit topic

Indicates whether this system supports balloon ToolTips.

Pascal

function AcceptBalloons: Boolean;

Return Value

Returns true if the Shell32.dll on this system is version 5.0 or later. Returns false if the Shell32.dll is a pre-5.0 version.

Description

Balloon ToolTips are only supported for Shell32.dll versions 5.0 and later. Use AcceptBalloons to determine whether this system supports balloon ToolTips.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.BalloonHint


TJvTrayIcon.ApplicationHook method

TJvTrayIcon	See Also	Edit topic

Responds to windows messages sent to the application’s main window.

Pascal

function ApplicationHook(var Msg: TMessage): Boolean;

Return Value

Returns true if it processes the message, and false if it does not.

Parameters

var Msg: TMessage

Represents the Windows message.

Description

ApplicationHook is used if tvAutoHide is included in Visibility to respond when the user minimizes the application. If so, ApplicationHook removes the application's button on the taskbar, by calling the HideApplication method.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.HideApplication, TJvTrayIcon.Visibility


TJvTrayIcon.BalloonHint method

TJvTrayIcon	See Also	Edit topic

Displays a balloon ToolTip.

Pascal

procedure BalloonHint(Title: string; Value: string; BalloonType: TBalloonType = btNone; ADelay: Cardinal = 5000; CancelPrevious: Boolean = False);

Parameters

Title: string

Contains a title for the balloon ToolTip. This title appears in boldface above the text. It can have a maximum of 63 characters.

Value: string

Contains the text for the balloon ToolTip. It can have a maximum of 255 characters. The text can be either single-line or multiline.

BalloonType: TBalloonType = btNone

Flags that can be set to add an icon to the balloon ToolTip. It is placed to the left of the title. If Title is an empty string, the icon is not shown.

ADelay: Cardinal = 5000

The timeout value, in milliseconds, for a balloon ToolTip. The system enforces minimum and maximum timeout values. Delay values that are too large are set to the maximum value and values that are too small default to the minimum value. The system minimum and maximum timeout values are currently set at 10 seconds and 30 seconds, respectively.

CancelPrevious: Boolean = False

Specifies whether to cancel the previous balloon.

Description

Call BalloonHint to display a cartoon-style "balloon" with a stem pointing to the icon in the taskbar notification area. Call AcceptBalloons to determine if the system supports balloon ToolTips.

No more than one balloon ToolTip at a time is displayed for the taskbar. If an application attempts to display a ToolTip when one is already being displayed, the ToolTip will not appear until the existing balloon ToolTip has been visible for at least the system minimum timeout value. For example, a balloon ToolTip with Delay set to 30 seconds has been visible for seven seconds when another application attempts to display a balloon ToolTip. If the system minimum timeout is ten seconds, the first ToolTip displays for an additional three seconds before being replaced by the second ToolTip. You can override this behavior by setting parameter CancelPrevious to true, which will cancel the currently visible - if any - balloon.

The ToolTip will disappear when clicked, but you can also specify a time-out value. Use the OnBalloonClick, OnBalloonHide and OnBalloonShow events to take specific actions when the balloon ToolTip is clicked, disappeared or is shown, respectively.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.AcceptBalloons, TJvTrayIcon.HideBalloon, TJvTrayIcon.OnBalloonClick, TJvTrayIcon.OnBalloonHide, TJvTrayIcon.OnBalloonShow


TJvTrayIcon.DoDoubleClick method

TJvTrayIcon	See Also	Edit topic

Responds when the user double-clicks the tray icon.

Pascal

procedure DoDoubleClick(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer);

Parameters

Button: TMouseButton

Determines which mouse button the user pressed.

Shift: TShiftState

Indicates which keys (Shift, Ctrl, and Alt) were down when the user pressed the mouse button.

X: Integer

Indicates the new x-coordinate of the mouse pointer.

Y: Integer

Indicates the new y-coordinate of the mouse pointer.

Description

Do not call DoDoubleClick. It is called automatically when the user double-clicks the icon. As implemented in TJvTrayIcon, DoDoubleClick checks if an OnDblClick event handler is assigned. If so, DoDoubleClick triggers the OnDblClick event.

If no OnDblClick event handler is assigned, then it first checks if property PopupMenu is assigned, and if so executes the default shortcut menu command of PopupMenu, if it exists. Finally it checks if tvRestoreDbClick or tvMinimizeDbClick is included in property Visibility, and if so restores the visibility of the application by including tvVisibleTaskBar in property Visibility, or hides the application by excluding tvVisibleTaskBar from property Visibility.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnDblClick, TJvTrayIcon.PopupMenu, TJvTrayIcon.Visibility


TJvTrayIcon.DoMouseDown method

TJvTrayIcon	See Also	Edit topic

Responds when the user clicks the tray icon with the mouse.

Pascal

procedure DoMouseDown(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer);

Parameters

Button: TMouseButton

Determines which mouse button the user pressed.

Shift: TShiftState

Indicates which keys (Shift, Ctrl, and Alt) were down when the user pressed the mouse button.

X: Integer

Indicates the new x-coordinate of the mouse pointer.

Y: Integer

Indicates the new y-coordinate of the mouse pointer.

Description

Do not call DoMouseDown. It is called automatically when the user clicks the icon with the mouse. As implemented in TJvTrayIcon, DoMouseDown triggers the OnMouseDown event.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.DropDownMenu, TJvTrayIcon.OnMouseDown, TJvTrayIcon.OnMouseUp


TJvTrayIcon.DoMouseMove method

TJvTrayIcon	See Also	Edit topic

Responds when the user moves the mouse pointer over the tray icon.

Pascal

procedure DoMouseMove(Shift: TShiftState; X: Integer; Y: Integer);

Parameters

Shift: TShiftState

Indicates which keys (Shift, Ctrl, and Alt) were down when the user pressed the mouse button.

X: Integer

Indicates the new x-coordinate of the mouse pointer.

Y: Integer

Indicates the new y-coordinate of the mouse pointer.

Description

Do not call MouseMove. It is called automatically when the user moves the mouse pointer over the icon. As implemented in TJvTrayIcon, DoMouseMove triggers the OnMouseMove event.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnMouseMove


TJvTrayIcon.DoMouseUp method

TJvTrayIcon	See Also	Edit topic

Responds when the user releases the mouse.

Pascal

procedure DoMouseUp(Button: TMouseButton; Shift: TShiftState; X: Integer; Y: Integer);

Parameters

Button: TMouseButton

Determines which mouse button the user pressed.

Shift: TShiftState

Indicates which keys (Shift, Ctrl, and Alt) were down when the user pressed the mouse button.

X: Integer

Indicates the new x-coordinate of the mouse pointer.

Y: Integer

Indicates the new y-coordinate of the mouse pointer.

Description

Do not call DoMouseUp. It is called automatically when the user releases the mouse.

If the left mouse button is released and tvRestoreClick or tvMinimizeClick is include in Visibility, DoMouseUp restores the visibility of the application or hides the application, respectively. Finally it triggers the OnMouseUp and OnClick event.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.OnClick, TJvTrayIcon.OnMouseUp, TJvTrayIcon.PopupMenu, TJvTrayIcon.Visibility


TJvTrayIcon.GetIconRect method

TJvTrayIcon	Edit topic

Returns the rectangle of the tray icon.

Pascal

function GetIconRect(var IconRect: TRect): Boolean;

Return Value

True if the rectangle could be retrieved. If the icon is hidden or some error occurred, GetIconRect returns false.

Parameters

var IconRect: TRect

The rectangle of the tray icon.

Description

Call GetIconRect to obtain the rectangle of the tray icon. The rectangle is returned as the IconRect parameter.

For example, you could use GetIconRect to display a balloon using the TJvBalloonHint component at the icon position in the tray:

  var

    R: TRect;

  begin

    if JvTrayIcon1.GetIconRect(R) then

      JvBalloonHint1.ActivateHintRect(R, 'Header', 'Hint');

  end;

Created with Doc-O-Matic.


TJvTrayIcon.HideApplication method

TJvTrayIcon	See Also	Edit topic

Hides the application.

Pascal

procedure HideApplication; virtual;

Description

Call HideApplication to minimize the application and remove the application button on the taskbar. Call ShowApplication to restore the minimized application and show the application button on the taskbar.

Include tvAutoHide in Visibility to automatically remove the application button on the taskbar if the user minimizes the application.

Include tvRestoreClick or tvRestoreDbClick in Visibility to automatically restore the application and the visibility of the application button when the user clicks the tray icon with the left button, or double-clicks the tray icon, respectively.

Include tvMinimizeClick or tvMinimizeDbClick in Visibility to automatically hide the application and application button when the user clicks the tray icon with the left button, or double-clicks the tray icon, respectively.

Include tvAutoHideIcon in Visibility to automatically remove the icon from the tray area if the application is visible.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.ShowApplication, TJvTrayIcon.Visibility


TJvTrayIcon.HideBalloon method

TJvTrayIcon	See Also	Edit topic

Hides a balloon ToolTip.

Pascal

procedure HideBalloon;

Description

Call HideBalloon to hide balloons displayed by calling BalloonHint.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.BalloonHint


TJvTrayIcon.ShowApplication method

TJvTrayIcon	See Also	Edit topic

Restores a minimized application to its normal size.

Pascal

procedure ShowApplication; virtual;

Description

Call ShowApplication to restore the minimized application and show the application button on the taskbar. Call HideApplication to minimize the application and remove the application button on the taskbar.

Include tvAutoHide in Visibility to automatically remove the application button on the taskbar if the user minimizes the application.

Include tvRestoreClick or tvRestoreDbClick in Visibility to automatically restore the minimized application and the visibility of the application button when the user clicks the tray icon with the left button, or double-clicks the tray icon, respectively.

Include tvMinimizeClick or tvMinimizeDbClick in Visibility to automatically hide the application and the application button when the user clicks the tray icon with the left button, or double-clicks the tray icon, respectively.

Include tvAutoHideIcon in Visibility to automatically remove the icon from the tray area if the application is visible.

Created with Doc-O-Matic.


See Also

TJvTrayIcon.HideApplication, TJvTrayIcon.Visibility


TJvTrayIcon.WndProc method

TJvTrayIcon	Edit topic

Responds to windows messages sent to the component.

Pascal

procedure WndProc(var Mesg: TMessage);

Parameters

var Mesg: TMessage

Represents the Windows message.

Description

WndProc responds to messages concerning the tray icon, sent by the system.

Created with Doc-O-Matic.


TJvTreeViewCheckBoxOptions
JEDI-VCL Reference

TJvTreeViewCheckBoxOptions

Hierarchy	Properties	 Edit topic

Class used to store checkbox options in a TJvCheckBoxTreeView.

Pascal

TJvTreeViewCheckBoxOptions = class(TPersistent);

File

JvCheckTreeView

Description

The TJvTreeViewCheckBoxOptions class is the class used to store checkbox option settings in the TJvCheckTreeView components CheckBoxOptions property. Since this property is a class, it is displayed as a nested property set in the Object Inspector. An instance of this class is created automatically by the treeview. Do not create instances of this class yourself.

Created with Doc-O-Matic.


TJvTreeViewCheckBoxOptions Properties

TJvTreeViewCheckBoxOptions	Legend

Properties

 CascadeLevels

 CascadeOptions

 CheckBoxCheckedIndex

 CheckBoxUncheckedIndex

 RadioCheckedIndex

 RadioUncheckedIndex

 Style

 TreeView

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvTreeViewCheckBoxOptions

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvTreeViewCheckBoxOptions


TJvTreeViewCheckBoxOptions Members

TJvTreeViewCheckBoxOptions	Legend

Members

Properties

 CascadeLevels

 CascadeOptions

 CheckBoxCheckedIndex

 CheckBoxUncheckedIndex

 RadioCheckedIndex

 RadioUncheckedIndex

 Style

 TreeView

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvTreeViewCheckBoxOptions.CascadeLevels property

TJvTreeViewCheckBoxOptions	See Also	Edit topic

Specifies the number of levels a toggle propagates.

Pascal

property CascadeLevels: Integer;

Description

Read CascadeLevels to determine how many levels a toggle of a node propagates. If this property is 0, no propagation takes place, if it is 1, toggling a node also toggles all checkbox node on the next sublevel. To toggle all subnodes regardless of depth, set CascadeLevels to -1.

Created with Doc-O-Matic.


See Also

TJvTreeViewCheckBoxOptions.CascadeOptions


TJvTreeViewCheckBoxOptions.CascadeOptions property

TJvTreeViewCheckBoxOptions	See Also	Edit topic

Specifies how toggles are propagated for checkbox nodes.

Pascal

property CascadeOptions: TJvTVCascadeOptions;

Description

Use CascadeOptions to specify how checking/unchecking a checkbox node is propagated.

Created with Doc-O-Matic.


See Also

TJvTreeViewCheckBoxOptions.CascadeLevels


TJvTreeViewCheckBoxOptions.CheckBoxCheckedIndex property

TJvTreeViewCheckBoxOptions	See Also	Edit topic

Specifies the image to use for checked checkboxes.

Pascal

property CheckBoxCheckedIndex: Integer;

Description

CheckBoxCheckedIndex is the 1-based image index into the StateImages image list for a checked checkbox.

Created with Doc-O-Matic.


See Also

StateImages, CheckBoxOptions


TJvTreeViewCheckBoxOptions.CheckBoxUncheckedIndex property

TJvTreeViewCheckBoxOptions	See Also	Edit topic

Specifies the image to use for unchecked checkboxes.

Pascal

property CheckBoxUncheckedIndex: Integer;

Description

CheckBoxUnCheckedIndex is the 1-based image index into the StateImages image list for an unchecked checkbox.

Created with Doc-O-Matic.


See Also

StateImages, CheckBoxOptions


TJvTreeViewCheckBoxOptions.RadioCheckedIndex property

TJvTreeViewCheckBoxOptions	See Also	Edit topic

Specifies the image to use for checked radio buttons.

Pascal

property RadioCheckedIndex: Integer;

Description

RadioCheckedIndex is the 1-based image index into the StateImages image list for a checked radio button.

Created with Doc-O-Matic.


See Also

StateImages, CheckBoxOptions


TJvTreeViewCheckBoxOptions.RadioUncheckedIndex property

TJvTreeViewCheckBoxOptions	See Also	Edit topic

Specifies the image to use for unchecked radio buttons.

Pascal

property RadioUncheckedIndex: Integer;

Description

RadioUncheckedIndex is the 1-based image index into the StateImages image list for an unchecked radio button.

Created with Doc-O-Matic.


See Also

StateImages, CheckBoxOptions


TJvTreeViewCheckBoxOptions.Style property

TJvTreeViewCheckBoxOptions	See Also	Edit topic

Specifies what checkbox implementation to use.

Pascal

property Style: TJvTVCheckBoxStyle;

Description

Use Style to specify if checkboxes are to be displayed and what implementation to use. To use the JVCL implementation, set Style to cbsJVCL, to use Microsoft's native implementation, set Style to cbsNative. To disable any checkboxes, set Style to cbsNone. When Style is cbsNone, the control works like a normal treeview.

For a more in-depth explanation of the Style property, see the help topic for TJvTVCheckBoxStyle.

Created with Doc-O-Matic.


See Also

TJvTVCheckBoxStyle


TJvTreeViewCheckBoxOptions.TreeView property

TJvTreeViewCheckBoxOptions	Edit topic

References the treeview that created and maintains this object.

Pascal

property TreeView: TJvTreeView;

Description

TreeView is a reference to the Treeview the options are acting upon. Developers should normally not alter this property.

Created with Doc-O-Matic.


TJvUninstallComboBox
JEDI-VCL Reference

 TJvUninstallComboBox

Hierarchy	Properties	Methods	Package	 Edit topic

A combobox that displays uninstall information.

Pascal

TJvUninstallComboBox = class(TCustomComboBox);

File

JvUninstallControls

Description

Use a TJvUninstallComboBox when you need to display uninstall information to the end-user in a compact, space efficient way. The TJvUninstallComboBox control has several properties to control what do display. Modify DisplayMode to specify what registry hives to read uninstall information from, set ShowAll as appropriate to show or hide "unfriendly" entries. Set Sorted to true to sort the list.

Created with Doc-O-Matic.


TJvUninstallComboBox Properties

TJvUninstallComboBox	Legend

Properties

 DisplayMode

 DisplayName

 HKey

 HKeyName

 Items

 Properties

 Section

 ShowAll

 ShowEmptyValues

 Sorted

 UninstallString

Legend

published

read only

write only

Created with Doc-O-Matic.


Legend

published

read only

write only


TJvUninstallComboBox Methods

TJvUninstallComboBox

Methods

RefreshItem

Created with Doc-O-Matic.


Legend

TJvUninstallComboBox

Legend

published

read only

write only

Created with Doc-O-Matic.


Hierarchy

TCustomComboBox
    TJvUninstallComboBox


TJvUninstallComboBox Members

TJvUninstallComboBox	Legend

Members

Properties

 DisplayMode

 DisplayName

 HKey

 HKeyName

 Items

 Properties

 Section

 ShowAll

 ShowEmptyValues

 Sorted

 UninstallString

Methods

RefreshItem

Legend

published

read only

write only

Created with Doc-O-Matic.


Legend

published

read only

write only


Package

Ctrls


TJvUninstallComboBox.DisplayMode property

TJvUninstallComboBox	See Also	Edit topic

Specify what registry hive or hives to read uninstall info from.

Pascal

property DisplayMode: TJvUCBDisplayModes;

Description

Use DisplayMode to specify the hives the component reads information from. If DisplayMode is set to an empty set, no information is shown.

Created with Doc-O-Matic.


See Also

TJvUCBDisplayModes


TJvUninstallComboBox.DisplayName property

TJvUninstallComboBox	Edit topic

Contains the display name of the currently selected item in the control.

Pascal

property DisplayName: string;

Description

Read DisplayName to retrieve the "user friendly" name of the currently selected item in the control. If no item is selected, this property returns an empty string.

Created with Doc-O-Matic.


TJvUninstallComboBox.HKey property

TJvUninstallComboBox	Edit topic

Not documented

Pascal

property HKey: HKEY;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallComboBox.HKeyName property

TJvUninstallComboBox	Edit topic

Not documented

Pascal

property HKeyName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallComboBox.Items property

TJvUninstallComboBox	Edit topic

Provides indexed access to the uninstall strings.

Pascal

property Items: TStrings;

Description

Use Items to access the retrieved uninstall information strings using an index. Each item in Items is either the user friendly name (same as DisplayName) or (if DisplayName is empty and ShowAll is true), the name of the related registry folder. Valid values of the index is between 0 and Items.Count – 1.

Created with Doc-O-Matic.


TJvUninstallComboBox.Properties property

TJvUninstallComboBox	Edit topic

Not documented

Pascal

property Properties: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallComboBox.Section property

TJvUninstallComboBox	See Also	Edit topic

Contains the section name of the currently selected item in the control.

Pascal

property Section: string;

Description

Read Section to retrieve the name of the currently selected section in the control. If no item is selected, this property returns an empty string.

Created with Doc-O-Matic.


See Also

ItemIndex


TJvUninstallComboBox.ShowAll property

TJvUninstallComboBox	See Also	Edit topic

Specifies if all uninstall items should be displayed.

Pascal

property ShowAll: Boolean;

Description

Use ShowAll to specify whether all items are shown or not. If ShowAll is true, even items that have an empty DisplayName are added to the list and shown. If false, only items with a DisplayName are listed in Items.

Created with Doc-O-Matic.


See Also

TJvUninstallComboBox.DisplayName, TJvUninstallComboBox.Items


TJvUninstallComboBox.ShowEmptyValues property

TJvUninstallComboBox	Edit topic

Not documented

Pascal

property ShowEmptyValues: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallComboBox.Sorted property

TJvUninstallComboBox	Edit topic

Not documented

Pascal

property Sorted;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallComboBox.UninstallString property

TJvUninstallComboBox	See Also	Edit topic

Contains the command-line to uninstall the selected application.

Pascal

property UninstallString: string;

Description

Read UninstallString to access the command-line necessary to uninstall the application. If no item is selected, this property returns an empty string. Make sure you check the validity of the string before using it. The string might be invalid for several reasons:

the information in the uninstall registry hive is incorrect

there is no uninstall information

there is no selected item

Created with Doc-O-Matic.


See Also

ItemIndex


TJvUninstallComboBox.RefreshItem method

TJvUninstallComboBox	Edit topic

Not documented

Pascal

procedure RefreshItem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallListBox
JEDI-VCL Reference

 TJvUninstallListBox

Hierarchy	Properties	Methods	Package	 Edit topic

A listbox that displays uninstall information.

Pascal

TJvUninstallListBox = class(TCustomListBox);

File

JvUninstallControls

Description

Use a TJvUninstallListBox when you need to display uninstall information to the end-user in a compact, space efficient way. The TJvUninstallListBox control has several properties to control what do display. Modify DisplayMode to specify what registry hives to read uninstall information from, set ShowAll as appropriate to show or hide "unfriendly" entries. Set Sorted to true to sort the list.

Created with Doc-O-Matic.


TJvUninstallListBox Properties

TJvUninstallListBox	Legend

Properties

 DisplayMode

 DisplayName

 HKey

 HKeyName

 Items

 Properties

 Section

 ShowAll

 ShowEmptyValues

 Sorted

 UninstallString

Legend

published

read only

write only

Created with Doc-O-Matic.


Legend

published

read only

write only


TJvUninstallListBox Methods

TJvUninstallListBox

Methods

Rebuild

RefreshItem

Created with Doc-O-Matic.


Legend

TJvUninstallListBox

Legend

published

read only

write only

Created with Doc-O-Matic.


Hierarchy

TCustomListBox
    TJvUninstallListBox


TJvUninstallListBox Members

TJvUninstallListBox	Legend

Members

Properties

 DisplayMode

 DisplayName

 HKey

 HKeyName

 Items

 Properties

 Section

 ShowAll

 ShowEmptyValues

 Sorted

 UninstallString

Methods

Rebuild

RefreshItem

Legend

published

read only

write only

Created with Doc-O-Matic.


Legend

published

read only

write only


Package

Ctrls


TJvUninstallListBox.DisplayMode property

TJvUninstallListBox	See Also	Edit topic

Specify what registry hive or hives to read uninstall info from.

Pascal

property DisplayMode: TJvUCBDisplayModes;

Description

Use DisplayMode to specify the hives the component reads information from. If DisplayMode is set to an empty set, no information is shown.

Created with Doc-O-Matic.


See Also

TJvUCBDisplayModes


TJvUninstallListBox.DisplayName property

TJvUninstallListBox	Edit topic

Contains the display name of the currently selected item in the control.

Pascal

property DisplayName: string;

Description

Read DisplayName to retrieve the "user friendly" name of the currently selected item in the control. If no item is selected, this property returns an empty string.

Created with Doc-O-Matic.


TJvUninstallListBox.HKey property

TJvUninstallListBox	Edit topic

Not documented

Pascal

property HKey: HKEY;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallListBox.HKeyName property

TJvUninstallListBox	Edit topic

Not documented

Pascal

property HKeyName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallListBox.Items property

TJvUninstallListBox	Edit topic

Provides indexed access to the uninstall strings.

Pascal

property Items: TStrings;

Description

Use Items to access the retrieved uninstall information strings using an index. Each item in Items is either the user friendly name (same as DisplayName) or (if DisplayName is empty and ShowAll is true), the name of the related registry folder. Valid values of the index is between 0 and Items.Count - 1

Created with Doc-O-Matic.


TJvUninstallListBox.Properties property

TJvUninstallListBox	Edit topic

Not documented

Pascal

property Properties: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallListBox.Section property

TJvUninstallListBox	See Also	Edit topic

Contains the section name of the currently selected item in the control.

Pascal

property Section: string;

Description

Read Section to retrieve the name of the currently selected section in the control. If no item is selected, this property returns an empty string.

Created with Doc-O-Matic.


See Also

ItemIndex


TJvUninstallListBox.ShowAll property

TJvUninstallListBox	See Also	Edit topic

Specifies if all uninstall items should be displayed.

Pascal

property ShowAll: Boolean;

Description

Use ShowAll to specify whether all items are shown or not. If ShowAll is true, even items that have an empty DisplayName are added to the list and shown. If false, only items with a DisplayName are listed in Items.

Created with Doc-O-Matic.


See Also

TJvUninstallListBox.DisplayName, TJvUninstallListBox.Items


TJvUninstallListBox.ShowEmptyValues property

TJvUninstallListBox	Edit topic

Not documented

Pascal

property ShowEmptyValues: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallListBox.Sorted property

TJvUninstallListBox	Edit topic

Not documented

Pascal

property Sorted;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallListBox.UninstallString property

TJvUninstallListBox	See Also	Edit topic

Contains the command-line to uninstall the selected application.

Pascal

property UninstallString: string;

Description

Read UninstallString to access the command-line necessary to uninstall the application. If no item is selected, this property returns an empty string. Make sure you check the validity of the string before using it. The string might be invalid for several reasons:

the information in the uninstall registry hive is incorrect

there is no uninstall information

there is no selected item

Created with Doc-O-Matic.


See Also

ItemIndex


TJvUninstallListBox.Rebuild method

TJvUninstallListBox	Edit topic

Not documented

Pascal

procedure Rebuild;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUninstallListBox.RefreshItem method

TJvUninstallListBox	Edit topic

Not documented

Pascal

procedure RefreshItem;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvURLAssociationDialog
JEDI-VCL Reference

TJvURLAssociationDialog

Hierarchy	Properties	Methods	 Edit topic

Displays the unregistered URL protocol dialog.

Pascal

TJvURLAssociationDialog = class(TJvCommonDialogF);

File

JvWinDialogs

Description

TJvURLAssociationDialog is a wrapper for the URLAssociationDialog Windows API. It can display the unregistered URL protocol dialog, do this by calling the Execute method. This dialog allows the user to select an application to associate with a previously unknown protocol.

You can preview this dialog at design-time, by right-clicking the component and clicking "Preview...".

Created with Doc-O-Matic.


TJvURLAssociationDialog Properties

TJvURLAssociationDialog	Legend

Properties

 AssociatedApp

 DefaultProtocol

 FileName

 Options

 ReturnValue

 URL

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvURLAssociationDialog Methods

TJvURLAssociationDialog	Legend

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvURLAssociationDialog

Legend

read only

published

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCommonDialogF
            TJvURLAssociationDialog


TJvURLAssociationDialog Members

TJvURLAssociationDialog	Legend

Members

Properties

 AssociatedApp

 DefaultProtocol

 FileName

 Options

 ReturnValue

 URL

TJvComponent

 AboutJVCL

Methods

 Execute

TJvCommonDialogF

 Execute

Legend

read only

published

virtual

abstract

Created with Doc-O-Matic.


Legend

read only

published

virtual

abstract


TJvURLAssociationDialog.AssociatedApp property

TJvURLAssociationDialog	See Also	Edit topic

Indicates the path of the application selected by the user.

Pascal

property AssociatedApp: string;

Description

After calling Execute, property AssociatedApp contains the path and filename to the associated application if the user didn't cancel the dialog.

Created with Doc-O-Matic.


See Also

Execute


TJvURLAssociationDialog.DefaultProtocol property

TJvURLAssociationDialog	See Also	Edit topic

Specifies a default protocol to prepend to URL.

Pascal

property DefaultProtocol: string;

Description

Use DefaultProtocol to specify a default protocol that is prepended to the string specified by URL, when that string doesn't have a protocol.

Created with Doc-O-Matic.


See Also

TJvURLAssociationDialog.URL


TJvURLAssociationDialog.FileName property

TJvURLAssociationDialog	See Also	Edit topic

Specifies the name of the Internet Shortcut file whose URL's protocol requires a protocol handler.

Pascal

property FileName: TFileName;

Description

Use FileName to specify the file to associate with the protocol. Before a verb, like "open", can be invoked on an Internet Shortcut, a protocol handler must be registered for its URL protocol.

If uaDefaultName is included in Options, property FileName is ignored, and a default Internet Shortcut file name is used.

FileName is only used for displaying purpose in the dialog.

Notes

FileName must contain an extension.

Created with Doc-O-Matic.


See Also

TJvURLAssociationDialog.Options, TJvURLAssociationDialog.URL


TJvURLAssociationDialog.Options property

TJvURLAssociationDialog	Edit topic

Specifies options for the dialog.

Pascal

property Options: TJvURLAssociationDialogOptions;

Description

Use the Options property to customize the appearance and functionality of the dialog. By default, all options are off.

Created with Doc-O-Matic.


TJvURLAssociationDialog.ReturnValue property

TJvURLAssociationDialog	See Also	Edit topic

Indicates the value returned by the function called by Execute.

Pascal

property ReturnValue: HRESULT;

Description

The TJvURLAssociationDialog component is a wrapper for the URLAssociationDialog Windows API. When you call Execute, this Windows API is executed, and the return value of that function is stored in ReturnValue.

Possible return values are:

S_OK: If the application is registered with the URL protocol.

S_FALSE: If nothing is registered. For example, when the user elects to perform a one-time execution via the selected application.

Created with Doc-O-Matic.


See Also

Execute


TJvURLAssociationDialog.URL property

TJvURLAssociationDialog	See Also	Edit topic

Specifies a URL with an unknown protocol.

Pascal

property URL: string;

Description

Use URL to specify a URL whose unregistered protocol requires a handler.

You have to provide a URL with a protocol, otherwise calling Execute fails, without displaying a dialog. A URL typical takes this form:

  protocol://host.domainname/directory/filename.filetype

Created with Doc-O-Matic.


See Also

TJvURLAssociationDialog.DefaultProtocol


TJvURLAssociationDialog.Execute method

TJvURLAssociationDialog	Edit topic

Shows the unregistered URL protocol dialog.

Pascal

function Execute: Boolean; override;

Return Value

Returns true if the application specified by AssociatedApp is registered with the URL protocol specified by URL. Returns false if nothing is registered (For example, when the user elects to perform a one-time execution via the selected application.)

Description

Call Execute to show the unregistered URL protocol dialog.

Created with Doc-O-Matic.


TJvUrlGrabberClassList
JEDI-VCL Reference

TJvUrlGrabberClassList

Hierarchy	Properties	Methods	 See Also	Edit topic

A list of grabber classes

Pascal

TJvUrlGrabberClassList = class(TClassList);

File

JvUrlListGrabber

Description

This list is used to store the registered grabber classes

Created with Doc-O-Matic.


TJvUrlGrabberClassList Properties

TJvUrlGrabberClassList

Properties

Items

Created with Doc-O-Matic.


TJvUrlGrabberClassList Methods

TJvUrlGrabberClassList

Methods

Add

CreateFor

Insert

Populate

Created with Doc-O-Matic.


Hierarchy

TClassList
    TJvUrlGrabberClassList


TJvUrlGrabberClassList Members

TJvUrlGrabberClassList

Members

Properties

Items

Methods

Add

CreateFor

Insert

Populate

Created with Doc-O-Matic.


See Also

JvUrlGrabberClassList


TJvUrlGrabberClassList.Items property

TJvUrlGrabberClassList	Edit topic

The classes in the list casted to TJvCustomUrlGrabberClass

Pascal

property Items [Index: Integer]: TJvCustomUrlGrabberClass;

Parameters

Index

The index in the list

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberClassList.Add method

TJvUrlGrabberClassList	See Also	Edit topic

Add the given class to the list

Pascal

function Add(AGrabberClass: TJvCustomUrlGrabberClass): Integer;

Return Value

The index of the newly inserted member

Parameters

AGrabberClass: TJvCustomUrlGrabberClass

The class to add to the list

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberClassList.Insert


TJvUrlGrabberClassList.CreateFor method

TJvUrlGrabberClassList	Edit topic

Creates a grabber for the given URL

Pascal

function CreateFor(Owner: TComponent; Url: string; DefaultPropertiesList: TJvUrlGrabberDefaultPropertiesList): TJvCustomUrlGrabber;

Return Value

A new grabber object capable of handling the indicated URL, or nil if no class in the list can handle the given URL

Parameters

Owner: TComponent

The component that will own the created grabber

Url: string

The URL to create a grabber for

DefaultPropertiesList: TJvUrlGrabberDefaultPropertiesList

The list of default properties (usually the value of DefaultProperties from a TJvUrlListGrabber)

Description

If no class in the list can handle the URL, nil will be returned

Created with Doc-O-Matic.


TJvUrlGrabberClassList.Insert method

TJvUrlGrabberClassList	See Also	Edit topic

Insert the given class at the given position

Pascal

procedure Insert(Index: Integer; AGrabberClass: TJvCustomUrlGrabberClass);

Parameters

Index: Integer

The index for insertion

AGrabberClass: TJvCustomUrlGrabberClass

The class to insert

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberClassList.Add


TJvUrlGrabberClassList.Populate method

TJvUrlGrabberClassList	Edit topic

Fills the given properties list with default property holders for all classes in the list

Pascal

procedure Populate(DefaultPropertiesList: TJvUrlGrabberDefaultPropertiesList);

Parameters

DefaultPropertiesList: TJvUrlGrabberDefaultPropertiesList

The list to fill

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberDefaultPropertiesList
JEDI-VCL Reference

TJvUrlGrabberDefaultPropertiesList

Hierarchy	Properties	Methods	 Edit topic

A list of default properties for grabbers

Pascal

TJvUrlGrabberDefaultPropertiesList = class(TPersistent);

File

JvUrlListGrabber

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberDefaultPropertiesList Properties

TJvUrlGrabberDefaultPropertiesList	Legend

Properties

 Count

Items

 ItemsNamed

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvUrlGrabberDefaultPropertiesList Methods

TJvUrlGrabberDefaultPropertiesList

Methods

Add

Clear

Read

Write

Created with Doc-O-Matic.


Legend

TJvUrlGrabberDefaultPropertiesList

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvUrlGrabberDefaultPropertiesList


TJvUrlGrabberDefaultPropertiesList Members

TJvUrlGrabberDefaultPropertiesList	Legend

Members

Properties

 Count

Items

 ItemsNamed

Methods

Add

Clear

Read

Write

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvUrlGrabberDefaultPropertiesList.Count property

TJvUrlGrabberDefaultPropertiesList	See Also	Edit topic

Returns the number of items in the list

Pascal

property Count: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberDefaultPropertiesList.Items


TJvUrlGrabberDefaultPropertiesList.Items property

TJvUrlGrabberDefaultPropertiesList	See Also	Edit topic

Returns the items in the list as an indexed property

Pascal

property Items [Index: Integer]: TJvCustomUrlGrabberDefaultProperties;

Parameters

Index

The index of the element

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberDefaultPropertiesList.Count, TJvUrlGrabberDefaultPropertiesList.ItemsNamed


TJvUrlGrabberDefaultPropertiesList.ItemsNamed property

TJvUrlGrabberDefaultPropertiesList	See Also	Edit topic

Returns the items in the list as an indexed by name property or nil if no item with that name exists

Pascal

property ItemsNamed [Name: string]: TJvCustomUrlGrabberDefaultProperties;

Parameters

Name

The name of the index to find.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberDefaultPropertiesList.Count, TJvUrlGrabberDefaultPropertiesList.Items


TJvUrlGrabberDefaultPropertiesList.Add method

TJvUrlGrabberDefaultPropertiesList	Edit topic

Adds the given item in the list.

Pascal

procedure Add(Item: TJvCustomUrlGrabberDefaultProperties);

Parameters

Item: TJvCustomUrlGrabberDefaultProperties

The item to add

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberDefaultPropertiesList.Clear method

TJvUrlGrabberDefaultPropertiesList	Edit topic

Clears the items in the list

Pascal

procedure Clear;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberDefaultPropertiesList.Read method

TJvUrlGrabberDefaultPropertiesList	See Also	Edit topic

Reads the list from a DFM stream

Pascal

procedure Read(Reader: TReader);

Parameters

Reader: TReader

The object to use to read from the DFM stream

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberDefaultPropertiesList.Write


TJvUrlGrabberDefaultPropertiesList.Write method

TJvUrlGrabberDefaultPropertiesList	Edit topic

Writes the list into a DFM stream

Pascal

procedure Write(Writer: TWriter);

Parameters

Writer: TWriter

The object to use to write into the DFM stream

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberDefPropEdTrick
JEDI-VCL Reference

TJvUrlGrabberDefPropEdTrick

Hierarchy	Properties	 Edit topic

A trick for the Delphi editor that allows to have a sub object for each member of a TJvUrlGrabberDefaultPropertiesList

Pascal

TJvUrlGrabberDefPropEdTrick = class(TPersistent);

File

JvUrlListGrabber

Description

Because an indexed property cannot be published, the editor for TJvUrlGrabberDefaultPropertiesList enumerates all the items in the list, and passes the EditorTrick property of each of its TJvUrlGrabberDefaultProperties members. The trick contains only one published property that gets displayed and this property points to the TJvUrlGrabberDefaultPropertiesList object to which the trick belongs, thus allowing to publish the indexed property. The only drawback is that the name in the property editor for each object is the same, DefaultProperties Hence, the need for an editor for TJvUrlGrabberDefPropEdTrick that displays a meaningful name instead

Created with Doc-O-Matic.


TJvUrlGrabberDefPropEdTrick Properties

TJvUrlGrabberDefPropEdTrick	Legend

Properties

 DefaultProperties

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Legend

TJvUrlGrabberDefPropEdTrick

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvUrlGrabberDefPropEdTrick


TJvUrlGrabberDefPropEdTrick Members

TJvUrlGrabberDefPropEdTrick	Legend

Members

Properties

 DefaultProperties

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvUrlGrabberDefPropEdTrick.DefaultProperties property

TJvUrlGrabberDefPropEdTrick	Edit topic

This is the property that will get displayed in the property editor

Pascal

property DefaultProperties: TJvCustomUrlGrabberDefaultProperties;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberList
JEDI-VCL Reference

TJvUrlGrabberList

Hierarchy	Properties	Methods	 Edit topic

A list of instances of TJvUrlGrabber descendants

Pascal

TJvUrlGrabberList = class(TObjectList);

File

JvUrlListGrabber

Description

This is used internally by TJvUrlListGrabber to keep track of the objects in charge of every URLs it has to grab

Created with Doc-O-Matic.


TJvUrlGrabberList Properties

TJvUrlGrabberList

Properties

Items

Created with Doc-O-Matic.


TJvUrlGrabberList Methods

TJvUrlGrabberList

Methods

Add

Insert

Created with Doc-O-Matic.


Hierarchy

TObjectList
    TJvUrlGrabberList


TJvUrlGrabberList Members

TJvUrlGrabberList

Members

Properties

Items

Methods

Add

Insert

Created with Doc-O-Matic.


TJvUrlGrabberList.Items property

TJvUrlGrabberList	Edit topic

Returns the element at the given index casted as a TJvCustomUrlGrabber

Pascal

property Items [Index: Integer]: TJvCustomUrlGrabber;

Parameters

Index

The index in the list

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlGrabberList.Add method

TJvUrlGrabberList	See Also	Edit topic

Add the given grabber in the list

Pascal

function Add(AGrabber: TJvCustomUrlGrabber): Integer;

Return Value

The index of the newly added grabber

Parameters

AGrabber: TJvCustomUrlGrabber

The grabber to add

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberList.Insert


TJvUrlGrabberList.Insert method

TJvUrlGrabberList	See Also	Edit topic

Inserts the given grabber at the given index

Pascal

procedure Insert(Index: Integer; AGrabber: TJvCustomUrlGrabber);

Parameters

Index: Integer

The index where to perform the insertion

AGrabber: TJvCustomUrlGrabber

The grabber to insert

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlGrabberList.Add


TJvUrlListGrabber
JEDI-VCL Reference

 TJvUrlListGrabber

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This component will grab a list of URLs in the background

Pascal

TJvUrlListGrabber = class(TJvComponent);

File

JvUrlListGrabber

Description

This component allows the user to specify a list of URLs to be grabbed and then start grabbing. All the grab operations will be done in parallel in the background, leaving the user's application free to continue its operations. Basically, enter URLs in the URLs property then call Start. The component will create as many grabbers as required. At the time of writing, HTTP, FTP and LocalFile URLs are supported through the use of TJvHttpUrlGrabber, TJvFtpUrlGrabber and TJvLocalFileUrlGrabber.

Created with Doc-O-Matic.


TJvUrlListGrabber Properties

TJvUrlListGrabber	Legend

Properties

 CleanupThreshold

 DefaultGrabberIndex

 DefaultGrabbersProperties

 Grabbers

 URLs

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvUrlListGrabber Events

TJvUrlListGrabber	Legend

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvUrlListGrabber Methods

TJvUrlListGrabber

Methods

Cleanup

StartAll

StopAll

Created with Doc-O-Matic.


Legend

TJvUrlListGrabber

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvUrlListGrabber


TJvUrlListGrabber Members

TJvUrlListGrabber	Legend

Members

Properties

 CleanupThreshold

 DefaultGrabberIndex

 DefaultGrabbersProperties

 Grabbers

 URLs

TJvComponent

 AboutJVCL

Events

 OnClosingConnection

 OnConnectedToServer

 OnConnectingToServer

 OnConnectionClosed

 OnDoneFile

 OnDoneStream

 OnError

 OnNameResolved

 OnProgress

 OnReceivingResponse

 OnRedirect

 OnRequestComplete

 OnRequestSent

 OnResolvingName

 OnResponseReceived

 OnSendingRequest

 OnStatusChange

Methods

Cleanup

StartAll

StopAll

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Net


TJvUrlListGrabber.CleanupThreshold property

TJvUrlListGrabber	See Also	Edit topic

This is the cleanup threshold

Pascal

property CleanupThreshold: Cardinal;

Description

When the difference between URLs.Count and the internal Grabbers.Count is greater than this value Cleanup is called, deleting any unused grabber in the Grabbers list. This can take some time and this is why it is not done every time a grabber has finished its operations.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.Cleanup


TJvUrlListGrabber.DefaultGrabberIndex property

TJvUrlListGrabber	Edit topic

The index of the default grabber to use, if any

Pascal

property DefaultGrabberIndex: TJvUrlGrabberIndex;

Description

When a URL is given to the component, it creates a grabber for it. In order to find the correct grabber, it asks all the registered grabber classes until it find ones that claims it can handle the URL. If no registered class claims it can handle the URL, then the value of DefaultGrabberIndex is read and used as an index in the list returned by JvUrlGrabberClassList. The class retrieved using this index is then created and told to handle the URL. However, if DefaultGrabberIndex is -1, no grabber is created and ENoGrabberForUrl is raised to indicate that no grabber could be found for the given URL.

Created with Doc-O-Matic.


TJvUrlListGrabber.DefaultGrabbersProperties property

TJvUrlListGrabber	Edit topic

The default properties for each family of grabber

Pascal

property DefaultGrabbersProperties: TJvUrlGrabberDefaultPropertiesList;

Description

When a grabber needs to be created for a given URL, the properties in this list will be used as defaults

Created with Doc-O-Matic.


TJvUrlListGrabber.Grabbers property

TJvUrlListGrabber	See Also	Edit topic

The Grabber objects associated with the Urls

Pascal

property Grabbers [const Index: Integer]: TJvCustomUrlGrabber;

Parameters

Index

Index of the URL in the URLs list

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.URLs


TJvUrlListGrabber.OnClosingConnection event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber is about to close a connection

Pascal

property OnClosingConnection: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnConnectionClosed


TJvUrlListGrabber.OnConnectedToServer event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber is connected to a server

Pascal

property OnConnectedToServer: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

OnConnectionToServer


TJvUrlListGrabber.OnConnectingToServer event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber is starting to connect to a server

Pascal

property OnConnectingToServer: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnConnectedToServer


TJvUrlListGrabber.OnConnectionClosed event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber has closed the connection to the server

Pascal

property OnConnectionClosed: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnClosingConnection


TJvUrlListGrabber.OnDoneFile event

TJvUrlListGrabber	See Also	Edit topic

This event is triggered when a grabber has finished its write operation in a file

Pascal

TJvGrabberDoneFileEvent = procedure (Sender: TJvUrlListGrabber; Grabber: TJvCustomUrlGrabber; FileName: string; FileSize: Integer; Url: string) of object;
property OnDoneFile: TJvGrabberDoneFileEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnDoneStream


TJvUrlListGrabber.OnDoneStream event

TJvUrlListGrabber	See Also	Edit topic

This event is triggered when a grabber has finished its write operation in a stream

Pascal

TJvGrabberDoneStreamEvent = procedure (Sender: TJvUrlListGrabber; Grabber: TJvCustomUrlGrabber; Stream: TStream; StreamSize: Integer; Url: string) of object;
property OnDoneStream: TJvGrabberDoneStreamEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnDoneFile


TJvUrlListGrabber.OnError event

TJvUrlListGrabber	Edit topic

This event is triggered when an error has occurred in a grabber

Pascal

TJvGrabberErrorEvent = procedure (Sender: TJvUrlListGrabber; Grabber: TJvCustomUrlGrabber; ErrorMsg: string) of object;
property OnError: TJvGrabberErrorEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlListGrabber.OnNameResolved event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a name has been resolved by a grabber

Pascal

property OnNameResolved: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnResolvingName


TJvUrlListGrabber.OnProgress event

TJvUrlListGrabber	Edit topic

This event is triggered while the grabbing is in progress for a grabber

Pascal

TJvGrabberProgressEvent = procedure (Sender: TJvUrlListGrabber; Grabber: TJvCustomUrlGrabber; Position, TotalSize: Int64; Url: string; var Continue: Boolean) of object;
property OnProgress: TJvGrabberProgressEvent;

Parameters

TotalSize

The total size of the object being grabbed. It may be 0 if the protocol could not give the size of the object

Url

The URL of the object being grabbed

Continue

If you set this value to False, the grabbing will be canceled

Sender

The TJvUrlListGrabber object to which the grabber belongs

Grabber

The grabber object that has made some progress

Position

The position in the object where the grabbing process is at the moment

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlListGrabber.OnReceivingResponse event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a response is being received by a grabber

Pascal

property OnReceivingResponse: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

OnResponceReceived


TJvUrlListGrabber.OnRedirect event

TJvUrlListGrabber	Edit topic

Not documented

Pascal

property OnRedirect: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlListGrabber.OnRequestComplete event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber has completed a request

Pascal

property OnRequestComplete: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnRequestSent


TJvUrlListGrabber.OnRequestSent event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber has sent a request

Pascal

property OnRequestSent: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnRequestComplete


TJvUrlListGrabber.OnResolvingName event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber is about to resolve a name

Pascal

property OnResolvingName: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnNameResolved


TJvUrlListGrabber.OnResponseReceived event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber has received a response

Pascal

property OnResponseReceived: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnReceivingResponse


TJvUrlListGrabber.OnSendingRequest event

TJvUrlListGrabber	See Also	Edit topic

Event triggered when a grabber is about to send a request

Pascal

property OnSendingRequest: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.OnRequestSent


TJvUrlListGrabber.OnStatusChange event

TJvUrlListGrabber	Edit topic

Not documented

Pascal

property OnStatusChange: TJvGrabberNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUrlListGrabber.URLs property

TJvUrlListGrabber	See Also	Edit topic

The list of URLs to be grabbed

Pascal

property URLs: TStrings;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.Grabbers


TJvUrlListGrabber.Cleanup method

TJvUrlListGrabber	See Also	Edit topic

Cleans up the internal list of grabbers

Pascal

procedure Cleanup;

Description

The component keeps an internal list of grabbers that don't get deleted once the grabbing operation is finished. They will only be deleted by calling this method, or when the Cleanup Threshold is reached.

Created with Doc-O-Matic.


See Also

TJvUrlListGrabber.CleanupThreshold


TJvUrlListGrabber.StartAll method

TJvUrlListGrabber	See Also	Edit topic

Starts the grabbing operations for all grabbers.

Pascal

procedure StartAll;

Description

If you want to start only one grabbing operation, use the Grabbers property instead

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Start, TJvUrlListGrabber.StopAll, TJvUrlListGrabber.URLs


TJvUrlListGrabber.StopAll method

TJvUrlListGrabber	See Also	Edit topic

Stops the grabbing operations for all grabbers

Pascal

procedure StopAll;

Description

If you want to stop only one grabbing operation,use the Grabbers property instead

Created with Doc-O-Matic.


See Also

TJvCustomUrlGrabber.Stop, TJvUrlListGrabber.StartAll, TJvUrlListGrabber.URLs


TJvValidateEdit
JEDI-VCL Reference

 TJvValidateEdit

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Edit control that can restrict its content to only accept valid input.

Pascal

TJvValidateEdit = class(TJvCustomValidateEdit);

File

JvValidateEdit

Description

Use a TJvValidateEdit when you need to restrict what the user can type into the control. A TJvValidateEdit can both format the text in the control as well as restrict the allowable characters the user can type into it. For example, to restrict the user to only type integer values, set DisplayFormat to dfInteger.

TJvValidateEdit is derived from TJvCustomValidateEdit, publishes most of its properties but doesn't add any new functionality.

Created with Doc-O-Matic.


TJvValidateEdit Properties

TJvValidateEdit	Legend

Properties

 Alignment

 AllowEmpty

 AutoAlignment

 Caret

 CheckChars

 ClipboardCommands

 CriticalPoints

 DecimalPlaces

 DisabledColor

 DisabledTextColor

 DisplayFormat

 DisplayPrefix

 DisplaySuffix

 EditText

 HasMaxValue

 HasMinValue

 MaxValue

 MinValue

 TrimDecimals

 Value

 ZeroEmpty

TJvCustomValidateEdit

 AllowEmpty

AsCurrency

AsFloat

AsInteger

 AutoAlignment

 CheckChars

 CriticalPoints

 DecimalPlaces

 DisplayFormat

 DisplayPrefix

 DisplaySuffix

 EditText

 HasMaxValue

 HasMinValue

 MaxValue

 MinValue

 TrimDecimals

 Value

 ZeroEmpty

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvValidateEdit Events

TJvValidateEdit	Legend

Events

 OnCustomValidate

 OnIsValid

 OnValueChanged

TJvCustomValidateEdit

 OnCustomValidate

 OnIsValid

 OnValueChanged

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvValidateEdit Methods

TJvValidateEdit	Legend

Methods

TJvCustomValidateEdit

 Assign

 IsValid

TJvCustomEdit

IsEmpty

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvValidateEdit

Legend

published

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomEdit, IJvExControl
        TJvExCustomEdit
            TJvCustomEdit
                TJvCustomValidateEdit
                    TJvValidateEdit


TJvValidateEdit Members

TJvValidateEdit	Legend

Members

Properties

 Alignment

 AllowEmpty

 AutoAlignment

 Caret

 CheckChars

 ClipboardCommands

 CriticalPoints

 DecimalPlaces

 DisabledColor

 DisabledTextColor

 DisplayFormat

 DisplayPrefix

 DisplaySuffix

 EditText

 HasMaxValue

 HasMinValue

 MaxValue

 MinValue

 TrimDecimals

 Value

 ZeroEmpty

TJvCustomValidateEdit

 AllowEmpty

AsCurrency

AsFloat

AsInteger

 AutoAlignment

 CheckChars

 CriticalPoints

 DecimalPlaces

 DisplayFormat

 DisplayPrefix

 DisplaySuffix

 EditText

 HasMaxValue

 HasMinValue

 MaxValue

 MinValue

 TrimDecimals

 Value

 ZeroEmpty

TJvCustomEdit

 Alignment

 AutoHint

 Caret

 DisabledColor

 DisabledTextColor

 EmptyFontColor

 EmptyValue

 Flat

 GroupIndex

 HintColor

 HotTrack

 MaxPixel

 ProtectPassword

 ThemedPassword

 UseFixedPopup

TJvExCustomEdit

 AboutJVCL

 ClipboardCommands

 DotNetHighlighting

 HintColor

 MouseOver

 ParentBackground

Events

 OnCustomValidate

 OnIsValid

 OnValueChanged

TJvCustomValidateEdit

 OnCustomValidate

 OnIsValid

 OnValueChanged

TJvCustomEdit

 OnParentColorChange

TJvExCustomEdit

 OnMouseEnter

 OnMouseLeave

 OnParentColorChange

Methods

TJvCustomValidateEdit

 Assign

 IsValid

TJvCustomEdit

IsEmpty

Legend

published

protected

virtual

Created with Doc-O-Matic.


Legend

published

protected

virtual


Package

Custom


TJvValidateEdit.Alignment property

TJvValidateEdit	Edit topic

Determines how the text in the edit component is aligned.

Pascal

property Alignment: TAlignment;

Description

Use Alignment to indicate text alignment in the edit box. These are the possible values:

Value	Meaning
taLeftJustify	Align text on the left side in the edit control.
taCenter	Center the text in the edit control.
taRightJustify	Align text on the right side in the edit control.
Created with Doc-O-Matic.


TJvValidateEdit.AllowEmpty property

TJvValidateEdit	Edit topic

Not documented

Pascal

property AllowEmpty: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvValidateEdit.AutoAlignment property

TJvValidateEdit	See Also	Edit topic

Specifies if alignment is changed automatically.

Pascal

property AutoAlignment: Boolean;

Description

Use AutoAlignment to specify if the alignment of the text is automatically changed when the DisplayFormat is changed. If AutoAlignment is True, DisplayFormat's that are numeric in nature are right-justified and all others are left-justified. Set AutoAlignment to False to control the Alignment manually.

Created with Doc-O-Matic.


See Also

Alignment


TJvValidateEdit.Caret property

TJvValidateEdit	Edit topic

Specifies the caret settings for the edit control.

Pascal

property Caret: TJvCaret;

Description

Caret holds the settings for the custom caret.

Created with Doc-O-Matic.


TJvValidateEdit.CheckChars property

TJvValidateEdit	See Also	Edit topic

Specifies the character to check.

Pascal

property CheckChars: string;

Description

Use CheckChars to specify the characters to check in the control. When the value of DisplayFormat changes, CheckChars also changes.

Created with Doc-O-Matic.


See Also

Text


TJvValidateEdit.ClipboardCommands property

TJvValidateEdit	Edit topic

Specifies the clipboard commands that are enabled for the control.

Pascal

property ClipboardCommands: TJvClipboardCommands;

Description

Use ClipboardCommands to specify which clipboard commands are allowed for the edit control.

ClipboardCommands can't be set to [].

If ClipboardCommands is set to [caCopy] then property ReadOnly is set to True.

Created with Doc-O-Matic.


TJvValidateEdit.CriticalPoints property

TJvValidateEdit	See Also	Edit topic

Specifies the points to compare input values against.

Pascal

property CriticalPoints: TJvValidateEditCriticalPoints;

Description

Use CriticalPoints to set up how invalid values in the control are displayed. When an invalid value is found the text in the control will be displayed using the colors of ColorAbove and ColorBelow in CriticalPoints.

Created with Doc-O-Matic.


See Also

TJvValidateEditCriticalPoints


TJvValidateEdit.DecimalPlaces property

TJvValidateEdit	See Also	Edit topic

Specifies the number of decimals to display.

Pascal

property DecimalPlaces: Cardinal;

Description

Use DecimalPlaces to specify the number of decimals to display in the control. DecimalPlaces only has effect when using floating type DisplayFormats.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.DisplayFormat


TJvValidateEdit.DisabledColor property

TJvValidateEdit	See Also	Edit topic

Specifies the background color of the control displayed when the control is not enabled.

Pascal

property DisabledColor: TColor;

Description

Use DisabledColor to read or change the background color displayed when the control is not enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.DisabledTextColor


TJvValidateEdit.DisabledTextColor property

TJvValidateEdit	See Also	Edit topic

Specifies the color of the text when the control is not enabled.

Pascal

property DisabledTextColor: TColor;

Description

Use DisabledTextColor to specify the color of the text characters (as opposed to the background color), when the control is not enabled.

Set Enabled to false to disable the control.

Created with Doc-O-Matic.


See Also

TJvCustomEdit.DisabledColor


TJvValidateEdit.DisplayFormat property

TJvValidateEdit	See Also	Edit topic

Specifies the format to use for display.

Pascal

property DisplayFormat: TJvValidateEditDisplayFormat;

Description

Use DisplayFormat to specify what characters are allowed in the control. Setting DisplayFormat may also alter Alignment, DecimalPlaces, DisplaySuffix and DisplayPrefix.

Created with Doc-O-Matic.


See Also

Alignment


TJvValidateEdit.DisplayPrefix property

TJvValidateEdit	See Also	Edit topic

Specifies a prefix to display when the edit doesn't have focus.

Pascal

property DisplayPrefix: string;

Description

Use DisplayPrefix to set a set of characters to display to the right of the text in the control. Note that some of the DisplayFormats sets this property automatically.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.DisplaySuffix


TJvValidateEdit.DisplaySuffix property

TJvValidateEdit	See Also	Edit topic

Specifies a suffix to display when the edit doesn't have focus.

Pascal

property DisplaySuffix: string;

Description

Use DisplaySuffix to set a set of characters to display to the left of the text in the control. Note that some of the DisplayFormats sets this property automatically.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.DisplayPrefix


TJvValidateEdit.EditText property

TJvValidateEdit	See Also	Edit topic

The current value of Text.

Pascal

property EditText: string;

Description

Use EditText as an equivalent to the Text property that also checks the new value against DisplayFormat, MinValue and MaxValue.

Created with Doc-O-Matic.


See Also

Text


TJvValidateEdit.HasMaxValue property

TJvValidateEdit	See Also	Edit topic

Specifies if the MaxValue property is used.

Pascal

property HasMaxValue: Boolean;

Description

Set HasMaxValue to true to check the entered values in the control against the MaxValue property. If the entered value is more than MaxValue, it will be forced to be no larger than MaxValue.

Created with Doc-O-Matic.


See Also

Text


TJvValidateEdit.HasMinValue property

TJvValidateEdit	See Also	Edit topic

Specifies if the MinValue property is used.

Pascal

property HasMinValue: Boolean;

Description

Set HasMinValue to true to check the entered values in the control against the MinValue property. If the entered value is less than MinValue, it will be forced to be at least MinValue.

Created with Doc-O-Matic.


See Also

Text


TJvValidateEdit.MaxValue property

TJvValidateEdit	See Also	Edit topic

Specifies the maximum allowed value.

Pascal

property MaxValue: Double;

Description

Use MaxValue to set a maximum allowed value in the control. To disable MaxValue checking, set HasMaxValue to false.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.HasMaxValue, TJvCustomValidateEdit.MinValue, TJvCustomValidateEdit.Value


TJvValidateEdit.MinValue property

TJvValidateEdit	See Also	Edit topic

Specifies the minimum allowed value.

Pascal

property MinValue: Double;

Description

Use MinValue to set a minimum allowed value in the control. To disable MinValue checking, set HasMinValue to false.

Created with Doc-O-Matic.


See Also

TJvCustomValidateEdit.HasMinValue, TJvCustomValidateEdit.MaxValue, TJvCustomValidateEdit.Value


TJvValidateEdit.OnCustomValidate event

TJvValidateEdit	Edit topic

Occurs when the control needs to validate input and DisplayFormat is dfCustom.

Pascal

property OnCustomValidate: TJvCustomTextValidateEvent;

Parameters

Sender

The TJvCustomValidateEdit that called the event.

Key

The key that was pressed last.

AText

The current text of the control.

Pos

The current caret position in the text.

IsValid

Set to true to accept the text, false otherwise.

Description

Write a handler for this event when DisplayFormat is set to dfCustom. To allow a character to be entered into the control, set IsValid to true. To prevent a character from being entered, set IsValid to false.

Created with Doc-O-Matic.


TJvValidateEdit.OnIsValid event

TJvValidateEdit	Edit topic

Not documented

Pascal

property OnIsValid: TJvCustomIsValidEvent;

Parameters

Sender

Not documented

IsValid

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvValidateEdit.OnValueChanged event

TJvValidateEdit	See Also	Edit topic

Occurs when the value (text) in the edit control changes.

Pascal

property OnValueChanged: TNotifyEvent;

Description

Write a handler for this event to take specific action when the Text and Value of the control has changed.

Created with Doc-O-Matic.


See Also

OnChange


TJvValidateEdit.TrimDecimals property

TJvValidateEdit	Edit topic

Not documented

Pascal

property TrimDecimals: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvValidateEdit.Value property

TJvValidateEdit	See Also	Edit topic

The value of Text expressed as a variant.

Pascal

property Value: Variant;

Description

Use Value to set and get the Text property as a variant.

Created with Doc-O-Matic.


See Also

Text


TJvValidateEdit.ZeroEmpty property

TJvValidateEdit	See Also	Edit topic

Specifies if an empty Text property should be interpreted as the value 0.

Pascal

property ZeroEmpty: Boolean;

Description

Use ZeroEmpty to indicate whether an empty Text or null Value should be interpreted as 0 or as an empty string.

Created with Doc-O-Matic.


See Also

Text


TJvValidateEditCriticalPoints
JEDI-VCL Reference

TJvValidateEditCriticalPoints

Hierarchy	Properties	Methods	 Edit topic

Used to check a value in TJvValidateEdit against a minimum and maximum value and mark invalid values accordingly.

Pascal

TJvValidateEditCriticalPoints = class(TPersistent);

File

JvValidateEdit

Description

TJvValidateEditCriticalPoints is the type of the CriticalPoints property in a TJvValidateEdit control and defines the properties used to check the value of the edit against a minimum value and a maximum value.

Created with Doc-O-Matic.


TJvValidateEditCriticalPoints Properties

TJvValidateEditCriticalPoints	Legend

Properties

 CheckPoints

 ColorAbove

 ColorBelow

 MaxValue

 MinValue

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvValidateEditCriticalPoints Methods

TJvValidateEditCriticalPoints

Methods

SetDefaults

Created with Doc-O-Matic.


Legend

TJvValidateEditCriticalPoints

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvValidateEditCriticalPoints


TJvValidateEditCriticalPoints Members

TJvValidateEditCriticalPoints	Legend

Members

Properties

 CheckPoints

 ColorAbove

 ColorBelow

 MaxValue

 MinValue

Methods

SetDefaults

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvValidateEditCriticalPoints.CheckPoints property

TJvValidateEditCriticalPoints	See Also	Edit topic

Indicates if values are checked against MinValue, MaxValue or both.

Pascal

property CheckPoints: TJvValidateEditCriticalPointsCheck;

Description

Use CheckPoints to specify whether MinValue, MaxValue or both are used when checking the value in a TJvValidateEdit.

Created with Doc-O-Matic.


See Also

TJvValidateEdit, TJvValidateEditCriticalPoints.MaxValue, TJvValidateEditCriticalPoints.MinValue


TJvValidateEditCriticalPoints.ColorAbove property

TJvValidateEditCriticalPoints	See Also	Edit topic

Indicates the color to use for values that are above the maximum allowed value.

Pascal

property ColorAbove: TColor;

Description

Set ColorAbove to the color to use when the checked value is more than MaxValue.

Created with Doc-O-Matic.


See Also

TJvValidateEditCriticalPoints.ColorBelow, TJvValidateEditCriticalPoints.MaxValue, TJvValidateEditCriticalPoints.MinValue


TJvValidateEditCriticalPoints.ColorBelow property

TJvValidateEditCriticalPoints	See Also	Edit topic

Indicates the color to use for values that are below the minimum allowed value.

Pascal

property ColorBelow: TColor;

Description

Set ColorBelow to the color to use when the checked value is less than MinValue.

Created with Doc-O-Matic.


See Also

TJvValidateEditCriticalPoints.ColorAbove, TJvValidateEditCriticalPoints.MaxValue, TJvValidateEditCriticalPoints.MinValue


TJvValidateEditCriticalPoints.MaxValue property

TJvValidateEditCriticalPoints	See Also	Edit topic

Indicates the maximum allowed value in Text.

Pascal

property MaxValue: Double;

Description

Set MaxValue to indicate the maximum value allowed. To disable, set MaxValue to 0.

Created with Doc-O-Matic.


See Also

TJvValidateEditCriticalPoints.MinValue


TJvValidateEditCriticalPoints.MinValue property

TJvValidateEditCriticalPoints	See Also	Edit topic

Indicates the minimum allowed value.

Pascal

property MinValue: Double;

Description

Set MinValue to indicate the minimum value allowed. To disable, set MinValue to 0.

Created with Doc-O-Matic.


See Also

TJvValidateEditCriticalPoints.MaxValue


TJvValidateEditCriticalPoints.SetDefaults method

TJvValidateEditCriticalPoints	Edit topic

Not documented

Pascal

procedure SetDefaults(ACheckPoints: TJvValidateEditCriticalPointsCheck; AColorAbove: TColor; AColorBelow: TColor);

Parameters

ACheckPoints: TJvValidateEditCriticalPointsCheck

Not documented

AColorAbove: TColor

Not documented

AColorBelow: TColor

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvValidationSummary
JEDI-VCL Reference

 TJvValidationSummary

Hierarchy	Properties	Events	Package	 See Also	Edit topic

Component that can collect the error messages from failed validations into a single data structure. This component implements the IJvValidationSummary interface.

Pascal

TJvValidationSummary = class(TJvComponent, IUnknown, IJvValidationSummary);

File

JvValidators

Description

Use a TJvValidationSummary component to automatically collect all failed validations on a form and keep all the ErrorMessages in one location.

Created with Doc-O-Matic.


TJvValidationSummary Events

TJvValidationSummary	Legend

Events

 OnAddError

 OnChange

 OnRemoveError

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvValidationSummary Properties

TJvValidationSummary	Legend

Properties

 Summaries

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


Legend

TJvValidationSummary

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent, IUnknown, IJvValidationSummary
                TJvValidationSummary


TJvValidationSummary Members

TJvValidationSummary	Legend

Members

Events

 OnAddError

 OnChange

 OnRemoveError

Properties

 Summaries

TJvComponent

 AboutJVCL

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


See Also

TJvBaseValidator, TJvValidators


Package

Validators


TJvValidationSummary.OnAddError event

TJvValidationSummary	See Also	Edit topic

Occurs when a message is added to Summaries.

Pascal

property OnAddError: TNotifyEvent;

Description

Write a handler for the OnAddError event to take specific actions when a new error message is added to Summaries.

Created with Doc-O-Matic.


See Also

TJvValidationSummary.OnChange, TJvValidationSummary.OnRemoveError


TJvValidationSummary.OnChange event

TJvValidationSummary	See Also	Edit topic

Occurs when the content of Summaries changes.

Pascal

property OnChange: TNotifyEvent;

Description

Write a handler for the OnChange event to take specific actions when Summaries is changed.

Created with Doc-O-Matic.


See Also

TJvValidationSummary.OnAddError, TJvValidationSummary.OnRemoveError


TJvValidationSummary.OnRemoveError event

TJvValidationSummary	See Also	Edit topic

Occurs when an ErrorMessage is removed from Summaries.

Pascal

property OnRemoveError: TNotifyEvent;

Description

Write a handler for the OnRemoveError event to take specific actions when one or more error messages are removed from Summaries.

Created with Doc-O-Matic.


See Also

TJvValidationSummary.OnAddError, TJvValidationSummary.OnChange


TJvValidationSummary.Summaries property

TJvValidationSummary	Edit topic

Contains all added error messages.

Pascal

property Summaries: TStrings;

Description

Summaries is a TStrings containing all error messages collected from validations that has failed. Read Summaries to get a complete list of all errors reported by the available validators.

Only those validators that have this validation summary component associated with their ValidationSummary property will automatically add and remove their error messages from Summaries.

Created with Doc-O-Matic.


TJvValidators
JEDI-VCL Reference

 TJvValidators

Hierarchy	Properties	Methods	Events	Package	 See Also	Edit topic

Maintains a list of TJvBaseValidator or descendants.

Pascal

TJvValidators = class(TJvComponent);

File

JvValidators

Description

Use validators to handle the validation logic in your application. Traditionally, developers have been forced to write validation logic for user input in their applications. With validators, the whole process can be set up at design time and many times even without writing more than a single line of code.

When validators have been set up, a single call to the Validate method checks all validators which in turn perform their validation according to their settings. If any of the validations fails, there are several options available to handle the failure. Here are the options available:

Use an ErrorIndicator. An ErrorIndicator can display an error icon next to the control that failed the validation. Moving the mouse pointer over the error icon, displays the error message in a hint window.

Use a ValidationSummary. A ValidationSummary collects all error messages and puts them into a string list. You can display this list of errors any way you like. For example, you can easily display all active errors in a label on the form.

Use the OnValidateFailed event. With the OnValidateFailed event, you can do any custom error handling of your choice.

Create a custom method of retrieving failed validations.

You can even use all of the options at the same time or in different combinations.

Created with Doc-O-Matic.


TJvValidators Properties

TJvValidators	Legend

Properties

 Count

 ErrorIndicator

 Items

 ValidationSummary

TJvComponent

 AboutJVCL

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


TJvValidators Events

TJvValidators	Legend

Events

 OnValidateFailed

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvValidators Methods

TJvValidators

Methods

Exchange

Insert

Remove

Validate

Created with Doc-O-Matic.


Legend

TJvValidators

Legend

read only

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvValidators


TJvValidators Members

TJvValidators	Legend

Members

Properties

 Count

 ErrorIndicator

 Items

 ValidationSummary

TJvComponent

 AboutJVCL

Events

 OnValidateFailed

Methods

Exchange

Insert

Remove

Validate

Legend

read only

published

Created with Doc-O-Matic.


Legend

read only

published


See Also

TJvBaseValidator, TJvValidationSummary


Package

Validators


TJvValidators.Count property

TJvValidators	See Also	Edit topic

Returns the number of validators in the Items array.

Pascal

property Count: Integer;

Description

Read Count to determine how many validators are maintained by this component.

Created with Doc-O-Matic.


See Also

TJvValidators.Insert, TJvValidators.Items, TJvValidators.Remove


TJvValidators.ErrorIndicator property

TJvValidators	See Also	Edit topic

Specifies an optional ErrorIndicator that is used by this component.

Pascal

property ErrorIndicator: IJvErrorIndicator;

Description

Assign an ErrorIndicator to the component to have automatic inline display of error icons and error message hints. When an ErrorIndicator is assigned, it will automatically pick up the control whose validation failed and the error message to display. Depending on the settings of the ErrorIndicator, an error icon is placed next to the control and the associated error message is displayed in a hint window of the icon.

Using an ErrorIndicator is optional.

Created with Doc-O-Matic.


See Also

TJvValidators.OnValidateFailed, TJvValidators.ValidationSummary


TJvValidators.Items property

TJvValidators	See Also	Edit topic

Provides indexed access to the validators maintained by this component.

Pascal

property Items [Index: Integer]: TJvBaseValidator;

Description

Use Items to access individual validators in this component. The valid range of Index ís between 0 and Count - 1. The order of the validators can have impact on how effective validations are. For example, a validation for a control that can potentially take a long time should be placed later in the list than a validation for the same control that takes less time since validations are performed in order starting with the first validator. If the faster validation fails, no time is wasted performing the slower validation.

To rearrange validators at design time, click the Items property in the Object Inspector and use the up and down arrows to move the validator. To rearrange validators at runtime, use the Exchange function.

Created with Doc-O-Matic.


See Also

TJvValidators.Count, TJvValidators.Exchange


TJvValidators.OnValidateFailed event

TJvValidators	See Also	Edit topic

Occurs when a validation fails.

Pascal

TJvValidateFailEvent = procedure (Sender: TObject; BaseValidator: TJvBaseValidator; var Continue: Boolean) of object;
property OnValidateFailed: TJvValidateFailEvent;

Parameters

Continue

Set to true to continue validating the remaining validators, set to false to stop validation at once.

BaseValidator

The validator that failed.

Sender

The object that triggered the event.

Description

Write a handler for the OnValidateFailed event to take specific action when a validation fails. If you don't write any event handler, you should use one of the other means of displaying the error to the user, either using an ErrorIndicator, a ValidationSummary or a custom method.

Notes

TJvBaseValidator also has an OnValidateFailed event. You can use either or both depending on your needs. The OnValidateFailed event of TJvValidators is triggered even if the OnValidateFailed event of a validator is assigned.

Created with Doc-O-Matic.


See Also

TJvValidators.ErrorIndicator, TJvValidators.ValidationSummary


TJvValidators.ValidationSummary property

TJvValidators	See Also	Edit topic

Specifies a component that collects the messages from all failed validations.

Pascal

property ValidationSummary: IJvValidationSummary;

Description

Assign a ValidationSummary component to this property to have automatic collection of error messages when Validate is called. The assigned component must implement the IJvValidationSummary interface or an exception is raised.

Created with Doc-O-Matic.


See Also

TJvValidators.ErrorIndicator


TJvValidators.Exchange method

TJvValidators	See Also	Edit topic

Swaps the position of two items in the Items array.

Pascal

procedure Exchange(Index1: Integer; Index2: Integer);

Parameters

Index1: Integer

Index of the first validator in the Items array.

Index2: Integer

Index of the second validator in the Items array.

Description

Call Exchange to swap the positions of the items at positions Index1 and Index2 of the Items array. The indexes are zero-based, so the first item in the list has an index value of 0, the second item has an index value of 1, and so on.

Created with Doc-O-Matic.


See Also

Remove


TJvValidators.Insert method

TJvValidators	See Also	Edit topic

Adds a validator at runtime.

Pascal

procedure Insert(AValidator: TJvBaseValidator);

Parameters

AValidator: TJvBaseValidator

The validator instance to add.

Description

To add a new validator at runtime, create the validator and add it by calling the Insert method.

Created with Doc-O-Matic.


See Also

Remove


TJvValidators.Remove method

TJvValidators	Edit topic

Removes a validator at runtime.

Pascal

procedure Remove(AValidator: TJvBaseValidator);

Parameters

AValidator: TJvBaseValidator

The validator instance to remove. If the validator is not found, nothing happens.

Description

Call Remove to remove a validator from the Items array at runtime. This does not unregister the validator class.

Created with Doc-O-Matic.


TJvValidators.Validate method

TJvValidators	Edit topic

Performs validation for all validators in Items.

Pascal

function Validate: Boolean;

Return Value

Returns false if any of the validations failed, true otherwise.

Description

Iterates over all the validators and call their protected Validate method and updates their Valid property. If any of the validation fails, the OnValidateFailed event is triggered and any associated ValidationSummary and ErrorIndicator objects are notified.

Created with Doc-O-Matic.


TJvVideoFormat
JEDI-VCL Reference

TJvVideoFormat

Hierarchy	Properties	Methods	 Edit topic

Contains the description of the Video format used by the device.

Pascal

TJvVideoFormat = class(TPersistent);

File

JvAVICapture

Description

The TJvAVICapture component to which the video format is related to must be connected for the values of this object to make sense. Use these values to gather information about the video stream you are capturing.

Created with Doc-O-Matic.


TJvVideoFormat Properties

TJvVideoFormat	Legend

Properties

 BitDepth

 Compression

 Height

 PixelFormat

 Width

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvVideoFormat Methods

TJvVideoFormat

Methods

Update

Created with Doc-O-Matic.


Legend

TJvVideoFormat

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvVideoFormat


TJvVideoFormat Members

TJvVideoFormat	Legend

Members

Properties

 BitDepth

 Compression

 Height

 PixelFormat

 Width

Methods

Update

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvVideoFormat.BitDepth property

TJvVideoFormat	See Also	Edit topic

The number of bits per pixel.

Pascal

property BitDepth: Cardinal;

Description

Read-Only. Usually 8, 16, 24 or 32. This value is to be read in conjunction with PixelFormat and Compression to determine the format of the stream being grabbed.

Created with Doc-O-Matic.


See Also

TJvVideoFormat.Compression, TJvVideoFormat.PixelFormat


TJvVideoFormat.Compression property

TJvVideoFormat	See Also	Edit topic

The compression used by the frames.

Pascal

property Compression: Integer;

Description

Each frame may be compressed using the given compression. The value can take the values you can get in the biCompression member of a BITMAPINFOHEADER structure. At the moment of writing, these values are:

Value	Meaning
BI_RGB	No compression
BI_RLE8	Run Length Encoding with a BitDepth equal to 8
BI_RLE4	Run Length Encoding with a BitDepth equal to 4
BI_BITFIELDS	No compression with a BitDepth equal to 16 or 32
BI_JPEG	JPEG compression (Win98/Me/2k/XP only)
BI_PNG	PNG compression (Win98/Me/2k/XP only)
Created with Doc-O-Matic.


See Also

TJvVideoFormat.BitDepth, TJvVideoFormat.PixelFormat


TJvVideoFormat.Height property

TJvVideoFormat	See Also	Edit topic

The height of the frames in the video stream.

Pascal

property Height: Cardinal;

Description

The height of the frames in the video stream.

Created with Doc-O-Matic.


See Also

TJvVideoFormat.Width


TJvVideoFormat.PixelFormat property

TJvVideoFormat	See Also	Edit topic

The pixel format used in the video stream.

Pascal

property PixelFormat: TPixelFormat;

Description

This can be used when copying a frame to a TImage to ensure the two pixel formats are compatible. Please note however that if the video stream doesn't use RGB encoding (it may use YUV), this value may not be accurate.

Created with Doc-O-Matic.


See Also

TJvVideoFormat.BitDepth, TJvVideoFormat.Compression


TJvVideoFormat.Width property

TJvVideoFormat	See Also	Edit topic

The width of the frames in the video stream.

Pascal

property Width: Cardinal;

Description

The width of the frames in the video stream.

Created with Doc-O-Matic.


See Also

TJvVideoFormat.Height


TJvVideoFormat.Update method

TJvVideoFormat	Edit topic

Updates the content of the fields of the structure.

Pascal

procedure Update;

Description

You generally don't have to call this method directly as it will be called by the TJvAVICapture component to which the video format is linked.

Created with Doc-O-Matic.


TJvViewerItem
JEDI-VCL Reference

TJvViewerItem

Hierarchy	Properties	Methods	 Edit topic

Base class for items in a TJvCustomItemViewer or descendant.

Pascal

TJvViewerItem = class(TPersistent);

File

JvCustomItemViewer

Description

Use TJvViewerItem as the base class for items in the Items array of a TJvCustomItemViewer or descendant. You can control the actual class instantiated by overriding the GetItemClass method of TJvCustomItemViewer.

Created with Doc-O-Matic.


TJvViewerItem Properties

TJvViewerItem	Legend

Properties

Data

 Deleting

Hint

State

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvViewerItem Methods

TJvViewerItem	Legend

Methods

Delete

 ReduceMemoryUsage

Legend

protected

virtual

Created with Doc-O-Matic.


Legend

protected

virtual


Legend

TJvViewerItem

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvViewerItem


TJvViewerItem Members

TJvViewerItem	Legend

Members

Properties

Data

 Deleting

Hint

State

Methods

Delete

 ReduceMemoryUsage

Legend

protected

read only

virtual

Created with Doc-O-Matic.


Legend

protected

read only

virtual


TJvViewerItem.Data property

TJvViewerItem	Edit topic

Specifies any application-specific data associated with the item.

Pascal

property Data: Pointer;

Description

Use Data to associate arbitrary application data with the item.

Created with Doc-O-Matic.


TJvViewerItem.Deleting property

TJvViewerItem	Edit topic

Indicates whether an item is in the process of being deleted.

Pascal

property Deleting: Boolean;

Description

Deleting returns True if the item is in the process of being deleted. Use Deleting to prevent infinite recursion in event handlers.

Created with Doc-O-Matic.


TJvViewerItem.Hint property

TJvViewerItem	Edit topic

Specifies the hint to display for an item

Pascal

property Hint: string;

Description

Use Hint to specify a hint for the item.

Created with Doc-O-Matic.


TJvViewerItem.State property

TJvViewerItem	Edit topic

Specifies the current state of the item.

Pascal

property State: TCustomDrawState;

Description

Use the State property to read and change the current state of an item. State indicates state information that can affect how an item is drawn.

Notes

All possible states might not apply to all item types.

Created with Doc-O-Matic.


TJvViewerItem.Delete method

TJvViewerItem	See Also	Edit topic

Deletes the item.

Pascal

procedure Delete;

Description

Call Delete to delete the item from the list and free its memory.

Created with Doc-O-Matic.


See Also

TJvViewerItem.Deleting


TJvViewerItem.ReduceMemoryUsage method

TJvViewerItem	Edit topic

Tries to minimize memory usage.

Pascal

procedure ReduceMemoryUsage; virtual;

Description

ReduceMemoryUsage is called automatically by the TJvCustomItemViewer owning the item when appropriate. You should never need to call this method yourself. If you derive a new item class from TJvViewerItem, make sure to override this method if your class has some means of reducing memory consumption.

For example, TJvImageItem overrides this method to free the image when the method is called.

Created with Doc-O-Matic.


TJvVigenereCipher
JEDI-VCL Reference

 TJvVigenereCipher

Hierarchy	Properties	Methods	Package	 Edit topic

A component that encodes and decodes according to the Vigenere cipher method

Pascal

TJvVigenereCipher = class(TJvCustomCipher);

File

JvCipher

Description

Here is a short explanation of the vigenere cipher, inspired by the much more complete description available at this address: http://www.trincoll.edu/depts/cpsc/cryptography/vigenere.html

For each letter of the Key, a new alphabet is created by shifting the usual alphabet to start at the same letter as in the key. For instance, if the key is CUP then three alphabets are created:

   CDEFGHIJKLMNOPQRSTUVWXYZAB

   UVWXYZABCDEFGHIJKLMNOPQRST

   PQRSTUVWXYZABCDEFGHIJKLMNO

When encoding a string, each alphabet is used in turn as a lookup table. For instance, if we encode HELLO, then we have this:

  H --> J

  E --> Y

  L --> A

  L --> N

  O --> I

As you can see, the same letter is not always encoded by the same letter, thus making statistical analysis a bit harder. The implementation in this component considers an alphabet of 255 characters, thus encoding every single character no matter what its value is.

Created with Doc-O-Matic.


TJvVigenereCipher Methods

TJvVigenereCipher	Legend

Methods

 Decode

 Encode

TJvCustomCipher

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


TJvVigenereCipher Properties

TJvVigenereCipher	Legend

Properties

TJvCustomCipher

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvVigenereCipher

Legend

virtual

protected

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomCipher
            TJvVigenereCipher


TJvVigenereCipher Members

TJvVigenereCipher	Legend

Members

Methods

 Decode

 Encode

TJvCustomCipher

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Properties

TJvCustomCipher

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Legend

virtual

protected

abstract

published

Created with Doc-O-Matic.


Legend

virtual

protected

abstract

published


Package

Crypt


TJvVigenereCipher.Decode method

TJvVigenereCipher	See Also	Edit topic

Decodes the given buffer using the given key

Pascal

procedure Decode(const Key: string; Buf: PChar; Size: Cardinal); override;

Parameters

Buf

The buffer to be decoded. Its value will be replaced

Size

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Encode


TJvVigenereCipher.Encode method

TJvVigenereCipher	See Also	Edit topic

Encodes the given buffer using the given key

Pascal

procedure Encode(const Key: string; Buf: PChar; Size: Cardinal); override;

Parameters

Key

The key to use to encode the buffer

Buf

The buffer to be encoded. Its value will be replaced

Size

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Decode


TJvVirtualKeySelectionFrame
JEDI-VCL Reference

TJvVirtualKeySelectionFrame

Hierarchy	Properties	 Edit topic

Allows you to select a virtual key.

Pascal

TJvVirtualKeySelectionFrame = class(TFrame);

File

JvVirtualKeySelectionFrame

Description

This frame was originally created to be used with a TJvAVICapture component to select the virtual key that would cancel the capture session; however, you can use this frame to allow your user to select any virtual key for any other use.

Created with Doc-O-Matic.


TJvVirtualKeySelectionFrame Properties

TJvVirtualKeySelectionFrame	Legend

Properties

CombinedKeyCode

 KeyCode

 ShiftState

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvVirtualKeySelectionFrame

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TFrame
    TJvVirtualKeySelectionFrame


TJvVirtualKeySelectionFrame Members

TJvVirtualKeySelectionFrame	Legend

Members

Properties

CombinedKeyCode

 KeyCode

 ShiftState

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvVirtualKeySelectionFrame.CombinedKeyCode property

TJvVirtualKeySelectionFrame	See Also	Edit topic

Returns a key code that contains the shift state.

Pascal

property CombinedKeyCode: Word;

Description

The combined key code is the KeyCode combined with the shift state according to this formula:

  if ssShift in ShiftState then Result := Result or $4000;

  if ssCtrl in ShiftState then Result := Result or $4000;

Created with Doc-O-Matic.


See Also

TJvVirtualKeySelectionFrame.KeyCode, TJvVirtualKeySelectionFrame.ShiftState


TJvVirtualKeySelectionFrame.KeyCode property

TJvVirtualKeySelectionFrame	See Also	Edit topic

The key code entered by the user.

Pascal

property KeyCode: Word;

Description

If you want the shift state combined in this value, use CombinedKeyCode.

Created with Doc-O-Matic.


See Also

TJvVirtualKeySelectionFrame.CombinedKeyCode, TJvVirtualKeySelectionFrame.ShiftState


TJvVirtualKeySelectionFrame.ShiftState property

TJvVirtualKeySelectionFrame	See Also	Edit topic

The shift state the user chose.

Pascal

property ShiftState: TShiftState;

Description

The returned value is of type TShiftState to be used with standard Delphi events.

Created with Doc-O-Matic.


See Also

TJvVirtualKeySelectionFrame.CombinedKeyCode, TJvVirtualKeySelectionFrame.KeyCode


TJvWinControl
JEDI-VCL Reference

TJvWinControl

Hierarchy	 See Also	Edit topic

The base class for custom windowed controls.

Pascal

TJvWinControl = class(TJvExWinControl);

File

JvComponent

Description

TJvWinControl is the base class for custom windowed controls within the JEDI VCL. The class defines one published property, AboutJVCL, that is used to display information about the currently installed JEDI-VCL release.

Created with Doc-O-Matic.


Hierarchy

TJvExWinControl
    TJvWinControl


See Also

TJvCustomControl


TJvWindowHook
JEDI-VCL Reference

 TJvWindowHook

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Enables you to receive messages send to a certain control.

Pascal

TJvWindowHook = class(TJvComponent);

File

JvWndProcHook

Description

Use TJvWindowHook to receive and respond to messages send to a certain control.

Set Control to specify the control to hook and set Active to true to place a hook on that control. Write BeforeMessage and/or AfterMessage event handlers to respond to messages before or after they are handled by the hooked control. Note that if you do not write a BeforeMessage and AfterMessage handler that the control won't be hooked.

TJvWindowHook places and removes a hook on a control by a call to RegisterWndProcHook and UnRegisterWndProcHook, resp. An internal list is maintained to prevent "broken links" when a hook is removed.

Created with Doc-O-Matic.


TJvWindowHook Properties

TJvWindowHook	Legend

Properties

 Active

 Control

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWindowHook Events

TJvWindowHook	Legend

Events

 AfterMessage

 BeforeMessage

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWindowHook Methods

TJvWindowHook

Methods

HookControl

UnHookControl

Created with Doc-O-Matic.


Legend

TJvWindowHook

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvWindowHook


TJvWindowHook Members

TJvWindowHook	Legend

Members

Properties

 Active

 Control

TJvComponent

 AboutJVCL

Events

 AfterMessage

 BeforeMessage

Methods

HookControl

UnHookControl

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

System


TJvWindowHook.Active property

TJvWindowHook	See Also	Edit topic

Indicates whether or not the control is hooked.

Pascal

property Active: Boolean;

Description

Use Active to determine or set whether the control specified by Control is hooked. When Active is false, no AfterMessage and BeforeMessage events will be triggered. When Active is true, the control specified by Control is hooked. Before the hooked control receives a message a BeforeMessage event with that message is fired. After the hooked control has handled that message an AfterMessage event will be fired.

At design time, set Active to true to make the control hooked when the application starts running (the default value is false). At run-time, use the HookControl or UnHookControl method to hook the control or remove the hook.

Created with Doc-O-Matic.


See Also

TJvWindowHook.Control, TJvWindowHook.HookControl, TJvWindowHook.UnHookControl


TJvWindowHook.AfterMessage event

TJvWindowHook	See Also	Edit topic

Occurs after the hooked control has handled a received message.

Pascal

property AfterMessage: TJvHookMessageEvent;

Description

Use AfterMessage to respond to messages send to the hooked control. The AfterMessage event is fired after the hooked control has handled the message.

Use parameter Handled to specify whether the message is handled. Setting Handled to true will prevent other hooks to respond to this message.

This event is only triggered when Active is set to true.

Created with Doc-O-Matic.


See Also

TJvWindowHook.Active, TJvWindowHook.BeforeMessage, TJvWindowHook.Control


TJvWindowHook.BeforeMessage event

TJvWindowHook	See Also	Edit topic

Occurs before the hooked control handles a received message.

Pascal

property BeforeMessage: TJvHookMessageEvent;

Description

Use BeforeMessage to respond to messages send to the hooked control. The BeforeMessage event is fired before the hooked control has handled the message.

Use parameter Handled to specify whether the hooked control may respond to this message. Setting Handled to true will prevent the hooked control or other hooks placed on the control to respond to this message.

This event is only triggered when Active is set to true.

Notes

Be careful with setting parameter Handled to true. For example, unconditionally returning true will crash your application.

Created with Doc-O-Matic.


See Also

TJvWindowHook.Active, TJvWindowHook.AfterMessage, TJvWindowHook.Control


TJvWindowHook.Control property

TJvWindowHook	See Also	Edit topic

Specifies the control to hook.

Pascal

property Control: TControl;

Description

Use property Control to specify which control must be hooked.

Created with Doc-O-Matic.


See Also

TJvWindowHook.Active


TJvWindowHook.HookControl method

TJvWindowHook	See Also	Edit topic

Hooks the control.

Pascal

procedure HookControl;

Description

Call HookControl to set the Active property for the hook component to true. When Active is true, AfterMessage and BeforeMessage will be triggered when the hooked control receives a message.

Created with Doc-O-Matic.


See Also

TJvWindowHook.Active, TJvWindowHook.Control


TJvWindowHook.UnHookControl method

TJvWindowHook	See Also	Edit topic

Unhooks the control.

Pascal

procedure UnHookControl;

Description

Call UnHookControl to set the Active property for the hook component to false. When Active is false, no AfterMessage and BeforeMessage will be triggered. If no other hook components have placed a hook on the control, then the control will be unhooked.

Created with Doc-O-Matic.


See Also

TJvWindowHook.Active, TJvWindowHook.Control


TJvWinMinMaxInfo
JEDI-VCL Reference

TJvWinMinMaxInfo

Hierarchy	Properties	Methods	 See Also	Edit topic

Contains information about a window's maximized size and position and its minimum and maximum tracking size.

Pascal

TJvWinMinMaxInfo = class(TPersistent);

File

JvFormPlacement

Description

TJvWinMinMaxInfo is a wrapper for the windows MINMAXINFO structure. It contains the metrics of a specific form.

TJvWinMinMaxInfo is used by TJvFormPlacement and TJvFormStorage to store information about the form.

Created with Doc-O-Matic.


TJvWinMinMaxInfo Properties

TJvWinMinMaxInfo	Legend

Properties

 MaxPosLeft

 MaxPosTop

 MaxSizeHeight

 MaxSizeWidth

 MaxTrackHeight

 MaxTrackWidth

 MinTrackHeight

 MinTrackWidth

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWinMinMaxInfo Methods

TJvWinMinMaxInfo

Methods

DefaultMinMaxInfo

Created with Doc-O-Matic.


Legend

TJvWinMinMaxInfo

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWinMinMaxInfo


TJvWinMinMaxInfo Members

TJvWinMinMaxInfo	Legend

Members

Properties

 MaxPosLeft

 MaxPosTop

 MaxSizeHeight

 MaxSizeWidth

 MaxTrackHeight

 MaxTrackWidth

 MinTrackHeight

 MinTrackWidth

Methods

DefaultMinMaxInfo

Legend

published

Created with Doc-O-Matic.


Legend

published


See Also

TJvFormPlacement, TJvFormStorage


TJvWinMinMaxInfo.MaxPosLeft property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the position of the left side of the maximized window.

Pascal

property MaxPosLeft: Integer;

Description

Use the MaxPosLeft property to specify the position of the left side of a form if it is maximized.

Notes

MaxPosLeft does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxPosTop, MaxSizeHeight, MaxSizeWidth


TJvWinMinMaxInfo.MaxPosTop property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the position of the top of the maximized window.

Pascal

property MaxPosTop: Integer;

Description

Use the MaxPosTop property to specify the position of the top of a form if it is maximized.

Notes

MaxPosTop does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxPosLeft, MaxSizeHeight, MaxSizeWidth


TJvWinMinMaxInfo.MaxSizeHeight property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the maximized height of the form.

Pascal

property MaxSizeHeight: Integer;

Description

Use the MaxSizeHeight property to specify the height for a form if it is maximized.

Notes

MaxSizeHeight does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxPosLeft, MaxPosTop, MaxSizeWidth


TJvWinMinMaxInfo.MaxSizeWidth property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the maximized width.

Pascal

property MaxSizeWidth: Integer;

Description

Use the MaxSizeWidth property to specify a maximized width for a form.

Notes

MaxSizeWidth does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxPosLeft, MaxPosTop, MaxSizeHeight


TJvWinMinMaxInfo.MaxTrackHeight property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the minimum tracking height of the form at run-time.

Pascal

property MaxTrackHeight: Integer;

Description

The system maintains a minimum and maximum tracking size for a form that has a sizing border. The maximum tracking height is the largest window height you can produce by dragging the sizing border.

A form's minimum and maximum tracking sizes are set to system-defined default values when the system creates the window. Use the MaxTrackHeight property to override one of these default values.

Notes

MaxTrackHeight does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxTrackWidth, MinTrackHeight, MinTrackWidth


TJvWinMinMaxInfo.MaxTrackWidth property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the maximum tracking width of the form at run-time.

Pascal

property MaxTrackWidth: Integer;

Description

The system maintains a minimum and maximum tracking size for a form that has a sizing border. The maximum tracking width is the largest window width you can produce by dragging the sizing border.

A form's minimum and maximum tracking sizes are set to system-defined default values when the system creates the window. Use the MaxTrackWidth property to override one of these default values.

Notes

MaxTrackWidth does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxTrackHeight, MinTrackHeight, MinTrackWidth


TJvWinMinMaxInfo.MinTrackHeight property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the minimum tracking height of the form at run-time.

Pascal

property MinTrackHeight: Integer;

Description

The system maintains a minimum and maximum tracking size for a form that has a sizing border. The minimum tracking height is the smallest window height you can produce by dragging the form's sizing border.

A form's minimum and maximum tracking sizes are set to system-defined default values when the system creates the window. Use the MinTrackHeight property to override one of these default values.

Notes

MinTrackHeight does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxTrackHeight, MaxTrackWidth, MinTrackWidth


TJvWinMinMaxInfo.MinTrackWidth property

TJvWinMinMaxInfo	See Also	Edit topic

Specifies the minimum tracking width of the form at run-time.

Pascal

property MinTrackWidth: Integer;

Description

The system maintains a minimum and maximum tracking size for a form that has a sizing border. The minimum tracking width is the smallest window width you can produce by dragging the form's sizing border.

A form's minimum and maximum tracking sizes are set to system-defined default values when the system creates the window. Use the MinTrackWidth property to override one of these default values.

Notes

MinTrackWidth does not override the system-defined default value, if you set it to 0.

Created with Doc-O-Matic.


See Also

MaxTrackHeight, MaxTrackWidth, MinTrackHeight


TJvWinMinMaxInfo.DefaultMinMaxInfo method

TJvWinMinMaxInfo	Edit topic

Indicates whether to use the system-defined default values.

Pascal

function DefaultMinMaxInfo: Boolean;

Return Value

Returns true if all properties of the TWinMinMaxInfo are set to 0.

Description

A TJvFormPlacement component reads DefaultMinMaxInfo to check whether to override the system-defined default values for the window's maximized size and position and its minimum and maximum tracking size.

Created with Doc-O-Matic.


TJvWizard
JEDI-VCL Reference

 TJvWizard

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Control that provides support for creating wizard style dialogs.

Pascal

TJvWizard = class(TJvCustomControl);

File

JvWizard

Description

Use a TJvWizard to add a wizard style dialog to your application. To use, drop a TJvWizard on a form and add the pages needed. TJvWizard has integrated navigation buttons and provides events to control the logic of page moves.

Created with Doc-O-Matic.


TJvWizard Properties

TJvWizard	Legend

Properties

 ActivePage

ActivePageIndex

 AutoHideButtonBar

 ButtonBack

 ButtonBarHeight

 ButtonCancel

 ButtonFinish

 ButtonHelp

 ButtonLast

 ButtonNext

 ButtonStart

 DefaultButtons

 HeaderImages

 PageCount

 Pages

 ShowDivider

 ShowRouteMap

 WizardPages

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvWizard Events

TJvWizard	Legend

Events

 OnActivePageChanged

 OnActivePageChanging

 OnBackButtonClick

 OnCancelButtonClick

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnSelectFirstPage

 OnSelectLastPage

 OnSelectNextPage

 OnSelectPriorPage

 OnStartButtonClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizard Methods

TJvWizard

Methods

FindNextPage

IsFirstPage

IsForward

IsLastPage

SelectFirstPage

SelectLastPage

SelectNextPage

SelectPriorPage

Created with Doc-O-Matic.


Legend

TJvWizard

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvWizard


TJvWizard Members

TJvWizard	Legend

Members

Properties

 ActivePage

ActivePageIndex

 AutoHideButtonBar

 ButtonBack

 ButtonBarHeight

 ButtonCancel

 ButtonFinish

 ButtonHelp

 ButtonLast

 ButtonNext

 ButtonStart

 DefaultButtons

 HeaderImages

 PageCount

 Pages

 ShowDivider

 ShowRouteMap

 WizardPages

Events

 OnActivePageChanged

 OnActivePageChanging

 OnBackButtonClick

 OnCancelButtonClick

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnSelectFirstPage

 OnSelectLastPage

 OnSelectNextPage

 OnSelectPriorPage

 OnStartButtonClick

Methods

FindNextPage

IsFirstPage

IsForward

IsLastPage

SelectFirstPage

SelectLastPage

SelectNextPage

SelectPriorPage

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


Package

Wizard


TJvWizard.ActivePage property

TJvWizard	See Also	Edit topic

Specifies the currently active page.

Pascal

property ActivePage: TJvWizardCustomPage;

Description

Read ActivePage to determine which page is selected by the user. The user selects a page by clicking the navigation buttons. Set ActivePage to bring a page to the foreground. Only one page can be active at a time.

To change the ActivePage to the page that precedes or follows the active page, use the SelectNextPage method. To iterate through all the pages to locate a specific page, use the FindNextPage method.

Created with Doc-O-Matic.


See Also

TJvWizard.ActivePageIndex, TJvWizard.FindNextPage, TJvWizard.SelectNextPage


TJvWizard.ActivePageIndex property

TJvWizard	See Also	Edit topic

Specifies the currently active page.

Pascal

property ActivePageIndex: Integer;

Description

Use ActivePageIndex to get or set the active page by index rather than by object. The value of ActivePageIndex identifies a page in the Pages property array. Changing the value of ActivePageIndex changes the ActivePage property, and vice versa.

If there is no active page, reading ActivePageIndex gives a value of –1.

Setting ActivePageIndex to a value that is out of bounds (less than 0 or greater than PageCount - 1) results in the page control having no active page.

Created with Doc-O-Matic.


See Also

TJvWizard.ActivePage, TJvWizard.Pages


TJvWizard.AutoHideButtonBar property

TJvWizard	See Also	Edit topic

Specifies whether the panel containing the buttons is hidden automatically.

Pascal

property AutoHideButtonBar: Boolean;

Description

Use AutoHideButtonBar to indicate whether the panel holding the buttons is automatically hidden when there are no buttons displayed. If AutoHideButtonBar is false, the panel retains its size even if all buttons are hidden.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonBarHeight


TJvWizard.ButtonBack property

TJvWizard	See Also	Edit topic

Contains the properties for the back button.

Pascal

property ButtonBack: TJvWizardNavigateButton;

Description

Use the subproperties of this class to modify the look and behavior of the button.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonCancel, TJvWizard.ButtonFinish, TJvWizard.ButtonHelp, TJvWizard.ButtonLast, TJvWizard.ButtonNext, TJvWizard.ButtonStart


TJvWizard.ButtonBarHeight property

TJvWizard	See Also	Edit topic

Specifies the height of the button bar at the bottom of the wizard.

Pascal

property ButtonBarHeight: Integer;

Description

Use ButtonBarHeight to set the height of the panel where the navigation buttons are located. If AutoHideButtonBar is true, the height of the button bar is adjusted automatically. To control the height manually, set AutoHideButtonBar to false.

Created with Doc-O-Matic.


See Also

TJvWizard.AutoHideButtonBar


TJvWizard.ButtonCancel property

TJvWizard	See Also	Edit topic

Contains the properties for the cancel button.

Pascal

property ButtonCancel: TJvWizardNavigateButton;

Description

Use the subproperties of this class to modify the look and behavior of the button.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonBack, TJvWizard.ButtonFinish, TJvWizard.ButtonHelp, TJvWizard.ButtonLast, TJvWizard.ButtonNext, TJvWizard.ButtonStart


TJvWizard.ButtonFinish property

TJvWizard	See Also	Edit topic

Contains the properties for the finish button.

Pascal

property ButtonFinish: TJvWizardNavigateButton;

Description

Use the subproperties of this class to modify the look and behavior of the button.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonBack, TJvWizard.ButtonCancel, TJvWizard.ButtonHelp, TJvWizard.ButtonLast, TJvWizard.ButtonNext, TJvWizard.ButtonStart


TJvWizard.ButtonHelp property

TJvWizard	See Also	Edit topic

Contains the properties for the help button.

Pascal

property ButtonHelp: TJvWizardNavigateButton;

Description

Use the subproperties of this class to modify the look and behavior of the button.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonBack, TJvWizard.ButtonCancel, TJvWizard.ButtonFinish, TJvWizard.ButtonLast, TJvWizard.ButtonNext, TJvWizard.ButtonStart


TJvWizard.ButtonLast property

TJvWizard	See Also	Edit topic

Contains the properties for the last button.

Pascal

property ButtonLast: TJvWizardNavigateButton;

Description

Use the subproperties of this class to modify the look and behavior of the button.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonBack, TJvWizard.ButtonCancel, TJvWizard.ButtonFinish, TJvWizard.ButtonHelp, TJvWizard.ButtonNext, TJvWizard.ButtonStart


TJvWizard.ButtonNext property

TJvWizard	See Also	Edit topic

Contains the properties for the next button.

Pascal

property ButtonNext: TJvWizardNavigateButton;

Description

Use the subproperties of this class to modify the look and behavior of the button.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonBack, TJvWizard.ButtonCancel, TJvWizard.ButtonFinish, TJvWizard.ButtonHelp, TJvWizard.ButtonLast, TJvWizard.ButtonStart


TJvWizard.ButtonStart property

TJvWizard	See Also	Edit topic

Contains the properties for the start button.

Pascal

property ButtonStart: TJvWizardNavigateButton;

Description

Use the subproperties of this class to modify the look and behavior of the button.

Created with Doc-O-Matic.


See Also

TJvWizard.ButtonBack, TJvWizard.ButtonCancel, TJvWizard.ButtonFinish, TJvWizard.ButtonHelp, TJvWizard.ButtonLast, TJvWizard.ButtonNext


TJvWizard.DefaultButtons property

TJvWizard	Edit topic

Not documented

Pascal

property DefaultButtons: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvWizard.HeaderImages property

TJvWizard	Edit topic

Contains properties for a header image.

Pascal

property HeaderImages: TCustomImageList;

Description

Use the subproperties of HeaderImages to manage the settings for the image displayed in the header of the wizard.

Created with Doc-O-Matic.


TJvWizard.OnActivePageChanged event

TJvWizard	See Also	Edit topic

Occurs when the active page has changed.

Pascal

property OnActivePageChanged: TNotifyEvent;

Description

Write a handler for the OnActivePageChanged if you want to be notified when the active page has changed. OnActivePageChanged is a general handler for all pages.

Created with Doc-O-Matic.


See Also

TJvWizard.OnActivePageChanging


TJvWizard.OnActivePageChanging event

TJvWizard	See Also	Edit topic

Occurs when the active page will be changed.

Pascal

TJvWizardChangingPageEvent = procedure (Sender: TObject; var ToPage: TJvWizardCustomPage) of object;
property OnActivePageChanging: TJvWizardChangingPageEvent;

Parameters

ToPage

Not documented

Sender

Not documented

Description

Write a handler for the OnActivePageChanging if you want to be notified before the active page has changed. OnActivePageChanging is a general handler for all pages.

Created with Doc-O-Matic.


See Also

TJvWizard.OnActivePageChanged


TJvWizard.OnBackButtonClick event

TJvWizard	See Also	Edit topic

Occurs when the back button is clicked.

Pascal

property OnBackButtonClick: TNotifyEvent;

Description

Write a handler for the OnBackButtonClick if you want to be notified when the back button is clicked. OnBackButtonClick is a general handler for back button clicks on all pages. To handle button clicks for a specific page only, use OnBackButtonClick of TJvCustomPage instead.

Created with Doc-O-Matic.


See Also

TJvWizard.OnCancelButtonClick, TJvWizard.OnFinishButtonClick, TJvWizard.OnHelpButtonClick, TJvWizard.OnLastButtonClick, TJvWizard.OnNextButtonClick


TJvWizard.OnCancelButtonClick event

TJvWizard	See Also	Edit topic

Occurs when the cancel button is clicked.

Pascal

property OnCancelButtonClick: TNotifyEvent;

Description

Write a handler for the OnCancelButtonClick if you want to be notified when the cancel button is clicked. OnCancelButtonClick is a general handler for cancel button clicks on all pages. To handle button clicks for a specific page only, use OnCancelButtonClick of TJvCustomPage instead.

Created with Doc-O-Matic.


See Also

TJvWizard.OnBackButtonClick, TJvWizard.OnFinishButtonClick, TJvWizard.OnHelpButtonClick, TJvWizard.OnLastButtonClick, TJvWizard.OnNextButtonClick


TJvWizard.OnFinishButtonClick event

TJvWizard	See Also	Edit topic

Occurs when the finish button is clicked.

Pascal

property OnFinishButtonClick: TNotifyEvent;

Description

Write a handler for the OnFinishButtonClick if you want to be notified when the finish button is clicked. OnFinishButtonClick is a general handler for finish button clicks on all pages. To handle button clicks for a specific page only, use OnFinishButtonClick of TJvCustomPage instead.

Created with Doc-O-Matic.


See Also

TJvWizard.OnBackButtonClick, TJvWizard.OnCancelButtonClick, TJvWizard.OnHelpButtonClick, TJvWizard.OnLastButtonClick, TJvWizard.OnNextButtonClick


TJvWizard.OnHelpButtonClick event

TJvWizard	See Also	Edit topic

Occurs when the help button is clicked.

Pascal

property OnHelpButtonClick: TNotifyEvent;

Description

Write a handler for the OnHelpButtonClick if you want to be notified when the help button is clicked. OnHelpButtonClick is a general handler for help button clicks on all pages. To handle button clicks for a specific page only, use OnHelpButtonClick of TJvCustomPage instead.

Created with Doc-O-Matic.


See Also

TJvWizard.OnBackButtonClick, TJvWizard.OnCancelButtonClick, TJvWizard.OnFinishButtonClick, TJvWizard.OnLastButtonClick, TJvWizard.OnNextButtonClick


TJvWizard.OnLastButtonClick event

TJvWizard	See Also	Edit topic

Occurs when the last button is clicked.

Pascal

property OnLastButtonClick: TNotifyEvent;

Description

Write a handler for the OnLastButtonClick if you want to be notified when the last button is clicked. OnLastButtonClick is a general handler for last button clicks on all pages. To handle button clicks for a specific page only, use OnLastButtonClick of TJvCustomPage instead.

Created with Doc-O-Matic.


See Also

TJvWizard.OnBackButtonClick, TJvWizard.OnCancelButtonClick, TJvWizard.OnFinishButtonClick, TJvWizard.OnHelpButtonClick, TJvWizard.OnNextButtonClick


TJvWizard.OnNextButtonClick event

TJvWizard	See Also	Edit topic

Occurs when the next button is clicked.

Pascal

property OnNextButtonClick: TNotifyEvent;

Description

Write a handler for the OnNextButtonClick if you want to be notified when the next button is clicked. OnNextButtonClick is a general handler for next button clicks on all pages. To handle button clicks for a specific page only, use OnNextButtonClick of TJvCustomPage instead.

Created with Doc-O-Matic.


See Also

TJvWizard.OnBackButtonClick, TJvWizard.OnCancelButtonClick, TJvWizard.OnFinishButtonClick, TJvWizard.OnHelpButtonClick, TJvWizard.OnLastButtonClick, TJvWizard.OnStartButtonClick


TJvWizard.OnSelectFirstPage event

TJvWizard	See Also	Edit topic

Occurs when the first page is selected.

Pascal

property OnSelectFirstPage: TJvWizardSelectPageEvent;

Description

Write a handler for this event to be notified when the first page is selected.

Created with Doc-O-Matic.


See Also

TJvWizard.OnSelectLastPage, TJvWizard.OnSelectNextPage, TJvWizard.OnSelectPriorPage


TJvWizard.OnSelectLastPage event

TJvWizard	See Also	Edit topic

Occurs when the last page is selected.

Pascal

property OnSelectLastPage: TJvWizardSelectPageEvent;

Description

Write a handler for this event to be notified when the last page is selected.

Created with Doc-O-Matic.


See Also

TJvWizard.OnSelectFirstPage, TJvWizard.OnSelectNextPage, TJvWizard.OnSelectPriorPage


TJvWizard.OnSelectNextPage event

TJvWizard	See Also	Edit topic

Occurs when the next page is selected.

Pascal

property OnSelectNextPage: TJvWizardSelectPageEvent;

Description

Write a handler for this event to be notified when the next page is selected.

Created with Doc-O-Matic.


See Also

TJvWizard.OnSelectFirstPage, TJvWizard.OnSelectLastPage, TJvWizard.OnSelectPriorPage


TJvWizard.OnSelectPriorPage event

TJvWizard	See Also	Edit topic

Occurs when the previous page is selected.

Pascal

property OnSelectPriorPage: TJvWizardSelectPageEvent;

Description

Write a handler for this event to be notified when the previous page is selected.

Created with Doc-O-Matic.


See Also

TJvWizard.OnSelectFirstPage, TJvWizard.OnSelectLastPage, TJvWizard.OnSelectNextPage


TJvWizard.OnStartButtonClick event

TJvWizard	See Also	Edit topic

Occurs when the start button is clicked.

Pascal

property OnStartButtonClick: TNotifyEvent;

Description

Write a handler for the OnStartButtonClick if you want to be notified when the start button is clicked. OnStartButtonClick is a general handler for next button clicks on all pages. To handle button clicks for a specific page only, use OnStartButtonClick of TJvCustomPage instead.

Created with Doc-O-Matic.


See Also

TJvWizard.OnBackButtonClick, TJvWizard.OnCancelButtonClick, TJvWizard.OnFinishButtonClick, TJvWizard.OnHelpButtonClick, TJvWizard.OnLastButtonClick, TJvWizard.OnNextButtonClick


TJvWizard.PageCount property

TJvWizard	See Also	Edit topic

Returns the total number of pages in the wizard.

Pascal

property PageCount: Integer;

Description

Read PageCount to determine the total number of pages in the Pages array. To iterate the Pages array, indices between 0 and PageCount - 1 are valid.

Created with Doc-O-Matic.


See Also

TJvWizard.Pages


TJvWizard.Pages property

TJvWizard	See Also	Edit topic

Provides indexed access to the wizard's pages.

Pascal

property Pages: TJvWizardPageList;

Description

Use Pages to access the pages in the wizard using an index. To access the first page of the wizard, use Pages[0]. To access the last page, use Pages[PageCount-1].

Created with Doc-O-Matic.


See Also

TJvWizard.PageCount, TJvWizard.WizardPages


TJvWizard.ShowDivider property

TJvWizard	Edit topic

Specifies whether a divider is visible in the wizard.

Pascal

property ShowDivider: Boolean;

Description

Use ShowDivider to specify whether a divider line is displayed just above the panel holding the navigation buttons. Showing a divider is common in wizard style applications.

Created with Doc-O-Matic.


TJvWizard.ShowRouteMap property

TJvWizard	Edit topic

Specifies whether the route map is visible.

Pascal

property ShowRouteMap: Boolean;

Description

Use ShowRouteMap to conditionally hide and show the assigned route map component. If no route map is assigned, this property does nothing.

Notes

The route map is automatically assigned when dropped on the form.

Created with Doc-O-Matic.


TJvWizard.WizardPages property

TJvWizard	See Also	Edit topic

Provides indexed access to the wizard's pages.

Pascal

property WizardPages [Index: Integer]: TJvWizardCustomPage;

Description

Use WizardPages to access the pages in the wizard using an index. To access the first page of the wizard, use WizardPages[0]. To access the last page, use WizardPages[PageCount-1]. WizardPages is similar to Pages but the return value is of type TJvWizardCustomPage, removing the necessity to typecast the returned value.

Created with Doc-O-Matic.


See Also

TJvWizard.PageCount, TJvWizard.Pages


TJvWizard.FindNextPage method

TJvWizard	See Also	Edit topic

Returns the next page in the wizard before or after a specified page.

Pascal

function FindNextPage(PageIndex: Integer; const Step: Integer = 1; CheckDisable: Boolean = True): TJvWizardCustomPage;

Return Value

The next page or nil if there is no next page.

Parameters

PageIndex: Integer

The index of the page to start with.

const Step: Integer = 1

The number of pages to step over at each iteration. If Step is > 0, the search moves forward, if Step < 0 the search goes backwards. Do not set Step = 0 as this could cause infinite loops.

CheckDisable: Boolean = True

Specifies whether disabled pages are checked.

Description

Call FindNextPage to locate a page in the wizard by its position relative to the page specified by the PageIndex parameter. If Step is > 0, FindNextPage moves forward through the Pages array. If Step < 0, FindNextPage moves backwards. If PageIndex is not a page in the wizard, FindNextPage returns the first page when Step > 0 or the last page when Step < 0.

When CheckDisabled is True, FindNextPage returns the next page with an Enabled property set to True; if CheckDisabled is False, FindNextPage returns the next page, including pages with Enabled set to False.

Created with Doc-O-Matic.


See Also

TJvWizard.IsFirstPage, TJvWizard.IsLastPage


TJvWizard.IsFirstPage method

TJvWizard	See Also	Edit topic

Checks whether the specified page is the first page.

Pascal

function IsFirstPage(const APage: TJvWizardCustomPage; CheckDisable: Boolean = True): Boolean;

Return Value

True if APage is the first page in the wizard.

Parameters

const APage: TJvWizardCustomPage

The page to check.

CheckDisable: Boolean = True

Specifies whether disabled pages are checked.

Description

Call IsFirstPage to determine whether the specified page is the first page in the wizard.

Created with Doc-O-Matic.


See Also

TJvWizard.IsLastPage


TJvWizard.IsForward method

TJvWizard	Edit topic

Checks whether FromPage is before ToPage

Pascal

function IsForward(const FromPage: TJvWizardCustomPage; const ToPage: TJvWizardCustomPage): Boolean;

Return Value

True if FromPage is before ToPage.

Parameters

const FromPage: TJvWizardCustomPage

The first page.

const ToPage: TJvWizardCustomPage

The last page.

Description

Call IsForward to determine if FromPage is before ToPage in the Pages array.

Created with Doc-O-Matic.


TJvWizard.IsLastPage method

TJvWizard	See Also	Edit topic

Checks whether the specified page is the last page.

Pascal

function IsLastPage(const APage: TJvWizardCustomPage; CheckDisable: Boolean = True): Boolean;

Return Value

True if APage is the last page in the wizard.

Parameters

const APage: TJvWizardCustomPage

The page to check.

CheckDisable: Boolean = True

Specifies whether disabled pages are checked.

Description

Call IsLastPage to determine whether the specified page is the last page in the wizard.

Created with Doc-O-Matic.


See Also

TJvWizard.IsFirstPage


TJvWizard.SelectFirstPage method

TJvWizard	See Also	Edit topic

Moves to the first page.

Pascal

procedure SelectFirstPage;

Description

Call SelectFirstPage to move directly to the first page in the wizard.

Created with Doc-O-Matic.


See Also

TJvWizard.SelectLastPage, TJvWizard.SelectNextPage, TJvWizard.SelectPriorPage


TJvWizard.SelectLastPage method

TJvWizard	See Also	Edit topic

Moves to the last page.

Pascal

procedure SelectLastPage;

Description

Call SelectLastPage to move directly to the last page in the wizard.

Created with Doc-O-Matic.


See Also

TJvWizard.SelectFirstPage, TJvWizard.SelectNextPage, TJvWizard.SelectPriorPage


TJvWizard.SelectNextPage method

TJvWizard	See Also	Edit topic

Moves to the next page.

Pascal

procedure SelectNextPage;

Description

Call SelectNextPage to move directly to the next page in the wizard.

Created with Doc-O-Matic.


See Also

TJvWizard.SelectFirstPage, TJvWizard.SelectLastPage, TJvWizard.SelectPriorPage


TJvWizard.SelectPriorPage method

TJvWizard	See Also	Edit topic

Moves to the previous page.

Pascal

procedure SelectPriorPage;

Description

Call SelectPriorPage to move directly to the previous page in the wizard.

Created with Doc-O-Matic.


See Also

TJvWizard.SelectFirstPage, TJvWizard.SelectLastPage, TJvWizard.SelectNextPage


TJvWizardButtonControl
JEDI-VCL Reference

TJvWizardButtonControl

Hierarchy	Properties	 Edit topic

Base class for the buttons on a wizard control.

Pascal

TJvWizardButtonControl = class(TBitBtn);

File

JvWizard

Description

TJvWizardButtonControl is the base class for all navigation buttons in a TJvWizard, such as Start, Next, Prior, Finish, Cancel, Help

Created with Doc-O-Matic.


TJvWizardButtonControl Properties

TJvWizardButtonControl	Legend

Properties

 Alignment

 Wizard

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvWizardButtonControl

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TBitBtn
    TJvWizardButtonControl


TJvWizardButtonControl Members

TJvWizardButtonControl	Legend

Members

Properties

 Alignment

 Wizard

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvWizardButtonControl.Alignment property

TJvWizardButtonControl	Edit topic

Controls the horizontal placement of the button.

Pascal

property Alignment: TJvWizardLeftRight;

Description

Alignment is used internally to position a button correctly on its parent. Do not change this value as it might destroy the layout of buttons on the wizard.

Created with Doc-O-Matic.


TJvWizardButtonControl.Wizard property

TJvWizardButtonControl	Edit topic

Specifies the wizard this button is located on.

Pascal

property Wizard: TJvWizard;

Description

Wizard is used internally to specify the wizard on which this button is displayed. Do not change this property manually unless you are writing a descendant button control.

Created with Doc-O-Matic.


TJvWizardCustomPage
JEDI-VCL Reference

TJvWizardCustomPage

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for wizard pages.

Pascal

TJvWizardCustomPage = class(TCustomControl);

File

JvWizard

Description

TJvWizardCustomPage is the base class for pages that can be displayed in a TJvWizard. Currently, TJvWizard only defines two different page types derived from TJvCustomPage: TJvWizardWelcomePage and TJvWizardInteriorPage.

Created with Doc-O-Matic.


TJvWizardCustomPage Properties

TJvWizardCustomPage	Legend

Properties

 EnabledButtons

 EnableJumpToPage

 Header

 Image

PageIndex

 Panel

 Subtitle

 Title

 VisibleButtons

Wizard

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardCustomPage Events

TJvWizardCustomPage	Legend

Events

 OnBackButtonClick

 OnCancelButtonClick

 OnEnterPage

 OnExitPage

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnPage

 OnPaintPage

 OnStartButtonClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardCustomPage Methods

TJvWizardCustomPage	Legend

Methods

 EnableButton

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvWizardCustomPage

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvWizardCustomPage


TJvWizardCustomPage Members

TJvWizardCustomPage	Legend

Members

Properties

 EnabledButtons

 EnableJumpToPage

 Header

 Image

PageIndex

 Panel

 Subtitle

 Title

 VisibleButtons

Wizard

Events

 OnBackButtonClick

 OnCancelButtonClick

 OnEnterPage

 OnExitPage

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnPage

 OnPaintPage

 OnStartButtonClick

Methods

 EnableButton

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


TJvWizardCustomPage.EnabledButtons property

TJvWizardCustomPage	See Also	Edit topic

Indicates the buttons that should be enabled.

Pascal

property EnabledButtons: TJvWizardButtonSet;

Description

Use EnabledButtons to set the buttons that should be enabled for this page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.VisibleButtons


TJvWizardCustomPage.EnableJumpToPage property

TJvWizardCustomPage	Edit topic

Indicates whether the user can jump from this page to any other page.

Pascal

property EnableJumpToPage: Boolean;

Description

Set EnableJumpToPage to true (the default) to allow the user to move to any other page. This property is mostly used with route maps.

Created with Doc-O-Matic.


TJvWizardCustomPage.Header property

TJvWizardCustomPage	See Also	Edit topic

Defines properties for the page's header area.

Pascal

property Header: TJvWizardPageHeader;

Description

Use the subproperties of Header to manage the settings for the header area of a page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.Image, TJvWizardCustomPage.Panel, TJvWizardCustomPage.Subtitle, TJvWizardCustomPage.Title


TJvWizardCustomPage.Image property

TJvWizardCustomPage	See Also	Edit topic

Defines the image to show on the page.

Pascal

property Image: TJvWizardImage;

Description

Use the subproperties of Image to manage the settings for an image displayed on the page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.Header, TJvWizardCustomPage.Panel, TJvWizardCustomPage.Subtitle, TJvWizardCustomPage.Title


TJvWizardCustomPage.OnBackButtonClick event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the back button is clicked.

Pascal

property OnBackButtonClick: TJvWizardPageClickEvent;

Description

Write a handler for the OnBackButtonClick if you want to be notified when the back button is clicked on the current page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnCancelButtonClick, TJvWizardCustomPage.OnFinishButtonClick, TJvWizardCustomPage.OnHelpButtonClick, TJvWizardCustomPage.OnLastButtonClick, TJvWizardCustomPage.OnNextButtonClick, TJvWizardCustomPage.OnStartButtonClick


TJvWizardCustomPage.OnCancelButtonClick event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the cancel button is clicked.

Pascal

property OnCancelButtonClick: TJvWizardPageClickEvent;

Description

Write a handler for the OnCancelButtonClick if you want to be notified when the cancel button is clicked on the current page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnBackButtonClick, TJvWizardCustomPage.OnFinishButtonClick, TJvWizardCustomPage.OnHelpButtonClick, TJvWizardCustomPage.OnLastButtonClick, TJvWizardCustomPage.OnNextButtonClick, TJvWizardCustomPage.OnStartButtonClick


TJvWizardCustomPage.OnEnterPage event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the page gains focus.

Pascal

property OnEnterPage: TJvWizardChangePageEvent;

Description

Write a handler for this event to be notified when the page receives focus.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnExitPage


TJvWizardCustomPage.OnExitPage event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the page loses focus.

Pascal

property OnExitPage: TJvWizardChangePageEvent;

Description

Write a handler for this event to be notified when the page loses focus.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnEnterPage


TJvWizardCustomPage.OnFinishButtonClick event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the finish button is clicked.

Pascal

property OnFinishButtonClick: TJvWizardPageClickEvent;

Description

Write a handler for the OnFinishButtonClick if you want to be notified when the finish button is clicked on the current page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnBackButtonClick, TJvWizardCustomPage.OnCancelButtonClick, TJvWizardCustomPage.OnHelpButtonClick, TJvWizardCustomPage.OnLastButtonClick, TJvWizardCustomPage.OnNextButtonClick, TJvWizardCustomPage.OnStartButtonClick


TJvWizardCustomPage.OnHelpButtonClick event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the help button is clicked.

Pascal

property OnHelpButtonClick: TJvWizardPageClickEvent;

Description

Write a handler for the OnHelpButtonClick if you want to be notified when the help button is clicked on the current page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnBackButtonClick, TJvWizardCustomPage.OnCancelButtonClick, TJvWizardCustomPage.OnFinishButtonClick, TJvWizardCustomPage.OnLastButtonClick, TJvWizardCustomPage.OnNextButtonClick, TJvWizardCustomPage.OnStartButtonClick


TJvWizardCustomPage.OnLastButtonClick event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the last button is clicked.

Pascal

property OnLastButtonClick: TJvWizardPageClickEvent;

Description

Write a handler for the OnLastButtonClick if you want to be notified when the last button is clicked on the current page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnBackButtonClick, TJvWizardCustomPage.OnCancelButtonClick, TJvWizardCustomPage.OnFinishButtonClick, TJvWizardCustomPage.OnHelpButtonClick, TJvWizardCustomPage.OnNextButtonClick, TJvWizardCustomPage.OnStartButtonClick


TJvWizardCustomPage.OnNextButtonClick event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the next button is clicked.

Pascal

property OnNextButtonClick: TJvWizardPageClickEvent;

Description

Write a handler for the OnNextButtonClick if you want to be notified when the next button is clicked on the current page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnBackButtonClick, TJvWizardCustomPage.OnCancelButtonClick, TJvWizardCustomPage.OnFinishButtonClick, TJvWizardCustomPage.OnHelpButtonClick, TJvWizardCustomPage.OnLastButtonClick, TJvWizardCustomPage.OnStartButtonClick


TJvWizardCustomPage.OnPage event

TJvWizardCustomPage	Edit topic

Occurs when a new page has been selected and is fully loaded and ready to use.

Pascal

property OnPage: TNotifyEvent;

Description

Write a handler for this event to be notified when a page has been activated and fully loaded.

Created with Doc-O-Matic.


TJvWizardCustomPage.OnPaintPage event

TJvWizardCustomPage	Edit topic

Occurs when the page needs to be drawn.

Pascal

TJvWizardPaintPageEvent = procedure (Sender: TObject; ACanvas: TCanvas; var ARect: TRect) of object;
property OnPaintPage: TJvWizardPaintPageEvent;

Parameters

ARect

The rect area to draw within.

ACanvas

The canvas to draw on.

Sender

The page that needs painting.

Description

Write a handler for this event to custom draw the page.

Created with Doc-O-Matic.


TJvWizardCustomPage.OnStartButtonClick event

TJvWizardCustomPage	See Also	Edit topic

Occurs when the start button is clicked.

Pascal

property OnStartButtonClick: TJvWizardPageClickEvent;

Description

Write a handler for the OnStartButtonClick if you want to be notified when the start button is clicked on the current page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.OnBackButtonClick, TJvWizardCustomPage.OnCancelButtonClick, TJvWizardCustomPage.OnFinishButtonClick, TJvWizardCustomPage.OnHelpButtonClick, TJvWizardCustomPage.OnLastButtonClick, TJvWizardCustomPage.OnNextButtonClick


TJvWizardCustomPage.PageIndex property

TJvWizardCustomPage	See Also	Edit topic

Defines the location of the page within the parent's Pages property.

Pascal

property PageIndex: Integer;

Description

Use PageIndex to determine where the page sits in its wizard. Each page in a wizard is automatically assigned a PageIndex when it is inserted in the wizard. The first page receives a value of 0, the second has a value of 1, and so on. PageIndex values are reassigned if pages are deleted or moved.

Created with Doc-O-Matic.


See Also

TJvWizard.Pages, TJvWizardCustomPage.Wizard


TJvWizardCustomPage.Panel property

TJvWizardCustomPage	See Also	Edit topic

Specifies properties for the background panel on the page.

Pascal

property Panel: TJvWizardPagePanel;

Description

Use the subproperties of Panel to manage the settings for a background panel on the page.

Notes

Panel is not a TWinControl descendant and thus you cannot make it a parent of other controls. Any control dropped on the panel are still parented to the page itself.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.Header, TJvWizardCustomPage.Image, TJvWizardCustomPage.Subtitle, TJvWizardCustomPage.Title


TJvWizardCustomPage.Subtitle property

TJvWizardCustomPage	See Also	Edit topic

Specifies the settings for the page's subtitle.

Pascal

property Subtitle: TJvWizardPageTitle;

Description

Use the subproperties of Subtitle to manage the settings for the subtitle area in the page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.Header, TJvWizardCustomPage.Image, TJvWizardCustomPage.Panel, TJvWizardCustomPage.Title


TJvWizardCustomPage.Title property

TJvWizardCustomPage	See Also	Edit topic

Specifies the settings for the page's title.

Pascal

property Title: TJvWizardPageTitle;

Description

Use the subproperties of Title to manage the settings for the title area in the page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.Header, TJvWizardCustomPage.Image, TJvWizardCustomPage.Panel, TJvWizardCustomPage.Subtitle


TJvWizardCustomPage.VisibleButtons property

TJvWizardCustomPage	See Also	Edit topic

Defines the buttons that are visible on the page.

Pascal

property VisibleButtons: TJvWizardButtonSet;

Description

Use VisibleButtons to specify the buttons that should be visible on the page.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.EnabledButtons


TJvWizardCustomPage.Wizard property

TJvWizardCustomPage	Edit topic

Indicates the wizard this page is displayed on.

Pascal

property Wizard: TJvWizard;

Description

Wizard is used internally to specify the wizard this page is parented to. Do not assign a new wizard to this property unless you are writing a wizard descendant with special requirements.

Created with Doc-O-Matic.


TJvWizardCustomPage.EnableButton method

TJvWizardCustomPage	See Also	Edit topic

Enables or disables a button.

Pascal

procedure EnableButton(AButton: TJvWizardButtonKind; AEnabled: Boolean); virtual;

Parameters

AButton: TJvWizardButtonKind

The button to modify.

AEnabled: Boolean

Set to true to enable the button, to False to disable it.

Description

Call EnableButton to enable or disable a button.

Created with Doc-O-Matic.


See Also

TJvWizardCustomPage.EnabledButtons


TJvWizardGraphicObject
JEDI-VCL Reference

TJvWizardGraphicObject

Hierarchy	Properties	Methods	 Edit topic

Base class for graphic objects in a wizard.

Pascal

TJvWizardGraphicObject = class(TPersistent);

File

JvWizard

Description

TJvWizardGraphicObject is used as a base class for several graphic objects within a wizard and the pages of a wizard.

Created with Doc-O-Matic.


TJvWizardGraphicObject Properties

TJvWizardGraphicObject	Legend

Properties

 Color

 Visible

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardGraphicObject Methods

TJvWizardGraphicObject	Legend

Methods

 PaintTo

Legend

abstract

Created with Doc-O-Matic.


Legend

abstract


Legend

TJvWizardGraphicObject

Legend

published

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardGraphicObject


TJvWizardGraphicObject Members

TJvWizardGraphicObject	Legend

Members

Properties

 Color

 Visible

Methods

 PaintTo

Legend

published

abstract

Created with Doc-O-Matic.


Legend

published

abstract


TJvWizardGraphicObject.Color property

TJvWizardGraphicObject	Edit topic

Indicates the color of the object.

Pascal

property Color: TColor;

Description

Use Color to set and retrieve the color of the object.

Created with Doc-O-Matic.


TJvWizardGraphicObject.Visible property

TJvWizardGraphicObject	Edit topic

Indicates whether the object is visible or not.

Pascal

property Visible: Boolean;

Description

Use Visible to specify whether the object can be seen on screen or not.

Created with Doc-O-Matic.


TJvWizardGraphicObject.PaintTo method

TJvWizardGraphicObject	Edit topic

Draws the object on a canvas.

Pascal

procedure PaintTo(ACanvas: TCanvas; var ARect: TRect); virtual; abstract;

Parameters

ACanvas: TCanvas

The canvas to draw to.

var ARect: TRect

The area to draw in.

Description

Call PaintTo to draw the object on an arbitrary canvas.

Created with Doc-O-Matic.


TJvWizardImage
JEDI-VCL Reference

TJvWizardImage

Hierarchy	Properties	Methods	 Edit topic

Base class for wizard images.

Pascal

TJvWizardImage = class(TPersistent);

File

JvWizard

Description

TJvWizardImage manages the settings for an image in a wizard.

Created with Doc-O-Matic.


TJvWizardImage Properties

TJvWizardImage	Legend

Properties

 Alignment

 Layout

 Picture

 Transparent

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardImage Methods

TJvWizardImage

Methods

PaintTo

Created with Doc-O-Matic.


Legend

TJvWizardImage

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardImage


TJvWizardImage Members

TJvWizardImage	Legend

Members

Properties

 Alignment

 Layout

 Picture

 Transparent

Methods

PaintTo

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardImage.Alignment property

TJvWizardImage	See Also	Edit topic

Indicates the vertical alignment of the image.

Pascal

property Alignment: TJvWizardImageAlignment;

Description

Use Alignment to specify the alignment of the image within the control.

Created with Doc-O-Matic.


See Also

TJvWizardImage.Layout


TJvWizardImage.Layout property

TJvWizardImage	See Also	Edit topic

Indicates the horizontal alignment of the image.

Pascal

property Layout: TJvWizardImageLayout;

Description

Use Layout to specify the alignment of the image within the control.

Created with Doc-O-Matic.


See Also

TJvWizardImage.Alignment


TJvWizardImage.Picture property

TJvWizardImage	Edit topic

Specifies the image that appears in the object.

Pascal

property Picture: TPicture;

Description

Use Picture to specify the image to display.

Created with Doc-O-Matic.


TJvWizardImage.Transparent property

TJvWizardImage	Edit topic

Indicates whether the background of the image is visible or not.

Pascal

property Transparent: Boolean;

Description

Use Transparent to indicate whether the background can be seen through the image or not. The color used as the transparent color is taken from the lower left pixel of the image and all pixels with the same color are drawn transparently.

Created with Doc-O-Matic.


TJvWizardImage.PaintTo method

TJvWizardImage	Edit topic

Method that draws the object on an arbitrary canvas

Pascal

procedure PaintTo(const ACanvas: TCanvas; ARect: TRect);

Parameters

const ACanvas: TCanvas

The canvas to draw on

ARect: TRect

The bounds to draw the object within

Description

Call PaintTo to draw the object on a canvas you supply.

Created with Doc-O-Matic.


TJvWizardInteriorPage
JEDI-VCL Reference

TJvWizardInteriorPage

Hierarchy	Properties	Methods	Events	 Edit topic

Wizard page that is used as interior pages.

Pascal

TJvWizardInteriorPage = class(TJvWizardCustomPage);

File

JvWizard

Description

To add an interior page at design time, right click the TJvWizard and click on "New Interior Page". To add an interior page at run time, use code similar to the following (JvWizard1 is a TJvWizard on the form):

  ...

  var

    InteriorPage:TJvWizardInteriorPage;

  begin

    InteriorPage := TJvWizardInteriorPage.Create(self); // self references the form here

    InteriorPage.Wizard := JvWizard1; // add the page to the wizard

    InteriorPage.PageIndex := 1; // move the page so it is the second page in the wizard

  end;

Created with Doc-O-Matic.


TJvWizardInteriorPage Properties

TJvWizardInteriorPage	Legend

Properties

TJvWizardCustomPage

 EnabledButtons

 EnableJumpToPage

 Header

 Image

PageIndex

 Panel

 Subtitle

 Title

 VisibleButtons

Wizard

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardInteriorPage Events

TJvWizardInteriorPage	Legend

Events

TJvWizardCustomPage

 OnBackButtonClick

 OnCancelButtonClick

 OnEnterPage

 OnExitPage

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnPage

 OnPaintPage

 OnStartButtonClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardInteriorPage Methods

TJvWizardInteriorPage	Legend

Methods

TJvWizardCustomPage

 EnableButton

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvWizardInteriorPage

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvWizardCustomPage
        TJvWizardInteriorPage


TJvWizardInteriorPage Members

TJvWizardInteriorPage	Legend

Members

Properties

TJvWizardCustomPage

 EnabledButtons

 EnableJumpToPage

 Header

 Image

PageIndex

 Panel

 Subtitle

 Title

 VisibleButtons

Wizard

Events

TJvWizardCustomPage

 OnBackButtonClick

 OnCancelButtonClick

 OnEnterPage

 OnExitPage

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnPage

 OnPaintPage

 OnStartButtonClick

Methods

TJvWizardCustomPage

 EnableButton

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


TJvWizardNavigateButton
JEDI-VCL Reference

TJvWizardNavigateButton

Hierarchy	Properties	 Edit topic

Class used for navigation buttons in a wizard control.

Pascal

TJvWizardNavigateButton = class(TPersistent);

File

JvWizard

Description

TJvWizardNavigateButton is the type used for all navigation buttons in a TJvWizard,

Created with Doc-O-Matic.


TJvWizardNavigateButton Properties

TJvWizardNavigateButton	Legend

Properties

 Caption

 Control

 Glyph

 Layout

 ModalResult

 NumGlyphs

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvWizardNavigateButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardNavigateButton


TJvWizardNavigateButton Members

TJvWizardNavigateButton	Legend

Members

Properties

 Caption

 Control

 Glyph

 Layout

 ModalResult

 NumGlyphs

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvWizardNavigateButton.Caption property

TJvWizardNavigateButton	Edit topic

Specifies the text to show on the button.

Pascal

property Caption: string;

Description

Use Caption to specify the text string that appears in the button..

Created with Doc-O-Matic.


TJvWizardNavigateButton.Control property

TJvWizardNavigateButton	Edit topic

References the actual button object.

Pascal

property Control: TJvWizardButtonControl;

Description

Use Control when you need to access the button object directly.

Created with Doc-O-Matic.


TJvWizardNavigateButton.Glyph property

TJvWizardNavigateButton	See Also	Edit topic

Specifies the bitmap that appears on the button.

Pascal

property Glyph: TBitmap;

Description

Set Glyph to a bitmap object that contains the image that should appear on the face of the button.

Bring up the Open dialog box from the Object Inspector to choose a bitmap file (with a .BMP extension), or specify a bitmap file at runtime.

Created with Doc-O-Matic.


See Also

TJvWizardNavigateButton.NumGlyphs


TJvWizardNavigateButton.Layout property

TJvWizardNavigateButton	See Also	Edit topic

Indicates the horizontal alignment of text.

Pascal

property Layout: TButtonLayout;

Description

Set Layout to specify how the text of the button is placed within the ClientRect of the control. Layout is the vertical analog to the Alignment property.

Created with Doc-O-Matic.


See Also

TJvWizardButtonControl.Alignment


TJvWizardNavigateButton.ModalResult property

TJvWizardNavigateButton	Edit topic

Determines whether and how the button closes its (modal) parent form.

Pascal

property ModalResult: TModalResult;

Description

Setting the button’s ModalResult property is an easy way to make clicking the button close a modal form. When a button is clicked, the ModalResult property of its parent form is set to the same value as the button’s ModalResult property.

Created with Doc-O-Matic.


TJvWizardNavigateButton.NumGlyphs property

TJvWizardNavigateButton	See Also	Edit topic

Indicates the number of images that are in the graphic specified in the Glyph property.

Pascal

property NumGlyphs: Integer;

Description

If you have multiple images in a bitmap, you must specify the number of images that are in the bitmap with the NumGlyphs property. Valid NumGlyphs values are 1 to 4. The default value is 1.

Created with Doc-O-Matic.


See Also

TJvWizardNavigateButton.Glyph


TJvWizardPageHeader
JEDI-VCL Reference

TJvWizardPageHeader

Hierarchy	Properties	Methods	 Edit topic

Class that manages the header settings for a wizard page.

Pascal

TJvWizardPageHeader = class(TJvWizardPageObject);

File

JvWizard

Description

TJvWizardPageHeader is the type of the Header property for a TJvWizardCustomPage and it contains properties to manage the appearance and content of the header.

Created with Doc-O-Matic.


TJvWizardPageHeader Properties

TJvWizardPageHeader	Legend

Properties

 Color

 Height

 ImageAlignment

 ImageIndex

 ImageOffset

 ShowDivider

 Subtitle

 Title

 Visible

TJvWizardPageObject

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvWizardPageHeader Methods

TJvWizardPageHeader	Legend

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvWizardPageHeader

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardGraphicObject
        TJvWizardPageObject
            TJvWizardPageHeader


TJvWizardPageHeader Members

TJvWizardPageHeader	Legend

Members

Properties

 Color

 Height

 ImageAlignment

 ImageIndex

 ImageOffset

 ShowDivider

 Subtitle

 Title

 Visible

TJvWizardPageObject

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

virtual

abstract


TJvWizardPageHeader.Color property

TJvWizardPageHeader	Edit topic

Indicates the color of the object.

Pascal

property Color: TColor;

Description

Use Color to set and retrieve the color of the object.

Created with Doc-O-Matic.


TJvWizardPageHeader.Height property

TJvWizardPageHeader	Edit topic

Indicates the height in pixels of the header.

Pascal

property Height: Integer;

Description

Use Height to specify the height of the header area in pixels.

Created with Doc-O-Matic.


TJvWizardPageHeader.ImageAlignment property

TJvWizardPageHeader	See Also	Edit topic

Indicates the alignment of the header image.

Pascal

property ImageAlignment: TJvWizardImageLeftRight;

Description

Use ImageAlignment to specify the alignment of the image within the header.

Created with Doc-O-Matic.


See Also

TJvWizardPageHeader.ImageIndex, TJvWizardPageHeader.ImageOffset


TJvWizardPageHeader.ImageIndex property

TJvWizardPageHeader	See Also	Edit topic

Indicates the index of the image to display.

Pascal

property ImageIndex: Integer;

Description

Use ImageIndex to indicate the image to display in the header. The image is taken from the HeaderImages property of TJvWizard.

Created with Doc-O-Matic.


See Also

TJvWizardPageHeader.ImageAlignment, TJvWizardPageHeader.ImageOffset


TJvWizardPageHeader.ImageOffset property

TJvWizardPageHeader	See Also	Edit topic

Indicates the offset of the image from the edge.

Pascal

property ImageOffset: Integer;

Description

Use ImageOffset to set the offset in pixels from the edge of the image. The calculation of the offset is also controlled by the ImageAlignment property.

Created with Doc-O-Matic.


See Also

TJvWizardPageHeader.ImageAlignment, TJvWizardPageHeader.ImageIndex


TJvWizardPageHeader.ShowDivider property

TJvWizardPageHeader	Edit topic

Indicates whether a divider is shown above the navigation buttons.

Pascal

property ShowDivider: Boolean;

Description

Use ShowDivider to indicate whether a divider line is displayed in the header or not. Note that the divider is always visible at design time.

Created with Doc-O-Matic.


TJvWizardPageHeader.Subtitle property

TJvWizardPageHeader	See Also	Edit topic

Manages the settings for the subtitle on a page.

Pascal

property Subtitle: TJvWizardPageTitle;

Description

Use the subproperties of Subtitle to manage the subtitle settings of the header.

Created with Doc-O-Matic.


See Also

TJvWizardPageHeader.Title


TJvWizardPageHeader.Title property

TJvWizardPageHeader	See Also	Edit topic

Manages the settings for the title on a page.

Pascal

property Title: TJvWizardPageTitle;

Description

Use the subproperties of Title to manage the title settings of the header.

Created with Doc-O-Matic.


See Also

TJvWizardPageHeader.Subtitle


TJvWizardPageHeader.Visible property

TJvWizardPageHeader	Edit topic

Indicates whether the object is visible or not.

Pascal

property Visible: Boolean;

Description

Use Visible to specify whether the object can be seen on screen or not.

Created with Doc-O-Matic.


TJvWizardPageHeader.PaintTo method

TJvWizardPageHeader	Edit topic

Draws the object on a canvas.

Pascal

procedure PaintTo(ACanvas: TCanvas; var ARect: TRect); override;

Parameters

ACanvas

The canvas to draw to.

ARect

The area to draw in.

Description

Call PaintTo to draw the object on an arbitrary canvas.

Created with Doc-O-Matic.


TJvWizardPageObject
JEDI-VCL Reference

TJvWizardPageObject

Hierarchy	Properties	Methods	 Edit topic

Base class for various objects created and maintained by a TJvWizard or a TJvWizardCustomPage or descendant.

Pascal

TJvWizardPageObject = class(TJvWizardGraphicObject);

File

JvWizard

Description

The TJvWizardPageObject class is a base class for various objects created and maintained by a TJvWizard or a TJvWizardCustomPage or descendant.

Created with Doc-O-Matic.


TJvWizardPageObject Properties

TJvWizardPageObject	Legend

Properties

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Legend

protected

published

Created with Doc-O-Matic.


Legend

protected

published


TJvWizardPageObject Methods

TJvWizardPageObject	Legend

Methods

TJvWizardGraphicObject

 PaintTo

Legend

abstract

Created with Doc-O-Matic.


Legend

abstract


Legend

TJvWizardPageObject

Legend

protected

published

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardGraphicObject
        TJvWizardPageObject


TJvWizardPageObject Members

TJvWizardPageObject	Legend

Members

Properties

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Methods

TJvWizardGraphicObject

 PaintTo

Legend

protected

published

abstract

Created with Doc-O-Matic.


Legend

protected

published

abstract


TJvWizardPageObject.WizardPage property

TJvWizardPageObject	Edit topic

Reference to the wizard where this object appears.

Pascal

property WizardPage: TJvWizardCustomPage;

Description

Reference to the wizard where this object appears.

Created with Doc-O-Matic.


TJvWizardPagePanel
JEDI-VCL Reference

TJvWizardPagePanel

Hierarchy	Properties	Methods	 Edit topic

Class that manages the settings for a background panel area on a wizard page.

Pascal

TJvWizardPagePanel = class(TJvWizardPageObject);

File

JvWizard

Description

TJvWizardPagePanel is the type used for the panel property of a wizard page. Note that although the name suggests that it derives from TWinControl it is actually not a real control. TJvWizardPagePanel is derived from TObject and only draws a panel like rectangle on the page background.

Created with Doc-O-Matic.


TJvWizardPagePanel Properties

TJvWizardPagePanel	Legend

Properties

 BorderWidth

 Color

 Visible

TJvWizardPageObject

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvWizardPagePanel Methods

TJvWizardPagePanel	Legend

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvWizardPagePanel

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardGraphicObject
        TJvWizardPageObject
            TJvWizardPagePanel


TJvWizardPagePanel Members

TJvWizardPagePanel	Legend

Members

Properties

 BorderWidth

 Color

 Visible

TJvWizardPageObject

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

virtual

abstract


TJvWizardPagePanel.BorderWidth property

TJvWizardPagePanel	Edit topic

Specifies the border around the panel.

Pascal

property BorderWidth: Word;

Description

Use BorderWidth to specify the border width around the panel.

Created with Doc-O-Matic.


TJvWizardPagePanel.Color property

TJvWizardPagePanel	Edit topic

Indicates the color of the object.

Pascal

property Color: TColor;

Description

Use Color to set and retrieve the color of the object.

Created with Doc-O-Matic.


TJvWizardPagePanel.Visible property

TJvWizardPagePanel	Edit topic

Indicates whether the object is visible or not.

Pascal

property Visible: Boolean;

Description

Use Visible to specify whether the object can be seen on screen or not.

Created with Doc-O-Matic.


TJvWizardPagePanel.PaintTo method

TJvWizardPagePanel	Edit topic

Draws the object on a canvas.

Pascal

procedure PaintTo(ACanvas: TCanvas; var ARect: TRect); override;

Parameters

ACanvas

The canvas to draw to.

ARect

The area to draw in.

Description

Call PaintTo to draw the object on an arbitrary canvas.

Created with Doc-O-Matic.


TJvWizardPageTitle
JEDI-VCL Reference

TJvWizardPageTitle

Hierarchy	Properties	Methods	 Edit topic

Class that manages the settings of the wizard title area.

Pascal

TJvWizardPageTitle = class(TJvWizardGraphicObject);

File

JvWizard

Description

Class that manages the settings of the wizard title area.

Created with Doc-O-Matic.


TJvWizardPageTitle Properties

TJvWizardPageTitle	Legend

Properties

 Alignment

 AnchorPlacement

 Anchors

 Font

 Indent

 Text

 WizardPageHeader

TJvWizardGraphicObject

 Color

 Visible

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvWizardPageTitle Methods

TJvWizardPageTitle	Legend

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvWizardPageTitle

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardGraphicObject
        TJvWizardPageTitle


TJvWizardPageTitle Members

TJvWizardPageTitle	Legend

Members

Properties

 Alignment

 AnchorPlacement

 Anchors

 Font

 Indent

 Text

 WizardPageHeader

TJvWizardGraphicObject

 Color

 Visible

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

virtual

abstract


TJvWizardPageTitle.Alignment property

TJvWizardPageTitle	Edit topic

Indicates the text justification of the title.

Pascal

property Alignment: TAlignment;

Description

Indicates the text justification of the title.

Created with Doc-O-Matic.


TJvWizardPageTitle.AnchorPlacement property

TJvWizardPageTitle	Edit topic

Indicates the offset of the title.

Pascal

property AnchorPlacement: Integer;

Description

Indicates the offset of the title.

Created with Doc-O-Matic.


TJvWizardPageTitle.Anchors property

TJvWizardPageTitle	Edit topic

Specifies how the title is anchored to its parent.

Pascal

property Anchors: TAnchors;

Description

Use Anchors to specify how the title is anchored to its parent.

Created with Doc-O-Matic.


TJvWizardPageTitle.Font property

TJvWizardPageTitle	Edit topic

Indicates the font to use for the title.

Pascal

property Font: TFont;

Description

Indicates the font to use for the title.

Created with Doc-O-Matic.


TJvWizardPageTitle.Indent property

TJvWizardPageTitle	Edit topic

Specifies the text indentation in the title.

Pascal

property Indent: Integer;

Description

Use Indent to specify the text indentation in the title.

Created with Doc-O-Matic.


TJvWizardPageTitle.Text property

TJvWizardPageTitle	Edit topic

Specifies the text to display in the title.

Pascal

property Text: string;

Description

Specifies the text to display in the title.

Created with Doc-O-Matic.


TJvWizardPageTitle.WizardPageHeader property

TJvWizardPageTitle	Edit topic

Defines the settings for the title header.

Pascal

property WizardPageHeader: TJvWizardPageHeader;

Description

Defines the settings for the title header.

Created with Doc-O-Matic.


TJvWizardPageTitle.PaintTo method

TJvWizardPageTitle	Edit topic

Draws the object on a canvas.

Pascal

procedure PaintTo(ACanvas: TCanvas; var ARect: TRect); override;

Parameters

ACanvas

The canvas to draw to.

ARect

The area to draw in.

Description

Call PaintTo to draw the object on an arbitrary canvas.

Created with Doc-O-Matic.


TJvWizardRouteMapControl
JEDI-VCL Reference

TJvWizardRouteMapControl

Hierarchy	Properties	Events	 Edit topic

Base class to derive route map controls from.

Pascal

TJvWizardRouteMapControl = class(TCustomControl);

File

JvWizard

Description

Route maps are a type of control that is designed to give additional visual feedback when the user moves through the pages of the wizard. For example, a route map can display a list of all available pages in the wizard or display the previous, current and next page.

TJvWizardRouteMapControl defines the basic functionality of a route map control. Derive a new component from this class to implement your own route map or use one of the predefined route maps included with TJvWizard.

Created with Doc-O-Matic.


TJvWizardRouteMapControl Properties

TJvWizardRouteMapControl	Legend

Properties

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvWizardRouteMapControl Events

TJvWizardRouteMapControl	Legend

Events

 OnDisplaying

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvWizardRouteMapControl

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvWizardRouteMapControl


TJvWizardRouteMapControl Members

TJvWizardRouteMapControl	Legend

Members

Properties

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Events

 OnDisplaying

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvWizardRouteMapControl.Align property

TJvWizardRouteMapControl	Edit topic

Determines how the route map aligns within its container (the wizard).

Pascal

property Align: TJvWizardAlign;

Description

Use Align to align a route map to the top, bottom, left, or right of a wizard and have it remain there even if the size of the wizard changes. When the parent is resized, an aligned control also resizes so that it continues to span the top, bottom, left, or right edge of the parent.

Created with Doc-O-Matic.


TJvWizardRouteMapControl.Image property

TJvWizardRouteMapControl	Edit topic

Defines the image to show on the control.

Pascal

property Image: TJvWizardImage;

Description

Use the subproperties of Image to manage the settings for an image displayed on the control.

Created with Doc-O-Matic.


TJvWizardRouteMapControl.OnDisplaying event

TJvWizardRouteMapControl	Edit topic

Occurs just before a page is to be displayed.

Pascal

TJvWizardRouteMapDisplayEvent = procedure (Sender: TObject; const Page: TJvWizardCustomPage; var AllowDisplay: Boolean) of object;
property OnDisplaying: TJvWizardRouteMapDisplayEvent;

Parameters

AllowDisplay

Set to True to allow the page change, False otherwise.

Page

The page that is about to be activated. This can be nil.

Sender

The route map that called the event.

Description

Write a handler for this event in a derived route map control when you want to be notified about a page change and have the possibility to cancel the change. OnDisplaying is called by CanChange.

Created with Doc-O-Matic.


TJvWizardRouteMapControl.PageCount property

TJvWizardRouteMapControl	See Also	Edit topic

Returns the total number of pages in the wizard.

Pascal

property PageCount: Integer;

Description

Read PageCount to determine the total number of pages in the Pages array. To iterate the Pages array, indices between 0 and PageCount - 1 are valid.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapControl.Pages


TJvWizardRouteMapControl.PageIndex property

TJvWizardRouteMapControl	See Also	Edit topic

Indicates the currently selected page.

Pascal

property PageIndex: Integer;

Description

Use PageIndex to access the currently active page in the wizard. Before accessing this property, make sure Wizard <> nil.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapControl.Wizard


TJvWizardRouteMapControl.Pages property

TJvWizardRouteMapControl	See Also	Edit topic

Provides indexed access to the wizard pages.

Pascal

property Pages [Index: Integer]: TJvWizardCustomPage;

Parameters

Index

Index of the page to access.

Description

Pages is provided as a simple way of accessing the pages of the wizard control that the route map is connected to. Before accessing Pages, make sure that Wizard <> nil.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapControl.Wizard


TJvWizardRouteMapControl.Wizard property

TJvWizardRouteMapControl	Edit topic

References the wizard the route map is linked to.

Pascal

property Wizard: TJvWizard;

Description

Wizard is used internally to access the wizard that the route map is connected to. This property is set automatically when the route map is dropped on a form containing a TJvWizard.

Created with Doc-O-Matic.


TJvWizardRouteMapList
JEDI-VCL Reference

 TJvWizardRouteMapList

Hierarchy	Properties	Events	Package	 Edit topic

A route map component that displays the pages of a wizard as a list.

Pascal

TJvWizardRouteMapList = class(TJvWizardRouteMapControl);

File

JvWizardRouteMapList

Description

Use TJvWizardRouteMapList to display the pages in a TJvWizard as a list of items. TJvWizardRouteMapList has several properties to control its appearance and behavior, including Clickable, Alignment, ShowImages, HotTrack, ItemColor, ItemHeight and many others.

To use this component, you should:

Drop a TJvWizard on the form.

Select the wizard in the form.

Drop a TJvWizardRouteMapList on the wizard.

Created with Doc-O-Matic.


TJvWizardRouteMapList Properties

TJvWizardRouteMapList	Legend

Properties

 ActiveFont

 ActiveFontOptions

 Alignment

 BorderColor

 Clickable

 Curvature

 HorzOffset

 HotTrack

 HotTrackBorder

 HotTrackCursor

 HotTrackFont

 HotTrackFontOptions

 Image

 IncludeDisabled

 ItemColor

 ItemHeight

 ItemText

 Rounded

 ShowImages

 TextOffset

 TextOnly

 VertOffset

TJvWizardRouteMapControl

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvWizardRouteMapList Events

TJvWizardRouteMapList	Legend

Events

 OnDrawItem

TJvWizardRouteMapControl

 OnDisplaying

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvWizardRouteMapList

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvWizardRouteMapControl
        TJvWizardRouteMapList


TJvWizardRouteMapList Members

TJvWizardRouteMapList	Legend

Members

Properties

 ActiveFont

 ActiveFontOptions

 Alignment

 BorderColor

 Clickable

 Curvature

 HorzOffset

 HotTrack

 HotTrackBorder

 HotTrackCursor

 HotTrackFont

 HotTrackFontOptions

 Image

 IncludeDisabled

 ItemColor

 ItemHeight

 ItemText

 Rounded

 ShowImages

 TextOffset

 TextOnly

 VertOffset

TJvWizardRouteMapControl

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Events

 OnDrawItem

TJvWizardRouteMapControl

 OnDisplaying

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

Wizard


TJvWizardRouteMapList.ActiveFont property

TJvWizardRouteMapList	See Also	Edit topic

Specifies the font used for the active item in the list.

Pascal

property ActiveFont: TFont;

Description

Use ActiveFont to specify how the item corresponding to the active page is displayed in the control.

Created with Doc-O-Matic.


See Also

ActiveFontOptions


TJvWizardRouteMapList.ActiveFontOptions property

TJvWizardRouteMapList	Edit topic

Not documented

Pascal

property ActiveFontOptions: TJvTrackFontOptions;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvWizardRouteMapList.Alignment property

TJvWizardRouteMapList	See Also	Edit topic

Controls the horizontal placement of the text within an item.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text of an item label is justified within the item. This value also affects where images (if any) are drawn in relationship to the text.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapList.ShowImages


TJvWizardRouteMapList.BorderColor property

TJvWizardRouteMapList	Edit topic

Specifies the color of the border.

Pascal

property BorderColor: TColor;

Description

Set BorderColor to specify how the border of the Route Map List should look. If BorderColor is clNone no border will be painted.

Created with Doc-O-Matic.


TJvWizardRouteMapList.Clickable property

TJvWizardRouteMapList	Edit topic

Specifies whether item can be clicked or not.

Pascal

property Clickable: Boolean;

Description

Use Clickable to specify whether items can be clicked or not in the list. If Clickable is true, the corresponding page of the associated wizard will be activated when an enabled item is clicked by the user.

Created with Doc-O-Matic.


TJvWizardRouteMapList.Curvature property

TJvWizardRouteMapList	See Also	Edit topic

Sets the size of the ellipse used to draw rounded corners.

Pascal

property Curvature: Integer;

Description

Use Curvature to set the width and height of the ellipse used to draw the rounded corners of the items when Rounded is true. The curve of the rounded corners matches the curvature of an ellipse with width and height equal to Curvature.

Created with Doc-O-Matic.


See Also

RoundRect


TJvWizardRouteMapList.HorzOffset property

TJvWizardRouteMapList	See Also	Edit topic

Specifies the horizontal offset of the items.

Pascal

property HorzOffset: Integer;

Description

Use HorzOffset to specify the offset in pixels from the left edge of the items in the list. Since items are centered, HorzOffset is also the offset from the right edge of the control.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapList.TextOffset, TJvWizardRouteMapList.VertOffset


TJvWizardRouteMapList.HotTrack property

TJvWizardRouteMapList	See Also	Edit topic

Specifies whether items are highlighted when the mouse passes over them.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse; the font specified by HotTrackFont is used for the items text. When HotTrack is False, there is no visual feedback when the mouse passes over the item. If HotTrack is true and HotTrackBorder is larger than 0, a border, using the HotTrackFont color, is drawn when an item is under the mouse.

Created with Doc-O-Matic.


See Also

HotTrackCursor.


TJvWizardRouteMapList.HotTrackBorder property

TJvWizardRouteMapList	See Also	Edit topic

Sets the size of the border drawn when HotTrack is true.

Pascal

property HotTrackBorder: Integer;

Description

Use HotTrackBorder to set the size in pixels of the hot tracking border drawn when an item is hot tracked. When HotTrack is true and HotTrackBorder is > 0, a border is drawn, using the color of HotTrackFont, when the mouse passes over an item.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapList.HotTrack, TJvWizardRouteMapList.HotTrackCursor, TJvWizardRouteMapList.HotTrackFont


TJvWizardRouteMapList.HotTrackCursor property

TJvWizardRouteMapList	See Also	Edit topic

Specifies the cursor to display for a hot tracked item.

Pascal

property HotTrackCursor: TCursor;

Description

Use HotTrackCursor to set an alternate cursor for the control when an item is hot tracked. For HotTrackCursor to have any effect, it must be different from Cursor and HotTrack must be true.

Created with Doc-O-Matic.


See Also

Cursor


TJvWizardRouteMapList.HotTrackFont property

TJvWizardRouteMapList	See Also	Edit topic

Specifies the font used when the mouse passes over an item and HotTrack is True.

Pascal

property HotTrackFont: TFont;

Description

When the mouse passes over an item and HotTrack is set to True, HotTrackFont is used as the font for the item's text. To change to a new font, specify a new TFont object. To modify a font, change the value of the Charset, Color, Height, Name, Pitch, Size, or Style of the TFont object.

Notes

This property is only available when USEJVCL is defined.

Created with Doc-O-Matic.


See Also

HotGlyph, HotTrackFontOptions


TJvWizardRouteMapList.HotTrackFontOptions property

TJvWizardRouteMapList	See Also	Edit topic

Specifies how changes to the Font affects HotTrackFont.

Pascal

property HotTrackFontOptions: TJvTrackFontOptions;

Description

HotTrackFontOptions defines a set of options that controls how changes to the Font property affects the HotTrackFont object. For example, when HotTrackFontOptions includes hoPreserveColor, all property changes in Font are copied to HotTrackFont except Color changes.

Note that hoFollowFont must be included for any properties to be copied at all.

To implement the HotTrackFontOptions property in a new control, you should perform the following steps:

Add JvTypes and JvJVCLUtils to the uses clause of the control's unit.

Add a HotTrackFontOptions property of type TJvTrackFontOptions to the control. Set its default value to be DefaultTrackFontOptions (defined in JvTypes).

Set the default value in the constructor.

Add a handler for the CM_FONTCHANGED message. Add a call to UpdateTrackFont (defined in JvJVCLUtils) after calling inherited.

Add a call to UpdateTrackFont in SetHotTrackFontOptions

Created with Doc-O-Matic.


See Also

HotTrack, HotTrackFont


TJvWizardRouteMapList.Image property

TJvWizardRouteMapList	Edit topic

Defines the image to show on the control.

Pascal

property Image: TJvWizardImage;

Description

Use the subproperties of Image to manage the settings for an image displayed on the control.

Created with Doc-O-Matic.


TJvWizardRouteMapList.IncludeDisabled property

TJvWizardRouteMapList	Edit topic

Specifies if disabled pages are included in the list.

Pascal

property IncludeDisabled: Boolean;

Description

Use IncludeDisabled to specify whether disabled pages are included in the list or not. If IncludeDisabled is true, the disabled pages are shown as well but they are drawn using a disabled look and the items aren't clickable and won't hot track.

Created with Doc-O-Matic.


TJvWizardRouteMapList.ItemColor property

TJvWizardRouteMapList	Edit topic

Sets the background color for the items in the list.

Pascal

property ItemColor: TColor;

Description

Use ItemColor to specify the background color of the items in the list.

Created with Doc-O-Matic.


TJvWizardRouteMapList.ItemHeight property

TJvWizardRouteMapList	Edit topic

Sets the height of the items in the list.

Pascal

property ItemHeight: Integer;

Description

Use ItemHeight to specify the height in pixels of the items in the list.

Created with Doc-O-Matic.


TJvWizardRouteMapList.ItemText property

TJvWizardRouteMapList	Edit topic

Specifies the text to display in the items.

Pascal

property ItemText: TRouteMapListItemText;

Description

Use ItemText to specify the text to display in the items. Depending on the value of ItemText, the control displays either the Page's Caption, Header.Title, Header.SubTitle or no text at all.

Created with Doc-O-Matic.


TJvWizardRouteMapList.OnDrawItem event

TJvWizardRouteMapList	Edit topic

Occurs when an item should be drawn.

Pascal

TJvWizardDrawRouteMapListItem = procedure (Sender: TObject; ACanvas: TCanvas; ARect: TRect; MousePos: TPoint; PageIndex: Integer; var DefaultDraw: Boolean) of object;
property OnDrawItem: TJvWizardDrawRouteMapListItem;

Parameters

MousePos

The position of the mouse in client coordinates.

PageIndex

The index of the active page.

DefaultDraw

Set to true to perform default drawing, false otherwise.

Sender

The control that triggered the event.

ACanvas

The canvas to draw on.

ARect

The rect area to draw in.

Description

Write a handler for this event to custom draw the items in the list. You can also use this event if you only need to change the attributes of the Canvas. For example, you can change the Canvas's Font, Brush and Pen properties to modify the colors and fonts used by the default drawing code.

Created with Doc-O-Matic.


TJvWizardRouteMapList.Rounded property

TJvWizardRouteMapList	See Also	Edit topic

Specifies whether items are drawn with rounded or straight corners.

Pascal

property Rounded: Boolean;

Description

Use Rounded to specify whether the items background are drawn as a rounded or straight edged rectangle. If Rounded is true, the control uses RoundRect to draw the item's background otherwise it uses Rectangle.

Created with Doc-O-Matic.


See Also

RoundRect, Rectangle


TJvWizardRouteMapList.ShowImages property

TJvWizardRouteMapList	See Also	Edit topic

Specifies whether the items displays images.

Pascal

property ShowImages: Boolean;

Description

Use ShowImages to specify whether the items display images or not. The images are taken from the HeaderImages property of the associated TJvWizard.

Created with Doc-O-Matic.


See Also

TJvWizard.HeaderImages


TJvWizardRouteMapList.TextOffset property

TJvWizardRouteMapList	See Also	Edit topic

Specifies the offset of the text in the items.

Pascal

property TextOffset: Integer;

Description

Use TextOffset to specify the offset in pixels of the text in each item. TextOffset is interpreted according to the value of Alignment. For example, if Alignment is taLeftJustify, TextOffset is calculated from the item's left edge. If Alignment is taRightJustify, TextOffset is calculated from the right edge. If Alignment is taCenter, TextOffset is calculated from the top and the text is horizontally centered.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapList.HorzOffset, TJvWizardRouteMapList.VertOffset


TJvWizardRouteMapList.TextOnly property

TJvWizardRouteMapList	Edit topic

Controls the painting of images and buttons.

Pascal

property TextOnly: Boolean;

Description

Use TextOnly to get a simple text list instead of a button list.

Created with Doc-O-Matic.


TJvWizardRouteMapList.VertOffset property

TJvWizardRouteMapList	See Also	Edit topic

Specifies the offset from the top of the first item in the list.

Pascal

property VertOffset: Integer;

Description

Use VertOffset to specify the offset in pixels from the top edge of the items in the list.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapList.HorzOffset, TJvWizardRouteMapList.TextOffset


TJvWizardRouteMapNodeColors
JEDI-VCL Reference

TJvWizardRouteMapNodeColors

Hierarchy	Properties	 Edit topic

Manages the colors for a route map.

Pascal

TJvWizardRouteMapNodeColors = class(TPersistent);

File

JvWizardRouteMapNodes

Description

TJvWizardRouteMapNodeColors manages a collection of colors and is the type for the NodeColors property of the TJvWizardRouteMapNodes component.

Created with Doc-O-Matic.


TJvWizardRouteMapNodeColors Properties

TJvWizardRouteMapNodeColors	Legend

Properties

 Disabled

 Line

 Selected

 Unselected

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvWizardRouteMapNodeColors

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardRouteMapNodeColors


TJvWizardRouteMapNodeColors Members

TJvWizardRouteMapNodeColors	Legend

Members

Properties

 Disabled

 Line

 Selected

 Unselected

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardRouteMapNodeColors.Disabled property

TJvWizardRouteMapNodeColors	Edit topic

Indicates the color to use for disabled nodes.

Pascal

property Disabled: TColor;

Description

Disabled is the color used for disabled nodes.

Created with Doc-O-Matic.


TJvWizardRouteMapNodeColors.Line property

TJvWizardRouteMapNodeColors	Edit topic

Indicates the color to use for the line connecting nodes.

Pascal

property Line: TColor;

Description

Line is the color used for the lines between nodes.

Created with Doc-O-Matic.


TJvWizardRouteMapNodeColors.Selected property

TJvWizardRouteMapNodeColors	Edit topic

Indicates the color to use for selected nodes.

Pascal

property Selected: TColor;

Description

Selected is the color used for selected nodes.

Created with Doc-O-Matic.


TJvWizardRouteMapNodeColors.Unselected property

TJvWizardRouteMapNodeColors	Edit topic

Indicates the color to use for unselected nodes.

Pascal

property Unselected: TColor;

Description

Unselected is the color used for unselected nodes.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes
JEDI-VCL Reference

 TJvWizardRouteMapNodes

Hierarchy	Properties	Events	Package	 Edit topic

Route map component for displaying the pages in a wizard.

Pascal

TJvWizardRouteMapNodes = class(TJvWizardRouteMapControl);

File

JvWizardRouteMapNodes

Description

TJvWizardRouteMapNodes is a route map component that can be used with a TJvWizard. When dropped on the form where a wizard has been placed, the route map is assigned to the wizard automatically.

A route map is a control that shows the pages of a wizard in an alternate and often graphical manner. TJvWizardRouteMapNodes displays the pages of the wizard as a kind of tree where each page is represented by a node and a text string. Clicking on a node will activate the corresponding page if AllowClickableNodes is true.

TJvWizardRouteMapNodes is synchronized with the wizard so the user can only activate pages that can be activated by using the normal navigation buttons.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes Properties

TJvWizardRouteMapNodes	Legend

Properties

 Align

 AllowClickableNodes

 Image

 Indent

 ItemHeight

 NodeColors

 UsePageTitle

TJvWizardRouteMapControl

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvWizardRouteMapNodes Events

TJvWizardRouteMapNodes	Legend

Events

 OnDisplaying

TJvWizardRouteMapControl

 OnDisplaying

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvWizardRouteMapNodes

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvWizardRouteMapControl
        TJvWizardRouteMapNodes


TJvWizardRouteMapNodes Members

TJvWizardRouteMapNodes	Legend

Members

Properties

 Align

 AllowClickableNodes

 Image

 Indent

 ItemHeight

 NodeColors

 UsePageTitle

TJvWizardRouteMapControl

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Events

 OnDisplaying

TJvWizardRouteMapControl

 OnDisplaying

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

Wizard


TJvWizardRouteMapNodes.Align property

TJvWizardRouteMapNodes	Edit topic

Determines how the route map aligns within its container (the wizard).

Pascal

property Align: TJvWizardAlign;

Description

Use Align to align a route map to the top, bottom, left, or right of a wizard and have it remain there even if the size of the wizard changes. When the parent is resized, an aligned control also resizes so that it continues to span the top, bottom, left, or right edge of the parent.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes.AllowClickableNodes property

TJvWizardRouteMapNodes	Edit topic

Indicates if the user can activate a page by clicking a node.

Pascal

property AllowClickableNodes: Boolean;

Description

Set AllowClickableNodes to true to allow the user to click a node to go to that page directly. If AllowClickableNodes is false, the route map cannot be used to navigate the wizard. Nodes that represent disabled nodes can never be clicked.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes.Image property

TJvWizardRouteMapNodes	Edit topic

Defines the image to show on the control.

Pascal

property Image: TJvWizardImage;

Description

Use the subproperties of Image to manage the settings for an image displayed on the control.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes.Indent property

TJvWizardRouteMapNodes	Edit topic

Indicates the indentation of the nodes in the tree.

Pascal

property Indent: Integer;

Description

Use Indent to set the distance in pixels from the edge of the route map area to the edge of the nodes.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes.ItemHeight property

TJvWizardRouteMapNodes	Edit topic

Indicates the height of each item.

Pascal

property ItemHeight: Integer;

Description

Use ItemHeight to set the height of a node in pixels.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes.NodeColors property

TJvWizardRouteMapNodes	Edit topic

Manages the colors used by the route map.

Pascal

property NodeColors: TJvWizardRouteMapNodeColors;

Description

Use the subproperties of NodeColors to manage the colors used for various elements in the route map.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes.OnDisplaying event

TJvWizardRouteMapNodes	Edit topic

Occurs just before a page is to be displayed.

Pascal

property OnDisplaying: TJvWizardRouteMapDisplayEvent;

Parameters

Sender

The route map that called the event.

Page

The page that is about to be activated. This can be nil.

AllowDisplay

Set to True to allow the page change, False otherwise.

Description

Write a handler for this event in a derived route map control when you want to be notified about a page change and have the possibility to cancel the change. OnDisplaying is called by CanChange.

Created with Doc-O-Matic.


TJvWizardRouteMapNodes.UsePageTitle property

TJvWizardRouteMapNodes	Edit topic

Indicates the text to show next to each node.

Pascal

property UsePageTitle: Boolean;

Description

Set UsePageTitle to true to display the page header title as the label of the node. If UsePageTitle is false, the node displays the page caption instead.

Created with Doc-O-Matic.


TJvWizardRouteMapSteps
JEDI-VCL Reference

 TJvWizardRouteMapSteps

Hierarchy	Properties	Events	Package	 Edit topic

Route map component for displaying the pages in a wizard.

Pascal

TJvWizardRouteMapSteps = class(TJvWizardRouteMapControl);

File

JvWizardRouteMapSteps

Description

TJvWizardRouteMapSteps is a route map component that can be used with a TJvWizard. When dropped on the form where a wizard has been placed, the route map is assigned to the wizard automatically.

A route map is a control within the wizard that shows the pages of the wizard in an alternate and often graphical manner. TJvWizardRouteMapSteps displays the next and previous pages of the wizard as a label. If ShowNavigators is true it also displays navigation buttons. Clicking on a button will activate the corresponding page.

Created with Doc-O-Matic.


TJvWizardRouteMapSteps Properties

TJvWizardRouteMapSteps	Legend

Properties

 ActiveStepFormat

 Image

 Indent

 NextStepText

 PreviousStepText

 ShowDivider

 ShowNavigators

TJvWizardRouteMapControl

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvWizardRouteMapSteps Events

TJvWizardRouteMapSteps	Legend

Events

TJvWizardRouteMapControl

 OnDisplaying

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvWizardRouteMapSteps

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvWizardRouteMapControl
        TJvWizardRouteMapSteps


TJvWizardRouteMapSteps Members

TJvWizardRouteMapSteps	Legend

Members

Properties

 ActiveStepFormat

 Image

 Indent

 NextStepText

 PreviousStepText

 ShowDivider

 ShowNavigators

TJvWizardRouteMapControl

 Align

 Image

 PageCount

PageIndex

 Pages

 Wizard

Events

TJvWizardRouteMapControl

 OnDisplaying

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

Wizard


TJvWizardRouteMapSteps.ActiveStepFormat property

TJvWizardRouteMapSteps	Edit topic

Not documented

Pascal

property ActiveStepFormat: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvWizardRouteMapSteps.Image property

TJvWizardRouteMapSteps	Edit topic

Defines the image to show on the control.

Pascal

property Image: TJvWizardImage;

Description

Use the subproperties of Image to manage the settings for an image displayed on the control.

Created with Doc-O-Matic.


TJvWizardRouteMapSteps.Indent property

TJvWizardRouteMapSteps	Edit topic

Indicates the offset of the route maps client area.

Pascal

property Indent: Integer;

Description

Use Indent to set the offset from the left edge in pixels of the route map component.

Created with Doc-O-Matic.


TJvWizardRouteMapSteps.NextStepText property

TJvWizardRouteMapSteps	See Also	Edit topic

Indicates the text to display as a label above the page label.

Pascal

property NextStepText: string;

Description

Use NextStepText to set the static text displayed above the label and optional navigation button for the next page.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapSteps.PreviousStepText, TJvWizardRouteMapSteps.ShowNavigators


TJvWizardRouteMapSteps.PreviousStepText property

TJvWizardRouteMapSteps	See Also	Edit topic

Indicates the text to display as a label above the page label.

Pascal

property PreviousStepText: string;

Description

Use PreviousStepText to set the static text displayed above the label and optional navigation button for the previous page.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapSteps.NextStepText, TJvWizardRouteMapSteps.ShowNavigators


TJvWizardRouteMapSteps.ShowDivider property

TJvWizardRouteMapSteps	Edit topic

Indicates if a divider line is drawn in the route map.

Pascal

property ShowDivider: Boolean;

Description

Set ShowDivider to true to display a horizontal divider line in the center of the route map.

Created with Doc-O-Matic.


TJvWizardRouteMapSteps.ShowNavigators property

TJvWizardRouteMapSteps	Edit topic

Indicates if the route map displays buttons to go to the next and previous pages.

Pascal

property ShowNavigators: Boolean;

Description

Set ShowNavigators to true to display navigation buttons on the route map. When visible, the user can click on the buttons to go to the previous and next pages.

Created with Doc-O-Matic.


TJvWizardWaterMark
JEDI-VCL Reference

TJvWizardWaterMark

Hierarchy	Properties	Methods	 Edit topic

Support class that manages a watermark.

Pascal

TJvWizardWaterMark = class(TJvWizardPageObject);

File

JvWizard

Description

The watermark is displayed as an image aligned to the left or right of the wizard. Watermarks only appears on welcome pages.

Created with Doc-O-Matic.


TJvWizardWaterMark Properties

TJvWizardWaterMark	Legend

Properties

 Align

 BorderWidth

 Color

 Image

 Visible

 Width

TJvWizardPageObject

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvWizardWaterMark Methods

TJvWizardWaterMark	Legend

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

virtual

abstract

Created with Doc-O-Matic.


Legend

virtual

abstract


Legend

TJvWizardWaterMark

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWizardGraphicObject
        TJvWizardPageObject
            TJvWizardWaterMark


TJvWizardWaterMark Members

TJvWizardWaterMark	Legend

Members

Properties

 Align

 BorderWidth

 Color

 Image

 Visible

 Width

TJvWizardPageObject

 WizardPage

TJvWizardGraphicObject

 Color

 Visible

Methods

 PaintTo

TJvWizardGraphicObject

 PaintTo

Legend

published

protected

virtual

abstract

Created with Doc-O-Matic.


Legend

published

protected

virtual

abstract


TJvWizardWaterMark.Align property

TJvWizardWaterMark	Edit topic

Determines how the watermark is aligned in the wizard.

Pascal

property Align: TJvWizardLeftRight;

Description

Use Align to align the watermark to either the left or the right side of the wizard.

Created with Doc-O-Matic.


TJvWizardWaterMark.BorderWidth property

TJvWizardWaterMark	Edit topic

Specifies the width of the border around the watermark.

Pascal

property BorderWidth: Integer;

Description

Use BorderWidth to specify the border surrounding the watermark.

Created with Doc-O-Matic.


TJvWizardWaterMark.Color property

TJvWizardWaterMark	Edit topic

Indicates the color of the object.

Pascal

property Color: TColor;

Description

Use Color to set and retrieve the color of the object.

Created with Doc-O-Matic.


TJvWizardWaterMark.Image property

TJvWizardWaterMark	Edit topic

Indicates the image used for the watermark.

Pascal

property Image: TJvWizardImage;

Description

Use the properties of Image to set the image to display as the watermark and how the image is displayed.

Created with Doc-O-Matic.


TJvWizardWaterMark.Visible property

TJvWizardWaterMark	Edit topic

Indicates whether the object is visible or not.

Pascal

property Visible: Boolean;

Description

Use Visible to specify whether the object can be seen on screen or not.

Created with Doc-O-Matic.


TJvWizardWaterMark.Width property

TJvWizardWaterMark	Edit topic

Specifies the width of the watermark.

Pascal

property Width: Integer;

Description

Use Width to set the total width of the watermark area. If Width is less than the width of the image, the image will be truncated.

Created with Doc-O-Matic.


TJvWizardWaterMark.PaintTo method

TJvWizardWaterMark	Edit topic

Draws the object on a canvas.

Pascal

procedure PaintTo(ACanvas: TCanvas; var ARect: TRect); override;

Parameters

ACanvas

The canvas to draw to.

ARect

The area to draw in.

Description

Call PaintTo to draw the object on an arbitrary canvas.

Created with Doc-O-Matic.


TJvWizardWelcomePage
JEDI-VCL Reference

TJvWizardWelcomePage

Hierarchy	Properties	Methods	Events	 Edit topic

A page class that is used as a typical first page on a wizard.

Pascal

TJvWizardWelcomePage = class(TJvWizardCustomPage);

File

JvWizard

Description

To add a welcome page to a wizard at design time, right-click the wizard and click on "New Welcome Page". To add a welcome page at runtime, use code similar to the following (JvWizard1 is a TJvWizard on the form):

  ...

  var

    WelcomePage:TJvWizardWelcomePage;

  begin

    WelcomePage := TJvWizardWelcomePage.Create(self); // self references the form here

    WelcomePage.Wizard := JvWizard1; // add the page to the wizard

    WelcomePage.PageIndex := 0; // move the page so it is the first page in the wizard

  end;

Created with Doc-O-Matic.


TJvWizardWelcomePage Properties

TJvWizardWelcomePage	Legend

Properties

 WaterMark

TJvWizardCustomPage

 EnabledButtons

 EnableJumpToPage

 Header

 Image

PageIndex

 Panel

 Subtitle

 Title

 VisibleButtons

Wizard

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardWelcomePage Events

TJvWizardWelcomePage	Legend

Events

TJvWizardCustomPage

 OnBackButtonClick

 OnCancelButtonClick

 OnEnterPage

 OnExitPage

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnPage

 OnPaintPage

 OnStartButtonClick

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvWizardWelcomePage Methods

TJvWizardWelcomePage	Legend

Methods

TJvWizardCustomPage

 EnableButton

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvWizardWelcomePage

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TCustomControl
    TJvWizardCustomPage
        TJvWizardWelcomePage


TJvWizardWelcomePage Members

TJvWizardWelcomePage	Legend

Members

Properties

 WaterMark

TJvWizardCustomPage

 EnabledButtons

 EnableJumpToPage

 Header

 Image

PageIndex

 Panel

 Subtitle

 Title

 VisibleButtons

Wizard

Events

TJvWizardCustomPage

 OnBackButtonClick

 OnCancelButtonClick

 OnEnterPage

 OnExitPage

 OnFinishButtonClick

 OnHelpButtonClick

 OnLastButtonClick

 OnNextButtonClick

 OnPage

 OnPaintPage

 OnStartButtonClick

Methods

TJvWizardCustomPage

 EnableButton

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


TJvWizardWelcomePage.WaterMark property

TJvWizardWelcomePage	Edit topic

Displays a watermark on the wizard.

Pascal

property WaterMark: TJvWizardWaterMark;

Description

Use the properties of WaterMark to set up an image to display on the welcome page.

Created with Doc-O-Matic.


TJvWriteableInfo
JEDI-VCL Reference

TJvWriteableInfo

Hierarchy	Properties	 Edit topic

Not documented

Pascal

TJvWriteableInfo = class(TPersistent);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvWriteableInfo Properties

TJvWriteableInfo	Legend

Properties

 ReadOnly

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvWriteableInfo

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvWriteableInfo


TJvWriteableInfo Members

TJvWriteableInfo	Legend

Members

Properties

 ReadOnly

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvWriteableInfo.ReadOnly property

TJvWriteableInfo	See Also	Edit topic

Makes the class read-only.

Pascal

property ReadOnly: Boolean;

Description

Set ReadOnly to true to make a read-write (TJvWriteableInfo) class behave like a read-only class (TJvReadOnlyInfo), i.e property assignment raises an EJVCLComputerInfoEx exception at run.time.

If you change the value of TJvComputerInfoEx.ReadOnly, any subclasses derived from TJvWriteableInfo will also have their ReadOnly property changed to match.

Created with Doc-O-Matic.


See Also

TJvComputerInfoEx, TJvReadOnlyInfo, TJvWriteableInfo


TJvXMLDatabase
JEDI-VCL Reference

 TJvXMLDatabase

Hierarchy	Properties	Methods	Package	 Edit topic

A component to access the content of an XML file using SQL like syntax.

Pascal

TJvXMLDatabase = class(TJvComponent);

File

JvXmlDatabase

Description

TJvXMLDatabase is a component to retrieve data from an XML file using SQL like syntax. Specify the SQL string by assigning to the Query property. This component also has limited support for update statements.

Notes

All columns in the WHERE clause must be part of the SELECT clause as well

WHERE conditions must be enclosed in parenthesizes (i.e WHERE (Col1=5) AND Col2='Noodles')

Update statements are limited to simple operations (i.e SET Col1 = Col1 + 1, Col2 = 'FooBar')

Created with Doc-O-Matic.


TJvXMLDatabase Properties

TJvXMLDatabase	Legend

Properties

 TablesPath

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvXMLDatabase Methods

TJvXMLDatabase	Legend

Methods

 Query

 SaveTables

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvXMLDatabase

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvXMLDatabase


TJvXMLDatabase Members

TJvXMLDatabase	Legend

Members

Properties

 TablesPath

TJvComponent

 AboutJVCL

Methods

 Query

 SaveTables

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

System


TJvXMLDatabase.TablesPath property

TJvXMLDatabase	See Also	Edit topic

Specifies where XML files are located.

Pascal

property TablesPath: string;

Description

Use TablePath to specify the path to the data (XML) files. This path is used in conjunction with filenames in the SQL statement sent in Query to determine what file or files to read from. For example, if TablePath is set to 'C:\temp\tables' and Query contains 'SELECT * FROM data1.xml', the component will look for the file C:\temp\tables\data1.xml.

Created with Doc-O-Matic.


See Also

TJvXMLDatabase.Query


TJvXMLDatabase.Query method

TJvXMLDatabase	See Also	Edit topic

Specifies the SQL like string to use to retrieve data from the XML file.

Pascal

function Query(const AQuery: string): TJvXMLQuery;

Return Value

A TJvXMLQuery instance that describes any returned values. Use the return value to iterate over all found nodes.

Parameters

const AQuery: string

The SQL string to send to the XML file or files.

Description

Call Query to send a SQL statement to the XML file or files and optionally retrieve any results

Created with Doc-O-Matic.


See Also

TJvXMLQuery


TJvXMLDatabase.SaveTables method

TJvXMLDatabase	See Also	Edit topic

Saves changes made to all loaded tables (XML files).

Pascal

procedure SaveTables;

Description

Call SaveTables to save modifications done to any loaded table. Tables are loaded as required by queries. If your queries makes changes to the loaded XML files (using update statements like SET), the changes will not be saved back to file unless SaveTables is called.

Created with Doc-O-Matic.


See Also

TJvXMLDatabase.Query


TJvXMLDatabaseException
JEDI-VCL Reference

TJvXMLDatabaseException

Hierarchy	 Edit topic

Exception class used by the XML database components

Pascal

TJvXMLDatabaseException = class(EJVCLException);

File

JvXmlDatabase

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    EJVCLException
        TJvXMLDatabaseException


TJvXMLQuery
JEDI-VCL Reference

TJvXMLQuery

Hierarchy	Properties	 Edit topic

Class that is used to return query information.

Pascal

TJvXMLQuery = class(TObject);

File

JvXmlDatabase

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQuery Properties

TJvXMLQuery	Legend

Properties

 LastId

 Results

Legend

read only

Created with Doc-O-Matic.


Legend

read only


Legend

TJvXMLQuery

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLQuery


TJvXMLQuery Members

TJvXMLQuery	Legend

Members

Properties

 LastId

 Results

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvXMLQuery.LastId property

TJvXMLQuery	See Also	Edit topic

Specifies the id of the last column in the result set.

Pascal

property LastId: Integer;

Description

Read LastId to determine the id of the last of the returned columns.

Created with Doc-O-Matic.


See Also

TJvXMLQuery.Results


TJvXMLQuery.Results property

TJvXMLQuery	See Also	Edit topic

Contains the results from the last successful query.

Pascal

property Results: TJvSimpleXMLElem;

Description

Read Results to retrieve the result set of the query. Results points to the root of the result set. Use the methods of TJvSimpleXMLElem to retrieve the values in the result set.

Created with Doc-O-Matic.


See Also

TJvSimpleXMLElem


TJvXMLQueryAssignement
JEDI-VCL Reference

TJvXMLQueryAssignement

Hierarchy	Methods	 Edit topic

Used internally to update the result sets with new values.

Pascal

TJvXMLQueryAssignement = class(TObject);

File

JvXmlDatabase

Description

Don't create instances of TJvXmlQueryAssignement: it is used internally to update and validate result sets with new values.

Created with Doc-O-Matic.


TJvXMLQueryAssignement Fields

TJvXMLQueryAssignement

Fields

Column

SecondKind

SecondValue

SetOperator

Value

ValueKind

Created with Doc-O-Matic.


TJvXMLQueryAssignement Methods

TJvXMLQueryAssignement

Methods

UpdateElem

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLQueryAssignement


TJvXMLQueryAssignement Members

TJvXMLQueryAssignement

Members

Fields

Column

SecondKind

SecondValue

SetOperator

Value

ValueKind

Methods

UpdateElem

Created with Doc-O-Matic.


TJvXMLQueryAssignement.Column field

TJvXMLQueryAssignement	Edit topic

Not documented

Pascal

Column: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryAssignement.SecondKind field

TJvXMLQueryAssignement	Edit topic

Not documented

Pascal

SecondKind: TJvXMLSetKind;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryAssignement.SecondValue field

TJvXMLQueryAssignement	Edit topic

Not documented

Pascal

SecondValue: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryAssignement.SetOperator field

TJvXMLQueryAssignement	Edit topic

Not documented

Pascal

SetOperator: TJvXMLSetOperator;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryAssignement.Value field

TJvXMLQueryAssignement	Edit topic

Not documented

Pascal

Value: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryAssignement.ValueKind field

TJvXMLQueryAssignement	Edit topic

Not documented

Pascal

ValueKind: TJvXMLSetKind;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryAssignement.UpdateElem method

TJvXMLQueryAssignement	Edit topic

Updates the values in an XML element with new values.

Pascal

procedure UpdateElem(AElement: TJvSimpleXMLElem);

Parameters

AElement: TJvSimpleXMLElem

The element to update.

Description

UpdateElem updates the values in an element and validates that they are correct.

Created with Doc-O-Matic.


TJvXMLQueryColumn
JEDI-VCL Reference

TJvXMLQueryColumn

Hierarchy	 Edit topic

Represents a column in a result set.

Pascal

TJvXMLQueryColumn = class(TObject);

File

JvXmlDatabase

Description

TJvXmlQueryColumn is used by TJvXmlQueryParser to simplify access to column data in a result set.

Created with Doc-O-Matic.


TJvXMLQueryColumn Fields

TJvXMLQueryColumn

Fields

Name

Table

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLQueryColumn


TJvXMLQueryColumn Members

TJvXMLQueryColumn

Members

Fields

Name

Table

Created with Doc-O-Matic.


TJvXMLQueryColumn.Name field

TJvXMLQueryColumn	Edit topic

Not documented

Pascal

Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryColumn.Table field

TJvXMLQueryColumn	Edit topic

Not documented

Pascal

Table: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryCondition
JEDI-VCL Reference

TJvXMLQueryCondition

Hierarchy	 Edit topic

Represents a query condition and a query operator.

Pascal

TJvXMLQueryCondition = class(TObject);

File

JvXmlDatabase

Description

TJvXmlQueryCondition is used by TJvXmlQueryParser to simplify access to query conditions.

Created with Doc-O-Matic.


TJvXMLQueryCondition Fields

TJvXMLQueryCondition

Fields

Condition

SQLOperator

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLQueryCondition


TJvXMLQueryCondition Members

TJvXMLQueryCondition

Members

Fields

Condition

SQLOperator

Created with Doc-O-Matic.


TJvXMLQueryCondition.Condition field

TJvXMLQueryCondition	Edit topic

Not documented

Pascal

Condition: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryCondition.SQLOperator field

TJvXMLQueryCondition	Edit topic

Not documented

Pascal

SQLOperator: TJvXMLSQLOperator;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryOrder
JEDI-VCL Reference

TJvXMLQueryOrder

Hierarchy	 Edit topic

Represents a sort order in a result set.

Pascal

TJvXMLQueryOrder = class(TObject);

File

JvXmlDatabase

Description

TJvXmlQueryOrder is used by TJvXmlQueryParser to simplify access to sort order instructions in a query.

Created with Doc-O-Matic.


TJvXMLQueryOrder Fields

TJvXMLQueryOrder

Fields

Ascending

Column

Convertion

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLQueryOrder


TJvXMLQueryOrder Members

TJvXMLQueryOrder

Members

Fields

Ascending

Column

Convertion

Created with Doc-O-Matic.


TJvXMLQueryOrder.Ascending field

TJvXMLQueryOrder	Edit topic

Not documented

Pascal

Ascending: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryOrder.Column field

TJvXMLQueryOrder	Edit topic

Not documented

Pascal

Column: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryOrder.Convertion field

TJvXMLQueryOrder	Edit topic

Not documented

Pascal

Convertion: TJvXMLOrderConvertion;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser
JEDI-VCL Reference

TJvXMLQueryParser

Hierarchy	Properties	Methods	 Edit topic

Parse a query into its parts.

Pascal

TJvXMLQueryParser = class(TObject);

File

JvXmlDatabase

Description

TJvXmlQueryParser is used internally by the query components to parse the SQL like query into parts and extract the data from the queried xml files.

Created with Doc-O-Matic.


TJvXMLQueryParser Properties

TJvXMLQueryParser	Legend

Properties

 Columns

 ColumnsCount

 Condition

 ConditionsCount

Instruction

 Tables

 TablesCount

 Value

 ValuesCount

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvXMLQueryParser Methods

TJvXMLQueryParser

Methods

CheckConditions

LimitTable

OrderTable

Parse

UpdateRow

Created with Doc-O-Matic.


Legend

TJvXMLQueryParser

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLQueryParser


TJvXMLQueryParser Members

TJvXMLQueryParser	Legend

Members

Properties

 Columns

 ColumnsCount

 Condition

 ConditionsCount

Instruction

 Tables

 TablesCount

 Value

 ValuesCount

Methods

CheckConditions

LimitTable

OrderTable

Parse

UpdateRow

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvXMLQueryParser.Columns property

TJvXMLQueryParser	Edit topic

Provides indexed access to the columns in the query.

Pascal

property Columns [const AIndex: Integer]: TJvXMLQueryColumn;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.ColumnsCount property

TJvXMLQueryParser	Edit topic

Returns the number of columns in the query.

Pascal

property ColumnsCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.Condition property

TJvXMLQueryParser	Edit topic

Provides indexed access to query conditions.

Pascal

property Condition [const AIndex: Integer]: TJvXMLQueryCondition;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.ConditionsCount property

TJvXMLQueryParser	Edit topic

Returns the number of conditions in the query.

Pascal

property ConditionsCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.Instruction property

TJvXMLQueryParser	Edit topic

Specifies the type of query.

Pascal

property Instruction: TJvXMLInstruction;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.Tables property

TJvXMLQueryParser	See Also	Edit topic

Provides indexed access to all tables in the query.

Pascal

property Tables [const AIndex: Integer]: TJvXMLQueryTable;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TableCount


TJvXMLQueryParser.TablesCount property

TJvXMLQueryParser	See Also	Edit topic

Returns the number of available tables.

Pascal

property TablesCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvXMLQueryParser.Tables


TJvXMLQueryParser.Value property

TJvXMLQueryParser	See Also	Edit topic

Provides indexed access to maintained values.

Pascal

property Value [const AIndex: Integer]: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

ValueCount


TJvXMLQueryParser.ValuesCount property

TJvXMLQueryParser	See Also	Edit topic

Returns the number of available values.

Pascal

property ValuesCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

Values


TJvXMLQueryParser.CheckConditions method

TJvXMLQueryParser	Edit topic

Checks an XML element (and sub-elements, if available) for correct syntax.

Pascal

function CheckConditions(AXMLElem: TJvSimpleXMLElem): Boolean;

Return Value

Returns true if the XML conditions are syntactically correct.

Parameters

AXMLElem: TJvSimpleXMLElem

The XML element to check.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.LimitTable method

TJvXMLQueryParser	Edit topic

Limits the number of rows in a table based on the use of the 'LIMIT' keyword.

Pascal

procedure LimitTable(var ATable: TJvSimpleXMLElem);

Parameters

var ATable: TJvSimpleXMLElem

The table to limit the rows in.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.OrderTable method

TJvXMLQueryParser	Edit topic

Applies sort order on a table based on the use of the 'ORDER' keyword.

Pascal

procedure OrderTable(var ATable: TJvSimpleXMLElem);

Parameters

var ATable: TJvSimpleXMLElem

The table to order the rows in.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.Parse method

TJvXMLQueryParser	Edit topic

Parses a statement and create the parse tree as necessary.

Pascal

procedure Parse(const AQuery: string);

Parameters

const AQuery: string

The statement to parse.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryParser.UpdateRow method

TJvXMLQueryParser	Edit topic

Updates a row with new or modified data.

Pascal

procedure UpdateRow(ARow: TJvSimpleXMLElem);

Parameters

ARow: TJvSimpleXMLElem

The row to update.

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryTable
JEDI-VCL Reference

TJvXMLQueryTable

Hierarchy	 Edit topic

Represents a table name and an optional alias.

Pascal

TJvXMLQueryTable = class(TObject);

File

JvXmlDatabase

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryTable Fields

TJvXMLQueryTable

Fields

Alias

Name

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLQueryTable


TJvXMLQueryTable Members

TJvXMLQueryTable

Members

Fields

Alias

Name

Created with Doc-O-Matic.


TJvXMLQueryTable.Alias field

TJvXMLQueryTable	Edit topic

Not documented

Pascal

Alias: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLQueryTable.Name field

TJvXMLQueryTable	Edit topic

Not documented

Pascal

Name: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLTable
JEDI-VCL Reference

TJvXMLTable

Hierarchy	 Edit topic

Represents a table (xml file).

Pascal

TJvXMLTable = class(TObject);

File

JvXmlDatabase

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLTable Fields

TJvXMLTable

Fields

FileName

Locked

XML

Created with Doc-O-Matic.


Hierarchy

TObject
    TJvXMLTable


TJvXMLTable Members

TJvXMLTable

Members

Fields

FileName

Locked

XML

Created with Doc-O-Matic.


TJvXMLTable.FileName field

TJvXMLTable	Edit topic

Not documented

Pascal

FileName: string;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLTable.Locked field

TJvXMLTable	Edit topic

Not documented

Pascal

Locked: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXMLTable.XML field

TJvXMLTable	Edit topic

Not documented

Pascal

XML: TJvSimpleXML;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXORCipher
JEDI-VCL Reference

 TJvXORCipher

Hierarchy	Properties	Methods	Package	 Edit topic

A component that can encode and decode using the XOR algorithm

Pascal

TJvXORCipher = class(TJvCustomCipher);

File

JvCipher

Description

The XOR algorithm is really simple and as such really easy to crack. However it is fast and uses a symmetrical algorithm:

  Encoded[I] = Decoded[I] XOR Key[J]

  Decoded[I] = Encoded[I] XOR Key[J]

Set the Encoded property to get the decoded value in Decoded. Set the Decoded property to get the encoded value in Encoded.

Notes

As the algorithm is symmetrical, there is virtually no difference between setting Encoded or Decoded to get the resulting value.

Each element of the string will be encoded by its corresponding element in the Key. If the Key is too short, it is reused from the start.

Created with Doc-O-Matic.


TJvXORCipher Methods

TJvXORCipher	Legend

Methods

 Decode

 Encode

TJvCustomCipher

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Legend

virtual

protected

abstract

Created with Doc-O-Matic.


Legend

virtual

protected

abstract


TJvXORCipher Properties

TJvXORCipher	Legend

Properties

TJvCustomCipher

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvXORCipher

Legend

virtual

protected

abstract

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvCustomCipher
            TJvXORCipher


TJvXORCipher Members

TJvXORCipher	Legend

Members

Methods

 Decode

 Encode

TJvCustomCipher

 Decode

DecodeFile

DecodeList

DecodeStream

DecodeString

 Encode

EncodeFile

EncodeList

EncodeStream

EncodeString

Properties

TJvCustomCipher

 Decoded

 Encoded

 IsStored

 Key

TJvComponent

 AboutJVCL

Legend

virtual

protected

abstract

published

Created with Doc-O-Matic.


Legend

virtual

protected

abstract

published


Package

Crypt


TJvXORCipher.Decode method

TJvXORCipher	See Also	Edit topic

Decodes the given buffer using the given key

Pascal

procedure Decode(const Key: string; Buf: PChar; Size: Cardinal); override;

Parameters

Buf

The buffer to be decoded. Its value will be replaced

Size

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Encode


TJvXORCipher.Encode method

TJvXORCipher	See Also	Edit topic

Encodes the given buffer using the given key

Pascal

procedure Encode(const Key: string; Buf: PChar; Size: Cardinal); override;

Parameters

Key

The key to use to encode the buffer

Buf

The buffer to be encoded. Its value will be replaced

Size

The number of bytes in the buffer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvCustomCipher.Decode


TJvXPBar
JEDI-VCL Reference

 TJvXPBar

Hierarchy	Properties	Methods	Events	Package	 Edit topic

Control that can display an icon, a header and zero or more clickable items in its client area.

Pascal

TJvXPBar = class(TJvXPCustomWinXPBar);

File

JvXPBar

Description

Use a TJvXPBar control on a form to display an XP style group box with items that can be clicked. To create a navigation style control, drop several TJvXPBars on a TJvXPContainer and align them to the top of the container.

Created with Doc-O-Matic.


TJvXPBar Events

TJvXPBar	Legend

Events

 AfterCollapsedChange

 BeforeCollapsedChange

 OnCanChange

 OnCollapsedChange

 OnDrawBackground

 OnDrawHeader

 OnDrawItem

 OnItemClick

 OnMouseEnter

 OnMouseLeave

TJvXPCustomWinXPBar

 AfterCollapsedChange

 BeforeCollapsedChange

 OnCanChange

 OnCollapsedChange

 OnDrawBackground

 OnDrawHeader

 OnDrawItem

 OnItemClick

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvXPBar Properties

TJvXPBar	Legend

Properties

 Collapsed

 Colors

 Grouped

 HeaderFont

 HeaderHeight

 HeaderRounded

 HotTrack

 HotTrackColor

 Icon

 ImageList

 ItemHeight

 Items

 OwnerDraw

 RollDelay

 RollImages

 RollMode

 RollStep

 RoundedItemFrame

 ShowItemFrame

 ShowLinkCursor

 ShowRollButton

 TopSpace

TJvXPCustomWinXPBar

 Collapsed

 Colors

 Grouped

 HeaderFont

 HeaderHeight

 HeaderRounded

 HotTrack

 HotTrackColor

 Icon

 ImageList

 ItemHeight

 Items

 OwnerDraw

 RollDelay

 RollImages

 Rolling

 RollMode

 RollOffset

 RollStep

 RoundedItemFrame

 ShowItemFrame

 ShowLinkCursor

 ShowRollButton

 TopSpace

 VisibleItems

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


TJvXPBar Methods

TJvXPBar

Methods

TJvXPCustomWinXPBar

GetHitTestAt

GetItemAt

Created with Doc-O-Matic.


Legend

TJvXPBar

Legend

published

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomWinXPBar
                TJvXPBar


TJvXPBar Members

TJvXPBar	Legend

Members

Events

 AfterCollapsedChange

 BeforeCollapsedChange

 OnCanChange

 OnCollapsedChange

 OnDrawBackground

 OnDrawHeader

 OnDrawItem

 OnItemClick

 OnMouseEnter

 OnMouseLeave

TJvXPCustomWinXPBar

 AfterCollapsedChange

 BeforeCollapsedChange

 OnCanChange

 OnCollapsedChange

 OnDrawBackground

 OnDrawHeader

 OnDrawItem

 OnItemClick

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Properties

 Collapsed

 Colors

 Grouped

 HeaderFont

 HeaderHeight

 HeaderRounded

 HotTrack

 HotTrackColor

 Icon

 ImageList

 ItemHeight

 Items

 OwnerDraw

 RollDelay

 RollImages

 RollMode

 RollStep

 RoundedItemFrame

 ShowItemFrame

 ShowLinkCursor

 ShowRollButton

 TopSpace

TJvXPCustomWinXPBar

 Collapsed

 Colors

 Grouped

 HeaderFont

 HeaderHeight

 HeaderRounded

 HotTrack

 HotTrackColor

 Icon

 ImageList

 ItemHeight

 Items

 OwnerDraw

 RollDelay

 RollImages

 Rolling

 RollMode

 RollOffset

 RollStep

 RoundedItemFrame

 ShowItemFrame

 ShowLinkCursor

 ShowRollButton

 TopSpace

 VisibleItems

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Methods

TJvXPCustomWinXPBar

GetHitTestAt

GetItemAt

Legend

published

protected

read only

Created with Doc-O-Matic.


Legend

published

protected

read only


Package

XPCtrls


TJvXPBar.AfterCollapsedChange event

TJvXPBar	See Also	Edit topic

Occurs after the Collapsed state of the control has changed.

Pascal

property AfterCollapsedChange: TJvXPBarOnCollapsedChangeEvent;

Description

Write a handler for this event to be notified after the control's Collapsed state has changed.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.BeforeCollapsedChange, TJvXPCustomWinXPBar.Collapsed


TJvXPBar.BeforeCollapsedChange event

TJvXPBar	See Also	Edit topic

Occurs before the Collapsed state of the control has changed.

Pascal

property BeforeCollapsedChange: TJvXPBarOnCollapsedChangeEvent;

Description

Write a handler for this event to be notified before the control's Collapsed state changes.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.AfterCollapsedChange, TJvXPCustomWinXPBar.Collapsed


TJvXPBar.Collapsed property

TJvXPBar	Edit topic

Indicates whether the control is collapsed or expanded.

Pascal

property Collapsed: Boolean;

Description

Use Collapsed to determine the current state of the control. Change the value of Collapsed to make the control expand or collapse.

Created with Doc-O-Matic.


TJvXPBar.Colors property

TJvXPBar	Edit topic

Specifies the colors used in the control.

Pascal

property Colors: TJvXPBarColors;

Description

Use Colors and its subproperties to set the various colors used by the control.

Created with Doc-O-Matic.


TJvXPBar.Grouped property

TJvXPBar	Edit topic

Not documented

Pascal

property Grouped: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.HeaderFont property

TJvXPBar	See Also	Edit topic

Indicates the font to use for the header of the control.

Pascal

property HeaderFont: TFont;

Description

Use HeaderFont to specify the font attributes to use for the header portion of the control.

Created with Doc-O-Matic.


See Also

Font


TJvXPBar.HeaderHeight property

TJvXPBar	Edit topic

Not documented

Pascal

property HeaderHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.HeaderRounded property

TJvXPBar	Edit topic

Not documented

Pascal

property HeaderRounded: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.HotTrack property

TJvXPBar	See Also	Edit topic

Specifies whether the items in the control are highlighted when the mouse passes over them.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse. When HotTrack is False, there is no visual feedback when the mouse passes over the items.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.HotTrackColor, TJvXPCustomWinXPBar.Items


TJvXPBar.HotTrackColor property

TJvXPBar	See Also	Edit topic

Indicates the color to use when an item is highlighted.

Pascal

property HotTrackColor: TColor;

Description

Use HotTrackColor to set the text color to use for items when the mouse hovers over them. HotTrackColor is not used unless HotTrack is true.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.HotTrack


TJvXPBar.Icon property

TJvXPBar	See Also	Edit topic

Specifies the icon to display on the control.

Pascal

property Icon: TIcon;

Description

Point Icon to a TIcon object to display an icon at the top of the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.ImageList


TJvXPBar.ImageList property

TJvXPBar	Edit topic

Specifies the image list to use for the items in the control.

Pascal

property ImageList: TCustomImageList;

Description

Set ImageList to an existing TImageList on your form to display an image next to each item in the control. The items must also have their ItemIndex set to a value between 0 and ImageList.Count - 1.

Created with Doc-O-Matic.


TJvXPBar.ItemHeight property

TJvXPBar	Edit topic

Indicates the height of an item in the control.

Pascal

property ItemHeight: Integer;

Description

Use ItemHeight to specify the height an item can occupy in the control.

Created with Doc-O-Matic.


TJvXPBar.Items property

TJvXPBar	See Also	Edit topic

Provides indexed access to the items in the control.

Pascal

property Items: TJvXPBarItems;

Description

Use Items to access the items in the control using an index. Valid indices are between 0 and Count -

1.	Items contains all the items in the list. To iterate only the visible ones, use VisibleItems

instead.

Created with Doc-O-Matic.


See Also

Count


TJvXPBar.OnCanChange event

TJvXPBar	Edit topic

Occurs before an item is about to be changed.

Pascal

property OnCanChange: TJvXPBarOnCanChangeEvent;

Parameters

Sender

The control that triggered the event.

Item

The item that is about to be selected or clicked.

AllowChange

Set to true to allow the change, False otherwise.

Description

Write a handler for this event to conditionally allow or disallow changing to another item in the control.

Created with Doc-O-Matic.


TJvXPBar.OnCollapsedChange event

TJvXPBar	See Also	Edit topic

Occurs when the control is collapsed or expanded.

Pascal

property OnCollapsedChange: TJvXPBarOnCollapsedChangeEvent;

Description

Write a handler for this event to be notified when the Collapsed state of the control changes.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.Collapsed


TJvXPBar.OnDrawBackground event

TJvXPBar	Edit topic

Not documented

Pascal

property OnDrawBackground: TJvXPBarOwnerDrawEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.OnDrawHeader event

TJvXPBar	Edit topic

Not documented

Pascal

property OnDrawHeader: TJvXPBarOwnerDrawEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.OnDrawItem event

TJvXPBar	Edit topic

Occurs when an item needs to be drawn.

Pascal

property OnDrawItem: TJvXPBarOnDrawItemEvent;

Parameters

Sender

The control that triggered the event.

ACanvas

The canvas to draw on.

Rect

The rect area to draw in.

State

The current state of the control.

Item

The item being drawn.

Bitmap

The item's image as a bitmap.

Description

Write a handler for this event to modify the way items are drawn in the control.

Created with Doc-O-Matic.


TJvXPBar.OnItemClick event

TJvXPBar	Edit topic

Occurs when the user clicks an item in the control.

Pascal

property OnItemClick: TJvXPBarOnItemClickEvent;

Parameters

Sender

The control that triggered the event.

Item

The item that was clicked.

Description

Write a handler for this event to be notified when an item has been clicked in the control.

Created with Doc-O-Matic.


TJvXPBar.OnMouseEnter event

TJvXPBar	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseLeave


TJvXPBar.OnMouseLeave event

TJvXPBar	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseEnter


TJvXPBar.OwnerDraw property

TJvXPBar	Edit topic

Not documented

Pascal

property OwnerDraw: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.RollDelay property

TJvXPBar	See Also	Edit topic

Indicates the delay between each roll step when collapsing or expanding.

Pascal

property RollDelay: TJvXPBarRollDelay;

Description

Use RollDelay to specify the amount of time that elapses between each RollStep when the Collapsed state of the control changes, i.e it is being expanded or collapsed.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.Collapsed, TJvXPCustomWinXPBar.Rolling, TJvXPCustomWinXPBar.RollMode, TJvXPCustomWinXPBar.RollOffset, TJvXPCustomWinXPBar.RollStep


TJvXPBar.RollImages property

TJvXPBar	Edit topic

Not documented

Pascal

property RollImages: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.RollMode property

TJvXPBar	See Also	Edit topic

Specifies how expanding and collapsing the control is performed.

Pascal

property RollMode: TJvXPBarRollMode;

Description

Use RollMode to control how the control is expanded and collapsed when the Collapsed property changes or the user clicks the RollButton. If RollMode is rmFixed, the control is expanded and collapsed a fixed amount of pixels (using RollOffset) at each step. If RollMode is rmShrink, the control is expanded and collapsed proportionally to the current size of the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.RollOffset, TJvXPCustomWinXPBar.RollStep


TJvXPBar.RollStep property

TJvXPBar	See Also	Edit topic

Indicates the number of discreet steps used to collapse and expand the control.

Pascal

property RollStep: TJvXPBarRollStep;

Description

Set RollStep to specify how smooth the transition from the expanded to the collapsed state is. A higher value of RollSteps makes the transition appear smooth but will also take longer.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.RollMode, TJvXPCustomWinXPBar.RollOffset


TJvXPBar.RoundedItemFrame property

TJvXPBar	Edit topic

Not documented

Pascal

property RoundedItemFrame: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.ShowItemFrame property

TJvXPBar	Edit topic

Not documented

Pascal

property ShowItemFrame: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBar.ShowLinkCursor property

TJvXPBar	See Also	Edit topic

Indicates whether the cursor turns into a hand cursor when hovering over items.

Pascal

property ShowLinkCursor: Boolean;

Description

Use ShowLinkCursor to specify the cursor to use when the mouse hovers over an item. If ShowLinkCursor is false, the item displays the same cursor as the control.

Created with Doc-O-Matic.


See Also

Cursor


TJvXPBar.ShowRollButton property

TJvXPBar	See Also	Edit topic

Indicates if the collapse/expand button is shown.

Pascal

property ShowRollButton: Boolean;

Description

Use ShowRollButton to specify whether the control shows an expand/collapse button or not. Even if the button is hidden, you can still expand and collapse the control from code, using Collapsed.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.Collapsed


TJvXPBar.TopSpace property

TJvXPBar	Edit topic

Not documented

Pascal

property TopSpace: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarColors
JEDI-VCL Reference

TJvXPBarColors

Hierarchy	Properties	 Edit topic

Manages the colors used by TJvXPCustomWinXPBar.

Pascal

TJvXPBarColors = class(TPersistent);

File

JvXPBar

Description

TJvXPBarColors is the type of the Colors property of a TJvXPCustomWinXPBar and manages the colors used by the control.

Created with Doc-O-Matic.


TJvXPBarColors Properties

TJvXPBarColors	Legend

Properties

 BodyBorderColor

 BodyColor

 BorderColor

 CheckedColor

 CheckedFrameColor

 FocusedColor

 FocusedFrameColor

 GradientFrom

 GradientTo

 SeparatorColor

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvXPBarColors

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvXPBarColors


TJvXPBarColors Members

TJvXPBarColors	Legend

Members

Properties

 BodyBorderColor

 BodyColor

 BorderColor

 CheckedColor

 CheckedFrameColor

 FocusedColor

 FocusedFrameColor

 GradientFrom

 GradientTo

 SeparatorColor

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvXPBarColors.BodyBorderColor property

TJvXPBarColors	Edit topic

Not documented

Pascal

property BodyBorderColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarColors.BodyColor property

TJvXPBarColors	Edit topic

Indicates the color of the body portion of the control.

Pascal

property BodyColor: TColor;

Description

Use BodyColor to specify the background color of the owning control.

Created with Doc-O-Matic.


TJvXPBarColors.BorderColor property

TJvXPBarColors	Edit topic

Not documented

Pascal

property BorderColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarColors.CheckedColor property

TJvXPBarColors	Edit topic

Not documented

Pascal

property CheckedColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarColors.CheckedFrameColor property

TJvXPBarColors	Edit topic

Not documented

Pascal

property CheckedFrameColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarColors.FocusedColor property

TJvXPBarColors	Edit topic

Not documented

Pascal

property FocusedColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarColors.FocusedFrameColor property

TJvXPBarColors	Edit topic

Not documented

Pascal

property FocusedFrameColor: TColor;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarColors.GradientFrom property

TJvXPBarColors	See Also	Edit topic

Indicates the starting color for a gradient.

Pascal

property GradientFrom: TColor;

Description

Use GradientFrom to specify the starting color of a gradient area on the owning control.

Created with Doc-O-Matic.


See Also

TJvXPBarColors.GradientTo


TJvXPBarColors.GradientTo property

TJvXPBarColors	See Also	Edit topic

Indicates the ending color for a gradient.

Pascal

property GradientTo: TColor;

Description

Use GradientTo to specify the ending color of a gradient area on the owning control.

Created with Doc-O-Matic.


See Also

TJvXPBarColors.GradientFrom


TJvXPBarColors.SeparatorColor property

TJvXPBarColors	Edit topic

Indicates the color of the separator in the control.

Pascal

property SeparatorColor: TColor;

Description

Use SeparatorColor to specify the color for a separator line on the owning control.

Created with Doc-O-Matic.


TJvXPBarItem
JEDI-VCL Reference

TJvXPBarItem

Hierarchy	Properties	Events	 Edit topic

Class that manages an item in a TJvXPCustomWinXPBar.

Pascal

TJvXPBarItem = class(TCollectionItem);

File

JvXPBar

Description

TJvXPBarItem is the type of an individual item the Items property of TJvXPCustomWinXPBar. It has properties to control the look and behavior of the item.

Created with Doc-O-Matic.


TJvXPBarItem Properties

TJvXPBarItem	Legend

Properties

 Action

 AutoCheck

 Caption

 Checked

Data

DataObject

 Enabled

 GroupIndex

 Hint

 ImageIndex

 ImageList

 Images

 Tag

 Visible

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvXPBarItem Events

TJvXPBarItem	Legend

Events

 OnClick

 OnDblClick

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvXPBarItem

Legend

published

read only

Created with Doc-O-Matic.


Hierarchy

TCollectionItem
    TJvXPBarItem


TJvXPBarItem Members

TJvXPBarItem	Legend

Members

Properties

 Action

 AutoCheck

 Caption

 Checked

Data

DataObject

 Enabled

 GroupIndex

 Hint

 ImageIndex

 ImageList

 Images

 Tag

 Visible

Events

 OnClick

 OnDblClick

Legend

published

read only

Created with Doc-O-Matic.


Legend

published

read only


TJvXPBarItem.Action property

TJvXPBarItem	See Also	Edit topic

Designates the action associated with the item.

Pascal

property Action: TBasicAction;

Description

Action is the action object that is associated with the item. Actions allow an application to centralize the response to user commands. When an item is associated with an action, the action determines the appropriate properties and events of the item (such as whether the item is enabled or how it responds to an OnClick event).

Created with Doc-O-Matic.


See Also

TJvXPBarItem.OnClick


TJvXPBarItem.AutoCheck property

TJvXPBarItem	Edit topic

Not documented

Pascal

property AutoCheck: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarItem.Caption property

TJvXPBarItem	See Also	Edit topic

The text to display for the item.

Pascal

property Caption: TCaption;

Description

Use Caption to specify the text string that labels the item.

Created with Doc-O-Matic.


See Also

Name, Text


TJvXPBarItem.Checked property

TJvXPBarItem	Edit topic

Not documented

Pascal

property Checked: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarItem.Data property

TJvXPBarItem	See Also	Edit topic

Stores a pointer value as part of the item.

Pascal

property Data: Pointer;

Description

Data has no predefined meaning. The Data property is provided for the convenience of developers. It can be used for storing an additional pointer value or it can be typecast to any 32-bit value such as a component reference or an integer.

Created with Doc-O-Matic.


See Also

TJvXPBarItem.DataObject, TJvXPBarItem.Tag


TJvXPBarItem.DataObject property

TJvXPBarItem	See Also	Edit topic

Stores an object value as part of the item.

Pascal

property DataObject: TObject;

Description

DataObject has no predefined meaning. The DataObject property is provided for the convenience of developers. It can be used for storing an additional TObject value or it can be typecast to any 32-bit value such as a pointer or an integer.

Created with Doc-O-Matic.


See Also

TJvXPBarItem.Data, TJvXPBarItem.Tag


TJvXPBarItem.Enabled property

TJvXPBarItem	See Also	Edit topic

Indicates whether the control responds to mouse events.

Pascal

property Enabled: Boolean;

Description

Use Enabled to change the availability of the item to the user. To disable an item, set Enabled to false. Disabled items appear dimmed. If Enabled is false, the item ignores mouse events.

Created with Doc-O-Matic.


See Also

TJvXPBarItem.Visible


TJvXPBarItem.GroupIndex property

TJvXPBarItem	Edit topic

Not documented

Pascal

property GroupIndex: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarItem.Hint property

TJvXPBarItem	Edit topic

Contains the text string that can appear when the user moves the mouse over the item.

Pascal

property Hint: string;

Description

Use the Hint property to provide a string of help text either as a Help Hint, or as help text on a particular location such as a status bar.

Created with Doc-O-Matic.


TJvXPBarItem.ImageIndex property

TJvXPBarItem	See Also	Edit topic

Indicates the image to display for the item.

Pascal

property ImageIndex: TImageIndex;

Description

ImageIndex is an index into the image list of the item or of the TJvXPCustomWinXPBar owning the item or of the Action associated with the item. It identifies an image that is shown next to the item.

Created with Doc-O-Matic.


See Also

TJvXPBar, TJvXPBarItem.ImageList, TJvXPBarItem.Images, TJvXPCustomWinXPBar


TJvXPBarItem.ImageList property

TJvXPBarItem	See Also	Edit topic

Indicates the image list to use for this item.

Pascal

property ImageList: TCustomImageList;

Description

Use ImageList to specify an image list to use for this item. If not set, the item uses either the images of the associated Action or the images of the owning control.

Created with Doc-O-Matic.


See Also

TJvXPBarItem.ImageIndex, TJvXPBarItem.Images


TJvXPBarItem.Images property

TJvXPBarItem	See Also	Edit topic

Returns one of three possible image lists.

Pascal

property Images: TCustomImageList;

Description

Images is used internally to return the image list that is to be used by the item. An item can get its image list from three different sources: from its own ImageList property, from the Images property of the associated Action or from the ImageList property of the owning TJvXPCustomWinXPBar.

The different image lists are checked in this order:

ImageList, Action.ActionList.Images and TJvXPBar.ImageList

The first non-nil image list found is returned.

Created with Doc-O-Matic.


See Also

TJvXPBar, TJvXPBarItem.Action, TJvXPBarItem.ImageList, TJvXPCustomWinXPBar.ImageList


TJvXPBarItem.OnClick event

TJvXPBarItem	See Also	Edit topic

Occurs when the item is clicked.

Pascal

property OnClick: TNotifyEvent;

Description

Use the OnClick event handler to respond when the user clicks the item. If the item has an associated action, and that action has an OnExecute method, the action’s OnExecute method responds to click events unless it is superseded by an OnClick event handler.

Created with Doc-O-Matic.


See Also

TJvXPBarItem.Action


TJvXPBarItem.OnDblClick event

TJvXPBarItem	Edit topic

Not documented

Pascal

property OnDblClick: TNotifyEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPBarItem.Tag property

TJvXPBarItem	See Also	Edit topic

Stores an integer value as part of the item.

Pascal

property Tag: Integer;

Description

Tag has no predefined meaning. The Tag property is provided for the convenience of developers. It can be used for storing an additional integer value or it can be typecast to any 32-bit value such as a component reference or a pointer.

Created with Doc-O-Matic.


See Also

TJvXPBarItem.Data, TJvXPBarItem.DataObject


TJvXPBarItem.Visible property

TJvXPBarItem	See Also	Edit topic

Determines whether the item appears onscreen.

Pascal

property Visible: Boolean;

Description

Use the Visible property to control the visibility of the item at runtime. If Visible is true, the item appears. If Visible is false, the item is not visible.

Created with Doc-O-Matic.


See Also

TJvXPBarItem.Enabled


TJvXPBarOptions
JEDI-VCL Reference

TJvXPBarOptions

Hierarchy	 Edit topic

Base class for options in a TJvXPCustomWinXPBar or descendant.

Pascal

TJvXPBarOptions = class(TPersistent);

File

JvXPBar

Description

This class is not used.

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvXPBarOptions


TJvXPBarVisibleItems
JEDI-VCL Reference

TJvXPBarVisibleItems

Hierarchy	Properties	Methods	 Edit topic

Collection class that manages a list of TJvXPBarItem items. TJvXPBarItems are displayed in a TJvXPCustomWinXPBar control.

Pascal

TJvXPBarVisibleItems = class(TPersistent);

File

JvXPBar

Description

TJvXPBarVisibleItems is the type of the VisibleItems property of TJvXPCustomWinXPBar.

Created with Doc-O-Matic.


TJvXPBarVisibleItems Properties

TJvXPBarVisibleItems	Legend

Properties

 Items

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvXPBarVisibleItems Methods

TJvXPBarVisibleItems

Methods

Count

Created with Doc-O-Matic.


Legend

TJvXPBarVisibleItems

Legend

read only

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvXPBarVisibleItems


TJvXPBarVisibleItems Members

TJvXPBarVisibleItems	Legend

Members

Properties

 Items

Methods

Count

Legend

read only

Created with Doc-O-Matic.


Legend

read only


TJvXPBarVisibleItems.Items property

TJvXPBarVisibleItems	See Also	Edit topic

Provides indexed access to the items in the list.

Pascal

property Items [Index: Integer]: TJvXPBarItem;

Parameters

Index

The 0-based index of the item.

Description

Use Items to access the items in the collection by index. Valid indices are between 0 and Count - 1. Items is the default property of TJvXPBarVisibleItems, which means you can call it either using

  JvXPBar1.Items.Items[Index]

or

  JvXPBar1.Items[Index]

Created with Doc-O-Matic.


See Also

TJvXPBarVisibleItems.Count


TJvXPBarVisibleItems.Count method

TJvXPBarVisibleItems	See Also	Edit topic

Indicates the number of items in the list.

Pascal

function Count: Integer;

Description

Read Count to determine how many items are in the collection.

Created with Doc-O-Matic.


See Also

TJvXPBarVisibleItems.Items


TJvXPButton
JEDI-VCL Reference

 TJvXPButton

Hierarchy	Properties	Events	Package	 Edit topic

Button drawn in an XP style.

Pascal

TJvXPButton = class(TJvXPCustomButton);

File

JvXPButtons

Description

Use TJvXPButton on your form when you need a button that has a themed XP look.

TJvXPButton introduces properties to display an image on the button and arrange the images and text on the button.

Created with Doc-O-Matic.


TJvXPButton Properties

TJvXPButton	Legend

Properties

 AutoGray

 Cancel

 Default

 Glyph

 Layout

 ModalResult

 ShowAccelChar

 ShowFocusRect

 SmoothEdges

 Spacing

 Style

 StyleManager

 WordWrap

TJvXPCustomButton

 AutoGray

 Cancel

 Default

 Glyph

 Layout

 ShowAccelChar

 ShowFocusRect

 SmoothEdges

 Spacing

 WordWrap

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvXPButton Events

TJvXPButton	Legend

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvXPButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomStyleControl
                TJvXPCustomButton
                    TJvXPButton


TJvXPButton Members

TJvXPButton	Legend

Members

Properties

 AutoGray

 Cancel

 Default

 Glyph

 Layout

 ModalResult

 ShowAccelChar

 ShowFocusRect

 SmoothEdges

 Spacing

 Style

 StyleManager

 WordWrap

TJvXPCustomButton

 AutoGray

 Cancel

 Default

 Glyph

 Layout

 ShowAccelChar

 ShowFocusRect

 SmoothEdges

 Spacing

 WordWrap

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

XPCtrls


TJvXPButton.AutoGray property

TJvXPButton	Edit topic

Indicates whether to display the image of the button grayed when the button is not enabled.

Pascal

property AutoGray: Boolean;

Description

Set AutoGray to true to render the image of the button grayed, when the button is not enabled.

Created with Doc-O-Matic.


TJvXPButton.Cancel property

TJvXPButton	See Also	Edit topic

Determines whether the button’s OnClick event handler executes when the Escape key is pressed.

Pascal

property Cancel: Boolean;

Description

If Cancel is True, the button’s OnClick event handler executes when the user presses Esc. Although an application can have more than one Cancel button, the form calls the OnClick event handler only for the first visible button in the tab order.

Created with Doc-O-Matic.


See Also

OnClick


TJvXPButton.Default property

TJvXPButton	See Also	Edit topic

Determines whether the button’s OnClick event handler executes when the Enter key is pressed.

Pascal

property Default: Boolean;

Description

If Default is True, the button’s OnClick event handler executes when the user presses Enter.

Although an application can have more than one Default button, the form calls the OnClick event handler only for the first visible button in the tab order. Moreover, any button that has focus becomes the Default button temporarily; hence, if the user selects another button before pressing Enter, the selected button’s OnClick event handler executes instead.

Created with Doc-O-Matic.


See Also

TJvXPCustomButton.Cancel


TJvXPButton.Glyph property

TJvXPButton	See Also	Edit topic

Specifies the bitmap that appears on the button.

Pascal

property Glyph: TJvPicture;

Description

Use Glyph to specify the image to display on the button. The actual location of the image is controlled by the Layout property. In contrast to TBitBtn, Glyph can contain one image only but you can modify its run-time appearance by setting AutoGray to true.

Created with Doc-O-Matic.


See Also

TJvXPCustomButton.AutoGray, TJvXPCustomButton.Layout


TJvXPButton.Layout property

TJvXPButton	See Also	Edit topic

Indicates the location of Glyph on the button.

Pascal

property Layout: TJvXPLayout;

Description

Use Layout to specify where you want the image to appear on the button in relation to the Caption.

Created with Doc-O-Matic.


See Also

Caption


TJvXPButton.ModalResult property

TJvXPButton	Edit topic

Determines whether and how the control closes its (modal) parent form.

Pascal

property ModalResult: TModalResult;

Description

Setting the TJvXPCustomControl's ModalResult property is an easy way to make clicking the control close a modal form. When a TJvXPCustomControl is clicked, the ModalResult property of its parent form is set to the same value as the TJvXPCustomControl's ModalResult property.

Created with Doc-O-Matic.


TJvXPButton.OnMouseEnter event

TJvXPButton	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseLeave


TJvXPButton.OnMouseLeave event

TJvXPButton	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseEnter


TJvXPButton.ShowAccelChar property

TJvXPButton	See Also	Edit topic

Determines how an ampersand in the label text is displayed.

Pascal

property ShowAccelChar: Boolean;

Description

Set ShowAccelChar to True to allow the button to display an underlined accelerator key value. When ShowAccelChar is True, any character preceded by an ampersand (&) appears underlined.

To display an ampersand when ShowAccelChar is True, use two ampersands (&&) to stand for the single ampersand that is displayed.

Set ShowAccelChar to False to display the text with all ampersands appearing as ampersands.

Created with Doc-O-Matic.


See Also

Caption


TJvXPButton.ShowFocusRect property

TJvXPButton	See Also	Edit topic

Indicates whether the button is drawn with a focus rect when focused.

Pascal

property ShowFocusRect: Boolean;

Description

Use ShowFocusRect to specify whether a standard focus rect is drawn on the button when it has the focus.

Created with Doc-O-Matic.


See Also

Focused


TJvXPButton.SmoothEdges property

TJvXPButton	Edit topic

Indicates how the edges are drawn.

Pascal

property SmoothEdges: Boolean;

Description

Use SmoothEdges to specify whether the edges of the button are drawn in a standard way or with color highlighting that makes the edges appear smoother.

Created with Doc-O-Matic.


TJvXPButton.Spacing property

TJvXPButton	Edit topic

Specifies the distance in pixels between the image and the text.

Pascal

property Spacing: Byte;

Description

Use spacing to specify how many pixels separate the image in Glyph and the text in Caption.

Created with Doc-O-Matic.


TJvXPButton.Style property

TJvXPButton	See Also	Edit topic

Determines the style of the control.

Pascal

property Style: TJvXPStyle;

Description

Use Style to set a visual style for the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.StyleManager


TJvXPButton.StyleManager property

TJvXPButton	See Also	Edit topic

Sets the style manager responsible for drawing the control.

Pascal

property StyleManager: TJvXPStyleManager;

Description

Set StyleManager to point to a TJvXPStyleManager instance on your form. If you set the same style manager for all TJvXPCustomControls on the form, you can control the style of all controls from one central point

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.Style


TJvXPButton.WordWrap property

TJvXPButton	See Also	Edit topic

Determines whether the control inserts soft carriage returns so text wraps at the right margin.

Pascal

property WordWrap: Boolean;

Description

Use WordWrap to specify how the text is drawn when it doesn't fit inside the control. If WordWrap is true, the text will be wrapped to as many lines as needed to fit the text inside the control.

Created with Doc-O-Matic.


See Also

Caption


TJvXPCheckbox
JEDI-VCL Reference

 TJvXPCheckbox

Hierarchy	Properties	Events	Package	 Edit topic

Checkbox that draws itself in an XP style.

Pascal

TJvXPCheckbox = class(TJvXPCustomCheckControl);

File

JvXPCheckCtrls

Description

Use TJvXPCheckbox when you need to place a checkbox on your form that looks like checkboxes in Windows XP. TJvXPCheckbox inherits from TJvXPCustomCheckControl and publishes most of its properties and events but only overrides the DrawCheckSymbol to draw the different checkbox states.

Created with Doc-O-Matic.


TJvXPCheckbox Properties

TJvXPCheckbox	Legend

Properties

 BoundLines

 Checked

 Spacing

 Style

 StyleManager

TJvXPCustomCheckControl

 BoundLines

 Checked

 Spacing

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvXPCheckbox Events

TJvXPCheckbox	Legend

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvXPCheckbox

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomStyleControl
                TJvXPCustomCheckControl
                    TJvXPCheckbox


TJvXPCheckbox Members

TJvXPCheckbox	Legend

Members

Properties

 BoundLines

 Checked

 Spacing

 Style

 StyleManager

TJvXPCustomCheckControl

 BoundLines

 Checked

 Spacing

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

XPCtrls


TJvXPCheckbox.BoundLines property

TJvXPCheckbox	Edit topic

Indicates which border lines are drawn.

Pascal

property BoundLines: TJvXPBoundLines;

Description

Use BoundLines to specify which border lines are drawn in the control.

Created with Doc-O-Matic.


TJvXPCheckbox.Checked property

TJvXPCheckbox	Edit topic

Specifies whether the check box is checked.

Pascal

property Checked: Boolean;

Description

Use Checked to determine whether the check box is in the checked state. Checked is automatically toggled when the control is clicked

Created with Doc-O-Matic.


TJvXPCheckbox.OnMouseEnter event

TJvXPCheckbox	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseLeave


TJvXPCheckbox.OnMouseLeave event

TJvXPCheckbox	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseEnter


TJvXPCheckbox.Spacing property

TJvXPCheckbox	Edit topic

Sets the distance between the checkbox and the text in the control.

Pascal

property Spacing: Byte;

Description

Use Spacing to set the distance in pixels between the right edge of the checkbox symbol and the start of the text.

Created with Doc-O-Matic.


TJvXPCheckbox.Style property

TJvXPCheckbox	See Also	Edit topic

Determines the style of the control.

Pascal

property Style: TJvXPStyle;

Description

Use Style to set a visual style for the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.StyleManager


TJvXPCheckbox.StyleManager property

TJvXPCheckbox	See Also	Edit topic

Sets the style manager responsible for drawing the control.

Pascal

property StyleManager: TJvXPStyleManager;

Description

Set StyleManager to point to a TJvXPStyleManager instance on your form. If you set the same style manager for all TJvXPCustomControls on the form, you can control the style of all controls from one central point

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.Style


TJvXPContainer
JEDI-VCL Reference

 TJvXPContainer

Hierarchy	Properties	Events	Package	 Edit topic

A panel style control.

Pascal

TJvXPContainer = class(TJvXPCustomContainer);

File

JvXPContainer

Description

Use TJvXPContainer the same way you use a panel on a form. TJvXPContainer has additional properties to control the visual appearance of the control. TJvXPContainer is inherited from TJvXPCustomContainer and publishes its properties and events but does not introduce any new behavior.

Created with Doc-O-Matic.


TJvXPContainer Properties

TJvXPContainer	Legend

Properties

 Alignment

 BorderWidth

 BoundColor

 BoundLines

 EnabledMode

 Focusable

 Glyph

 GlyphLayout

 Layout

 ShowBoundLines

 ShowCaption

 Spacing

 WordWrap

TJvXPCustomContainer

 Alignment

 BorderWidth

 BoundColor

 BoundLines

 EnabledMode

 Focusable

 Glyph

 GlyphLayout

 Layout

 ShowBoundLines

 ShowCaption

 Spacing

 WordWrap

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvXPContainer Events

TJvXPContainer	Legend

Events

 OnEnabledChanged

 OnMouseEnter

 OnMouseLeave

 OnPaint

TJvXPCustomContainer

 OnEnabledChanged

 OnPaint

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvXPContainer

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomContainer
                TJvXPContainer


TJvXPContainer Members

TJvXPContainer	Legend

Members

Properties

 Alignment

 BorderWidth

 BoundColor

 BoundLines

 EnabledMode

 Focusable

 Glyph

 GlyphLayout

 Layout

 ShowBoundLines

 ShowCaption

 Spacing

 WordWrap

TJvXPCustomContainer

 Alignment

 BorderWidth

 BoundColor

 BoundLines

 EnabledMode

 Focusable

 Glyph

 GlyphLayout

 Layout

 ShowBoundLines

 ShowCaption

 Spacing

 WordWrap

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

 OnEnabledChanged

 OnMouseEnter

 OnMouseLeave

 OnPaint

TJvXPCustomContainer

 OnEnabledChanged

 OnPaint

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

XPCtrls


TJvXPContainer.Alignment property

TJvXPContainer	See Also	Edit topic

Determines how the caption is aligned within the control.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text of the control is justified within the ClientRect of the control.

The effect of the Alignment property is more obvious if the WordWrap property is True and the control includes more than one line of text.

Created with Doc-O-Matic.


See Also

Caption


TJvXPContainer.BorderWidth property

TJvXPContainer	See Also	Edit topic

Sets the width of the border around the Glyph.

Pascal

property BorderWidth: TBorderWidth;

Description

Use BorderWidth to specify how much space is allocated around the image in Glyph. If no image is assigned, this property has no effect.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.Glyph, TJvXPCustomContainer.Spacing


TJvXPContainer.BoundColor property

TJvXPContainer	See Also	Edit topic

Indicates the color of bound lines.

Pascal

property BoundColor: TColor;

Description

Use BoundColor to specify the color to use for the border lines drawn with the BoundLines property.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.BoundLines


TJvXPContainer.BoundLines property

TJvXPContainer	See Also	Edit topic

Indicates which border lines are drawn.

Pascal

property BoundLines: TJvXPBoundLines;

Description

Use BoundLines to specify which border lines are drawn in the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.BoundColor


TJvXPContainer.EnabledMode property

TJvXPContainer	See Also	Edit topic

Indicates how changing Enabled affects child controls.

Pascal

property EnabledMode: TJvXPEnabledMode;

Description

Use EnabledMode to control how child controls are affected when the control's Enabled state changes. If EnabledMode is emAffectChilds, the Enabled state of child controls are changed to match the control's Enabled state.

Created with Doc-O-Matic.


See Also

Enabled


TJvXPContainer.Focusable property

TJvXPContainer	See Also	Edit topic

Specifies if the control will receive focus when clicked.

Pascal

property Focusable: Boolean;

Description

Set Focusable to true to make the control focused when it is clicked. If Focusable is false, the control can only be focused by setting TabStop to true and tabbing to it.

Created with Doc-O-Matic.


See Also

TabStop


TJvXPContainer.Glyph property

TJvXPContainer	See Also	Edit topic

Specifies an image to display on the control.

Pascal

property Glyph: TBitmap;

Description

Use Glyph to specify an image to display on the control. When Glyph contains an image, the Caption is adjusted so it appears to the right of the image.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.GlyphLayout


TJvXPContainer.GlyphLayout property

TJvXPContainer	See Also	Edit topic

Specifies how the Glyph is aligned in the control.

Pascal

property GlyphLayout: TJvXPGlyphLayout;

Description

Set GlyphLayout to specify how the image in Glyph is aligned within the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.Glyph


TJvXPContainer.Layout property

TJvXPContainer	See Also	Edit topic

Specifies the vertical placement of the text within the control.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of the control is placed within the ClientRect of the control. Layout is the vertical analog to the Alignment property.

Created with Doc-O-Matic.


See Also

Caption


TJvXPContainer.OnEnabledChanged event

TJvXPContainer	See Also	Edit topic

Occurs when the Enabled state changes.

Pascal

property OnEnabledChanged: TNotifyEvent;

Description

Write a handler for the OnEnabledChanged to take specific action when the control's Enabled state has changed.

Created with Doc-O-Matic.


See Also

Enabled


TJvXPContainer.OnMouseEnter event

TJvXPContainer	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseLeave


TJvXPContainer.OnMouseLeave event

TJvXPContainer	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseEnter


TJvXPContainer.OnPaint event

TJvXPContainer	Edit topic

Occurs when the control needs to be painted.

Pascal

property OnPaint: TJvXPPaintEvent;

Parameters

Sender

The control that triggered the event.

Rect

The area to draw in.

ACanvas

The canvas to draw on.

AFont

The font to use for text drawing. You can change the properties of AFont to change the way the default text is drawn.

Description

Use OnPaint to perform special processing when the control is redrawn. Any special painting on the control should be done in this event. OnPaint occurs after the borders are drawn but before the image and text of the control.

Created with Doc-O-Matic.


TJvXPContainer.ShowBoundLines property

TJvXPContainer	Edit topic

Specifies whether borders are shown or not.

Pascal

property ShowBoundLines: Boolean;

Description

Use ShowBoundLines to specify whether borders are shown or not.

Created with Doc-O-Matic.


TJvXPContainer.ShowCaption property

TJvXPContainer	Edit topic

Specifies whether the control's caption is drawn at run-time.

Pascal

property ShowCaption: Boolean;

Description

Use ShowCaption to specify whether the control's caption is drawn at run-time.

Created with Doc-O-Matic.


TJvXPContainer.Spacing property

TJvXPContainer	Edit topic

Determines where the image and text appear on the control.

Pascal

property Spacing: Byte;

Description

Use Spacing to specify where the image and text appear on the control.

Created with Doc-O-Matic.


TJvXPContainer.WordWrap property

TJvXPContainer	Edit topic

Determines whether the control inserts soft carriage returns so text wraps at the right margin.

Pascal

property WordWrap: Boolean;

Description

Use WordWrap to specify how the text is drawn when it doesn't fit inside the control. If WordWrap is true, the text will be wrapped to as many lines as needed to fit the text inside the control.

Created with Doc-O-Matic.


TJvXPCustomButton
JEDI-VCL Reference

TJvXPCustomButton

Hierarchy	Properties	Events	 Edit topic

Base class for buttons that are drawn in an XP style.

Pascal

TJvXPCustomButton = class(TJvXPCustomStyleControl);

File

JvXPButtons

Description

Use TJvXPCustomButton as a base class for buttons that are drawn in an XP style.

Do not create instances of TJvXPCustomButton. Use the generic descendant TJvXPButton, or create your own descendant class.

Created with Doc-O-Matic.


TJvXPCustomButton Properties

TJvXPCustomButton	Legend

Properties

 AutoGray

 Cancel

 Default

 Glyph

 Layout

 ShowAccelChar

 ShowFocusRect

 SmoothEdges

 Spacing

 WordWrap

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomButton Events

TJvXPCustomButton	Legend

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPCustomButton

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomStyleControl
                TJvXPCustomButton


TJvXPCustomButton Members

TJvXPCustomButton	Legend

Members

Properties

 AutoGray

 Cancel

 Default

 Glyph

 Layout

 ShowAccelChar

 ShowFocusRect

 SmoothEdges

 Spacing

 WordWrap

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomButton.AutoGray property

TJvXPCustomButton	Edit topic

Indicates whether to display the image of the button grayed when the button is not enabled.

Pascal

property AutoGray: Boolean;

Description

Set AutoGray to true to render the image of the button grayed, when the button is not enabled.

Created with Doc-O-Matic.


TJvXPCustomButton.Cancel property

TJvXPCustomButton	See Also	Edit topic

Determines whether the button’s OnClick event handler executes when the Escape key is pressed.

Pascal

property Cancel: Boolean;

Description

If Cancel is True, the button’s OnClick event handler executes when the user presses Esc. Although an application can have more than one Cancel button, the form calls the OnClick event handler only for the first visible button in the tab order.

Created with Doc-O-Matic.


See Also

OnClick


TJvXPCustomButton.Default property

TJvXPCustomButton	See Also	Edit topic

Determines whether the button’s OnClick event handler executes when the Enter key is pressed.

Pascal

property Default: Boolean;

Description

If Default is True, the button’s OnClick event handler executes when the user presses Enter.

Although an application can have more than one Default button, the form calls the OnClick event handler only for the first visible button in the tab order. Moreover, any button that has focus becomes the Default button temporarily; hence, if the user selects another button before pressing Enter, the selected button’s OnClick event handler executes instead.

Created with Doc-O-Matic.


See Also

TJvXPCustomButton.Cancel


TJvXPCustomButton.Glyph property

TJvXPCustomButton	See Also	Edit topic

Specifies the bitmap that appears on the button.

Pascal

property Glyph: TJvPicture;

Description

Use Glyph to specify the image to display on the button. The actual location of the image is controlled by the Layout property. In contrast to TBitBtn, Glyph can contain one image only but you can modify its run-time appearance by setting AutoGray to true.

Created with Doc-O-Matic.


See Also

TJvXPCustomButton.AutoGray, TJvXPCustomButton.Layout


TJvXPCustomButton.Layout property

TJvXPCustomButton	See Also	Edit topic

Indicates the location of Glyph on the button.

Pascal

property Layout: TJvXPLayout;

Description

Use Layout to specify where you want the image to appear on the button in relation to the Caption.

Created with Doc-O-Matic.


See Also

Caption


TJvXPCustomButton.ShowAccelChar property

TJvXPCustomButton	See Also	Edit topic

Determines how an ampersand in the label text is displayed.

Pascal

property ShowAccelChar: Boolean;

Description

Set ShowAccelChar to True to allow the button to display an underlined accelerator key value. When ShowAccelChar is True, any character preceded by an ampersand (&) appears underlined.

To display an ampersand when ShowAccelChar is True, use two ampersands (&&) to stand for the single ampersand that is displayed.

Set ShowAccelChar to False to display the text with all ampersands appearing as ampersands.

Created with Doc-O-Matic.


See Also

Caption


TJvXPCustomButton.ShowFocusRect property

TJvXPCustomButton	See Also	Edit topic

Indicates whether the button is drawn with a focus rect when focused.

Pascal

property ShowFocusRect: Boolean;

Description

Use ShowFocusRect to specify whether a standard focus rect is drawn on the button when it has the focus.

Created with Doc-O-Matic.


See Also

Focused


TJvXPCustomButton.SmoothEdges property

TJvXPCustomButton	Edit topic

Indicates how the edges are drawn.

Pascal

property SmoothEdges: Boolean;

Description

Use SmoothEdges to specify whether the edges of the button are drawn in a standard way or with color highlighting that makes the edges appear smoother.

Created with Doc-O-Matic.


TJvXPCustomButton.Spacing property

TJvXPCustomButton	Edit topic

Specifies the distance in pixels between the image and the text.

Pascal

property Spacing: Byte;

Description

Use spacing to specify how many pixels separate the image in Glyph and the text in Caption.

Created with Doc-O-Matic.


TJvXPCustomButton.WordWrap property

TJvXPCustomButton	See Also	Edit topic

Determines whether the control inserts soft carriage returns so text wraps at the right margin.

Pascal

property WordWrap: Boolean;

Description

Use WordWrap to specify how the text is drawn when it doesn't fit inside the control. If WordWrap is true, the text will be wrapped to as many lines as needed to fit the text inside the control.

Created with Doc-O-Matic.


See Also

Caption


TJvXPCustomButtonActionLink
JEDI-VCL Reference

TJvXPCustomButtonActionLink

Hierarchy	 Edit topic

An action link class used by TJvXPCustomButtons and descendants.

Pascal

TJvXPCustomButtonActionLink = class(TWinControlActionLink);

File

JvXPButtons

Description

This action link class is used internally and you never need to create it yourself.

Created with Doc-O-Matic.


Hierarchy

TWinControlActionLink
    TJvXPCustomButtonActionLink


TJvXPCustomCheckControl
JEDI-VCL Reference

TJvXPCustomCheckControl

Hierarchy	Properties	Events	 Edit topic

Base class for check style controls that draws themselves in an XP style.

Pascal

TJvXPCustomCheckControl = class(TJvXPCustomStyleControl);

File

JvXPCheckCtrls

Description

Use TJvXPCustomCheckControl as a base class to implement a check style control (like a checkbox or radiobutton). Most implementations need only override the DrawCheckSymbol method since this class implements the logic needed to manage the Checked property.

Created with Doc-O-Matic.


TJvXPCustomCheckControl Properties

TJvXPCustomCheckControl	Legend

Properties

 BoundLines

 Checked

 Spacing

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomCheckControl Events

TJvXPCustomCheckControl	Legend

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPCustomCheckControl

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomStyleControl
                TJvXPCustomCheckControl


TJvXPCustomCheckControl Members

TJvXPCustomCheckControl	Legend

Members

Properties

 BoundLines

 Checked

 Spacing

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomCheckControl.BoundLines property

TJvXPCustomCheckControl	Edit topic

Indicates which border lines are drawn.

Pascal

property BoundLines: TJvXPBoundLines;

Description

Use BoundLines to specify which border lines are drawn in the control.

Created with Doc-O-Matic.


TJvXPCustomCheckControl.Checked property

TJvXPCustomCheckControl	Edit topic

Specifies whether the check box is checked.

Pascal

property Checked: Boolean;

Description

Use Checked to determine whether the check box is in the checked state. Checked is automatically toggled when the control is clicked

Created with Doc-O-Matic.


TJvXPCustomCheckControl.Spacing property

TJvXPCustomCheckControl	Edit topic

Sets the distance between the checkbox and the text in the control.

Pascal

property Spacing: Byte;

Description

Use Spacing to set the distance in pixels between the right edge of the checkbox symbol and the start of the text.

Created with Doc-O-Matic.


TJvXPCustomComponent
JEDI-VCL Reference

TJvXPCustomComponent

Hierarchy	Properties	 Edit topic

Base class for XP style components.

Pascal

TJvXPCustomComponent = class(TJvComponent);

File

JvXPCore

Description

Derive from TJvXPCustomComponent when you want to create a non-visual component that is part of the XP style component hierarchy.

Created with Doc-O-Matic.


TJvXPCustomComponent Properties

TJvXPCustomComponent	Legend

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvXPCustomComponent

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvXPCustomComponent


TJvXPCustomComponent Members

TJvXPCustomComponent	Legend

Members

Properties

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvXPCustomContainer
JEDI-VCL Reference

TJvXPCustomContainer

Hierarchy	Properties	Events	 Edit topic

Base class for panel style controls.

Pascal

TJvXPCustomContainer = class(TJvXPCustomControl);

File

JvXPContainer

Description

TJvXPCustomContainer is a base class for panel style controls with additional properties to control the visual appearance of the panel. Do not create instances of TJvXPCustomContainer. Instead, drop a control like TJvXPContainer on your form.

Created with Doc-O-Matic.


TJvXPCustomContainer Properties

TJvXPCustomContainer	Legend

Properties

 Alignment

 BorderWidth

 BoundColor

 BoundLines

 EnabledMode

 Focusable

 Glyph

 GlyphLayout

 Layout

 ShowBoundLines

 ShowCaption

 Spacing

 WordWrap

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomContainer Events

TJvXPCustomContainer	Legend

Events

 OnEnabledChanged

 OnPaint

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPCustomContainer

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomContainer


TJvXPCustomContainer Members

TJvXPCustomContainer	Legend

Members

Properties

 Alignment

 BorderWidth

 BoundColor

 BoundLines

 EnabledMode

 Focusable

 Glyph

 GlyphLayout

 Layout

 ShowBoundLines

 ShowCaption

 Spacing

 WordWrap

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

 OnEnabledChanged

 OnPaint

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomContainer.Alignment property

TJvXPCustomContainer	See Also	Edit topic

Determines how the caption is aligned within the control.

Pascal

property Alignment: TAlignment;

Description

Set Alignment to specify how the text of the control is justified within the ClientRect of the control.

The effect of the Alignment property is more obvious if the WordWrap property is True and the control includes more than one line of text.

Created with Doc-O-Matic.


See Also

Caption


TJvXPCustomContainer.BorderWidth property

TJvXPCustomContainer	See Also	Edit topic

Sets the width of the border around the Glyph.

Pascal

property BorderWidth: TBorderWidth;

Description

Use BorderWidth to specify how much space is allocated around the image in Glyph. If no image is assigned, this property has no effect.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.Glyph, TJvXPCustomContainer.Spacing


TJvXPCustomContainer.BoundColor property

TJvXPCustomContainer	See Also	Edit topic

Indicates the color of bound lines.

Pascal

property BoundColor: TColor;

Description

Use BoundColor to specify the color to use for the border lines drawn with the BoundLines property.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.BoundLines


TJvXPCustomContainer.BoundLines property

TJvXPCustomContainer	See Also	Edit topic

Indicates which border lines are drawn.

Pascal

property BoundLines: TJvXPBoundLines;

Description

Use BoundLines to specify which border lines are drawn in the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.BoundColor


TJvXPCustomContainer.EnabledMode property

TJvXPCustomContainer	See Also	Edit topic

Indicates how changing Enabled affects child controls.

Pascal

property EnabledMode: TJvXPEnabledMode;

Description

Use EnabledMode to control how child controls are affected when the control's Enabled state changes. If EnabledMode is emAffectChilds, the Enabled state of child controls are changed to match the control's Enabled state.

Created with Doc-O-Matic.


See Also

Enabled


TJvXPCustomContainer.Focusable property

TJvXPCustomContainer	See Also	Edit topic

Specifies if the control will receive focus when clicked.

Pascal

property Focusable: Boolean;

Description

Set Focusable to true to make the control focused when it is clicked. If Focusable is false, the control can only be focused by setting TabStop to true and tabbing to it.

Created with Doc-O-Matic.


See Also

TabStop


TJvXPCustomContainer.Glyph property

TJvXPCustomContainer	See Also	Edit topic

Specifies an image to display on the control.

Pascal

property Glyph: TBitmap;

Description

Use Glyph to specify an image to display on the control. When Glyph contains an image, the Caption is adjusted so it appears to the right of the image.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.GlyphLayout


TJvXPCustomContainer.GlyphLayout property

TJvXPCustomContainer	See Also	Edit topic

Specifies how the Glyph is aligned in the control.

Pascal

property GlyphLayout: TJvXPGlyphLayout;

Description

Set GlyphLayout to specify how the image in Glyph is aligned within the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomContainer.Glyph


TJvXPCustomContainer.Layout property

TJvXPCustomContainer	See Also	Edit topic

Specifies the vertical placement of the text within the control.

Pascal

property Layout: TTextLayout;

Description

Set Layout to specify how the text of the control is placed within the ClientRect of the control. Layout is the vertical analog to the Alignment property.

Created with Doc-O-Matic.


See Also

Caption


TJvXPCustomContainer.OnEnabledChanged event

TJvXPCustomContainer	See Also	Edit topic

Occurs when the Enabled state changes.

Pascal

property OnEnabledChanged: TNotifyEvent;

Description

Write a handler for the OnEnabledChanged to take specific action when the control's Enabled state has changed.

Created with Doc-O-Matic.


See Also

Enabled


TJvXPCustomContainer.OnPaint event

TJvXPCustomContainer	Edit topic

Occurs when the control needs to be painted.

Pascal

TJvXPPaintEvent = procedure (Sender: TObject; Rect: TRect; ACanvas: TCanvas; AFont: TFont) of object;
property OnPaint: TJvXPPaintEvent;

Parameters

ACanvas

The canvas to draw on.

AFont

The font to use for text drawing. You can change the properties of AFont to change the way the default text is drawn.

Sender

The control that triggered the event.

Rect

The area to draw in.

Description

Use OnPaint to perform special processing when the control is redrawn. Any special painting on the control should be done in this event. OnPaint occurs after the borders are drawn but before the image and text of the control.

Created with Doc-O-Matic.


TJvXPCustomContainer.ShowBoundLines property

TJvXPCustomContainer	Edit topic

Specifies whether borders are shown or not.

Pascal

property ShowBoundLines: Boolean;

Description

Use ShowBoundLines to specify whether borders are shown or not.

Created with Doc-O-Matic.


TJvXPCustomContainer.ShowCaption property

TJvXPCustomContainer	Edit topic

Specifies whether the control's caption is drawn at run-time.

Pascal

property ShowCaption: Boolean;

Description

Use ShowCaption to specify whether the control's caption is drawn at run-time.

Created with Doc-O-Matic.


TJvXPCustomContainer.Spacing property

TJvXPCustomContainer	Edit topic

Determines where the image and text appear on the control.

Pascal

property Spacing: Byte;

Description

Use Spacing to specify where the image and text appear on the control.

Created with Doc-O-Matic.


TJvXPCustomContainer.WordWrap property

TJvXPCustomContainer	Edit topic

Determines whether the control inserts soft carriage returns so text wraps at the right margin.

Pascal

property WordWrap: Boolean;

Description

Use WordWrap to specify how the text is drawn when it doesn't fit inside the control. If WordWrap is true, the text will be wrapped to as many lines as needed to fit the text inside the control.

Created with Doc-O-Matic.


TJvXPCustomControl
JEDI-VCL Reference

TJvXPCustomControl

Hierarchy	Properties	Events	 Edit topic

Base class for XP style controls.

Pascal

TJvXPCustomControl = class(TJvCustomControl);

File

JvXPCore

Description

Derive from TJvXPCustomControl when you want to create a visual control that has the basic properties and events of the XP style controls. Do not create instances of TJvXPCustomControl.

Created with Doc-O-Matic.


TJvXPCustomControl Properties

TJvXPCustomControl	Legend

Properties

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomControl Events

TJvXPCustomControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPCustomControl

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl


TJvXPCustomControl Members

TJvXPCustomControl	Legend

Members

Properties

DrawState

IsLocked

IsSibling

 ModalResult

Events

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomControl.DrawState property

TJvXPCustomControl	Edit topic

Describes the current state of the control.

Pascal

property DrawState: TJvXPDrawState;

Description

Use DrawState to determine or change the current state of the control. DrawState is used to modify the visual appearance of the control.

Created with Doc-O-Matic.


TJvXPCustomControl.IsLocked property

TJvXPCustomControl	See Also	Edit topic

Determines if the control is being updated.

Pascal

property IsLocked: Boolean;

Description

IsLocked is true when a call to BeginUpdate has been made without a corresponding call to EndUpdate. When IsLocked is true, the control is not redrawn. Use IsLocked to make multiple updates to the visual appearance of the control without redrawing it between each change.

Created with Doc-O-Matic.


See Also

BeginUpdate, EndUpdate


TJvXPCustomControl.IsSibling property

TJvXPCustomControl	Edit topic

Determines if the currently selected control is a sibling of this control.

Pascal

property IsSibling: Boolean;

Description

Read IsSibling to determine if the currently focused control is also a TJvXPCustomControl

Created with Doc-O-Matic.


TJvXPCustomControl.ModalResult property

TJvXPCustomControl	Edit topic

Determines whether and how the control closes its (modal) parent form.

Pascal

property ModalResult: TModalResult;

Description

Setting the TJvXPCustomControl's ModalResult property is an easy way to make clicking the control close a modal form. When a TJvXPCustomControl is clicked, the ModalResult property of its parent form is set to the same value as the TJvXPCustomControl's ModalResult property.

Created with Doc-O-Matic.


TJvXPCustomControl.OnMouseEnter event

TJvXPCustomControl	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseLeave


TJvXPCustomControl.OnMouseLeave event

TJvXPCustomControl	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseEnter


TJvXPCustomStyleControl
JEDI-VCL Reference

TJvXPCustomStyleControl

Hierarchy	Properties	Events	 Edit topic

Base class for controls that can have their appearance modified by a style manager.

Pascal

TJvXPCustomStyleControl = class(TJvXPCustomControl);

File

JvXPCore

Description

TJvXPCustomStyleControl introduces the Style and StyleManager property. These properties allows centralized control over the look and feel of controls.

Created with Doc-O-Matic.


TJvXPCustomStyleControl Properties

TJvXPCustomStyleControl	Legend

Properties

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomStyleControl Events

TJvXPCustomStyleControl	Legend

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPCustomStyleControl

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomStyleControl


TJvXPCustomStyleControl Members

TJvXPCustomStyleControl	Legend

Members

Properties

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomStyleControl.Style property

TJvXPCustomStyleControl	See Also	Edit topic

Determines the style of the control.

Pascal

property Style: TJvXPStyle;

Description

Use Style to set a visual style for the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.StyleManager


TJvXPCustomStyleControl.StyleManager property

TJvXPCustomStyleControl	See Also	Edit topic

Sets the style manager responsible for drawing the control.

Pascal

property StyleManager: TJvXPStyleManager;

Description

Set StyleManager to point to a TJvXPStyleManager instance on your form. If you set the same style manager for all TJvXPCustomControls on the form, you can control the style of all controls from one central point

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.Style


TJvXPCustomToolButton
JEDI-VCL Reference

TJvXPCustomToolButton

Hierarchy	Properties	Events	 Edit topic

Base class for buttons that are drawn like the border icon buttons (minimize, maximize etc) in XP style.

Pascal

TJvXPCustomToolButton = class(TJvXPCustomStyleControl);

File

JvXPButtons

Description

Derive a new class from TJvXPCustomToolButton when you need to create a button control that is drawn like XP style border icon buttons. Don't create instances of TJvXPCustomToolButton. Instead use a derived class like TJvXPToolButton that publishes the properties and events of TJvXPCustomToolButton.

Created with Doc-O-Matic.


TJvXPCustomToolButton Properties

TJvXPCustomToolButton	Legend

Properties

 DropDownMenu

 ImageIndex

 Images

 ToolType

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomToolButton Events

TJvXPCustomToolButton	Legend

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPCustomToolButton

Legend

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomStyleControl
                TJvXPCustomToolButton


TJvXPCustomToolButton Members

TJvXPCustomToolButton	Legend

Members

Properties

 DropDownMenu

 ImageIndex

 Images

 ToolType

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomToolButton.DropDownMenu property

TJvXPCustomToolButton	Edit topic

Not documented

Pascal

property DropDownMenu: TPopupMenu;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomToolButton.ImageIndex property

TJvXPCustomToolButton	Edit topic

Not documented

Pascal

property ImageIndex: TImageIndex;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomToolButton.Images property

TJvXPCustomToolButton	Edit topic

Not documented

Pascal

property Images: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomToolButton.ToolType property

TJvXPCustomToolButton	Edit topic

Indicates the type of button to draw.

Pascal

property ToolType: TJvXPToolType;

Description

Use ToolType to specify which type of icon is drawn on the button.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar
JEDI-VCL Reference

TJvXPCustomWinXPBar

Hierarchy	Properties	Methods	Events	 Edit topic

Base class for XP style group boxes with fixed items.

Pascal

TJvXPCustomWinXPBar = class(TJvXPCustomControl);

File

JvXPBar

Description

Use TJvXPCustomWinXPBar as a base class when creating controls that should mimic the look and feel of the navigation bar used in Windows XP. TJvXPCustomWinXPBar handles the basic tasks of creating and managing the items that are displayed on its client area as well as the expanding and collapsing of the control.

Do not create instances of TJvXPCustomWinXPBar. Instead, use a derived control, like TJvXPBar.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar Events

TJvXPCustomWinXPBar	Legend

Events

 AfterCollapsedChange

 BeforeCollapsedChange

 OnCanChange

 OnCollapsedChange

 OnDrawBackground

 OnDrawHeader

 OnDrawItem

 OnItemClick

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

protected

Created with Doc-O-Matic.


Legend

protected


TJvXPCustomWinXPBar Properties

TJvXPCustomWinXPBar	Legend

Properties

 Collapsed

 Colors

 Grouped

 HeaderFont

 HeaderHeight

 HeaderRounded

 HotTrack

 HotTrackColor

 Icon

 ImageList

 ItemHeight

 Items

 OwnerDraw

 RollDelay

 RollImages

 Rolling

 RollMode

 RollOffset

 RollStep

 RoundedItemFrame

 ShowItemFrame

 ShowLinkCursor

 ShowRollButton

 TopSpace

 VisibleItems

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvXPCustomWinXPBar Methods

TJvXPCustomWinXPBar

Methods

GetHitTestAt

GetItemAt

Created with Doc-O-Matic.


Legend

TJvXPCustomWinXPBar

Legend

protected

read only

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomWinXPBar


TJvXPCustomWinXPBar Members

TJvXPCustomWinXPBar	Legend

Members

Events

 AfterCollapsedChange

 BeforeCollapsedChange

 OnCanChange

 OnCollapsedChange

 OnDrawBackground

 OnDrawHeader

 OnDrawItem

 OnItemClick

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Properties

 Collapsed

 Colors

 Grouped

 HeaderFont

 HeaderHeight

 HeaderRounded

 HotTrack

 HotTrackColor

 Icon

 ImageList

 ItemHeight

 Items

 OwnerDraw

 RollDelay

 RollImages

 Rolling

 RollMode

 RollOffset

 RollStep

 RoundedItemFrame

 ShowItemFrame

 ShowLinkCursor

 ShowRollButton

 TopSpace

 VisibleItems

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Methods

GetHitTestAt

GetItemAt

Legend

protected

read only

Created with Doc-O-Matic.


Legend

protected

read only


TJvXPCustomWinXPBar.AfterCollapsedChange event

TJvXPCustomWinXPBar	See Also	Edit topic

Occurs after the Collapsed state of the control has changed.

Pascal

property AfterCollapsedChange: TJvXPBarOnCollapsedChangeEvent;

Description

Write a handler for this event to be notified after the control's Collapsed state has changed.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.BeforeCollapsedChange, TJvXPCustomWinXPBar.Collapsed


TJvXPCustomWinXPBar.BeforeCollapsedChange event

TJvXPCustomWinXPBar	See Also	Edit topic

Occurs before the Collapsed state of the control has changed.

Pascal

property BeforeCollapsedChange: TJvXPBarOnCollapsedChangeEvent;

Description

Write a handler for this event to be notified before the control's Collapsed state changes.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.AfterCollapsedChange, TJvXPCustomWinXPBar.Collapsed


TJvXPCustomWinXPBar.Collapsed property

TJvXPCustomWinXPBar	Edit topic

Indicates whether the control is collapsed or expanded.

Pascal

property Collapsed: Boolean;

Description

Use Collapsed to determine the current state of the control. Change the value of Collapsed to make the control expand or collapse.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.Colors property

TJvXPCustomWinXPBar	Edit topic

Specifies the colors used in the control.

Pascal

property Colors: TJvXPBarColors;

Description

Use Colors and its subproperties to set the various colors used by the control.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.Grouped property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property Grouped: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.HeaderFont property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates the font to use for the header of the control.

Pascal

property HeaderFont: TFont;

Description

Use HeaderFont to specify the font attributes to use for the header portion of the control.

Created with Doc-O-Matic.


See Also

Font


TJvXPCustomWinXPBar.HeaderHeight property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property HeaderHeight: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.HeaderRounded property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property HeaderRounded: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.HotTrack property

TJvXPCustomWinXPBar	See Also	Edit topic

Specifies whether the items in the control are highlighted when the mouse passes over them.

Pascal

property HotTrack: Boolean;

Description

Set HotTrack to True to provide visual feedback about which item is under the mouse. When HotTrack is False, there is no visual feedback when the mouse passes over the items.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.HotTrackColor, TJvXPCustomWinXPBar.Items


TJvXPCustomWinXPBar.HotTrackColor property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates the color to use when an item is highlighted.

Pascal

property HotTrackColor: TColor;

Description

Use HotTrackColor to set the text color to use for items when the mouse hovers over them. HotTrackColor is not used unless HotTrack is true.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.HotTrack


TJvXPCustomWinXPBar.Icon property

TJvXPCustomWinXPBar	See Also	Edit topic

Specifies the icon to display on the control.

Pascal

property Icon: TIcon;

Description

Point Icon to a TIcon object to display an icon at the top of the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.ImageList


TJvXPCustomWinXPBar.ImageList property

TJvXPCustomWinXPBar	Edit topic

Specifies the image list to use for the items in the control.

Pascal

property ImageList: TCustomImageList;

Description

Set ImageList to an existing TImageList on your form to display an image next to each item in the control. The items must also have their ItemIndex set to a value between 0 and ImageList.Count - 1.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.ItemHeight property

TJvXPCustomWinXPBar	Edit topic

Indicates the height of an item in the control.

Pascal

property ItemHeight: Integer;

Description

Use ItemHeight to specify the height an item can occupy in the control.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.Items property

TJvXPCustomWinXPBar	See Also	Edit topic

Provides indexed access to the items in the control.

Pascal

property Items: TJvXPBarItems;

Description

Use Items to access the items in the control using an index. Valid indices are between 0 and Count -

1.	Items contains all the items in the list. To iterate only the visible ones, use VisibleItems

instead.

Created with Doc-O-Matic.


See Also

Count


TJvXPCustomWinXPBar.OnCanChange event

TJvXPCustomWinXPBar	Edit topic

Occurs before an item is about to be changed.

Pascal

TJvXPBarOnCanChangeEvent = procedure (Sender: TObject; Item: TJvXPBarItem; var AllowChange: Boolean) of object;
property OnCanChange: TJvXPBarOnCanChangeEvent;

Parameters

AllowChange

Set to true to allow the change, False otherwise.

Item

The item that is about to be selected or clicked.

Sender

The control that triggered the event.

Description

Write a handler for this event to conditionally allow or disallow changing to another item in the control.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.OnCollapsedChange event

TJvXPCustomWinXPBar	See Also	Edit topic

Occurs when the control is collapsed or expanded.

Pascal

property OnCollapsedChange: TJvXPBarOnCollapsedChangeEvent;

Description

Write a handler for this event to be notified when the Collapsed state of the control changes.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.Collapsed


TJvXPCustomWinXPBar.OnDrawBackground event

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property OnDrawBackground: TJvXPBarOwnerDrawEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.OnDrawHeader event

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property OnDrawHeader: TJvXPBarOwnerDrawEvent;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.OnDrawItem event

TJvXPCustomWinXPBar	Edit topic

Occurs when an item needs to be drawn.

Pascal

TJvXPBarOnDrawItemEvent = procedure (Sender: TObject; ACanvas: TCanvas; Rect: TRect; State: TJvXPDrawState; Item: TJvXPBarItem; Bitmap: TBitmap) of object;
property OnDrawItem: TJvXPBarOnDrawItemEvent;

Parameters

State

The current state of the control.

Item

The item being drawn.

Bitmap

The item's image as a bitmap.

Sender

The control that triggered the event.

ACanvas

The canvas to draw on.

Rect

The rect area to draw in.

Description

Write a handler for this event to modify the way items are drawn in the control.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.OnItemClick event

TJvXPCustomWinXPBar	Edit topic

Occurs when the user clicks an item in the control.

Pascal

TJvXPBarOnItemClickEvent = procedure (Sender: TObject; Item: TJvXPBarItem) of object;
property OnItemClick: TJvXPBarOnItemClickEvent;

Parameters

Item

The item that was clicked.

Sender

The control that triggered the event.

Description

Write a handler for this event to be notified when an item has been clicked in the control.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.OwnerDraw property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property OwnerDraw: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.RollDelay property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates the delay between each roll step when collapsing or expanding.

Pascal

property RollDelay: TJvXPBarRollDelay;

Description

Use RollDelay to specify the amount of time that elapses between each RollStep when the Collapsed state of the control changes, i.e it is being expanded or collapsed.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.Collapsed, TJvXPCustomWinXPBar.Rolling, TJvXPCustomWinXPBar.RollMode, TJvXPCustomWinXPBar.RollOffset, TJvXPCustomWinXPBar.RollStep


TJvXPCustomWinXPBar.RollImages property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property RollImages: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.Rolling property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates whether the control is currently in the process of collapsing or expanding.

Pascal

property Rolling: Boolean;

Description

Read Rolling to determine if the control is currently in the transition from expanded to collapsed state or the other way around. Rolling is used mainly to avoid reentrancy problems and infinite loops in code.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.Collapsed


TJvXPCustomWinXPBar.RollMode property

TJvXPCustomWinXPBar	See Also	Edit topic

Specifies how expanding and collapsing the control is performed.

Pascal

property RollMode: TJvXPBarRollMode;

Description

Use RollMode to control how the control is expanded and collapsed when the Collapsed property changes or the user clicks the RollButton. If RollMode is rmFixed, the control is expanded and collapsed a fixed amount of pixels (using RollOffset) at each step. If RollMode is rmShrink, the control is expanded and collapsed proportionally to the current size of the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.RollOffset, TJvXPCustomWinXPBar.RollStep


TJvXPCustomWinXPBar.RollOffset property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates how much the control is expanded at each step.

Pascal

property RollOffset: Integer;

Description

Use RollOffset to specify how many pixels the control is expanded or collapsed at each step when transitioning from expanded to collapsed (or back). A higher value of RollOffset will make the control expand and collapse faster but will also make the transition jerkier.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.RollMode, TJvXPCustomWinXPBar.RollStep


TJvXPCustomWinXPBar.RollStep property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates the number of discreet steps used to collapse and expand the control.

Pascal

property RollStep: TJvXPBarRollStep;

Description

Set RollStep to specify how smooth the transition from the expanded to the collapsed state is. A higher value of RollSteps makes the transition appear smooth but will also take longer.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.RollMode, TJvXPCustomWinXPBar.RollOffset


TJvXPCustomWinXPBar.RoundedItemFrame property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property RoundedItemFrame: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.ShowItemFrame property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property ShowItemFrame: Boolean;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.ShowLinkCursor property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates whether the cursor turns into a hand cursor when hovering over items.

Pascal

property ShowLinkCursor: Boolean;

Description

Use ShowLinkCursor to specify the cursor to use when the mouse hovers over an item. If ShowLinkCursor is false, the item displays the same cursor as the control.

Created with Doc-O-Matic.


See Also

Cursor


TJvXPCustomWinXPBar.ShowRollButton property

TJvXPCustomWinXPBar	See Also	Edit topic

Indicates if the collapse/expand button is shown.

Pascal

property ShowRollButton: Boolean;

Description

Use ShowRollButton to specify whether the control shows an expand/collapse button or not. Even if the button is hidden, you can still expand and collapse the control from code, using Collapsed.

Created with Doc-O-Matic.


See Also

TJvXPCustomWinXPBar.Collapsed


TJvXPCustomWinXPBar.TopSpace property

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

property TopSpace: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.VisibleItems property

TJvXPCustomWinXPBar	See Also	Edit topic

Provides indexed access to the visible items in the control.

Pascal

property VisibleItems: TJvXPBarVisibleItems;

Description

Use VisibleItems to access the visible items in the control by index. Valid indices are from 0 to VisibleItems.Count - 1.

Created with Doc-O-Matic.


See Also

TJvXPBarVisibleItems.Count, TJvXPCustomWinXPBar.Items


TJvXPCustomWinXPBar.GetHitTestAt method

TJvXPCustomWinXPBar	Edit topic

Returns hit test info for a specific point in the control.

Pascal

function GetHitTestAt(X: Integer; Y: Integer): TJvXPBarHitTest;

Return Value

Returns htHeader, htRollButton or htNone depending on the points location.

Parameters

X: Integer

The horizontal location in client coordinates.

Y: Integer

The vertical location in client coordinates.

Description

Call GetHitTestAt to obtain information about where a specific point lies in the control.

Created with Doc-O-Matic.


TJvXPCustomWinXPBar.GetItemAt method

TJvXPCustomWinXPBar	Edit topic

Not documented

Pascal

function GetItemAt(X: Integer; Y: Integer): Integer;

Parameters

X: Integer

Not documented

Y: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPGradient
JEDI-VCL Reference

TJvXPGradient

Hierarchy	Properties	Methods	 Edit topic

Defines properties for drawing an image gradient.

Pascal

TJvXPGradient = class(TPersistent);

File

JvXPCore

Description

TJvXPGradient defines properties for drawing a gradient image. The gradient is available through the Bitmap variable.

Created with Doc-O-Matic.


TJvXPGradient Fields

TJvXPGradient

Fields

Bitmap

Created with Doc-O-Matic.


TJvXPGradient Properties

TJvXPGradient	Legend

Properties

 Colors

 Dithered

 Enabled

 EndColor

 StartColor

 Style

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvXPGradient Methods

TJvXPGradient	Legend

Methods

 RecreateBands

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TJvXPGradient

Legend

published

virtual

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvXPGradient


TJvXPGradient Members

TJvXPGradient	Legend

Members

Fields

Bitmap

Properties

 Colors

 Dithered

 Enabled

 EndColor

 StartColor

 Style

Methods

 RecreateBands

Legend

published

virtual

Created with Doc-O-Matic.


Legend

published

virtual


TJvXPGradient.Bitmap field

TJvXPGradient	Edit topic

Contains a gradient image.

Pascal

Bitmap: TBitmap;

Description

Use bitmap to access the gradient created by the class based on its property settings. For example, the bitmap can be used as the background of an XP style control.

Created with Doc-O-Matic.


TJvXPGradient.Colors property

TJvXPGradient	Edit topic

Defines the number of colors in the gradient.

Pascal

property Colors: TJvXPGradientColors;

Description

Use Colors to define the number of color shifts the gradient contains. The minimum value for Colors is 2 and the maximum value is 255.

Created with Doc-O-Matic.


TJvXPGradient.Dithered property

TJvXPGradient	Edit topic

Determines how the gradient is color matched.

Pascal

property Dithered: Boolean;

Description

Use dithered to determine how the gradient is color matched. When dithered is true, a color

Created with Doc-O-Matic.


TJvXPGradient.Enabled property

TJvXPGradient	Edit topic

Defines if the gradient is drawn in an enabled or disabled style.

Pascal

property Enabled: Boolean;

Description

Use Enabled to control the general visual appearance of the gradient. When Enabled is true, the gradient is more "alive" than when disabled.

Created with Doc-O-Matic.


TJvXPGradient.EndColor property

TJvXPGradient	See Also	Edit topic

Determines the end color of the gradient.

Pascal

property EndColor: TColor;

Description

Use EndColor to read and change the end color of the gradient. The gradient is created as a color starting with StartColor and shifting towards EndColor using the number of color bands determined by Colors.

Created with Doc-O-Matic.


See Also

TJvXPGradient.Colors, TJvXPGradient.StartColor, TJvXPGradient.Style


TJvXPGradient.StartColor property

TJvXPGradient	See Also	Edit topic

Determines the start color of the gradient.

Pascal

property StartColor: TColor;

Description

Use StartColor to read and change the start color of the gradient. The gradient is created as a color starting with StartColor and shifting towards EndColor using the number of color bands determined by Colors.

Created with Doc-O-Matic.


See Also

TJvXPGradient.Colors, TJvXPGradient.EndColor, TJvXPGradient.Style


TJvXPGradient.Style property

TJvXPGradient	See Also	Edit topic

Defines the origin of the gradient.

Pascal

property Style: TJvXPGradientStyle;

Description

Use Style to change the origin of the gradient. Style determines where the gradient's starts drawing with its StartColor.

Created with Doc-O-Matic.


See Also

TJvXPGradient.Colors, TJvXPGradient.EndColor, TJvXPGradient.StartColor


TJvXPGradient.RecreateBands method

TJvXPGradient	Edit topic

Recreates the gradient.

Pascal

procedure RecreateBands; virtual;

Description

Call RecreateBands to recreate the gradient.

Created with Doc-O-Matic.


TJvXPMenuItemPainter
JEDI-VCL Reference

 TJvXPMenuItemPainter

Hierarchy	Properties	Methods	Events	Package	 Edit topic

This painter draws the menu items so that they look like the XP menus without requiring to run under XP.

Pascal

TJvXPMenuItemPainter = class(TJvCustomMenuItemPainter);

File

JvMenus

Description

Set the Style property of TJvMainMenu or TJvPopupMenu to msXP to use this painter.

Created with Doc-O-Matic.


TJvXPMenuItemPainter Properties

TJvXPMenuItemPainter	Legend

Properties

 CheckedImageBackColor

 CheckedImageBackColorSelected

 ImageBackgroundColor

 SelectionFrameBrush

 SelectionFramePen

 SeparatorColor

 ShadowColor

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Legend

published

read only

protected

Created with Doc-O-Matic.


Legend

published

read only

protected


TJvXPMenuItemPainter Methods

TJvXPMenuItemPainter	Legend

Methods

 Measure

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


TJvXPMenuItemPainter Events

TJvXPMenuItemPainter	Legend

Events

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPMenuItemPainter

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvCustomMenuItemPainter
        TJvXPMenuItemPainter


TJvXPMenuItemPainter Members

TJvXPMenuItemPainter	Legend

Members

Properties

 CheckedImageBackColor

 CheckedImageBackColorSelected

 ImageBackgroundColor

 SelectionFrameBrush

 SelectionFramePen

 SeparatorColor

 ShadowColor

TJvCustomMenuItemPainter

 Canvas

 CheckMarkHeight

 CheckMarkWidth

 ComponentState

 DisabledImages

 DrawHighlight

 GrayColor

 HotImages

 ImageBackgroundColor

 ImageHeight

 ImageMargin

 Images

 ImageSize

 ImageWidth

 IsPopup

 IsRightToLeft

 LeftMargin

Menu

 ShowCheckMarks

 TextMargin

 TextVAlignment

Methods

 Measure

 Paint

TJvCustomMenuItemPainter

 Measure

 Paint

Events

TJvCustomMenuItemPainter

 OnDrawLeftMargin

Legend

published

read only

protected

virtual

Created with Doc-O-Matic.


Legend

published

read only

protected

virtual


Package

StdCtrls


TJvXPMenuItemPainter.CheckedImageBackColor property

TJvXPMenuItemPainter	See Also	Edit topic

This is the color of the background of the image when the item is checked

Pascal

property CheckedImageBackColor: TColor;

Description

This color will be used to fill the background of the image when the item is checked.

Created with Doc-O-Matic.


See Also

TJvXPMenuItemPainter.CheckedImageBackColorSelected


TJvXPMenuItemPainter.CheckedImageBackColorSelected property

TJvXPMenuItemPainter	See Also	Edit topic

This is the color of the background of the image when the item is checked and selected

Pascal

property CheckedImageBackColorSelected: TColor;

Description

This color will be used to fill the background of the image when the item is checked and currently active.

Created with Doc-O-Matic.


See Also

TJvXPMenuItemPainter.CheckedImageBackColor


TJvXPMenuItemPainter.ImageBackgroundColor property

TJvXPMenuItemPainter	See Also	Edit topic

The color to use to draw the background of an image for all menu items

Pascal

property ImageBackgroundColor: TColor;

Description

When a menu item has an image associated with it, the area of the image may be filled with this color before actually rendering the image, this creating a background of that color. By default, this value isn't used, but it can be used by descendants.

Created with Doc-O-Matic.


See Also

DrawImageBackground


TJvXPMenuItemPainter.SelectionFrameBrush property

TJvXPMenuItemPainter	See Also	Edit topic

The brush to use to draw the selection frame

Pascal

property SelectionFrameBrush: TBrush;

Description

This brush will be used to draw the background of the selection frame below the text and image of a selected menu item

Created with Doc-O-Matic.


See Also

TJvXPMenuItemPainter.SelectionFramePen


TJvXPMenuItemPainter.SelectionFramePen property

TJvXPMenuItemPainter	See Also	Edit topic

The pen to use to draw the selection frame

Pascal

property SelectionFramePen: TPen;

Description

This pen will be used to draw the background of the selection frame below the text and image of a selected menu item

Created with Doc-O-Matic.


See Also

TJvXPMenuItemPainter.SelectionFrameBrush


TJvXPMenuItemPainter.SeparatorColor property

TJvXPMenuItemPainter	See Also	Edit topic

The color to use to draw the separator

Pascal

property SeparatorColor: TColor;

Description

The color to use to draw the separator

Created with Doc-O-Matic.


See Also

TJvXPMenuItemPainter.ShadowColor


TJvXPMenuItemPainter.ShadowColor property

TJvXPMenuItemPainter	See Also	Edit topic

This is the color of the shadow below images

Pascal

property ShadowColor: TColor;

Description

The shadow will be drawn below the images of active items

Created with Doc-O-Matic.


See Also

TJvXPMenuItemPainter.SeparatorColor


TJvXPMenuItemPainter.Measure method

TJvXPMenuItemPainter	See Also	Edit topic

Calculates the desired width and height for the given menu item

Pascal

procedure Measure(Item: TMenuItem; var Width: Integer; var Height: Integer); override;

Parameters

Item

The item for which to calculate the dimensions

Width

On return, must contain the width of the item

Height

On return, must contain the height of the item

Description

You have to override this method along with Paint to render a new style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Paint


TJvXPMenuItemPainter.Paint method

TJvXPMenuItemPainter	See Also	Edit topic

Does the painting of the given item

Pascal

procedure Paint(Item: TMenuItem; ItemRect: TRect; State: TMenuOwnerDrawState); override;

Parameters

Item

The item to paint

ItemRect

The rectangle in which the item is to be drawn. Drawing outside the rectangle isn't forbidden but every drawing done outside isn't considered to be part of the item and will get discarded sooner or later.

State

The state of the item (selected, active...)

Description

This is the method you want to override along with Measure to create a new rendering style

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.Measure


TJvXPProgressBar
JEDI-VCL Reference

 TJvXPProgressBar

Hierarchy	Package	 Edit topic

Not documented

Pascal

TJvXPProgressBar = class(TJvCustomXPProgressBar);

File

JvXPProgressBar

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TJvBaseGradientProgressBar
    TJvCustomXPProgressBar
        TJvXPProgressBar


Package

XPCtrls


TJvXPStyle
JEDI-VCL Reference

TJvXPStyle

Hierarchy	Properties	 Edit topic

Class that is used to describe the way styles are handled in an XP style control.

Pascal

TJvXPStyle = class(TPersistent);

File

JvXPCore

Description

TJvXPStyle is used by XP style controls to control how the style of the control is managed. Either the control handles its own style changes or the style is controlled from a style manager.

Created with Doc-O-Matic.


TJvXPStyle Properties

TJvXPStyle	Legend

Properties

 Theme

 UseStyleManager

Legend

published

Created with Doc-O-Matic.


Legend

published


Legend

TJvXPStyle

Legend

published

Created with Doc-O-Matic.


Hierarchy

TPersistent
    TJvXPStyle


TJvXPStyle Members

TJvXPStyle	Legend

Members

Properties

 Theme

 UseStyleManager

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvXPStyle.Theme property

TJvXPStyle	Edit topic

Defines the theme of the control.

Pascal

property Theme: TJvXPTheme;

Description

Use Theme to modify the visual appearance of a control.

Created with Doc-O-Matic.


TJvXPStyle.UseStyleManager property

TJvXPStyle	See Also	Edit topic

Determines if the style and theme is controlled from a style manager.

Pascal

property UseStyleManager: Boolean;

Description

Use UseStyleManager to control whether the style of a control is controlled from the control itself or from a central style manager component. UseStyleManager only have any effect if the StyleManager property of the control is set to a valid TJvXPStyleManager.

Created with Doc-O-Matic.


See Also

TJvXPStyleManager


TJvXPStyleManager
JEDI-VCL Reference

 TJvXPStyleManager

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A component that manages the theme and style of any number of connected controls.

Pascal

TJvXPStyleManager = class(TJvXPCustomComponent);

File

JvXPCore

Description

Use a TJvXPStyleManager when you want to control the visual appearance of several or all XP style controls on a form. By setting each XP controls StyleManager to point to a TJvXPStyleManager, you can change all associated controls from one central location.

Created with Doc-O-Matic.


TJvXPStyleManager Events

TJvXPStyleManager	Legend

Events

 OnThemeChanged

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvXPStyleManager Properties

TJvXPStyleManager	Legend

Properties

 Theme

TJvComponent

 AboutJVCL

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvXPStyleManager Methods

TJvXPStyleManager

Methods

RegisterControls

UnregisterControls

Created with Doc-O-Matic.


Legend

TJvXPStyleManager

Legend

published

Created with Doc-O-Matic.


Hierarchy

TComponent
    TJvComponent
        TJvXPCustomComponent
            TJvXPStyleManager


TJvXPStyleManager Members

TJvXPStyleManager	Legend

Members

Events

 OnThemeChanged

Properties

 Theme

TJvComponent

 AboutJVCL

Methods

RegisterControls

UnregisterControls

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

XPCtrls


TJvXPStyleManager.OnThemeChanged event

TJvXPStyleManager	See Also	Edit topic

Called when the theme of the style manager changes.

Pascal

property OnThemeChanged: TNotifyEvent;

Description

Write a handler for the OnThemeChanged event when you want to take specific action when the theme of the style manager changes. For example, use it to change the visual appearance of other controls that cannot be associated with the style manager but still need to synchronize their looks with the XP controls.

Created with Doc-O-Matic.


See Also

TJvXPStyleManager.Theme


TJvXPStyleManager.Theme property

TJvXPStyleManager	Edit topic

Defines the current theme.

Pascal

property Theme: TJvXPTheme;

Description

Use Theme to set and change the current theme for all connected controls.

Created with Doc-O-Matic.


TJvXPStyleManager.RegisterControls method

TJvXPStyleManager	See Also	Edit topic

Adds controls to the style manager.

Pascal

procedure RegisterControls(const AControls: array of TJvXPCustomControl);

Parameters

const AControls: array of TJvXPCustomControl

an array of XP style controls

Description

RegisterControls is called automatically by XP controls when their StyleManager property is set to a valid style manager. All registered controls changes together when the style manager's Theme property changes.

Created with Doc-O-Matic.


See Also

UnregisterControls


TJvXPStyleManager.UnregisterControls method

TJvXPStyleManager	See Also	Edit topic

Removes controls from the style manager.

Pascal

procedure UnregisterControls(const AControls: array of TJvXPCustomControl);

Parameters

const AControls: array of TJvXPCustomControl

an array of controls to remove from the internal list of registered controls.

Description

Controls call UnregisterControls automatically when their StyleManager property is changed.

Created with Doc-O-Matic.


See Also

RegisterControls


TJvXPToolButton
JEDI-VCL Reference

 TJvXPToolButton

Hierarchy	Properties	Events	Package	 Edit topic

Button control that draws its client area using a predefined style.

Pascal

TJvXPToolButton = class(TJvXPCustomToolButton);

File

JvXPButtons

Description

Use TJvXPToolButton on your form when you need a button that looks like the caption buttons in Windows XP. A border icon button is a button located in the caption area of a form, like the minimize, maximize and restore buttons. TJvXPToolButton can also display some additional images.

Created with Doc-O-Matic.


TJvXPToolButton Properties

TJvXPToolButton	Legend

Properties

 DropDownMenu

 ImageIndex

 Images

 Style

 StyleManager

 ToolType

TJvXPCustomToolButton

 DropDownMenu

 ImageIndex

 Images

 ToolType

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvXPToolButton Events

TJvXPToolButton	Legend

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Legend

TJvXPToolButton

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPCustomStyleControl
                TJvXPCustomToolButton
                    TJvXPToolButton


TJvXPToolButton Members

TJvXPToolButton	Legend

Members

Properties

 DropDownMenu

 ImageIndex

 Images

 Style

 StyleManager

 ToolType

TJvXPCustomToolButton

 DropDownMenu

 ImageIndex

 Images

 ToolType

TJvXPCustomStyleControl

 Style

 StyleManager

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


Package

XPCtrls


TJvXPToolButton.DropDownMenu property

TJvXPToolButton	Edit topic

Not documented

Pascal

property DropDownMenu: TPopupMenu;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPToolButton.ImageIndex property

TJvXPToolButton	Edit topic

Not documented

Pascal

property ImageIndex: TImageIndex;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPToolButton.Images property

TJvXPToolButton	Edit topic

Not documented

Pascal

property Images: TCustomImageList;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvXPToolButton.OnMouseEnter event

TJvXPToolButton	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseLeave


TJvXPToolButton.OnMouseLeave event

TJvXPToolButton	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseEnter


TJvXPToolButton.Style property

TJvXPToolButton	See Also	Edit topic

Determines the style of the control.

Pascal

property Style: TJvXPStyle;

Description

Use Style to set a visual style for the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.StyleManager


TJvXPToolButton.StyleManager property

TJvXPToolButton	See Also	Edit topic

Sets the style manager responsible for drawing the control.

Pascal

property StyleManager: TJvXPStyleManager;

Description

Set StyleManager to point to a TJvXPStyleManager instance on your form. If you set the same style manager for all TJvXPCustomControls on the form, you can control the style of all controls from one central point

Created with Doc-O-Matic.


See Also

TJvXPCustomStyleControl.Style


TJvXPToolButton.ToolType property

TJvXPToolButton	Edit topic

Indicates the type of button to draw.

Pascal

property ToolType: TJvXPToolType;

Description

Use ToolType to specify which type of icon is drawn on the button.

Created with Doc-O-Matic.


TJvXPUnlimitedControl
JEDI-VCL Reference

TJvXPUnlimitedControl

Hierarchy	Properties	Events	 Edit topic

Publishes properties.

Pascal

TJvXPUnlimitedControl = class(TJvXPCustomControl);

File

JvXPCore

Description

TJvXPUnlimitedControl derives from TJvXPCustomControl and published many of its properties but doesn't introduce any new behavior.

Created with Doc-O-Matic.


TJvXPUnlimitedControl Events

TJvXPUnlimitedControl	Legend

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvXPUnlimitedControl Properties

TJvXPUnlimitedControl	Legend

Properties

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

protected

Created with Doc-O-Matic.


Legend

protected


Legend

TJvXPUnlimitedControl

Legend

published

protected

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvXPCustomControl
            TJvXPUnlimitedControl


TJvXPUnlimitedControl Members

TJvXPUnlimitedControl	Legend

Members

Events

 OnMouseEnter

 OnMouseLeave

TJvXPCustomControl

 OnMouseEnter

 OnMouseLeave

Properties

TJvXPCustomControl

DrawState

IsLocked

IsSibling

 ModalResult

Legend

published

protected

Created with Doc-O-Matic.


Legend

published

protected


TJvXPUnlimitedControl.OnMouseEnter event

TJvXPUnlimitedControl	See Also	Edit topic

Occurs when the mouse pointer moves over the control.

Pascal

property OnMouseEnter: TNotifyEvent;

Description

Write an OnMouseEnter event handler to take specific action when the user moves the mouse over the control.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseLeave


TJvXPUnlimitedControl.OnMouseLeave event

TJvXPUnlimitedControl	See Also	Edit topic

Occurs when the mouse pointer moves off the control.

Pascal

property OnMouseLeave: TNotifyEvent;

Description

Write an OnMouseLeave event handler to take specific action when the user moves the mouse off the control. For example, you can use this event to undo changes that were made in an OnMouseEnter event handler.

Created with Doc-O-Matic.


See Also

TJvXPCustomControl.OnMouseEnter


TJvXPWinControl
JEDI-VCL Reference

TJvXPWinControl

Hierarchy	 Edit topic

Base class for TWinControl descendants.

Pascal

TJvXPWinControl = class(TJvWinControl);

File

JvXPCore

Description

TJvXPCustomControl derives directly from TWinControl and only publishes the Color property.

Created with Doc-O-Matic.


Hierarchy

TJvExWinControl
    TJvWinControl
        TJvXPWinControl


TJvZoom
JEDI-VCL Reference

 TJvZoom

Hierarchy	Properties	Methods	Events	Package	 Edit topic

A component that can zoom in a part of the screen.

Pascal

TJvZoom = class(TJvCustomControl);

File

JvZoom

Description

Use TJvZoom when you need to provide your users with the ability to zoom in a particular part of the screen. You can set the amount of zoom by using either the ZoomLevel or ZoomPercentage properties.

You can also set a crosshair image by either setting the CrossHairPicture or the CrosshairColor and CrosshairSize properties. To activate the crosshair, set the Crosshair property to true. The crosshair image indicates in the control where the cursor is located on the screen.

Created with Doc-O-Matic.


TJvZoom Properties

TJvZoom	Legend

Properties

 Active

 CacheOnDeactivate

 Crosshair

 CrosshairColor

 CrossHairPicture

 CrosshairSize

 Delay

 Enabled

 ZoomLevel

 ZoomPercentage

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvZoom Events

TJvZoom	Legend

Events

 OnContentsChanged

Legend

published

Created with Doc-O-Matic.


Legend

published


TJvZoom Methods

TJvZoom

Methods

ForceUpdate

ZoomInAt

Created with Doc-O-Matic.


Legend

TJvZoom

Legend

published

Created with Doc-O-Matic.


Hierarchy

TJvExCustomControl
    TJvCustomControl
        TJvZoom


TJvZoom Members

TJvZoom	Legend

Members

Properties

 Active

 CacheOnDeactivate

 Crosshair

 CrosshairColor

 CrossHairPicture

 CrosshairSize

 Delay

 Enabled

 ZoomLevel

 ZoomPercentage

Events

 OnContentsChanged

Methods

ForceUpdate

ZoomInAt

Legend

published

Created with Doc-O-Matic.


Legend

published


Package

Ctrls


TJvZoom.Active property

TJvZoom	See Also	Edit topic

Determines whether the component automatically updates the zoomed image.

Pascal

property Active: Boolean;

Description

Set Active to true to make the control take a screenshot of the screen at regular intervals. The Delay property controls how often a screenshot is taken.

If CacheOnDeactivate is true, the last screenshot is stored when the Active property is set to false.

Created with Doc-O-Matic.


See Also

CacheOnDeactivate, Delay, Enabled


TJvZoom.CacheOnDeactivate property

TJvZoom	See Also	Edit topic

Determines whether the last screenshot is stored in the control or not.

Pascal

property CacheOnDeactivate: Boolean;

Description

Set CacheOnDeactivate to true to keep the last screenshot in the control when the Active property is set to false. If CacheOnDeactivate is false, the image is cleared when Active is set to false.

Created with Doc-O-Matic.


See Also

Active


TJvZoom.Crosshair property

TJvZoom	See Also	Edit topic

Determines whether a crosshair is displayed in the control or not.

Pascal

property Crosshair: Boolean;

Description

Set Crosshair to true to display a crosshair image in the control when it is Active. The crosshair serves as a visual indicator of where the cursor is currently located. The actual appearance of the crosshair is controlled by CrosshairColor, CrosshairSize and CrossHairPicture.

Created with Doc-O-Matic.


See Also

CrossHairPicture, CrosshairColor, CrosshairSize


TJvZoom.CrosshairColor property

TJvZoom	See Also	Edit topic

Sets the color of the crosshair.

Pascal

property CrosshairColor: TColor;

Description

Change the value of CrosshairColor to change the color of the crosshair. CrosshairColor is not used if Crosshair is false or CrossHairPicture contains an image.

Created with Doc-O-Matic.


See Also

Crosshair, CrosshairSize, CrossHairPicture


TJvZoom.CrossHairPicture property

TJvZoom	See Also	Edit topic

Determines whether an image is used as the crosshair

Pascal

property CrossHairPicture: TPicture;

Description

Assign an image to the CrossHairPicture property to use an arbitrary image as the crosshair in the control. Note that Crosshair must be true for the image to be shown.

If CrossHairPicture is empty and Crosshair is true, the values of CrosshairColor and CrosshairSize is used to draw the crosshair.

Created with Doc-O-Matic.


See Also

Crosshair, CrosshairColor, CrosshairSize


TJvZoom.CrosshairSize property

TJvZoom	See Also	Edit topic

Sets the size of the crosshair.

Pascal

property CrosshairSize: Integer;

Description

Use CrosshairSize to set the size (in pixels) of the crosshair lines. CrosshairSize is only used if Crosshair is true and CrossHairPicture is empty.

Created with Doc-O-Matic.


See Also

Crosshair, CrosshairColor, CrossHairPicture.


TJvZoom.Delay property

TJvZoom	See Also	Edit topic

Sets the time-interval between the screenshots

Pascal

property Delay: Cardinal;

Description

Use Delay to set how often a screenshot is taken and displayed in the control. Delay is expressed in milliseconds. With a short delay, the control updates more often, but uses more CPU.

Created with Doc-O-Matic.


See Also

Active, Enabled


TJvZoom.Enabled property

TJvZoom	See Also	Edit topic

Controls whether the control responds to mouse, keyboard, and timer events.

Pascal

property Enabled;

Description

Enabled works the same in this control as it does in most other with one additional feature: you can set Enabled to false to manually control the zoom action. When Enabled is false, you can take screenshots without moving the mouse by calling the ZoomInAt method. When Enabled is true, screenshots are taken automatically based on the current location of the mouse cursor.

Created with Doc-O-Matic.


See Also

ZoomInAt


TJvZoom.OnContentsChanged event

TJvZoom	Edit topic

Occurs when the content of the control has changed.

Pascal

property OnContentsChanged: TNotifyEvent;

Description

Write a handler for this event if you want to be notified when the content of the control changes.

Created with Doc-O-Matic.


TJvZoom.ZoomLevel property

TJvZoom	See Also	Edit topic

Determines the size of the image in the control

Pascal

property ZoomLevel: Integer;

Description

ZoomLevel sets the size of the image in the control. To calculate the size of the image in the control, the width of the control is multiplied with ZoomLevel and then divided by 100.

ZoomLevel is the complement to ZoomPercentage (i.e if ZoomLevel is 200, ZoomPercentage is 50).

Created with Doc-O-Matic.


See Also

ZoomPercentage


TJvZoom.ZoomPercentage property

TJvZoom	See Also	Edit topic

Determines the size of the image in the control.

Pascal

property ZoomPercentage: Integer;

Description

Use ZoomPercentage to set the size of the image in the control. To calculate the image size, the width of the control is multiplied with ZoomPercentage divided by 100.

ZoomPercentage is the complement to ZoomLevel (i.e if ZoomPercentage is 200, ZoomLevel is 50).

Created with Doc-O-Matic.


See Also

ZoomLevel


TJvZoom.ForceUpdate method

TJvZoom	Edit topic

Not documented

Pascal

procedure ForceUpdate;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvZoom.ZoomInAt method

TJvZoom	See Also	Edit topic

Zooms in at a specific location

Pascal

procedure ZoomInAt(X: Integer; Y: Integer);

Parameters

X: Integer

The horizontal screen coordinate

Y: Integer

The vertical screen coordinate

Description

Use ZoomInAt to zoom in at a specific part of the screen. The X and Y parameters determine the top and left edges of the area to zoom.

Note that this method works differently depending on the state of the Enabled property: if Enabled is true, the mouse cursor is moved to the specified location to create the zoomed image. If Enabled is false, the mouse cursor is not moved.

Created with Doc-O-Matic.


See Also

Active, Enabled


TLookupSourceLink
JEDI-VCL Reference

TLookupSourceLink

Hierarchy	 Edit topic

Not documented

Pascal

TLookupSourceLink = class(TDataLink);

File

JvDBLookup

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TDataLink
    TLookupSourceLink


TPluginInfo
JEDI-VCL Reference

TPluginInfo

Hierarchy	 Edit topic

Type denoting an item in the plugin registration database.

Pascal

TPluginInfo = class(TObject);

File

JvPluginManager

Description

TPluginInfo is a type denoting an item in the plugin registration database. It holds information about a plugin.

Created with Doc-O-Matic.


TPluginInfo Fields

TPluginInfo

Fields

Handle

PlugIn

PluginKind

Created with Doc-O-Matic.


Hierarchy

TObject
    TPluginInfo


TPluginInfo Members

TPluginInfo

Members

Fields

Handle

PlugIn

PluginKind

Created with Doc-O-Matic.


TPluginInfo.Handle field

TPluginInfo	Edit topic

Handle of the DLL or package.

Pascal

Handle: HINST;

Description

Handle of the DLL or package. This value will be 0 for custom plugins.

Created with Doc-O-Matic.


TPluginInfo.PlugIn field

TPluginInfo	Edit topic

Reference to the TJvPlugin instance.

Pascal

PlugIn: TJvPlugIn;

Description

Reference to the TJvPlugin instance.

Created with Doc-O-Matic.


TPluginInfo.PluginKind field

TPluginInfo	Edit topic

Denotes the type of the plugin.

Pascal

PluginKind: TPluginKind;

Description

Denotes the type of the plugin.

Created with Doc-O-Matic.


TTagInfoList
JEDI-VCL Reference

TTagInfoList

Hierarchy	Methods	 See Also	Edit topic

Stores offsets to HTML tags found using TJvHTMLParser.

Pascal

TTagInfoList = class(TList);

File

JvHtmlParser

Description

TTagInfoList is a TList descendant used to store TTagInfo instances found during parsing of HTML using the TJvHTMLParser component.

TTagInfoList extends TList with methods needed to add and remove TTagInfo instances to the internal storage for the list.

TTagInfoList is used in the TJvHTMLParser.AnalyseString method to store offsets to the tags and their content found when parsing the HTML for the component.

Created with Doc-O-Matic.


TTagInfoList Methods

TTagInfoList	Legend

Methods

AddValue

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


Legend

TTagInfoList

Legend

virtual

Created with Doc-O-Matic.


Hierarchy

TList
    TTagInfoList


TTagInfoList Members

TTagInfoList	Legend

Members

Methods

AddValue

 Clear

Legend

virtual

Created with Doc-O-Matic.


Legend

virtual


See Also

TTagInfo, TJvHTMLParser.AnalyseString


TTagInfoList.AddValue method

TTagInfoList	See Also	Edit topic

Initializes and updates storage for TTagInfo instances in the list.

Pascal

procedure AddValue(const Value: TTagInfo);

Parameters

const Value: TTagInfo

Tag information to add to the list.

Description

AddValue is a procedure used to add initialize memory storage and to add the TTagInfo instance in Value to the internal storage for the list. AddValue uses PTagInfo to point to the TTagInfo instance, and calls GetMem to allocate store for the tag information.

AddValue calls the inherited Add method after initializing and storing the content for the TTagInfo instance in Value.

Use Delete or Clear to remove items stored in the list.

Created with Doc-O-Matic.


See Also

TTagInfoList.Clear


TTagInfoList.Clear method

TTagInfoList	See Also	Edit topic

Removes TTagInfo instances stored in the list.

Pascal

procedure Clear; override;

Description

Clear is an overridden procedure in TTagInfoList used to remove instances of TTagInfo allocated to the internal storage for the list. Clear ensures the memory allocated to any TTagInfo instances in AddValue is freed, and calls the inherited Clear method.

Use AddValue to create and allocate memory for TTagInfo instances in the list.

Created with Doc-O-Matic.


See Also

TTagInfoList.AddValue


TWinControlThemeInfo
JEDI-VCL Reference

TWinControlThemeInfo

Hierarchy	 Edit topic

Not documented

Pascal

TWinControlThemeInfo = class(TWinControl);

File

JvThemes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

TWinControl
    TWinControlThemeInfo


XMLSerializerException
JEDI-VCL Reference

XMLSerializerException

Hierarchy	 Edit topic

This is the ancestor for all exceptions that TJvgXMLSerializer can trigger

Pascal

XMLSerializerException = class(Exception);

File

JvgXMLSerializer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


Hierarchy

Exception
    XMLSerializerException


IJvAppStorageHandler
JEDI-VCL Reference

IJvAppStorageHandler

Hierarchy	Methods	 See Also	Edit topic

If a class implements this interface JvAppStorage.Read/WritePersistent uses the interface methods to store object properties

Pascal

IJvAppStorageHandler = interface;

File

JvAppStorage

Description

If a class implements this interface JvAppStorage.Read/WritePersistent uses the interface methods to store object properties.

If a class doesn't implement the IJvAppStorageHandler interface or if it also implements the IJvAppStoragePublishedProps interface, all published properties are written (as it currently does) and if the first is implemented it will call those methods (either in addition to the published properties or exclusively):

  // only published properties

  TPubOnly1 = class(TPersistent)

  // only published properties

  TPubOnly2 = class(TInterfacedPersistent, IJvAppStoragePublishedProps)

  // only the IJvAppStorageHandler methods are used; does not have to be a TPersistent descendant

  // or have RTTI

  TIntfOnly = class(TInterfacedObject, IJvAppStorageHandler)

  // the IJvAppStorageHandler methods are used in addition to the published properties

  TIntfAndPub = class(TInterfacedPersistent, IJVAppStorageHandler, IJvAppStoragePublishedProps)

Created with Doc-O-Matic.


IJvAppStorageHandler Methods

IJvAppStorageHandler

Methods

ReadFromAppStorage

WriteToAppStorage

Created with Doc-O-Matic.


Hierarchy

IJvAppStorageHandler


IJvAppStorageHandler Members

IJvAppStorageHandler

Members

Methods

ReadFromAppStorage

WriteToAppStorage

Created with Doc-O-Matic.


See Also

JvAppStorages.ReadPersistent,JvAppStorages.WritePersistent


IJvAppStorageHandler.ReadFromAppStorage method

IJvAppStorageHandler	Edit topic

Reads object properties/settings from the AppStorage Backend

Pascal

procedure ReadFromAppStorage(AppStorage: TJvCustomAppStorage; const BasePath: string);

Parameters

AppStorage: TJvCustomAppStorage

AppStorage Instances

const BasePath: string

Path were the settings were stored.

Description

Reads object properties/settings from the AppStorage Backend

Created with Doc-O-Matic.


IJvAppStorageHandler.WriteToAppStorage method

IJvAppStorageHandler	Edit topic

Writes object properties/settings to the AppStorage Backend

Pascal

procedure WriteToAppStorage(AppStorage: TJvCustomAppStorage; const BasePath: string);

Parameters

AppStorage: TJvCustomAppStorage

AppStorage Instances

const BasePath: string

Path were the settings had to be stored.

Description

Writes object properties/settings to the AppStorage Backend

Created with Doc-O-Matic.


IJvAppStoragePublishedProps
JEDI-VCL Reference

IJvAppStoragePublishedProps

Hierarchy	 See Also	Edit topic

If a class implements this interface all published properties of the class will be handled by JvAppStorages.Read/WritePersistent

Pascal

IJvAppStoragePublishedProps = interface;

File

JvAppStorage

Description

If a class implements this interface all published properties of the class will be handled by JvAppStorages.Read/WritePersistent. This is useful in combination with IJvAppStorageHandler

If a class doesn't implement the IJvAppStorageHandler interface or if it also implements the IJvAppStoragePublishedProps interface, all published properties are written (as it currently does) and if the first is implemented it will call those methods (either in addition to the published properties or exclusively):

  // only published properties

  TPubOnly1 = class(TPersistent)

  // only published properties

  TPubOnly2 = class(TInterfacedPersistent, IJvAppStoragePublishedProps)

  // only the IJvAppStorageHandler methods are used; does not have to be a TPersistent descendant

  // or have RTTI

  TIntfOnly = class(TInterfacedObject, IJvAppStorageHandler)

  // the IJvAppStorageHandler methods are used in addition to the published properties.

  TIntfAndPub = class(TInterfacedPersistent, IJVAppStorageHandler, IJvAppStoragePublishedProps)

Created with Doc-O-Matic.


Hierarchy

IJvAppStoragePublishedProps


See Also

JvAppStorages.ReadPersistent,JvAppStorages.WritePersistent


IJvDataConsumer
JEDI-VCL Reference

IJvDataConsumer

Hierarchy	Methods	 See Also	Edit topic

Provider client interface.

Pascal

IJvDataConsumer = interface;

File

JvDataProviderIntf

Description

IJvDataConsumer is the main provider client interface. It is implemented by all components and controls that are able to obtain their information from a Data Provider.

The interface only provides two "administrative" methods: retrieve the VCL component the consumer interface belongs to and determine which Data Provider Attributes apply to this consumer.

Consumer may support additional interfaces (commonly referred to as "Consumer Extensions") to support other settings.

Data Providers are generally not concerned about the consumer that is using them. The only notable exception is the ConsumerClasses method; this method will use the AttributeApplies method to determine which extensions are needed.

Other cases when Data Providers are interested in the consumer are those providers that allow additional settings for each individual consumer (usually by providing a Provider specific Consumer Extension).

Created with Doc-O-Matic.


IJvDataConsumer Methods

IJvDataConsumer

Methods

AttributeApplies

VCLComponent

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumer


IJvDataConsumer Members

IJvDataConsumer

Members

Methods

AttributeApplies

VCLComponent

Created with Doc-O-Matic.


See Also

IJvDataProvider


IJvDataConsumer.AttributeApplies method

IJvDataConsumer	Edit topic

Determines if an attribute applies to the consumer.

Pascal

function AttributeApplies(Attr: Integer): Boolean;

Parameters

Attr: Integer

Attribute to check.

Description

AttributeApplies determines if the specified attribute applies to the consumer. The method is primarily used by the data provider's ConsumerClasses method to build the list of consumer extensions.

If an attribute applies the function should return True, otherwise False should be returned.

Created with Doc-O-Matic.


IJvDataConsumer.VCLComponent method

IJvDataConsumer	Edit topic

Retrieves a reference to the VCL component.

Pascal

function VCLComponent: TComponent;

Description

VCLComponent retrieves a reference to the VCL component that functions as a consumer.

Created with Doc-O-Matic.


IJvDataConsumerClientNotify
JEDI-VCL Reference

IJvDataConsumerClientNotify

Hierarchy	Methods	 See Also	Edit topic

Data consumer support interface to be notified when another consumer changes item.

Pascal

IJvDataConsumerClientNotify = interface;

File

JvDataProviderIntf

Description

IJvDataConsumerClientNotify is a consumer support interface to be notified when another consumer changes item.

The implementer of this interface is notified when an item gets selected at another consumer (the server) and when a link to it is added to or removed from a server.

The IJvDataConsumerClientNotify always communicates with the IJvDataConsumerServerNotify of the server consumer to request itself being added to or removed from the server or to notify the server when the provider is changed (the server will then determine if the client is still allowed and optionally breaks the link if this is not the case).

Linking of consumers can be used (for example) to link a context selection consumer (e.g. a combo box linked to a context provider) to a client consumer and have the context of that consumer updated automatically when the context selection consumer selects a different context. In this scheme, IJvDataConsumerClientNotify is used at the client consumer.

Created with Doc-O-Matic.


IJvDataConsumerClientNotify Methods

IJvDataConsumerClientNotify

Methods

ItemSelected

LinkAdded

LinkRemoved

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumerClientNotify


IJvDataConsumerClientNotify Members

IJvDataConsumerClientNotify

Members

Methods

ItemSelected

LinkAdded

LinkRemoved

Created with Doc-O-Matic.


See Also

IJvDataConsumer, IJvDataConsumerServerNotify


IJvDataConsumerClientNotify.ItemSelected method

IJvDataConsumerClientNotify	Edit topic

Called when the server consumer selects another item.

Pascal

procedure ItemSelected(Server: IJvDataConsumerServerNotify; Value: IJvDataItem);

Parameters

Server: IJvDataConsumerServerNotify

Reference to the server notification interface of the server consumer.

Value: IJvDataItem

Reference to the item currently selected at the server consumer.

Description

ItemSelected is called when the indicated server consumer has selected another item.

Created with Doc-O-Matic.


IJvDataConsumerClientNotify.LinkAdded method

IJvDataConsumerClientNotify	See Also	Edit topic

Called when the server consumer has added the client to its list of clients.

Pascal

procedure LinkAdded(Server: IJvDataConsumerServerNotify);

Parameters

Server: IJvDataConsumerServerNotify

Reference to the server notification interface of the server consumer.

Description

LinkAdded is called when the specified server consumer has added the client to its list of clients. The provided reference to the server consumer should be stored so you can use it later to notify the server consumer if a different provider is being selected or to manually remove the link (i.e. when the consumer is being disposed).

Created with Doc-O-Matic.


See Also

IJvDataConsumerClientNotify.LinkRemoved


IJvDataConsumerClientNotify.LinkRemoved method

IJvDataConsumerClientNotify	See Also	Edit topic

Called when the server consumer has removed the client from its list of clients.

Pascal

procedure LinkRemoved(Server: IJvDataConsumerServerNotify);

Parameters

Server: IJvDataConsumerServerNotify

Reference to the server notification interface of the server consumer.

Description

LinkRemoved is called when the specified server consumer has removed the client from its list of clients. This usually happens when the server consumer selects another provider or is being disposed. The provided reference to the server consumer should be removed from wherever it was stored during the LinkAdded call.

Created with Doc-O-Matic.


See Also

IJvDataConsumerClientNotify.LinkAdded


IJvDataConsumerContext
JEDI-VCL Reference

IJvDataConsumerContext

Hierarchy	Methods	 See Also	Edit topic

Data consumer support interface to retrieve the selected context.

Pascal

IJvDataConsumerContext = interface;

File

JvDataProviderIntf

Description

IJvDataConsumerContext is a consumer support interface to retrieve or specify the context of the consumer.

Various providers use contexts to differentiate between various tree configurations and/or content. The IJvDataConsumerContext interface allows you to retrieve the current or specify a new context for this consumer.

Providers rarely need to access this interface, since most of the time when a consumer is selected as the current one, its context is automatically selected as well. With Server/Client consumers, access to the this interface might be useful. The interface is also used by the design time editors.

Created with Doc-O-Matic.


IJvDataConsumerContext Methods

IJvDataConsumerContext

Methods

GetContext

SetContext

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumerContext


IJvDataConsumerContext Members

IJvDataConsumerContext

Members

Methods

GetContext

SetContext

Created with Doc-O-Matic.


See Also

IJvDataConsumer


IJvDataConsumerContext.GetContext method

IJvDataConsumerContext	See Also	Edit topic

Determine the current context for this consumer.

Pascal

function GetContext: IJvDataContext;

Description

GetContext retrieves a reference to the current context for this consumer. If no context is selected nil will be returned, otherwise it's a reference to one of the contexts of the linked provider of this consumer.

Created with Doc-O-Matic.


See Also

IJvDataConsumerContext.SetContext, IJvDataContext


IJvDataConsumerContext.SetContext method

IJvDataConsumerContext	See Also	Edit topic

Specify a new context for this consumer.

Pascal

procedure SetContext(Value: IJvDataContext);

Parameters

Value: IJvDataContext

Reference to a new context to select for this consumer. Specify nil to select no context.

Description

SetContext selects a new context for this consumer. If you want to select no context, specify nil as a parameter.

If the specified context does not belong to the same provider that is currently linked to the consumer, an exception will be raised.

Created with Doc-O-Matic.


See Also

IJvDataConsumerContext.GetContext, IJvDataContext


IJvDataConsumerItemSelect
JEDI-VCL Reference

IJvDataConsumerItemSelect

Hierarchy	Methods	 See Also	Edit topic

Data consumer support interface to determine the displayed (root) item.

Pascal

IJvDataConsumerItemSelect = interface;

File

JvDataProviderIntf

Description

IJvDataConsumerItemSelect is a consumer support interface to retrieve or specify the (root) item of the consumer.

Consumers that only allow a single item to be used use this interface to specify which item is used. If a nil item is specified, no item will be used by the consumer.

Consumers that allow multiple items to be rendered use this interface to specify which item will be used as the root. In this case, nil means that all items are rendered, otherwise only items below the specified item.

Created with Doc-O-Matic.


IJvDataConsumerItemSelect Methods

IJvDataConsumerItemSelect

Methods

GetItem

SetItem

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumerItemSelect


IJvDataConsumerItemSelect Members

IJvDataConsumerItemSelect

Members

Methods

GetItem

SetItem

Created with Doc-O-Matic.


See Also

IJvDataConsumer, IJvDataItem


IJvDataConsumerItemSelect.GetItem method

IJvDataConsumerItemSelect	See Also	Edit topic

Determine the current (root) item.

Pascal

function GetItem: IJvDataItem;

Description

GetItem retrieves a reference to the current (root) item of the consumer.

For consumers that only allow a single item to be used, the retrieved item is the item used by the consumer (or nil if no item is currently selected).

For consumers that allow multiple items to be rendered, the retrieved item is the item used as a root (or nil if the entire tree is to be used). The consumer will only use items that are a child of the specified item; the item itself is not used.

Created with Doc-O-Matic.


See Also

IJvDataConsumerItemSelect.SetItem, IJvDataItem


IJvDataConsumerItemSelect.SetItem method

IJvDataConsumerItemSelect	See Also	Edit topic

Specify a new (root) item.

Pascal

procedure SetItem(Value: IJvDataItem);

Parameters

Value: IJvDataItem

Item to be used as the active item or root item. Specify nil to use no item or use the entire tree.

Description

SetItem selects a new (root) item for the consumer.

For consumers that only allow a single item to be used, the new item is the item used by the consumer (specify nil if no item is to be selected).

For consumers that allow multiple items to be rendered, the new item is the item used as a root (specify nil if the entire tree is to be used). The consumer will only use items that are a child of the specified item; the item itself is not used.

If the specified item does not belong to the provider linked to the consumer or does not exist within the current active context of the consumer, and exception will be raised.

Created with Doc-O-Matic.


See Also

IJvDataConsumerContext, IJvDataConsumerItemSelect.GetItem, IJvDataItem


IJvDataConsumerItemState
JEDI-VCL Reference

IJvDataConsumerItemState

Hierarchy	Methods	 See Also	Edit topic

Data consumer support interface to determine item states at the consumer side.

Pascal

IJvDataConsumerItemState = interface;

File

JvDataProviderIntf

Description

IJvDataConsumerItemState is a consumer support interface to retrieve Enabled, CHecked and/or Visible state of an item at the consumers side.

When a provider or consumer support interface needs one of the aforementioned states, it will first request the state from the consumer (if it supports the IJvDataConsumerItemState interface). If this interface is not supported or if the returned state equals disNotUsed, the state is requested from the IJvDataItemStates interface of the item.

Each of the states can be one of "False", "True", "Indetermined" or "Not used". The consumer is responsible of setting the appropriate rendering options based on these settings but is not required to handle them. In addition a consumer may override the setting of the item at its discretion.

Created with Doc-O-Matic.


IJvDataConsumerItemState Methods

IJvDataConsumerItemState

Methods

Checked

Enabled

Visible

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumerItemState


IJvDataConsumerItemState Members

IJvDataConsumerItemState

Members

Methods

Checked

Enabled

Visible

Created with Doc-O-Matic.


See Also

IJvDataConsumer, IJvDataItem, IJvDataItemStates


IJvDataConsumerItemState.Checked method

IJvDataConsumerItemState	See Also	Edit topic

Determines if the item is checked.

Pascal

function Checked(Item: IJvDataItem): TDataItemState;

Parameters

Item: IJvDataItem

Item to determine the checked state of.

Description

Checked determines if the item is checked from the consumer perspective.

If Checked is set to disIndetermined the item's checkbox should be rendered in a gray state.

If Checked is set to disNotUsed the state of the item at the provider side should be requested (using the optional IJvDataItemStates interface of the item).

Created with Doc-O-Matic.


See Also

IJvDataItemStates.Checked


IJvDataConsumerItemState.Enabled method

IJvDataConsumerItemState	See Also	Edit topic

Determines if the item is enabled.

Pascal

function Enabled(Item: IJvDataItem): TDataItemState;

Parameters

Item: IJvDataItem

Item to determine the enabled state of.

Description

Enabled determines if the item is enabled from the consumer perspective.

If Enabled is set to disFalse the item should be rendered in a disabled state. If an action is linked to the item (through the IJvDataItemBasicAction interface), it should not be executed.

For any other setting of Enabled the state of the item at the provider side should be requested (using the optional IJvDataItemStates interface of the item).

Created with Doc-O-Matic.


See Also

IJvDataItemBasicAction, IJvDataItemStates.Enabled


IJvDataConsumerItemState.Visible method

IJvDataConsumerItemState	See Also	Edit topic

Determines if the item is visible.

Pascal

function Visible(Item: IJvDataItem): TDataItemState;

Parameters

Item: IJvDataItem

Item to determine the visible state of.

Description

Visible determines if the item is visible from the consumer perspective.

If Visible is set to disFalse the item is not visible and should not be rendered or otherwise usable by the consumer.

If Visible is set to disIndetermined or disNotUsed the state of the item at the provider side should be requested (using the optional IJvDataItemStates interface of the item).

The consumer service view list extension will consider this state to determine if the item is to be added to the tree.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList, IJvDataItemStates.Visible


IJvDataConsumerProvider
JEDI-VCL Reference

IJvDataConsumerProvider

Hierarchy	Methods	 See Also	Edit topic

Data consumer support interface to retrieve the selected provider.

Pascal

IJvDataConsumerProvider = interface;

File

JvDataProviderIntf

Description

IJvDataConsumerProvider is a consumer support interface to retrieve the selected provider. This is usually used only by the design time editors and not at the providers, since the provider already knows the consumer is linked to that provider.

Created with Doc-O-Matic.


IJvDataConsumerProvider Methods

IJvDataConsumerProvider

Methods

GetProvider

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumerProvider


IJvDataConsumerProvider Members

IJvDataConsumerProvider

Members

Methods

GetProvider

Created with Doc-O-Matic.


See Also

IJvDataConsumer


IJvDataConsumerProvider.GetProvider method

IJvDataConsumerProvider	See Also	Edit topic

The provider the consumer is linked to.

Pascal

function GetProvider: IJvDataProvider;

Description

GetProvider returns a reference to the provider the consumer is linked to.

Created with Doc-O-Matic.


See Also

IJvDataProvider


IJvDataConsumerServerNotify
JEDI-VCL Reference

IJvDataConsumerServerNotify

Hierarchy	Methods	 See Also	Edit topic

Data consumer support interface to notify another consumer when the current item changes.

Pascal

IJvDataConsumerServerNotify = interface;

File

JvDataProviderIntf

Description

IJvDataConsumerServerNotify is a consumer support interface that allows other consumers (supporting the IJvDataConsumerClientNotify interface) to be linked and notified if the current item of this consumer changed.

The implementer of this interface is notified when a client consumer changed its provider. You are responsible for checking if the client consumer is still valid and optionally break the link to the client if this is no longer the case. In addition you must keep a record of linked clients and notify them when the selected item changed or the client is removed (either because the client is no longer valid due to a provider change or because the server consumer is destroying).

Linking of consumers can be used (for example) to link a context selection consumer (e.g. a combo box linked to a context provider) to a client consumer and have the context of that consumer updated automatically when the context selection consumer selects a different context. In this scheme, IJvDataConsumerServerNotify is used at the context selection consumer.

Created with Doc-O-Matic.


IJvDataConsumerServerNotify Methods

IJvDataConsumerServerNotify

Methods

AddClient

IsValidClient

NotifyProviderChanged

RemoveClient

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumerServerNotify


IJvDataConsumerServerNotify Members

IJvDataConsumerServerNotify

Members

Methods

AddClient

IsValidClient

NotifyProviderChanged

RemoveClient

Created with Doc-O-Matic.


See Also

IJvDataConsumer, IJvDataConsumerClientNotify


IJvDataConsumerServerNotify.AddClient method

IJvDataConsumerServerNotify	See Also	Edit topic

Add a client to the list.

Pascal

procedure AddClient(Client: IJvDataConsumerClientNotify);

Parameters

Client: IJvDataConsumerClientNotify

Reference to the client consumer notification interface of the consumer to add.

Description

AddClient will attempt to add the specified client to the list of linked clients. Most implementations will check if the client is valid and not already linked before adding it.

When the client is added, the LinkAdded method of the client is called.

Created with Doc-O-Matic.


See Also

IJvDataConsumerClientNotify.LinkAdded, IJvDataConsumerServerNotify.IsValidClient, IJvDataConsumerServerNotify.RemoveClient


IJvDataConsumerServerNotify.IsValidClient method

IJvDataConsumerServerNotify	See Also	Edit topic

Checks if the client is a valid client to be linked to the server.

Pascal

function IsValidClient(Client: IJvDataConsumerClientNotify): Boolean;

Parameters

Client: IJvDataConsumerClientNotify

Reference to the client consumer notification interface of the consumer to check.

Description

IsValidClient determines if the specified client consumer is a valid client to be linked to the server. If the client is valid the method returns True, otherwise False will be returned.

Each server will have different criteria to determine if the client consumer can be linked. In the case of a context selection consumer, the server will make sure the client consumer is linked to the same provider as the context selection consumer's linked context provider is.

Most implementers use this method in both the AddClient as well as the NotifyProviderChanged methods to determine validity of the client consumer.

Created with Doc-O-Matic.


See Also

IJvDataConsumerServerNotify.AddClient, IJvDataConsumerServerNotify.NotifyProviderChanged


IJvDataConsumerServerNotify.NotifyProviderChanged method

IJvDataConsumerServerNotify	See Also	Edit topic

Called by the client when it has changed provider or other setting that may influence the validity.

Pascal

procedure NotifyProviderChanged(Client: IJvDataConsumerClientNotify);

Parameters

Client: IJvDataConsumerClientNotify

Reference to the client consumer notification interface of the consumer that changed provider.

Description

NotifyProviderChanged is called by a client consumer when it has changed to another provider or other setting that may influence the validity of the client. This allows the server to check if the client can remain linked to the server or not.

Most implementers will first call IsValidClient to determine if the client consumer is still valid and if this is not the case will then call RemoveClient to break the link.

Created with Doc-O-Matic.


See Also

IJvDataConsumerServerNotify.IsValidClient, IJvDataConsumerServerNotify.RemoveClient


IJvDataConsumerServerNotify.RemoveClient method

IJvDataConsumerServerNotify	See Also	Edit topic

Remove a client.

Pascal

procedure RemoveClient(Client: IJvDataConsumerClientNotify);

Parameters

Client: IJvDataConsumerClientNotify

Reference to the client consumer notification interface of the consumer to add.

Description

RemoveClient will break the link between the server consumer and the specified client consumer.

When the client is removed, the LinkRemoved method of the client is called.

Created with Doc-O-Matic.


See Also

IJvDataConsumerClientNotify.LinkRemoved, IJvDataConsumerServerNotify.AddClient


IJvDataConsumerViewList
JEDI-VCL Reference

IJvDataConsumerViewList

Hierarchy	Properties	Methods	 See Also	Edit topic

Data consumer support interface to manager the tree of data items in a flat list.

Pascal

IJvDataConsumerViewList = interface;

File

JvDataProviderIntf

Description

IJvDataConsumerViewList is a consumer support interface that manages the tree of data items in a flat list.

Consumers that can render multiple items but only in a flat list will use this support interface to maintain a flat list representation of the tree and allow expand/collapse control of it.

Implementers of this interface will have to handle changes at the provider (specifically the adding and removing of items) and update the view list accordingly. Also some changes at the consumer (such as context switching) may require updates in the view list or even complete rebuilds.

Created with Doc-O-Matic.


IJvDataConsumerViewList Properties

IJvDataConsumerViewList

Properties

AutoExpandLevel

ExpandOnNewItem

LevelIndent

Created with Doc-O-Matic.


IJvDataConsumerViewList Methods

IJvDataConsumerViewList

Methods

ChildIndexOfID

ChildIndexOfItem

Count

ExpandTreeTo

Get_AutoExpandLevel

Get_ExpandOnNewItem

Get_LevelIndent

IndexOfID

IndexOfItem

Item

ItemGroupInfo

ItemHasChildren

ItemIsExpanded

ItemLevel

ItemParent

ItemParentIndex

ItemSibling

ItemSiblingIndex

RebuildView

Set_AutoExpandLevel

Set_ExpandOnNewItem

Set_LevelIndent

SubItem

SubItemIndex

ToggleItem

Created with Doc-O-Matic.


Hierarchy

IJvDataConsumerViewList


IJvDataConsumerViewList Members

IJvDataConsumerViewList

Members

Properties

AutoExpandLevel

ExpandOnNewItem

LevelIndent

Methods

ChildIndexOfID

ChildIndexOfItem

Count

ExpandTreeTo

Get_AutoExpandLevel

Get_ExpandOnNewItem

Get_LevelIndent

IndexOfID

IndexOfItem

Item

ItemGroupInfo

ItemHasChildren

ItemIsExpanded

ItemLevel

ItemParent

ItemParentIndex

ItemSibling

ItemSiblingIndex

RebuildView

Set_AutoExpandLevel

Set_ExpandOnNewItem

Set_LevelIndent

SubItem

SubItemIndex

ToggleItem

Created with Doc-O-Matic.


See Also

IJvDataConsumer


IJvDataConsumerViewList.AutoExpandLevel property

IJvDataConsumerViewList	See Also	Edit topic

Specifies to which level the tree will be expanded automatically.

Pascal

property AutoExpandLevel: Integer;

Description

AutoExpandLevel specifies the level to which the tree will be expanded automatically when the view is rebuild.

If this property is set to 0 (zero), no automatic expansion will be taking place. A value of -1 represents infinite expanding.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ExpandOnNewItem, IJvDataConsumerViewList.ExpandTreeTo, IJvDataConsumerViewList.ItemIsExpanded, IJvDataConsumerViewList.RebuildView, IJvDataConsumerViewList.ToggleItem


IJvDataConsumerViewList.ExpandOnNewItem property

IJvDataConsumerViewList	See Also	Edit topic

Specify if the view should expand the tree when a new item is added.

Pascal

property ExpandOnNewItem: Boolean;

Description

ExpandOnNewItem specifies if the tree should be expanded when a new item is added to a collapsed (sub) tree.

Set ExpandOnNewItem to True if the sub tree the new item belongs to should be expanded to make the new item visible.

Set ExpandOnNewItem to False if adding items should not necessarily make them visible when one of its parents is still collapsed.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ExpandTreeTo, IJvDataConsumerViewList.ToggleItem


IJvDataConsumerViewList.LevelIndent property

IJvDataConsumerViewList	See Also	Edit topic

Indentation to use for each level.

Pascal

property LevelIndent: Integer;

Description

LevelIndent specifies how much an item is indented in the consumer's graphical representation for each level of the tree. What the value actually represents (e.g. pixels, characters, etc) depends solely on the consumer. Most consumers will represent the indentation in pixels.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ItemLevel


IJvDataConsumerViewList.ChildIndexOfID method

IJvDataConsumerViewList	See Also	Edit topic

Locates an item by ID and return its index within its parents list in the view list.

Pascal

function ChildIndexOfID(ID: TJvDataItemID): Integer;

Parameters

ID: TJvDataItemID

ID of the item to locate.

Description

ChildIndexOfID will locate an item given its ID. The value returned is the 0-based index of the item in its parents list according to the view list.

If the item is not found the method will return -1.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ChildIndexOfItem, IJvDataConsumerViewList.IndexOfID


IJvDataConsumerViewList.ChildIndexOfItem method

IJvDataConsumerViewList	See Also	Edit topic

Locates an item and return its index within its parents list in the view list.

Pascal

function ChildIndexOfItem(Item: IJvDataItem): Integer;

Parameters

Item: IJvDataItem

Reference to the item to locate.

Description

ChildIndexOfItem will locate the given item in the view list. The value returned is the 0-based index of the item in its parents list according to the view list.

If the item is not found the method will return -1.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ChildIndexOfID, IJvDataConsumerViewList.IndexOfItem


IJvDataConsumerViewList.Count method

IJvDataConsumerViewList	See Also	Edit topic

Determine the number of items in the view list.

Pascal

function Count: Integer;

Description

Count determines the number of items currently in the view list.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Item


IJvDataConsumerViewList.ExpandTreeTo method

IJvDataConsumerViewList	See Also	Edit topic

Expands the view list so that the specified item is visible.

Pascal

procedure ExpandTreeTo(Item: IJvDataItem);

Parameters

Item: IJvDataItem

Item to make visible.

Description

ExpandTreeTo will expand the view list to assure the specified item is visible for the consumer.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ToggleItem


IJvDataConsumerViewList.Get_AutoExpandLevel method

IJvDataConsumerViewList	See Also	Edit topic

Retrieves the level to which the tree will be expanded automatically.

Pascal

function Get_AutoExpandLevel: Integer;

Description

Get_AutoExpandLevel returns the level to which the tree will be expanded automatically when the view is rebuild. Get_AutoExpandLevel is the read method for the AutoExpandLevel property.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.AutoExpandLevel, IJvDataConsumerViewList.Set_AutoExpandLevel


IJvDataConsumerViewList.Get_ExpandOnNewItem method

IJvDataConsumerViewList	See Also	Edit topic

Returns the flag to indicate if the view should expand the tree when a new item is added.

Pascal

function Get_ExpandOnNewItem: Boolean;

Description

Get_ExpandOnNewItem returns if the tree should be expanded when a new item is added to a collapsed (sub) tree. Get_ExpandOnNewItem is the read method for the ExpandOnNewItem property.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ExpandOnNewItem, IJvDataConsumerViewList.Set_ExpandOnNewItem


IJvDataConsumerViewList.Get_LevelIndent method

IJvDataConsumerViewList	See Also	Edit topic

Returns the indentation to use for each level.

Pascal

function Get_LevelIndent: Integer;

Description

Get_LevelIndent returns how much an item is indented in the consumer's graphical representation for each level of the tree. Get_LevelIndent is the read method for the LevelIndent property.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.LevelIndent, IJvDataConsumerViewList.Set_LevelIndent


IJvDataConsumerViewList.IndexOfID method

IJvDataConsumerViewList	See Also	Edit topic

Locates an item by ID and return its index in the view list.

Pascal

function IndexOfID(ID: TJvDataItemID): Integer;

Parameters

ID: TJvDataItemID

ID of the item to locate.

Description

IndexOfID will locate an item given its ID. The value returned is the 0-based index of the item in the view list.

If the item is not found the method will return -1.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ChildIndexOfID, IJvDataConsumerViewList.IndexOfItem


IJvDataConsumerViewList.IndexOfItem method

IJvDataConsumerViewList	See Also	Edit topic

Locates an item and return its index in the view list.

Pascal

function IndexOfItem(Item: IJvDataItem): Integer;

Parameters

Item: IJvDataItem

Reference to the item to locate.

Description

IndexOfItem will locate the given item in the view list. The value returned is the 0-based index of the item in the view list.

If the item is not found the method will return -1.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ChildIndexOfItem, IJvDataConsumerViewList.IndexOfID


IJvDataConsumerViewList.Item method

IJvDataConsumerViewList	See Also	Edit topic

Retrieve a reference to a Data Item.

Pascal

function Item(Index: Integer): IJvDataItem;

Parameters

Index: Integer

0-based index in the view list of the item to retrieve. Allowed values range from 0 to Count-1 (both inclusive).

Description

Item retrieves a reference to the item at the specified index in the view list.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Count, IJvDataItem


IJvDataConsumerViewList.ItemGroupInfo method

IJvDataConsumerViewList	See Also	Edit topic

Determine grouping information for an item.

Pascal

function ItemGroupInfo(Index: Integer): TDynIntegerArray;

Parameters

Index: Integer

0-based index in the view list of the item to retrieve grouping information for. Allowed values range from 0 to Count-1 (both inclusive).

Description

ItemGroupInfo determines grouping information for an item. The returned array of integers represents a bit-wise mapping at each level to determine if there are more siblings at that level.

This information can be used by a user interface consumer to determine at which level a vertical line should be drawn.

Bit 0 of the first integer represents the state for the item itself (and thus tells if only the upper part of the vertical line is needed or not). Each following bit indicates the state at a level higher.

If a bit is set to 0 there are no more siblings at that level and no vertical line (or only the upper part in case of bit 0 of the first integer) should be drawn in the user interface.

If a bit is set to 1 there is at least one more siblings at that level and a vertical line should be drawn in the user interface.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Count, IJvDataConsumerViewList.ItemLevel, IJvDataConsumerViewList.ItemSibling


IJvDataConsumerViewList.ItemHasChildren method

IJvDataConsumerViewList	See Also	Edit topic

Determines if an item has children.

Pascal

function ItemHasChildren(Index: Integer): Boolean;

Parameters

Index: Integer

0-based index in the view list of the item to test. Allowed values ranges from 0 to Count-1

Description

ItemHasChildren determines if the specified item has any children. This does not mean those child items are actually visible in the view list, but it does mean the item can be expanded to show them.

If an item has children the method returns True, otherwise False is returned.

Created with Doc-O-Matic.


See Also

SubItem


IJvDataConsumerViewList.ItemIsExpanded method

IJvDataConsumerViewList	See Also	Edit topic

Determines if an item is expanded.

Pascal

function ItemIsExpanded(Index: Integer): Boolean;

Parameters

Index: Integer

0-based index in the view list of the item to test. Allowed values ranges from 0 to Count-1

Description

ItemIsExpanded determines if the specified item is expanded and has child items showing.

If the item is expanded the method returns True, otherwise False is returned.

Created with Doc-O-Matic.


See Also

SubItem


IJvDataConsumerViewList.ItemLevel method

IJvDataConsumerViewList	See Also	Edit topic

Determines the tree level of an item.

Pascal

function ItemLevel(Index: Integer): Integer;

Parameters

Index: Integer

0-based index in the view list of the item to test. Allowed values ranges from 0 to Count-1

Description

ItemLevel determines the level at which the specified item is placed in the tree. The returned value is 0-based, where 0 means the item is at the root.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Count, IJvDataConsumerViewList.ItemParent


IJvDataConsumerViewList.ItemParent method

IJvDataConsumerViewList	See Also	Edit topic

Retrieves a reference to the parent item of an item.

Pascal

function ItemParent(Index: Integer): IJvDataItem;

Parameters

Index: Integer

0-based index in the view list of the item to test. Allowed values ranges from 0 to Count-1

Description

ItemParent retrieves a reference to the parent item of the specified item.

If the specified item is at the root level the method will return nil.

Created with Doc-O-Matic.


See Also

SubItem


IJvDataConsumerViewList.ItemParentIndex method

IJvDataConsumerViewList	See Also	Edit topic

Determines the index in the view list for the parent item of an item.

Pascal

function ItemParentIndex(Index: Integer): Integer;

Parameters

Index: Integer

0-based index in the view list of the item to test. Allowed values ranges from 0 to Count-1

Description

ItemParentIndex determines the index in the view list for the parent item of the specified item.

If the specified item is at the root level the method will return nil, otherwise a 0-based index in the view list for the parent item is returned.

Created with Doc-O-Matic.


See Also

SubItemIndex


IJvDataConsumerViewList.ItemSibling method

IJvDataConsumerViewList	See Also	Edit topic

Retrieves a reference to the next sibling of an item.

Pascal

function ItemSibling(Index: Integer): IJvDataItem;

Parameters

Index: Integer

0-based index in the view list of the item to test. Allowed values ranges from 0 to Count-1

Description

ItemSibling retrieves a reference to the next sibling item of the specified item.

If the specified item doesn't have a next sibling the method will return nil.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Count, IJvDataConsumerViewList.ItemSiblingIndex


IJvDataConsumerViewList.ItemSiblingIndex method

IJvDataConsumerViewList	See Also	Edit topic

Determines the index in the view list for the next sibling of an item.

Pascal

function ItemSiblingIndex(Index: Integer): Integer;

Parameters

Index: Integer

0-based index in the view list of the item to test. Allowed values ranges from 0 to Count-1

Description

ItemSiblingIndex determines the index in the view list for the next sibling of the specified item.

If the specified item doesn't have a next sibling the method will return -1, otherwise a 0-based index in the view list for the sibling item is returned.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Count, IJvDataConsumerViewList.ItemSibling


IJvDataConsumerViewList.RebuildView method

IJvDataConsumerViewList	See Also	Edit topic

Rebuilds the view of the tree for the consumer.

Pascal

procedure RebuildView;

Description

RebuildView rebuilds the view list from scratch. The resulting tree will be complete refreshed to the current provider state.

You'll rarely need to call RebuildView (although that depends largely on the implementation). As items are added to or removed from the provider tree the view list is updated automatically. Selecting a different provider or context also automatically refreshes the view.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.AutoExpandLevel, IJvDataConsumerViewList.ExpandOnNewItem


IJvDataConsumerViewList.Set_AutoExpandLevel method

IJvDataConsumerViewList	See Also	Edit topic

Sets the level to which the tree will be expanded automatically.

Pascal

procedure Set_AutoExpandLevel(Value: Integer);

Parameters

Value: Integer

New level to set.

Description

Set_AutoExpandLevel sets the level to which the tree will be expanded automatically when the view is rebuild. Set_AutoExpandLevel is the write method for the AutoExpandLevel property.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.AutoExpandLevel, IJvDataConsumerViewList.Get_AutoExpandLevel


IJvDataConsumerViewList.Set_ExpandOnNewItem method

IJvDataConsumerViewList	See Also	Edit topic

Sets the flag to indicate if the view should expand the tree when a new item is added.

Pascal

procedure Set_ExpandOnNewItem(Value: Boolean);

Parameters

Value: Boolean

New state to set.

Description

Set_ExpandOnNewItem specifies if the tree should be expanded when a new item is added to a collapsed (sub) tree. Set_ExpandOnNewItem is the write method for the ExpandOnNewItem property.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.ExpandOnNewItem, IJvDataConsumerViewList.Get_ExpandOnNewItem


IJvDataConsumerViewList.Set_LevelIndent method

IJvDataConsumerViewList	See Also	Edit topic

Sets the indentation to use for each level.

Pascal

procedure Set_LevelIndent(Value: Integer);

Parameters

Value: Integer

New indentation to set.

Description

Set_LevelIndent specifies how much an item is indented in the consumer's graphical representation for each level of the tree. Set_LevelIndent is the write method for the LevelIndent property.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Get_LevelIndent, IJvDataConsumerViewList.LevelIndent


IJvDataConsumerViewList.SubItem method (IJvDataItem, Integer)

IJvDataConsumerViewList	See Also	Edit topic

Retrieve a reference to a child item of a given item.

Pascal

function SubItem(Parent: IJvDataItem; Index: Integer): IJvDataItem; overload;
function SubItem(Parent: Integer; Index: Integer): IJvDataItem; overload;

Parameters

Parent: IJvDataItem

Either a reference to the parent item or a 0-based index in the view list of the parent item. Allowed values for the index version ranges from 0 to Count-1.

Index: Integer

0-based index of the child item to retrieve.

Description

SubItem retrieves a reference to the specified child item of the specified parent item. The two versions of this method allow to specify the parent either as a data item or as a 0-based index in the view list.

If the parent item could not be found either an exception is raised or a nil pointer is returned (depends on the implementer).

If the item has no children or the index is out of range either an exception is raised or a nil pointer is returned (depends on the implementer). Most implementers will choose to return a nil pointer in this case, as there's no real way to tell the number of child items an item has.

Created with Doc-O-Matic.


See Also

SubItemIndex


IJvDataConsumerViewList.SubItemIndex method (IJvDataItem, Integer)

IJvDataConsumerViewList	See Also	Edit topic

Retrieve the index to a child item of a given item.

Pascal

function SubItemIndex(Parent: IJvDataItem; Index: Integer): Integer; overload;
function SubItemIndex(Parent: Integer; Index: Integer): Integer; overload;

Parameters

Parent: IJvDataItem

Either a reference to the parent item or a 0-based index in the view list of the parent item. Allowed values for the index version ranges from 0 to Count-1.

Index: Integer

0-based index of the child item to retrieve.

Description

SubItemIndex retrieves a 0-based index in the viewlist to the specified child item of the specified pare t item. The two versions of this method allow to specify the parent either as a data item or as a 0-based index in the view list.

If the parent item could not be found either an exception is raised or -1 is returned (depends on the implementer).

If the item has no children or the index is out of range either an exception is raised or -1 is returned (depends on the implementer). Most implementers will choose to return -1 in this case, as there's no real way to tell the number of child items an item has.

Created with Doc-O-Matic.


See Also

SubItem


IJvDataConsumerViewList.ToggleItem method

IJvDataConsumerViewList	See Also	Edit topic

Toggles the expanded state of an item.

Pascal

procedure ToggleItem(Index: Integer);

Parameters

Index: Integer

0-based index in the view list of the item to expand or collapse. Allowed values ranges from 0 to Count-1

Description

ToggleItem expands or collapses the specified item, depending on its current state.

If the specified item is expanded its sub items will be hidden, collapsing the item.

If the specified item is collapsed and has sub items, the sub items will be added, expanding the item. Note that upon expanding, the AutoExpandLevel property is taken into account.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList.Count, IJvDataConsumerViewList.ItemHasChildren, IJvDataConsumerViewList.ItemIsExpanded


IJvDataContext
JEDI-VCL Reference

IJvDataContext

Hierarchy	Methods	 See Also	Edit topic

Context object.

Pascal

IJvDataContext = interface;

File

JvDataProviderIntf

Description

IJvDataContext represents an individual context. Contexts allow providers to represent their contents in a different way to different consumers.

Each context can represent a different tree and/or different item properties while using the same data. This keeps the memory usage down, since the common information is kept only once.

Consumers can select which context they want to use so multiple consumers with the same context will get the exact same representation.

Contexts allow for inheriting the properties (or tree structure) of the parent context if such properties is not explicitly set for that context (this is at the discretion of the provider and some providers will not allow this behavior or even allow contexts at a deeper level than the root). This also contributes to reducing memory usage. The IJvDataContextSensitive interface manages the inherited state of the properties.

Created with Doc-O-Matic.


IJvDataContext Methods

IJvDataContext

Methods

Contexts

GetImplementer

IsDeletable

Name

Created with Doc-O-Matic.


Hierarchy

IJvDataContext


IJvDataContext Members

IJvDataContext

Members

Methods

Contexts

GetImplementer

IsDeletable

Name

Created with Doc-O-Matic.


See Also

IJvDataContexts, IJvDataContextSensitive, IJvDataItem, IJvDataItems, IJvDataProvider


IJvDataContext.Contexts method

IJvDataContext	See Also	Edit topic

Reference to the context list.

Pascal

function Contexts: IJvDataContexts;

Description

Contexts is a reference to the context list this context belongs to.

Created with Doc-O-Matic.


See Also

IJvDataContexts


IJvDataContext.GetImplementer method

IJvDataContext	Edit topic

Retrieves the TObject implementing object.

Pascal

function GetImplementer: TObject;

Description

GetImplementer retrieves the TObject implementation that implements this interface.

Created with Doc-O-Matic.


IJvDataContext.IsDeletable method

IJvDataContext	Edit topic

Determines if the context can be deleted.

Pascal

function IsDeletable: Boolean;

Description

IsDeletable determines if the context can be deleted. If the context can be deleted True will be returned, otherwise False is returned.

Some providers may generate 1 or more fixed contexts that are not to be deleted. These contexts will return False for this method. Most other (user generated) contexts are deletable and will return True for this method.

Created with Doc-O-Matic.


IJvDataContext.Name method

IJvDataContext	See Also	Edit topic

The name of the context.

Pascal

function Name: string;

Description

Name represents the name of the context. The name of the context must be unique within the list it's added to.

Not all providers may allow changing the context name (or not for all contexts) so the IJvDataContext interface does not support changing the name by default. Contexts that may allow changing the name will support the IJvDataContextManager interface as well.

Created with Doc-O-Matic.


See Also

IJvDataContextManager.SetName


IJvDataContextManager
JEDI-VCL Reference

IJvDataContextManager

Hierarchy	Methods	 See Also	Edit topic

IJvDataContext support interface to change context name.

Pascal

IJvDataContextManager = interface;

File

JvDataProviderIntf

Description

IJvDataContextManager is an optional support interface for IJvDataContext objects. It's sole purpose is to allow changing the name of the context and has only one method.

Not all providers may allow changing the context name (or not for all contexts) so the IJvDataContext interface does not support that feature by default. Contexts that may allow changing the name will support this interface as well.

Created with Doc-O-Matic.


IJvDataContextManager Methods

IJvDataContextManager

Methods

SetName

Created with Doc-O-Matic.


Hierarchy

IJvDataContextManager


IJvDataContextManager Members

IJvDataContextManager

Members

Methods

SetName

Created with Doc-O-Matic.


See Also

IJvDataContext


IJvDataContextManager.SetName method

IJvDataContextManager	See Also	Edit topic

Change the name of the context.

Pascal

procedure SetName(Value: string);

Parameters

Value: string

New name for the context.

Description

SetName allows to change the name of the context. Implementers of this methods are responsible for assuring the uniqueness of the new name within the context list this context belongs to.

Created with Doc-O-Matic.


See Also

IJvDataContext.Name


IJvDataContexts
JEDI-VCL Reference

IJvDataContexts

Hierarchy	Methods	 See Also	Edit topic

List of IJvDataContext objects.

Pascal

IJvDataContexts = interface;

File

JvDataProviderIntf

Description

IJvDataContexts represents the list of IJvDataContext objects. The interface is supported by IJvDataProvider and might be supported for individual IJvDataContext instances if a specific context contains sub contexts.

The IJvDataContexts interface provides methods that:

Allow retrieval of the number of contexts

All retrieval of a context based on its index, its name or name path.

Determine the ancestor context that owns this list.

Determine the provider to which the context list belongs.

Retrieve a reference to the TObject instance that implements this object.

Created with Doc-O-Matic.


IJvDataContexts Methods

IJvDataContexts

Methods

Ancestor

GetContext

GetContextByName

GetCount

IndexOf

Provider

Created with Doc-O-Matic.


Hierarchy

IJvDataContexts


IJvDataContexts Members

IJvDataContexts

Members

Methods

Ancestor

GetContext

GetContextByName

GetCount

IndexOf

Provider

Created with Doc-O-Matic.


See Also

IJvDataContext, IJvDataContextSensitive, IJvDataContextsManager, IJvDataProvider


IJvDataContexts.Ancestor method

IJvDataContexts	See Also	Edit topic

Retrieve a reference to the ancestor context.

Pascal

function Ancestor: IJvDataContext;

Description

Ancestor retrieves a reference to the ancestor context that owns this list. The context list at the root will have no ancestor and nil will be returned instead.

Created with Doc-O-Matic.


See Also

IJvDataContext


IJvDataContexts.GetContext method

IJvDataContexts	See Also	Edit topic

Retrieve the context specified by its index.

Pascal

function GetContext(Index: Integer): IJvDataContext;

Parameters

Index: Integer

0-based index of the context to retrieve. Values range from 0 to GetCount-1 (both inclusive).

Description

GetContext retrieves the context specified by the given index. Depending on the implementation, the method either returns nil or raises an exception if an invalid index is given.

Created with Doc-O-Matic.


See Also

IJvDataContexts.GetContextByName, IJvDataContexts.GetCount


IJvDataContexts.GetContextByName method

IJvDataContexts	See Also	Edit topic

Retrieve the context specified by the name.

Pascal

function GetContextByName(Name: string): IJvDataContext;

Parameters

Name: string

Name or name path of the context to retrieve.

Description

GetContextByName will retrieve the context specified by the given name. The name can be either a single name (direct child of this list) or a (relative) path.

If the requested context could not be located the method will return nil.

Created with Doc-O-Matic.


See Also

IJvDataContexts.GetContext


IJvDataContexts.GetCount method

IJvDataContexts	See Also	Edit topic

Retrieve the number of contexts the list holds.

Pascal

function GetCount: Integer;

Description

GetCount return the number of contexts currently in this list.

Created with Doc-O-Matic.


See Also

IJvDataContexts.GetContext


IJvDataContexts.IndexOf method

IJvDataContexts	Edit topic

Determine the index of a context.

Pascal

function IndexOf(Ctx: IJvDataContext): Integer;

Parameters

Ctx: IJvDataContext

Context to determine the index of.

Description

IndexOf determines the index in this list of the given context. If the specified context does not belong to this list -1 will returned.

Created with Doc-O-Matic.


IJvDataContexts.Provider method

IJvDataContexts	See Also	Edit topic

Reference to the provider the list belongs to.

Pascal

function Provider: IJvDataProvider;

Description

Provider is a reference to the provider the context list belongs to.

Created with Doc-O-Matic.


See Also

IJvDataProvider


IJvDataContextSensitive
JEDI-VCL Reference

IJvDataContextSensitive

Hierarchy	Methods	 See Also	Edit topic

Context sensitive data manager.

Pascal

IJvDataContextSensitive = interface;

File

JvDataProviderIntf

Description

IJvDataContextSensitive is a supporting interface for IJvDataItems, IJvDataItem and any other IJvDataItem support interface.

It provides in methods that allow settings for a context to be reverted back to the ancestor context (or context-less) settings and to determine if the in o is specifically set for the currently active context or taken from an ancestor context or context-less state.

Created with Doc-O-Matic.


IJvDataContextSensitive Methods

IJvDataContextSensitive

Methods

IsEqualToAncestor

RevertToAncestor

Created with Doc-O-Matic.


Hierarchy

IJvDataContextSensitive


IJvDataContextSensitive Members

IJvDataContextSensitive

Members

Methods

IsEqualToAncestor

RevertToAncestor

Created with Doc-O-Matic.


See Also

IJvDataContext, IJvDataItem, IJvDataItemImage, IJvDataItems, IJvDataItemStates, IJvDataItemText


IJvDataContextSensitive.IsEqualToAncestor method

IJvDataContextSensitive	See Also	Edit topic

Determines if the settings are inherited from the ancestor context.

Pascal

function IsEqualToAncestor: Boolean;

Description

IsEqualToAncestor determines if the settings are inherited from an ancestor context or are specifically set for the currently active context.

If the settings are set for the currently active context the method will return False, otherwise True will be returned.

Created with Doc-O-Matic.


See Also

IJvDataContextSensitive.RevertToAncestor


IJvDataContextSensitive.RevertToAncestor method

IJvDataContextSensitive	See Also	Edit topic

Reverts the settings back to the ancestor context settings.

Pascal

procedure RevertToAncestor;

Description

RevertToAncestor reverts the settings back to the settings for the ancestor context or context-less state.

It does this by simply removing any settings for the currently active context. If there were no settings for the currently active context, nothing will happen.

Created with Doc-O-Matic.


See Also

IJvDataContextSensitive.IsEqualToAncestor


IJvDataContextsManager
JEDI-VCL Reference

IJvDataContextsManager

Hierarchy	Methods	 Edit topic

Support interface for IJvDataContexts that handles context management.

Pascal

IJvDataContextsManager = interface;

File

JvDataProviderIntf

Description

IJvDataContextsManager is an optional supporting interface for IJvDataContexts that manages the context list.

The interface provides methods to:

Add a specific context to the list.

Create and add a new context to the list.

Empty the list of contexts.

Delete a context given its index or given the context instance.

This interface is needed if the design time provider context manager should be able to add/delete contexts to/from the list.

Created with Doc-O-Matic.


IJvDataContextsManager Methods

IJvDataContextsManager

Methods

Add

Clear

Delete

New

Created with Doc-O-Matic.


Hierarchy

IJvDataContextsManager


IJvDataContextsManager Members

IJvDataContextsManager

Members

Methods

Add

Clear

Delete

New

Created with Doc-O-Matic.


IJvDataContextsManager.Add method

IJvDataContextsManager	See Also	Edit topic

Adds a context to the list.

Pascal

function Add(Context: IJvDataContext): IJvDataContext;

Parameters

Context: IJvDataContext

Reference to the data context to add.

Description

Add will add the specified context to the list of contexts. A check will be performed before adding to make sure the name of the context is unique within the list and the context is not already linked to another context list. If one of these checks fail an exception will be raised.

A reference to the added context is returned (which may not be the same instance in some cases).

Created with Doc-O-Matic.


See Also

IJvDataContext.Name, IJvDataContextsManager.Delete, IJvDataContextsManager.New


IJvDataContextsManager.Clear method

IJvDataContextsManager	See Also	Edit topic

Empties the list of contexts.

Pascal

procedure Clear;

Description

Clear will empty the list of contexts. After a call to this method the list of contexts is either empty or only contains fixed, non-deletable contexts.

Created with Doc-O-Matic.


See Also

IJvDataContext.IsDeletable, IJvDataContextsManager.Delete


IJvDataContextsManager.Delete method

IJvDataContextsManager	See Also	Edit topic

Removes a context from the list.

Pascal

procedure Delete(Context: IJvDataContext);

Parameters

Context: IJvDataContext

Reference to the data context to remove.

Description

Delete removes the specified context from the list, provided the context is deletable. If the context is not deletable an exception might be raised (depending on the implementation of this method).

Created with Doc-O-Matic.


See Also

IJvDataContext.IsDeletable, IJvDataContextsManager.Clear


IJvDataContextsManager.New method

IJvDataContextsManager	See Also	Edit topic

Creates a new data context and adds it to the list.

Pascal

function New: IJvDataContext;

Description

New will create a new data context and add it to the list of contexts. The implementation of this method will assure the name of the new context is unique in the list.

A reference to the created and added context is returned.

Created with Doc-O-Matic.


See Also

IJvDataContext.Name, IJvDataContextsManager.Add


IJvDataIDSearch
JEDI-VCL Reference

IJvDataIDSearch

Hierarchy	Methods	 Edit topic

Find an item using its ID.

Pascal

IJvDataIDSearch = interface;

File

JvDataProviderIntf

Description

IJvDataIDSearch is a data item list support interface to locate an item using its unique ID.

The interface provides in a single Find method to locate an item in the data tree by comparing the requested ID value with each item in the list, optionally scanning sub trees.

This search interface is normally always implemented for a data item list.

Created with Doc-O-Matic.


IJvDataIDSearch Methods

IJvDataIDSearch

Methods

Find

Created with Doc-O-Matic.


Hierarchy

IJvDataIDSearch


IJvDataIDSearch Members

IJvDataIDSearch

Members

Methods

Find

Created with Doc-O-Matic.


IJvDataIDSearch.Find method

IJvDataIDSearch	See Also	Edit topic

Locate an item.

Pascal

function Find(ID: string; const Recursive: Boolean = False): IJvDataItem;

Parameters

ID: string

ID of the item to locate.

const Recursive: Boolean = False

Flag to specify if sub trees should be scanned as well. When set to True sub trees will be scanned as well, otherwise the current list only will be scanned.

Description

Find locates the requested item in the list, optionally scanning sub trees. If a match is found a reference to the data item is returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

IJvDataItem.GetID


IJvDataItem
JEDI-VCL Reference

IJvDataItem

Hierarchy	Properties	Methods	 Edit topic

Single Data Item.

Pascal

IJvDataItem = interface;

File

JvDataProviderIntf

Description

IJvDataItem is the main interface for a single Data Item. A reference to this interface is returned whenever an item is requested from the item list.

IJvDataItem only provides in some basic 'administrative' tasks and information. For Data Items to be generally usable they will usually also support and implement IJvDataItemText and optionally IJvDataItemImage, IJvDataItemBasicAction.

In addition some implementations may support implementation specific interface (e.g. an item representing a color might support an interface that allows access to the TColor value). Which interfaces are supported completely depends on what type of item you are dealing with.

A Data Item may also support IJvDataItems (a list of Data Items) which means the item supports sub items.

Created with Doc-O-Matic.


IJvDataItem Properties

IJvDataItem	Legend

Properties

 Implementer

 Items

Legend

read only

Created with Doc-O-Matic.


Legend

read only


IJvDataItem Methods

IJvDataItem

Methods

ContextDestroying

GetID

GetImplementer

GetIndex

GetItems

IsDeletable

IsParentOf

Created with Doc-O-Matic.


Legend

IJvDataItem

Legend

read only

Created with Doc-O-Matic.


Hierarchy

IJvDataItem


IJvDataItem Members

IJvDataItem	Legend

Members

Properties

 Implementer

 Items

Methods

ContextDestroying

GetID

GetImplementer

GetIndex

GetItems

IsDeletable

IsParentOf

Legend

read only

Created with Doc-O-Matic.


Legend

read only


IJvDataItem.Implementer property

IJvDataItem	Edit topic

Reference to the implementing object.

Pascal

property Implementer: TObject;

Description

GetImplementer returns a reference to the TObject instance implementing the IJvDataItem interface. This method should be used with care, as you can never be sure which object implements the interface. Callers should never assume a specific object unless it is enforced in the implementation of the various objects.

Created with Doc-O-Matic.


IJvDataItem.Items property

IJvDataItem	See Also	Edit topic

Reference to the items list owner of this item.

Pascal

property Items: IJvDataItems;

Description

Items is a reference to the IJvDataItems owner of this item.

Every item belongs to an item list. Which item list might be dependent on which context is currently active.

The Items property is also the only way to determine the parent item of this item. This can be done with Items.Parent

Created with Doc-O-Matic.


See Also

IJvDataItem.GetIndex, IJvDataItem.IsParentOf, IJvDataItems.Parent


IJvDataItem.ContextDestroying method

IJvDataItem	Edit topic

Called when a context is about to be destroyed.

Pascal

procedure ContextDestroying(Context: IJvDataContext);

Parameters

Context: IJvDataContext

Context about to be destroyed,

Description

ContextDestroying is called whenever a context is about to be destroyed. It's generally used to remove context-specific data relating to this context (or child contexts) from the item.

Created with Doc-O-Matic.


IJvDataItem.GetID method

IJvDataItem	Edit topic

Retrieves the ID value of the Data Item.

Pascal

function GetID: string;

Description

GetID will retrieve the item's (usually unique) ID value. The ID value can be used to search for a specific item if it's not known where in the tree that item resided.

Normally the ID will be unique throughout the tree. There can be situations where this is not the case. Never assume the ID is unique and always usable to retrieve a specific item.

Created with Doc-O-Matic.


IJvDataItem.GetImplementer method

IJvDataItem	Edit topic

Reference to the implementing object.

Pascal

function GetImplementer: TObject;

Description

GetImplementer returns a reference to the TObject instance implementing the IJvDataItem interface. This method should be used with care, as you can never be sure which object implements the interface. Callers should never assume a specific object unless it is enforced in the implementation of the various objects.

Created with Doc-O-Matic.


IJvDataItem.GetIndex method

IJvDataItem	See Also	Edit topic

Retrieves the item's index in the owning list.

Pascal

function GetIndex: Integer;

Description

GetIndex retrieves the item's index in the owning list (represented by the Items property).

Created with Doc-O-Matic.


See Also

IJvDataItem.Items


IJvDataItem.GetItems method

IJvDataItem	See Also	Edit topic

Retrieves the reference to the IJvDataItems owner of this item.

Pascal

function GetItems: IJvDataItems;

Description

GetItems retrieves the reference to the IJvDataItems owner of this item. It's the Items property's read method.

Created with Doc-O-Matic.


See Also

IJvDataItem.GetIndex, IJvDataItem.IsParentOf, IJvDataItem.Items


IJvDataItem.IsDeletable method

IJvDataItem	Edit topic

Determines if the item may be removed from the list.

Pascal

function IsDeletable: Boolean;

Description

IsDeletable determines if the item is allowed to be removed from the items list. If the item is allowed to be removed the function will return True, False otherwise.

IsDeletable is used in those cases where the provider generates a number of fixed items that should never be deleted. In most cases IsDeletable will be context-dependent, i.e. the item can't be deleted from the context-less item tree, but is deletable from a context-specific tree.

Created with Doc-O-Matic.


IJvDataItem.IsParentOf method

IJvDataItem	See Also	Edit topic

Determines if the item is an ancestor of another item.

Pascal

function IsParentOf(AnItem: IJvDataItem; DirectParent: Boolean = False): Boolean;

Parameters

AnItem: IJvDataItem

The item to check the parent chain of.

DirectParent: Boolean = False

Flag to control if only the direct parent (Items.Parent) is checked (DirectParent=True), or if the entire parent chain is scanned (DirectParent=False).

Description

IsParentOf determines if the item is an ancestor of the specified item. If the item specified by AnItem has this item as its parent the function will return True.

If this is not the case but DirectParent is set to False, the entire parent chain is scanned. If during this iterating process this item is indeed found, the function will return True.

If either DirectParent was set to True or this item is not an ancestor of the specified item the function will return False.

Created with Doc-O-Matic.


See Also

IJvDataItem.Items, IJvDataItems.Parent


IJvDataItemBasicAction
JEDI-VCL Reference

IJvDataItemBasicAction

Hierarchy	Methods	 See Also	Edit topic

Data Item support interface for responding to an item being selected/double clicked.

Pascal

IJvDataItemBasicAction = interface;

File

JvDataProviderIntf

Description

IJvDataItemBasicAction is a supporting interface for IJvDataItem that adds the capability of executing a task if the item is selected or double-clicked by the control.

Some items will have a specific task linked to them, e.g. a control applet provider might have an action linked to each item that will execute that control applet. In other cases a provider might provide a way to link a user event to each individual item (using a separate interface) which will then be called through this interface from the consumer.

The interface provides in a single method that will perform an action linked to the item.

Created with Doc-O-Matic.


IJvDataItemBasicAction Methods

IJvDataItemBasicAction

Methods

Execute

Created with Doc-O-Matic.


Hierarchy

IJvDataItemBasicAction


IJvDataItemBasicAction Members

IJvDataItemBasicAction

Members

Methods

Execute

Created with Doc-O-Matic.


See Also

IJvDataItem


IJvDataItemBasicAction.Execute method

IJvDataItemBasicAction	Edit topic

Performs a task linked to the item.

Pascal

function Execute(Sender: TObject): Boolean;

Parameters

Sender: TObject

Reference to the control that initiated the action. Note that this may be nil in some cases.

Description

Execute performs a task linked to the item. It's usually called by the consumer when an item is either selected or double-clicked (depending on the control).

The Sender parameter is usually set to the control that initiated the task.

The return value will be False if nothing happened (i.e. the consumer may trigger an OnClick event to give the user the possibility to take action) and set to True when the action was executed (in this case the control will usually not trigger an OnClick event; this is solely at the consumers discretion though).

Created with Doc-O-Matic.


IJvDataItemDesigner
JEDI-VCL Reference

IJvDataItemDesigner

Hierarchy	Methods	 Edit topic

Data Item support interface to allow editing of an item in the design time provider editor.

Pascal

IJvDataItemDesigner = interface;

File

JvDataProviderIntf

Description

IJvDataItemDesigner is an IJvDataItem support interface to support editing of an item in the design time provider editor.

Items that allow the item to be edited in special ways need to implement this interface.

Notes

As this feature is currently not implemented there is a possibility this interface will be changed in the near future or might be dropped completely. It's highly recommended to not use this interface at this time.

Created with Doc-O-Matic.


IJvDataItemDesigner Methods

IJvDataItemDesigner

Methods

ExecVerb

GetVerb

GetVerbCount

Created with Doc-O-Matic.


Hierarchy

IJvDataItemDesigner


IJvDataItemDesigner Members

IJvDataItemDesigner

Members

Methods

ExecVerb

GetVerb

GetVerbCount

Created with Doc-O-Matic.


IJvDataItemDesigner.ExecVerb method

IJvDataItemDesigner	See Also	Edit topic

Executes a particular edit action on the item.

Pascal

function ExecVerb(Index: Integer): Boolean;

Parameters

Index: Integer

0-based index in the list of actions.

Description

ExecVerb will execute the specified edit action on an item.

Created with Doc-O-Matic.


See Also

IJvDataItemDesigner.GetVerb, IJvDataItemDesigner.GetVerbCount


IJvDataItemDesigner.GetVerb method

IJvDataItemDesigner	See Also	Edit topic

Retrieve information on a particular edit action for the item.

Pascal

function GetVerb(Index: Integer; out Caption: string; out Enabled: Boolean; out Checked: Boolean; out Visible: Boolean; out RadioItem: Boolean): Boolean;

Parameters

Index: Integer

0-based index in the list of actions.

out Caption: string

Will receive the caption to use to represent the action.

out Enabled: Boolean

Will receive the enabled state of the action.

out Checked: Boolean

Will receive the checked state of the action.

out Visible: Boolean

Will receive the visible state of the action.

out RadioItem: Boolean

Will receive the flag if the item is a radio item.

Description

GetVerb retrieves the name and other information for the specified edit action for the item.

Created with Doc-O-Matic.


See Also

IJvDataItemDesigner.GetVerbCount


IJvDataItemDesigner.GetVerbCount method

IJvDataItemDesigner	See Also	Edit topic

Returns the number of edit actions available for the item.

Pascal

function GetVerbCount: Integer;

Description

GetVerbCount returns the number of edit actions available for the item.

Created with Doc-O-Matic.


See Also

IJvDataItemDesigner.ExecVerb, IJvDataItemDesigner.GetVerb


IJvDataItemImage
JEDI-VCL Reference

IJvDataItemImage

Hierarchy	Properties	Methods	 See Also	Edit topic

Data Item support interface for adding image support to an item.

Pascal

IJvDataItemImage = interface;

File

JvDataProviderIntf

Description

IJvDataItemImage is a supporting interface for IJvDataItem that adds image support to an item. For this interface to be useful, some things have to be taken care of:

The IJvDataItems owner of the item (or any of the IJvDataItems owners in the parent chain) must support the IJvDataItemsImages interface and at least have a valid image list assigned to its Images property.

The rendering code must be able to handle images. Rendering may be handled at the item itself (IJvDataItemRenderer supported by this item), by the item list owner of this item of any item in the parent chain (IJvDataItemsRenderer supported by an IJvDataItems implementation) or at the consumer (client control). The JEDI-VCL provides generic render implementations of which some do support image.

The interface provides properties to manage:

The position of the image in relation to the caption

Which image to use in normal cases

which image to use when the item is selected/has focus.

Created with Doc-O-Matic.


IJvDataItemImage Properties

IJvDataItemImage

Properties

Alignment

ImageIndex

SelectedIndex

Created with Doc-O-Matic.


IJvDataItemImage Methods

IJvDataItemImage

Methods

GetAlignment

GetImageIndex

GetSelectedIndex

SetAlignment

SetImageIndex

SetSelectedIndex

Created with Doc-O-Matic.


Hierarchy

IJvDataItemImage


IJvDataItemImage Members

IJvDataItemImage

Members

Properties

Alignment

ImageIndex

SelectedIndex

Methods

GetAlignment

GetImageIndex

GetSelectedIndex

SetAlignment

SetImageIndex

SetSelectedIndex

Created with Doc-O-Matic.


See Also

IJvDataItem, IJvDataItemsImages


IJvDataItemImage.Alignment property

IJvDataItemImage	Edit topic

Specifies the position of the image.

Pascal

property Alignment: TAlignment;

Description

Alignment specifies the position of the image with respect to the text. Read Alignment to retrieve the currently used alignment for the image or set Alignment to a new value.

Note that consumers/renderers are not required to use the setting of this property when they render the item. Those that do usually follow these 'rules':
Value	Rendering result
taLeftJustify	The image is placed to the left of the text, the item is aligned to the left of the control.
taCenter	The image is placed above the text, the item is centered horizontally in the control.
taRightJustify	The image is placed to the right of the text, the item is aligned to the right of the control.
Created with Doc-O-Matic.


IJvDataItemImage.ImageIndex property

IJvDataItemImage	See Also	Edit topic

Specifies the index into the image list of the image to render.

Pascal

property ImageIndex: Integer;

Description

ImageIndex specifies the index into the image list of the image to render. Read ImageIndex to retrieve the currently used image or set ImageIndex to a new index.

Setting this property to -1 will leave the item without any image.

The image specified by this property is only used when the item is not selected unless SelectedIndex is not specified, in which case the image specified by ImageIndex is always used.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.SelectedIndex


IJvDataItemImage.SelectedIndex property

IJvDataItemImage	See Also	Edit topic

Specifies the index into the image list of the image to render when the item is selected.

Pascal

property SelectedIndex: Integer;

Description

SelectedIndex specifies the index into the image list of the image to render when the item is selected. Read SelectedIndex to retrieve the currently used image or set SelectedIndex to a new index.

When this property is set to -1, the value for ImageIndex is used instead.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.ImageIndex


IJvDataItemImage.GetAlignment method

IJvDataItemImage	See Also	Edit topic

Retrieves the position of the image

Pascal

function GetAlignment: TAlignment;

Description

GetAlignment retrieves the position of image with respect to the text. GetAlignment is the Alignment property's read method.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.Alignment, IJvDataItemImage.SetAlignment


IJvDataItemImage.GetImageIndex method

IJvDataItemImage	See Also	Edit topic

Retrieves the index into the image list of the image to render.

Pascal

function GetImageIndex: Integer;

Description

GetImageIndex retrieves the index into the image list of the image to render. GetImageIndex is the ImageIndex property's read method.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.ImageIndex, IJvDataItemImage.SetImageIndex


IJvDataItemImage.GetSelectedIndex method

IJvDataItemImage	See Also	Edit topic

Retrieves the index into the image list of the image to render when the item is selected.

Pascal

function GetSelectedIndex: Integer;

Description

GetSelectedIndex retrieves the index into the image list of the image to render when the item is selected or has focus. GetSelectedIndex is the SelectedIndex property's read method.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.SelectedIndex, IJvDataItemImage.SetSelectedIndex


IJvDataItemImage.SetAlignment method

IJvDataItemImage	See Also	Edit topic

Sets the position of the image

Pascal

procedure SetAlignment(Value: TAlignment);

Parameters

Value: TAlignment

New image position. See description for the Alignment property to determine the end result of each value.

Description

SetAlignment sets the position of image with respect to the text. SetAlignment is the Alignment property's write method.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.Alignment, IJvDataItemImage.GetAlignment


IJvDataItemImage.SetImageIndex method

IJvDataItemImage	See Also	Edit topic

Sets the index into the image list of the image to render.

Pascal

procedure SetImageIndex(Index: Integer);

Parameters

Index: Integer

New index of the image to use.

Description

SetImageIndex sets the index into the image list of the image to render. SetImageIndex is the ImageIndex property's write method.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.ImageIndex, IJvDataItemImage.SetImageIndex


IJvDataItemImage.SetSelectedIndex method

IJvDataItemImage	See Also	Edit topic

Sets the index into the image list of the image to render when the item is selected.

Pascal

procedure SetSelectedIndex(Value: Integer);

Parameters

Value: Integer

New index of the image to use.

Description

SetSelectedIndex sets the index into the image list of the image to render when the item is selected or has focus. SetSelectedIndex is the SelectedIndex property's write method.

Created with Doc-O-Matic.


See Also

IJvDataItemImage.GetSelectedIndex, IJvDataItemImage.SelectedIndex


IJvDataItemRenderer
JEDI-VCL Reference

IJvDataItemRenderer

Hierarchy	Methods	 See Also	Edit topic

Data Item support interface that handles rendering and measuring itself.

Pascal

IJvDataItemRenderer = interface;

File

JvDataProviderIntf

Description

IJvDataItemRenderer is a supporting interface for IJvDataItem that adds rendering and measuring capabilities to an item.

Consumers generally handle rendering/measuring in the following way:

Check if the item supports the IJvDataItemRenderer interface. If it does use it to perform the rendering/measuring.

Check for the closest IJvDataItemsRenderer interface (the direct owning IJvDataItems list or any of the lists in its parent chain). If it finds one use it to perform the rendering/measuring.

Handle the rendering at the consumer side. This means all items are considered equal and usually only IJvDataItemText and optionally IJvDataItemImage (and the corresponding IJvDataItemsImages) are used. The entire rendering/measuring is then consumer (control) dependent and the provider tree may no longer look uniform in different consumers/clients.

Created with Doc-O-Matic.


IJvDataItemRenderer Methods

IJvDataItemRenderer

Methods

Draw

Measure

Created with Doc-O-Matic.


Hierarchy

IJvDataItemRenderer


IJvDataItemRenderer Members

IJvDataItemRenderer

Members

Methods

Draw

Measure

Created with Doc-O-Matic.


See Also

IJvDataItem, IJvDataItemsRenderer


IJvDataItemRenderer.Draw method

IJvDataItemRenderer	See Also	Edit topic

Draw an item.

Pascal

procedure Draw(ACanvas: TCanvas; var ARect: TRect; State: TProviderDrawStates);

Parameters

ACanvas: TCanvas

Canvas to render to. On entry to this method it is assumed the canvas brush, pen and font are initialized to the proper values.

var ARect: TRect

Rectangle in which to draw the item in. On entry it is assumed to be initialized properly (including any indentation for sub items). On exit this will be set to the textual part of the item.

State: TProviderDrawStates

Draw states to consider during drawing. This might be needed to determine which image list and/or image index to use.

Description

Draw renders the associated item.

The caller is responsible for initializing the canvas to the brush, pen and font color and providing an appropriate rectangle (including any indentation for sub items).

Created with Doc-O-Matic.


See Also

IJvDataItemRenderer.Measure, IJvDataItemsRenderer.DrawItem


IJvDataItemRenderer.Measure method

IJvDataItemRenderer	See Also	Edit topic

Measure an item.

Pascal

function Measure(ACanvas: TCanvas): TSize;

Parameters

ACanvas: TCanvas

Canvas to measure on. On entry to this method it is assumed the canvas brush, pen and font are initialized to the proper values.

Description

Measure measures the associated item.

The caller is responsible for initializing the canvas to the brush, pen and font color.

Created with Doc-O-Matic.


See Also

IJvDataItemRenderer.Draw, IJvDataItemsRenderer.MeasureItem


IJvDataItems
JEDI-VCL Reference

IJvDataItems

Hierarchy	Properties	Methods	 See Also	Edit topic

List of IJvDataItem objects.

Pascal

IJvDataItems = interface;

File

JvDataProviderIntf

Description

IJvDataItems represents the list of IJvDataItem objects. The interface is supported by IJvDataProvider and might be supported for individual IJvDataItem instances if a specific item contains sub items.

The IJvDataItems interface provides methods that:

Allow retrieval of the number of items

All retrieval of an item based on its index, its ID (or ID-path) or an index path.

Determine the parent item that owns this list.

Determine the provider to which the item belongs.

Retrieve a reference to the TObject instance that implements this object.

Determine if the items are generated dynamically upon requesting them

Take action when a context is destroying.

Created with Doc-O-Matic.


IJvDataItems Properties

IJvDataItems	Legend

Properties

 Count

 Items

 Parent

 Provider

Legend

read only

Created with Doc-O-Matic.


Legend

read only


IJvDataItems Methods

IJvDataItems

Methods

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

Created with Doc-O-Matic.


Legend

IJvDataItems

Legend

read only

Created with Doc-O-Matic.


Hierarchy

IJvDataItems


IJvDataItems Members

IJvDataItems	Legend

Members

Properties

 Count

 Items

 Parent

 Provider

Methods

ContextDestroying

GetCount

GetImplementer

GetItem

GetItemByID

GetItemByIndexPath

GetParent

GetProvider

IsDynamic

Legend

read only

Created with Doc-O-Matic.


Legend

read only


See Also

IJvDataItem, IJvDataProvider


IJvDataItems.Count property

IJvDataItems	See Also	Edit topic

Number of items in the list.

Pascal

property Count: Integer;

Description

Count indicates the number of items in the list.

Created with Doc-O-Matic.


See Also

IJvDataItems.GetCount, IJvDataItems.Items


IJvDataItems.Items property

IJvDataItems	See Also	Edit topic

Array of list items.

Pascal

property Items [Index: Integer]: IJvDataItem;

Parameters

Index

0-based index of the item to retrieve.

Description

Items is the array of IJvDataItem instances. The first item in the array has an Index value of 0. The index ranges from 0 .. Count-1.

Created with Doc-O-Matic.


See Also

IJvDataItems.Count, IJvDataItems.GetItem


IJvDataItems.Parent property

IJvDataItems	See Also	Edit topic

Reference to the parent item.

Pascal

property Parent: IJvDataItem;

Description

Parent is a reference to the parent item or nil if this list is the root list (i.e. implemented at the IJvDataProvider level.

Created with Doc-O-Matic.


See Also

IJvDataItems.GetParent, IJvDataItems.Provider


IJvDataItems.Provider property

IJvDataItems	See Also	Edit topic

Reference to the data provider instance.

Pascal

property Provider: IJvDataProvider;

Description

Provider is a reference to the data provider instance.

Created with Doc-O-Matic.


See Also

IJvDataItems.GetProvider, IJvDataItems.Parent


IJvDataItems.ContextDestroying method

IJvDataItems	Edit topic

Called when a context is about to be destroyed.

Pascal

procedure ContextDestroying(Context: IJvDataContext);

Parameters

Context: IJvDataContext

Context about to be destroyed,

Description

ContextDestroying is called whenever a context is about to be destroyed. It's generally used to notify all items a specific context (and all of its child contexts) will be no longer available so context specific data for these items can be destroyed.

The implementation of this method should simply iterate over its item list and call each IJvDataItem instance's ContextDestroying method.

Created with Doc-O-Matic.


IJvDataItems.GetCount method

IJvDataItems	See Also	Edit topic

Retrieves the number of items in the list.

Pascal

function GetCount: Integer;

Description

GetCount retrieves the number of items that are in the list.

Created with Doc-O-Matic.


See Also

IJvDataItems.Count


IJvDataItems.GetImplementer method

IJvDataItems	Edit topic

Reference to the implementing object.

Pascal

function GetImplementer: TObject;

Description

GetImplementer returns a reference to the TObject instance implementing the IJvDataItems interface. This method should be used with care, as you can never be sure which object implements the interface. Callers should never assume a specific object unless it is enforced in the implementation of the various objects.

Created with Doc-O-Matic.


IJvDataItems.GetItem method

IJvDataItems	See Also	Edit topic

Retrieve an item from the list.

Pascal

function GetItem(Index: Integer): IJvDataItem;

Parameters

Index: Integer

0-based index of the item to retrieve. The possible values range from 0 .. Count-1.

Description

GetItem retrieves a Data Item from the list given its index. The first item in the list has an Index value of 0.

Created with Doc-O-Matic.


See Also

Item


IJvDataItems.GetItemByID method

IJvDataItems	See Also	Edit topic

Retrieve an item from the list given its ID (or ID path).

Pascal

function GetItemByID(ID: string): IJvDataItem;

Parameters

ID: string

The ID or ID-path of the item to retrieve.

Description

GetItemByID retrieves a Data Item from the list given its ID or ID-path. Each item will be initiated with an ID value which should be unique throughout the tree - although this is not enforced - and this method allows to retrieve an item given that ID.

The path is always considered relative to this list. If the ID string starts with a backslash (or forward slash; both are allowed), the path is considered from the root of the provider (GetProvider.GetItems).

Each '..' is considered as '1 level up the tree'.

As soon as a term in the path can't be retrieved the entire result will be nil. This can happen when to many '..' terms appear or one of the ID's in the path can't be found.

Created with Doc-O-Matic.


See Also

IJvDataItem.GetID, IJvDataItems.GetItem, IJvDataItems.GetItemByIndexPath


IJvDataItems.GetItemByIndexPath method

IJvDataItems	See Also	Edit topic

Retrieve an item from the list given its index path.

Pascal

function GetItemByIndexPath(IndexPath: array of Integer): IJvDataItem;

Parameters

IndexPath: array of Integer

array of item index values considered to be the path to the item to retrieve.

Description

GetItemByIndexPath retrieves a Data Item from the list given its index path. If the specified item could not be found the method returns nil.

Each integer in the array is considered to be an index into a list of items. The first integer refers to the IJvDataItems instance on which this method is called. If more index values follow, the item is queried for an IJvDataItems interface. If one is not found the end result will be nil, otherwise the next index is applied to the new found item list.

This process will be repeated until the entire path has been completed, or a specified index fell out of the range for the list on which to apply it (in which case nil will be returned.

Created with Doc-O-Matic.


See Also

IJvDataItem.GetIndex, IJvDataItems.GetItem, IJvDataItems.GetItemByID


IJvDataItems.GetParent method

IJvDataItems	See Also	Edit topic

Reference to the parent item.

Pascal

function GetParent: IJvDataItem;

Description

GetParent is a reference to the parent item for this list or nil if this is the root list (i.e. implemented at the IJvDataProvider level).

Created with Doc-O-Matic.


See Also

IJvDataItem, IJvDataItems.GetProvider, IJvDataItems.Parent, IJvDataProvider, IJvDataProvider.GetItems


IJvDataItems.GetProvider method

IJvDataItems	See Also	Edit topic

Reference to the data provider instance.

Pascal

function GetProvider: IJvDataProvider;

Description

GetProvider is a reference to the provider owning this list.

Created with Doc-O-Matic.


See Also

IJvDataItems.GetParent, IJvDataItems.Provider, IJvDataProvider


IJvDataItems.IsDynamic method

IJvDataItems	Edit topic

Determines if the items are dynamic.

Pascal

function IsDynamic: Boolean;

Description

IsDynamic determines if the items list creates an IJvDataItem when it's requested and should therefor be disposed of once the last reference goes out of scope.

The implementation object of IJvDataItem should reimplement IUnknown._AddRef and IUnknown._Release to ignore reference counting if this method returns False.

Created with Doc-O-Matic.


IJvDataItemsDesigner
JEDI-VCL Reference

IJvDataItemsDesigner

Hierarchy	Methods	 See Also	Edit topic

Support interface for IJvDataItems that handles item design at the item list level.

Pascal

IJvDataItemsDesigner = interface;

File

JvDataProviderIntf

Description

IJvDataItemsDesigner is an optional supporting interface for IJvDataItems that is used solely by the Data Provider Tree Designer. It generates a list of item types that can be added. Upon selection from the menu the requested item is created by the NewByKind method and is then added to the list by using the IJvDataItemsManagement.Add method.

IJvDataItemsDesigner is only usable if IJvDataItemsManagement is also supported by IJvDataItems. If this is not the case, the new items can't be added to the list which makes it quite useless.

Created with Doc-O-Matic.


IJvDataItemsDesigner Methods

IJvDataItemsDesigner

Methods

GetCount

GetKind

NewByKind

Created with Doc-O-Matic.


Hierarchy

IJvDataItemsDesigner


IJvDataItemsDesigner Members

IJvDataItemsDesigner

Members

Methods

GetCount

GetKind

NewByKind

Created with Doc-O-Matic.


See Also

IJvDataItemDesigner, IJvDataItems, IJvDataItemsManagement


IJvDataItemsDesigner.GetCount method

IJvDataItemsDesigner	See Also	Edit topic

Returns the number of item kinds.

Pascal

function GetCount: Integer;

Description

GetCount returns the number of item kinds this designer can generate.

Created with Doc-O-Matic.


See Also

IJvDataItemsDesigner.GetKind, IJvDataItemsDesigner.NewByKind


IJvDataItemsDesigner.GetKind method

IJvDataItemsDesigner	See Also	Edit topic

Retrieve the menu caption for an item kind.

Pascal

function GetKind(Index: Integer; out Caption: string): Boolean;

Parameters

Index: Integer

Index of the item kind for which to retrieve the caption. Index is a 0-based value. If the specified index is invalid the function will return nil.

out Caption: string

If the function returns True, this parameter will return the caption for the menu item to generate.

Description

GetKind will retrieve a caption (usable for the designer menu) for a given item kind. The first item kind has an index of 0, so the valid range of Index is 0..GetCount-1.

If an invalid index is specified, the function returns False (Caption is undefined in this case).

Created with Doc-O-Matic.


See Also

IJvDataItemsDesigner.GetCount


IJvDataItemsDesigner.NewByKind method

IJvDataItemsDesigner	See Also	Edit topic

Creates a specific type of Data Item.

Pascal

function NewByKind(Kind: Integer): IJvDataItem;

Parameters

Kind: Integer

Index of the item type to create. This is a 0-based value. If the specified index is invalid the function either returns nil or generates an exception (depending on the implementation).

Description

NewByKind will create a new Data Item instance with properties and supporting interface depending on the kind specified.

Which item type is created depends solely on the implementation of the interface.

Created with Doc-O-Matic.


See Also

IJvDataItemsDesigner.GetCount


IJvDataItemsImages
JEDI-VCL Reference

IJvDataItemsImages

Hierarchy	Properties	Methods	 See Also	Edit topic

Support interface for IJvDataItems to specify image lists for the items.

Pascal

IJvDataItemsImages = interface;

File

JvDataProviderIntf

Description

IJvDataItemsImages is an optional supporting interface for IJvDataItems that allows to specify which image list is to be used for an item.

The support interface is used whenever a Data Item supports IJvDataItemImage. Depending on the implementation of the rendering code, the IJvDataItemsImages must be supported in the direct list owner of an item or can be supported anywhere up the item tree.

The interface provides three different image lists:

an image list for disabled state.

an image list for "hot" items.

a normal image list.

The normal image list must be set. If an item is disabled but there's no disabled image list, the normal image will used but drawn in a grayed-out/disabled state.

If an item is "hot" (e.g. the mouse hovers over it) but there's no "hot" image list, the normal image list will be used.

Created with Doc-O-Matic.


IJvDataItemsImages Properties

IJvDataItemsImages

Properties

DisabledImages

HotImages

Images

Created with Doc-O-Matic.


IJvDataItemsImages Methods

IJvDataItemsImages

Methods

GetDisabledImages

GetHotImages

GetImages

SetDisabledImages

SetHotImages

SetImages

Created with Doc-O-Matic.


Hierarchy

IJvDataItemsImages


IJvDataItemsImages Members

IJvDataItemsImages

Members

Properties

DisabledImages

HotImages

Images

Methods

GetDisabledImages

GetHotImages

GetImages

SetDisabledImages

SetHotImages

SetImages

Created with Doc-O-Matic.


See Also

IJvDataItemImage, IJvDataItems


IJvDataItemsImages.DisabledImages property

IJvDataItemsImages	See Also	Edit topic

Get or set the image list to use for disabled items.

Pascal

property DisabledImages: TCustomImageList;

Description

DisabledImages contains a list of bitmaps that can be rendered with an item if that item or the control it's rendered in is in a disabled state. Read DisabledImages to retrieve the list of bitmaps currently used or set DisabledImages to a new list of bitmaps to use.

If an item or the control is disabled but DisabledImages is not assigned, the rendering code will normally use the normal image list (specified by Images) and render that bitmap in a greyed-out/disabled state.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.GetDisabledImages, IJvDataItemsImages.HotImages, IJvDataItemsImages.Images, IJvDataItemsImages.SetDisabledImages


IJvDataItemsImages.HotImages property

IJvDataItemsImages	See Also	Edit topic

Get or set the image list to use for "hot" items.

Pascal

property HotImages: TCustomImageList;

Description

HotImages contains a list of bitmaps that can be rendered with an item if that item is "hot" (e.g. the mouse is hovering over it). Read HotImages to retrieve the list of bitmaps currently used or set HotImages to a new list of bitmaps to use.

If an item is "hot" but HotImages is not assigned, the rendering code will normally use the normal image list (specified by Images).

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.DisabledImages, IJvDataItemsImages.GetHotImages, IJvDataItemsImages.Images, IJvDataItemsImages.SetHotImages


IJvDataItemsImages.Images property

IJvDataItemsImages	See Also	Edit topic

Get or set the image list to use for normal items.

Pascal

property Images: TCustomImageList;

Description

Images contains a list of bitmaps that can be rendered with an item. Read Images to retrieve the list of bitmaps currently used or set Images to a new list of bitmaps to use.

Normally an item's state, as well as drawing state determine which image list will be used (this one, DisabledImages or HotImages). If one of the other two image lists is not assigned but should have been used in the drawing process, this list will be used instead.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.DisabledImages, IJvDataItemsImages.GetImages, IJvDataItemsImages.HotImages, IJvDataItemsImages.SetImages


IJvDataItemsImages.GetDisabledImages method

IJvDataItemsImages	See Also	Edit topic

Retrieves the image list for disabled items.

Pascal

function GetDisabledImages: TCustomImageList;

Description

GetDisabledImages retrieves the image list for disabled items. It's the DisabledImages property read method.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.DisabledImages, IJvDataItemsImages.SetDisabledImages


IJvDataItemsImages.GetHotImages method

IJvDataItemsImages	See Also	Edit topic

Retrieves the image list for "hot" items.

Pascal

function GetHotImages: TCustomImageList;

Description

GetDisabledImages retrieves the image list for "hot" items. It's the HotImages property read method.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.HotImages, IJvDataItemsImages.SetHotImages


IJvDataItemsImages.GetImages method

IJvDataItemsImages	See Also	Edit topic

Retrieves the image list for normal items.

Pascal

function GetImages: TCustomImageList;

Description

GetImages retrieves the image list for normal items. It's the Images property read method.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.Images, IJvDataItemsImages.SetImages


IJvDataItemsImages.SetDisabledImages method

IJvDataItemsImages	See Also	Edit topic

Specifies the image list for disabled items.

Pascal

procedure SetDisabledImages(const Value: TCustomImageList);

Parameters

const Value: TCustomImageList

Image list to use for disabled items.

Description

SetDisabledImages specifies the image list to use for disabled items. It's the DisabledImages property write method.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.DisabledImages, IJvDataItemsImages.GetDisabledImages


IJvDataItemsImages.SetHotImages method

IJvDataItemsImages	See Also	Edit topic

Specifies the image list for "hot" items.

Pascal

procedure SetHotImages(const Value: TCustomImageList);

Parameters

const Value: TCustomImageList

Image list to use for "hot" items.

Description

SetDisabledImages specifies the image list to use for "hot" items. It's the HotImages property write method.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.GetHotImages, IJvDataItemsImages.HotImages


IJvDataItemsImages.SetImages method

IJvDataItemsImages	See Also	Edit topic

Specifies the image list for normal items.

Pascal

procedure SetImages(const Value: TCustomImageList);

Parameters

const Value: TCustomImageList

Image list to use for normal items.

Description

SetImages specifies the image list to use for normal items. It's the Images property write method.

Created with Doc-O-Matic.


See Also

IJvDataItemsImages.GetImages, IJvDataItemsImages.Images


IJvDataItemsManagement
JEDI-VCL Reference

IJvDataItemsManagement

Hierarchy	Methods	 See Also	Edit topic

Support interface for IJvDataItems that handles item management.

Pascal

IJvDataItemsManagement = interface;

File

JvDataProviderIntf

Description

IJvDataItemsManagement is an optional supporting interface for IJvDataItems that manages the item list.

The interface provides methods to:

Add a specific item to the list.

Create and add a new item to the list.

Empty the list of items.

Delete an item given its index or given the item instance.

This interface is needed if the provider tree designer should be able to add/delete items to/from the list.

Created with Doc-O-Matic.


IJvDataItemsManagement Methods

IJvDataItemsManagement

Methods

Add

Clear

Delete

New

Remove

Created with Doc-O-Matic.


Hierarchy

IJvDataItemsManagement


IJvDataItemsManagement Members

IJvDataItemsManagement

Members

Methods

Add

Clear

Delete

New

Remove

Created with Doc-O-Matic.


See Also

IJvDataItems, IJvDataItemsDesigner


IJvDataItemsManagement.Add method

IJvDataItemsManagement	See Also	Edit topic

Add an item to the list.

Pascal

function Add(Item: IJvDataItem): IJvDataItem;

Parameters

Item: IJvDataItem

The item to add.

Description

Add adds the specified Data Item to the list of items.

Created with Doc-O-Matic.


See Also

IJvDataItemsManagement.Delete, IJvDataItemsManagement.New, IJvDataItemsManagement.Remove


IJvDataItemsManagement.Clear method

IJvDataItemsManagement	See Also	Edit topic

Empties the list of items.

Pascal

procedure Clear;

Description

Clear empties the list of items.

Created with Doc-O-Matic.


See Also

IJvDataItemsManagement.Delete, IJvDataItemsManagement.Remove


IJvDataItemsManagement.Delete method

IJvDataItemsManagement	See Also	Edit topic

Delete an item given an index.

Pascal

procedure Delete(Index: Integer);

Parameters

Index: Integer

Index of the item to delete.

Description

Delete deletes the item specified by the Index parameter.

If the item list is a static list (i.e. IJvDataItems.IsDynamic returns False) there is a chance the item being deleted is still referenced outside the provider. Using that reference might then lead to Access Violations.

If the item list is a dynamic list (i.e. IJvDataItems.IsDynamic returns True) the deletion will normally be performed (i.e. the reference is removed from the list) but the item might still be referenced and usable after this fact. This will lead to the strange situation of IJvDataItem.GetItems referring to the IJvDataItems interface, but the list no longer contains that item.

Created with Doc-O-Matic.


See Also

IJvDataItemsManagement.Add, IJvDataItemsManagement.Remove


IJvDataItemsManagement.New method

IJvDataItemsManagement	See Also	Edit topic

Create and add a new item to the list.

Pascal

function New: IJvDataItem;

Description

New creates and adds a new Data Item to the list of items. What type of item is created depends on the implementation but usually is a generic type the item list is intended for.

Created with Doc-O-Matic.


See Also

IJvDataItemsManagement.Add


IJvDataItemsManagement.Remove method

IJvDataItemsManagement	See Also	Edit topic

Delete an item given its reference.

Pascal

procedure Remove(var Item: IJvDataItem);

Parameters

var Item: IJvDataItem

Reference to the item to delete.

Description

Remove deletes the item specified by the Item parameter. Upon entry the parameter will be nilled (to dereference the item). This will avoid Access Violations when the caller's reference to the item goes out of scope and reference counting is performed.

If the item list is a static list (i.e. IJvDataItems.IsDynamic returns False) there is still a chance the item being deleted is still referenced outside the provider. Using that reference might then lead to Access Violations.

If the item list is a dynamic list (i.e. IJvDataItems.IsDynamic returns True) the deletion will normally be performed (i.e. the reference is removed from the list) but the item might still be referenced and usable after this fact. This will lead to the strange situation of IJvDataItem.GetItems referring to the IJvDataItems interface, but the list no longer contains that item.

Created with Doc-O-Matic.


See Also

IJvDataItemsManagement.Add, IJvDataItemsManagement.Delete


IJvDataItemsRenderer
JEDI-VCL Reference

IJvDataItemsRenderer

Hierarchy	Methods	 See Also	Edit topic

Support interface for IJvDataItems that handles rendering and measuring of its items and their sub items.

Pascal

IJvDataItemsRenderer = interface;

File

JvDataProviderIntf

Description

IJvDataItemsRenderer is an optional supporting interface for IJvDataItems that can handle the rendering and measuring of the items in the list.

The interface provides methods to:

Draw an item given its index.

Measure an item given its index.

Draw the specified IJvDataItem instance.

Measure the specified IJvDataItem instance.

Determine the average item size.

Some implementations of this interface will first check if the item to render or measure supports the IJvDataItemRenderer interface; if it does, it will redirect the operation to that implementation instead of handling it itself.

Consumers generally handle rendering/measuring in the following way:

Check if the item supports the IJvDataItemRenderer interface. If it does use it to perform the rendering/measuring.

Check for the closest IJvDataItemsRenderer interface (the direct owning IJvDataItems list or any of the lists in its parent chain). If it finds one use it to perform the rendering/measuring.

Handle the rendering at the consumer side. This means all items are considered equal and usually only IJvDataItemText and optionally IJvDataItemImage (and the corresponding IJvDataItemsImages) are used. The entire rendering/measuring is then consumer (control) dependent and the provider tree may no longer look uniform in different consumers/clients.

Created with Doc-O-Matic.


IJvDataItemsRenderer Methods

IJvDataItemsRenderer

Methods

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

Created with Doc-O-Matic.


Hierarchy

IJvDataItemsRenderer


IJvDataItemsRenderer Members

IJvDataItemsRenderer

Members

Methods

AvgItemSize

DrawItem

DrawItemByIndex

MeasureItem

MeasureItemByIndex

Created with Doc-O-Matic.


See Also

IJvDataItemRenderer, IJvDataItems


IJvDataItemsRenderer.AvgItemSize method

IJvDataItemsRenderer	See Also	Edit topic

Determines the average item size.

Pascal

function AvgItemSize(ACanvas: TCanvas): TSize;

Parameters

ACanvas: TCanvas

Canvas to measure on. On entry to this method it is assumed the canvas brush, pen and font are initialized to the proper values.

Description

AvgItemSize determines the average size of the items in the list. It depends on the implementation how this value is determined (either by iterating over the items and calculate the real average or by assuming data depending on current font, etc).

The value returned should be considered a rough indication, not an exact value. It's possible that either the width, height or both are educated guesses based on the current select font.

The caller is responsible for initializing the canvas to the brush, pen and font color.

Created with Doc-O-Matic.


See Also

IJvDataItemsRenderer.MeasureItem, IJvDataItemsRenderer.MeasureItemByIndex


IJvDataItemsRenderer.DrawItem method

IJvDataItemsRenderer	See Also	Edit topic

Draw an item.

Pascal

procedure DrawItem(ACanvas: TCanvas; var ARect: TRect; Item: IJvDataItem; State: TProviderDrawStates);

Parameters

ACanvas: TCanvas

Canvas to render to. On entry to this method it is assumed the canvas brush, pen and font are initialized to the proper values.

var ARect: TRect

Rectangle in which to draw the item in. On entry it is assumed to be initialized properly (including any indentation for sub items). On exit this will be set to the textual part of the item.

Item: IJvDataItem

The Data Item to render.

State: TProviderDrawStates

Draw states to consider during drawing. This might be needed to determine which image list and/or image index to use.

Description

DrawItem draws the item specified by the Item parameter. Depending on the implementation the method might first check if the item to draw supports the IJvDataItemRenderer interface; if it does, the drawing is handled by that interface instead.

The caller is responsible for initializing the canvas to the brush, pen and font color and providing an appropriate rectangle (including any indentation for sub items).

Created with Doc-O-Matic.


See Also

IJvDataItemsRenderer.DrawItemByIndex, IJvDataItemsRenderer.MeasureItem


IJvDataItemsRenderer.DrawItemByIndex method

IJvDataItemsRenderer	See Also	Edit topic

Draw an item given its index.

Pascal

procedure DrawItemByIndex(ACanvas: TCanvas; var ARect: TRect; Index: Integer; State: TProviderDrawStates);

Parameters

ACanvas: TCanvas

Canvas to render to. On entry to this method it is assumed the canvas brush, pen and font are initialized to the proper values.

var ARect: TRect

Rectangle in which to draw the item in. On entry it is assumed to be initialized properly (including any indentation for sub items). On exit this will be set to the textual part of the item.

Index: Integer

Index into the items array of the item to render.

State: TProviderDrawStates

Draw states to consider during drawing. This might be needed to determine which image list and/or image index to use.

Description

DrawItemByIndex draws the item specified by the Index parameter. Depending on the implementation the method might first check if the item to draw supports the IJvDataItemRenderer interface; if it does, the drawing is handled by that interface instead.

The caller is responsible for initializing the canvas to the brush, pen and font color and providing an appropriate rectangle (including any indentation for sub items).

Created with Doc-O-Matic.


See Also

IJvDataItemsRenderer.DrawItem, IJvDataItemsRenderer.MeasureItemByIndex


IJvDataItemsRenderer.MeasureItem method

IJvDataItemsRenderer	See Also	Edit topic

Measure an item.

Pascal

function MeasureItem(ACanvas: TCanvas; Item: IJvDataItem): TSize;

Parameters

ACanvas: TCanvas

Canvas to measure on. On entry to this method it is assumed the canvas brush, pen and font are initialized to the proper values.

Item: IJvDataItem

The Data Item to measure.

Description

MeasureItem measures the item specified by the Item parameter. Depending on the implementation the method might first check if the item to measure supports the IJvDataItemRenderer interface; if it does, the measuring is handled by that interface instead.

The caller is responsible for initializing the canvas to the brush, pen and font color.

Created with Doc-O-Matic.


See Also

IJvDataItemsRenderer.AvgItemSize, IJvDataItemsRenderer.DrawItem, IJvDataItemsRenderer.MeasureItemByIndex


IJvDataItemsRenderer.MeasureItemByIndex method

IJvDataItemsRenderer	See Also	Edit topic

Measure an item given its index.

Pascal

function MeasureItemByIndex(ACanvas: TCanvas; Index: Integer): TSize;

Parameters

ACanvas: TCanvas

Canvas to measure on. On entry to this method it is assumed the canvas brush, pen and font are initialized to the proper values.

Index: Integer

Index into the items array of the item to measure.

Description

MeasureItemByIndex measures the item specified by the Index parameter. Depending on the implementation the method might first check if the item to measure supports the IJvDataItemRenderer interface; if it does, the measuring is handled by that interface instead.

The caller is responsible for initializing the canvas to the brush, pen and font color.

Created with Doc-O-Matic.


See Also

IJvDataItemsRenderer.AvgItemSize, IJvDataItemsRenderer.DrawItemByIndex, IJvDataItemsRenderer.MeasureItem


IJvDataItemStates
JEDI-VCL Reference

IJvDataItemStates

Hierarchy	Properties	Methods	 See Also	Edit topic

Data Item support interface for keeping item states at the provider side.

Pascal

IJvDataItemStates = interface;

File

JvDataProviderIntf

Description

IJvDataItemStates is a supporting interface for IJvDataItem that adds the capability of keeping the Enabled, Checked and Visible states for an item at the provider side.

When a provider or consumer support interface needs one of the aforementioned states, it will first request the state from the consumer (if it supports the IJvDataConsumerItemState interface). If this interface is not supported or if the returned state equals disNotUsed, the state is requested from the IJvDataItemStates interface of the item.

Each of the states can be one of "False", "True", "Indetermined" or "Not used". The consumer is responsible of setting the appropriate rendering options based on these settings but is not required to handle them. In addition a consumer may override the setting of the item at its discretion.

Created with Doc-O-Matic.


IJvDataItemStates Properties

IJvDataItemStates

Properties

Checked

Enabled

Visible

Created with Doc-O-Matic.


IJvDataItemStates Methods

IJvDataItemStates

Methods

Get_Checked

Get_Enabled

Get_Visible

Set_Checked

Set_Enabled

Set_Visible

Created with Doc-O-Matic.


Hierarchy

IJvDataItemStates


IJvDataItemStates Members

IJvDataItemStates

Members

Properties

Checked

Enabled

Visible

Methods

Get_Checked

Get_Enabled

Get_Visible

Set_Checked

Set_Enabled

Set_Visible

Created with Doc-O-Matic.


See Also

IJvDataConsumerItemState, IJvDataItem


IJvDataItemStates.Checked property

IJvDataItemStates	Edit topic

Specifies if the item is checked.

Pascal

property Checked: TDataItemState;

Description

Checked specifies if the item is checked. Read Checked to read the setting or set it to a new value.

If Checked is set to disIndetermined the item's checkbox should be rendered in a gray state.

If Checked is set to disNotUsed the caller determines the checked state (usually interpreted as False).

Created with Doc-O-Matic.


IJvDataItemStates.Enabled property

IJvDataItemStates	See Also	Edit topic

Specifies if the item is enabled.

Pascal

property Enabled: TDataItemState;

Description

Enabled specifies if the item is enabled. Read Enabled to read the setting or set it to a new value.

If Enabled is set to disFalse the item should be rendered in a disabled state. If an action is linked to the item (through the IJvDataItemBasicAction interface), it should not be executed.

For any other setting of Enabled, the caller determines the actual setting of Enabled (usually interpreted as True).

Created with Doc-O-Matic.


See Also

IJvDataItemBasicAction


IJvDataItemStates.Visible property

IJvDataItemStates	See Also	Edit topic

Specifies if the item is visible.

Pascal

property Visible: TDataItemState;

Description

Visible specifies if the item is visible. Read Visible to read the setting or set it to a new value.

If Visible is set to disIndetermined or disNotUsed, the setting is considered True in most cases (depends on the caller).

The consumer service view list extension will consider this state to determine if the item is to be added to the tree.

Created with Doc-O-Matic.


See Also

IJvDataConsumerViewList


IJvDataItemStates.Get_Checked method

IJvDataItemStates	See Also	Edit topic

Retrieves the checked state.

Pascal

function Get_Checked: TDataItemState;

Description

Get_Checked retrieves the checked state of the item. Get_Checked is the Checked property's read method.

Created with Doc-O-Matic.


See Also

IJvDataItemStates.Checked, IJvDataItemStates.Set_Checked


IJvDataItemStates.Get_Enabled method

IJvDataItemStates	See Also	Edit topic

Retrieves the enabled state.

Pascal

function Get_Enabled: TDataItemState;

Description

Get_Enabled retrieves the enabled state of the item. Get_Enabled is the Enabled property's read method.

Created with Doc-O-Matic.


See Also

IJvDataItemStates.Enabled, IJvDataItemStates.Set_Enabled


IJvDataItemStates.Get_Visible method

IJvDataItemStates	See Also	Edit topic

Retrieves the visible state.

Pascal

function Get_Visible: TDataItemState;

Description

Get_Visible retrieves the visible state of the item. Get_Visible is the Visible property's read method.

Created with Doc-O-Matic.


See Also

IJvDataItemStates.Set_Visible, IJvDataItemStates.Visible


IJvDataItemStates.Set_Checked method

IJvDataItemStates	See Also	Edit topic

Sets the checked state.

Pascal

procedure Set_Checked(Value: TDataItemState);

Parameters

Value: TDataItemState

New state.

Description

Set_Checked sets the checked state of the item. Set_Checked is the Checked property's write method.

Created with Doc-O-Matic.


See Also

IJvDataItemStates.Checked, IJvDataItemStates.Get_Checked


IJvDataItemStates.Set_Enabled method

IJvDataItemStates	See Also	Edit topic

Sets the enabled state.

Pascal

procedure Set_Enabled(Value: TDataItemState);

Parameters

Value: TDataItemState

New state.

Description

Set_Enabled sets the enabled state of the item. Set_Enabled is the Enabled property's write method.

Created with Doc-O-Matic.


See Also

IJvDataItemStates.Enabled, IJvDataItemStates.Get_Enabled


IJvDataItemStates.Set_Visible method

IJvDataItemStates	See Also	Edit topic

Sets the visible state.

Pascal

procedure Set_Visible(Value: TDataItemState);

Parameters

Value: TDataItemState

New state.

Description

Set_Visible sets the visible state of the item. Set_Visible is the Visible property's write method.

Created with Doc-O-Matic.


See Also

IJvDataItemStates.Get_Visible, IJvDataItemStates.Visible


IJvDataItemText
JEDI-VCL Reference

IJvDataItemText

Hierarchy	Properties	Methods	 See Also	Edit topic

Data Item support interface for retrieving the item's textual representation.

Pascal

IJvDataItemText = interface;

File

JvDataProviderIntf

Description

IJvDataItemText is a supporting interface for IJvDataItem that adds the capability of linking a caption for an item.

Almost every provider support the IJvDataItemText interface for its items. Besides access to the caption, the interface also keeps track of the editability of the caption from the user interface.

Created with Doc-O-Matic.


IJvDataItemText Properties

IJvDataItemText

Properties

Caption

Created with Doc-O-Matic.


IJvDataItemText Methods

IJvDataItemText

Methods

Editable

GetCaption

SetCaption

Created with Doc-O-Matic.


Hierarchy

IJvDataItemText


IJvDataItemText Members

IJvDataItemText

Members

Properties

Caption

Methods

Editable

GetCaption

SetCaption

Created with Doc-O-Matic.


See Also

IJvDataItem


IJvDataItemText.Caption property

IJvDataItemText	See Also	Edit topic

Specifies the caption of the data item.

Pascal

property Caption: string;

Description

Caption specifies the caption for the data item. The caption might be fixed by the object (i.e. it can't be changed by assigning a new value to Caption) and might be depending on the current context, consumer setting and/or consumer attributes.

Created with Doc-O-Matic.


See Also

IJvDataItemText.Editable, IJvDataItemText.GetCaption, IJvDataItemText.SetCaption


IJvDataItemText.Editable method

IJvDataItemText	Edit topic

Specifies if the caption of the item is editable.

Pascal

function Editable: Boolean;

Description

Editable specifies if the caption of the item is editable in the user interface (e.g. an edit control). If the caption should be editable from the user interface the method returns True, otherwise False is returned.

Note that the return value of Editable does not necessarily mean the caption can or can't be changed. It only enables/disables the editing from the user interface, but consumers may ignore this method if they wish.

Created with Doc-O-Matic.


IJvDataItemText.GetCaption method

IJvDataItemText	See Also	Edit topic

Retrieves the caption of the data item.

Pascal

function GetCaption: string;

Description

GetCaption retrieves the caption of the data item. It's the read access method for the Caption property.

Created with Doc-O-Matic.


See Also

IJvDataItemText.Caption, IJvDataItemText.SetCaption


IJvDataItemText.SetCaption method

IJvDataItemText	See Also	Edit topic

Sets a new caption for the data item.

Pascal

procedure SetCaption(const Value: string);

Parameters

const Value: string

New caption for the data item.

Description

SetCaption sets a new caption for the data item. It's the write access method for the Caption property.

Created with Doc-O-Matic.


See Also

IJvDataItemText.Caption, IJvDataItemText.GetCaption


IJvDataProvider
JEDI-VCL Reference

IJvDataProvider

Hierarchy	Methods	 Edit topic

Data Provider server interface.

Pascal

IJvDataProvider = interface;

File

JvDataProviderIntf

Description

IJvDataProvider is the main Data Provider interface. A component that is to function as a Data Provider should always support this interface. The interface provides methods that:

allows registration/unregistration of change notifications

allows retrieval of the root items list.

allows change notification (both before and after changing)

selection of current consumer/context

various administrative tasks (destruction of consumer, specification of consumer service extensions, allow provider designer and/or context manager).

Although any component could function as a Data Provider, it's often wise to use the JVCL provided base classes (in the JvDataProvider unit) to write new Data Providers as these classes deal with most of the basics of the Data Provider mechanism so you can focus on writing the actual provider.

Created with Doc-O-Matic.


IJvDataProvider Methods

IJvDataProvider

Methods

AllowContextManager

AllowProviderDesigner

Changed

Changing

ConsumerClasses

ConsumerDestroying

ContextDestroying

GetImplementer

GetItems

GetNotifier

GetNotifierCount

RegisterChangeNotify

ReleaseConsumer

ReleaseContext

SelectConsumer

SelectContext

SelectedConsumer

SelectedContext

UnregisterChangeNotify

Created with Doc-O-Matic.


Hierarchy

IJvDataProvider


IJvDataProvider Members

IJvDataProvider

Members

Methods

AllowContextManager

AllowProviderDesigner

Changed

Changing

ConsumerClasses

ConsumerDestroying

ContextDestroying

GetImplementer

GetItems

GetNotifier

GetNotifierCount

RegisterChangeNotify

ReleaseConsumer

ReleaseContext

SelectConsumer

SelectContext

SelectedConsumer

SelectedContext

UnregisterChangeNotify

Created with Doc-O-Matic.


IJvDataProvider.AllowContextManager method

IJvDataProvider	See Also	Edit topic

Specifies if the provider allows its contexts to be managed at design time.

Pascal

function AllowContextManager: Boolean;

Description

AllowContextManager signals if the provider allows its context tree to be designed at design time. It's used by the component editor to enable/disable the 'Context manager...' menu item.

Created with Doc-O-Matic.


See Also

IJvDataProvider.AllowProviderDesigner


IJvDataProvider.AllowProviderDesigner method

IJvDataProvider	See Also	Edit topic

Specifies if the provider allows its tree to be designed at design time.

Pascal

function AllowProviderDesigner: Boolean;

Description

AllowProviderDesigner signals if the provider allows its tree to be designed at design time. It's used by the component editor to enable/disable the 'Tree designer...' menu item.

Created with Doc-O-Matic.


See Also

IJvDataProvider.AllowContextManager


IJvDataProvider.Changed method

IJvDataProvider	See Also	Edit topic

Will notify all registered notifiers a change has occurred.

Pascal

procedure Changed(ChangeReason: TDataProviderChangeReason; Source: IUnknown = nil);

Parameters

ChangeReason: TDataProviderChangeReason

Reason why the change notification is used.

Source: IUnknown = nil

Reference to an interface instance linked to the change. See the description of TDataProviderChangeReason to see the expected interface instances in each case.

Description

Call Changed to notify all registered change notifiers (IvDataProviderNotify instances registered by a call to RegisterChangeNotify) a change has occurred.

Created with Doc-O-Matic.


See Also

IJvDataProvider.Changing, IJvDataProvider.RegisterChangeNotify, IJvDataProviderNotify


IJvDataProvider.Changing method

IJvDataProvider	See Also	Edit topic

Will notify all registered notifiers a change is about to occur.

Pascal

procedure Changing(ChangeReason: TDataProviderChangeReason; Source: IUnknown = nil);

Parameters

ChangeReason: TDataProviderChangeReason

Reason why the change notification is used.

Source: IUnknown = nil

Reference to an interface instance linked to the change. See the description of TDataProviderChangeReason to see the expected interface instances in each case.

Description

Call Changing to notify all registered change notifiers (IvDataProviderNotify instances registered by a call to RegisterChangeNotify) a change is about to occur.

Created with Doc-O-Matic.


See Also

IJvDataProvider.Changed, IJvDataProvider.RegisterChangeNotify, IJvDataProviderNotify


IJvDataProvider.ConsumerClasses method

IJvDataProvider	Edit topic

Retrieves a list of consumer service extension classes needed by the provider.

Pascal

function ConsumerClasses: TClassArray;

Description

ConsumerClasses will retrieve a list of consumer service extension classes the provider needs to be used properly.

The list may be depending on the currently selected consumer and/or context, e.g. a consumer that can only handle a single item at a time will require a consumer service extension that allows the application developer to select the item to use.

Created with Doc-O-Matic.


IJvDataProvider.ConsumerDestroying method

IJvDataProvider	Edit topic

Called when a consumer is about to be destroyed.

Pascal

procedure ConsumerDestroying(Consumer: IJvDataConsumer);

Parameters

Consumer: IJvDataConsumer

Consumer about to be destroyed.

Description

ConsumerDestroying is called whenever a consumer that used this provider is about to be destroyed. It's generally used to cleanup the selected consumer stack and making any reference to that consumer nil (it will not remove the references from the stack, as it might be possible a ReleaseConsumer call will follow it later).

Created with Doc-O-Matic.


IJvDataProvider.ContextDestroying method

IJvDataProvider	Edit topic

Called when a context is about to be destroyed.

Pascal

procedure ContextDestroying(Context: IJvDataContext);

Parameters

Context: IJvDataContext

Context about to be destroyed.

Description

ContextDestroying is called whenever a context is about to be destroyed. It's generally used to notify all items a specific context (and all of its child contexts) will be no longer available so context specific data for these items can be destroyed. Usually this will be done by redirecting the call to the root items list (GetItems). In addition ContextDestroying will clean up the selected context stack and nilling any reference to the context and/or any of its child contexts (they are not removed from the stack as a ReleaseContext may follow later).

Created with Doc-O-Matic.


IJvDataProvider.GetImplementer method

IJvDataProvider	Edit topic

Reference to the implementing object.

Pascal

function GetImplementer: TObject;

Description

GetImplementer returns a reference to the TObject instance implementing the IJvDataProvider interface. This method should be used with care, as you can never be sure which object implements the interface. Callers should never assume a specific object unless it is enforced in the implementation of the caller.

Created with Doc-O-Matic.


IJvDataProvider.GetItems method

IJvDataProvider	See Also	Edit topic

Retrieves the list of root items.

Pascal

function GetItems: IJvDataItems;

Description

GetItems retrieves the IJvDataItems instance containing the list of root items. Each Data Provider has to have an IJvDataItems instance so you can safely assume that GetItems will never return a nil reference.

Note that it's common for the IJvDataProvider instance to support the IJvDataItems interface as well. This means that if dpvMe contains a reference to IJvDataProvider that:

  dpvMe.QueryInterface(IJvDataItems, disRoot)

will be the same as:

  disRoot := dpvMe.GetItems

Created with Doc-O-Matic.


See Also

IJvDataItems


IJvDataProvider.GetNotifier method

IJvDataProvider	See Also	Edit topic

Retrieves a reference to a registered notifier.

Pascal

function GetNotifier(Index: Integer): IJvDataProviderNotify;

Parameters

Index: Integer

Zero-based index of the notifier to retrieve. Allowable values range from 0 to GetNotifierCount-1 inclusive.

Description

GetNotifier retrieves a reference to the notifier indicated by its index.

Created with Doc-O-Matic.


See Also

IJvDataProvider.GetNotifierCount, IJvDataProvider.RegisterChangeNotify, IJvDataProvider.UnregisterChangeNotify


IJvDataProvider.GetNotifierCount method

IJvDataProvider	See Also	Edit topic

Retrieve the number of registered notifiers.

Pascal

function GetNotifierCount: Integer;

Description

GetNotifierCount returns the number of notifiers registered for this provider.

Created with Doc-O-Matic.


See Also

IJvDataProvider.GetNotifier, IJvDataProvider.RegisterChangeNotify, IJvDataProvider.UnregisterChangeNotify


IJvDataProvider.RegisterChangeNotify method

IJvDataProvider	See Also	Edit topic

Register a change notification callback interface.

Pascal

procedure RegisterChangeNotify(ANotify: IJvDataProviderNotify);

Parameters

ANotify: IJvDataProviderNotify

Notification interface to register. If the specified reference is already registered, nothing will happen.

Description

RegisterChangeNotify is used to register an IJvDataProviderNotify interface. The methods of this interface are called in response to changes at the provider. Usually the IJvDataProviderNotify interface is handled by the consumer to update its control as needed.

Created with Doc-O-Matic.


See Also

IJvDataProvider.UnregisterChangeNotify, IJvDataProviderNotify


IJvDataProvider.ReleaseConsumer method

IJvDataProvider	See Also	Edit topic

Deselects the current consumer, reselecting any previous selected consumer.

Pascal

procedure ReleaseConsumer;

Description

ReleaseConsumer deselects the currently active consumer, reactivating the consumer that was active before it.

Created with Doc-O-Matic.


See Also

IJvDataProvider.ReleaseContext, IJvDataProvider.SelectConsumer, IJvDataProvider.SelectedConsumer


IJvDataProvider.ReleaseContext method

IJvDataProvider	See Also	Edit topic

Deselects the current context, reselecting any previous selected context.

Pascal

procedure ReleaseContext;

Description

ReleaseContext deselects the currently active context, reactivating the context that was active before it.

Created with Doc-O-Matic.


See Also

IJvDataProvider.ReleaseConsumer, IJvDataProvider.SelectContext, IJvDataProvider.SelectedContext


IJvDataProvider.SelectConsumer method

IJvDataProvider	See Also	Edit topic

Selects a new consumer.

Pascal

procedure SelectConsumer(Consumer: IJvDataConsumer);

Parameters

Consumer: IJvDataConsumer

Reference to the consumer to select as the active consumer.

Description

SelectConsumer selects a new consumer as the active consumer. The current consumer is pushed onto a stack. Use ReleaseConsumer to return to it. When the provider is created no consumer is selected.

Created with Doc-O-Matic.


See Also

IJvDataProvider.ReleaseConsumer, IJvDataProvider.SelectContext, IJvDataProvider.SelectedConsumer


IJvDataProvider.SelectContext method

IJvDataProvider	See Also	Edit topic

Selects a new context.

Pascal

procedure SelectContext(Context: IJvDataContext);

Parameters

Context: IJvDataContext

Reference to the context to select as the active context.

Description

SelectContext selects a new context as the active context. The current context is pushed onto a stack. Use ReleaseContext to return to it. When the provider is created no context is selected.

Created with Doc-O-Matic.


See Also

IJvDataProvider.ReleaseContext, IJvDataProvider.SelectConsumer, IJvDataProvider.SelectedContext


IJvDataProvider.SelectedConsumer method

IJvDataProvider	See Also	Edit topic

Returns the last selected (currently active) consumer.

Pascal

function SelectedConsumer: IJvDataConsumer;

Description

SelectedConsumer returns the currently active consumer. If no consumer is active it will return nil.

Created with Doc-O-Matic.


See Also

IJvDataProvider.ReleaseConsumer, IJvDataProvider.SelectConsumer, IJvDataProvider.SelectedContext


IJvDataProvider.SelectedContext method

IJvDataProvider	See Also	Edit topic

Returns the last selected (currently active) context.

Pascal

function SelectedContext: IJvDataContext;

Description

SelectedContext returns the currently active context. If no context is active it will return nil.

Created with Doc-O-Matic.


See Also

IJvDataProvider.ReleaseContext, IJvDataProvider.SelectContext, IJvDataProvider.SelectedConsumer


IJvDataProvider.UnregisterChangeNotify method

IJvDataProvider	See Also	Edit topic

Unregister a change notification callback interface.

Pascal

procedure UnregisterChangeNotify(ANotify: IJvDataProviderNotify);

Parameters

ANotify: IJvDataProviderNotify

Notification interface to unregister. If the specified reference is not registered, nothing will happen.

Description

UnregisterChangeNotify is used to unregister an IJvDataProviderNotify interface.

Created with Doc-O-Matic.


See Also

IJvDataProvider.RegisterChangeNotify, IJvDataProviderNotify


IJvDataProviderNotify
JEDI-VCL Reference

IJvDataProviderNotify

Hierarchy	Methods	 See Also	Edit topic

Callback interface to respond to changes at the provider.

Pascal

IJvDataProviderNotify = interface;

File

JvDataProviderIntf

Description

IJvDataProviderNotify is a callback interface who's methods are called in response to changes at the provider.

An object that wishes to be notified of changes occurring at the provider will register this reference at the provider by calling the provider's RegisterChangeNotify method. If the object is no longer interested in changes at a provider (i.e. another provider is selected or the object is destroying), the UnregisterChangeNotify method should be called.

Note that it's perfectly legal to register the same change notification for multiple providers. In all cases a registered callback should eventually be unregistered before this object is destroyed. The only exception is when a provider is destroying or has been destroyed; in that case the callback is implicitly unregistered.

Created with Doc-O-Matic.


IJvDataProviderNotify Methods

IJvDataProviderNotify

Methods

Consumer

DataProviderChanged

DataProviderChanging

Created with Doc-O-Matic.


Hierarchy

IJvDataProviderNotify


IJvDataProviderNotify Members

IJvDataProviderNotify

Members

Methods

Consumer

DataProviderChanged

DataProviderChanging

Created with Doc-O-Matic.


See Also

IJvDataProvider.RegisterChangeNotify


IJvDataProviderNotify.Consumer method

IJvDataProviderNotify	See Also	Edit topic

Reference to the consumer belonging to this callback.

Pascal

function Consumer: IJvDataConsumer;

Description

Consumer returns a reference to the consumer belonging to this callback, or nil if no consumer is linked to the callback.

Created with Doc-O-Matic.


See Also

IJvDataConsumer


IJvDataProviderNotify.DataProviderChanged method

IJvDataProviderNotify	See Also	Edit topic

Called when a change has occurred at the provider.

Pascal

procedure DataProviderChanged(const ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

const ADataProvider: IJvDataProvider

The provider that is issuing the notification.

AReason: TDataProviderChangeReason

The reason of the change as passed on to the provider's Changed method.

Source: IUnknown

Reference to the object the change is for as passed on to the provider's Changed method.

Description

DataProviderChanged is called whenever a change has occurred at the provider (i.e. the provider's Changed method is called).

Created with Doc-O-Matic.


See Also

IJvDataProvider.Changed


IJvDataProviderNotify.DataProviderChanging method

IJvDataProviderNotify	See Also	Edit topic

Called when a change is about to occur at the provider.

Pascal

procedure DataProviderChanging(const ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown);

Parameters

const ADataProvider: IJvDataProvider

The provider that is issuing the notification.

AReason: TDataProviderChangeReason

The reason of the change as passed on to the provider's Changing method.

Source: IUnknown

Reference to the object the change is for as passed on to the provider's Changing method.

Description

DataProviderChanging is called whenever a change is about to occur at the provider (i.e. the provider's Changing method is called).

Created with Doc-O-Matic.


See Also

IJvDataProvider.Changing


IJvDataTextSearch
JEDI-VCL Reference

IJvDataTextSearch

Hierarchy	Methods	 Edit topic

Find an item using its associated caption.

Pascal

IJvDataTextSearch = interface;

File

JvDataProviderIntf

Description

IJvDataTextSearch is a data item list support interface to locate an item using its associated caption (from an item's IJvDataItemText support interface).

The interface provides in a single Find method to locate an item in the data tree by comparing the requested text value with each item in the list, optionally scanning sub trees.

This search interface is normally implemented for a data item list if any item in the list or sub tree will likely support the IJvDataItemText interface.

Created with Doc-O-Matic.


IJvDataTextSearch Methods

IJvDataTextSearch

Methods

Find

Created with Doc-O-Matic.


Hierarchy

IJvDataTextSearch


IJvDataTextSearch Members

IJvDataTextSearch

Members

Methods

Find

Created with Doc-O-Matic.


IJvDataTextSearch.Find method

IJvDataTextSearch	See Also	Edit topic

Locate an item.

Pascal

function Find(Text: string; const Recursive: Boolean = False): IJvDataItem;

Parameters

Text: string

Text of the item to locate. Depending on the implementation, the comparison may be case sensitive.

const Recursive: Boolean = False

Flag to specify if sub trees should be scanned as well. When set to True sub trees will be scanned as well, otherwise the current list only will be scanned.

Description

Find locates the requested item in the list, optionally scanning sub trees. If a match is found a reference to the data item is returned, otherwise False is returned.

Created with Doc-O-Matic.


See Also

IJvDataItemText.Caption


IJvPrinter
JEDI-VCL Reference

IJvPrinter

Hierarchy	Methods	 Edit topic

Interface describing the commands that must be supported to be able to print a preview.

Pascal

IJvPrinter = interface;

File

JvPrvwDoc

Description

IJvPrinter defines methods necessary to print a preview to a printing device. In order to send the preview displayed by a TJvCustomPreviewControl to another output device (like a printer), a component must implement the methods of IJvPrinter in order to call the TJvCustomPreviewControl.PrintRange function. A default implementation of the IJvPrinter can be found in the TJvPreviewPrinter component. This component implements the interface by sending all methods call to the global Printer object.

To output the preview to other devices (like PDF files), write a component that implements the IJvPrinter interface.

Created with Doc-O-Matic.


IJvPrinter Methods

IJvPrinter

Methods

Abort

BeginDoc

EndDoc

GetAborted

GetCanvas

GetHandle

GetPageHeight

GetPageWidth

GetPrinting

GetTitle

NewPage

SetTitle

Created with Doc-O-Matic.


Hierarchy

IJvPrinter


IJvPrinter Members

IJvPrinter

Members

Methods

Abort

BeginDoc

EndDoc

GetAborted

GetCanvas

GetHandle

GetPageHeight

GetPageWidth

GetPrinting

GetTitle

NewPage

SetTitle

Created with Doc-O-Matic.


IJvPrinter.Abort method

IJvPrinter	See Also	Edit topic

Aborts the print job.

Pascal

procedure Abort;

Description

Called when the print job should be aborted.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.EndDoc, IJvPrinter.NewPage


IJvPrinter.BeginDoc method

IJvPrinter	See Also	Edit topic

Starts a print job.

Pascal

procedure BeginDoc;

Description

Called when the print job should be started.

Created with Doc-O-Matic.


See Also

IJvPrinter.EndDoc, IJvPrinter.NewPage, IJvPrinter.Abort


IJvPrinter.EndDoc method

IJvPrinter	See Also	Edit topic

Ends a print job.

Pascal

procedure EndDoc;

Description

Called when the print job is finished.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.NewPage


IJvPrinter.GetAborted method

IJvPrinter	See Also	Edit topic

Should return true if the print job has been aborted.

Pascal

function GetAborted: Boolean;

Return Value

Returns true if the print job has been aborted.

Description

Called when the caller needs to know if the print job has been aborted.

Created with Doc-O-Matic.


See Also

IJvPrinter.Abort


IJvPrinter.GetCanvas method

IJvPrinter	See Also	Edit topic

Return the canvas to draw on.

Pascal

function GetCanvas: TCanvas;

Return Value

Returns the TCanvas that the drawing is performed on.

Description

Called when the caller needs the canvas to draw to.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetPageWidth, IJvPrinter.GetPageHeight


IJvPrinter.GetHandle method

IJvPrinter	Edit topic

Not documented

Pascal

function GetHandle: HDC;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IJvPrinter.GetPageHeight method

IJvPrinter	See Also	Edit topic

Should return the height of the available print area.

Pascal

function GetPageHeight: Integer;

Return Value

Returns the page height in logical coordinates.

Description

Called when the caller needs to know the height of the print page.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetCanvas, IJvPrinter.GetPageWidth


IJvPrinter.GetPageWidth method

IJvPrinter	See Also	Edit topic

Should return the width of the available print area.

Pascal

function GetPageWidth: Integer;

Return Value

Returns the page width in logical coordinates.

Description

Called when the caller needs to know the size of the print page.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetCanvas, IJvPrinter.GetPageHeight


IJvPrinter.GetPrinting method

IJvPrinter	See Also	Edit topic

Should return true if a print job is in progress.

Pascal

function GetPrinting: Boolean;

Return Value

Returns true if printing is in progress.

Description

Called when the caller needs to know if a print job is in progress.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.Abort


IJvPrinter.GetTitle method

IJvPrinter	See Also	Edit topic

Returns the document title of the print job

Pascal

function GetTitle: string;

Return Value

Returns the current document title.

Description

Called to get the current document title.

Created with Doc-O-Matic.


See Also

IJvPrinter.SetTitle


IJvPrinter.NewPage method

IJvPrinter	See Also	Edit topic

Starts a new page in a started print job.

Pascal

procedure NewPage;

Description

Called when the caller needs a new page.

Created with Doc-O-Matic.


See Also

IJvPrinter.BeginDoc, IJvPrinter.EndDoc, IJvPrinter.Abort


IJvPrinter.SetTitle method

IJvPrinter	See Also	Edit topic

Sets the document title on the print job.

Pascal

procedure SetTitle(const Value: string);

Parameters

const Value: string

The new title.

Description

Called to set a new document title.

Created with Doc-O-Matic.


See Also

IJvPrinter.GetTitle


IJvResetItemHeight
JEDI-VCL Reference

IJvResetItemHeight

Hierarchy	Methods	 Edit topic

Not documented

Pascal

IJvResetItemHeight = interface;

File

JvListComb

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IJvResetItemHeight Methods

IJvResetItemHeight

Methods

ResetItemHeight

Created with Doc-O-Matic.


Hierarchy

IJvResetItemHeight


IJvResetItemHeight Members

IJvResetItemHeight

Members

Methods

ResetItemHeight

Created with Doc-O-Matic.


IJvResetItemHeight.ResetItemHeight method

IJvResetItemHeight	Edit topic

Not documented

Pascal

procedure ResetItemHeight;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IJvSpellChecker
JEDI-VCL Reference

IJvSpellChecker

Hierarchy	Properties	Methods	Events	 Edit topic

Interface that describes the functionality of a spell checker.

Pascal

IJvSpellChecker = interface;

File

JvSpellIntf

Description

IJvSpellChecker defines the methods required for a spell checker. Any spell checker implementation must implement all the methods of this interface.

Created with Doc-O-Matic.


IJvSpellChecker Properties

IJvSpellChecker	Legend

Properties

Delimiters

Dictionary

Ignores

 Suggestions

Text

UserDictionary

Legend

read only

Created with Doc-O-Matic.


Legend

read only


IJvSpellChecker Events

IJvSpellChecker

Events

OnCanIgnore

Created with Doc-O-Matic.


IJvSpellChecker Methods

IJvSpellChecker

Methods

GetCanIgnore

GetCurrentWord

GetDelimiters

GetDictionary

GetIgnores

GetSuggestions

GetText

GetUserDictionary

Next

Seek

SetCanIgnore

SetDelimiters

SetDictionary

SetIgnores

SetText

SetUserDictionary

Created with Doc-O-Matic.


Legend

IJvSpellChecker

Legend

read only

Created with Doc-O-Matic.


Hierarchy

IJvSpellChecker


IJvSpellChecker Members

IJvSpellChecker	Legend

Members

Properties

Delimiters

Dictionary

Ignores

 Suggestions

Text

UserDictionary

Events

OnCanIgnore

Methods

GetCanIgnore

GetCurrentWord

GetDelimiters

GetDictionary

GetIgnores

GetSuggestions

GetText

GetUserDictionary

Next

Seek

SetCanIgnore

SetDelimiters

SetDictionary

SetIgnores

SetText

SetUserDictionary

Legend

read only

Created with Doc-O-Matic.


Legend

read only


IJvSpellChecker.Delimiters property

IJvSpellChecker	See Also	Edit topic

Specifies the characters that are used to break the text into words.

Pascal

property Delimiters: TSysCharSet;

Description

Use Delimiters to set or read the characters that are used to delimit text.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Text


IJvSpellChecker.Dictionary property

IJvSpellChecker	See Also	Edit topic

Defines the basic dictionary used to check spelling against.

Pascal

property Dictionary: string;

Description

Use Dictionary to set and read the base dictionary used for spell checking. This value should point to a file on disk. If no dictionary is set, no spell checking can take place.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.UserDictionary


IJvSpellChecker.Ignores property

IJvSpellChecker	See Also	Edit topic

Contains a list of words to ignore.

Pascal

property Ignores: TStrings;

Description

Ignores is used for words that should be ignored in the current session. To make an ignored word persistent, you should call UserDictionary.Add and then save/load the UserDictionary to storage as needed.

In a typical spell checking application, Ignores is used to implement "Ignore All" functionality.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.GetCurrentWord, IJvSpellChecker.Text


IJvSpellChecker.OnCanIgnore event

IJvSpellChecker	Edit topic

Event handler that is called for every word in the text.

Pascal

TJvSpellCheckIgnoreEvent = procedure (Sender: TObject; const Value: string; var CanIgnore: Boolean) of object;
property OnCanIgnore: TJvSpellCheckIgnoreEvent;

Parameters

CanIgnore

Set to true to skip the word, false to handle it normally.

Value

The string to check.

Sender

The IJvSpellChecker implementer

Description

Write a handler for the OnCanIgnore event when you need to set up ignores for words that can't be easily captured using a simple table driven spell checker. For example, to ignore upper case words, you could write an event handler that compares the current word with its upper cased variant and set CanIgnore to true if they match.

Created with Doc-O-Matic.


IJvSpellChecker.Suggestions property

IJvSpellChecker	See Also	Edit topic

A list of possible replacement for the currently misspelled word.

Pascal

property Suggestions: TStrings;

Description

Suggestion returns the suggested replacements for a misspelled word. How the implementation determines valid and/or useful replacement words is defined by the implementation.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.GetCurrentWord, IJvSpellChecker.Text


IJvSpellChecker.Text property

IJvSpellChecker	See Also	Edit topic

The Text to spell check.

Pascal

property Text: string;

Description

Use Text to set the text to spell check. When Text is changed, spell checking is reset to the start of the string.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.GetCurrentWord, IJvSpellChecker.Next, IJvSpellChecker.Seek


IJvSpellChecker.UserDictionary property

IJvSpellChecker	See Also	Edit topic

A sorted list of words the user has selected as his own words.

Pascal

property UserDictionary: TStrings;

Description

UserDictionary is used to manage the users own words. The main difference between a dictionary and a user dictionary is that you cannot change the content of the main dictionary once loaded (without reloading it).

In addition, UserDictionary is presumed to contain a list of sorted words, one per line, whereas the dictionary can be in any format determined by the actual implementation.

Use UserDictionary to create a list of words that the user has chosen as his own word. For example, in a typical spell checking application, this property can be used to implement "Add" functionality.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Dictionary, IJvSpellChecker.Ignores


IJvSpellChecker.GetCanIgnore method

IJvSpellChecker	See Also	Edit topic

Getter for the OnCanIgnore event.

Pascal

function GetCanIgnore: TJvSpellCheckIgnoreEvent;

Description

GetCanIgnore is the get function for the OnCanIgnore event

Created with Doc-O-Matic.


See Also

IJvSpellChecker.OnCanIgnore


IJvSpellChecker.GetCurrentWord method

IJvSpellChecker	Edit topic

Returns the currently found misspelled or missing word.

Pascal

function GetCurrentWord: string;

Return Value

The last found misspelled word or an empty string.

Description

Call GetCurrentWord to retrieve the last found misspelled word. Should return an empty string if there are no misspelled words.

Created with Doc-O-Matic.


IJvSpellChecker.GetDelimiters method

IJvSpellChecker	See Also	Edit topic

Getter for the Delimiters property.

Pascal

function GetDelimiters: TSysCharSet;

Return Value

The current set of delimiters.

Description

GetDelimiters is the get function for the Delimiters property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Delimiters


IJvSpellChecker.GetDictionary method

IJvSpellChecker	See Also	Edit topic

Getter for the Dictionary property.

Pascal

function GetDictionary: string;

Return Value

The currently selected dictionary filename or an empty string.

Description

GetDictionary is the get function for the Dictionary property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Dictionary


IJvSpellChecker.GetIgnores method

IJvSpellChecker	See Also	Edit topic

Getter for the Ignores property.

Pascal

function GetIgnores: TStrings;

Return Value

A string list with the words to ignore in the text.

Description

GetIgnores is the get function for the Ignores property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Ignores


IJvSpellChecker.GetSuggestions method

IJvSpellChecker	See Also	Edit topic

Getter for the Suggestions property.

Pascal

function GetSuggestions: TStrings;

Return Value

A string list of suggested word replacements for the currently misspelled word, one word per line.

Description

GetSuggestions is the get function for the Suggestions property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.GetCurrentWord, IJvSpellChecker.Suggestions


IJvSpellChecker.GetText method

IJvSpellChecker	See Also	Edit topic

Getter for the Text property.

Pascal

function GetText: string;

Return Value

A string containing the text to spell check.

Description

GetText is the get function for the Text property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Text


IJvSpellChecker.GetUserDictionary method

IJvSpellChecker	See Also	Edit topic

Getter for the UserDictionary property.

Pascal

function GetUserDictionary: TStrings;

Return Value

A string list with the words in the users own dictionary.

Description

GetUserDictionary is the get function for the UserDictionary property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.UserDictionary


IJvSpellChecker.Next method

IJvSpellChecker	See Also	Edit topic

Tries to find a new misspelled word.

Pascal

function Next(out StartIndex: Integer; out WordLength: Integer): WordBool;

Return Value

True if a misspelled word was found, false otherwise.

Parameters

out StartIndex: Integer

The index in Text where the misspelled word starts.

out WordLength: Integer

The length of the misspelled word.

Description

Next returns true if a misspelled word was found. If a misspelled word was found, StartIndex is set to the s art of the word in Text and WordLength is set to the length of the word. Note that StartIndex is 1-based, i.e the first position in Text is 1. If Next returns false, it means that no more misspelled words can be found (i.e either when at end of Text or everything from the current point and onward is correctly spelled). Next should take Ignores as well as UserDictionary into account when scanning for misspelled words.

Use GetCurrentWord to access the word that was found by Next. Next is used in a typical spell checking application to implement "Next" functionality.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.GetCurrentWord, IJvSpellChecker.Ignores, IJvSpellChecker.Text, IJvSpellChecker.UserDictionary


IJvSpellChecker.Seek method

IJvSpellChecker	See Also	Edit topic

Moves to another position in the text.

Pascal

procedure Seek(Position: Integer);

Parameters

Position: Integer

The 1-based index to move the internal pointer to. Values < 1 are interpreted as 1, values > = Length(Text) are interpreted as Length(Text) - 1.

Description

Seek moves the internal text pointer to the position in Text given by Position. If Position > = Length(Text), calls to Next always returns false.

Notes

Since positioning is 1-based, Seek(0) = Seek(1).

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Next, IJvSpellChecker.Text


IJvSpellChecker.SetCanIgnore method

IJvSpellChecker	See Also	Edit topic

Setter for the OnCanIgnore event.

Pascal

procedure SetCanIgnore(const Value: TJvSpellCheckIgnoreEvent);

Parameters

const Value: TJvSpellCheckIgnoreEvent

The event handler to assign to OnCanIgnore.

Description

SetCanIgnore is the set procedure for the OnCanIgnore event.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.OnCanIgnore


IJvSpellChecker.SetDelimiters method

IJvSpellChecker	See Also	Edit topic

Setter for the Delimiters property.

Pascal

procedure SetDelimiters(const Value: TSysCharSet);

Parameters

const Value: TSysCharSet

The new value of Delimiters.

Description

SetDelimiters is the set procedure for the Delimiters property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Delimiters


IJvSpellChecker.SetDictionary method

IJvSpellChecker	See Also	Edit topic

Setter for the Dictionary property.

Pascal

procedure SetDictionary(const Value: string);

Parameters

const Value: string

The new value of dictionary. Setting this value copies the content of Value into an internal list.

Description

SetDictionary is the set procedure for the Dictionary property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Dictionary


IJvSpellChecker.SetIgnores method

IJvSpellChecker	See Also	Edit topic

Setter for the Ignores property.

Pascal

procedure SetIgnores(const Value: TStrings);

Parameters

const Value: TStrings

The new value of Ignores. Setting this value copies the content of Value into an internal list.

Description

SetIgnores is the set procedure for the Ignores property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Ignores


IJvSpellChecker.SetText method

IJvSpellChecker	See Also	Edit topic

Setter for the Text property.

Pascal

procedure SetText(const Value: string);

Parameters

const Value: string

The new value of Text.

Description

SetText is the set procedure for the Text property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.Text


IJvSpellChecker.SetUserDictionary method

IJvSpellChecker	See Also	Edit topic

Setter for the UserDictionary property.

Pascal

procedure SetUserDictionary(const Value: TStrings);

Parameters

const Value: TStrings

The new value of UserDictionary. Setting this value copies the content of Value into an internal list.

Description

SetUserDictionary is the set procedure for the UserDictionary property.

Created with Doc-O-Matic.


See Also

IJvSpellChecker.UserDictionary


IPageList
JEDI-VCL Reference

IPageList

Hierarchy	Methods	 See Also	Edit topic

Specifies an interface for accessing pages in the Tab Bar control.

Pascal

IPageList = interface;

File

JvPageList

Description

IPageList is an Interface that specifies procedures and functions implemented in TJvCustomTabBar to access pages assigned to the PageList in the control. IPageList is used when a Tab is selected or the PageList is assigned for the TJvTabBar control.

Created with Doc-O-Matic.


IPageList Methods

IPageList

Methods

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Created with Doc-O-Matic.


Hierarchy

IPageList


IPageList Members

IPageList

Members

Methods

AddPage

CanChange

DeletePage

GetPageCaption

GetPageCount

MovePage

PageCaptionChanged

SetActivePageIndex

Created with Doc-O-Matic.


See Also

TJvTabBar.PageList, TJvTabBar.OnTabSelected


IPageList.AddPage method

IPageList	Edit topic

Not documented

Pascal

procedure AddPage(const ACaption: string);

Parameters

const ACaption: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IPageList.CanChange method

IPageList	Edit topic

Not documented

Pascal

function CanChange(AIndex: Integer): Boolean;

Parameters

AIndex: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IPageList.DeletePage method

IPageList	Edit topic

Not documented

Pascal

procedure DeletePage(Index: Integer);

Parameters

Index: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IPageList.GetPageCaption method

IPageList	Edit topic

Not documented

Pascal

function GetPageCaption(AIndex: Integer): string;

Parameters

AIndex: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IPageList.GetPageCount method

IPageList	Edit topic

Not documented

Pascal

function GetPageCount: Integer;

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IPageList.MovePage method

IPageList	Edit topic

Not documented

Pascal

procedure MovePage(CurIndex: Integer; NewIndex: Integer);

Parameters

CurIndex: Integer

Not documented

NewIndex: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IPageList.PageCaptionChanged method

IPageList	Edit topic

Not documented

Pascal

procedure PageCaptionChanged(Index: Integer; const NewCaption: string);

Parameters

Index: Integer

Not documented

const NewCaption: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IPageList.SetActivePageIndex method

IPageList	Edit topic

Not documented

Pascal

procedure SetActivePageIndex(AIndex: Integer);

Parameters

AIndex: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ActionsToString function
JEDI-VCL Reference

ActionsToString function

Edit topic

Converts an action to its string representation.

Pascal

function ActionsToString(Actions: TJvChangeActions): string;

File

JvChangeNotify

Return Value

Returns a user friendly string describing a set of actions.

Parameters

Actions: TJvChangeActions

The actions to convert.

Description

Call ActionsToString to convert a set of TJvChangeAction items to a user friendly string.

Created with Doc-O-Matic.


AddToRecentDocs procedure
JEDI-VCL Reference

AddToRecentDocs procedure

See Also	Edit topic

Adds a document to the Shell's list of recently used documents.

Pascal

procedure AddToRecentDocs(const FileName: string);

File

JvWinDialogs

Parameters

const FileName: string

Path and file name of the document to be added.

Description

Call AddToRecentDocs to add a document to the Shell's list of recently used documents.

In addition to updating its list of recent documents, the Shell adds a shortcut to the user's Recent directory and the Start menu's Documents submenu.

Notes

Only shell32.dll version 4.0 or later.

Created with Doc-O-Matic.


See Also

ClearRecentDocs


AlignControlsInWindow procedure
JEDI-VCL Reference

AlignControlsInWindow procedure

Edit topic

Not documented

Pascal

procedure AlignControlsInWindow(Wnd: TWinControl; NeedAlign: TJvgNeedAlign; HCAlign: TglHComponentAlign; VCAlign: TglVComponentAlign);

File

JvgAlignFunction

Parameters

Wnd: TWinControl

Not documented

NeedAlign: TJvgNeedAlign

Not documented

HCAlign: TglHComponentAlign

Not documented

VCAlign: TglVComponentAlign

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


AlphaBlend function
JEDI-VCL Reference

AlphaBlend function

Edit topic

The AlphaBlend function displays bitmaps that have transparent or semitransparent pixels.

Pascal

function AlphaBlend(hdcDest: HDC; nXOriginDest: Integer; nYOriginDest: Integer; nWidthDest: Integer; nHeightDest: Integer; hdcSrc: HDC; nXOriginSrc: Integer; nYOriginSrc: Integer; nWidthSrc: Integer; nHeightSrc: Integer; BlendFunction: BLENDFUNCTION): BOOL; stdcall;

File

JvCaptionButton

Return Value

If the function succeeds, the return value is TRUE. If the function fails, the return value is FALSE.

Parameters

hdcDest: HDC

Handle to the destination device context.

nXOriginDest: Integer

Specifies the x-coordinate, in logical units, of the upper-left corner of the destination rectangle.

nYOriginDest: Integer

Specifies the y-coordinate, in logical units, of the upper-left corner of the destination rectangle.

nWidthDest: Integer

Specifies the width, in logical units, of the destination rectangle.

nHeightDest: Integer

Specifies the height, in logical units, of the destination rectangle.

hdcSrc: HDC

Handle to the source device context.

nXOriginSrc: Integer

Specifies the x-coordinate, in logical units, of the upper-left corner of the source rectangle.

nYOriginSrc: Integer

Specifies the y-coordinate, in logical units, of the upper-left corner of the source rectangle.

nWidthSrc: Integer

Specifies the width, in logical units, of the source rectangle.

nHeightSrc: Integer

Specifies the height, in logical units, of the source rectangle.

BlendFunction: BLENDFUNCTION

Specifies the alpha-blending function for source and destination bitmaps, a global alpha value to be applied to the entire source bitmap, and format information for the source bitmap. The source and destination blend functions are currently limited to AC_SRC_OVER. See the BLENDFUNCTION and EMRALPHABLEND structures.

Description

If the source rectangle and destination rectangle are not the same size, the source bitmap is stretched to match the destination rectangle. If the SetStretchBltMode function is used, the iStretchMode value is automatically converted to COLORONCOLOR for this function (that is, BLACKONWHITE, WHITEONBLACK, and HALFTONE are changed to COLORONCOLOR).

The destination coordinates are transformed by using the transformation currently specified for the destination device context. The source coordinates are transformed by using the transformation currently specified for the source device context.

An error occurs (and the function returns FALSE) if the source device context identifies an enhanced metafile device context.

If destination and source bitmaps do not have the same color format, AlphaBlend converts the source bitmap to match the destination bitmap.

AlphaBlend does not support mirroring. If either the width or height of the source or destination is negative, this call will fail.

When rendering to a printer, first call GetDeviceCaps with SHADEBLENDCAPS to determine if the printer supports blending with AlphaBlend. Note that, for a display DC, all blending operations are supported and these flags represent whether the operations are accelerated.

If the source and destination are the same surface, that is, they are both the screen or the same memory bitmap and the source and destination rectangles overlap, an error occurs and the function returns FALSE.

The source rectangle must lie completely within the source surface, otherwise an error occurs and the function returns FALSE.

AlphaBlend fails if the width or height of the source or destination is negative.

Notes

The SourceConstantAlpha member of BLENDFUNCTION specifies an alpha transparency value to be used on the entire source bitmap. The SourceConstantAlpha value is combined with any per-pixel alpha values. If SourceConstantAlpha is 0, it is assumed that the image is transparent. Set the SourceConstantAlpha value to 255 (which indicates that the image is opaque) when you only want to use per-pixel alpha values.

AlphaBlend is supported starting with Windows 98. With previous versions, it does nothing.

Created with Doc-O-Matic.


ApplyCanvasState procedure
JEDI-VCL Reference

ApplyCanvasState procedure

Edit topic

Not documented

Pascal

procedure ApplyCanvasState(const Canvas: TCanvas; const SavedIdx: Integer);

File

JvInspector

Parameters

const Canvas: TCanvas

Not documented

const SavedIdx: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


AsciiToHex function
JEDI-VCL Reference

AsciiToHex function

See Also	Edit topic

Create a hex encoded dump of a string. Useful for displaying a string containing non printable characters.

Pascal

function AsciiToHex(const S: string): string;

File

JvCsvParse

Parameters

const S: string

(String) The incoming String object to be encoded as a set of Hexadecimal bytes.

Description

If the input is the string 'A'+Chr(13), the result returned is '41 0D'. 41 is the hex value for the ascii Character A, and 0D is Hexadecimal code for a Carriage return.

Created with Doc-O-Matic.


See Also

HexToAscii


AxisConfigToString function
JEDI-VCL Reference

AxisConfigToString function

Edit topic

Converts an axis config to a string given a colorspace.

Pascal

function AxisConfigToString(AxisConfig: TJvFullColorAxisConfig; ItemFormat: TJvFullColorAxisConfigFormat; AColorSpace: TJvColorSpace): string;

File

JvFullColorCtrls

Parameters

AxisConfig: TJvFullColorAxisConfig

Axis config

ItemFormat: TJvFullColorAxisConfigFormat

Specify the format used to convert to string (short, long or with axis names)

AColorSpace: TJvColorSpace

Color space used to get axis names (used only if ItemFormat is afComplete).

Description

if ItemFormat is afShort, the format of the result string is 'XYZ' if ItemFormat is afIndent, the format of the result string is 'acXYZ' if ItemFormat is afShort and the Color space is RGB, the format of the result string is 'X = Red ; Y = Green ; Z = Blue'

Created with Doc-O-Matic.


BitmapToRTF procedure
JEDI-VCL Reference

BitmapToRTF procedure

See Also	Edit topic

Converts a bitmap to rich text format.

Pascal

procedure BitmapToRTF(ABitmap: TBitmap; AStream: TStream);
function BitmapToRTF2(ABitmap: TBitmap; AStream: TStream): Boolean;

File

JvRichEdit

Parameters

ABitmap: TBitmap

The bitmap to convert.

AStream: TStream

Stream where to save the RTF data to.

Description

Use the BitmapToRTF or BitmapToRTF2 procedures to insert bitmaps in a rich edit control. BitmapToRTF2 returns true if the bitmap is written to stream as RTF, or false if an error occurred.

For example, to replace the selected text with a bitmap, do the following:

      Stream := TMemoryStream.Create;

      try

        BitmapToRTF(SomeBitmap, Stream);

        Stream.Position := 0;

        JvRichEdit1.StreamFormat := sfRichText;

        JvRichEdit1.StreamMode := [smSelection, smPlainRtf];

        JvRichEdit1.Lines.LoadFromStream(Stream);

      finally

        Stream.Free;

      end;

If you stream out the RTF content of the rich edit control, the bitmaps are not included. Use InsertGraphic if you want the bitmaps to be included in the streamed out RTF data.

TJvRichEdit.AllowObjects must be set to true.

BitmapToRTF is the fastest, InsertGraphic the slowest.

Created with Doc-O-Matic.


See Also

TJvRichEdit, InsertGraphic


BrowseComputer function
JEDI-VCL Reference

BrowseComputer function

Package	 See Also	Edit topic

Brings up a dialog to allow the user to enter a computer name.

Pascal

function BrowseComputer(var AComputerName: string; const DlgText: string; AHelpContext: THelpContext): Boolean;

File

JvBrowseFolder

Parameters

var AComputerName: string

Returns the selected computer.

const DlgText: string

Specifies a caption for the dialog.

AHelpContext: THelpContext

Specifies the help context ID number.

Description

Call BrowseComputer to let the user enter a computer name.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog


Package

StdCtrls


BrowseDirectory function
JEDI-VCL Reference

BrowseDirectory function

Package	 See Also	Edit topic

Brings up a dialog to allow the user to enter a directory name.

Pascal

function BrowseDirectory(var AFolderName: string; const DlgText: string; AHelpContext: THelpContext): Boolean;

File

JvBrowseFolder

Parameters

var AFolderName: string

Returns the selected directory.

const DlgText: string

Specifies a caption for the dialog.

AHelpContext: THelpContext

Specifies the help context ID number.

Description

Call BrowseDirectory to let the user enter a directory name.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog


Package

StdCtrls


BrowseForComputer function
JEDI-VCL Reference

BrowseForComputer function

Package	 See Also	Edit topic

Brings up a dialog to allow the user to enter a computer name.

Pascal

function BrowseForComputer(const ATitle: string; AllowCreate: Boolean; var ADirectory: string; AHelpContext: THelpContext = 0): Boolean;

File

JvBrowseFolder

Parameters

const ATitle: string

Specifies a caption for the dialog.

AllowCreate: Boolean

Specifies whether the user is allowed to create directories.

var ADirectory: string

Returns the selected computer.

AHelpContext: THelpContext = 0

Specifies the help context ID number.

Description

Call BrowseForComputer to let the user enter a computer name.

Created with Doc-O-Matic.


See Also

TJvBrowseForFolderDialog, BrowseForFolder


Package

StdCtrls


BrowseForFolder function
JEDI-VCL Reference

BrowseForFolder function

Package	 See Also	Edit topic

Brings up a dialog to allow the user to enter a directory name.

Pascal

function BrowseForFolder(const ATitle: string; AllowCreate: Boolean; var ADirectory: string; AHelpContext: THelpContext = 0): Boolean;

File

JvBrowseFolder

Parameters

const ATitle: string

Specifies a caption for the dialog.

AllowCreate: Boolean

Specifies whether the user is allowed to create directories.

var ADirectory: string

Returns the selected directory.

AHelpContext: THelpContext = 0

Specifies the help context ID number.

Description

Call BrowseForFolder to let the user enter a directory name.

Created with Doc-O-Matic.


See Also

BrowseForComputer, TJvBrowseForFolderDialog


Package

StdCtrls


BuildPathName function
JEDI-VCL Reference

BuildPathName function

Edit topic

Takes a directory (pathname) and a filename and puts them together to make a filename.

Pascal

function BuildPathName(const PathName: string; const FileName: string): string;

File

JvCsvParse

Parameters

const PathName: string

A path name for the fully qualified filename you are creating (For example, 'C:\')

const FileName: string

A filename (For example, 'autoexec.bat')

Description

Appends PathName + FileName, and places a backslash between them, only if necessary. This is a useful function because PathName may or may end in a backslash, and FileName may or may not begin with a backslash.

Created with Doc-O-Matic.


BWBitmap procedure
JEDI-VCL Reference

BWBitmap procedure

Edit topic

Not documented

Pascal

procedure BWBitmap(Bmp: TBitmap);

File

JvTransparentButton

Parameters

Bmp: TBitmap

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


CenterRect function
JEDI-VCL Reference

CenterRect function

Edit topic

Centers one TRect inside another.

Pascal

function CenterRect(InnerRect: TRect; OuterRect: TRect): TRect;

File

JvCustomItemViewer

Parameters

InnerRect: TRect

The rect to center.

OuterRect: TRect

The rect to center against.

Description

CenterRect adjusts the bounds of the inner rect so it is centered in relation to the outer rect.

Created with Doc-O-Matic.


CharToHtml function
JEDI-VCL Reference

CharToHtml function

See Also	Edit topic

Converts a character to a string that can be used in a HTML document.

Pascal

function CharToHtml(Ch: Char): string;

File

JvStrToHtml

Parameters

Ch: Char

The character to convert

Description

CharToHTML converts Ch to a character string that can be used in a HTML document regardless of the users locale or Windows version. For example, the character '<' is converted to the string '&lt;';

Created with Doc-O-Matic.


See Also

HtmlToString, StringToHtml, TJvStrToHtml


CheckLinkControlEnabled function
JEDI-VCL Reference

CheckLinkControlEnabled function

Edit topic

Not documented

Pascal

function CheckLinkControlEnabled(Enabled: Boolean; Checked: Boolean; Options: TJvLinkedControlsOptions): Boolean;

File

JvLinkedControls

Parameters

Enabled: Boolean

Not documented

Checked: Boolean

Not documented

Options: TJvLinkedControlsOptions

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ClearBrushPatterns procedure
JEDI-VCL Reference

ClearBrushPatterns procedure

See Also	Edit topic

Clears the internal list of brush patterns.

Pascal

procedure ClearBrushPatterns;

File

JvCustomItemViewer

Description

ClearBrushPatterns removes all brush patterns created by CreateBrushPattern from the internal list. Normally, you should not need to call this function.

Created with Doc-O-Matic.


See Also

CreateBrushPattern, ReleasePattern


ClearRecentDocs procedure
JEDI-VCL Reference

ClearRecentDocs procedure

See Also	Edit topic

Clears all documents from the Shell's list of recently used documents.

Pascal

procedure ClearRecentDocs;

File

JvWinDialogs

Description

Call ClearRecentDocs to clear all documents from the Shell's list of recently used documents.

Notes

Only shell32.dll version 4.0 or later.

Created with Doc-O-Matic.


See Also

AddToRecentDocs


ColorSpaceToString function
JEDI-VCL Reference

ColorSpaceToString function

Edit topic

Get a string describing the color space.

Pascal

function ColorSpaceToString(AColorSpace: TJvColorSpace; ItemFormat: TJvFullColorSpaceFormat): string;

File

JvFullColorCtrls

Parameters

AColorSpace: TJvColorSpace

Color space used

ItemFormat: TJvFullColorSpaceFormat

Format of the output

Description

if ItemFormat is cfName then the result is the Color space description (ie: 'True Color'). if ItemFormat is cfShort then the result is the Color space short name (ie: 'RGB'). if ItemFormat is cfBoth the result is 'description (short name)'.

Created with Doc-O-Matic.


ComputeDockingRect function
JEDI-VCL Reference

ComputeDockingRect function

Edit topic

Not documented

Pascal

function ComputeDockingRect(AControl: TControl; var DockRect: TRect; MousePos: TPoint): TAlign;

File

JvDockControlForm

Parameters

AControl: TControl

Not documented

var DockRect: TRect

Not documented

MousePos: TPoint

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


CopyFile function
JEDI-VCL Reference

CopyFile function

See Also	Edit topic

Copies a file system object.

Pascal

function CopyFile(FromFile: string; ToDir: string): Boolean;

File

JvWinDialogs

Parameters

FromFile: string

Specifies a filename which can contain wildcard characters (* and ?).

ToDir: string

The destination file or directory.

Description

Use the CopyFile function to copy a file to a specific directory.

Created with Doc-O-Matic.


See Also

TJvSHFileOperation


CreateBrushPattern function
JEDI-VCL Reference

CreateBrushPattern function

See Also	Edit topic

Creates a bitmap from a two-color pattern.

Pascal

function CreateBrushPattern(const EvenColor: TColor = clWhite; const OddColor: TColor = clBtnFace): TBitmap;

File

JvCustomItemViewer

Parameters

const EvenColor: TColor = clWhite

The color to use on even pixels in the bitmap.

const OddColor: TColor = clBtnFace

The color to use on odd pixels in the bitmap.

Description

Call CreateBrushPattern to create and return a TBitmap object that can be assigned to the Bitmap property of a TBrush and used to paint a background pattern on a control.

If the specified pattern already exist, the internal reference count is incremented and the existing TBitmap is returned.

Notes

Do not destroy the returned TBitmap object. This is done automatically when the application closes down.

Created with Doc-O-Matic.


See Also

ClearBrushPatterns, ReleasePattern


CreateCalculatorForm function
JEDI-VCL Reference

CreateCalculatorForm function

See Also	Edit topic

Creates a calculator dialog.

Pascal

function CreateCalculatorForm(AOwner: TComponent; AHelpContext: THelpContext): TJvCalculatorForm;

File

JvCalc

Parameters

AOwner: TComponent

The owner of the dialog.

AHelpContext: THelpContext

Context number for online Help.

Description

Call CreateCalculatorForm to create a calculator dialog that will be used several times in an application.

Notes

CreateCalculatorForm does not display the dialog form. The application must display this form when it is needed by calling its ShowModal method.

Created with Doc-O-Matic.


See Also

CreatePopupCalculator, TJvCalculator


CreateHandlerForStyle function
JEDI-VCL Reference

CreateHandlerForStyle function

See Also	Edit topic

Creates a style handler for the specified desktop alert window.

Pascal

function CreateHandlerForStyle(Style: TJvAlertStyle; OwnerForm: TJvFormDesktopAlert): TJvCustomDesktopAlertStyleHandler;

File

JvDesktopAlert

Parameters

Style: TJvAlertStyle

The style to create a handler for.

OwnerForm: TJvFormDesktopAlert

The alert window that the style applies to.

Description

CreateHandlerForStyle is called internally by the TJvDesktopAlert when its AlertStyle property changes.

You should never have to call this function yourself.

Created with Doc-O-Matic.


See Also

TJvAlertStyle, TJvCustomDesktopAlertStyleHandler, TJvDesktopAlert


CreateImageListHandle function
JEDI-VCL Reference

CreateImageListHandle function

See Also	Edit topic

Creates a new image list (handle) with the specified pixel format.

Pascal

function CreateImageListHandle(Width: Integer; Height: Integer; PixelFormat: TPixelFormat; Masked: Boolean; AllocBy: Integer): THandle;

File

JvImageList

Parameters

Width: Integer

Width of the images to hold

Height: Integer

Height of the images to hold

PixelFormat: TPixelFormat

color resolution for the internal image

Masked: Boolean

If true a masked image list is created

AllocBy: Integer

If the list is to small the internal number of images will be increased by this value

Description

Returns a new image list handle that must be released by CommCtrl.ImageList_destroy().

Created with Doc-O-Matic.


See Also

TJvImageList.PixelFormat


CreatePopupCalculator function
JEDI-VCL Reference

CreatePopupCalculator function

See Also	Edit topic

Create a calculator dialog to be used as a popup.

Pascal

function CreatePopupCalculator(AOwner: TComponent; ABiDiMode: TBiDiMode = bdLeftToRight): TWinControl;

File

JvCalc

Parameters

AOwner: TComponent

The owner of the dialog.

ABiDiMode: TBiDiMode = bdLeftToRight

The bidirectional mode for the window.

Description

Call CreatePopupCalculator to create a calculator popup window that will be used several times in an application.

Notes

CreatePopupCalculator does not display the dialog form. The application must display this window when it is needed by calling its Show method.

Created with Doc-O-Matic.


See Also

CreateCalculatorForm, SetupPopupCalculator, TJvCalculator


CreateShellLink function
JEDI-VCL Reference

CreateShellLink function

Edit topic

Creates a Shell link.

Pascal

function CreateShellLink(const AppName: string; const Desc: string; Dest: string): string;

File

JvWinDialogs

Return Value

Returns the full path name of the link file.

Parameters

const AppName: string

The path and file name of the Shell link object.

const Desc: string

The description for the Shell link object. The description can be any application-defined string.

Dest: string

The folder where the link will be located in.

Description

Call CreateShellLink to create a shell link for an application or document as specified in AppName with description Desc.

Created with Doc-O-Matic.


CsvRowClearDirtyBit procedure
JEDI-VCL Reference

CsvRowClearDirtyBit procedure

Edit topic

Internal Helper function. Clear dirty bit.

Pascal

procedure CsvRowClearDirtyBit(Row: PCsvRow; ColumnIndex: Integer);

File

JvCsvData

Parameters

Row: PCsvRow

row record

ColumnIndex: Integer

column index

Description

Internal Helper function. Clear dirty bit.

Created with Doc-O-Matic.


CsvRowGetColumnMarker function
JEDI-VCL Reference

CsvRowGetColumnMarker function

Edit topic

Internal Helper function.

Pascal

function CsvRowGetColumnMarker(Row: PCsvRow; ColumnIndex: Integer): Integer;

File

JvCsvData

Parameters

Row: PCsvRow

row record

ColumnIndex: Integer

column index

Description

Get Column Marker.

Created with Doc-O-Matic.


CsvRowGetDirtyBit function
JEDI-VCL Reference

CsvRowGetDirtyBit function

Edit topic

Internal Helper function.

Pascal

function CsvRowGetDirtyBit(Row: PCsvRow; ColumnIndex: Integer): Boolean;

File

JvCsvData

Parameters

Row: PCsvRow

row record

ColumnIndex: Integer

column index

Description

Internal Helper function. Get dirty bit.

Created with Doc-O-Matic.


CsvRowItemCopy function
JEDI-VCL Reference

CsvRowItemCopy function

Edit topic

Internal Helper function.

Pascal

function CsvRowItemCopy(Source: PCsvRow; Dest: PCsvRow; FieldIndex: Integer; FieldSize: Integer): Boolean;

File

JvCsvData

Parameters

Source: PCsvRow

Source row record

Dest: PCsvRow

Destination row record

FieldIndex: Integer

Field beginning

FieldSize: Integer

Field length in bytes

Description

Internal Helper function. Copy column value from one row object into another.

Created with Doc-O-Matic.


CsvRowSetColumnMarker procedure
JEDI-VCL Reference

CsvRowSetColumnMarker procedure

Edit topic

Internal Helper Function.

Pascal

procedure CsvRowSetColumnMarker(Row: PCsvRow; ColumnIndex: Integer; ColumnMarker: Integer);

File

JvCsvData

Parameters

Row: PCsvRow

row record

ColumnIndex: Integer

Field/Column Index

ColumnMarker: Integer

Position of marker

Description

Set a column marker.

Created with Doc-O-Matic.


CsvRowSetDirtyBit procedure
JEDI-VCL Reference

CsvRowSetDirtyBit procedure

Edit topic

Internal Helper Function.

Pascal

procedure CsvRowSetDirtyBit(Row: PCsvRow; ColumnIndex: Integer);

File

JvCsvData

Parameters

Row: PCsvRow

row record

ColumnIndex: Integer

Field/Column index

Description

Set Dirty Bit.

Created with Doc-O-Matic.


CsvRowToString procedure
JEDI-VCL Reference

CsvRowToString procedure

Edit topic

Internal Helper Function.

Pascal

procedure CsvRowToString(RowItem: PCsvRow; var RowString: string);

File

JvCsvData

Parameters

RowItem: PCsvRow

Row in

var RowString: string

String out (buffer)

Description

Get a string representing the row record.

Created with Doc-O-Matic.


DataRegister function
JEDI-VCL Reference

DataRegister function

Edit topic

Not documented

Pascal

function DataRegister: TJvInspDataReg;

File

JvInspector

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DateFormatChanged procedure
JEDI-VCL Reference

DateFormatChanged procedure

Edit topic

Updates all combo date edit control's masks.

Pascal

procedure DateFormatChanged;

File

JvToolEdit

Description

Call DateFormatChanged to update the masks of all combo date edit control's. By using TJvDateEdit controls in an application, the DateFormatChanged procedure is automatically called upon changing of the date format by the user.

Created with Doc-O-Matic.


DateTimeToTimeTHex function
JEDI-VCL Reference

DateTimeToTimeTHex function

See Also	Edit topic

Encodes Date/Time as Hex string.

Pascal

function DateTimeToTimeTHex(ADateTime: TDateTime; TimeZoneCorrection: Integer): string;

File

JvCsvData

Parameters

ADateTime: TDateTime

The date time value to encode.

TimeZoneCorrection: Integer

Timezone correction is zero unless you need to correct for different timezones.

Description

Converts a Delphi TDateTime value to a POSIX TIME_T Integer and then converts the Integer (32 bit) into a hexadecimal string, and then store that as the value of the CSV date field. Not very human readable, but very robust and easy to parse by computer.

Created with Doc-O-Matic.


See Also

DateTimeToTimeToIsoAscii


DayStatesToString function
JEDI-VCL Reference

DayStatesToString function

See Also	Edit topic

Converts a TMonthDayState value into a comma separated list.

Pascal

function DayStatesToString(Days: TMonthDayState): string;

File

JvCalendar

Parameters

Days: TMonthDayState

Parameter holding the days set as bold which are to be converted to a comma separated list.

Description

DayStatesToString converts a TMonthDayState value into a comma separated list of those days that are set as bold in the Days parameter.

If no days are set, an empty string is returned.

Created with Doc-O-Matic.


See Also

StringToDayStates


DigitClassList function
JEDI-VCL Reference

DigitClassList function

See Also	Edit topic

Reference to the list of registered digit classes.

Pascal

function DigitClassList: TThreadList;

File

JvSegmentedLEDDisplay

Description

DigitClassList returns a reference to the (thread-safe) list of registered digit classes. It's primary use is for design time editing: the DigitClass property shows a list of available digit classes you can choose from.

You should never modify this list directly. Always use one of the Register/Unregister functions to manipulate it.

Created with Doc-O-Matic.


See Also

RegisterSegmentedLEDDigitClass, RegisterSegmentedLEDDigitClasses, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitClassName, UnregisterModuleSegmentedLEDDigitClasses, UnregisterSegmentedLEDDigitClass, UnregisterSegmentedLEDDigitClasses


DisabledBitmap procedure
JEDI-VCL Reference

DisabledBitmap procedure

Edit topic

Not documented

Pascal

procedure DisabledBitmap(Bmp: TBitmap);

File

JvTransparentButton

Parameters

Bmp: TBitmap

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DisabledTextRect procedure
JEDI-VCL Reference

DisabledTextRect procedure

Edit topic

Paints a text in a disabled fashion.

Pascal

procedure DisabledTextRect(ACanvas: TCanvas; var ARect: TRect; Left: Integer; Top: Integer; Text: string);

File

JvDataProvider

Parameters

ACanvas: TCanvas

Canvas to paint the text to.

var ARect: TRect

Rectangle in which the text is to be painted. When the function returns this parameter will hold the rectangle in which the text is placed, including the shadow.

Left: Integer

Left coordinate at which the text is to be painted.

Top: Integer

Top coordinate at which the text is to be painted.

Text: string

The text to paint.

Description

DisabledTextRect paints the specified text in a disabled fashion, much like TLabel does. The text is painted on the specified canvas within the specified rectangle at the specified location.

The text is painted using the selected font in the selected color. The disabled look is accomplished by painting the text again 1 pixel to the right and down with a clBtnHighlight color.

Created with Doc-O-Matic.


DockStateStr function
JEDI-VCL Reference

DockStateStr function

Edit topic

Not documented

Pascal

function DockStateStr(DockState: Integer): string;

File

JvDockControlForm

Parameters

DockState: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DoFloat procedure
JEDI-VCL Reference

DoFloat procedure

Edit topic

Not documented

Pascal

procedure DoFloat(Sender: TControl; AControl: TControl);

File

JvDockControlForm

Parameters

Sender: TControl

Not documented

AControl: TControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DoFloatAllForm procedure
JEDI-VCL Reference

DoFloatAllForm procedure

Edit topic

Not documented

Pascal

procedure DoFloatAllForm;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DoFloatForm procedure
JEDI-VCL Reference

DoFloatForm procedure

Edit topic

Not documented

Pascal

procedure DoFloatForm(DockForm: TControl);

File

JvDockControlForm

Parameters

DockForm: TControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DotNetMessageHandler procedure
JEDI-VCL Reference

DotNetMessageHandler procedure

See Also	Edit topic

Provides centralized message handling for the DotNet controls.

Pascal

procedure DotNetMessageHandler(var Msg: TMessage; AControl: TWinControl; AColor: TColor; var InControl: Boolean);

File

JvDotNetUtils

Parameters

var Msg: TMessage

The windows message to handle.

AControl: TWinControl

The control sending the message.

AColor: TColor

The background color of the control.

var InControl: Boolean

Modified if the message is either CM_MOUSELEAVE (set to false) or CM_MOUSEENTER (set to true).

Description

DotNetMessageHandler reacts to specific windows messages and draws a control according to the message received and the current location of the mouse.

Normally, you don't need to call this procedure since it is called from within a DotNet style control.

If you create your own DotNet style controls, replace the WindowProc of your component and call DotNetMessageHandler after first passing the message to the old WindowProc.

Created with Doc-O-Matic.


See Also

WindowProc


DP_FindItemsImages function
JEDI-VCL Reference

DP_FindItemsImages function

See Also	Edit topic

Locate nearest IJvDataItemsImages implementation for a specific item.

Pascal

function DP_FindItemsImages(AItem: IJvDataItem; out Images: IJvDataItemsImages): Boolean;

File

JvDataProvider

Parameters

AItem: IJvDataItem

Data item for which the nearest IJvDataItemsImages implementation is to be found.

out Images: IJvDataItemsImages

Variable to retrieve the reference to the IJvDataItemsImages interface in.

Description

DP_FindItemsImages locates the nearest IJvDataItemsImages implementation for a specific item. The function will scan the parent chain for the first item list to implement the IJvDataItemsImages interface and returns a reference to it.

If none of the item lists in the parent chain implement the IJvDataItemsImages interface the function returns False, otherwise True will be returned.

This function is implemented as:

  Result := DP_FindItemsIntf(AItem, IJvDataItemsImages, Images);

Created with Doc-O-Matic.


See Also

DP_FindItemsIntf, DP_FindItemsRenderer, IJvDataItemsImages


DP_FindItemsIntf function
JEDI-VCL Reference

DP_FindItemsIntf function

Edit topic

Locate the nearest IJvDataItems support interface implementation for a specific item.

Pascal

function DP_FindItemsIntf(AItem: IJvDataItem; IID: TGUID; out Obj): Boolean;

File

JvDataProvider

Parameters

AItem: IJvDataItem

Data item for which the nearest implementation is to be found.

IID: TGUID

GUID value or interface type of the interface to find.

out Obj

Variable to retrieve the reference to the requested interface in.

Description

DP_FindItemsIntf locates the nearest IJvDataItems support interface implementation for a specific item. The function will scan the parent chain for the first item list to implement the requested interface and returns a reference to it.

If none of the item lists in the parent chain implement the requested interface the function returns False, otherwise True will be returned.

Created with Doc-O-Matic.


DP_FindItemsRenderer function
JEDI-VCL Reference

DP_FindItemsRenderer function

See Also	Edit topic

Locate nearest IJvDataItemsImages implementation for a specific item.

Pascal

function DP_FindItemsRenderer(AItem: IJvDataItem; out Renderer: IJvDataItemsRenderer): Boolean;

File

JvDataProvider

Parameters

AItem: IJvDataItem

Data item for which the nearest IJvDataItemsRenderer implementation is to be found.

out Renderer: IJvDataItemsRenderer

Variable to retrieve the reference to the IJvDataItemsRenderer interface in.

Description

DP_FindItemsImages locates the nearest IJvDataItemsRenderer implementation for a specific item. The function will scan the parent chain for the first item list to implement the IJvDataItemsRenderer interface and returns a reference to it.

If none of the item lists in the parent chain implement the IJvDataItemsRenderer interface the function returns False, otherwise True will be returned.

This function is implemented as:

  Result := DP_FindItemsIntf(AItem, IJvDataItemsRenderer, Images);

Created with Doc-O-Matic.


See Also

DP_FindItemsImages, DP_FindItemsIntf, IJvDataItemsRenderer


DP_GenItemsList procedure
JEDI-VCL Reference

DP_GenItemsList procedure

See Also	Edit topic

Transforms a data provider item tree into a string list.

Pascal

procedure DP_GenItemsList(RootList: IJvDataItems; ItemList: TStrings);

File

JvDataProvider

Parameters

RootList: IJvDataItems

Root data item list to fill the list with.

ItemList: TStrings

A TStrings descendant to receive the item list in. The list is cleared upon entry to the method.

Description

DP_GenItemsList will transform a data provider item tree into a string list of items.

The generated list will contain all items in the specified root list, including all sub items. The items are placed in the order they would be shown in a user interface control if the tree was fully expanded, each item accompanied by it's level in the tree.

Upon entry to this method the specified string list will be emptied. Upon exit the objects assigned to each item is a simple integer (and should therefor not be freed when an item is removed or the list is cleared).

Created with Doc-O-Matic.


See Also

IJvDataItems


DP_OwnerDrawStateToProviderDrawState function
JEDI-VCL Reference

DP_OwnerDrawStateToProviderDrawState function

See Also	Edit topic

Converts a TOwnerDrawState value to a TProviderDrawStates value.

Pascal

function DP_OwnerDrawStateToProviderDrawState(State: TOwnerDrawState): TProviderDrawStates;

File

JvDataProvider

Parameters

State: TOwnerDrawState

TOwnerDrawState value to convert.

Description

DP_OwnerDrawStateToProviderDrawState converts the specified TOwnerDrawState set value to it's TProviderDrawStates value.

Created with Doc-O-Matic.


See Also

IJvDataItemRenderer, IJvDataItemsRenderer, TProviderDrawStates


DP_ReleaseConsumerContext procedure
JEDI-VCL Reference

DP_ReleaseConsumerContext procedure

See Also	Edit topic

Deselects the current consumer and context, reselecting any previous selected consumer and context.

Pascal

procedure DP_ReleaseConsumerContext(Provider: IJvDataProvider);

File

JvDataProvider

Parameters

Provider: IJvDataProvider

Reference to the IJvDataProvider to select a new consumer and context for.

Description

DP_ReleaseConsumerContext deselects the currently active consumer and context pair, reactivating the consumer and context pair that was active before it.

This routine in combination with DP_SelectConsumerContext allows the selection/deselection of a consumer and it's active context to be performed atomically. If one of the deselection actions fails, the other will be reverted automatically.

Most consumers will use this routine to deselect itself and it's associated context from the provider when they no longer need access to the provider.

Created with Doc-O-Matic.


See Also

DP_SelectConsumerContext, IJvDataProvider.ReleaseConsumer, IJvDataProvider.ReleaseContext


DP_SelectConsumerContext procedure
JEDI-VCL Reference

DP_SelectConsumerContext procedure

See Also	Edit topic

Selects a new consumer and context.

Pascal

procedure DP_SelectConsumerContext(Provider: IJvDataProvider; Consumer: IJvDataConsumer; Context: IJvDataContext);

File

JvDataProvider

Parameters

Provider: IJvDataProvider

Reference to the IJvDataProvider to select a new consumer and context for.

Consumer: IJvDataConsumer

Reference to the consumer to select as the active consumer.

Context: IJvDataContext

Reference to the context to select as the active context.

Description

DP_SelectConsumerContext selects a new consumer and context pair as the active consumer and context of a provider. The current consumer and context are pushed onto a stack. Use DP_ReleaseConsumerContext to return to them. When the provider is created no consumer is selected.

This routine in combination with DP_ReleaseConsumerContext allows the selection/deselection of a consumer and it's active context to be performed atomically. If one of the selection action fails, the other will be reverted automatically.

Most consumers will use this routine to select itself and it's associated context into the provider before making other requests from the provider.

It's highly recommended to keep the timespan of the selection as short as possible, i.e. select the consumer/context, access the provider, release the consumer/context and always guard the code between selection and release with a try/finally to make sure the release of the consumer/context takes place:

  DP_SelectConsumerContext(Provider, Consumer, Context);

  try

     ... access the provider here ...

  finally

    DP_ReleaseConsumerContext(Provider);

  end;

Created with Doc-O-Matic.


See Also

DP_ReleaseConsumerContext, IJvDataProvider.SelectConsumer, IJvDataProvider.SelectContext


DrawDisabledText function
JEDI-VCL Reference

DrawDisabledText function

Edit topic

Not documented

Pascal

function DrawDisabledText(DC: HDC; Caption: TCaption; nCount: Integer; var lpRect: TRect; uFormat: Integer): Integer;

File

JvTransparentButton

Parameters

DC: HDC

Not documented

Caption: TCaption

Not documented

nCount: Integer

Not documented

var lpRect: TRect

Not documented

uFormat: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DrawDotNetControl procedure
JEDI-VCL Reference

DrawDotNetControl procedure

See Also	Edit topic

Draws a control in a DotNet style.

Pascal

procedure DrawDotNetControl(Control: TWinControl; AColor: TColor; InControl: Boolean);

File

JvDotNetUtils

Parameters

Control: TWinControl

The control to draw.

AColor: TColor

The background color of the control.

InControl: Boolean

Specifies the location of the mouse, true if the mouse is inside the component, false otherwise.

Description

Draws the border of a control differently depending on the state of InControl. If InControl is true, the border of the control is drawn with a thick blue edge. If InControl is false, the border is drawn with a thinner grey edge.

Normally, you don't need to call this procedure since it is called from DotNetMessageHandler. If you are creating your own DotNet style controls, call DotNetMessageHandler from an overridden WindowProc instead of calling this procedure.

Created with Doc-O-Matic.


See Also

DotNetMessageHandler


DrawThemedBackground procedure
JEDI-VCL Reference

DrawThemedBackground procedure

Edit topic

Not documented

Pascal

procedure DrawThemedBackground(Control: TControl; DC: HDC; const R: TRect; Brush: HBRUSH; NeedsParentBackground: Boolean = True); overload;

File

JvThemes

Parameters

Control: TControl

Not documented

DC: HDC

Not documented

const R: TRect

Not documented

Brush: HBRUSH

Not documented

NeedsParentBackground: Boolean = True

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DrawThemedBackground procedure
JEDI-VCL Reference

DrawThemedBackground procedure

Edit topic

Not documented

Pascal

procedure DrawThemedBackground(Control: TControl; Canvas: TCanvas; const R: TRect; NeedsParentBackground: Boolean = True); overload;

File

JvThemes

Parameters

Control: TControl

Not documented

Canvas: TCanvas

Not documented

const R: TRect

Not documented

NeedsParentBackground: Boolean = True

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DrawThemedBackground procedure
JEDI-VCL Reference

DrawThemedBackground procedure

Edit topic

Not documented

Pascal

procedure DrawThemedBackground(Control: TControl; Canvas: TCanvas; const R: TRect; Color: TColor; NeedsParentBackground: Boolean = True); overload;

File

JvThemes

Parameters

Control: TControl

Not documented

Canvas: TCanvas

Not documented

const R: TRect

Not documented

Color: TColor

Not documented

NeedsParentBackground: Boolean = True

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DrawThemedBorder procedure
JEDI-VCL Reference

DrawThemedBorder procedure

Edit topic

Not documented

Pascal

procedure DrawThemedBorder(Control: TControl);

File

JvThemes

Parameters

Control: TControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DrawThemedButtonFace function
JEDI-VCL Reference

DrawThemedButtonFace function

Edit topic

Not documented

Pascal

function DrawThemedButtonFace(Control: TControl; Canvas: TCanvas; const Client: TRect; BevelWidth: Integer; Style: TButtonStyle; IsRounded: Boolean; IsDown: Boolean; IsFocused: Boolean; IsHot: Boolean): TRect;

File

JvThemes

Parameters

Control: TControl

Not documented

Canvas: TCanvas

Not documented

const Client: TRect

Not documented

BevelWidth: Integer

Not documented

Style: TButtonStyle

Not documented

IsRounded: Boolean

Not documented

IsDown: Boolean

Not documented

IsFocused: Boolean

Not documented

IsHot: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DrawThemedFrameControl function
JEDI-VCL Reference

DrawThemedFrameControl function

Edit topic

Not documented

Pascal

function DrawThemedFrameControl(Control: TControl; DC: HDC; const Rect: TRect; uType: UINT; uState: UINT): BOOL;

File

JvThemes

Parameters

Control: TControl

Not documented

DC: HDC

Not documented

const Rect: TRect

Not documented

uType: UINT

Not documented

uState: UINT

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DSACount function
JEDI-VCL Reference

DSACount function

Package	 See Also	Edit topic

Returns the number of DSA dialogs registered.

Pascal

function DSACount: Integer;

File

JvDSADialogs

Description

DSACount returns the number of DSA dialogs registered with the system.

Created with Doc-O-Matic.


See Also

DSAItem, RegisterDSA, UnregisterDSA


Package

Dlgs


DSAItem function
JEDI-VCL Reference

DSAItem function

Package	 See Also	Edit topic

Retrieves a DSA registration item.

Pascal

function DSAItem(const Index: Integer): TDSARegItem;

File

JvDSADialogs

Parameters

const Index: Integer

The item index to retrieve. Valid values lie in the range 0 .. DSACount-1.

Description

DSAItem retrieves the registration item at the Indexth position in the registration database. The index is 0-based and runs from 0 .. DSACount-1.

Created with Doc-O-Matic.


See Also

DSACount, RegisterDSA, UnregisterDSA


Package

Dlgs


DSAMessageDlg function
JEDI-VCL Reference

DSAMessageDlg function

Package	 See Also	Edit topic

MessageDlg replacement with additional settings and "Don't show again" capabilities.

Pascal

function DSAMessageDlg(const DlgID: Integer; const Msg: string; const DlgType: TMsgDlgType; const Buttons: TMsgDlgButtons; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: TMsgDlgBtn = mbDefault; const CancelButton: TMsgDlgBtn = mbDefault; const HelpButton: TMsgDlgBtn = mbHelp; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;
function DSAMessageDlg(const DlgID: Integer; const Caption: string; const Msg: string; const DlgType: TMsgDlgType; const Buttons: TMsgDlgButtons; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: TMsgDlgBtn = mbDefault; const CancelButton: TMsgDlgBtn = mbDefault; const HelpButton: TMsgDlgBtn = mbHelp; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;
function DSAMessageDlg(const DlgID: Integer; const Caption: string; const Msg: string; const Picture: TGraphic; const Buttons: TMsgDlgButtons; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: TMsgDlgBtn = mbDefault; const CancelButton: TMsgDlgBtn = mbDefault; const HelpButton: TMsgDlgBtn = mbHelp; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;

File

JvDSADialogs

Return Value

Returns the modal result of the displayed dialog or the last result if the dialog was suppressed.

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

const Msg: string

Contains the message to display.

const DlgType: TMsgDlgType

The dialog type.

const Buttons: TMsgDlgButtons

A list of buttons to display.

const HelpCtx: Longint

Help context to use when the help button is clicked or F1 is pressed.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const DefaultButton: TMsgDlgBtn = mbDefault

The button to mark as default. If you do not provide a default button, the MessageDlg mechanism is used to determine the default button.

const CancelButton: TMsgDlgBtn = mbDefault

The button to mark as cancel. If you do not provide a cancel button, the MessageDlg mechanism is used to determine the cancel button.

const HelpButton: TMsgDlgBtn = mbHelp

The button to mark as help. If you do not provide a help button, the button mbHelp will be used. If such a button does not exist, no button will be marked as help.

const ADynControlEngine: TJvDynControlEngine = nil

Not documented

const Caption: string

The caption of the dialog.

const Picture: TGraphic

A TGraphic descendant of the image to show or nil if no image should be shown.

Description

DSAMessageDlg is a replacement for Delphi's MessageDlg function and an extension to MessageDlg that allow the user to optionally disable the dialog in the future.

In its simplest form, it does exactly the same as the MessageDlg function in Delphi's Dialogs unit, but has a dialog ID parameter and three optional parameters that allow you to choose different default, cancel and/or help buttons.

The second form allows you to provide a different caption of the dialog, but otherwise does the same as the first form.

The third form allows you to provide both a different caption as well as a different image.

If you need more control over button captions and results, use DSAMessageDlgEx instead.

Notes

If the user presses Ctrl-C in the dialog, the contents of the dialog is copied to the clipboard.

Created with Doc-O-Matic.


See Also

DSAMessageDlgEx, MessageDlg


Package

Dlgs


DSAMessageDlgEx function
JEDI-VCL Reference

DSAMessageDlgEx function

Package	 See Also	Edit topic

MessageDlg replacement with additional settings and "Don't show again" capabilities.

Pascal

function DSAMessageDlgEx(const DlgID: Integer; const Msg: string; const DlgType: TMsgDlgType; const Buttons: array of string; const Results: array of Integer; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: Integer = 0; const CancelButton: Integer = 1; const HelpButton: Integer = -1; const ADynControlEngine: TJvDynControlEngine = nil): Integer; overload;
function DSAMessageDlgEx(const DlgID: Integer; const Caption: string; const Msg: string; const DlgType: TMsgDlgType; const Buttons: array of string; const Results: array of Integer; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: Integer = 0; const CancelButton: Integer = 1; const HelpButton: Integer = -1; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;
function DSAMessageDlgEx(const DlgID: Integer; const Caption: string; const Msg: string; const Picture: TGraphic; const Buttons: array of string; const Results: array of Integer; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: Integer = 0; const CancelButton: Integer = 1; const HelpButton: Integer = -1; const ADynControlEngine: TJvDynControlEngine = nil): Integer; overload;

File

JvDSADialogs

Return Value

Returns the modal result of the displayed dialog or the last result if the dialog was suppressed.

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

const Msg: string

Contains the message to display.

const DlgType: TMsgDlgType

The dialog type.

const Buttons: array of string

List of button captions.

const Results: array of Integer

List of result codes.

const HelpCtx: Longint

Help context to use when the help button is clicked or F1 is pressed.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const DefaultButton: Integer = 0

The button to mark as default. If you do not provide a default button, the first button is marked as default. If you do not want a default button, set this parameter to -1. This parameter is an index into the Buttons/Results array.

const CancelButton: Integer = 1

The button to mark as cancel. If you do not provide a cancel button, the second button is marked as cancel. If you do not want a cancel button, set this parameter to -1. This parameter is an index into the Buttons/Results array.

const HelpButton: Integer = -1

The button to mark as help. If you do not provide a help button, no button will be marked as help. This parameter is an index into the Buttons/Results array.

const ADynControlEngine: TJvDynControlEngine = nil

Not documented

const Caption: string

The caption of the dialog.

const Picture: TGraphic

A TGraphic descendant of the image to show or nil if no image should be shown.

Description

DSAMessageDlgEx is an extension to MessageDlgEx that allow the user to optionally disable the dialog in the future.

Notes

If the user presses Ctrl-C in the dialog, the contents of the dialog is copied to the clipboard.

Created with Doc-O-Matic.


See Also

DSAMessageDlg, MessageDlgEx


Package

Dlgs


DSARegStore function
JEDI-VCL Reference

DSARegStore function

Package	 See Also	Edit topic

Retrieves a reference to the default registry storage.

Pascal

function DSARegStore: TDSARegStorage;

File

JvDSADialogs

Description

DSARegStore retrieves a reference to internally create registry storage. The storage is initialized to use HKCU\Software\Application.Title\DSA as its storage.

Created with Doc-O-Matic.


See Also

TDSARegStorage


Package

Dlgs


DSAShowMessage procedure
JEDI-VCL Reference

DSAShowMessage procedure

Package	 See Also	Edit topic

Display a message box.

Pascal

procedure DSAShowMessage(const DlgID: Integer; const Msg: string; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const ADynControlEngine: TJvDynControlEngine = nil);

File

JvDSADialogs

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

const Msg: string

Contains the message to display.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const ADynControlEngine: TJvDynControlEngine = nil

Not documented

Description

DSAShowMessage is a replacement for Delphi's ShowMessage. It allows you to optionally specify how the dialog is centered. The user can optionally disable the dialog in the future.

Created with Doc-O-Matic.


See Also

DSAShowMessageFmt, ShowMessage


Package

Dlgs


DSAShowMessageFmt procedure
JEDI-VCL Reference

DSAShowMessageFmt procedure

Package	 See Also	Edit topic

Display a message box.

Pascal

procedure DSAShowMessageFmt(const DlgID: Integer; const Msg: string; const Params: array of const; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const ADynControlEngine: TJvDynControlEngine = nil);

File

JvDSADialogs

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

const Msg: string

Contains the message to display.

const Params: array of const

Parameters to use for formatting.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const ADynControlEngine: TJvDynControlEngine = nil

Not documented

Description

DSAShowMessageFmt is a replacement for Delphi's ShowMessageFmt. It allows you to optionally specify how the dialog is centered. The user can optionally disable the dialog in the future.

Created with Doc-O-Matic.


See Also

DSAShowMessage, ShowMessageFmt


Package

Dlgs


EditorTextMargins function
JEDI-VCL Reference

EditorTextMargins function

Edit topic

Returns the text margins of the edit box of a control.

Pascal

function EditorTextMargins(Editor: TCustomEdit): TPoint;

File

JvToolEdit

Parameters

Editor: TCustomEdit

The edit control.

Description

Call EditorTextmargins to determine the text margins of the edit box of the edit control as specified by the Editor parameter.

Created with Doc-O-Matic.


EndChar function
JEDI-VCL Reference

EndChar function

Edit topic

A parsing function used by TJvCsvDataSet for breaking up lines in a CSV file.

Pascal

function EndChar(X: Char): Boolean;

File

JvCsvParse

Parameters

X: Char

Character to be tested

Description

Returns true if the param (x) is one of these: ',;:[]()# <> =*/+'

Created with Doc-O-Matic.


EntityDecode function
JEDI-VCL Reference

EntityDecode function

Edit topic

Decodes XML entities

Pascal

function EntityDecode(const S: string): string;

File

JvSimpleXml

Return Value

The decoded string

Parameters

const S: string

The string with entities to decode

Description

Decodes XML entities (&amp;apos; &amp;aquot; &amp;lt; &amp;gt; and &amp;amp;) into their corresponding characters (', ", <, > and &)

Created with Doc-O-Matic.


EntityEncode function
JEDI-VCL Reference

EntityEncode function

Edit topic

Encodes special characters into XML entities

Pascal

function EntityEncode(const S: string): string;

File

JvSimpleXml

Return Value

The encoded string

Parameters

const S: string

string to encode

Description

Encodes special characters (', ", <, > and &) into XML entities (&apos;, &quot;, &lt;, &gt; and &amp;)

Created with Doc-O-Matic.


ExcludeThemeStyle procedure
JEDI-VCL Reference

ExcludeThemeStyle procedure

Edit topic

Not documented

Pascal

procedure ExcludeThemeStyle(Control: TControl; Style: TThemeStyle);

File

JvThemes

Parameters

Control: TControl

Not documented

Style: TThemeStyle

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ExportDataSetToExcel procedure
JEDI-VCL Reference

ExportDataSetToExcel procedure

Edit topic

Not documented

Pascal

procedure ExportDataSetToExcel(DataSet: TDataSet; OnExportProgress: TOnExportProgress);

File

JvgExport

Parameters

DataSet: TDataSet

Not documented

OnExportProgress: TOnExportProgress

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ExtractIconFromFile function
JEDI-VCL Reference

ExtractIconFromFile function

Edit topic

Retrieves a handle to an icon from the specified executable file, dynamic-link library (DLL), or icon file.

Pascal

function ExtractIconFromFile(FileName: string; Index: Integer): HICON;

File

JvWinDialogs

Parameters

FileName: string

The name of an executable file, DLL, or icon file.

Index: Integer

The zero-based index of the icon to retrieve. For example, if this value is 0, the function returns a handle to the first icon in the specified file.

Description

ExtractIconFromFile is a wrapper for the ExtractIcon API. Use it to retrieve a handle to an icon from the specified executable file, dynamic-link library (DLL), or icon file.

Created with Doc-O-Matic.


ExtToMIMEType function
JEDI-VCL Reference

ExtToMIMEType function

See Also	Edit topic

Converts a file extension to a MIME string.

Pascal

function ExtToMIMEType(const Ext: string): string;

File

JvID3v2Base

Parameters

const Ext: string

The file extension to convert.

Description

Call MIMETypeToExt to convert a file extension to a MIME string.

For example:
Ext	Result
.jpg	image/jpeg
.png	image/png
.gif	image/gif
.tif	image/tiff
.pic	image/x-pict
.bmp	image/bitmap
Created with Doc-O-Matic.


See Also

MIMETypeToExt


FindDockBaseControl function
JEDI-VCL Reference

FindDockBaseControl function

See Also	Edit topic

Returns a TJvDockBaseControl component given its owner.

Pascal

function FindDockBaseControl(Client: TControl): TJvDockBaseControl;

File

JvDockControlForm

Parameters

Client: TControl

The control that owns a TJvDockBaseControl component. Generally, this parameter is an object of TForm.

Description

Call FindDockBaseControl to search for a TJvDockBaseControl component owned by Client.

Created with Doc-O-Matic.


See Also

FindDockClient, FindDockServer


FindDockClient function
JEDI-VCL Reference

FindDockClient function

See Also	Edit topic

Returns a TJvDockClient component given its owner.

Pascal

function FindDockClient(Client: TControl): TJvDockClient;

File

JvDockControlForm

Parameters

Client: TControl

The control that owns a TJvDockClient component. Generally, this parameter is an object of TForm.

Description

Call FindDockClient to search for a TJvDockClient component owned by Client.

FindDockClient searches the Client’s children and returns the first TJvDockClient component. If no child component is of type TJvDockClient, FindChildControl returns nil.

Note that a form can have at most 1 TJvDockClient as child, and can not have both a TJvDockClient and a TJvDockServer as child.

Created with Doc-O-Matic.


See Also

FindDockServer


FindDockServer function
JEDI-VCL Reference

FindDockServer function

See Also	Edit topic

Returns a TJvDockServer component given its owner.

Pascal

function FindDockServer(Client: TControl): TJvDockServer;

File

JvDockControlForm

Parameters

Client: TControl

The control that owns a TJvDockServer component. Generally, this parameter is an object of TForm.

Description

Call FindDockServer to search for a TJvDockServer component owned by Client.

Created with Doc-O-Matic.


See Also

FindDockClient


FindFilesDlg function
JEDI-VCL Reference

FindFilesDlg function

See Also	Edit topic

Displays Windows' built-in search files dialog.

Pascal

function FindFilesDlg(const StartIn: string; SpecialFolder: TJvSpecialFolder; UseFolder: Boolean): Boolean;

File

JvFindFiles

Parameters

const StartIn: string

The start folder if the folder is a file system directory.

SpecialFolder: TJvSpecialFolder

The start folder if the folder is one of the special folders available in Windows.

UseFolder: Boolean

Controls whether StartIn or SpecialFolder is used. Set to true to use SpecialFolder, to false to use Directory.

Description

Call FindFilesDlg to access the file search functionality built into Windows Explorer. If you are running Windows 95, 98 or NT, this function displays a dialog. If you are using Windows 2000 or XP, this function displays a search panel inside Windows Explorer.

This function is a wrapper for the TJvFindFilesDialog component so you don't need to create an instance of the component at run-time.

Created with Doc-O-Matic.


See Also

TJvFindFilesDialog


FixedDefaultEditPopup function
JEDI-VCL Reference

FixedDefaultEditPopup function

See Also	Edit topic

Returns a popup menu that implements the basic actions normally associated with an edit control.

Pascal

function FixedDefaultEditPopup(AEdit: TWinControl; Update: Boolean = True): TPopupMenu;

File

JvFixedEditPopUp

Parameters

AEdit: TWinControl

The control to associate the popup menu with.

Update: Boolean = True

Specifies whether to update the enabled state of the menu items.

Description

Use FixedDefaultEditPopup to access a default implementation of an edit control's popup menu. This function accomplishes two things: it enables a custom control to easily support a default edit popup menu with Cut, Copy, Paste etc. commands and it fixes a bug in the default popup implementation in TCustomEdit and TCustomMemo.

The edit control as implemented by Microsoft has one minor bug: the paste command is enabled even when the control is marked as read-only. No actual paste is possible, however. The popup menu returned by the function fixes this bug.

To enable a custom control to react to the commands of the popup menu, it must handle several messages and set certain windows styles. The messages the control must handle are:

Message	Action
WM_CUT	Cuts the selected text
WM_COPY	Copies the selected text
WM_PASTE	Paste text into the current selection
WM_CLEAR	Deletes current selection
EM_SETSEL	Select all text (if wParam = 0 and lParam = -1)
EM_GETSEL	Return the current selection
WM_UNDO	Undo last edit command
EM_CANUNDO	Return whether undo is available

In addition, the control should set the ES_READONLY style for the control if it has a read-only property or if it is read-only by default. Setting the ES_READONLY style, can be done with SetWindowLong using GWL_STYLE.

Created with Doc-O-Matic.


See Also

FixedDefaultEditPopUseResourceString


FixedDefaultEditPopUseResourceString procedure
JEDI-VCL Reference

FixedDefaultEditPopUseResourceString procedure

Edit topic

Changes how popup menu text is retrieved.

Pascal

procedure FixedDefaultEditPopUseResourceString(Value: Boolean);

File

JvFixedEditPopUp

Parameters

Value: Boolean

Pass false to use Windows' own menu strings, pass true to use the resourcestrings defined in the unit.

Description

Call FixedDefaultEditPopUseResourceString to change the way the texts on the popup menu items are retrieved.

By default, texts for the popup menu is retrieved directly from Windows' and thus is in the same language as the installed Windows language. If you for some reason prefer using resourcestrings (can be translated using the ITE), call this function with Value set to true. To switch back to using Windows' own strings again, set Value to false.

Created with Doc-O-Matic.


FreeAllDockableForm procedure
JEDI-VCL Reference

FreeAllDockableForm procedure

Edit topic

Not documented

Pascal

procedure FreeAllDockableForm;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


GenreToNiceGenre function
JEDI-VCL Reference

GenreToNiceGenre function

See Also	Edit topic

Converts an ID3 v2 genre string to a displayable genre string.

Pascal

function GenreToNiceGenre(const AGenre: string): string;

File

JvID3v2Base

Parameters

const AGenre: string

The ID3 v2 genre string to convert.

Description

For example:
Parameter	Returns
(21)	Ska
(4)Eurodisco	Disco Eurodisco
(51)(39)	Techno-Industrial Noise
'((I can figure out any genre)	(I can figure out any genre)
(55)((I think...)	Dream (I think...)
(RX)')	Remix
Created with Doc-O-Matic.


See Also

NiceGenreToGenre


GetClientAlignControlArea function
JEDI-VCL Reference

GetClientAlignControlArea function

Edit topic

Not documented

Pascal

function GetClientAlignControlArea(AControl: TWinControl; Align: TAlign; Exclude: TControl = nil): Integer;

File

JvDockControlForm

Parameters

AControl: TWinControl

Not documented

Align: TAlign

Not documented

Exclude: TControl = nil

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


GetContextPath function
JEDI-VCL Reference

GetContextPath function

See Also	Edit topic

Retrieves the full path for the specified context.

Pascal

function GetContextPath(Context: IJvDataContext): string;

File

JvDataProvider

Parameters

Context: IJvDataContext

Context to retrieve the full name path of.

Description

GetContextPath will retrieve a string containing the name path of the specified context. Each context name in the parent chain is separated by the '\' (backslash) character with the specified context's name being the last in the string.

Created with Doc-O-Matic.


See Also

IJvDataContext.Name


GetCsvRowItem function
JEDI-VCL Reference

GetCsvRowItem function

See Also	Edit topic

Internal Helper.

Pascal

function GetCsvRowItem(PItem: PCsvRow; ColumnIndex: Integer): string;

File

JvCsvData

Parameters

PItem: PCsvRow

Pointer to record

ColumnIndex: Integer

Which column to read.

Description

Get one field value from a row record.

Created with Doc-O-Matic.


See Also

SetCsvRowItem


GetDSACheckMarkText function
JEDI-VCL Reference

GetDSACheckMarkText function

Package	 See Also	Edit topic

Retrieves the check mark text for the given ID.

Pascal

function GetDSACheckMarkText(const ID: TDSACheckTextKind): string;

File

JvDSADialogs

Parameters

const ID: TDSACheckTextKind

Not documented

Description

GetDSACheckMarkText will locate and return the check mark text for the given ID. If the specified ID is not registered, an empty string will be returned.

Created with Doc-O-Matic.


See Also

RegisterDSACheckMarkText, UnregisterDSACheckMarkText


Package

Dlgs


GetDSAState function
JEDI-VCL Reference

GetDSAState function

Package	 See Also	Edit topic

Retrieves DSA state.

Pascal

function GetDSAState(const DlgID: Integer): Boolean; overload;
function GetDSAState(const DlgID: Integer; out ResCode: Integer; const OnCustomData: TDSACustomData = nil): Boolean; overload;

File

JvDSADialogs

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

out ResCode: Integer

If this parameter is specified, it will receive the stored ModalResult value if the dialog is suppressed. Otherwise this parameter will be set to 0.

const OnCustomData: TDSACustomData = nil

Provide an OnCustomData handler if additional info should be retrieved from the storage. Leave this parameter nil if no additional data is to be retrieved.

Description

GetDSAState retrieves the state of the specified DSA dialog, optionally returning the last ModalResult of the dialog.

Created with Doc-O-Matic.


See Also

SetDSAState


Package

Dlgs


GetFormVisible function
JEDI-VCL Reference

GetFormVisible function

Edit topic

Returns whether a form is hidden or visible.

Pascal

function GetFormVisible(DockWindow: TWinControl): Boolean;

File

JvDockControlForm

Parameters

DockWindow: TWinControl

Determines whether the object is visible or not. Generally, this parameter is a object of TForm.

Description

Call the GetFormVisible function to determine whether DockWindow parameter is visible. If visible, the function returns True, otherwise False.

Created with Doc-O-Matic.


GetGraphicClass function
JEDI-VCL Reference

GetGraphicClass function

Edit topic

Not documented

Pascal

function GetGraphicClass(Stream: TStream): TGraphicClass;

File

JvDBImage

Parameters

Stream: TStream

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


GetID3v2Version procedure
JEDI-VCL Reference

GetID3v2Version procedure

Edit topic

Returns the ID3 v2 version of a file.

Pascal

procedure GetID3v2Version(const AFileName: string; var HasTag: Boolean; var Version: TJvID3Version);

File

JvID3v2Base

Parameters

const AFileName: string

The name of the file to query.

var HasTag: Boolean

Indicates whether the file has an ID3 v2 tag.

Description

Call GetID3v2Version to determine whether a file has an ID3 v2 tag, and which version it is.

Version

Indicates the version of the tag if the file has such an ID3 v2 tag.

Created with Doc-O-Matic.


GetIndexAxis function
JEDI-VCL Reference

GetIndexAxis function

Edit topic

Returns the axis index for the specified axis configuration

Pascal

function GetIndexAxis(AxisConfig: TJvFullColorAxisConfig; AxisID: TJvAxisIndex): TJvAxisIndex;

File

JvFullColorCtrls

Return Value

The converted value of the Axis Index

Parameters

AxisConfig: TJvFullColorAxisConfig

Identifier of the axis configuration

AxisID: TJvAxisIndex

Axis index to be converted

Description

According to the specified axis configuration, the input axis index is translated to the corresponding axis index.

if axis configuration is acYXZ and axis index is axIndex0, the result will be axIndex1 For more help, see the TabAxisConfigs array in JvFullColorCtrls.pas

Created with Doc-O-Matic.


GetIndexAxisX function
JEDI-VCL Reference

GetIndexAxisX function

Edit topic

Returns the X axis index for the specified axis configuration

Pascal

function GetIndexAxisX(AxisConfig: TJvFullColorAxisConfig): TJvAxisIndex;

File

JvFullColorCtrls

Return Value

The converted value of the Axis Index

Parameters

AxisConfig: TJvFullColorAxisConfig

Identifier of the axis configuration

Description

According to the specified axis configuration, the X axis index is returned.

IE: if the axis configuration is acYXZ, the result will be axIndex1 (standing for Y).

Created with Doc-O-Matic.


GetIndexAxisY function
JEDI-VCL Reference

GetIndexAxisY function

Edit topic

Returns the Y axis index for the specified axis configuration

Pascal

function GetIndexAxisY(AxisConfig: TJvFullColorAxisConfig): TJvAxisIndex;

File

JvFullColorCtrls

Return Value

The converted value of the Axis Index

Parameters

AxisConfig: TJvFullColorAxisConfig

Identifier of the axis configuration

Description

According to the specified axis configuration, the Y axis index is returned.

IE: if the axis configuration is acYXZ, the result will be axIndex0 (standing for X).

Created with Doc-O-Matic.


GetIndexAxisZ function
JEDI-VCL Reference

GetIndexAxisZ function

Edit topic

Returns the Z axis index for the specified axis configuration

Pascal

function GetIndexAxisZ(AxisConfig: TJvFullColorAxisConfig): TJvAxisIndex;

File

JvFullColorCtrls

Return Value

The converted value of the Axis Index

Parameters

AxisConfig: TJvFullColorAxisConfig

Identifier of the axis configuration

Description

According to the specified axis configuration, the Z axis index is returned.

IE: if the axis configuration is acYXZ, the result will be axIndex2 (standing for Z).

Created with Doc-O-Matic.


GetIntValueFromResultString function
JEDI-VCL Reference

GetIntValueFromResultString function

See Also	Edit topic

Finds and returns variable name/value pairs in a TStringList.

Pascal

function GetIntValueFromResultString(const VarName: string; ResultStrings: TStrings; DefVal: Integer): Integer;

File

JvCsvParse

Parameters

const VarName: string

The variable name you want to read.

ResultStrings: TStrings

The TStringList to search for that variable name.

DefVal: Integer

The default value to return if the variable is not found.

Description

TStringList helper function. Finds and returns variable name/value pairs in a TStringList. Retrieve an integer value from a result string, Formats that are valid include:
Value	Meaning
VariableName : Value	usual format for status results
VariableName = Value	usual format in ini files
Label Name = Value	labels names can contain spaces.
Created with Doc-O-Matic.


See Also

GetValueFromResultString


GetItemCheckedState function
JEDI-VCL Reference

GetItemCheckedState function

See Also	Edit topic

Retrieve the checked state of the specified item.

Pascal

function GetItemCheckedState(Item: IJvDataItem): TDataItemState;

File

JvDataProvider

Parameters

Item: IJvDataItem

Item to determine the checked state of.

Description

GetItemCheckedState determines the checked state for the specified item. The following rules apply to determine the checked state:

If a consumer is selected into the provider and the consumer supports the IJvDataConsumerItemState interface, the checked state is retrieved from the IJvDataConsumerItemState.Checked method.

If the above did not apply or resulted in the disNotUsed state and the specified item supports the IJvDataItemStates, the state is copied from the IJvDataItemStates.Checked property.

If both of the rules above did not apply, the result will be disUnused.

This function is often used by consumer sub services and/or provider implementations (e.g. rendering implementations) to determine the correct state for drawing.

Created with Doc-O-Matic.


See Also

GetItemEnabledState, GetItemVisibleState, IJvDataConsumerItemState, IJvDataItemStates


GetItemEnabledState function
JEDI-VCL Reference

GetItemEnabledState function

See Also	Edit topic

Retrieve the enabled state of the specified item.

Pascal

function GetItemEnabledState(Item: IJvDataItem): TDataItemState;

File

JvDataProvider

Parameters

Item: IJvDataItem

Item to determine the enabled state of.

Description

GetItemEnabledState determines the enabled state for the specified item. The following rules apply to determine the enabled state:

If a consumer is selected into the provider and the consumer supports the IJvDataConsumerItemState interface, the enabled state is retrieved from the IJvDataConsumerItemState.Enabled method.

If the above did not apply or resulted in a state other than disFalse and the specified item supports the IJvDataItemStates, the state is copied from the IJvDataItemStates.Enabled property.

If both of the rules above did not apply, the result will be disUnused.

This function is often used by consumer sub services and/or provider implementations (e.g. rendering implementations) to determine the correct state for drawing.

Created with Doc-O-Matic.


See Also

GetItemCheckedState, GetItemVisibleState, IJvDataConsumerItemState, IJvDataItemStates


GetItemIDPath function
JEDI-VCL Reference

GetItemIDPath function

See Also	Edit topic

Retrieves the full ID path for the specified data item.

Pascal

function GetItemIDPath(Item: IJvDataItem): string;

File

JvDataProvider

Parameters

Item: IJvDataItem

Data item to retrieve the ID path of.

Description

GetItemIDPath will retrieve a string containing the ID path of the specified data item. Each item ID in the parent chain is separated by the '\' (backslash) character with the specified items ID being the last in the string.

The path is determined by the currently selected consumer and context at the provider.

Created with Doc-O-Matic.


See Also

IJvDataItem.GetID, IJvDataItems.GetItemByID


GetItemIndexPath function
JEDI-VCL Reference

GetItemIndexPath function

See Also	Edit topic

Retrieves the path of indices for the specified data item.

Pascal

function GetItemIndexPath(Item: IJvDataItem): TDynIntegerArray;

File

JvDataProvider

Parameters

Item: IJvDataItem

Data item to retrieve the index path of.

Description

GetItemIndexPath will retrieve an integer array containing the path of index values. The last value in the returned array represents the specified data item.

Created with Doc-O-Matic.


See Also

IJvDataItem.GetIndex, IJvDataItems.GetItemByIndexPath


GetItemVisibleState function
JEDI-VCL Reference

GetItemVisibleState function

See Also	Edit topic

Retrieve the visible state of the specified item.

Pascal

function GetItemVisibleState(Item: IJvDataItem): TDataItemState;

File

JvDataProvider

Parameters

Item: IJvDataItem

Item to determine the visible state of.

Description

GetItemVisibleState determines the visible state for the specified item. The following rules apply to determine the visible state:

If a consumer is selected into the provider and the consumer supports the IJvDataConsumerItemState interface, the visible state is retrieved from the IJvDataConsumerItemState.Visible method.

If the above did not apply or resulted in either the disNotUsed or disIndetermined state and the specified item supports the IJvDataItemStates, the state is copied from the IJvDataItemStates.Visible property.

If both of the rules above did not apply, the result will be disUnused.

This function is often used by consumer sub services and/or provider implementations (e.g. rendering implementations) to determine the correct state for drawing.

Created with Doc-O-Matic.


See Also

GetItemCheckedState, GetItemEnabledState, IJvDataConsumerItemState, IJvDataItemStates


GetLabelBehaviorName function
JEDI-VCL Reference

GetLabelBehaviorName function

See Also	Edit topic

Retrieves the name of a registered behavior class.

Pascal

function GetLabelBehaviorName(BehaviorOptionsClass: TJvLabelBehaviorOptionsClass): string;

File

JvBehaviorLabel

Parameters

BehaviorOptionsClass: TJvLabelBehaviorOptionsClass

The class type to get the name for. If the class hasn't been registered, this function returns an empty string.

Description

Call GetLabelBehaviorName to get the name of a registered behavior.

Created with Doc-O-Matic.


See Also

GetLabelBehaviorOptionsClass, GetRegisteredLabelBehaviorOptions, RegisterLabelBehaviorOptions


GetLabelBehaviorOptionsClass function
JEDI-VCL Reference

GetLabelBehaviorOptionsClass function

See Also	Edit topic

Retrieves the class type of a behavior.

Pascal

function GetLabelBehaviorOptionsClass(const Name: TJvLabelBehaviorName): TJvLabelBehaviorOptionsClass;

File

JvBehaviorLabel

Parameters

const Name: TJvLabelBehaviorName

The name used when the class was registered. If Name is empty or cannot be found, returns TJvBaseValidator.

Description

Call GetLabelBehaviorOptionsClass to get the class type of a behavior based on its registered name.

Created with Doc-O-Matic.


See Also

GetLabelBehaviorName, GetRegisteredLabelBehaviorOptions, RegisterLabelBehaviorOptions


GetParentBackground function
JEDI-VCL Reference

GetParentBackground function

Edit topic

Not documented

Pascal

function GetParentBackground(Control: TWinControl): Boolean;

File

JvThemes

Parameters

Control: TWinControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


GetParenthesis function
JEDI-VCL Reference

GetParenthesis function

Edit topic

Pascal Low Level PChar Functions for TJvCsvDataSet

Pascal

function GetParenthesis(S1: PChar; S2: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

Input string.

S2: PChar

Output string without parenthesis.

Description

Pascal Low Level PChar Functions for TJvCsvDataSet. Checks if string contains proper number of open/close parenthesis pairs.

Created with Doc-O-Matic.


GetRegisteredLabelBehaviorOptions procedure
JEDI-VCL Reference

GetRegisteredLabelBehaviorOptions procedure

See Also	Edit topic

Retrieves the names of all registered behaviors.

Pascal

procedure GetRegisteredLabelBehaviorOptions(Strings: TStrings);

File

JvBehaviorLabel

Parameters

Strings: TStrings

A TStrings instance that is filled with the returned names. This instance must be created and maintained by the caller.

Description

Copies the internal TStrings list to Strings where each Strings[] is the name of a registered class and each Objects[] is a pointer to the corresponding class

Created with Doc-O-Matic.


See Also

GetLabelBehaviorName, GetLabelBehaviorOptionsClass, RegisterLabelBehaviorOptions


GetShellLinkInfo procedure
JEDI-VCL Reference

GetShellLinkInfo procedure

See Also	Edit topic

Retrieves information on an existing shell link.

Pascal

procedure GetShellLinkInfo(const LinkFile: WideString; var SLI: TShellLinkInfo);

File

JvWinDialogs

Parameters

const LinkFile: WideString

The shell link.

var SLI: TShellLinkInfo

Contains information on the shell link.

Description

Call GetShellLinkInfo to retrieve information on an existing shell link.

Created with Doc-O-Matic.


See Also

SetShellLinkInfo


GetString function
JEDI-VCL Reference

GetString function

Edit topic

Return the substring that follows the separator character.

Pascal

function GetString(var Source: string; const Separator: string): string;

File

JvCsvParse

Parameters

var Source: string

Not documented

const Separator: string

Not documented

Description

Pass in a source string (For example, 'abc:def') and the separator (':'), returns the portion of the string after the separator.

Created with Doc-O-Matic.


GetThemeStyle function
JEDI-VCL Reference

GetThemeStyle function

Edit topic

Not documented

Pascal

function GetThemeStyle(Control: TControl): TThemeStyle;

File

JvThemes

Parameters

Control: TControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


GetToken procedure
JEDI-VCL Reference

GetToken procedure

See Also	Edit topic

Tokenize a string according to a fixed set of tokenization characters (see EndChar for a list)

Pascal

procedure GetToken(S1: PChar; S2: PChar);

File

JvCsvParse

Parameters

S1: PChar

Source buffer (modified by this function!)

S2: PChar

Destination buffer (result returned here)

Description

Pass in buffer in s1, and returns one token into s2, deletes that token from s1. Call repeatedly to parse a large string buffer. The buffer s1 is modified (the token is removed from the buffer).

Created with Doc-O-Matic.


See Also

EndChar


GetTokenCount function
JEDI-VCL Reference

GetTokenCount function

See Also	Edit topic

Debugging helper function for parsers.

Pascal

function GetTokenCount: Integer;

File

JvCsvParse

Description

Returns a count of the number of times GetToken has returned a token.

Created with Doc-O-Matic.


See Also

ResetTokenCount, GetToken


GetUniqueCtxName function
JEDI-VCL Reference

GetUniqueCtxName function

See Also	Edit topic

Returns a unique name within a specified context list.

Pascal

function GetUniqueCtxName(Contexts: IJvDataContexts; Prefix: string): string;

File

JvDataProvider

Parameters

Contexts: IJvDataContexts

Context list for which the name must be unique.

Prefix: string

Prefix of the context name to use.

Description

GetUniqueCtxName will determine and return a unique name within the specified context list, using the specified prefix string and an integer value.

The function will iterate over the contexts in the list and determine that largest integer value that follows each context starting with the specified prefix. The new name will be the prefix followed by the string representation of (1 + the largest value found). If no contexts are found starting with that prefix or not followed by an integer value, the resulting name will be the prefix followed by '1'.

This function is often used by implementers of the IJvDataContextsManager.New method to generate a new context with a unique name.

Created with Doc-O-Matic.


See Also

IJvDataContext.Name, IJvDataContextsManager.New


GetValueFromResultString function
JEDI-VCL Reference

GetValueFromResultString function

See Also	Edit topic

TStringList helper function. Finds and returns variable name/value pairs in a TStringList.

Pascal

function GetValueFromResultString(const VarName: string; ResultStrings: TStrings): string;

File

JvCsvParse

Parameters

const VarName: string

The variable name you want to read.

ResultStrings: TStrings

The TStringList to search for that variable name.

Description

TStringList helper function. Finds and returns variable name/value pairs in a TStringList. Retrieve an integer value from a result string, Formats that are valid include:
Value	Meaning
VariableName : Value	usual format for status results
VariableName = Value	usual format in ini files
Label Name = Value	labels names can contain spaces.
Created with Doc-O-Matic.


See Also

GetIntValueFromResultString


GetVarReference procedure
JEDI-VCL Reference

GetVarReference procedure

Edit topic

Parse a variable or label reference.

Pascal

procedure GetVarReference(S1: PChar; S2: PChar; SIdx: PChar);

File

JvCsvParse

Parameters

S1: PChar

Source String.

S2: PChar

Contains a variable name part of the string

SIdx: PChar

Contains an array index or null if the variable is not an array reference

Description

Gets a single token like ABC, or gets ABC[X] type reference if present

Created with Doc-O-Matic.


GIFVersionName function
JEDI-VCL Reference

GIFVersionName function

Edit topic

Returns the version string for a specific GIF version.

Pascal

function GIFVersionName(Version: TGIFVersion): string;

File

JvGIF

Description

Call GIFVersionName to retrieve the string name of a specific GIF version. Currently, this function returns either '87a' or '89a'. If the requested version is gvUnknown, the string #0#0#0 is returned instead.

Version

The version to get a string for.

Created with Doc-O-Matic.


GrayBitmap procedure
JEDI-VCL Reference

GrayBitmap procedure

Edit topic

Not documented

Pascal

procedure GrayBitmap(Bmp: TBitmap; R: Integer; G: Integer; B: Integer);

File

JvTransparentButton

Parameters

Bmp: TBitmap

Not documented

R: Integer

Not documented

G: Integer

Not documented

B: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


HasID3v1Tag function
JEDI-VCL Reference

HasID3v1Tag function

See Also	Edit topic

Indicates whether a file has an ID3v1 tag.

Pascal

function HasID3v1Tag(const AFileName: string): Boolean;

File

JvId3v1

Parameters

const AFileName: string

Specifies the name of the file.

Description

Call HasID3v1Tag to determine whether the file specified by parameter AFileName has an ID3v1 tag. HasID3v1Tag returns true if the file has an ID3v1 tag, otherwise returns false.

Created with Doc-O-Matic.


See Also

ReadID3v1Tag, RemoveID3v1Tag, WriteID3v1Tag


HexBytes function
JEDI-VCL Reference

HexBytes function

Edit topic

Transforms a buffer into a hexadecimal string representation.

Pascal

function HexBytes(const Buf; Length: Integer): string;

File

JvDataProvider

Parameters

const Buf

Buffer to transform.

Length: Integer

Length of the buffer to transform.

Description

HexBytes transforms the specified buffer into a hexadecimal string representation.

Each byte in the buffer will be represented by two hexadecimal digits in the resulting string, making the result string exactly twice the specified length.

Created with Doc-O-Matic.


HexPCharToInt function
JEDI-VCL Reference

HexPCharToInt function

Edit topic

Convert a hexadecimal string value to a Pascal Integer type.

Pascal

function HexPCharToInt(S1: PChar): Integer;

File

JvCsvParse

Parameters

S1: PChar

The hexadecimal string.

Description

Call HexPcharToInt('FFFF') and it will return 65535.

Created with Doc-O-Matic.


HexToAscii function
JEDI-VCL Reference

HexToAscii function

See Also	Edit topic

Decode a hex dump back into the original ascii string. Useful for decoding something that contained control characters.

Pascal

function HexToAscii(const S: string): string;

File

JvCsvParse

Parameters

const S: string

The hex encoded source.

Description

The reverse of the AsciiToHex function. Pass it a string in the form 'AA BB CC DD 00 11' that contains only hex digits, and the decoded string is returned.

Created with Doc-O-Matic.


See Also

AsciiToHex


HideDockForm procedure
JEDI-VCL Reference

HideDockForm procedure

Edit topic

Not documented

Pascal

procedure HideDockForm(DockWindow: TWinControl);

File

JvDockControlForm

Parameters

DockWindow: TWinControl

Indicate the display of this object. Generally, this parameter is a object of TForm.

Description

Call the HideDockForm procedure to hide a form that DockWindow identifies. If visible, the effect is as the same as TJvDockClient.HideDockForm procedure.

Created with Doc-O-Matic.


HtmlToString function
JEDI-VCL Reference

HtmlToString function

See Also	Edit topic

Converts a HTML string to a plain string.

Pascal

function HtmlToString(const Value: string): string;

File

JvStrToHtml

Parameters

const Value: string

The string to convert.

Description

HtmlToString converts the content of Value into an equivalent plain string. For example, the string '&lt;CODE&gt;' is converted into '<CODE>'.

Created with Doc-O-Matic.


See Also

CharToHtml, StringToHtml, TJvStrToHtml


ID3_FrameIDToString function
JEDI-VCL Reference

ID3_FrameIDToString function

See Also	Edit topic

Converts a frame identifier to a frame name.

Pascal

function ID3_FrameIDToString(const ID: TJvID3FrameID; const Size: Integer = 4): string;

File

JvId3v2Types

Parameters

const ID: TJvID3FrameID

The frame identifier to convert.

const Size: Integer = 4

Specifies the size of the resulting string. Use 3 for version 2.2.0 frame names and 4 for version 2.3.0 and version 2.4.0 frame names.

Description

ID3_FrameIDToString converts a frame identifier to a string containing the alphanumerical representation of that frame identifier.

For example: ID3_FrameIDToString(fiComment, 4) returns 'COMM'.

Created with Doc-O-Matic.


See Also

ID3_StringToFrameID


ID3_Genres procedure
JEDI-VCL Reference

ID3_Genres procedure

See Also	Edit topic

Populates a string list with genre names.

Pascal

procedure ID3_Genres(Strings: TStrings; const InclWinampGenres: Boolean = True);

File

JvId3v2Types

Parameters

Strings: TStrings

A TStrings descendant that receives the genre names. Any existing strings are deleted from the list before ID3_Genres adds the genre names.

const InclWinampGenres: Boolean = True

Specifies whether to include the genres introduced by Winamp.

Description

Call ID3_Genres to get a list containing ID3 genre names. For example, you can use it to fill a combobox that the user can use to select a specific genre:

    ID3_Genres(ComboBox1.Items);

Created with Doc-O-Matic.


See Also

ID3_GenreToID, ID3_IDToGenre, ID3_LongGenreToID


ID3_GenreToID function
JEDI-VCL Reference

ID3_GenreToID function

See Also	Edit topic

Converts a string to a genre identifier.

Pascal

function ID3_GenreToID(const AGenre: string; const InclWinampGenres: Boolean = True): Integer;

File

JvId3v2Types

Parameters

const AGenre: string

The genre string to convert.

const InclWinampGenres: Boolean = True

Specifies whether to include the genres introduced by Winamp.

Description

Use the ID3_GenreToID function to convert a string to a genre identifier (offset of a genre in a predefined list).

Created with Doc-O-Matic.


See Also

ID3_Genres, ID3_IDToGenre, ID3_LongGenreToID


ID3_IDToGenre function
JEDI-VCL Reference

ID3_IDToGenre function

See Also	Edit topic

Converts a genre identifier to a string.

Pascal

function ID3_IDToGenre(const ID: Integer; const InclWinampGenres: Boolean = True): string;

File

JvId3v2Types

Parameters

const ID: Integer

The genre identifier to convert.

const InclWinampGenres: Boolean = True

Specifies whether to include the genres introduced by Winamp.

Description

Use the ID3_IDToGenre function to convert a genre identifier (offset of a genre in a predefined list) to a string.

Created with Doc-O-Matic.


See Also

ID3_Genres, ID3_GenreToID, ID3_LongGenreToID


ID3_LongGenreToID function
JEDI-VCL Reference

ID3_LongGenreToID function

See Also	Edit topic

Converts a prefix of a string to a genre identifier.

Pascal

function ID3_LongGenreToID(const ALongGenre: string; const InclWinampGenres: Boolean = True): Integer;

File

JvId3v2Types

Parameters

const ALongGenre: string

The genre string to convert.

const InclWinampGenres: Boolean = True

Specifies whether to include the genres introduced by Winamp.

Description

Use the ID3_LongGenreToID function to convert a prefix of a string to a genre identifier (offset of a genre in a predefined list).

For example:
Calling	Returns	Meaning
ID3_LongGenreToID('Pop or something')	13	Pop
ID3_LongGenreToID('Pop/Funk ??')	62	Pop/Funk
ID3_LongGenreToID('Pop-Folk alike')	53	Pop-Folk
ID3_LongGenreToID('Rock')	17	Rock
ID3_LongGenreToID('Rocks')	255	??
ID3_LongGenreToID('Rock & Roll')	78	Rock & Roll
ID3_LongGenreToID('Rock & Rolls')	17	Rock
Created with Doc-O-Matic.


See Also

ID3_Genres, ID3_GenreToID, ID3_IDToGenre


ID3_StringToFrameID function
JEDI-VCL Reference

ID3_StringToFrameID function

See Also	Edit topic

Converts a frame name to a frame identifier.

Pascal

function ID3_StringToFrameID(const S: string): TJvID3FrameID;

File

JvId3v2Types

Parameters

const S: string

Specifies the frame name.

Description

ID3_FrameIDToString converts a frame identifier to a string containing the alphanumerical representation of that frame identifier.

For example: ID3_StringToFrameID('COMM') returns fiComment.

Created with Doc-O-Matic.


See Also

ID3_FrameIDToString


IdentToUnlitColor function
JEDI-VCL Reference

IdentToUnlitColor function

See Also	Edit topic

Translates an unlit color literal into a TUnlitColor value.

Pascal

function IdentToUnlitColor(const Ident: string; var Int: Longint): Boolean;

File

JvSegmentedLEDDisplay

Parameters

const Ident: string

String literal representing a color

var Int: Longint

Ordinal value of the color represented by the Ident value.

Description

IdentToUnlitColor translates an unlit color literal into a TUnlitColor. Because TUnlitColor allows for two additional values which should be accessible from the Object Inspector this method is needed to perform the translation from the string literal into the actual value.

If the string literal does not represent one of the two additional values, the IdentToColor function is called.

Created with Doc-O-Matic.


See Also

IdentToColor


IncludeThemeStyle procedure
JEDI-VCL Reference

IncludeThemeStyle procedure

Edit topic

Not documented

Pascal

procedure IncludeThemeStyle(Control: TControl; Style: TThemeStyle);

File

JvThemes

Parameters

Control: TControl

Not documented

Style: TThemeStyle

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IsDockable function
JEDI-VCL Reference

IsDockable function

Edit topic

Not documented

Pascal

function IsDockable(Sender: TWinControl; Client: TControl; DropCtl: TControl = nil; DockAlign: TAlign = alNone): Boolean;

File

JvDockControlForm

Parameters

Sender: TWinControl

Not documented

Client: TControl

Not documented

DropCtl: TControl = nil

Not documented

DockAlign: TAlign = alNone

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


IsExpressionKeyword function
JEDI-VCL Reference

IsExpressionKeyword function

Edit topic

Return True if valid script boolean operator string (and, or, xor, etc)

Pascal

function IsExpressionKeyword(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

String to check

Description

Return True if valid expression.

Created with Doc-O-Matic.


IsKeyword function
JEDI-VCL Reference

IsKeyword function

Edit topic

Return True if valid script keyword

Pascal

function IsKeyword(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

Not documented

Description

Checks against valid keywords

Created with Doc-O-Matic.


IsMouseOver function
JEDI-VCL Reference

IsMouseOver function

Edit topic

Not documented

Pascal

function IsMouseOver(Control: TControl): Boolean;

File

JvThemes

Parameters

Control: TControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ISO_639_2CodeToName function
JEDI-VCL Reference

ISO_639_2CodeToName function

See Also	Edit topic

Converts an ISO-639-2 Alpha-3 code to a language name.

Pascal

function ISO_639_2CodeToName(const Code: string): string;

File

JvId3v2Types

Parameters

const Code: string

Specifies an ISO-639-2 Alpha-3 code that should be converted. Code must have length 3, - otherwise the function returns an empty string.

Description

Call ISO_639_2CodeToName to convert an ISO-639-2 Alpha-3 code to a language name.

For example, ISO_639_2CodeToName('deu') returns 'German'.

The ISO-639-2 standard provides codes for the representation of names of languages, the codes in the ISO-639-2 standard consist of alpha characters and have length 3.

Returns the language name identified by the Code parameter.

Created with Doc-O-Matic.


See Also

ISO_639_2IsCode, ISO_639_2Names, ISO_639_2NameToCode


ISO_639_2IsCode function
JEDI-VCL Reference

ISO_639_2IsCode function

See Also	Edit topic

Indicates whether a given code is an ISO-639-2 Alpha-3 code that identifies a specific language.

Pascal

function ISO_639_2IsCode(const Code: string): Boolean;

File

JvId3v2Types

Parameters

const Code: string

Specifies a string that should be checked.

Description

Call ISO_639_2IsCode whether the string represented by the Code parameter is an ISO-639-2 code that identifies a specific language.

For example, ISO_639_2IsCode('dan') returns True, because 'dan' represents the Danish language.

The ISO-639-2 standard provides codes for the representation of names of languages, the codes in the ISO-639-2 standard consist of alpha characters and have length 3.

Returns True if parameter Code represents an ISO-639-2 language, otherwise returns False.

Created with Doc-O-Matic.


See Also

ISO_639_2CodeToName, ISO_639_2Names, ISO_639_2NameToCode


ISO_639_2Names procedure
JEDI-VCL Reference

ISO_639_2Names procedure

See Also	Edit topic

Provides a list of languages as identified by ISO-639-2.

Pascal

procedure ISO_639_2Names(Strings: TStrings);

File

JvId3v2Types

Parameters

Strings: TStrings

Specifies a TStrings that should be filled.

Description

Call ISO_639_2Names to retrieve a list of all languages as described by the ISO-639-2 standard.

The ISO-639-2 standard provides codes for the representation of names of languages, the codes in the ISO-639-2 standard consist of alpha characters and have length 3.

Created with Doc-O-Matic.


See Also

ISO_639_2CodeToName, ISO_639_2IsCode, ISO_639_2NameToCode


ISO_639_2NameToCode function
JEDI-VCL Reference

ISO_639_2NameToCode function

See Also	Edit topic

Converts a language name to an ISO-639-2 Alpha-3 code that represents that language.

Pascal

function ISO_639_2NameToCode(const Name: string): string;

File

JvId3v2Types

Parameters

const Name: string

Specifies an ISO-639-2 language that should be converted.

Description

Call ISO_639_2NameToCode to convert a language name to an ISO-639-2 Alpha-3 code.

For example, ISO_639_2NameToCode('Somali') returns 'som'.

The ISO-639-2 standard provides codes for the representation of names of languages, the codes in the ISO-639-2 standard consist of alpha characters and have length 3.

Created with Doc-O-Matic.


See Also

ISO_639_2CodeToName, ISO_639_2IsCode, ISO_639_2Names


ItemHTDraw function
JEDI-VCL Reference

ItemHTDraw function

See Also	Edit topic

Not documented

Pascal

function ItemHTDraw(Canvas: TCanvas; Rect: TRect; const State: TOwnerDrawState; const Text: string; Scale: Integer = 100): string;

File

JvHtControls

Parameters

Canvas: TCanvas

Canvas used to render the HTML content.

Rect: TRect

Rectangle to use for rendering HTML content.

const State: TOwnerDrawState

Draw state values for the rendering operation.

const Text: string

HTML tags to render.

Scale: Integer = 100

Scaling factor for the render. Default value is 100.

Description

ItemHTDraw is a procedure used to render HTML-tagged values using a TCanvas drawing area. Parameters for the procedure provide the drawing canvas, clipping rectangle, and state information needed to draw the specified HTML-tagged values.

Scale indicates the scaling (or zoom) factor for the rendered values. The default value is 100. Use scale to control rendering of relative fonts sizes.

ItemHTDraw calls the HTMLDrawText procedure to perform the low-level operations required for the procedure.

Use ItemHTDrawEx to render HTML-tagged values that include links (HTML Anchors) and mouse position information.

Created with Doc-O-Matic.


See Also

ItemHTDrawEx


ItemHTDrawEx procedure
JEDI-VCL Reference

ItemHTDrawEx procedure

See Also	Edit topic

Renders HTML that contains a link (or HTML Anchor).

Pascal

procedure ItemHTDrawEx(Canvas: TCanvas; Rect: TRect; const State: TOwnerDrawState; const Text: string; var Width: Integer; CalcType: TJvHTMLCalcType; MouseX: Integer; MouseY: Integer; var MouseOnLink: Boolean; var LinkName: string; Scale: Integer = 100);

File

JvHtControls

Parameters

Canvas: TCanvas

Canvas used to render the HTML content.

Rect: TRect

Rectangle to use for rendering HTML content.

const State: TOwnerDrawState

Draw state values for the rendering operation.

const Text: string

HTML tags to render.

var Width: Integer

Width of the rendered values.

CalcType: TJvHTMLCalcType

Type of HTML size calculation.

MouseX: Integer

Mouse position.

MouseY: Integer

Mouse position.

var MouseOnLink: Boolean

Mouse is currently in the HTML Anchor.

var LinkName: string

URL for the HTML Anchor.

Scale: Integer = 100

Scaling factor for the render. Default value is 100.

Description

ItemHTDrawEx is a procedure used to render HTML-tagged values that include links (HTML Anchors) using a TCanvas drawing area. Parameters for the procedure provide the drawing canvas, clipping rectangle, mouse position, and state information needed to draw the specified HTML-tagged values.

Width indicates the calculated width for the render HTML values in Text.

MouseX and MouseY represent the coordinates for the mouse pointer. The value in MouseOnLink is updated to indicate if the MouseX and MouseY coordinates are currently in an HTML anchor in the rendered values. LinkName is updated to indicate the URL for the HTML Anchor.

Scale indicates the scaling (or zoom) factor for the rendered values. The default value is 100. Use scale to control rendering of relative fonts sizes.

ItemHTDrawEx calls the HTMLDrawTextEx procedure to perform the low-level operations required for the procedure.

Use ItemHTDraw to render HTML-tagged values that do not include links (HTML Anchors) or mouse position information.

Created with Doc-O-Matic.


See Also

ItemHTDraw


ItemHTHeight function
JEDI-VCL Reference

ItemHTHeight function

See Also	Edit topic

Determines the height of rendered HTML values.

Pascal

function ItemHTHeight(Canvas: TCanvas; const Text: string; Scale: Integer = 100): Integer;

File

JvHtControls

Parameters

Canvas: TCanvas

Canvas used to render the HTML content.

const Text: string

HTML tags to render.

Scale: Integer = 100

Scaling factor for the render. Default value is 100.

Description

ItemHTHeight is a function used to determine the height of the rendered HTML values specified in Text on the drawing area specified in Canvas.

Scale indicates the scaling (or zoom) factor for the rendered values. The default value is 100. Use scale to control rendering of relative fonts sizes.

ItemHTHeight calls HTMLTextHeight to perform the low-level operations for the function.

Created with Doc-O-Matic.


See Also

HTMLTextHeight


ItemHTPlain function
JEDI-VCL Reference

ItemHTPlain function

See Also	Edit topic

Converts HTML-tagged values to plain text.

Pascal

function ItemHTPlain(const Text: string): string;

File

JvHtControls

Parameters

const Text: string

HTML tags to convert to plain text.

Description

ItemHTPlain is a function used to convert the HTML-tagged values specified in Text as plain text. ItemHTPlain calls the HTMLPlainText function to remove the HTML tags in the specified argument.

Use ItemHTDraw or ItemHTDrawEx to render HTML-tagged values to the a TCanvas instance.

Created with Doc-O-Matic.


See Also

ItemHTDraw, ItemHTDrawEx


ItemHTWidth function
JEDI-VCL Reference

ItemHTWidth function

See Also	Edit topic

Renders HTML-tagged contents using the specified Canvas, Rectangle, and Scaling factor.

Pascal

function ItemHTWidth(Canvas: TCanvas; Rect: TRect; const State: TOwnerDrawState; const Text: string; Scale: Integer = 100): Integer;

File

JvHtControls

Return Value

Integer - Width of the rendered HTML tag.

Parameters

Canvas: TCanvas

Canvas used to render the HTML content.

Rect: TRect

Rectangle to use for rendering HTML content.

const State: TOwnerDrawState

Draw state values for the rendering operation.

const Text: string

HTML tags to render.

Scale: Integer = 100

Scaling factor for the render. Default value is 100.

Description

ItemHTWidth is a function used to render the HTML-tagged contents using the specified in Text using the Canvas, Rectangle, State, and Scaling factor arguments. The return value is an Integer that indicates the width of the rendered Text.

ItemHTWidth is used when rendering or auto-sizing the content in HTML-enabled controls like TJvHTLabel to determine the width of the rendered value.

Use ItemHTHeight to determine the render height of HTML-tagged values.

ItemHTWidth calls the HTMLTextWidth in JvJVCLUtils.pas.

Created with Doc-O-Matic.


See Also

HTMLTextWidth


JvClipboard function
JEDI-VCL Reference

JvClipboard function

Edit topic

Returns an instance of TJvClipboard to be used by the application.

Pascal

function JvClipboard: TJvClipboard;

File

JvClipbrd

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


JvCsvBackupPreviousFiles function
JEDI-VCL Reference

JvCsvBackupPreviousFiles function

Edit topic

Backups a CSV file.

Pascal

function JvCsvBackupPreviousFiles(const FileName: string; MaxFiles: Integer): Boolean;

File

JvCsvData

Parameters

const FileName: string

The base filename of the backup file.

MaxFiles: Integer

The maximum number of backup files to keep with the same base Filename.

Description

Call JvCsvBackupPreviousFiles to create a backup of a CSV file.

Created with Doc-O-Matic.


JvCsvWildcardMatch function
JEDI-VCL Reference

JvCsvWildcardMatch function

See Also	Edit topic

Internal wildcard matching function used by SetFilter

Pascal

function JvCsvWildcardMatch(Data: string; Pattern: string): Boolean;

File

JvCsvData

Parameters

Data: string

A literal string value to be checked, for example 'Bob Smith'

Pattern: string

A pattern to be matched, can have special wildcard characters, for example 'Bob%'

Description

See SetFilter.

patterns can contain wildcards, such as '%' for AnyString, or '?' for matching any Single Character. These wildcards were chosen because they are similar to the wildcards used in SQL Databases.

A very specialized feature is the ability to check for several different values, by combining the values with a vertical-pipe (|) symbol. To match a string that starts with either A or B or C, use the pattern 'A%|B%|C%

Created with Doc-O-Matic.


See Also

SetFilter


JvDateIsoStr function
JEDI-VCL Reference

JvDateIsoStr function

Edit topic

Not documented

Pascal

function JvDateIsoStr(ADateTime: TDateTime): string;

File

JvCsvData

Parameters

ADateTime: TDateTime

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


JvDateTimeIsoStr function
JEDI-VCL Reference

JvDateTimeIsoStr function

Edit topic

Not documented

Pascal

function JvDateTimeIsoStr(ADateTime: TDateTime): string;

File

JvCsvData

Parameters

ADateTime: TDateTime

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


JvIsoDateStrToDate function
JEDI-VCL Reference

JvIsoDateStrToDate function

Edit topic

Not documented

Pascal

function JvIsoDateStrToDate(const AsciiDateStr: string): TDateTime;

File

JvCsvData

Parameters

const AsciiDateStr: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


JvIsoDateTimeStrToDateTime function
JEDI-VCL Reference

JvIsoDateTimeStrToDateTime function

Edit topic

Not documented

Pascal

function JvIsoDateTimeStrToDateTime(const AsciiDateTimeStr: string): TDateTime;

File

JvCsvData

Parameters

const AsciiDateTimeStr: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


JvIsoTimeStrToTime function
JEDI-VCL Reference

JvIsoTimeStrToTime function

Edit topic

Not documented

Pascal

function JvIsoTimeStrToTime(const AsciiTimeStr: string): TDateTime;

File

JvCsvData

Parameters

const AsciiTimeStr: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


JvTimeIsoStr function
JEDI-VCL Reference

JvTimeIsoStr function

Edit topic

Not documented

Pascal

function JvTimeIsoStr(ADateTime: TDateTime): string;

File

JvCsvData

Parameters

ADateTime: TDateTime

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


JvUrlGrabberClassList function
JEDI-VCL Reference

JvUrlGrabberClassList function

See Also	Edit topic

Returns the list of register Url Grabbers

Pascal

function JvUrlGrabberClassList: TJvUrlGrabberClassList;

File

JvUrlListGrabber

Description

The TJvUrlListGrabber component needs to know which object to use for a given URL. This function gives a list of classes that can handle URLs

Created with Doc-O-Matic.


See Also

TJvUrlGrabberClassList, TJvUrlListGrabber


JvWizardDrawBorderEdges function
JEDI-VCL Reference

JvWizardDrawBorderEdges function

Edit topic

Draw borders on a canvas.

Pascal

function JvWizardDrawBorderEdges(ACanvas: TCanvas; ABounds: TRect; AStyle: TJvWizardFrameStyle; AEdges: TBevelEdges): TRect;

File

JvWizardCommon

Parameters

ACanvas: TCanvas

The canvas to draw on.

ABounds: TRect

The rect to draw in.

AStyle: TJvWizardFrameStyle

The style to use.

AEdges: TBevelEdges

Edges to draw.

Description

Use JvWizardDrawBorderEdges as a convenient way of drawing border edges on a canvas.

Created with Doc-O-Matic.


JvWizardDrawEdges function
JEDI-VCL Reference

JvWizardDrawEdges function

Edit topic

Draw edges on a canvas.

Pascal

function JvWizardDrawEdges(ACanvas: TCanvas; ABounds: TRect; ULColor: TColor; LRColor: TColor; AEdges: TBevelEdges): TRect;

File

JvWizardCommon

Parameters

ACanvas: TCanvas

The canvas to draw on.

ABounds: TRect

The rect to draw in.

ULColor: TColor

Color of left and upper edge.

LRColor: TColor

Color of right and bottom edge.

AEdges: TBevelEdges

Edges to draw.

Description

Use JvWizardDrawEdges as a convenient way to draw edges on a canvas.

Created with Doc-O-Matic.


JvWizardDrawImage procedure
JEDI-VCL Reference

JvWizardDrawImage procedure

Edit topic

Draws an image on a canvas.

Pascal

procedure JvWizardDrawImage(ACanvas: TCanvas; AGraphic: TGraphic; ARect: TRect; Align: TJvWizardImageAlignment; ALayout: TJvWizardImageLayout);

File

JvWizardCommon

Parameters

ACanvas: TCanvas

The canvas to draw on.

AGraphic: TGraphic

The image to draw.

ARect: TRect

The area in the canvas to draw in.

Align: TJvWizardImageAlignment

The alignment of the image.

ALayout: TJvWizardImageLayout

The layout of the image.

Description

Use JvWizardDrawImage as a convenient way of drawing an image on a canvas.

Created with Doc-O-Matic.


JvXPAdjustBoundRect procedure
JEDI-VCL Reference

JvXPAdjustBoundRect procedure

Edit topic

Adjust a TRect based on several parameters.

Pascal

procedure JvXPAdjustBoundRect(const BorderWidth: Byte; const ShowBoundLines: Boolean; const BoundLines: TJvXPBoundLines; var Rect: TRect);

File

JvXPCoreUtils

Parameters

const BorderWidth: Byte

Width of the controls borders.

const ShowBoundLines: Boolean

Determines if BoundLines is valid.

const BoundLines: TJvXPBoundLines

Contains a set of edges that are showing in the control.

var Rect: TRect

At entry, contains the bounding rect of the control. At exit, contains the modified values.

Description

JvXPAdjustBoundRect is used to modify the size of a TRect based on the current value of several properties. When entering the procedure, Rect should be set to the current bounding rect of the control. When returning, Rect has been modified with the new values.

Created with Doc-O-Matic.


JvXPColorizeBitmap procedure
JEDI-VCL Reference

JvXPColorizeBitmap procedure

Edit topic

Changes the background color of a bitmap.

Pascal

procedure JvXPColorizeBitmap(Bitmap: TBitmap; const AColor: TColor);

File

JvXPCoreUtils

Parameters

Bitmap: TBitmap

The bitmap to change.

const AColor: TColor

The new background color for the bitmap.

Description

JvXPColorizeBitmap changes the background color of a bitmap to a new color.

Created with Doc-O-Matic.


JvXPConvertToGray2 procedure
JEDI-VCL Reference

JvXPConvertToGray2 procedure

Edit topic

Converts a color image to a gray scale image.

Pascal

procedure JvXPConvertToGray2(Bitmap: TBitmap);

File

JvXPCoreUtils

Parameters

Bitmap: TBitmap

The bitmap to convert.

Description

Use JvXPConvertToGray2 to convert a bitmap image to a gray scale equivalent.

Created with Doc-O-Matic.


JvXPCreateGradientRect procedure
JEDI-VCL Reference

JvXPCreateGradientRect procedure

Edit topic

Creates a bitmap with a gradient color pattern.

Pascal

procedure JvXPCreateGradientRect(const AWidth: Integer; const AHeight: Integer; const StartColor: TColor; const EndColor: TColor; const Colors: TJvXPGradientColors; const Style: TJvXPGradientStyle; const Dithered: Boolean; var Bitmap: TBitmap);

File

JvXPCoreUtils

Parameters

const AWidth: Integer

Width of gradient.

const AHeight: Integer

Height of gradient.

const StartColor: TColor

Start color of gradient.

const EndColor: TColor

End color of gradient.

const Colors: TJvXPGradientColors

The number of colors in the gradient.

const Style: TJvXPGradientStyle

Sets the direction of the gradient.

const Dithered: Boolean

Determines if the gradient is dithered or not.

var Bitmap: TBitmap

The resulting gradient.

Description

Call JvXPCreateGradientRect to create a gradient bitmap.

Created with Doc-O-Matic.


JvXPDrawBoundLines procedure
JEDI-VCL Reference

JvXPDrawBoundLines procedure

Edit topic

Draws bounding lines in a specific rect on a specific canvas.

Pascal

procedure JvXPDrawBoundLines(const ACanvas: TCanvas; const BoundLines: TJvXPBoundLines; const AColor: TColor; const Rect: TRect);

File

JvXPCoreUtils

Parameters

const ACanvas: TCanvas

The canvas to draw on.

const BoundLines: TJvXPBoundLines

The bounding lines to draw.

const AColor: TColor

The color to use for the lines.

const Rect: TRect

The bounding rect to draw in.

Description

Call JvXPDrawBoundLines when you need to draw the bounding lines of a control.

Created with Doc-O-Matic.


JvXPDrawLine procedure
JEDI-VCL Reference

JvXPDrawLine procedure

Edit topic

Draw a line in XP style.

Pascal

procedure JvXPDrawLine(const ACanvas: TCanvas; const X1: Integer; const Y1: Integer; const X2: Integer; const Y2: Integer);

File

JvXPCoreUtils

Parameters

const ACanvas: TCanvas

The canvas to draw on.

const X1: Integer

The horizontal start position of the line.

const Y1: Integer

The vertical start position of the line.

const X2: Integer

The horizontal end position of the line.

const Y2: Integer

The vertical end position of the line.

Description

Use JvXPDrawLine to draw a line in XP style on a canvas.

Created with Doc-O-Matic.


JvXPFrame3D procedure
JEDI-VCL Reference

JvXPFrame3D procedure

See Also	Edit topic

Draws a frame on a canvas.

Pascal

procedure JvXPFrame3D(const ACanvas: TCanvas; const Rect: TRect; const TopColor: TColor; const BottomColor: TColor; const Swapped: Boolean = False);

File

JvXPCoreUtils

Parameters

const ACanvas: TCanvas

The canvas to draw on.

const Rect: TRect

The rect to draw in. This is adjusted to the dimensions of the rectangle that lies inside the frame.

const TopColor: TColor

The color for the top and left edges.

const BottomColor: TColor

The color for the bottom and right edges.

const Swapped: Boolean = False

Set to true if TopColor and BottomColor should swap places.

Description

Use JvXPFrame3D to draw like Frame3D but using an XP style.

Created with Doc-O-Matic.


See Also

Frame3D


JvXPMethodsEqual function
JEDI-VCL Reference

JvXPMethodsEqual function

Edit topic

Determines whether two method pointers point to the same method.

Pascal

function JvXPMethodsEqual(const Method1: TMethod; const Method2: TMethod): Boolean;

File

JvXPCoreUtils

Return Value

Returns true if the method pointers point to the same method.

Parameters

const Method1: TMethod

The first method to test.

const Method2: TMethod

The second method to test.

Description

Use JvXPMethodsEqual to determine whether to methods point to the same method implementation.

Created with Doc-O-Matic.


JvXPPlaceText procedure
JEDI-VCL Reference

JvXPPlaceText procedure

Edit topic

Calculates and draws text.

Pascal

procedure JvXPPlaceText(const AParent: TControl; const ACanvas: TCanvas; const AText: TCaption; const AFont: TFont; const AEnabled: Boolean; const AShowAccelChar: Boolean; const AAlignment: TAlignment; const AWordWrap: Boolean; var Rect: TRect);

File

JvXPCoreUtils

Parameters

const AParent: TControl

The parent of the control being drawn into.

const ACanvas: TCanvas

The canvas to draw on.

const AText: TCaption

The text to draw.

const AFont: TFont

The font to use.

const AEnabled: Boolean

Draw text enabled or disabled.

const AShowAccelChar: Boolean

Draw accelerator characters or not.

const AAlignment: TAlignment

Alignment of text.

const AWordWrap: Boolean

Wordwrapping on/off.

var Rect: TRect

The rect to draw in.

Description

Use JvXPPlaceText to simplify the drawing of text.

Created with Doc-O-Matic.


JvXPRenderText procedure
JEDI-VCL Reference

JvXPRenderText procedure

Edit topic

Draws text.

Pascal

procedure JvXPRenderText(const AParent: TControl; const ACanvas: TCanvas; ACaption: TCaption; const AFont: TFont; const AEnabled: Boolean; const AShowAccelChar: Boolean; var ARect: TRect; AFlags: Integer);

File

JvXPCoreUtils

Parameters

const AParent: TControl

The parent of the control to draw.

const ACanvas: TCanvas

The canvas to draw on.

ACaption: TCaption

The text to draw.

const AFont: TFont

The font to use.

const AEnabled: Boolean

Draw text enabled or disabled.

const AShowAccelChar: Boolean

Draw accelerators or not.

var ARect: TRect

The rect to draw in or adjust according to the parameters.

AFlags: Integer

Additional flags to use. These are the same flags as used by DrawText. Specifically, if you include DT_CALCRECT in flags, the ARect is adjusted but nothing is drawn.

Description

Use JvXPRenderText to either calculate or draw text.

Created with Doc-O-Matic.


JvXPSetDrawFlags procedure
JEDI-VCL Reference

JvXPSetDrawFlags procedure

See Also	Edit topic

Adjusts Flags according to the values of the parameters.

Pascal

procedure JvXPSetDrawFlags(const AAlignment: TAlignment; const AWordWrap: Boolean; var Flags: Integer);

File

JvXPCoreUtils

Parameters

const AAlignment: TAlignment

The alignment to include in Flags

const AWordWrap: Boolean

The wordwrap value to include in Flags.

var Flags: Integer

Modified to include the values of AAlignment and AWordWrap.

Description

Use JvXPSetDrawFlags as an easy way to set Flags with the alignment and wordwrap values. The DT_ENDELLIPSIS value is always included in Flags. Flags can be used in calls to DrawText and JvXPRenderText.

Created with Doc-O-Matic.


See Also

DrawText, JvXPRenderText


LoadDockTreeFromAppStorage procedure
JEDI-VCL Reference

LoadDockTreeFromAppStorage procedure

Edit topic

Not documented

Pascal

procedure LoadDockTreeFromAppStorage(AppStorage: TJvCustomAppStorage; AppStoragePath: string = '');

File

JvDockControlForm

Parameters

AppStorage: TJvCustomAppStorage

Not documented

AppStoragePath: string = ''

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


LoadDockTreeFromFile procedure
JEDI-VCL Reference

LoadDockTreeFromFile procedure

Edit topic

Not documented

Pascal

procedure LoadDockTreeFromFile(FileName: string);

File

JvDockControlForm

Parameters

FileName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


LoadDockTreeFromReg procedure
JEDI-VCL Reference

LoadDockTreeFromReg procedure

Edit topic

Not documented

Pascal

procedure LoadDockTreeFromReg(ARootKey: DWORD; RegPatch: string);

File

JvDockControlForm

Parameters

ARootKey: DWORD

Not documented

RegPatch: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


LoadImageListFromBitmap function
JEDI-VCL Reference

LoadImageListFromBitmap function

Edit topic

Loads the bitmaps for the ImageList from a bitmap.

Pascal

function LoadImageListFromBitmap(ImgList: TCustomImageList; const Bitmap: TBitmap; MaskColor: TColor = clFuchsia; AutoMaskColor: Boolean = False): Integer; overload;
function LoadImageListFromBitmap(ImgList: TCustomImageList; const Bitmap: TBitmap; MaskBitmap: TBitmap): Integer; overload;

File

JvImageList

Parameters

ImgList: TCustomImageList

The image list to which the split bitmap should be added

const Bitmap: TBitmap

The bitmap that should be added to the image list

MaskColor: TColor = clFuchsia

Mask color (default: clFuchsia)

AutoMaskColor: Boolean = False

Set this to true if the mask color should be the bottom left pixel of each bitmap slice.

MaskBitmap: TBitmap

The bitmap mask that is used for the bitmap

Description

The given bitmap is split into smaller bitmaps which are added to the image list. The mask bitmap is used as mask. Or the mask color is used if AutoMaskColor is false. Otherwise bottom left pixel's color is used as mask color.

The return value is the number of added bitmaps.

Created with Doc-O-Matic.


LoadPropertyStoreFromIniFile procedure
JEDI-VCL Reference

LoadPropertyStoreFromIniFile procedure

Edit topic

Not documented

Pascal

procedure LoadPropertyStoreFromIniFile(APropertyStore: TJvCustomPropertyStore; const AFileName: string; const AAppStoragePath: string = '');

File

JvAppIniStorage

Parameters

APropertyStore: TJvCustomPropertyStore

Not documented

const AFileName: string

Not documented

const AAppStoragePath: string = ''

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


LoadPropertyStoreFromXmlFile procedure
JEDI-VCL Reference

LoadPropertyStoreFromXmlFile procedure

Edit topic

Not documented

Pascal

procedure LoadPropertyStoreFromXmlFile(APropertyStore: TJvCustomPropertyStore; const AFileName: string; const AAppStoragePath: string = '');

File

JvAppXMLStorage

Parameters

APropertyStore: TJvCustomPropertyStore

Not documented

const AFileName: string

Not documented

const AAppStoragePath: string = ''

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


LocateDSAReg function
JEDI-VCL Reference

LocateDSAReg function

Package	 See Also	Edit topic

Locates and returns the DSA registration info for a given dialog.

Pascal

function LocateDSAReg(const DlgID: Integer): TDSARegItem;

File

JvDSADialogs

Parameters

const DlgID: Integer

Not documented

Description

LocateDSAReg will search the DSA registration database for the given dialog and return its registration info record. If the specified dialog is not registered, EmptyItem will be returned.

Created with Doc-O-Matic.


See Also

RegisterDSA, UnregisterDSA


Package

Dlgs


MakeDockClientEvent procedure
JEDI-VCL Reference

MakeDockClientEvent procedure

Edit topic

Not documented

Pascal

procedure MakeDockClientEvent(Host: TControl; Visible: Boolean);

File

JvDockControlForm

Parameters

Host: TControl

Not documented

Visible: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ManualConjoinDock function
JEDI-VCL Reference

ManualConjoinDock function

Edit topic

Not documented

Pascal

function ManualConjoinDock(DockSite: TWinControl; Form1: TForm; Form2: TForm): TJvDockConjoinHostForm;

File

JvDockControlForm

Parameters

DockSite: TWinControl

Not documented

Form1: TForm

Not documented

Form2: TForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ManualTabDock function
JEDI-VCL Reference

ManualTabDock function

Edit topic

Not documented

Pascal

function ManualTabDock(DockSite: TWinControl; Form1: TForm; Form2: TForm): TJvDockTabHostForm;

File

JvDockControlForm

Parameters

DockSite: TWinControl

Not documented

Form1: TForm

Not documented

Form2: TForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ManualTabDockAddPage procedure
JEDI-VCL Reference

ManualTabDockAddPage procedure

Edit topic

Not documented

Pascal

procedure ManualTabDockAddPage(TabHost: TJvDockTabHostForm; AForm: TForm);

File

JvDockControlForm

Parameters

TabHost: TJvDockTabHostForm

Not documented

AForm: TForm

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


MessageDlg function
JEDI-VCL Reference

MessageDlg function

Package	 See Also	Edit topic

MessageDlg replacement with additional settings.

Pascal

function MessageDlg(const Msg: string; const DlgType: TMsgDlgType; const Buttons: TMsgDlgButtons; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: TMsgDlgBtn = mbDefault; const CancelButton: TMsgDlgBtn = mbDefault; const HelpButton: TMsgDlgBtn = mbHelp; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;
function MessageDlg(const Caption: string; const Msg: string; const DlgType: TMsgDlgType; const Buttons: TMsgDlgButtons; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: TMsgDlgBtn = mbDefault; const CancelButton: TMsgDlgBtn = mbDefault; const HelpButton: TMsgDlgBtn = mbHelp; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;
function MessageDlg(const Caption: string; const Msg: string; const Picture: TGraphic; const Buttons: TMsgDlgButtons; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: TMsgDlgBtn = mbDefault; const CancelButton: TMsgDlgBtn = mbDefault; const HelpButton: TMsgDlgBtn = mbHelp; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;

File

JvDSADialogs

Parameters

const Msg: string

Contains the message to display.

const DlgType: TMsgDlgType

The dialog type.

const Buttons: TMsgDlgButtons

A list of buttons to display.

const HelpCtx: Longint

Help context to use when the help button is clicked or F1 is pressed.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const DefaultButton: TMsgDlgBtn = mbDefault

The button to mark as default. If you do not provide a default button, the MessageDlg mechanism is used to determine the default button.

const CancelButton: TMsgDlgBtn = mbDefault

The button to mark as cancel. If you do not provide a cancel button, the MessageDlg mechanism is used to determine the cancel button.

const HelpButton: TMsgDlgBtn = mbHelp

The button to mark as help. If you do not provide a help button, the button mbHelp will be used. If such a button does not exist, no button will be marked as help.

const ADynControlEngine: TJvDynControlEngine = nil

Description for this parameter Result Returns the modal result of the displayed dialog.

const Caption: string

The caption of the dialog.

const Picture: TGraphic

A TGraphic descendant of the image to show or nil if no image should be shown.

Description

MessageDlg is a replacement for the MessageDlg function in Delphi's Dialog unit. It gives you more control over the appearance of the dialog.

In its simplest form, it does exactly the same as the MessageDlg function in Delphi's Dialogs unit, but has three optional parameters that allow you to choose different default, cancel and/or help buttons.

The second form allows you to provide a different caption of the dialog, but otherwise does the same as the first form.

The third form allows you to provide both a different caption as well as a different image.

If you need more control over button captions and results, use MessageDlgEx instead.

Notes

If the user presses Ctrl-C in the dialog, the contents of the dialog is copied to the clipboard.

Created with Doc-O-Matic.


See Also

DSAMessageDlg, MessageDlgEx


Package

Dlgs


MessageDlgEx function
JEDI-VCL Reference

MessageDlgEx function

Package	 See Also	Edit topic

MessageDlg extension with additional settings.

Pascal

function MessageDlgEx(const Msg: string; const DlgType: TMsgDlgType; const Buttons: array of string; const Results: array of Integer; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: Integer = 0; const CancelButton: Integer = 1; const HelpButton: Integer = -1; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;
function MessageDlgEx(const Caption: string; const Msg: string; const DlgType: TMsgDlgType; const Buttons: array of string; const Results: array of Integer; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: Integer = 0; const CancelButton: Integer = 1; const HelpButton: Integer = -1; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;
function MessageDlgEx(const Caption: string; const Msg: string; const Picture: TGraphic; const Buttons: array of string; const Results: array of Integer; const HelpCtx: Longint; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const DefaultButton: Integer = 0; const CancelButton: Integer = 1; const HelpButton: Integer = -1; const ADynControlEngine: TJvDynControlEngine = nil): TModalResult; overload;

File

JvDSADialogs

Parameters

const Msg: string

Contains the message to display.

const DlgType: TMsgDlgType

The dialog type.

const Buttons: array of string

List of button captions.

const Results: array of Integer

List of result codes.

const HelpCtx: Longint

Help context to use when the help button is clicked or F1 is pressed.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const DefaultButton: Integer = 0

The button to mark as default. If you do not provide a default button, the first button is marked as default. If you do not want a default button, set this parameter to -1. This parameter is an index into the Buttons/Results array.

const CancelButton: Integer = 1

The button to mark as cancel. If you do not provide a cancel button, the second button is marked as cancel. If you do not want a cancel button, set this parameter to -1. This parameter is an index into the Buttons/Results array.

const HelpButton: Integer = -1

The button to mark as help. If you do not provide a help button, no button will be marked as help. This parameter is an index into the Buttons/Results array.

const ADynControlEngine: TJvDynControlEngine = nil

Description for this parameter Result Returns the modal result of the displayed dialog.

const Caption: string

The caption of the dialog.

const Picture: TGraphic

A TGraphic descendant of the image to show or nil if no image should be shown.

Description

MessageDlgEx is an extension of Delphi's MessageDlg function and an extension of JvDSADialog's MessageDlg that gives you more control over the appearance of the dialog.

MessageDlgEx allows to specify custom button captions and result codes for the dialog. Just as JvDSADialog's MessageDlg, MessageDlgEx has three forms that allow you to customize its appearance.

Notes

If the user presses Ctrl-C in the dialog, the contents of the dialog is copied to the clipboard.

Created with Doc-O-Matic.


See Also

DSAMessageDlgEx, MessageDlg


Package

Dlgs


MIMETypeToExt function
JEDI-VCL Reference

MIMETypeToExt function

See Also	Edit topic

Converts a MIME string to a file extension.

Pascal

function MIMETypeToExt(const MIMEType: string): string;

File

JvID3v2Base

Parameters

const MIMEType: string

The MIME string to convert.

Description

Call MIMETypeToExt to convert a MIME string to a file extension.

Examples are:
MIMEType	Result
image/jpeg	.jpg
image/png	.png
image/gif	.gif
image/tiff	.tif
image/x-pict	.pic
image/bitmap	.bmp
Created with Doc-O-Matic.


See Also

ExtToMIMEType


MonoBitmap procedure
JEDI-VCL Reference

MonoBitmap procedure

Edit topic

Not documented

Pascal

procedure MonoBitmap(Bmp: TBitmap; R: Integer; G: Integer; B: Integer);

File

JvTransparentButton

Parameters

Bmp: TBitmap

Not documented

R: Integer

Not documented

G: Integer

Not documented

B: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


NiceGenreToGenre function
JEDI-VCL Reference

NiceGenreToGenre function

See Also	Edit topic

Converts a displayable genre string to an ID3 v2 genre string.

Pascal

function NiceGenreToGenre(const ANiceGenre: string): string;

File

JvID3v2Base

Parameters

const ANiceGenre: string

The displayable genre string to convert.

Description

Parameter	Returns
Ska	(21)
Disco Eurodisco	(4)Eurodisco
Techno-Industrial Noise	(51)(39)
(I can figure out any genre)	((I can figure out any genre)
Dream (I think...)	(55)((I think...)
Remix	(RX)
Created with Doc-O-Matic.


See Also

GenreToNiceGenre


PadString function
JEDI-VCL Reference

PadString function

Edit topic

Pad a string out to a fixed length.

Pascal

function PadString(const S: string; Len: Integer; PadChar: Char): string;

File

JvCsvParse

Parameters

const S: string

The buffer.

Len: Integer

The length desired.

PadChar: Char

The character to pad with (usually a space)

Description

Adds PadChar until buffer 's' is of length 'len'

Created with Doc-O-Matic.


PaintComboEdit function
JEDI-VCL Reference

PaintComboEdit function

See Also	Edit topic

Paints the edit box of a combo edit control.

Pascal

function PaintComboEdit(Editor: TJvCustomComboEdit; const AText: string; AAlignment: TAlignment; StandardPaint: Boolean; var ACanvas: TControlCanvas; var Msg: TWMPaint): Boolean;

File

JvToolEdit

Parameters

Editor: TJvCustomComboEdit

The combo edit control.

const AText: string

The text for the edit box.

AAlignment: TAlignment

Alignment of the text in the edit box.

StandardPaint: Boolean

Specifies whether to use the standard paint method of the control.

var ACanvas: TControlCanvas

The canvas to use.

var Msg: TWMPaint

The received Windows Paint message.

Description

Call PaintComboEdit to paint the edit box of a combo edit control.

If parameter ACanvas is nil then ACanvas is set to a newly created TCanvas object. It is the responsibility of the caller of PaintComboEdit to free that object.

PaintComboEdit returns the value of parameter StandardPaint. If StandardPaint is set to true, then only some initialization is done but no painting; thus, in this case the caller should call the standard paint method of the control.

Created with Doc-O-Matic.


See Also

PaintEdit


PaintControlBorder procedure
JEDI-VCL Reference

PaintControlBorder procedure

Edit topic

Not documented

Pascal

procedure PaintControlBorder(Control: TWinControl);

File

JvThemes

Parameters

Control: TWinControl

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


PaintEdit function
JEDI-VCL Reference

PaintEdit function

See Also	Edit topic

Paints the edit box of an edit control.

Pascal

function PaintEdit(Editor: TCustomEdit; const AText: string; AAlignment: TAlignment; PopupVisible: Boolean; DisabledTextColor: TColor; StandardPaint: Boolean; var ACanvas: TControlCanvas; var Msg: TWMPaint): Boolean;

File

JvToolEdit

Parameters

Editor: TCustomEdit

The edit control.

const AText: string

The text for the edit box.

AAlignment: TAlignment

Alignment of the text in the edit box.

PopupVisible: Boolean

Indicates whether a pop-up window associated with the edit control is visible.

DisabledTextColor: TColor

The color of the text when the control isn't enabled.

StandardPaint: Boolean

Specifies whether to use the standard paint method of the control.

var ACanvas: TControlCanvas

The canvas to use.

var Msg: TWMPaint

The received Windows Paint message.

Description

Call PaintEdit to paint the edit box of an edit control.

If parameter ACanvas is nil then ACanvas is set to a newly created TCanvas object. It is the responsibility of the caller of PaintEdit to free that object.

PaintEdit returns the value of parameter StandardPaint. If StandardPaint is set to true, then only some initialization is done but no painting; thus, in this case the caller should call the standard paint method of the control.

Created with Doc-O-Matic.


See Also

PaintComboEdit


PCharEatWhiteChars procedure
JEDI-VCL Reference

PCharEatWhiteChars procedure

Edit topic

Eat whitespace from a PChar buffer.

Pascal

procedure PCharEatWhiteChars(S1: PChar);

File

JvCsvParse

Parameters

S1: PChar

The buffer to be stripped of whitespace

Description

Deletes the leading whitespace by eating one character at a time from the buffer, until a non whitespace character is reached. Whitespace is either a Space or a Tab. Does NOT disturb any trailing whitespace.

Created with Doc-O-Matic.


PerformEraseBackground procedure
JEDI-VCL Reference

PerformEraseBackground procedure

Edit topic

Not documented

Pascal

procedure PerformEraseBackground(Control: TControl; DC: HDC); overload;

File

JvThemes

Parameters

Control: TControl

Not documented

DC: HDC

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


PerformEraseBackground procedure
JEDI-VCL Reference

PerformEraseBackground procedure

Edit topic

Not documented

Pascal

procedure PerformEraseBackground(Control: TControl; DC: HDC; Offset: TPoint); overload;

File

JvThemes

Parameters

Control: TControl

Not documented

DC: HDC

Not documented

Offset: TPoint

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


PerformEraseBackground procedure
JEDI-VCL Reference

PerformEraseBackground procedure

Edit topic

Not documented

Pascal

procedure PerformEraseBackground(Control: TControl; DC: HDC; Offset: TPoint; const R: TRect); overload;

File

JvThemes

Parameters

Control: TControl

Not documented

DC: HDC

Not documented

Offset: TPoint

Not documented

const R: TRect

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


PerformEraseBackground procedure
JEDI-VCL Reference

PerformEraseBackground procedure

Edit topic

Not documented

Pascal

procedure PerformEraseBackground(Control: TControl; DC: HDC; const R: TRect); overload;

File

JvThemes

Parameters

Control: TControl

Not documented

DC: HDC

Not documented

const R: TRect

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


PrepareText function
JEDI-VCL Reference

PrepareText function

See Also	Edit topic

Normalizes HTML tags from an HTML-enabled control prior to rendering.

Pascal

function PrepareText(const A: string): string;

File

JvHtControls

Parameters

const A: string

String argument to be prepared for rendering.

Description

PrepareText is a String function used to normalize HTML tags from an HTML-enabled control prior to rendering. Normalization includes the following operations:

Converts HTML entities to characters or symbols

Removes line-end sequences

Converts BR tags to line-end sequences

PrepareText calls the HTMLPrepareText function in JvJVCLUtils.pas.

Created with Doc-O-Matic.


See Also

HTMLPrepareText


ReadID3v1Tag function
JEDI-VCL Reference

ReadID3v1Tag function

See Also	Edit topic

Reads an ID3v1 tag from a file.

Pascal

function ReadID3v1Tag(const AFileName: string; var ATag: TID3v1Tag): Boolean;

File

JvId3v1

Parameters

const AFileName: string

Specifies the name of the file.

var ATag: TID3v1Tag

Contains the tag data after a successful call.

Description

Call ReadID3v1Tag to retrieve an ID3v1 tag from a file specified by parameter AFileName. ReadID3v1Tag returns true when the tag data has been successful read from the file, and returns false if the file has no tag or an error occurred.

Created with Doc-O-Matic.


See Also

HasID3v1Tag, RemoveID3v1Tag, WriteID3v1Tag


RecycleFile function
JEDI-VCL Reference

RecycleFile function

See Also	Edit topic

Deletes a file.

Pascal

function RecycleFile(FileToRecycle: string): Boolean;

File

JvWinDialogs

Parameters

FileToRecycle: string

The file to delete. If FileToRecycle does not contain a fully qualified path and file name, then no Undo information is preserved.

Description

Call RecycleFile to delete a file, but preserve Undo information, if possible.

Created with Doc-O-Matic.


See Also

TJvSHFileOperation


RegisterAppStoragePropertyEngine procedure
JEDI-VCL Reference

RegisterAppStoragePropertyEngine procedure

Edit topic

Not documented

Pascal

procedure RegisterAppStoragePropertyEngine(AEngineClass: TJvAppStoragePropertyBaseEngineClass);

File

JvAppStorage

Parameters

AEngineClass: TJvAppStoragePropertyBaseEngineClass

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


RegisterDSA procedure
JEDI-VCL Reference

RegisterDSA procedure

Package	 See Also	Edit topic

Register a DSA dialog.

Pascal

procedure RegisterDSA(const DlgID: Integer; const Name: string; const Description: string; const Storage: TDSAStorage; const CheckTextKind: TDSACheckTextKind = ctkShow);

File

JvDSADialogs

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

const Name: string

Reference name of the dialog. Might be used by the storage device as an identification.

Description

RegisterDSA registers a new DSA dialog with the system. The given ID and Name may not already exist within the registration, but may exist in the storage device.

If the given ID and Name match an existing dialog, the procedure will do nothing. If either the ID or Name are registered, an exception will be raised.

Description of the dialog. Could be used by a UI for DSA management (re-enabling disabled dialogs). Storage - Reference to the storage device that will maintain the DSA state. CheckTextKind - The kind of text to display next to the check box. See RegisterDSACheckMarkText and UnregisterDSACheckMarkText for more information.

Created with Doc-O-Matic.


See Also

UnregisterDSA


Package

Dlgs


RegisterDSACheckMarkText procedure
JEDI-VCL Reference

RegisterDSACheckMarkText procedure

Package	 See Also	Edit topic

Register a check mark text.

Pascal

procedure RegisterDSACheckMarkText(const ID: TDSACheckTextKind; const Text: string);

File

JvDSADialogs

Parameters

const ID: TDSACheckTextKind

Not documented

const Text: string

Not documented

Description

RegisterDSACheckMarkText allows you to register additional check mark texts. When registering a DSA dialog you can optionally define the check mark text to use for the dialog.

Created with Doc-O-Matic.


See Also

TDSACheckTextKind, UnregisterDSACheckMarkText


Package

Dlgs


RegisterGraphicSignature procedure
JEDI-VCL Reference

RegisterGraphicSignature procedure

Edit topic

Not documented

Pascal

procedure RegisterGraphicSignature(const ASignature: array of Byte; AOffset: Integer; AGraphicClass: TGraphicClass); overload;

File

JvDBImage

Parameters

const ASignature: array of Byte

Not documented

AOffset: Integer

Not documented

AGraphicClass: TGraphicClass

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


RegisterGraphicSignature procedure
JEDI-VCL Reference

RegisterGraphicSignature procedure

Edit topic

Not documented

Pascal

procedure RegisterGraphicSignature(const ASignature: string; AOffset: Integer; AGraphicClass: TGraphicClass); overload;

File

JvDBImage

Parameters

const ASignature: string

Not documented

AOffset: Integer

Not documented

AGraphicClass: TGraphicClass

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


RegisterLabelBehaviorOptions procedure
JEDI-VCL Reference

RegisterLabelBehaviorOptions procedure

See Also	Edit topic

Registers a new behavior.

Pascal

procedure RegisterLabelBehaviorOptions(const Name: TJvLabelBehaviorName; BehaviorOptionsClass: TJvLabelBehaviorOptionsClass);

File

JvBehaviorLabel

Parameters

const Name: TJvLabelBehaviorName

The name to use for this behavior.

BehaviorOptionsClass: TJvLabelBehaviorOptionsClass

The class to register.

Description

Use RegisterLabelBehaviorOptions to register a new behavior class for use with the TJvBehaiorLabel component.

Created with Doc-O-Matic.


See Also

GetLabelBehaviorName, GetLabelBehaviorOptionsClass, GetRegisteredLabelBehaviorOptions


RegisterSegmentedLEDDigitClass procedure
JEDI-VCL Reference

RegisterSegmentedLEDDigitClass procedure

See Also	Edit topic

Registers a segmented LED digit class with the system.

Pascal

procedure RegisterSegmentedLEDDigitClass(DigitClass: TJvSegmentedLEDDigitClass);

File

JvSegmentedLEDDisplay

Parameters

DigitClass: TJvSegmentedLEDDigitClass

Digit class to be registered.

Description

RegisterSegmentedLEDDigitClass registers the specified segmented LED digit class with the system.

If the class is already registered an exception will be raised.

The class will also be registered with the streaming system (RegisterClass is called).

Created with Doc-O-Matic.


See Also

RegisterSegmentedLEDDigitClasses, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitClassName, UnregisterModuleSegmentedLEDDigitClasses, UnregisterSegmentedLEDDigitClass, UnregisterSegmentedLEDDigitClasses


RegisterSegmentedLEDDigitClasses procedure
JEDI-VCL Reference

RegisterSegmentedLEDDigitClasses procedure

See Also	Edit topic

Registers a number of segmented LED digit classes with the system.

Pascal

procedure RegisterSegmentedLEDDigitClasses(DigitClasses: array of TJvSegmentedLEDDigitClass);

File

JvSegmentedLEDDisplay

Parameters

DigitClasses: array of TJvSegmentedLEDDigitClass

array of digit classes to register.

Description

RegisterSegmentedLEDDigitClasses registers the specified segmented LED digit classes with the system.

If a class is already registered an exception will be raised.

Each class will also be registered with the streaming system (RegisterClass is called).

Created with Doc-O-Matic.


See Also

RegisterSegmentedLEDDigitClass, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitClassName, UnregisterModuleSegmentedLEDDigitClasses, UnregisterSegmentedLEDDigitClass, UnregisterSegmentedLEDDigitClasses


RegisterTypeInfoHelper procedure
JEDI-VCL Reference

RegisterTypeInfoHelper procedure

Edit topic

Not documented

Pascal

procedure RegisterTypeInfoHelper(AClass: TJvTypeInfoHelperClass);

File

JvInspector

Parameters

AClass: TJvTypeInfoHelperClass

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


RegisterWndProcHook function
JEDI-VCL Reference

RegisterWndProcHook function

See Also	Edit topic

Registers a hook.

Pascal

function RegisterWndProcHook(AControl: TControl; Hook: TJvControlHook; const Order: TJvHookOrder): Boolean; overload;
function RegisterWndProcHook(AHandle: THandle; Hook: TJvControlHook; const Order: TJvHookOrder): Boolean; overload;

File

JvWndProcHook

Parameters

AControl: TControl

Specifies the control to hook.

Hook: TJvControlHook

Specifies the control hook procedure.

const Order: TJvHookOrder

Specifies whether to receive messages before or after the control handles them.

AHandle: THandle

Specifies the handle to hook.

Description

Call RegisterWndProcHook to hook a control. Hooking a control allows you to respond to messages send to that control.

Use Order to specify whether you want to receive messages send to the hooked control, before or after the control handles them. By setting Order to hoBeforeMsg you can prevent the control to handle specific messages.

TJvWindowHook calls this method when it wants to start hooking the control. An internal list is maintained to prevent "broken links" when a hook is removed.

Call UnRegisterWndProcHook to unregister the hook.

Created with Doc-O-Matic.


See Also

UnRegisterWndProcHook


ReleaseObj procedure
JEDI-VCL Reference

ReleaseObj procedure

Edit topic

Destroys the object and frees its associated memory.

Pascal

procedure ReleaseObj(AObject: TObject);

File

JvWndProcHook

Parameters

AObject: TObject

Object that should be destroyed.

Description

Call ReleaseObj to destroy an object and free its associated memory.

ReleaseObj does not destroy the object until all messages in the message queue are processed.

Notes

ReleaseObj returns immediately to the caller. It does not wait for the object to be freed before returning.

Created with Doc-O-Matic.


ReleasePattern procedure
JEDI-VCL Reference

ReleasePattern procedure

See Also	Edit topic

Frees a specific pattern if it is not in use anymore.

Pascal

procedure ReleasePattern(EvenColor: TColor; OddColor: TColor);

File

JvCustomItemViewer

Parameters

EvenColor: TColor

The color used on even pixels in the bitmap.

OddColor: TColor

The color used on odd pixels in the bitmap.

Description

ReleasePattern decrements the internal reference count for the specified pattern and releases the associated TBitmap object if the reference count is 0.

The pattern to release must have been created by a call to CreateBrushPattern for ReleasePattern to find it.

Created with Doc-O-Matic.


See Also

ClearBrushPatterns, CreateBrushPattern


RemoveID3v1Tag procedure
JEDI-VCL Reference

RemoveID3v1Tag procedure

See Also	Edit topic

Removes an ID3v1 tag from a file.

Pascal

procedure RemoveID3v1Tag(const AFileName: string);

File

JvId3v1

Parameters

const AFileName: string

Specifies the name of the file.

Description

Call RemoveID3v1Tag to remove the ID3v1 tag from the file specified by parameter AFileName.

If the file has no ID3v1 tag, nothing happens.

Created with Doc-O-Matic.


See Also

HasID3v1Tag, ReadID3v1Tag, WriteID3v1Tag


ResetDockClient procedure
JEDI-VCL Reference

ResetDockClient procedure

Edit topic

Not documented

Pascal

procedure ResetDockClient(Control: TControl; NewTarget: TControl); overload;
procedure ResetDockClient(DockClient: TJvDockClient; NewTarget: TControl); overload;

File

JvDockControlForm

Parameters

Control: TControl

Not documented

NewTarget: TControl

Not documented

DockClient: TJvDockClient

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ResetTokenCount procedure
JEDI-VCL Reference

ResetTokenCount procedure

See Also	Edit topic

Debug function.

Pascal

procedure ResetTokenCount;

File

JvCsvParse

Description

Reset token counter.

Created with Doc-O-Matic.


See Also

GetTokenCount, GetToken


ReshowAllVisibleWindow procedure
JEDI-VCL Reference

ReshowAllVisibleWindow procedure

Edit topic

Not documented

Pascal

procedure ReshowAllVisibleWindow;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


RestoreCanvasState procedure
JEDI-VCL Reference

RestoreCanvasState procedure

Edit topic

Not documented

Pascal

procedure RestoreCanvasState(const Canvas: TCanvas; const SavedIdx: Integer);

File

JvInspector

Parameters

const Canvas: TCanvas

Not documented

const SavedIdx: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


RoundedFrame procedure
JEDI-VCL Reference

RoundedFrame procedure

Edit topic

Not documented

Pascal

procedure RoundedFrame(Canvas: TCanvas; ARect: TRect; AColor: TColor; R: Integer);

File

JvXPBar

Parameters

Canvas: TCanvas

Not documented

ARect: TRect

Not documented

AColor: TColor

Not documented

R: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SaveCanvasState function
JEDI-VCL Reference

SaveCanvasState function

Edit topic

Not documented

Pascal

function SaveCanvasState(const Canvas: TCanvas): Integer;

File

JvInspector

Parameters

const Canvas: TCanvas

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SaveDockTreeToAppStorage procedure
JEDI-VCL Reference

SaveDockTreeToAppStorage procedure

Edit topic

Not documented

Pascal

procedure SaveDockTreeToAppStorage(AppStorage: TJvCustomAppStorage; AppStoragePath: string = '');

File

JvDockControlForm

Parameters

AppStorage: TJvCustomAppStorage

Not documented

AppStoragePath: string = ''

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SaveDockTreeToFile procedure
JEDI-VCL Reference

SaveDockTreeToFile procedure

Edit topic

Not documented

Pascal

procedure SaveDockTreeToFile(FileName: string);

File

JvDockControlForm

Parameters

FileName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SaveDockTreeToReg procedure
JEDI-VCL Reference

SaveDockTreeToReg procedure

Edit topic

Not documented

Pascal

procedure SaveDockTreeToReg(ARootKey: DWORD; RegPatch: string);

File

JvDockControlForm

Parameters

ARootKey: DWORD

Not documented

RegPatch: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetConjoinDockHostBorderStyle procedure
JEDI-VCL Reference

SetConjoinDockHostBorderStyle procedure

Edit topic

Not documented

Pascal

procedure SetConjoinDockHostBorderStyle(Value: TFormBorderStyle);

File

JvDockControlForm

Parameters

Value: TFormBorderStyle

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetCsvRowItem procedure
JEDI-VCL Reference

SetCsvRowItem procedure

See Also	Edit topic

Internal Helper.

Pascal

procedure SetCsvRowItem(PItem: PCsvRow; ColumnIndex: Integer; const NewValue: string);

File

JvCsvData

Parameters

PItem: PCsvRow

Pointer to the row record

ColumnIndex: Integer

which column to write

const NewValue: string

new value (PChar)

Description

Set the field value of one field in a row record.

Created with Doc-O-Matic.


See Also

GetCsvRowItem


SetDefaultMenuFont procedure
JEDI-VCL Reference

SetDefaultMenuFont procedure

Edit topic

Assigns the default menu font to the given font

Pascal

procedure SetDefaultMenuFont(AFont: TFont);

File

JvMenus

Parameters

AFont: TFont

The font to which the system font will be assigned

Description

This method reads the system parameters to retrieve the current font used to draw menu items. You shouldn't have to call this function directly, it is called by default before calling any event handler

Created with Doc-O-Matic.


SetDockPageControlHotTrack procedure
JEDI-VCL Reference

SetDockPageControlHotTrack procedure

Edit topic

Not documented

Pascal

procedure SetDockPageControlHotTrack(Value: Boolean);

File

JvDockControlForm

Parameters

Value: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetDockPageControlPopupMenu procedure
JEDI-VCL Reference

SetDockPageControlPopupMenu procedure

Edit topic

Not documented

Pascal

procedure SetDockPageControlPopupMenu(Value: TPopupMenu);

File

JvDockControlForm

Parameters

Value: TPopupMenu

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetDockSite procedure
JEDI-VCL Reference

SetDockSite procedure

Edit topic

Not documented

Pascal

procedure SetDockSite(Control: TWinControl; SiteValue: Boolean);

File

JvDockControlForm

Parameters

Control: TWinControl

Not documented

SiteValue: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetDotNetFrameColors procedure
JEDI-VCL Reference

SetDotNetFrameColors procedure

Edit topic

Not documented

Pascal

procedure SetDotNetFrameColors(FocusedColor: TColor; UnfocusedColor: TColor);

File

JvDotNetUtils

Parameters

FocusedColor: TColor

Not documented

UnfocusedColor: TColor

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetDSAState procedure
JEDI-VCL Reference

SetDSAState procedure

Package	 See Also	Edit topic

Sets DSA state.

Pascal

procedure SetDSAState(const DlgID: Integer; const DontShowAgain: Boolean; const LastResult: Integer = mrNone; const OnCustomData: TDSACustomData = nil);

File

JvDSADialogs

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

const DontShowAgain: Boolean

Flag indicating if the dialog should be enabled or disabled. When set to True, the dialog will be disabled.

const LastResult: Integer = mrNone

The ModalResult value to store. By default this is set to mrNone.

const OnCustomData: TDSACustomData = nil

Provide an OnCustomData handler if additional info should be stored in the storage. Leave this parameter nil if no additional data is to be stored.

Description

SetDSAState sets the state of the specified DSA dialog.

Created with Doc-O-Matic.


See Also

GetDSAState


Package

Dlgs


SetParentBackground procedure
JEDI-VCL Reference

SetParentBackground procedure

Edit topic

Not documented

Pascal

procedure SetParentBackground(Control: TWinControl; Value: Boolean);

File

JvThemes

Parameters

Control: TWinControl

Not documented

Value: Boolean

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetShellLinkInfo procedure
JEDI-VCL Reference

SetShellLinkInfo procedure

See Also	Edit topic

Sets information for an existing shell link.

Pascal

procedure SetShellLinkInfo(const LinkFile: WideString; const SLI: TShellLinkInfo);

File

JvWinDialogs

Parameters

const LinkFile: WideString

The shell link.

const SLI: TShellLinkInfo

Contains information on the shell link.

Description

Call GetShellLinkInfo to set information for an existing shell link.

Created with Doc-O-Matic.


See Also

GetShellLinkInfo


SetTabDockHostBorderStyle procedure
JEDI-VCL Reference

SetTabDockHostBorderStyle procedure

Edit topic

Not documented

Pascal

procedure SetTabDockHostBorderStyle(Value: TFormBorderStyle);

File

JvDockControlForm

Parameters

Value: TFormBorderStyle

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


SetupPopupCalculator procedure
JEDI-VCL Reference

SetupPopupCalculator procedure

See Also	Edit topic

Initializes a popup calculator.

Pascal

procedure SetupPopupCalculator(PopupCalc: TWinControl; APrecision: Byte; ABeepOnError: Boolean);

File

JvCalc

Parameters

PopupCalc: TWinControl

The popup calculator to initialize.

APrecision: Byte

The precision used in formatting the value in the calculator's display.

ABeepOnError: Boolean

Specifies whether the calculator beeps when the user tries to enter an invalid character.

Description

Call SetupPopupCalculator to initialize a popup calculator.

Created with Doc-O-Matic.


See Also

CreatePopupCalculator, TJvCalculator.BeepOnError, TJvCalculator.Precision


ShowDockForm procedure
JEDI-VCL Reference

ShowDockForm procedure

Edit topic

Not documented

Pascal

procedure ShowDockForm(DockWindow: TWinControl);

File

JvDockControlForm

Parameters

DockWindow: TWinControl

This is a TWinControl parameter, indicate the display of this object. Generally, this parameter is a object of TForm.

Description

Call the ShowDockForm procedure to show a Form that the DockWindow parameter identifies. If invisible, the effect is the same as calling the TJvDockClient.ShowDockForm procedure.

Created with Doc-O-Matic.


ShowMessage procedure
JEDI-VCL Reference

ShowMessage procedure

Package	 See Also	Edit topic

Display a message box.

Pascal

procedure ShowMessage(const Msg: string; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const ADynControlEngine: TJvDynControlEngine = nil);

File

JvDSADialogs

Parameters

const Msg: string

Contains the message to display.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const ADynControlEngine: TJvDynControlEngine = nil

Not documented

Description

ShowMessage is a replacement for Delphi's ShowMessage. It allows you to optionally specify how the dialog is centered.

Created with Doc-O-Matic.


See Also

DSAShowMessage, ShowMessageFmt


Package

Dlgs


ShowMessageFmt procedure
JEDI-VCL Reference

ShowMessageFmt procedure

Package	 See Also	Edit topic

Display a message box.

Pascal

procedure ShowMessageFmt(const Msg: string; const Params: array of const; const Center: TDlgCenterKind = dckScreen; const Timeout: Integer = 0; const ADynControlEngine: TJvDynControlEngine = nil);

File

JvDSADialogs

Parameters

const Msg: string

Contains the message to display.

const Params: array of const

Parameters to use for formatting.

const Center: TDlgCenterKind = dckScreen

Indicates how the dialog is to be centered. The default is to center on the screen, but you can specify to center on the main form or the active form.

const Timeout: Integer = 0

Not documented

const ADynControlEngine: TJvDynControlEngine = nil

Not documented

Description

ShowMessageFmt is a replacement for Delphi's ShowMessageFmt. It allows you to optionally specify how the dialog is centered.

Created with Doc-O-Matic.


See Also

DSAShowMessageFmt, ShowMessage


Package

Dlgs


SimpleXMLDecode procedure
JEDI-VCL Reference

SimpleXMLDecode procedure

See Also	Edit topic

Converts special XML characters to their representation

Pascal

procedure SimpleXMLDecode(var S: string; TrimBlanks: Boolean);

File

JvSimpleXml

Parameters

var S: string

The string to decode

TrimBlanks: Boolean

If true, the blanks will also be removed from the string

Description

Special characters are those:

&amp; &lt; &gt; &apos; &quot; &#???

Created with Doc-O-Matic.


See Also

SimpleXMLEncode


SimpleXMLEncode function
JEDI-VCL Reference

SimpleXMLEncode function

See Also	Edit topic

Encodes the special characters to their XML representation

Pascal

function SimpleXMLEncode(const S: string): string;

File

JvSimpleXml

Return Value

The encoded string

Parameters

const S: string

The string to encode

Description

All characters outside #0-#127 will be converted along with '"','&',#39,' <' and '> '

Created with Doc-O-Matic.


See Also

SimpleXMLDecode


SplitterMouseDownFix procedure
JEDI-VCL Reference

SplitterMouseDownFix procedure

Edit topic

Not documented

Pascal

procedure SplitterMouseDownFix(Splitter: TSplitter);

File

JvExExtCtrls

Parameters

Splitter: TSplitter

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


StorePropertyStoreToIniFile procedure
JEDI-VCL Reference

StorePropertyStoreToIniFile procedure

Edit topic

Not documented

Pascal

procedure StorePropertyStoreToIniFile(APropertyStore: TJvCustomPropertyStore; const AFileName: string; const AAppStoragePath: string = '');

File

JvAppIniStorage

Parameters

APropertyStore: TJvCustomPropertyStore

Not documented

const AFileName: string

Not documented

const AAppStoragePath: string = ''

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


StorePropertyStoreToXmlFile procedure
JEDI-VCL Reference

StorePropertyStoreToXmlFile procedure

Edit topic

Not documented

Pascal

procedure StorePropertyStoreToXmlFile(APropertyStore: TJvCustomPropertyStore; const AFileName: string; const AAppStoragePath: string = '');

File

JvAppXMLStorage

Parameters

APropertyStore: TJvCustomPropertyStore

Not documented

const AFileName: string

Not documented

const AAppStoragePath: string = ''

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


StrEatWhiteSpace function
JEDI-VCL Reference

StrEatWhiteSpace function

See Also	Edit topic

Eats whitespace, like PCharEatWs, but uses Delphi String type instead of raw PChars.

Pascal

function StrEatWhiteSpace(const S: string): string;

File

JvCsvParse

Parameters

const S: string

original string. not modified. new string is Returned as a new object.

Description

Reads source string s, and returns a new string that does not have any leading whitespace. Does NOT disturb any trailing whitespace.

Created with Doc-O-Matic.


See Also

StrStrip


StringToCsvRow procedure
JEDI-VCL Reference

StringToCsvRow procedure

Edit topic

Internal Helper.

Pascal

procedure StringToCsvRow(const RowString: string; Separator: Char; RowItem: PCsvRow; PermitEscapeSequences: Boolean; EnquoteBackslash: Boolean);

File

JvCsvData

Parameters

const RowString: string

Original string

Separator: Char

Not documented

RowItem: PCsvRow

Row record to fill data into.

PermitEscapeSequences: Boolean

Is this row allowed to contain escape sequences? Header row usually No, Data rows Usually Yes.

EnquoteBackslash: Boolean

Are we using the custom backslashing enquoting method (usually this should be false)?

Description

Parse string, put data into a csv row record.

Created with Doc-O-Matic.


StringToDayStates function
JEDI-VCL Reference

StringToDayStates function

See Also	Edit topic

Converts a comma separated list of day numbers into a TMonthDayState value.

Pascal

function StringToDayStates(const S: string): TMonthDayState;

File

JvCalendar

Parameters

const S: string

String containing a comma separated list of day numbers.

Description

StringToDayStates converts a comma separated list of day numbers into a TMonthDayState value. The string may not contain spaces. Numbers that fall outside the range 1..31 are ignored.

Created with Doc-O-Matic.


See Also

DayStatesToString


StringToHtml function
JEDI-VCL Reference

StringToHtml function

See Also	Edit topic

Converts a plain string to a HTML string.

Pascal

function StringToHtml(const Value: string): string;

File

JvStrToHtml

Parameters

const Value: string

The string to convert.

Description

StringToHtml converts the content of Value into an equivalent HTML string. For example, the string '<CODE>' is converted into '&lt;CODE&gt;'.

Created with Doc-O-Matic.


See Also

CharToHtml, HtmlToString, TJvStrToHtml


StringToUnlitColor function
JEDI-VCL Reference

StringToUnlitColor function

See Also	Edit topic

Translates a string to a TUnlitColor value.

Pascal

function StringToUnlitColor(const S: string): TUnlitColor;

File

JvSegmentedLEDDisplay

Parameters

const S: string

String representing a color that is to be translated.

Description

StringToUnlitColor translates a string into it's TUnlitColor representation. The string may consist of a color constant (as defined for TColor or TUnlitColor) or a color's ordinal (RGB) value (in decimal or hexadecimal representation; see StrToInt).

Created with Doc-O-Matic.


See Also

IdentToUnlitColor, UnlitColorToString


StripPCharQuotes function
JEDI-VCL Reference

StripPCharQuotes function

Edit topic

Not documented

Pascal

function StripPCharQuotes(S1: PChar): string;

File

JvCsvParse

Parameters

S1: PChar

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


StripQuotes function
JEDI-VCL Reference

StripQuotes function

Edit topic

Strips quotes from a string if it has quotes around it. Will de-escape embedded quotes if they are properly escaped.

Pascal

function StripQuotes(const S1: string): string;

File

JvCsvParse

Parameters

const S1: string

Buffer to strip quotes from.

Description

Modifies a PChar buffer containing a string which may or may not have leading and trailing quotes. Result after call is that the buffer contains only the data that was previously inside the quotes, all leading and trailing whitespace, and the quote characters themselves, are gone. Escaped quote characters (\") within the string have been replaced with their literal equivalents (").

Created with Doc-O-Matic.


StrSplit function
JEDI-VCL Reference

StrSplit function

Edit topic

Split a string into an array of strings. Result is stored in a standard Pascal String Array (Array of String).

Pascal

function StrSplit(const InString: string; const SplitChar: Char; const QuoteChar: Char; var OutStrings: array of string; MaxSplit: Integer): Integer;

File

JvCsvParse

Parameters

const InString: string

Original string.

const SplitChar: Char

What character to split using. Usually a Tab or a Comma.

const QuoteChar: Char

Not documented

var OutStrings: array of string

Array of String. Results.

MaxSplit: Integer

Set MaxSplit to no larger than the maximum size of your OutStrings array.

Description

Split a string into an array of strings.

Created with Doc-O-Matic.


StrSplitStrings function
JEDI-VCL Reference

StrSplitStrings function

Edit topic

Not documented

Pascal

function StrSplitStrings(const InString: string; const SplitChar: Char; const QuoteChar: Char; OutStrings: TStrings): Integer;

File

JvCsvParse

Parameters

const InString: string

Not documented

const SplitChar: Char

Not documented

const QuoteChar: Char

Not documented

OutStrings: TStrings

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


StrStrip function
JEDI-VCL Reference

StrStrip function

See Also	Edit topic

Strip leading and trailing whitespace, carriage returns and line feeds from a string.

Pascal

function StrStrip(S: string): string;

File

JvCsvParse

Parameters

S: string

The string to strip.

Description

Strip leading and trailing whitespace, carriage returns and line feeds from a string.

Created with Doc-O-Matic.


See Also

StrEatWhiteSpace


ThemeServices function
JEDI-VCL Reference

ThemeServices function

Edit topic

Not documented

Pascal

function ThemeServices: TThemeServicesEx;

File

JvThemes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TimeTHexToDateTime function
JEDI-VCL Reference

TimeTHexToDateTime function

See Also	Edit topic

Decode hex string to date Time.

Pascal

function TimeTHexToDateTime(const HexStr: string; TimeZoneCorrection: Integer): TDateTime;

File

JvCsvData

Parameters

const HexStr: string

A hex value.

TimeZoneCorrection: Integer

Incoming timezone correction. Usually 0 if all data is in UTC.

Description

Takes the hexadecimal value, treats it as a POSIX TIME_T value (seconds since Jan 1, 1970), and then convert it to TDateTime.

Created with Doc-O-Matic.


See Also

DateTimeToTimeTHex


TransparentBlt function
JEDI-VCL Reference

TransparentBlt function

Edit topic

The TransparentBlt function performs a bit-block transfer of the color data corresponding to a rectangle of pixels from the specified source device context into a destination device context.

Pascal

function TransparentBlt(hdcDest: HDC; nXOriginDest: Integer; nYOriginDest: Integer; nWidthDest: Integer; hHeightDest: Integer; hdcSrc: HDC; nXOriginSrc: Integer; nYOriginSrc: Integer; nWidthSrc: Integer; nHeightSrc: Integer; crTransparent: UINT): BOOL; stdcall;

File

JvCaptionButton

Return Value

If the function succeeds, the return value is TRUE. If the function fails, the return value is FALSE.

Parameters

hdcDest: HDC

Handle to the destination device context.

nXOriginDest: Integer

Specifies the x-coordinate, in logical units, of the upper-left corner of the destination rectangle.

nYOriginDest: Integer

Specifies the y-coordinate, in logical units, of the upper-left corner of the destination rectangle.

nWidthDest: Integer

Specifies the width, in logical units, of the destination rectangle.

hHeightDest: Integer

Handle to the height, in logical units, of the destination rectangle.

hdcSrc: HDC

Handle to the source device context.

nXOriginSrc: Integer

Specifies the x-coordinate, in logical units, of the source rectangle.

nYOriginSrc: Integer

Specifies the y-coordinate, in logical units, of the source rectangle.

nWidthSrc: Integer

Specifies the width, in logical units, of the source rectangle.

nHeightSrc: Integer

Specifies the height, in logical units, of the source rectangle.

crTransparent: UINT

The RGB color in the source bitmap to treat as transparent.

Description

The TransparentBlt function works with compatible bitmaps (DDBs).

The TransparentBlt function supports all formats of source bitmaps. However, for 32 bpp bitmaps, it just copies the alpha value over. Use AlphaBlend to specify 32 bits-per-pixel bitmaps with transparency.

If the source and destination rectangles are not the same size, the source bitmap is stretched to match the destination rectangle. When the SetStretchBltMode function is used, the iStretchMode modes of BLACKONWHITE and WHITEONBLACK are converted to COLORONCOLOR for the TransparentBlt function.

The destination device context specifies the transformation type for the destination coordinates. The source device context specifies the transformation type for the source coordinates.

TransparentBlt does not mirror a bitmap if either the width or height, of either the source or destination, is negative.

Windows 95/98: TransparentBlt contains a memory leak that can exhaust system resources. To draw a transparent bitmap using BitBlt, see Knowledge Base article 79212.

Windows 98/Me, Windows 2000/XP: When used in a multiple monitor system, both hdcSrc and hdcDest must refer to the same device or the function will fail. To transfer data between DCs for different devices, convert the memory bitmap to a DIB by calling GetDIBits. To display the DIB to the second device, call SetDIBits or StretchDIBits.

Created with Doc-O-Matic.


TypeInfoFromName function
JEDI-VCL Reference

TypeInfoFromName function

Edit topic

Not documented

Pascal

function TypeInfoFromName(TypeName: string): PTypeInfo;

File

JvInspector

Parameters

TypeName: string

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


UnlitColorToIdent function
JEDI-VCL Reference

UnlitColorToIdent function

See Also	Edit topic

Translates a TUnlitColor value into an unlit color literal.

Pascal

function UnlitColorToIdent(Int: Longint; var Ident: string): Boolean;

File

JvSegmentedLEDDisplay

Parameters

Int: Longint

Ordinal value of a TUnlitColor value.

var Ident: string

String literal representing the color specified by Int

Description

UnlitColorToIdent translates a TUnlitColor value into an unlit color literal. Because TUnlitColor allows for two additional values which should be accessible from the Object Inspector this method is needed to perform the translation from the actual value into the string literal.

If the value does not correspond to one of the two additional values, the ColorToIdent function is called.

Created with Doc-O-Matic.


See Also

ColorToIdent


UnlitColorToString function
JEDI-VCL Reference

UnlitColorToString function

See Also	Edit topic

Translates a TUnlitColor value into it's string representation.

Pascal

function UnlitColorToString(const Color: TUnlitColor): string;

File

JvSegmentedLEDDisplay

Parameters

const Color: TUnlitColor

Color value to be translated into a string.

Description

UnlitColorToString translates a TUnlitColor value into it's string representation. UnlitColorToString behaves exactly the same as ColorToString but will also recognize and translate the additional color values defined for TUnlitColor.

Created with Doc-O-Matic.


See Also

StringToUnlitColor, UnlitColorToIdent


UnregisterAppStoragePropertyEngine procedure
JEDI-VCL Reference

UnregisterAppStoragePropertyEngine procedure

Edit topic

Not documented

Pascal

procedure UnregisterAppStoragePropertyEngine(AEngineClass: TJvAppStoragePropertyBaseEngineClass);

File

JvAppStorage

Parameters

AEngineClass: TJvAppStoragePropertyBaseEngineClass

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


UnregisterDSA procedure
JEDI-VCL Reference

UnregisterDSA procedure

Package	 See Also	Edit topic

Remove a DSA dialog from the system.

Pascal

procedure UnregisterDSA(const DlgID: Integer);

File

JvDSADialogs

Parameters

const DlgID: Integer

ID of the dialog in the DSA system.

Description

UnregisterDSA removes a DSA dialog from the system. If the specified dialog ID is not registered, the procedure does nothing.

Removing the DSA dialog does not remove it from the storage device, but the specified ID can not be used to invoke a DSA dialog and will result in an exception.

Created with Doc-O-Matic.


See Also

RegisterDSA


Package

Dlgs


UnregisterDSACheckMarkText procedure
JEDI-VCL Reference

UnregisterDSACheckMarkText procedure

Package	 See Also	Edit topic

Unregister a check mark text.

Pascal

procedure UnregisterDSACheckMarkText(const ID: TDSACheckTextKind);

File

JvDSADialogs

Parameters

const ID: TDSACheckTextKind

Not documented

Description

UnregisterDSACheckMarkText allows you to remove a check mark text. The registered dialogs are not checked and if a dialog was assigned to this check mark text, it will default to ctkShow.

Created with Doc-O-Matic.


See Also

RegisterDSACheckMarkText, TDSACheckTextKind


Package

Dlgs


UnregisterGraphicSignature procedure
JEDI-VCL Reference

UnregisterGraphicSignature procedure

Edit topic

Not documented

Pascal

procedure UnregisterGraphicSignature(AGraphicClass: TGraphicClass); overload;

File

JvDBImage

Parameters

AGraphicClass: TGraphicClass

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


UnregisterGraphicSignature procedure
JEDI-VCL Reference

UnregisterGraphicSignature procedure

Edit topic

Not documented

Pascal

procedure UnregisterGraphicSignature(const ASignature: array of Byte; AOffset: Integer); overload;

File

JvDBImage

Parameters

const ASignature: array of Byte

Not documented

AOffset: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


UnregisterGraphicSignature procedure
JEDI-VCL Reference

UnregisterGraphicSignature procedure

Edit topic

Not documented

Pascal

procedure UnregisterGraphicSignature(const ASignature: string; AOffset: Integer); overload;

File

JvDBImage

Parameters

const ASignature: string

Not documented

AOffset: Integer

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


UnregisterModuleSegmentedLEDDigitClasses procedure
JEDI-VCL Reference

UnregisterModuleSegmentedLEDDigitClasses procedure

See Also	Edit topic

Unregisters segmented LED digit classes belonging to a specific module from the system.

Pascal

procedure UnregisterModuleSegmentedLEDDigitClasses(Module: HMODULE);

File

JvSegmentedLEDDisplay

Parameters

Module: HMODULE

Handle of the module from which all segmented LED digit classes are to be unregistered.

Description

UnregisterModuleSegmentedLEDDigitClasses unregisters all segmented LED digit classes declared in the specified module (DLL or package) from the system.

This method is called upon termination/unloading of a module.

Created with Doc-O-Matic.


See Also

RegisterSegmentedLEDDigitClass, RegisterSegmentedLEDDigitClasses, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitClassName, UnregisterSegmentedLEDDigitClass, UnregisterSegmentedLEDDigitClasses


UnregisterSegmentedLEDDigitClass procedure
JEDI-VCL Reference

UnregisterSegmentedLEDDigitClass procedure

See Also	Edit topic

Unregisters a segmented LED digit class from the system.

Pascal

procedure UnregisterSegmentedLEDDigitClass(DigitClass: TJvSegmentedLEDDigitClass);

File

JvSegmentedLEDDisplay

Parameters

DigitClass: TJvSegmentedLEDDigitClass

Digit class to be unregistered.

Description

UnregisterSegmentedLEDDigitClass unregisters the specified segmented LED digit class from the system.

If the class is not registered this function has no effect.

The class will not be unregistered from the streaming system (UnregisterClass is not called).

Created with Doc-O-Matic.


See Also

RegisterSegmentedLEDDigitClass, RegisterSegmentedLEDDigitClasses, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitClassName, UnregisterModuleSegmentedLEDDigitClasses, UnregisterSegmentedLEDDigitClasses


UnregisterSegmentedLEDDigitClasses procedure
JEDI-VCL Reference

UnregisterSegmentedLEDDigitClasses procedure

See Also	Edit topic

Unregisters a number of segmented LED digit classes from the system.

Pascal

procedure UnregisterSegmentedLEDDigitClasses(DigitClasses: array of TJvSegmentedLEDDigitClass);

File

JvSegmentedLEDDisplay

Parameters

DigitClasses: array of TJvSegmentedLEDDigitClass

array of digit classes to register.

Description

UnregisterSegmentedLEDDigitClasses unregisters the specified segmented LED digit classes from the system.

If a class is not registered it will be skipped.

The classes will also not be unregistered from the streaming system (UnregisterClass is not called for any of the classes).

Created with Doc-O-Matic.


See Also

RegisterSegmentedLEDDigitClass, RegisterSegmentedLEDDigitClasses, TJvCustomSegmentedLEDDisplay.DigitClass, TJvCustomSegmentedLEDDisplay.DigitClassName, UnregisterModuleSegmentedLEDDigitClasses, UnregisterSegmentedLEDDigitClass


UnRegisterWndProcHook function
JEDI-VCL Reference

UnRegisterWndProcHook function

See Also	Edit topic

Removes a registered hook.

Pascal

function UnRegisterWndProcHook(AControl: TControl; Hook: TJvControlHook; const Order: TJvHookOrder): Boolean; overload;
function UnRegisterWndProcHook(AHandle: THandle; Hook: TJvControlHook; const Order: TJvHookOrder): Boolean; overload;

File

JvWndProcHook

Parameters

AControl: TControl

Specifies the hooked control.

Hook: TJvControlHook

Specifies the control hook procedure.

const Order: TJvHookOrder

Specifies the kind of hook. It should be the same value as used by the call to RegisterWndProcHook.

AHandle: THandle

Specifies the hooked handle.

Description

Call UnRegisterWndProcHook to unhook a control. The hook must previously been registered by a call to RegisterWndProcHook.

TJvWindowHook calls this method when it wants to stop hooking the control. An internal list is maintained to prevent "broken links" when a hook is removed.

Created with Doc-O-Matic.


See Also

RegisterWndProcHook


UseFlatMenubars function
JEDI-VCL Reference

UseFlatMenubars function

Edit topic

Not documented

Pascal

function UseFlatMenubars: Boolean;

File

JvMenus

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


ValidHexLiteral function
JEDI-VCL Reference

ValidHexLiteral function

See Also	Edit topic

Check if the string presented is a valid hexadecimal literal string.

Pascal

function ValidHexLiteral(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

buffer to be checked.

Description

Returns true if string is valid hex literal. We expect hex literals to be preceded by a $ and contain digits 0-9 and A-F.

Created with Doc-O-Matic.


See Also

ValidIntLiteral, ValidNumericLiteral


ValidIdentifier function
JEDI-VCL Reference

ValidIdentifier function

See Also	Edit topic

Not documented

Pascal

function ValidIdentifier(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

ValidIntLiteral, ValidNumericLiteral, ValidStringLiteral


ValidIntLiteral function
JEDI-VCL Reference

ValidIntLiteral function

See Also	Edit topic

Check if the string presented is a valid integer literal string. (For example, '123' is valid but not '123.45')

Pascal

function ValidIntLiteral(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

buffer to be checked

Description

Check if the provided string is an integer literal.

Created with Doc-O-Matic.


See Also

ValidHexLiteral, ValidIdentifier, ValidNumericLiteral, ValidStringLiteral


ValidNumericLiteral function
JEDI-VCL Reference

ValidNumericLiteral function

See Also	Edit topic

Check if the string presented is a valid integer literal string. (For Example, '123' is valid and also floating point numbers like '123.45')

Pascal

function ValidNumericLiteral(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

buffer to be checked.

Description

Check if provided string is integer or float literal.

Created with Doc-O-Matic.


See Also

ValidHexLiteral, ValidIdentifier, ValidIntLiteral, ValidStringLiteral


ValidStringLiteral function
JEDI-VCL Reference

ValidStringLiteral function

See Also	Edit topic

Check if valid quoted string literal is provided. For example, '"ABC123"'

Pascal

function ValidStringLiteral(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

buffer to be checked.

Description

Check for valid string literal

Created with Doc-O-Matic.


See Also

ValidHexLiteral, ValidIdentifier, ValidIntLiteral, ValidNumericLiteral


ValidVarReference function
JEDI-VCL Reference

ValidVarReference function

See Also	Edit topic

Check for valid variable reference.

Pascal

function ValidVarReference(S1: PChar): Boolean;

File

JvCsvParse

Parameters

S1: PChar

buffer to be checked.

Description

Valid variable reference?

Created with Doc-O-Matic.


See Also

ValidHexLiteral, ValidIdentifier, ValidIntLiteral, ValidNumericLiteral


VarXML function
JEDI-VCL Reference

VarXML function

Edit topic

Returns the type of variant used for XML variants

Pascal

function VarXML: TVarType;

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


WriteID3v1Tag function
JEDI-VCL Reference

WriteID3v1Tag function

See Also	Edit topic

Writes an ID3v1 tag to a file.

Pascal

function WriteID3v1Tag(const AFileName: string; const ATag: TID3v1Tag): Boolean;

File

JvId3v1

Parameters

const AFileName: string

Specifies the name of the file.

const ATag: TID3v1Tag

Specifies the new tag data for the file.

Description

Call WriteID3v1Tag to write an ID3v1 tag to a file specified by parameter AFileName. WriteID3v1Tag returns true when the tag data has been successful written to the file, and returns false if an error occurred.

Created with Doc-O-Matic.


See Also

HasID3v1Tag, ReadID3v1Tag, RemoveID3v1Tag


XMLCreate function
JEDI-VCL Reference

XMLCreate function

See Also	Edit topic

Creates a TJvSimpleXmlElemClassic and returns it as a variant

Pascal

function XMLCreate: Variant; overload;

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

XMLCreateInto


XMLCreate function
JEDI-VCL Reference

XMLCreate function

See Also	Edit topic

Returns a variant containing the given XML element

Pascal

function XMLCreate(const AXML: TJvSimpleXMLElem): Variant; overload;

File

JvSimpleXml

Parameters

const AXML: TJvSimpleXMLElem

The XML element to put in the variant

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

XMLCreateInto


XMLCreateInto procedure
JEDI-VCL Reference

XMLCreateInto procedure

See Also	Edit topic

Puts the given XML element in the given variant

Pascal

procedure XMLCreateInto(var ADest: Variant; const AXML: TJvSimpleXMLElem);

File

JvSimpleXml

Parameters

var ADest: Variant

The destination variant

const AXML: TJvSimpleXMLElem

The XML element to put in the variant

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

XMLCreate


XMLDecode function
JEDI-VCL Reference

XMLDecode function

See Also	Edit topic

Decodes the given string. This function calls SimpleXMLDecode.

Pascal

function XMLDecode(const S: string): string;

File

JvSimpleXml

Parameters

const S: string

The string to decode

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

SimpleXMLDecode


XMLEncode function
JEDI-VCL Reference

XMLEncode function

See Also	Edit topic

Encodes the given string. This function calls SimpleXMLEncode.

Pascal

function XMLEncode(const S: string): string;

File

JvSimpleXml

Parameters

const S: string

The string to encode

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

SimpleXMLEncode


DEV_BROADCAST_HDR type
JEDI-VCL Reference

DEV_BROADCAST_HDR type

Edit topic

See MSDN for more info.

Pascal

DEV_BROADCAST_HDR = packed record
  dbch_size: DWORD;
  dbch_devicetype: DWORD;
  dbch_reserved: DWORD;
  end;

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

dbch_size: DWORD;

See MSDN for more info.

dbch_devicetype: DWORD;

See MSDN for more info.

dbch_reserved: DWORD;

See MSDN for more info.

Created with Doc-O-Matic.


DEV_BROADCAST_VOLUME type
JEDI-VCL Reference

DEV_BROADCAST_VOLUME type

Edit topic

See MSDN for more info.

Pascal

DEV_BROADCAST_VOLUME = packed record
  dbcv_size: DWORD;
  dbcv_devicetype: DWORD;
  dbcv_reserved: DWORD;
  dbcv_unitmask: DWORD;
  dbcv_flags: Word;
  end;

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

dbcv_size: DWORD;

See MSDN for more info.

dbcv_devicetype: DWORD;

See MSDN for more info.

dbcv_reserved: DWORD;

See MSDN for more info.

dbcv_unitmask: DWORD;

See MSDN for more info.

dbcv_flags: Word;

See MSDN for more info.

Created with Doc-O-Matic.


T7SegColonUsage type
JEDI-VCL Reference

T7SegColonUsage type

Edit topic

Determines colon usage for the 7-segmented LED digit.

Pascal

T7SegColonUsage = (scuNone, scuLowOnly, scuFull, scuColonOnly);

File

JvSegmentedLEDDisplay

Description

The T7SegColonUsage type is used to specify the colon usage for the 7-segmented LED digit.

Members

scuNone

No colon is rendered.

scuLowOnly

Only the low dot of the colon is rendered. This can be used to simulate certain HP calculators that used this dot as a decimal separator symbol.

scuFull

Renders the entire colon. Note that each colon dot can be set on or off individual.

scuColonOnly

Renders the entire colon but hides the other segments. Can be used to render a colon digit in a clock for example.

Created with Doc-O-Matic.


TBalloonType type
JEDI-VCL Reference

TBalloonType type

Edit topic

Identifies different balloon types.

Pascal

TBalloonType = (btNone, btError, btInfo, btWarning);

File

JvTrayIcon

Description

The TBalloonType type defines values that represent specific types of balloons. Each balloon type shows a different icon to the left of non blank titles.

Possible values are: btNone, btError, btInfo, btWarning.

Members

btNone

A balloon containing no icon.

btError

A balloon containing a red stop sign.

btInfo

A balloon containing a blue "i".

btWarning

A balloon containing a yellow exclamation point symbol.

Created with Doc-O-Matic.


TCABInfo type
JEDI-VCL Reference

TCABInfo type

See Also	Edit topic

Cabinet file information from the Setup and Device Installer API.

Pascal

TCABInfo = record
  CabinetPath: string;
  CabinetFile: string;
  DiskName: string;
  Id: Shortint;
  CabinetNumber: Shortint;
  end;

File

JvCabFile

Description

TCABInfo is a record structure used to store information about a .CAB cabinet file. TCABInfo contains values returned in callback functions for the Setup and Device Installer API during file listing or extraction operations.

TCABInfo is used as an argument in TJvCABFile event handlers, like OnCABInfo and OnNeedNewCabinet.

Members

CabinetPath: string;

Represents the path to the cabinet file.

CabinetFile: string;

Represents the file name for the cabinet file.

DiskName: string;

Represents the name of the source media that contains the cabinet file.

Id: Shortint;

Represents the current set identifier for one or more cabinet files. Id is generated by the software that builds the cabinet file.

CabinetNumber: Shortint;

Represents the cabinet number for the cabinet file. CabinetNumber is generally a 0- or 1-based index indicating the ordinal position of the cabinet file within a set.

CabinetNumber is generated by the software that builds the cabinet file or set.

Created with Doc-O-Matic.


See Also

TOnCABInfo, TOnNeedNewCabinet, TJvCABFile.OnCABInfo, TJvCABFile.OnNeedNewCabinet


TCalendarStyle type
JEDI-VCL Reference

TCalendarStyle type

See Also	Edit topic

Enumerates calendar styles.

Pascal

TCalendarStyle = (csPopup, csDialog);

File

JvToolEdit

Description

Use the TCalendarStyle to specify a specific calendar style.

Members

csPopup

The calendar is a pop-up window.

csDialog

The calendar is a modal dialog.

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.CalendarStyle


TCMButtonPressed type
JEDI-VCL Reference

TCMButtonPressed type

Edit topic

Not documented

Pascal

TCMButtonPressed = packed record
  Msg: Cardinal;
  Index: Integer;
  Control: TControl;
  Result: Longint;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Msg: Cardinal;

Not documented

Index: Integer;

Not documented

Control: TControl;

Not documented

Result: Longint;

Not documented

Created with Doc-O-Matic.


TCMForceSize type
JEDI-VCL Reference

TCMForceSize type

Edit topic

Not documented

Pascal

TCMForceSize = record
  Msg: Cardinal;
  NewSize: TSmallPoint;
  Sender: TControl;
  Result: Longint;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Msg: Cardinal;

Not documented

NewSize: TSmallPoint;

Not documented

Sender: TControl;

Not documented

Result: Longint;

Not documented

Created with Doc-O-Matic.


TCNRequestRefresh type
JEDI-VCL Reference

TCNRequestRefresh type

Edit topic

Message type used to request a schedule refresh.

Pascal

TCNRequestRefresh = record
  Msg: Cardinal;
  Schedule: TJvTFSched;
  Unused: Longint;
  Result: Longint;
  end;

File

JvTFManager

Description

A CN_REQUESTREFRESH is sent by the TJvTFScheduleManager when it needs to refresh a schedule. The message is sent in a TCNRequestRefresh record. This message has been superseded by the NotifyApptCtrl method.

Members

Msg: Cardinal;

The message, should be CN_REQUESTREFRESH

Schedule: TJvTFSched;

The schedule that needs refreshing

Unused: Longint;

Not used

Result: Longint;

Not used

Created with Doc-O-Matic.


TColorType type
JEDI-VCL Reference

TColorType type

Edit topic

Not documented

Pascal

TColorType = (ctStandard, ctSystem, ctCustom);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ctStandard

Not documented

ctSystem

Not documented

ctCustom

Not documented

Created with Doc-O-Matic.


TDataItemState type
JEDI-VCL Reference

TDataItemState type

See Also	Edit topic

Type used to specify the state of a Data Item.

Pascal

TDataItemState = (disFalse, disTrue, disIndetermined, disNotUsed);

File

JvDataProviderIntf

Description

The TDataItemState type ise used to specify a specific state for a Data Item. For each setting (Enabled, Visible and Checked) this type specifies if that settings is off, on, indetermined or not used.

Members

disFalse

Specifies the setting is False or 'off'.

disTrue

Specifies the setting is True or 'on'.

disIndetermined

Specifies the setting is 'indetermined' (neither False/off nor True/on).

disNotUsed

Specifies the setting is not used by this item.

Created with Doc-O-Matic.


See Also

IJvDataItemStates


TDataProviderChangeReason type
JEDI-VCL Reference

TDataProviderChangeReason type

See Also	Edit topic

Type used to specify the change reason.

Pascal

TDataProviderChangeReason = (pcrAdd, pcrDelete, pcrUpdateItem, pcrUpdateItems, pcrDestroy, pcrContextAdd, pcrContextDelete, pcrContextUpdate, pcrFullRefresh);

File

JvDataProviderIntf

Description

The TDataProviderChangeReason type is used to specify the reason why the ProviderChanging/ProviderChanged methods are called.

Members

pcrAdd

An item is about to be added or has just been added. The Source parameter will refer to the IJvDataItems where the item is about to be added to (DataProviderChanging) or refers to the IJvDataItem that has just been added (DataProviderChanged).

pcrDelete

An item is about to be deleted or has just been deleted. The Source parameter will refer to the IJvDataItem that is about to be deleted (DataProviderChanging) or refers to the IJvDataItems where the item has been just removed from (DataProviderChanging). Note that any sub items are implicitly also deleted, but there will be no additional calls to DataProviderChanging/DataProviderChanged for them.

pcrUpdateItem

An item is about to be changed or has just been changed. The Source parameter will refer to the IJvDataItem that is about to change or has just changed. In general this change reason means that one of the item's properties is changing, which also includes the properties of support interfaces.

pcrUpdateItems

An item list is about to be changed or has just been changed. The Source parameter will refer to the IJvDataItems that is about to change or has just changed. In general this change reason means that either the items list is about to be cleared (or has been cleared) or any of the items list support interface's properties is changing (or has changed).

pcrDestroy

The IJvDataProvider is destroying. This reason will only occur in the DataProviderChanging notification.

pcrContextAdd

A context is about to be added or has just been added. Source refers to the context the new context is added to (or nil if the context is added at the root) or the context that has just been added.

pcrContextDelete

A context is about to be deleted or has just been deleted. Source refers to the context about to be deleted or the context where a context has just been removed from (or nil if a context at the root was deleted).

pcrContextUpdate

A context is about to be changed or has just been changed. Source refers to the context changing or changed. It usually signals the context name is changing or has changed.

pcrFullRefresh

The consumer should execute a full refresh (changes are made or being made that affect the entire data tree, including tree structure).

Created with Doc-O-Matic.


See Also

IJvDataProvider.Changed, IJvDataProvider.Changing, IJvDataProviderNotify


TDateOrder type
JEDI-VCL Reference

TDateOrder type

Edit topic

Not documented

Pascal

TDateOrder = (doMDY, doDMY, doYMD);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

doMDY

Not documented

doDMY

Not documented

doYMD

Not documented

Created with Doc-O-Matic.


TDayOfWeekName type
JEDI-VCL Reference

TDayOfWeekName type

Edit topic

Enumerates the days of the week.

Pascal

TDayOfWeekName = (Sun, Mon, Tue, Wed, Thu, Fri, Sat);
TDaysOfWeek = set of TDayOfWeekName;

File

JvTypes

Description

Use the TDayOfWeekName type to specify a specific day of the week.

TDaysOfWeek is a set of TDayOfWeekName values.

Members

Sun

Sunday.

Mon

Monday.

Tue

Tuesday.

Wed

Wednesday.

Thu

Thursday.

Fri

Friday.

Sat

Saturday.

Created with Doc-O-Matic.


TDefColorItem type
JEDI-VCL Reference

TDefColorItem type

Edit topic

Not documented

Pascal

TDefColorItem = record
  Value: TColor;
  Constant: string;
  Description: string;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Value: TColor;

Not documented

Constant: string;

Not documented

Description: string;

Not documented

Created with Doc-O-Matic.


TDirDialogKind type
JEDI-VCL Reference

TDirDialogKind type

See Also	Edit topic

Enumerates directory dialog kinds.

Pascal

TDirDialogKind = (dkVCL, dkWin32);

File

JvToolEdit

Description

Use the TDirDialogKind type to specify a specific directory dialog kind.

Members

dkVCL

VCL Select Directory dialog box.

dkWin32

Windows directory browser.

Created with Doc-O-Matic.


See Also

TJvDirectoryEdit.DialogKind


TDisposalMethod type
JEDI-VCL Reference

TDisposalMethod type

Edit topic

Specifies how the graphic is to be treated after a frame has been been displayed.

Pascal

TDisposalMethod = (dmUndefined, dmLeave, dmRestoreBackground, dmRestorePrevious, dmReserved4, dmReserved5, dmReserved6, dmReserved7);

File

JvGIF

Description

TDisposalMethod is the type of the DisposalMethod property of a TJvGIFFrame and defines how the GIF image is to be updated after a frame has been displayed.

Members

dmUndefined

The disposal method is not defined. This value indicates a GIF87a image.

dmLeave

Leave frame on-screen.

dmRestoreBackground

Restore the background.

dmRestorePrevious

Restore the previous frame.

dmReserved4

Reserved. Do not use.

dmReserved5

Reserved. Do not use.

dmReserved6

Reserved. Do not use.

dmReserved7

Reserved. Do not use.

Created with Doc-O-Matic.


TDlgCenterKind type
JEDI-VCL Reference

TDlgCenterKind type

Edit topic

Type to indicate the way a dialog should be centered.

Pascal

TDlgCenterKind = (dckScreen, dckMainForm, dckActiveForm);

File

JvDSADialogs

Description

The TDlgCenterKind is used to indicate the way a dialog should be centered. It's used for the Center parameter in the various ShowMessage and MessageDlg routines.

Members

dckScreen

Center the dialog on the screen.

dckMainForm

Center the dialog on the main form.

dckActiveForm

Center the dialog on the active form.

Created with Doc-O-Matic.


TDSARegItem type
JEDI-VCL Reference

TDSARegItem type

Edit topic

Type used to hold DSA registration information.

Pascal

TDSARegItem = record
  ID: Integer;
  Name: string;
  Description: string;
  Storage: TDSAStorage;
  ChkTextKind: TDSACheckTextKind;
  end;

File

JvDSADialogs

Description

TDSARegItem is a record to hold information about a registered DSA dialog. This type is used internally by the registration database and passed on to the storage device when retrieving state and values.

It is also used by the events that allow you to store or retrieve custom data associated with a dialog.

Members

ID: Integer;

The dialog ID number.

Name: string;

The identifying name of the dialog.

Description: string;

The description of the dialog, useful for dialogs for restoring DSA states.

Storage: TDSAStorage;

The storage device that holds the DSA state and values.

ChkTextKind: TDSACheckTextKind;

The ID of the check mark text to use.

Created with Doc-O-Matic.


TFileDialogKind type
JEDI-VCL Reference

TFileDialogKind type

See Also	Edit topic

Enumerates file dialog kinds.

Pascal

TFileDialogKind = (dkOpen, dkSave, dkOpenPicture, dkSavePicture);

File

JvToolEdit

Description

Use the TFileDialogKind type to specify a specific file dialog kind.

Members

dkOpen

File-selection dialog.

dkSave

Save As" dialog for saving files.

dkOpenPicture

Graphics-file selection dialog.

dkSavePicture

Save As" dialog for saving graphics files.

Created with Doc-O-Matic.


See Also

TJvFilenameEdit.Dialog, TJvFilenameEdit.DialogKind


TFileLocation type
JEDI-VCL Reference

TFileLocation type

See Also	Edit topic

File-Location Type

Pascal

TFileLocation = (flCustom, flWindows, flTemp, flExeFile, flUserFolder);

File

JvAppStorage

Description

Defines the location of a file.

Members

flCustom

Filename must contain a directory

flWindows

File is placed in the windows directory

flTemp

File is placed in the temp directory

flExeFile

File is placed in the directory of the Exe-File

flUserFolder

File is placed in the user directory

Created with Doc-O-Matic.


See Also

TJvAppIniStorage, TJvAppXMLStorage


TFromDirectory type
JEDI-VCL Reference

TFromDirectory type

Edit topic

Identifies specific folders.

Pascal

TFromDirectory = (fdNoSpecialFolder, fdRootFolder, fdRecycleBin, fdControlPanel, fdDesktop, fdDesktopDirectory, fdMyComputer, fdFonts, fdNetHood, fdNetwork, fdPersonal, fdPrinters, fdPrograms, fdRecent, fdSendTo, fdStartMenu, fdStartup, fdTemplates, fdStartUpNonLocalized, fdCommonStartUpNonLocalized, fdCommonDocuments, fdCommonFavorites, fdCommonPrograms, fdCommonStartUp, fdCommonTemplates, fdCookies, fdFavorites, fdHistory, fdInternet, fdMyMusic, fdPrinthood, fdConnections, fdAppData, fdInternetCache, fdAdminTools, fdCommonAdminTools, fdCommonAppData, fdLocalAppData, fdMyPictures, fdProfile, fdProgramFiles, fdProgramFilesCommon, fdSystem, fdWindows, fdCDBurnArea, fdCommonMusic, fdCommonPictures, fdCommonVideo, fdMyDocuments, fdMyVideo, fdProfiles, fdResources, fdResourcesLocalized, fdCommonOEMLinks, fdComputersNearMe);

File

JvBrowseFolder

Description

The TFromDirectory type defines values that represent specific folders, frequently used by applications, but which may not have the same name or location on any given system.

Use a TFromDirectory value to specify a specific folder in a unique system-independent way.

Members

fdNoSpecialFolder

Specifies that the directory specified by Directory should be used.

fdRootFolder

The namespace root (the desktop folder).

fdRecycleBin

The virtual folder containing the objects in the user's Recycle Bin.

fdControlPanel

The virtual folder containing icons for the Control Panel applications.

fdDesktop

The virtual folder representing the windows desktop, the root of the namespace.

fdDesktopDirectory

The file system directory used to physically store file objects on the desktop (not to be confused with the desktop folder itself). A typical path is C:\Documents and Settings\username\Desktop.

fdMyComputer

The virtual folder representing My Computer, containing everything on the local computer: storage devices, printers, and Control Panel. The folder may also contain mapped network drives.

fdFonts

A virtual folder containing fonts. A typical path is C:\Windows\Fonts.

fdNetHood

A file system directory containing the link objects that may exist in the My Network Places virtual folder. It is not the same as fdNetwork, which represents the network namespace root. A typical path is C:\Documents and Settings\username\NetHood.

fdNetwork

A virtual folder representing Network Neighborhood, the root of the network namespace hierarchy.

fdPersonal

The file system directory used to physically store a user's common repository of documents. A typical path is C:\Documents and Settings\username\My Documents. This should be distinguished from the virtual My Documents folder in the namespace, identified by fdMyDocuments.

fdPrinters

The virtual folder containing installed printers.

fdPrograms

The file system directory that contains the user's program groups (which are themselves file system directories). A typical path is C:\Documents and Settings\username\Start Menu\Programs.

fdRecent

The file system directory that contains shortcuts to the user's most recently used documents. A typical path is C:\Documents and Settings\username\My Recent Documents.

fdSendTo

The file system directory that contains Send To menu items. A typical path is C:\Documents and Settings\username\SendTo.

fdStartMenu

The file system directory containing Start menu items. A typical path is C:\Documents and Settings\username\Start Menu.

fdStartup

The file system directory that corresponds to the user's Startup program group. The system starts these programs whenever any user logs onto windows NT or starts windows 95. A typical path is C:\Documents and Settings\username\Start Menu\Programs\Startup.

fdTemplates

The file system directory that serves as a common repository for document templates. A typical path is C:\Documents and Settings\username\Templates.

fdStartUpNonLocalized

The file system directory that corresponds to the user's nonlocalized Startup program group.

fdCommonStartUpNonLocalized

The file system directory that corresponds to the nonlocalized Startup program group for all users. Valid only for windows NT systems.

fdCommonDocuments

The file system directory that contains documents that are common to all users. A typical paths is C:\Documents and Settings\All Users\Documents. Valid for windows NT systems, and windows 95 and 98 systems with Shfolder.dll installed.

fdCommonFavorites

The file system directory that serves as a common repository for favorite items common to all users. Valid only for windows NT systems.

fdCommonPrograms

The file system directory that contains the directories for the common program groups that appear on the Start menu for all users. A typical path is C:\Documents and Settings\All Users\Start Menu\Programs. Valid only for windows NT systems.

fdCommonStartUp

The file system directory that contains the programs that appear in the Startup folder for all users. A typical path is C:\Documents and Settings\All Users\Start Menu\Programs\Startup. Valid only for windows NT systems.

fdCommonTemplates

The file system directory that contains the templates that are available to all users. A typical path is C:\Documents and Settings\All Users\Templates. Valid only for windows NT systems.

fdCookies

The file system directory that serves as a common repository for Internet cookies. A typical path is C:\Documents and Settings\username\Cookies.

fdFavorites

The file system directory that serves as a common repository for the user's favorite items. A typical path is C:\Documents and Settings\username\Favorites.

fdHistory

The file system directory that serves as a common repository for Internet history items.

fdInternet

A virtual folder representing the Internet.

fdMyMusic

The file system directory that serves as a common repository for music files. A typical path is C:\Documents and Settings\User\My Documents\My Music.

fdPrinthood

The file system directory that contains the link objects that can exist in the Printers virtual folder. A typical path is C:\Documents and Settings\username\PrintHood.

fdConnections

A virtual folder that contains network and dial-up connections.

fdAppData

Version 4.71. The file system directory that serves as a common repository for application-specific data. A typical path is C:\Documents and Settings\username\Application Data.

fdInternetCache

Version 4.72. The file system directory that serves as a common repository for temporary Internet files. A typical path is C:\Documents and Settings\username\Local Settings\Temporary Internet Files.

fdAdminTools

Version 5.0. The file system directory that is used to store administrative tools for an individual user.

fdCommonAdminTools

Version 5.0. The file system directory containing administrative tools for all users of the computer.

fdCommonAppData

Version 5.0. The file system directory containing application data for all users. A typical path is C:\Documents and Settings\All Users\Application Data.

fdLocalAppData

Version 5.0. The file system directory that serves as a data repository for local (nonroaming) applications. A typical path is C:\Documents and Settings\username\Local Settings\Application Data.

fdMyPictures

Version 5.0. The file system directory that serves as a common repository for image files. A typical path is C:\Documents and Settings\username\My Documents\My Pictures.

fdProfile

Version 5.0. The user's profile folder. A typical path is C:\Documents and Settings\username. Applications should not create files or folders at this level; they should put their data under the locations referred to by fdAppData or fdLocalAppData.

fdProgramFiles

Version 5.0. The Program Files folder. A typical path is C:\Program Files.

fdProgramFilesCommon

Version 5.0. A folder for components that are shared across applications. A typical path is C:\Program Files\Common. Valid only for windows NT, 2000 and XP systems. Not valid for windows Me.

fdSystem

Version 5.0. The windows System folder. A typical path is C:\Windows\System32.

fdWindows

Version 5.0. The windows directory or SYSROOT. This corresponds to the %windir% or %SYSTEMROOT% environment variables. A typical path is C:\Windows.

fdCDBurnArea

Version 6.0. The file system directory acting as a staging area for files waiting to be written to CD. A typical path is C:\Documents and Settings\username\Local Settings\Application Data\Microsoft\CD Burning.

fdCommonMusic

Version 6.0. The file system directory that serves as a repository for music files common to all users. A typical path is C:\Documents and Settings\All Users\Documents\My Music.

fdCommonPictures

Version 6.0. The file system directory that serves as a repository for image files common to all users. A typical path is C:\Documents and Settings\All Users\Documents\My Pictures.

fdCommonVideo

Version 6.0. The file system directory that serves as a repository for video files common to all users. A typical path is C:\Documents and Settings\All Users\Documents\My Videos.

fdMyDocuments

Version 6.0. The virtual folder representing the My Documents desktop item. This should not be confused with fdPersonal, which represents the file system folder that physically stores the documents.

fdMyVideo

Version 6.0. The file system directory that serves as a common repository for video files. A typical path is C:\Documents and Settings\username\My Documents\My Videos.

fdProfiles

Version 6.0. The file system directory containing user profile folders. A typical path is C:\Documents and Settings.

fdResources

The windows system resource directory. A typical path is C:\Windows\Resources.

fdResourcesLocalized

The windows localized system resource directory. A typical path is C:\Windows\Resources\langid.

fdCommonOEMLinks

The folder containing links to OEM specific applications for all users.

fdComputersNearMe

A virtual folder that contains links to nearby computers on the network. Nearness it is established by common work group membership.

Notes

Some flags are not supported on all Shell32.dll versions, these flags are marked with a version number. This version number indicates that the programming element was first implemented in that version and will also be found in all subsequent versions of the DLL. If no version number is specified, the programming element is implemented in all versions.

Created with Doc-O-Matic.


TGIFColorItem type
JEDI-VCL Reference

TGIFColorItem type

Edit topic

Not documented

Pascal

TGIFColorItem = packed record
  Red: Byte;
  Green: Byte;
  Blue: Byte;
  end;

File

JvGIF

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Red: Byte;

Not documented

Green: Byte;

Not documented

Blue: Byte;

Not documented

Created with Doc-O-Matic.


TGIFColorTable type
JEDI-VCL Reference

TGIFColorTable type

Edit topic

Not documented

Pascal

TGIFColorTable = packed record
  Count: Integer;
  Colors: packed array [Byte] of TGIFColorItem;
  end;

File

JvGIF

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Count: Integer;

Not documented

Colors: packed array [Byte] of TGIFColorItem;

Not documented

Created with Doc-O-Matic.


TGIFVersion type
JEDI-VCL Reference

TGIFVersion type

Edit topic

Defines the available GIF versions as an enumeration.

Pascal

TGIFVersion = (gvUnknown, gv87a, gv89a);

File

JvGIF

Description

TGIFVersion

Members

gvUnknown

The version is unknown.

gv87a

The GIF87a version

gv89a

The GIF89a version

Created with Doc-O-Matic.


TglSmallFontsDefenseOption type
JEDI-VCL Reference

TglSmallFontsDefenseOption type

Edit topic

Not documented

Pascal

TglSmallFontsDefenseOption = (fdoExcludeGrids);
TglSmallFontsDefenseOptions = set of TglSmallFontsDefenseOption;

File

JvgSmallFontsDefense

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

fdoExcludeGrids

Not documented

Created with Doc-O-Matic.


TGlyphKind type
JEDI-VCL Reference

TGlyphKind type

See Also	Edit topic

Enumerates glyph kinds for combo edit controls. (Obsolete.)

Pascal

TGlyphKind = (gkCustom, gkDefault, gkDropDown, gkEllipsis);

File

JvToolEdit

Description

Use the TGlyphKind type to specify the glyph kind for the button of a combo edit control.

Members

gkCustom

A custom glyph.

gkDefault

The default glyph. When specifying gkDefault the actual glyph shown depends on the combo edit control. For example, a TJvDateEdit will display a calendar glyph.

gkDropDown

A drop-down button.

gkEllipsis

Ellipsis.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.GlyphKind


TGlyphOrientation type
JEDI-VCL Reference

TGlyphOrientation type

See Also	Edit topic

Indicates the orientation of a glyph in a TJvAnimatedImage component

Pascal

TGlyphOrientation = (goHorizontal, goVertical);

File

JvAnimatedImage

Description

By orientation, we mean the direction in which the Glyph is cut according to the NumGlpyhs property

Members

goHorizontal

The Glyph will be cut horizontally

goVertical

The glyph will be cut vertically

Created with Doc-O-Matic.


See Also

TJvAnimatedImage.Glyph, TJvAnimatedImage.NumGlyphs


TID3v1Tag type
JEDI-VCL Reference

TID3v1Tag type

Edit topic

Represents an ID3v1 tag.

Pascal

TID3v1Tag = packed record
  Identifier: array [0..2] of Char;
  SongName: array [0..29] of Char;
  Artist: array [0..29] of Char;
  Album: array [0..29] of Char;
  Year: array [0..3] of Char;
  Comment: array [0..29] of Char;
  Genre: Byte;
  end;

File

JvId3v1

Description

Use the TID3v1Tag to represent an ID3v1 tag.

Members

Identifier: array [0..2] of Char;

The tag is valid if this field contains the string "TAG". This has to be uppercase!

SongName: array [0..29] of Char;

Contains the title of the MP3.

Artist: array [0..29] of Char;

Contains the artist of the MP3.

Album: array [0..29] of Char;

Contains the album where the MP3 comes from.

Year: array [0..3] of Char;

Contains the year when this song has originally been released.

Comment: array [0..29] of Char;

Contains a comment for the MP3. Revision to this field has been made in ID3v1.1.

Genre: Byte;

Contains the offset of a genre in a predefined list, the byte is treated as an unsigned byte. The offset is starting from 0.

Created with Doc-O-Matic.


TInputKey type
JEDI-VCL Reference

TInputKey type

Edit topic

Not documented

Pascal

TInputKey = (ikAll, ikArrows, ikChars, ikButton, ikTabs, ikEdit, ikNative);
TInputKeys = set of TInputKey;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ikAll

Not documented

ikArrows

Not documented

ikChars

Not documented

ikButton

Not documented

ikTabs

Not documented

ikEdit

Not documented

ikNative

Not documented

Created with Doc-O-Matic.


TInspectorClassFlag type
JEDI-VCL Reference

TInspectorClassFlag type

Edit topic

Flags used for class type inspector items.

Pascal

TInspectorClassFlag = (icfCreateMemberItems, icfShowClassName, icfRenderAsCategory);
TInspectorClassFlags = set of TInspectorClassFlag;

File

JvInspector

Description

TInspectorClassFlag holds the flags for class type inspector items.

Members

icfCreateMemberItems

Create member items for the class instance.

icfShowClassName

Show the class name, instead of the default component name.

icfRenderAsCategory

Not documented

Created with Doc-O-Matic.


TInspectorComponentFlag type
JEDI-VCL Reference

TInspectorComponentFlag type

Edit topic

Flags used for the TComponent type inspector items.

Pascal

TInspectorComponentFlag = (icfShowOwnerNames, icfNoShowFirstOwnerName, icfSortComponents, icfSortOwners, icfKeepFirstOwnerAsFirst);
TInspectorComponentFlags = set of TInspectorComponentFlag;

File

JvInspector

Description

TInspectorComponentFlag are the available flags for TComponent type inspector item.

Members

icfShowOwnerNames

Indicates if owner names should be displayed.

icfNoShowFirstOwnerName

Indicates whether the name of the first owner in the list should be suppressed.

icfSortComponents

Indicates whether components are sorted alphabetically withing their owner.

icfSortOwners

Indicates whether owners are sorted alphabetically.

icfKeepFirstOwnerAsFirst

Indicates whether the first owner in the list should stay the first after sorting.

Created with Doc-O-Matic.


TInspectorCompoundItemFlag type
JEDI-VCL Reference

TInspectorCompoundItemFlag type

Edit topic

Flags used for the compound inspector items.

Pascal

TInspectorCompoundItemFlag = (icifSingleName, icifSingleNameUseFirstCol);
TInspectorCompoundItemFlags = set of TInspectorCompoundItemFlag;

File

JvInspector

Description

TInspectorCompoundItemFlag are the available flags for compound items.

Members

icifSingleName

Indicates the item is represented by a single name. TInspectorCompoundItemFlag.icifSingleNameUseFirstCol Indicates the item's name in single name mode is obtained from the DisplayName of the item associated with the first column.

icifSingleNameUseFirstCol

Not documented

Created with Doc-O-Matic.


TInspectorItemFlag type
JEDI-VCL Reference

TInspectorItemFlag type

Edit topic

Item flags

Pascal

TInspectorItemFlag = (iifReadonly, iifHidden, iifExpanded, iifVisible, iifQualifiedNames, iifAutoUpdate, iifMultiLine, iifValueList, iifAllowNonListValues, iifOwnerDrawListFixed, iifOwnerDrawListVariable, iifEditButton, iifEditFixed, iifOwnerDrawListMaxHeight);
TInspectorItemFlags = set of TInspectorItemFlag;

File

JvInspector

Description

TInspectorItemFlag is the flag type for inspector items.

Members

iifReadonly

Indicates whether or not the item is read-only.

iifHidden

Indicates whether the item is hidden. Hidden means that the item itself is never shown, but its sub items can be, depending on the iifExpanded and iifVisible flags.

iifExpanded

Indicates the expanded state of the item. The item's Expanded property maps directly onto this flag.

iifVisible

Indicates whether or not the item is visible. The Visible property maps directly onto this flags.

iifQualifiedNames

Indicates whether or not the sub-items will use qualified names (ie. ParentName.ChildName).

iifAutoUpdate

Any change to the edit control is immediately applied to the underlying data object.

iifMultiLine

Indicates whether or not the item is a multiline edit.

iifValueList

Indicates whether or not the item uses a value list to edit the item (ie. uses a combobox to edit the value).

iifAllowNonListValues

The item can accept any value, including values that are not in the pick list. This value is only of use when iifValueList is also specified.

iifOwnerDrawListFixed

The pick list should be owner drawn with a fixed height. This flag can only be used when iifValueList is also specified. In addition, this flag and iifOwnerDrawListVariable are mutually exclusive (this is handled by the item itself).

iifOwnerDrawListVariable

The pick list should be owner drawn with a variable height. This flag can only be used when iifValueList is also specified. In addition, this flag and iifOwnerDrawListFixed are mutually exclusive (this is handled by the item itself).

iifEditButton

The item uses an edit button to perform additional editing functionality.

iifEditFixed

When specified locks the edit control. This flag is useful when you need an edit button to do the editing but the value should not be directly editable.

iifOwnerDrawListMaxHeight

Not documented

Created with Doc-O-Matic.


TInspectorItemSortKind type
JEDI-VCL Reference

TInspectorItemSortKind type

Edit topic

The sort types.

Pascal

TInspectorItemSortKind = (iskNone, iskName, iskManual, iskCustom);

File

JvInspector

Description

The TInspectorItemSortKind type defines the various sort types available. This type is used by the SortKind property of an inspector item.

Members

iskNone

No sort order. All items are displayed in the order they are added.

iskName

Items are sorted alphabetically by their DisplayName.

iskManual

Items are sorted by their DisplayIndex.

iskCustom

Items are sorted using an OnCompare event to determine the order.

Created with Doc-O-Matic.


TInspectorPaintRect type
JEDI-VCL Reference

TInspectorPaintRect type

Edit topic

Specific paint rectangle

Pascal

TInspectorPaintRect = (iprItem, iprButtonArea, iprBtnSrcRect, iprBtnDstRect, iprNameArea, iprName, iprValueArea, iprValue, iprEditValue, iprEditButton, iprUser1, iprUser2, iprUser3, iprUser4, iprUser5, iprUser6);

File

JvInspector

Description

TInspectorPaintRect enumerates the different painting rectangles for an item. The painter object will set these rectangles for each item when it gets painted.

Members

iprItem

Item rectangle. This rectangle holds the rectangle that encompasses the entire item.

iprButtonArea

The rectangle that contains the button. Note that this area might not be completely filled by the button.

iprBtnSrcRect

The rectangle in the button image that should be painted. The rectangle could be empty if no button is to be painted.

iprBtnDstRect

The rectangle within the button area where the button is to be drawn. The rectangle could be empty if no button is to be painted.

iprNameArea

The rectangle the name is to be painted in. Note that this area might not be filled completely.

iprName

The rectangle for the name. This rectangle will fall in the iprNameArea rectangle.

iprValueArea

The rectangle the value or editor and button are to be painted in. Note that this area might not be filled completely.

iprValue

The rectangle for the value. This rectangle will fall in the iprValueArea rectangle.

iprEditValue

The rectangle for the editor. This rectangle will fall in the iprValueArea. If the item has an edit button, the rectangle will have a right margin 1 left of the button's left rectangle. The rectangle will be empty if the item is not in edit mode.

iprEditButton

The rectangle for the drop-down or ellipses button. This rectangle will be at the right margin of the iprValueArea. The rectangle will be empty if the item is not in edit mode or if the item doesn't require a button.

iprUser1

First user rectangle. Usage depends on the individual item types.

iprUser2

Second user rectangle. Usage depends on the individual item types.

iprUser3

Third user rectangle. Usage depends on the individual item types.

iprUser4

Forth user rectangle. Usage depends on the individual item types.

iprUser5

Fifth user rectangle. Usage depends on the individual item types.

iprUser6

Sixth user rectangle. Usage depends on the individual item types.

Created with Doc-O-Matic.


TInspectorSetFlag type
JEDI-VCL Reference

TInspectorSetFlag type

Edit topic

Set item flags.

Pascal

TInspectorSetFlag = (isfEditString, isfCreateMemberItems, isfRenderAsCategory);
TInspectorSetFlags = set of TInspectorSetFlag;

File

JvInspector

Description

TInspectorSetFlag holds the flags for set inspector item.

Members

isfEditString

Indicates the string representing the set value can be edited.

isfCreateMemberItems

Indicates that for each item in the set, a member item is created as a boolean value.

isfRenderAsCategory

Indicate that the main item should be rendered and treated as a category item. Setting this flag will always create a boolean item for each member of the set, regardless of the isfCreateMemberItems flag.

Created with Doc-O-Matic.


TInspectorTMethodFlag type
JEDI-VCL Reference

TInspectorTMethodFlag type

Edit topic

Flags used for the TMethod (event) type inspector items.

Pascal

TInspectorTMethodFlag = (imfShowInstanceNames, imfNoShowFirstInstanceName, imfSortMethods, imfSortInstances, imfKeepFirstInstanceAsFirst);
TInspectorTMethodFlags = set of TInspectorTMethodFlag;

File

JvInspector

Description

TInspectorTMethodFlag are the available flags for TMethod (event handlers) type inspector item.

Members

imfShowInstanceNames

Indicates if instance names should be displayed.

imfNoShowFirstInstanceName

Indicates whether the name of the first instance in the list should be suppressed.

imfSortMethods

Indicates whether event handlers are sorted alphabetically within their owner.

imfSortInstances

Indicates whether instances are sorted alphabetically.

imfKeepFirstInstanceAsFirst

Indicates whether the first instance in the list should stay the first after sorting.

Created with Doc-O-Matic.


TJvAddInControlSiteInfo type
JEDI-VCL Reference

TJvAddInControlSiteInfo type

Edit topic

Not documented

Pascal

TJvAddInControlSiteInfo = record
  AddInControl: TControl;
  BoundsRect: TRect;
  SiteInfoData: TObject;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

AddInControl: TControl;

Not documented

BoundsRect: TRect;

Not documented

SiteInfoData: TObject;

Not documented

Created with Doc-O-Matic.


TJvAlertStyle type
JEDI-VCL Reference

TJvAlertStyle type

Edit topic

Defines the possible animation styles for the desktop alert window.

Pascal

TJvAlertStyle = (asFade, asCenterGrow);

File

JvDesktopAlert

Description

TJvAlertStyle is the type of the AlertStyle property of TJvDesktopAlert and specifies the available animation styles for the alert window.

Members

asFade

Not documented

asCenterGrow

Not documented

Created with Doc-O-Matic.


TJvAniHeader type
JEDI-VCL Reference

TJvAniHeader type

Edit topic

Not documented

Pascal

TJvAniHeader = packed record
  dwSizeof: Longint;
  dwFrames: Longint;
  dwSteps: Longint;
  dwCX: Longint;
  dwCY: Longint;
  dwBitCount: Longint;
  dwPlanes: Longint;
  dwJIFRate: Longint;
  dwFlags: Longint;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

dwSizeof: Longint;

Not documented

dwFrames: Longint;

Not documented

dwSteps: Longint;

Not documented

dwCX: Longint;

Not documented

dwCY: Longint;

Not documented

dwBitCount: Longint;

Not documented

dwPlanes: Longint;

Not documented

dwJIFRate: Longint;

Not documented

dwFlags: Longint;

Not documented

Created with Doc-O-Matic.


TJvAnimateDirection type
JEDI-VCL Reference

TJvAnimateDirection type

See Also	Edit topic

Type used to determine the animation direction.

Pascal

TJvAnimateDirection = (tdForward, tdBack, tdFwdBack, tdBackFwd);

File

JvBmpAnimator

Description

TJvAnimateDirection is the type used to specify the animation direction in the TJvBmpAnimator component.

Members

tdForward

Indicates that the images will be shown from the lowest index to the highest.

tdBack

Indicates that the images will be shown from the highest index to the lowest.

tdFwdBack

Indicates that the images will be shown from lowest index to the highest and back again.

tdBackFwd

Indicates that the images will be shown from highest index to the lowest and back again.

Created with Doc-O-Matic.


See Also

TJvCustomBmpAnimator.Direction


TJvAnimation type
JEDI-VCL Reference

TJvAnimation type

Edit topic

Not documented

Pascal

TJvAnimation = (anLeftRight, anRightLeft, anRightAndLeft, anLeftVumeter, anRightVumeter);
TJvAnimations = set of TJvAnimation;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

anLeftRight

Not documented

anRightLeft

Not documented

anRightAndLeft

Not documented

anLeftVumeter

Not documented

anRightVumeter

Not documented

Created with Doc-O-Matic.


TJvAnimationStyle type
JEDI-VCL Reference

TJvAnimationStyle type

Edit topic

Defines values that determine the animation style of a balloon hint.

Pascal

TJvAnimationStyle = (atNone, atSlide, atRoll, atRollHorNeg, atRollHorPos, atRollVerNeg, atRollVerPos, atSlideHorNeg, atSlideHorPos, atSlideVerNeg, atSlideVerPos, atCenter, atBlend);

File

JvBalloonHint

Description

TJvAnimationStyle values determine the animation style of a balloon hint.

Members

atNone

No animation.

atSlide

Slides the window from bottom to top or from top to bottom depending on the position of the balloon.

atRoll

Rolls the window from bottom to top or from top to bottom depending on the position of the balloon.

atRollHorNeg

Rolls the window from right to left.

atRollHorPos

Rolls the window from left to right.

atRollVerNeg

Rolls the window from bottom to top.

atRollVerPos

Rolls the window from top to bottom.

atSlideHorNeg

Slides the window from right to left.

atSlideHorPos

Slides the window from left to right.

atSlideVerNeg

Slides the window from bottom to top.

atSlideVerPos

Slides the window from top to bottom.

atCenter

Makes the window appear to expand outward.

atBlend

Uses a fade effect.

Created with Doc-O-Matic.


TJvAniTag type
JEDI-VCL Reference

TJvAniTag type

Edit topic

Not documented

Pascal

PJvAniTag = ^TJvAniTag;
TJvAniTag = packed record
  ckID: TJvFourCC;
  ckSize: Longint;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ckID: TJvFourCC;

Not documented

ckSize: Longint;

Not documented

Created with Doc-O-Matic.


TJvAppearDirection type
JEDI-VCL Reference

TJvAppearDirection type

Edit topic

Enumerates different kinds of appear directions.

Pascal

TJvAppearDirection = (drFromLeft, drFromRight, drFromTop, drFromBottom);

File

JvBehaviorLabel

Description

Use the TJvAppearDirection type to specify a direction from where something must appear.

Members

drFromLeft

Appears from the left.

drFromRight

Appears from the right.

drFromTop

Appears from the top.

drFromBottom

Appears from the bottom.

Created with Doc-O-Matic.


TJvApplicationHintOption type
JEDI-VCL Reference

TJvApplicationHintOption type

Edit topic

Defines values describing appearance and behavior options of balloon shaped application hint windows.

Pascal

TJvApplicationHintOption = (ahShowHeaderInHint, ahShowIconInHint, ahPlaySound);
TJvApplicationHintOptions = set of TJvApplicationHintOption;

File

JvBalloonHint

Description

The TJvApplicationHintOption type defines values describing appearance and behavior options of balloon shaped application hint windows.

TJvApplicationHintOptions is a set of TJvApplicationHintOption.

Members

ahShowHeaderInHint

Shows a header in the balloon hint windows. The string specified by DefaultHeader is used as header.

ahShowIconInHint

Shows an icon in the balloon hint windows. The properties DefaultIcon, DefaultImageIndex and Images determine the icon.

ahPlaySound

Plays a sound when a balloon shaped hint window displays.

Created with Doc-O-Matic.


TJvAppStorageEnumOption type
JEDI-VCL Reference

TJvAppStorageEnumOption type

See Also	Edit topic

Specifies enumeration options.

Pascal

TJvAppStorageEnumOption = (aeoFolders, aeoValues, aeoReportListAsValue, aeoReportRelative, aeoRecursive);
TJvAppStorageEnumOptions = set of TJvAppStorageEnumOption;

File

JvAppStorage

Description

The TJvAppStorageEnumOption type is used to specify the options for enumerating folders and values in the storage backend.

Members

aeoFolders

Enumerate folders (containers for values).

aeoValues

Enumerate values.

aeoReportListAsValue

Report lists as a single value. A list is generally a folder containing a 'Count' value and a number of items. If this option is specified such folders are reported as a single value.

aeoReportRelative

Report all folders and values relative to the specified search path. If this option is not specified all reported folders and values are fully qualified (and start with a backslash).

aeoRecursive

Search sub folders.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.GetStoredValues


TJvArrowPosition type
JEDI-VCL Reference

TJvArrowPosition type

Edit topic

Place the arrow before or after the trackbar

Pascal

TJvArrowPosition = (apNormal, apOpposite);

File

JvFullColorCtrls

Description

If the TJvFullColorTrackBar orientation is horizontal, using apNormal will place the arrow at the top of the trackbar, using apOpposite will place the arrow at the bottom of the trackbar. If the TJvFullColorTrackBar orientation is vertical, using apNormal will place the arrow at the left of the trackbar, using apOpposite will place the arrow at the right of the trackbar.

Members

apNormal

Place the arrow at the left of the trackbar if the orientation is vertical or at its top if the orientation is horizontal.

apOpposite

Place the arrow at the right of the trackbar if the orientation is vertical or at its bottom if the orientation is horizontal.

Created with Doc-O-Matic.


TJvAttrFlagKind type
JEDI-VCL Reference

TJvAttrFlagKind type

Edit topic

Indicates whether files or directories must have a specific file attribute set or unset for it to be included in the search result.

Pascal

TJvAttrFlagKind = (tsMustBeSet, tsDontCare, tsMustBeUnSet);

File

JvSearchFiles

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

tsMustBeSet

The attribute must be set for files or directories to be included in the search result.

tsDontCare

The attribute may or may not be set for files or directories to be included in the search result.

tsMustBeUnSet

The attribute must not be set for files or directories to be included in the search result.

Created with Doc-O-Matic.


TJvAutoCompleteFileOption type
JEDI-VCL Reference

TJvAutoCompleteFileOption type

Edit topic

Defines file autocomplete options.

Pascal

TJvAutoCompleteFileOption = (acfFileSystem, acfFileSysDirs, acfURLHistory, acfURLMRU);
TJvAutoCompleteFileOptions = set of TJvAutoCompleteFileOption;

File

JvToolEdit

Description

The TJvAutoCompleteFileOption type defines values describing file autocomplete options. TJvAutoCompleteFileOptions is a set of TJvAutoCompleteFileOption values.

Members

acfFileSystem

Matches against items in the Shell namespace, including files on the user's computer as well as items in virtual folders such as My Computer and Control Panel.

acfFileSysDirs

Enumerates only the file system directories, Universal Naming Convention (UNC) shares, and UNC servers.

acfURLHistory

Matches against the URL list in the user's History list.

acfURLMRU

Matches against the URL list in the user's Recently Used list.

Created with Doc-O-Matic.


TJvAutoCompleteOption type
JEDI-VCL Reference

TJvAutoCompleteOption type

Edit topic

Defines autocomplete options.

Pascal

TJvAutoCompleteOption = (acoAutoSuggest, acoAutoAppend, acoSearch, acoFilterPrefixes, acoUseTab, acoUpDownKeyDropsList, acoRTLReading);
TJvAutoCompleteOptions = set of TJvAutoCompleteOption;

File

JvToolEdit

Description

The TJvAutoCompleteOption type defines values describing autocomplete options. TJvAutoCompleteOptions is a set of TJvAutoCompleteOption values.

Members

acoAutoSuggest

Enables the autosuggest drop-down list.

acoAutoAppend

Enables autoappend.

acoSearch

Adds a search item to the drop-down list of completed strings. If this is item is selected, you should launch a search engine to assist the user.

acoFilterPrefixes

Does not match common prefixes, such as "www.", "http://", and so on.

acoUseTab

Enables the use of the TAB key to select an item from the drop-down list.

acoUpDownKeyDropsList

Enables the use of the UP ARROW and DOWN ARROW keys to display the autosuggest drop-down list.

acoRTLReading

The text is read in the opposite direction from the text in the parent window.

Created with Doc-O-Matic.


TJvAxisType type
JEDI-VCL Reference

TJvAxisType type

Edit topic

Not documented

Pascal

TJvAxisType = (atCommon, atRed, atGreen, atBlue);

File

JvFullColorDialogs

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

atCommon

Not documented

atRed

Not documented

atGreen

Not documented

atBlue

Not documented

Created with Doc-O-Matic.


TJvBalloonOption type
JEDI-VCL Reference

TJvBalloonOption type

Edit topic

Defines values that determines the behavior of balloon windows displayed by calling ActivateHint, ActivateHintPos or ActivateHintRect.

Pascal

TJvBalloonOption = (boUseDefaultHeader, boUseDefaultIcon, boUseDefaultImageIndex, boShowCloseBtn, boCustomAnimation, boPlaySound);
TJvBalloonOptions = set of TJvBalloonOption;

File

JvBalloonHint

Description

The TJvBalloonOption values determine the behavior of balloon windows displayed by calling ActivateHint, ActivateHintPos or ActivateHintRect.

TJvBalloonOptions is a set of TJvBalloonOption.

Members

boUseDefaultHeader

Uses the header as specified by property DefaultHeader.

boUseDefaultIcon

Uses the icon as specified by property DefaultIcon.

boUseDefaultImageIndex

Uses the image index as specified by property DefaultImageIndex.

boShowCloseBtn

Shows a close button in the balloon window.

boCustomAnimation

Windows XP Shows the balloon window with custom special effects, as specified by CustomAnimationStyle and CustomAnimationTime.

boPlaySound

Plays a sound when the balloon shows.

Created with Doc-O-Matic.


TJvBalloonPosition type
JEDI-VCL Reference

TJvBalloonPosition type

Edit topic

Defines values that determine the position of a balloon hint.

Pascal

TJvBalloonPosition = (bpAuto, bpLeftDown, bpRightDown, bpLeftUp, bpRightUp);

File

JvBalloonHint

Description

TJvBalloonPosition values determine the position of a balloon hint.

Members

bpAuto

Automatically positions the balloon depending on its initial position on the screen.

bpLeftDown

Positions the balloon on the lower left of the stem.

bpRightDown

Positions the balloon on the lower right of the stem.

bpLeftUp

Positions the balloon on the upper left of the stem.

bpRightUp

Positions the balloon on the upper right of the stem.

Created with Doc-O-Matic.


TJvBarButtonSize type
JEDI-VCL Reference

TJvBarButtonSize type

Edit topic

The type of the ButtonSize property of TJvOutlookBar and TJvOutlookBarPage.

Pascal

TJvBarButtonSize = (olbsLarge, olbsSmall);

File

JvOutlookBar

Description

TJvBarButtonSize defines the allowable sizes for buttons on an OutlookBar page or on all OutlookBar pages. This type can have one of the following values:

Members

olbsLarge

Buttons are displayed at a large size. The image (if any) is retrieved from the LargeImages imagelist and is displayed above the caption and the caption is centered on the button.

olbsSmall

Buttons are displayed at a small size. The image (if any) is retrieved from the SmallImages imagelist and is displayed to the left of the caption.

Created with Doc-O-Matic.


TJvBevelStyle type
JEDI-VCL Reference

TJvBevelStyle type

Edit topic

Not documented

Pascal

TJvBevelStyle = (bsShape, bsLowered, bsRaised);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

bsShape

Not documented

bsLowered

Not documented

bsRaised

Not documented

Created with Doc-O-Matic.


TJvBitmapStyle type
JEDI-VCL Reference

TJvBitmapStyle type

Edit topic

Not documented

Pascal

TJvBitmapStyle = (bsNormal, bsCentered, bsStretched);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

bsNormal

Not documented

bsCentered

Not documented

bsStretched

Not documented

Created with Doc-O-Matic.


TJvBrowsableObjectClass type
JEDI-VCL Reference

TJvBrowsableObjectClass type

Edit topic

Defines values describing the type of items in an enumeration

Pascal

TJvBrowsableObjectClass = (ocFolders, ocNonFolders, ocIncludeHidden, ocInitOnFirstNext, ocNetPrinterSrch, ocSharable, ocStorage);
TJvBrowsableObjectClasses = set of TJvBrowsableObjectClass;

File

JvBrowseFolder

Description

The TJvBrowsableObjectClass type defines values describing the type of items in an enumeration.

TJvBrowsableObjectClasses is a set of TJvBrowsableObjectClass values.

Members

ocFolders

Include items that are folders in the enumeration.

ocNonFolders

Include items that are not folders in the enumeration.

ocIncludeHidden

Include hidden items in the enumeration.

ocInitOnFirstNext

allow EnumObject() to return before validating enum

ocNetPrinterSrch

The caller is looking for printer objects.

ocSharable

The caller is looking for remote shares.

ocStorage

Include items with accessible storage and their ancestors.

Created with Doc-O-Matic.


TJvButtonBorder type
JEDI-VCL Reference

TJvButtonBorder type

Edit topic

Specifies the available border styles for TJvCustomLookOutButton buttons.

Pascal

TJvButtonBorder = (bbDark, bbLight, bbMono);

File

JvLookOut

Description

TJvCustomLookOutButton objects can have the different border styles as specified by this type.

Members

bbDark

A dark frame using clBtnFace and cl3DDkShadow.

bbLight

A light frame using clBtnHighlight and clBtnFace.

bbMono

A "monochromatic" frame using clBtnHighlight and cl3DDkShadow.

Created with Doc-O-Matic.


TJvButtonColors type
JEDI-VCL Reference

TJvButtonColors type

Edit topic

Describes available button frame styles.

Pascal

TJvButtonColors = (fsLighter, fsLight, fsMedium, fsDark, fsDarker);

File

JvListComb

Description

TJvButtonColors is used to specify the available color schemes for button frames in TJvImageComboBox and TJvImageListBox components.

Members

fsLighter

A lighter frame with clBtnHighlight on top and clBtnFace on bottom.

fsLight

A less light frame with clBtnHighlight on top and clBtnShadow on bottom.

fsMedium

A monochromatic frame with clBtnHighlight on top and cl3DDkShadow on bottom.

fsDark

A darker frame with clBtnFace on top and cl3DDkShadow on bottom.

fsDarker

The darkest frame with clBtnShadow on top and cl3DDkShadow on bottom.

Created with Doc-O-Matic.


TJvButtonMouseState type
JEDI-VCL Reference

TJvButtonMouseState type

Edit topic

Defines the possible states the mouse can be in in relation to the control.

Pascal

TJvButtonMouseState = (bsMouseInside, bsMouseDown);
TJvButtonMouseStates = set of TJvButtonMouseState;

File

JvButton

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

bsMouseInside

The mouse is inside the control

bsMouseDown

The mouse has been pressed

Created with Doc-O-Matic.


TJvCapBtnStyle type
JEDI-VCL Reference

TJvCapBtnStyle type

Edit topic

Type used to define the button kind of a TJvCaptionPanel button.

Pascal

TJvCapBtnStyle = (capClose, capMax, capMin, capRestore, capHelp);
TJvCapBtnStyles = set of TJvCapBtnStyle;

File

JvCaptionPanel

Description

TJvCapBtnStyle is the type used to indicate the style of a TJvCapBtn, a button of a TJvCaptionPanel. The style determines the icon shown in the button, but does not influence the panel in anyway (For example, capClose will not close the panel when the button is clicked).

Members

capClose

The caption panel button is a close button.

capMax

The caption panel button is a maximize button.

capMin

The caption panel button is a minimize button.

capRestore

The caption panel button is a restore button.

capHelp

The caption panel button is a help button.

Created with Doc-O-Matic.


TJvCaptionButtonLayout type
JEDI-VCL Reference

TJvCaptionButtonLayout type

See Also	Edit topic

Defines values for the Layout property of caption buttons.

Pascal

TJvCaptionButtonLayout = (cbImageLeft, cbImageRight);

File

JvCaptionButton

Description

TJvCaptionButtonLayout defines the location of an image on a button.

Members

cbImageLeft

The image appears near the left side of the button.

cbImageRight

The image appears near the right side of the button.

Created with Doc-O-Matic.


See Also

TJvCaptionButton, TJvCaptionButton.Layout


TJvChangeAction type
JEDI-VCL Reference

TJvChangeAction type

Edit topic

The type for change actions.

Pascal

TJvChangeAction = (caChangeFileName, caChangeDirName, caChangeAttributes, caChangeSize, caChangeLastWrite, caChangeSecurity);
TJvChangeActions = set of TJvChangeAction;

File

JvChangeNotify

Description

TJvChangeAction is an enumeration describing the possible values of change notifications.

Members

caChangeFileName

Send notification when a filename changes.

caChangeDirName

Send notification when a directory changes.

caChangeAttributes

Send notification when the attributes of a file or directory changes.

caChangeSize

Send notification when the size of a file or directory changes.

caChangeLastWrite

Send notification when the last write time of a file changes.

caChangeSecurity

Send notification when the security attributes of a file or directory changes.

Created with Doc-O-Matic.


TJvCharMapUnicodeFilter type
JEDI-VCL Reference

TJvCharMapUnicodeFilter type

See Also	Edit topic

Defines the possible values for Unicode subranges.

Pascal

TJvCharMapUnicodeFilter = (ufUndefined, ufBasicLatin, ufLatin1Supplement, ufLatinExtendedA, ufLatinExtendedB, ufIPAExtensions, ufSpacingModifierLetters, ufCombiningDiacriticalMarks, ufGreek, ufCyrillic, ufArmenian, ufHebrew, ufArabic, ufSyriac, ufThaana, ufDevanagari, ufBengali, ufGurmukhi, ufGujarati, ufOriya, ufTamil, ufTelugu, ufKannada, ufMalayalam, ufSinhala, ufThai, ufLao, ufTibetan, ufMyanmar, ufGeorgian, ufHangulJamo, ufEthiopic, ufCherokee, ufUnifiedCanadianAboriginalSyllabics, ufOgham, ufRunic, ufKhmer, ufMongolian, ufLatinExtendedAdditional, ufGreekExtended, ufGeneralPunctuation, ufSuperscriptsAndSubscripts, ufCurrencySymbols, ufCombiningMarksForSymbols, ufLetterlikeSymbols, ufNumberForms, ufArrows, ufMathematicalOperators, ufMiscellaneousTechnical, ufControlPictures, ufOpticalCharacterRecognition, ufEnclosedAlphanumerics, ufBoxDrawing, ufBlockElements, ufGeometricShapes, ufMiscellaneousSymbols, ufDingbats, ufBraillePatterns, ufCJKRadicalsSupplement, ufKangxiRadicals, ufIdeographicDescriptionCharacters, ufCJKSymbolsAndPunctuation, ufHiragana, ufKatakana, ufBopomofo, ufHangulCompatibilityJamo, ufKanbun, ufBopomofoExtended, ufEnclosedCJKLettersAndMonths, ufCJKCompatibility, ufCJKUnifiedIdeographsExtensionA, ufCJKUnifiedIdeographs, ufYiSyllables, ufYiRadicals, ufHangulSyllables, ufHighSurrogates, ufHighPrivateUseSurrogates, ufLowSurrogates, ufPrivateUse, ufCJKCompatibilityIdeographs, ufAlphabeticPresentationForms, ufArabicPresentationFormsA, ufCombiningHalfMarks, ufCJKCompatibilityForms, ufSmallFormVariants, ufArabicPresentationFormsB, ufSpecials, ufHalfwidthAndFullwidthForms, ufOldItalic, ufGothic, ufDeseret, ufByzantineMusicalSymbols, ufMusicalSymbols, ufMathematicalAlphanumericSymbols, ufCJKUnifiedIdeographsExtensionB, ufCJKCompatibilityIdeographsSupplement, ufTags);

File

JvCharMap

Description

TJvCharMapUnicodeFilter defines the possible values for Unicode subranges as used by the Filter property in a TJvCharMapRange.

Members

ufUndefined

No subrange is defined. In the case of TJvCharMapRange, when Filter is set to this value, TJvCharMapRange uses the values of StartChar and EndChar instead.

ufBasicLatin

Not documented

ufLatin1Supplement

Not documented

ufLatinExtendedA

Not documented

ufLatinExtendedB

Not documented

ufIPAExtensions

Not documented

ufSpacingModifierLetters

Not documented

ufCombiningDiacriticalMarks

Not documented

ufGreek

Not documented

ufCyrillic

Not documented

ufArmenian

Not documented

ufHebrew

Not documented

ufArabic

Not documented

ufSyriac

Not documented

ufThaana

Not documented

ufDevanagari

Not documented

ufBengali

Not documented

ufGurmukhi

Not documented

ufGujarati

Not documented

ufOriya

Not documented

ufTamil

Not documented

ufTelugu

Not documented

ufKannada

Not documented

ufMalayalam

Not documented

ufSinhala

Not documented

ufThai

Not documented

ufLao

Not documented

ufTibetan

Not documented

ufMyanmar

Not documented

ufGeorgian

Not documented

ufHangulJamo

Not documented

ufEthiopic

Not documented

ufCherokee

Not documented

ufUnifiedCanadianAboriginalSyllabics

Not documented

ufOgham

Not documented

ufRunic

Not documented

ufKhmer

Not documented

ufMongolian

Not documented

ufLatinExtendedAdditional

Not documented

ufGreekExtended

Not documented

ufGeneralPunctuation

Not documented

ufSuperscriptsAndSubscripts

Not documented

ufCurrencySymbols

Not documented

ufCombiningMarksForSymbols

Not documented

ufLetterlikeSymbols

Not documented

ufNumberForms

Not documented

ufArrows

Not documented

ufMathematicalOperators

Not documented

ufMiscellaneousTechnical

Not documented

ufControlPictures

Not documented

ufOpticalCharacterRecognition

Not documented

ufEnclosedAlphanumerics

Not documented

ufBoxDrawing

Not documented

ufBlockElements

Not documented

ufGeometricShapes

Not documented

ufMiscellaneousSymbols

Not documented

ufDingbats

Not documented

ufBraillePatterns

Not documented

ufCJKRadicalsSupplement

Not documented

ufKangxiRadicals

Not documented

ufIdeographicDescriptionCharacters

Not documented

ufCJKSymbolsAndPunctuation

Not documented

ufHiragana

Not documented

ufKatakana

Not documented

ufBopomofo

Not documented

ufHangulCompatibilityJamo

Not documented

ufKanbun

Not documented

ufBopomofoExtended

Not documented

ufEnclosedCJKLettersAndMonths

Not documented

ufCJKCompatibility

Not documented

ufCJKUnifiedIdeographsExtensionA

Not documented

ufCJKUnifiedIdeographs

Not documented

ufYiSyllables

Not documented

ufYiRadicals

Not documented

ufHangulSyllables

Not documented

ufHighSurrogates

Not documented

ufHighPrivateUseSurrogates

Not documented

ufLowSurrogates

Not documented

ufPrivateUse

Not documented

ufCJKCompatibilityIdeographs

Not documented

ufAlphabeticPresentationForms

Not documented

ufArabicPresentationFormsA

Not documented

ufCombiningHalfMarks

Not documented

ufCJKCompatibilityForms

Not documented

ufSmallFormVariants

Not documented

ufArabicPresentationFormsB

Not documented

ufSpecials

Not documented

ufHalfwidthAndFullwidthForms

Not documented

ufOldItalic

Not documented

ufGothic

Not documented

ufDeseret

Not documented

ufByzantineMusicalSymbols

Not documented

ufMusicalSymbols

Not documented

ufMathematicalAlphanumericSymbols

Not documented

ufCJKUnifiedIdeographsExtensionB

Not documented

ufCJKCompatibilityIdeographsSupplement

Not documented

ufTags

Not documented

Created with Doc-O-Matic.


See Also

TJvCharMapRange, TJvCharMapRange.Filter


TJvCheckOption type
JEDI-VCL Reference

TJvCheckOption type

See Also	Edit topic

Enumerates range check options for spin edits.

Pascal

TJvCheckOption = (coCheckOnChange, coCheckOnExit, coCropBeyondLimit);
TJvCheckOptions = set of TJvCheckOption;

File

JvSpin

Description

Use the TJvCheckOption type to specify range check options for spin edit controls.

TJvCheckOptions is a set of TJvCheckOption values.

Members

coCheckOnChange

Checks whether the entered value is in range upon changing of the value of the spin edit.

coCheckOnExit

Checks whether the entered value is in range on exit of the spin edit.

coCropBeyondLimit

Automatically crops out of range values so they are in range.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.CheckOptions


TJvCleanBoot type
JEDI-VCL Reference

TJvCleanBoot type

See Also	Edit topic

Defines the possible values for a clean boot.

Pascal

TJvCleanBoot = (cbNormal, cbFailSafe, cbFailSafeNetwork);

File

JvComputerInfoEx

Description

Defines the possible values for a clean boot. Used as the type of TJvMetricsInfo.CleanBoot.

Members

cbNormal

The computer was booted normally.

cbFailSafe

The computer was booted in "Fail Safe" mode.

cbFailSafeNetwork

The computer was booted in "Fail Safe" mode with networking enabled.

Created with Doc-O-Matic.


See Also

TJvMetricsInfo


TJvClickColorType type
JEDI-VCL Reference

TJvClickColorType type

Edit topic

Not documented

Pascal

TJvClickColorType = (cctColors, cctNoneColor, cctDefaultColor, cctCustomColor, cctAddInControl, cctNone);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

cctColors

Not documented

cctNoneColor

Not documented

cctDefaultColor

Not documented

cctCustomColor

Not documented

cctAddInControl

Not documented

cctNone

Not documented

Created with Doc-O-Matic.


TJvClipboardCommand type
JEDI-VCL Reference

TJvClipboardCommand type

Edit topic

Enumerates clipboard commands.

Pascal

TJvClipboardCommand = (caCopy, caCut, caPaste, caClear, caUndo);
TJvClipboardCommands = set of TJvClipboardCommand;

File

JvTypes

Description

Use the TJvClipboardCommand type to specify a specific clipboard command.

TJvClipboardCommands is a set of TJvClipboardCommand values.

Members

caCopy

Copy command; This command copies the current selection to the clipboard in CF_TEXT format.

caCut

Cut command; This command deletes (cut) the current selection, if any, in the edit control and copies the deleted text to the clipboard in CF_TEXT format.

caPaste

Paste command; This command copies the current content of the clipboard to the edit control at the current caret position. Data is inserted only if the clipboard contains data in CF_TEXT format.

caClear

Not documented

caUndo

Undo command. This command reverses the effect of the last operation on an edit control. The previously deleted text is restored or the previously added text is deleted.

Created with Doc-O-Matic.


TJvColorComboOption type
JEDI-VCL Reference

TJvColorComboOption type

See Also	Edit topic

Defines values that control the appearance and behavior of a color combo box.

Pascal

TJvColorComboOption = (coText, coHex, coRGB, coSysColors, coCustomColors);
TJvColorComboOptions = set of TJvColorComboOption;

File

JvColorCombo

Description

The TJvColorComboOption type defines values that control the appearance and behavior of a color combo box.

TJvColorComboOptions is a set of TJvColorComboOption values.

The following table lists the possible values:

Members

coText

Displays the name of the color.

coHex

Displays the hexadecimal value of the color.

coRGB

Displays the RGB value of the color.

coSysColors

Adds the system colors such as clWindow to the combo box.

coCustomColors

Allows the user to add colors to the combo box, by selecting the special combo box item with text ColorDialogText.

Created with Doc-O-Matic.


See Also

TJvColorComboBox.Options


TJvColorQuadLayOut type
JEDI-VCL Reference

TJvColorQuadLayOut type

Edit topic

Not documented

Pascal

TJvColorQuadLayOut = (cqlNone, cqlLeft, cqlRight, cqlClient);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

cqlNone

Not documented

cqlLeft

Not documented

cqlRight

Not documented

cqlClient

Not documented

Created with Doc-O-Matic.


TJvComboListBoxDrawStyle type
JEDI-VCL Reference

TJvComboListBoxDrawStyle type

Edit topic

Defines the possible ways an image can be drawn in a TJvComboListBox.

Pascal

TJvComboListBoxDrawStyle = (dsOriginal, dsStretch, dsProportional);

File

JvComboListBox

Description

TJvComboListBoxDrawStyle defines the possible ways an image can be drawn in a TJvComboListBox. This property does not affect items that contains text.

Members

dsOriginal

Draw the image at original size. The image is clipped to the size of the drawing area. If the image is smaller than the display rect, it is centered accordingly.

dsStretch

The image is stretched to fill the entire drawing area.

dsProportional

The image is sized proportionally to the display area and centered.

Created with Doc-O-Matic.


TJvConsistentAttribute type
JEDI-VCL Reference

TJvConsistentAttribute type

Edit topic

Identifies specific properties of a TJvTextAttributes object.

Pascal

TJvConsistentAttribute = (caBold, caColor, caFace, caItalic, caSize, caStrikeOut, caUnderline, caProtected, caOffset, caHidden, caCharset, caLink, caBackColor, caDisabled, caWeight, caSubscript, caRevAuthor);
TJvConsistentAttributes = set of TJvConsistentAttribute;

File

JvRichEdit

Description

The TJvConsistentAttribute type is used to identify a specific property of a TJvTextAttributes object.

TJvConsistentAttributes is a set of TJvConsistentAttribute values.

Members

caBold

The Style property, specifically the fsBold value.

caColor

The Color property.

caFace

The Name property.

caItalic

The Style property, specifically the fsItalic value.

caSize

The Size property.

caStrikeOut

The Style property, specifically the fsStrikeOut value.

caUnderline

The Style property, specifically the fsUnderline value.

caProtected

The Protected property.

caOffset

The Offset property.

caHidden

The Hidden property.

caCharset

Not documented

caLink

The Link property.

caBackColor

The BackColor property.

caDisabled

The Disabled property.

caWeight

??

caSubscript

The SubscriptStyle property.

caRevAuthor

The RevAuthorIndex property.

Created with Doc-O-Matic.


TJvConsoleOption type
JEDI-VCL Reference

TJvConsoleOption type

Edit topic

Enumerates console options.

Pascal

TJvConsoleOption = (coOwnerData, coRedirect);
TJvConsoleOptions = set of TJvConsoleOption;

File

JvCreateProcess

Description

Use the TJvConsoleOption type to specify console options. TJvConsoleOptions is a set of TJvConsoleOption values.

Members

coOwnerData

If this flag is set, the component doesn't fill the ConsoleOutput list with the output generated by a console process it has created. Applies only if the coRedirect flag is on.

coRedirect

Redirects the standard input and output of console processes.

Created with Doc-O-Matic.


TJvContentScrollDirection type
JEDI-VCL Reference

TJvContentScrollDirection type

Edit topic

Type used to specify the direction of the scrolling.

Pascal

TJvContentScrollDirection = (sdUp, sdDown);

File

JvContentScroller

Description

TJvContentScrollDirection is the type used to indicate the direction of the scrolling inside the control: from bottom to top or from top to bottom.

Members

sdUp

Use sdUp to scroll contents from the bottom to the top.

sdDown

Use sdUp to scroll contests from the top to the bottom.

Created with Doc-O-Matic.


TJvConversionKind type
JEDI-VCL Reference

TJvConversionKind type

Edit topic

Enumerates conversion operations.

Pascal

TJvConversionKind = (ckImport, ckExport);

File

JvRichEdit

Description

Use the TJvConversionKind type to specify a specific conversion operation, either import or export.

Members

ckImport

Import operation.

ckExport

Export operation.

Created with Doc-O-Matic.


TJvConversionTextKind type
JEDI-VCL Reference

TJvConversionTextKind type

See Also	Edit topic

Enumerates kinds of preferred source or target formats of the content of a rich edit for converters.

Pascal

TJvConversionTextKind = (ctkText, ctkRTF, ctkBothPreferText, ctkBothPreferRTF);

File

JvRichEdit

Description

The TJvConversionTextKind type is used to indicate the preferred source or target of the content of a rich edit for converters. For example, some converters can only import or export a specific format to RTF, others only to plain text etc.

Members

ctkText

Plain text.

ctkRTF

RTF.

ctkBothPreferText

Plain text or RTF, but prefer plain text.

ctkBothPreferRTF

Plain text or RTF, but prefer RTF.

Created with Doc-O-Matic.


See Also

TJvConversion.TextKind


TJvCplInfo type
JEDI-VCL Reference

TJvCplInfo type

Edit topic

Contains information and an application-defined value for a dialog box supported by a Control Panel application.

Pascal

TJvCplInfo = record
  Icon: TIcon;
  Name: string;
  Info: string;
  lData: Longint;
  end;

File

JvWinDialogs

Description

The TJvCplInfo record type contains information about a dialog box supported by a Control Panel application. Use the AppletInfo property of a TJvAppletDialog component to retrieve such a record.

Members

Icon: TIcon;

The icon that represents the dialog box.

Name: string;

The short name for the dialog box. This name is intended to be displayed below the icon.

Info: string;

The description for the dialog box that is intended to be displayed when the application icon is selected.

lData: Longint;

Pointer to data defined by the application. When the Control Panel sends the CPL_DBLCLK and CPL_STOP messages, it passes this value back to your application.

Created with Doc-O-Matic.


TJvCPSFlag type
JEDI-VCL Reference

TJvCPSFlag type

See Also	Edit topic

Controls the creation of a process by a TJvCreateProcess component.

Pascal

TJvCPSFlag = (cfDefaultErrorMode, cfNewConsole, cfNewProcGroup, cfSeparateWdm, cfSharedWdm, cfSuspended, cfUnicode, cfDetached);
TJvCPSFlags = set of TJvCPSFlag;

File

JvCreateProcess

Description

TJvCPSFlag values controls the creation of a process by a TJvCreateProcess component.

TJvCPSFlags is a set of TJvCPSFlag values.

Members

cfDefaultErrorMode

The new process does not inherit the error mode of the calling process. Instead, the new process gets the current default error mode.

cfNewConsole

The new process has a new console, instead of inheriting its parent's console (the default). For more information, see 'Creation of a Console' in the MSDN library. This option is only valid if CreationFlags doesn't include cfDetached.

cfNewProcGroup

The new process is the root process of a new process group. The process group includes all processes that are descendants of this root process. The process identifier of the new process group is the same as the process identifier, which is returned in the ProcessInfo property.

cfSeparateWdm

Windows NT/2000/XP: This flag is valid only when starting a 16-bit Windows-based application. If set, the new process runs in a private Virtual DOS Machine (VDM). By default, all 16-bit Windows-based applications run as threads in a single, shared VDM. The advantage of running separately is that a crash only terminates the single VDM; any other programs running in distinct VDMs continue to function normally. Also, 16-bit Windows-based applications that are run in separate VDMs have separate input queues. That means that if one application stops responding momentarily, applications in separate VDMs continue to receive input. The disadvantage of running separately is that it takes significantly more memory to do so. You should use this flag only if the user requests that 16-bit applications should run in them own VDM.

cfSharedWdm

Windows NT/2000/XP: The flag is valid only when starting a 16-bit Windows-based application. If the DefaultSeparateVDM switch in the Windows section of WIN.INI is TRUE, this flag overrides the switch. The new process is run in the shared Virtual DOS Machine.

cfSuspended

The primary thread of the new process is created in a suspended state, and does not run until the Windows API function ResumeThread is called.

cfUnicode

Windows NT/2000/XP: Indicates the format of the Environment property. If this flag is set, property Environment uses Unicode characters. Otherwise, the environment block uses ANSI characters.

cfDetached

For console processes, the new process does not inherit its parent's console (the default). The new process can call the AllocConsole function at a later time to create a console. For more information, see 'Creation of a Console' in the MSDN library. This option is only valid if CreationFlags doesn't include cfNewConsole.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.Priority, TJvCreateProcess.Run


TJvCPSShowWindow type
JEDI-VCL Reference

TJvCPSShowWindow type

See Also	Edit topic

Represents different ways how a launched application window can appear.

Pascal

TJvCPSShowWindow = (swHide, swMinimize, swMaximize, swNormal);

File

JvCreateProcess

Description

The TJvCPSShowWindow type defines values describing how the launched application window appears, when TJvCreateProcess creates a new process.

Members

swHide

The external application window is hidden. If it was active, another window is activated.

swMinimize

The external application window is activated and minimized.

swMaximize

The external application window is activated and maximized.

swNormal

The external application window is activated and restored to its original size and position if it was maximized or minimized.

Created with Doc-O-Matic.


See Also

TJvCPSStartupInfo


TJvCPSState type
JEDI-VCL Reference

TJvCPSState type

Edit topic

Represents different operating modes of a TJvCreateProcess component.

Pascal

TJvCPSState = (psReady, psRunning, psWaiting);

File

JvCreateProcess

Description

The TJvCPSState type represents different operating modes of a JvCreateProcess component.

Members

psReady

TJvCreateProcess isn't monitoring any process. A process can be started by calling Run.

psRunning

A process is started, it can be stopped by calling Terminate. Another process can be started by calling Run.

psWaiting

TJvCreateProcess has started a process, and is now waiting for it to end; the process can be stopped by calling Terminate. The user cannot call Run until the process ends, or StopWaiting must be called to stop waiting for the process to end.

Created with Doc-O-Matic.


TJvCPUType type
JEDI-VCL Reference

TJvCPUType type

Edit topic

Defines the possible CPU values.

Pascal

TJvCPUType = (cpuUnknown, cpuIntel, cpuCyrix, cpuAMD, cpuCrusoe);

File

JvComputerInfoEx

Description

TJvCPUType is the type for the CPUType property of TJvCPUInfo.

Members

cpuUnknown

The CPU type and/or make cannot be determined.

cpuIntel

The CPU is manufactured by Intel.

cpuCyrix

The CPU is a Cyrix manufactured by AMD.

cpuAMD

The CPU is manufactured by AMD.

cpuCrusoe

The CPU is a Crusoe manufactured by Transmeta.

Created with Doc-O-Matic.


TJvCsvBookmark type
JEDI-VCL Reference

TJvCsvBookmark type

Edit topic

A bookmark object (pointer type) used by Data Set Bookmark operations

Pascal

TJvCsvBookmark = record
  Flag: TBookmarkFlag;
  Data: Integer;
  end;

File

JvCsvData

Description

A bookmark object (pointer type) used by Data Set Bookmark operations

Members

Flag: TBookmarkFlag;

Flag is a standard field required for bookmark types

Data: Integer;

Data is a standard field required for bookmark types

Created with Doc-O-Matic.


TJvCsvColumn type
JEDI-VCL Reference

TJvCsvColumn type

Edit topic

CSV Column Data Record

Pascal

PCsvColumn = ^TJvCsvColumn;
TJvCsvColumn = record
  FFlag: TJvCsvColumnFlag;
  FKeyFlag: Boolean;
  FPhysical: Integer;
  FFieldDef: TFieldDef;
  end;

File

JvCsvData

Description

A CSV Column Field Definition Record is one of the columns created while parsing the CsvFieldDef list of fields. It is not necessary for end users to know about this record type.

Members

FFlag: TJvCsvColumnFlag;

The CSV Field Type is stored in FFlag.

FKeyFlag: Boolean;

Not documented

FPhysical: Integer;

The Physical Column number is stored in FPhysical.

FFieldDef: TFieldDef;

The corresponding VCL Field Def object for this CsvColumn record.

Created with Doc-O-Matic.


TJvCsvColumnFlag type
JEDI-VCL Reference

TJvCsvColumnFlag type

Edit topic

Enumerated Values for TJvCsvColumn.FFlag

Pascal

TJvCsvColumnFlag = (jcsvNull, jcsvString, jcsvNumeric, jcsvAsciiDateTime, jcsvGMTDateTime, jcsvTZDateTime, jcsvAsciiDate, jcsvAsciiTime);

File

JvCsvData

Description

Enumerated List of column types used in TJvCsvColumn.FFlag

Members

jcsvNull

A NULL column descriptor (not yet initialized, or invalid).

jcsvString

A string field.

jcsvNumeric

A numeric field (integer or float)

jcsvAsciiDateTime

A datetime field with the date/time stored as an ISO string

jcsvGMTDateTime

A datetime field with the date/time stored as a HEX encoded UTC TIME_T timestamp.

jcsvTZDateTime

A datetime field with the date/time stored as a HEX encoded TIME_T timestamp in a local timezone.

jcsvAsciiDate

Not documented

jcsvAsciiTime

Not documented

Created with Doc-O-Matic.


TJvCsvRow type
JEDI-VCL Reference

TJvCsvRow type

Edit topic

Internal in-memory row data object stored inside a TJvCsvDataSet.

Pascal

PCsvRow = ^TJvCsvRow;
TJvCsvRow = record
  IsDirty: Boolean;
  Columns: Integer;
  Index: Integer;
  WordField: array [0..MAXCOLUMNS + 1] of Word;
  Text: array [0..MAXLINELENGTH] of Char;
  Bookmark: TJvCsvBookmark;
  Filtered: Boolean;
  RecursionFlag: Boolean;
  end;

File

JvCsvData

Description

Row objects contain one line of a CSV file, parsed into columns.

Members

IsDirty: Boolean;

The row object's dirty bits. True means row been modified and not yet saved to disk.

Columns: Integer;

Number of columns in this row.

Index: Integer;

Not documented

WordField: array [0..MAXCOLUMNS + 1] of Word;

Array of indexes to the beginning of each csv column.

Text: array [0..MAXLINELENGTH] of Char;

The raw CSV row text.

Bookmark: TJvCsvBookmark;

The bookmark object for this row.

Filtered: Boolean;

Not documented

RecursionFlag: Boolean;

Not documented

Created with Doc-O-Matic.


TJvDataConsumerChangeReason type
JEDI-VCL Reference

TJvDataConsumerChangeReason type

Edit topic

Not documented

Pascal

TJvDataConsumerChangeReason = (ccrProviderSelect, ccrProviderChange, ccrViewChange, ccrContextChange, ccrOther);

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ccrProviderSelect

Not documented

ccrProviderChange

Not documented

ccrViewChange

Not documented

ccrContextChange

Not documented

ccrOther

Not documented

Created with Doc-O-Matic.


TJvDBGridControlSize type
JEDI-VCL Reference

TJvDBGridControlSize type

Edit topic

Not documented

Pascal

TJvDBGridControlSize = (fcCellSize, fcDesignSize, fcBiggest);

File

JvDBGrid

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

fcCellSize

Not documented

fcDesignSize

Not documented

fcBiggest

Not documented

Created with Doc-O-Matic.


TJvDBGridLayoutChangeKind type
JEDI-VCL Reference

TJvDBGridLayoutChangeKind type

Edit topic

Not documented

Pascal

TJvDBGridLayoutChangeKind = (lcLayoutChanged, lcSizeChanged, lcTopLeftChanged);

File

JvDBGrid

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

lcLayoutChanged

Not documented

lcSizeChanged

Not documented

lcTopLeftChanged

Not documented

Created with Doc-O-Matic.


TJvDeleteStyle type
JEDI-VCL Reference

TJvDeleteStyle type

Edit topic

Not documented

Pascal

TJvDeleteStyle = (idNoBeep, idNoForeground);
TJvDeleteStyles = set of TJvDeleteStyle;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

idNoBeep

Not documented

idNoForeground

Not documented

Created with Doc-O-Matic.


TJvDesktopAlertOption type
JEDI-VCL Reference

TJvDesktopAlertOption type

See Also	Edit topic

Specifies the behavior of a TJvDesktopAlert window.

Pascal

TJvDesktopAlertOption = (daoCanClick, daoCanMove, daoCanMoveAnywhere, daoCanClose);
TJvDesktopAlertOptions = set of TJvDesktopAlertOption;

File

JvDesktopAlert

Description

TJvDesktopAlertOption is the type of the Options property of a TJvDesktopAlert.

Members

daoCanClick

Determines whether the user can click the message text or not. If true, the message text in the window is hottracked, like a HTML link.

daoCanMove

Determines whether the user is allowed to move the TJvDesktopAlert window.

daoCanMoveAnywhere

Determines whether the user can move the TJvDesktopAlert window by clicking and dragging anywhere. To set this to true, daoCanMove must also be true.

daoCanClose

Determines whether a close button is displayed on the TJvDesktopAlert and whether pressing Alt+F4 closes it.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert


TJvDesktopAlertPosition type
JEDI-VCL Reference

TJvDesktopAlertPosition type

See Also	Edit topic

Specifies the possible placements of a desktop alert window.

Pascal

TJvDesktopAlertPosition = (dapTopLeft, dapTopRight, dapBottomLeft, dapBottomRight, dapCustom, dapDesktopCenter, dapMainFormCenter, dapOwnerFormCenter, dapActiveFormCenter);

File

JvDesktopAlert

Description

TJvDesktopAlertPosition is the type of the Position property of the TJvDesktopAlertLocation class. TJvDesktopAlertLocation is the type of the Location property of a TJvDesktopAlert component.

Members

dapTopLeft

The window is displayed in the upper left corner of the screen. If multiple alert windows are displayed, they are stacked such that the oldest window is always at the top.

dapTopRight

The window is displayed in the upper right corner of the screen. If multiple alert windows are displayed, they are stacked such that the oldest window is always at the top.

dapBottomLeft

The window is displayed in the bottom left corner of the screen. If multiple alert windows are displayed, they are stacked such that oldest window is always at the bottom.

dapBottomRight

The window is displayed in the bottom right corner of the screen. If multiple alert windows are displayed, they are stacked such that the oldest window is always at the bottom.

dapCustom

The location of the window is determined by the Left and Top properties of the TJvDesktopAlert.Location property. This mode is not stacked.

dapDesktopCenter

The window is centered on the desktop. No adjustment is done for multiple monitors. This mode is not stacked.

dapMainFormCenter

The window is centered on the application's mainform. If the application doesn't have a main form, this mode works the same as dapDesktopCenter. This mode is not stacked.

dapOwnerFormCenter

The window is centered on the owner form if Owner is as TCustomForm. If Owner is not a TCustomForm, this mode works the same as dapDesktopCenter. This mode is not stacked.

dapActiveFormCenter

The window is centered on the application's active form. If the application doesn't have an active form, this mode works the same as dapDesktopCenter. This mode is not stacked.

Created with Doc-O-Matic.


See Also

TJvDesktopAlert, TJvDesktopAlertLocation


TJvDirOption type
JEDI-VCL Reference

TJvDirOption type

Edit topic

Represents the types of directory searches a TJvSearchFiles component can perform.

Pascal

TJvDirOption = (doExcludeSubDirs, doIncludeSubDirs, doExcludeInvalidDirs, doExcludeCompleteInvalidDirs);

File

JvSearchFiles

Description

TJvDirOption represents the types of directory searches a TJvSearchFiles can perform.

Members

doExcludeSubDirs

Only searches for files or directories in the directory specified by RootDirectory.

doIncludeSubDirs

Searches in the directory specified by RootDirectory and its sub-directories.

doExcludeInvalidDirs

Searches in RootDirectory and its sub-directories, but doesn't search for files or directories in invalid - as specified by DirParams - directories; however, the component will search in sub-directories of invalid directories.

doExcludeCompleteInvalidDirs

Searches in RootDirectory and its sub-directories, but doesn't search for files or directories in invalid - as specified by DirParams - directories, and the sub-directories of an invalid directory.

Created with Doc-O-Matic.


TJvDiskRes type
JEDI-VCL Reference

TJvDiskRes type

Edit topic

Not documented

Pascal

TJvDiskRes = (dsSuccess, dsCancel, dsSkipfile, dsError);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

dsSuccess

Not documented

dsCancel

Not documented

dsSkipfile

Not documented

dsError

Not documented

Created with Doc-O-Matic.


TJvDiskStyle type
JEDI-VCL Reference

TJvDiskStyle type

Edit topic

Specifies the behavior of the dialog box.

Pascal

TJvDiskStyle = (idfCheckFirst, idfNoBeep, idfNoBrowse, idfNoCompressed, idfNoDetails, idfNoForeground, idfNoSkip, idfOemDisk, idfWarnIfSkip);
TJvDiskStyles = set of TJvDiskStyle;

File

JvTypes

Description

This can be a combination of the following flags:

Value	Meaning
idfCheckFirst	Check for the file/disk before displaying the prompt dialog box, and, if present, return DPROMPT_SUCCESS immediately.
idfNoBeep	Prevent the dialog box from beeping to get the user's attention when it first appears.
idfNoBrowse	Do not display the browse option.
idfNoCompressed	Do not check for compressed versions of the source file.
idfNoDetails	Do not display detail information.
idfNoForeground	Prevent the dialog box from becoming the foreground window.
idfNoSkip	Do not display the skip option.
idfOemDisk	Prompt for a disk supplied by a hardware manufacturer.
idfWarnIfSkip	Warn the user that skipping a file may affect the installation.
Members

idfCheckFirst

Not documented

idfNoBeep

Not documented

idfNoBrowse

Not documented

idfNoCompressed

Not documented

idfNoDetails

Not documented

idfNoForeground

Not documented

idfNoSkip

Not documented

idfOemDisk

Not documented

idfWarnIfSkip

Not documented

Created with Doc-O-Matic.


TJvDivideKind type
JEDI-VCL Reference

TJvDivideKind type

Edit topic

Represents different kinds of dividers.

Pascal

TJvDivideKind = (dkDivider, dkSeparator);

File

JvScrollPanel

Description

Use the TJvDivideKind type to specify a specific divider kind.

Members

dkDivider

The control displays a line at the center of the client area.

dkSeparator

The control fills an empty space.

Created with Doc-O-Matic.


TJvDockMouseStation type
JEDI-VCL Reference

TJvDockMouseStation type

Edit topic

Not documented

Pascal

TJvDockMouseStation = (msFloat, msConjoin, msTabPage);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

msFloat

Not documented

msConjoin

Not documented

msTabPage

Not documented

Created with Doc-O-Matic.


TJvDockPosition type
JEDI-VCL Reference

TJvDockPosition type

Edit topic

Enumerates dock positions.

Pascal

TJvDockPosition = (dpLeft, dpRight, dpTop, dpBottom, dpCustom);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

dpLeft

Not documented

dpRight

Not documented

dpTop

Not documented

dpBottom

Not documented

dpCustom

Not documented

Created with Doc-O-Matic.


TJvDockSetDockPanelSizeFrom type
JEDI-VCL Reference

TJvDockSetDockPanelSizeFrom type

Edit topic

Not documented

Pascal

TJvDockSetDockPanelSizeFrom = (sdfDockPanel, sdfClient);

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

sdfDockPanel

Not documented

sdfClient

Not documented

Created with Doc-O-Matic.


TJvDockZoneSizeStyle type
JEDI-VCL Reference

TJvDockZoneSizeStyle type

Edit topic

Not documented

Pascal

TJvDockZoneSizeStyle = (zssMinimum, zssNormal, zssMaximum);

File

JvDockVCStyle

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

zssMinimum

Not documented

zssNormal

Not documented

zssMaximum

Not documented

Created with Doc-O-Matic.


TJvDrawPosition type
JEDI-VCL Reference

TJvDrawPosition type

Edit topic

Type used to define the position of the caption bar.

Pascal

TJvDrawPosition = (dpLeft, dpTop, dpRight, dpBottom);

File

JvCaptionPanel

Description

TJvDrawPosition is the type used to indicate the position of the caption bar.

Members

dpLeft

The caption bar is aligned to left edge of the panel.

dpTop

The caption bar is aligned to top edge of the panel.

dpRight

The caption bar is aligned to right edge of the panel.

dpBottom

The caption bar is aligned to bottom edge of the panel.

Created with Doc-O-Matic.


TJvDriveCapacity type
JEDI-VCL Reference

TJvDriveCapacity type

Edit topic

Represents kinds of drive capacities.

Pascal

TJvDriveCapacity = (dcDefault, dcSize360kB, dcSize720kB);

File

JvWinDialogs

Description

Use the TJvDriveCapacity type to specify a specific drive capacity.

Members

dcDefault

Default drive capacity.

dcSize360kB

(Windows 95, 98 and ME) 360KB, applies to 5.25" drives only.

dcSize720kB

(Windows 95, 98 and ME) 720KB, applies to 3.5" drives only.

Created with Doc-O-Matic.


TJvDriveType type
JEDI-VCL Reference

TJvDriveType type

Edit topic

The type of available drives.

Pascal

TJvDriveType = (dtUnknown, dtRemovable, dtFixed, dtRemote, dtCDROM, dtRamDisk);
TJvDriveTypes = set of TJvDriveType;

File

JvTypes

Description

TJvDriveType describes all possible drive types on a computer.

Members

dtUnknown

The type of the drive could not be determined.

dtRemovable

The drive is a removable drive. This can be a floppy, a tape drive, a zip disk or similar.

dtFixed

The drive is a fixed drive.

dtRemote

The drive is a networked drive on a LAN or WAN.

dtCDROM

The drive is a CD-ROM or DVD or similar.

dtRamDisk

The drive is a reserved memory space and not a real, persistent drive.

Created with Doc-O-Matic.


TJvDropDownMenuPos type
JEDI-VCL Reference

TJvDropDownMenuPos type

See Also	Edit topic

Enumerates positions for a drop-down menu to appear.

Pascal

TJvDropDownMenuPos = (dmpBottom, dmpRight);

File

JvSpeedButton

Description

Use the TJvDropDownMenuPos type to specify a position for a drop-down menu to appear.

Members

dmpBottom

The drop-down menu will appear below the associated control.

dmpRight

The drop-down menu will appear on the right side of the associated control.

Created with Doc-O-Matic.


See Also

TJvCustomSpeedButton.MenuPosition


TJvDropEffect type
JEDI-VCL Reference

TJvDropEffect type

Edit topic

Defines the possible effects that can be applied to the cursor in a drag and drop event.

Pascal

TJvDropEffect = (deNone, deCopy, deMove, deLink, deScroll);

File

JvDragDrop

Description

TJvDropEffect defines the possible modifiers that can be added to a cursor to provide visual feedback to the user about the current drag and drop action.

Members

deNone

No cursor modifiers applied.

deCopy

Modify cursor to include copy modifier.

deMove

Modify cursor to include move modifier.

deLink

Modify cursor to include link modifier.

deScroll

Modify cursor to include scroll modifier.

Created with Doc-O-Matic.


TJvErrorBlinkStyle type
JEDI-VCL Reference

TJvErrorBlinkStyle type

Edit topic

The type used for the BlinkStyle property in an error indicator component.

Pascal

TJvErrorBlinkStyle = (ebsAlwaysBlink, ebsBlinkIfDifferentError, ebsNeverBlink);

File

JvErrorIndicator

Description

TJvErrorBlinkStyle defines the allowable values for the BlinkStyle property in TJvErrorIndicator.

Members

ebsAlwaysBlink

The error icon is always blinked on and off.

ebsBlinkIfDifferentError

The error icon is only blinked if the error message has changed since the previous blink.

ebsNeverBlink

The error icon is never blinked.

Created with Doc-O-Matic.


TJvErrorImageAlignment type
JEDI-VCL Reference

TJvErrorImageAlignment type

Edit topic

Controls where an error icon is displayed.

Pascal

TJvErrorImageAlignment = (eiaBottomLeft, eiaBottomRight, eiaMiddleLeft, eiaMiddleRight, eiaTopLeft, eiaTopRight);

File

JvErrorIndicator

Description

TJvErrorImageAlignment is the type used by the ImageAlignment property of error indicators and indicates where an error image should be placed in relation to the control it is associated with.

Possible values for this type are:

Members

eiaBottomLeft

Displays the error image on the controls left side aligned to the bottom edge of the control.

eiaBottomRight

Displays the error image on the controls right side aligned to the bottom edge of the control.

eiaMiddleLeft

Displays the error image on the controls left side aligned to the middle of the control.

eiaMiddleRight

Displays the error image on the controls right side aligned to the middle of the control.

eiaTopLeft

Displays the error image on the controls left side aligned to the top edge of the control.

eiaTopRight

Displays the error image on the controls right side aligned to the top edge of the control.

Created with Doc-O-Matic.


TJvErrorResponse type
JEDI-VCL Reference

TJvErrorResponse type

Edit topic

Represents different responses to errors.

Pascal

TJvErrorResponse = (erAbort, erIgnore, erRaise);

File

JvSearchFiles

Description

Use the TJvErrorResponse type to specify a specific way of handling errors.

Members

erAbort

Aborts the entire search operation: Search will return with result False.

erIgnore

Aborts the search operation in the directory where the error occurred, and continues in the next.

erRaise

Raises a system error.

Created with Doc-O-Matic.


TJvExeType type
JEDI-VCL Reference

TJvExeType type

Edit topic

Not documented

Pascal

TJvExeType = (etNone, etMSDos, etWin16, etWin32, etConsole);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

etNone

Not documented

etMSDos

Not documented

etWin16

Not documented

etWin32

Not documented

etConsole

Not documented

Created with Doc-O-Matic.


TJvFileInfoRec type
JEDI-VCL Reference

TJvFileInfoRec type

Edit topic

Not documented

Pascal

TJvFileInfoRec = record
  Attributes: DWORD;
  DisplayName: string;
  ExeType: Integer;
  Icon: HICON;
  Location: string;
  TypeName: string;
  SysIconIndex: Integer;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Attributes: DWORD;

Not documented

DisplayName: string;

Not documented

ExeType: Integer;

Not documented

Icon: HICON;

Not documented

Location: string;

Not documented

TypeName: string;

Not documented

SysIconIndex: Integer;

Not documented

Created with Doc-O-Matic.


TJvFolderPos type
JEDI-VCL Reference

TJvFolderPos type

Edit topic

Defines values that determine the position of a dialog.

Pascal

TJvFolderPos = (fpDefault, fpScreenCenter, fpFormCenter, fpTopLeft, fpTopRight, fpBottomLeft, fpBottomRight);

File

JvBrowseFolder

Description

The TJvFolderPos type defines values that determine the position of a dialog.

Members

fpDefault

The form appears in a position on the screen and with a height and width determined by the operating system.

fpScreenCenter

The dialog is positioned in the center of the screen.

fpFormCenter

The dialog is positioned in the center of the form that is the owner of the component. If the component has no form as owner it's positioned in the center of the application’s main form.

fpTopLeft

The dialog is positioned in the upper left corner of the screen.

fpTopRight

The dialog is positioned in the upper right corner of the screen.

fpBottomLeft

The dialog is positioned in the lower left corner of the screen.

fpBottomRight

The dialog is positioned in the lower right corner of the screen.

Created with Doc-O-Matic.


TJvFontComboOption type
JEDI-VCL Reference

TJvFontComboOption type

See Also	Edit topic

Defines values that control the appearance and behavior of a font combo box.

Pascal

TJvFontComboOption = (foAnsiOnly, foTrueTypeOnly, foFixedPitchOnly, foNoOEMFonts, foOEMFontsOnly, foScalableOnly, foWysiWyg, foDisableVerify, foPreviewFont, foMRU);
TJvFontComboOptions = set of TJvFontComboOption;

File

JvColorCombo

Description

The TJvFontComboOption type defines values that control the appearance and behavior of a font combo box.

TJvFontComboOptions is a set of TJvFontComboOption values.

The following table lists the possible values:

Members

foAnsiOnly

Displays only fonts that use the Windows character set. Symbol fonts are not listed in the dialog.

foTrueTypeOnly

Displays only TrueType fonts in the dialog. Other fonts are not listed.

foFixedPitchOnly

Displays only monospaced fonts in the dialog. Proportionally spaced fonts are not listed, nor are TrueType fonts that do not have the fixed-pitch flag set in the style header.

foNoOEMFonts

Removes OEM fonts from the combo box. Lists only non-OEM fonts.

foOEMFontsOnly

Displays only OEM fonts in the combo box.

foScalableOnly

Displays only scalable fonts in the combo box. Non-scalable (bitmap) fonts are removed from the list.

foWysiWyg

Displays each font name in the combo box using the specific font.

foDisableVerify

Allows you to insert a font name that doesn't exists in the combo box's list.

foPreviewFont

Displays a font preview in the control. If set, the font name is drawn using the controls font and a preview of the font is drawn using the string 'AbCdEfGhIj' right-aligned in the control. When this value is set, foWysiWyg is disabled.

foMRU

Displays a MRU list of the last selected fonts at the top of the control. This value works in conjunction with the MaxMRUCount property. When this property is set, Sorted cannot be set to true.

Created with Doc-O-Matic.


See Also

TJvFontComboBox.Options


TJvFontSmoothingType type
JEDI-VCL Reference

TJvFontSmoothingType type

See Also	Edit topic

Defines the available font smoothing methods.

Pascal

TJvFontSmoothingType = (fstStandard, fstClearType, fstDocking);

File

JvComputerInfoEx

Description

TJvFontSmoothingType is the type of TJvSystemParametersInfo.FontSmoothingType and defines the available font smoothing methods.

Members

fstStandard

Not documented

fstClearType

Not documented

fstDocking

Not documented

Created with Doc-O-Matic.


See Also

TJvSystemParametersInfo


TJvFormatDriveError type
JEDI-VCL Reference

TJvFormatDriveError type

Edit topic

Represents types of errors that can occur during a format operation.

Pascal

TJvFormatDriveError = (errParams, errSysError, errAborted, errCannotFormat, errOther);

File

JvWinDialogs

Description

The TJvFormatDriveError type represents types of error that can occur during a format operation.

Members

errParams

The Windows API was called with invalid parameters.

errSysError

An error occurred during the format.

errAborted

The format was canceled by the user.

errCannotFormat

The drive cannot be formatted.

errOther

Other errors, for example if the user cancels the format dialog.

Created with Doc-O-Matic.


TJvFormatDriveKind type
JEDI-VCL Reference

TJvFormatDriveKind type

Edit topic

Represents different kinds of drive format types.

Pascal

TJvFormatDriveKind = (ftQuick, ftStandard, ftBootable);

File

JvWinDialogs

Description

Use the TJvFormatDriveKind type to specify a specific drive format type.

Members

ftQuick

Performs a quick format.

ftStandard

Performs a full format.

ftBootable

(Windows 95, 98, me) Copies system files only.

Created with Doc-O-Matic.


TJvFormPlacementVersionCheck type
JEDI-VCL Reference

TJvFormPlacementVersionCheck type

Edit topic

Not documented

Pascal

TJvFormPlacementVersionCheck = (fpvcNocheck, fpvcCheckGreaterEqual, fpvcCheckEqual);

File

JvFormPlacement

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

fpvcNocheck

Not documented

fpvcCheckGreaterEqual

Not documented

fpvcCheckEqual

Not documented

Created with Doc-O-Matic.


TJvFrameStyle type
JEDI-VCL Reference

TJvFrameStyle type

Edit topic

Defines the available button frame styles.

Pascal

TJvFrameStyle = (fsRegular, fsIndent, fsExplorer, fsNone, fsLight, fsDark, fsMono);

File

JvTransparentButton

Description

The TJvFrameStyle type is used to define different button frame styles for TJvTransparentButton and TJvTransparentButtonImages.

Members

fsRegular

Button frame is drawn as a raised border (white/dark gray).

fsIndent

Button frame is drawn as a sunken border (dark gray/white).

fsExplorer

Button frame is drawn as a raised border but only when the mouse cursor is inside the button (white/dark gray).

fsNone

Button has no frame.

fsLight

Button frame uses a light color scheme (white/gray).

fsDark

Button frame uses a dark color scheme (dark gray/black).

fsMono

Button frame uses a monochrome color scheme (white/black)

Created with Doc-O-Matic.


TJvFtpDownloadMode type
JEDI-VCL Reference

TJvFtpDownloadMode type

See Also	Edit topic

The mode in which to do the FTP transfers. For more details on what Mode means in the FTP context, please refer to this website: http://slacksite.com/other/ftp.html

Pascal

TJvFtpDownloadMode = (hmBinary, hmAscii);

File

JvUrlGrabbers

Description

Either ASCII or Binary

Members

hmBinary

FTP transfer in Binary mode

hmAscii

FTP transfer in ASCII mode

Created with Doc-O-Matic.


See Also

TJvFtpUrlGrabber.Mode


TJvFullColorAxisConfig type
JEDI-VCL Reference

TJvFullColorAxisConfig type

Edit topic

Axis configuration used by TJvFullColorPanel, TJvFullColorCircle and TJvFullColorTrackbars controls

Pascal

TJvFullColorAxisConfig = (acXYZ, acXZY, acYXZ, acYZX, acZXY, acZYX);

File

JvFullColorCtrls

Description

The axis configuration changes the fullcolor axis assigned to a graphical axis of a fullcolor component.

Members

acXYZ

TJvFullColorPanel will display first axis (IE: Red if colorspace is csRGB) as horizontal axis, second axis (IE: Green if colorspace is csRGB) as vertical axis. TJvFullColorCircle will display first axis as radius axis, second axis as rotation axis. TJvFullColorTrackBar will display third axis (IE: Blue if colorspace is csRGB)

acXZY

TJvFullColorPanel will display first axis (IE: Red if colorspace is csRGB) as horizontal axis, third axis (IE: Blue if colorspace is csRGB) as vertical axis. TJvFullColorCircle will display first axis as radius axis, third axis as rotation axis. TJvFullColorTrackBar will display second axis (IE: Green if colorspace is csRGB)

acYXZ

TJvFullColorPanel will display second axis (IE: Green if colorspace is csRGB) as horizontal axis, first axis (IE: Red if colorspace is csRGB) as vertical axis. TJvFullColorCircle will display second axis as radius axis, first axis as rotation axis. TJvFullColorTrackBar will display third axis (IE: Blue if colorspace is csRGB)

acYZX

TJvFullColorPanel will display third axis (IE: Blue if colorspace is csRGB) as horizontal axis, first axis (IE: Red if colorspace is csRGB) as vertical axis. TJvFullColorCircle will display third axis as radius axis, first axis as rotation axis. TJvFullColorTrackBar will display second axis (IE: Green if colorspace is csRGB)

acZXY

TJvFullColorPanel will display second axis (IE: Green if colorspace is csRGB) as horizontal axis, third axis (IE: Blue if colorspace is csRGB) as vertical axis. TJvFullColorCircle will display second axis as radius axis, third axis as rotation axis. TJvFullColorTrackBar will display first axis (IE: Red if colorspace is csRGB)

acZYX

TJvFullColorPanel will display third axis (IE: Blue if colorspace is csRGB) as horizontal axis, second axis (IE: Green if colorspace is csRGB) as vertical axis. TJvFullColorCircle will display third axis as radius axis, second axis as rotation axis. TJvFullColorTrackBar will display first axis (IE: Red if colorspace is csRGB)

Created with Doc-O-Matic.


TJvFullColorAxisConfigFormat type
JEDI-VCL Reference

TJvFullColorAxisConfigFormat type

Edit topic

Format used to format items displayed in TJvFullColorAxisCombo

Pascal

TJvFullColorAxisConfigFormat = (afShort, afIndent, afComplete);

File

JvFullColorCtrls

Description

This enumeration is used to select the format of items displayed.

Members

afShort

if axis configuration is acYXZ, the displayed item will be 'YXZ

afIndent

if axis configuration is acYXZ, the displayed item will be 'acYXZ

afComplete

If colorspace is csRGB and axis configuration is acYXZ, the displayed item will be '[Y] = Red ; [X] = Green ; [Z] = Blue'

Created with Doc-O-Matic.


TJvFullColorCircleDialogOption type
JEDI-VCL Reference

TJvFullColorCircleDialogOption type

See Also	Edit topic

Enum type of TJvFullColorCircleDialogOptions.

Pascal

TJvFullColorCircleDialogOption = (coFullOpen, coPreventExpand, coShowHelp, coAllowSpaceChange, coShowNewPreview, coShowOldPreview, coCommon, coRed, coGreen, coBlue, coShowSaturation, coDefaultRange, coShowApply);
TJvFullColorCircleDialogOptions = set of TJvFullColorCircleDialogOption;

File

JvFullColorDialogs

Description

Enum type of TJvFullColorCircleDialogOptions.

Members

coFullOpen

The dialog box is initially opened.

coPreventExpand

Disable the expand/collapse button.

coShowHelp

Show the help button.

coAllowSpaceChange

Allow the user to change of color space using the combo box.

coShowNewPreview

Show the image showing transformations.

coShowOldPreview

Show the initial image.

coCommon

Allow changes of the blue, red and green transformations at the same time.

coRed

Allow changes of the red transformations.

coGreen

Allow changes of the green transformations.

coBlue

Allow changes of the blue transformations.

coShowSaturation

Show the checkbox to switch between saturation or loop ranges.

coDefaultRange

if Included, the default range will be loop.

coShowApply

Show the apply button.

Created with Doc-O-Matic.


See Also

TJvFullColorCircleDialogOptions


TJvFullColorCircleStyle type
JEDI-VCL Reference

TJvFullColorCircleStyle type

Edit topic

Enumeration for TJvFullColorCircleStyles

Pascal

TJvFullColorCircleStyle = (csShowLines, csShowCommon, csShowRed, csShowGreen, csShowBlue, cs3ButtonsMouse, cs3ButtonsCommon);
TJvFullColorCircleStyles = set of TJvFullColorCircleStyle;

File

JvFullColorCtrls

Description

Enumeration for TJvFullColorCircleStyles

Members

csShowLines

A line is drawn between the center of the circle and the center of each cross.

csShowCommon

Show only the common cursor. When moving this cursor, the Red, Green and Blue cursor get the same changes.

csShowRed

When csShowCommon is not included, activate the Red cursor.

csShowGreen

When csShowCommon is not included, activate the Green cursor.

csShowBlue

When csShowCommon is not included, activate the Blue cursor.

cs3ButtonsMouse

When csShowCommon is not included, the left button moves the Red cursor, the middle but moves the Green cursor, the right button moves the Blue cursor.

cs3ButtonsCommon

Indicate that all mouse buttons can move the common color cursor.

Created with Doc-O-Matic.


TJvFullColorDialogOption type
JEDI-VCL Reference

TJvFullColorDialogOption type

See Also	Edit topic

Enum type of TJvFullColorDialogOptions.

Pascal

TJvFullColorDialogOption = (foFullOpen, foPreventExpand, foShowHelp, foAllowSpaceChange, foConvertToOriginalSpace, foShowNewPreview, foShowOldPreview, foShowPredefined, foAllowVariable, foNoneAndDefault, foShowApply);
TJvFullColorDialogOptions = set of TJvFullColorDialogOption;

File

JvFullColorDialogs

Description

Enum type of TJvFullColorDialogOptions.

Members

foFullOpen

The dialog box is initially expanded (the color panels are visible).

foPreventExpand

Disable the expand button.

foShowHelp

Show the Help button.

foAllowSpaceChange

Allow the user to change the color space.

foConvertToOriginalSpace

When the dialog box is closed, the color is converted back to the original color space.

foShowNewPreview

Show the preview of the new color.

foShowOldPreview

Show the preview of the old color.

foShowPredefined

Show the predefined combobox.

foAllowVariable

Allow color space like predefined colors.

foNoneAndDefault

Allow the usage of clNone and clDefault in the predefined color space (only if foAllowVariable is included).

foShowApply

Show the apply button.

Created with Doc-O-Matic.


See Also

Enum type of TJvFullColorDialogOptions.


TJvFullColorEdge type
JEDI-VCL Reference

TJvFullColorEdge type

Edit topic

Edge used to display color in TJvFullColorGroup

Pascal

TJvFullColorEdge = (feRaised, feLowered, feFlat);

File

JvFullColorCtrls

Description

This type set the edge drawn around the color rectangle in the TJvFullColorGroup component.

Members

feRaised

The control seems to be above the surface.

feLowered

The rectangle seems to be below the surface.

feFlat

A simple black line is drawn around the color. There is no appearance of relief.

Created with Doc-O-Matic.


TJvFullColorOrientation type
JEDI-VCL Reference

TJvFullColorOrientation type

Edit topic

Orientation of the axis.

Pascal

TJvFullColorOrientation = (coNormal, coInverse);

File

JvFullColorCtrls

Description

Orientation of the trackbar.

Members

coNormal

The axis is placed at its normal orientation: the minimum of the axis is placed at the left (if the bar is horizontal or at the top if the bar is vertical) and the maximum is placed at the right (or at the bottom).

coInverse

The bar is inverted: the minimum of the axis is placed at the right (if the bar is horizontal or at the bottom if the bar is vertical) and the maximum is placed at the left (or the top).

Created with Doc-O-Matic.


TJvFullColorSpaceFormat type
JEDI-VCL Reference

TJvFullColorSpaceFormat type

See Also	Edit topic

Format of an item in a TJvFullColorSpaceCombo.

Pascal

TJvFullColorSpaceFormat = (cfName, cfShortName, cfBoth);

File

JvFullColorCtrls

Description

Type of the ItemFormat property of the TJvFullColorSpaceCombo component. This property controls the format of an item added to the list.

Members

cfName

The item only contains the color space name.

cfShortName

The item only contains the color space shortname.

cfBoth

Both the color space name and shortname are used to set the item name.

Created with Doc-O-Matic.


See Also

TJvFullColorSpaceCombo.ItemFormat, TJvColorSpace.Name, TJvColorSpace.ShortName


TJvGrabberStatus type
JEDI-VCL Reference

TJvGrabberStatus type

Edit topic

The status of a grabber

Pascal

TJvGrabberStatus = (gsStopped, gsConnecting, gsGrabbing, gsStopping);

File

JvUrlListGrabber

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

gsStopped

The grabber is stopped.

gsConnecting

The grabber is connecting to the server.

gsGrabbing

The grabber is grabbing.

gsStopping

The grabber is stopping.

Created with Doc-O-Matic.


TJvGradientStyle type
JEDI-VCL Reference

TJvGradientStyle type

Edit topic

Not documented

Pascal

TJvGradientStyle = (grFilled, grEllipse, grHorizontal, grVertical, grPyramid, grMount);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

grFilled

Not documented

grEllipse

Not documented

grHorizontal

Not documented

grVertical

Not documented

grPyramid

Not documented

grMount

Not documented

Created with Doc-O-Matic.


TJvHashElem type
JEDI-VCL Reference

TJvHashElem type

Edit topic

This is not being used at the moment

Pascal

PJvHashElem = ^TJvHashElem;
TJvHashElem = packed record
  Next: PJvHashElem;
  Obj: TObject;
  end;

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Next: PJvHashElem;

Next HashElem

Obj: TObject;

Associated object

Created with Doc-O-Matic.


TJvHashKind type
JEDI-VCL Reference

TJvHashKind type

Edit topic

This is not being used at the moment

Pascal

TJvHashKind = (hkList, hkDirect);

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

hkList

List hash

hkDirect

Direct hash

Created with Doc-O-Matic.


TJvHashRecord type
JEDI-VCL Reference

TJvHashRecord type

Edit topic

This is not being used at the moment

Pascal

PJvHashRecord = ^TJvHashRecord;
TJvHashRecord = packed record
  Count: Byte;
  case TJvHashKind of
    hkDirect: (FirstElem: PJvHashElem;);
    hkList: (List: PJvHashList;);
  end;

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Count: Byte;

Count

List: PJvHashList;

The List

FirstElem: PJvHashElem;

The First Element

Created with Doc-O-Matic.


TJvHookOrder type
JEDI-VCL Reference

TJvHookOrder type

Edit topic

Represents different kinds of hook methods.

Pascal

TJvHookOrder = (hoBeforeMsg, hoAfterMsg);

File

JvWndProcHook

Description

The TJvHookOrder type is used to represent different kinds of hook methods.

Members

hoBeforeMsg

Represents a hook method that allows to handle a message before the hooked control handles that message.

hoAfterMsg

Represents a hook method that allows to handle a message after the hooked control has handled that message.

Created with Doc-O-Matic.


TJvIconKind type
JEDI-VCL Reference

TJvIconKind type

Edit topic

Identifies different icons.

Pascal

TJvIconKind = (ikCustom, ikNone, ikApplication, ikError, ikInformation, ikQuestion, ikWarning);

File

JvBalloonHint

Description

Use TJvIconKind values to specify a specific icon.

Members

ikCustom

Uses an image from the image list specified by Images.

ikNone

No icon.

ikApplication

The default application icon.

ikError

Icon containing a red stop sign.

ikInformation

Icon containing a blue "i".

ikQuestion

The question mark icon.

ikWarning

Icon containing a yellow exclamation point symbol.

Created with Doc-O-Matic.


TJvIconModifier type
JEDI-VCL Reference

TJvIconModifier type

Edit topic

Not documented

Pascal

TJvIconModifier = (imNormal, imOverlay, imSelected, imOpen, imShellSize, imSmall);
TJvIconModifiers = set of TJvIconModifier;

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

imNormal

Not documented

imOverlay

Not documented

imSelected

Not documented

imOpen

Not documented

imShellSize

Not documented

imSmall

Not documented

Created with Doc-O-Matic.


TJvID3ControllerOption type
JEDI-VCL Reference

TJvID3ControllerOption type

Edit topic

Enumerates options for a TJvID3Controller component.

Pascal

TJvID3ControllerOption = (coAutoCorrect, coRemoveEmptyFrames);
TJvID3ControllerOptions = set of TJvID3ControllerOption;

File

JvID3v2Base

Description

Use the TJvID3ControllerOption type to specify options for a TJvID3Controller component.

TJvID3ControllerOptions is a set of TJvID3ControllerOption values.

Members

coAutoCorrect

Corrects the values of frames in the tag before a tag is written to a file.

coRemoveEmptyFrames

Automatically removes empty frames before a tag is written to a file.

Created with Doc-O-Matic.


TJvID3Encoding type
JEDI-VCL Reference

TJvID3Encoding type

Edit topic

Represents different kind of string encodings in an ID3 frame.

Pascal

TJvID3Encoding = (ienISO_8859_1, ienUTF_16, ienUTF_16BE, ienUTF_8);
TJvID3Encodings = set of TJvID3Encoding;

File

JvId3v2Types

Description

Use the TJvID3Encoding type to represent a string encoding in an ID3 frame.

TJvID3Encodings is a set of TJvID3Encoding values.

Members

ienISO_8859_1

An ISO-8859-1 encoding.

ienUTF_16

An UTF-16 unicode with BOM encoding.

ienUTF_16BE

An UTF-16BE unicode without BOM encoding.

ienUTF_8

An UTF-8 unicode encoding.

Created with Doc-O-Matic.


TJvID3ForceEncoding type
JEDI-VCL Reference

TJvID3ForceEncoding type

Edit topic

Represents different kinds of enforcements of string encodings for a whole ID3 tag.

Pascal

TJvID3ForceEncoding = (ifeDontCare, ifeISO_8859_1, ifeUTF_16, ifeUTF_16BE, ifeUTF_8);

File

JvId3v2Types

Description

Use the TJvID3ForceEncoding type to represent a specific enforcement of a string encoding for a whole ID3 tag.

Members

ifeDontCare

Does not enforce a specific string encoding for the whole ID3 tag.

ifeISO_8859_1

Enforces an ISO-8859-1 encoding for all strings in the ID3 tag.

ifeUTF_16

Enforces an UTF-16 unicode encoding for all strings in the ID3 tag.

ifeUTF_16BE

Enforces an UTF-16BE unicode without BOM encoding for all strings in the ID3 tag.

ifeUTF_8

Enforces an UTF-8 unicode encoding for all strings in the ID3 tag.

Created with Doc-O-Matic.


TJvID3ForceVersion type
JEDI-VCL Reference

TJvID3ForceVersion type

Edit topic

Represents different kinds of enforcements of ID3 versions for an ID3 tag.

Pascal

TJvID3ForceVersion = (ifvDontCare, ifv2_2, ifv2_3, ifv2_4);

File

JvId3v2Types

Description

Use the TJvID3ForceVersion type to represent a specific enforcement of an ID3 version for an ID3 tag.

Members

ifvDontCare

Does not enforce a specific version for the ID3 tag.

ifv2_2

Enforces a 2.2 version for the ID3 tag.

ifv2_3

Enforces a 2.3 version for the ID3 tag.

ifv2_4

Enforces a 2.4 version for the ID3 tag.

Created with Doc-O-Matic.


TJvID3FrameHeaderFlag type
JEDI-VCL Reference

TJvID3FrameHeaderFlag type

Edit topic

Enumerates options for the tag.

Pascal

TJvID3FrameHeaderFlag = (fhfOnTagAlterDiscardFrame, fhfOnFileAlterDiscardFrame, fhfReadOnly, fhfIsCompressed, fhfIsEncrypted, fhfContainsGroupInformation, fhfUnsynchronisationApplied, fhfDataLengthIndicator);
TJvID3FrameHeaderFlags = set of TJvID3FrameHeaderFlag;

File

JvId3v2Types

Description

Use the TJvID3FrameHeaderFlag type to specify options for the tag.

TJvID3FrameHeaderFlags is a set of TJvID3FrameHeaderFlag values.

Members

fhfOnTagAlterDiscardFrame

Tells the tag parser to discard the frame if it is unknown and the tag is altered in any way. This applies to all kinds of alterations, including adding more padding and reordering the frames. If this flag is not included, the frame should be preserved.

fhfOnFileAlterDiscardFrame

Tells the tag parser to discard the frame if it is unknown and the file, excluding the tag, is altered. This does not apply when the audio is completely replaced with other audio data. If this flag is not included, the frame should be preserved.

fhfReadOnly

Tells the software that the contents of this frame are intended to be read only. Changing the contents might break something, e.g. a signature. If the contents are changed, without knowledge of why the frame was flagged read only and without taking the proper means to compensate, e.g. recalculating the signature, the flag must be removed.

fhfIsCompressed

Indicates that the frame is compressed. fhfDataLengthIndicator must also be included. Compression is not implemented by TJvID3Controller.

fhfIsEncrypted

Indicates that the frame is encrypted. If set, the EncryptionID property of the frame is valid and indicates with which method it was encrypted. See description of the ENCR frame for more information about encryption method registration. fhfDataLengthIndicator must also be included. Encryption is not implemented by TJvID3Controller.

fhfContainsGroupInformation

Indicates that this frame belongs in a group with other frames. If set, the GroupID property of the frame is valid: every frame with the same group identifier belongs to the same group.

fhfUnsynchronisationApplied

Indicates that unsynchronisation was applied to this frame.

fhfDataLengthIndicator

Indicates that a data length indicator has been added to the frame.

Created with Doc-O-Matic.


TJvID3FrameID type
JEDI-VCL Reference

TJvID3FrameID type

Edit topic

See Table

Pascal

TJvID3FrameID = (fiErrorFrame, fiPaddingFrame, fiUnknownFrame, fiAudioCrypto, fiPicture, fiAudioSeekPoint, fiComment, fiCommercial, fiCryptoReg, fiEqualization2, fiEqualization, fiEventTiming, fiGeneralObject, fiGroupingReg, fiInvolvedPeople, fiLinkedInfo, fiCDID, fiMPEGLookup, fiOwnership, fiPrivate, fiPlayCounter, fiPopularimeter, fiPositionsync, fiBufferSize, fiVolumeAdj2, fiVolumeAdj, fiReverb, fiSeekFrame, fiSignature, fiSyncedLyrics, fiSyncedTempo, fiAlbum, fiBPM, fiComposer, fiContentType, fiCopyright, fiDate, fiEncodingTime, fiPlaylistDelay, fiOrigReleaseTime, fiRecordingTime, fiReleaseTime, fiTaggingTime, fiInvolvedPeople2, fiEncodedBy, fiLyricist, fiFileType, fiTime, fiContentGroup, fiTitle, fiSubTitle, fiInitialKey, fiLanguage, fiSongLen, fiMusicianCreditList, fiMediaType, fiMood, fiOrigAlbum, fiOrigFileName, fiOrigLyricist, fiOrigArtist, fiOrigYear, fiFileOwner, fiLeadArtist, fiBand, fiConductor, fiMixArtist, fiPartInSet, fiProducedNotice, fiPublisher, fiTrackNum, fiRecordingDates, fiNetRadioStation, fiNetRadioOwner, fiSize, fiAlbumSortOrder, fiPerformerSortOrder, fiTitleSortOrder, fiISRC, fiEncoderSettings, fiSetSubTitle, fiUserText, fiYear, fiUniqueFileID, fiTermsOfUse, fiUnsyncedLyrics, fiWWWCommercialInfo, fiWWWCopyright, fiWWWAudioFile, fiWWWArtist, fiWWWAudioSource, fiWWWRadioPage, fiWWWPayment, fiWWWPublisher, fiWWWUser, fiMetaCrypto, fiMetaCompression);
TJvID3FrameIDs = set of TJvID3FrameID;

File

JvId3v2Types

Description

Use the TJvID3FrameID type to TJvID3FrameIDs is a set of TJvID3FrameID values.

Members

fiErrorFrame

Special frame used to identify an erroneous frame.

fiPaddingFrame

Special frame used to identify a padding frame.

fiUnknownFrame

Special frame used to identify an unknown frame.

fiAudioCrypto

AENC  - The 'Audio encryption' frame indicates if the actual audio stream is encrypted, and by whom.

fiPicture

APIC  - The 'Attached picture' frame contains a picture directly related to the audio file.

fiAudioSeekPoint

ASPI  - 'Audio seek point index'. Audio files with variable bit rates are intrinsically difficult to deal with in the case of seeking within the file. The ASPI frame makes seeking easier by providing a list a seek points within the audio file. Introduced in v2.4.

fiComment

COMM  - The Comment frame is intended for any kind of full text information that does not fit in any other frame.

fiCommercial

COMR  - The Commercial frame enables several competing offers in the same tag by bundling all needed information. Introduced in v2.3.

fiCryptoReg

ENCR  - To identify with which method a frame has been encrypted the encryption method must be registered in the tag with this 'Encryption method registration' frame. Introduced in v2.3.

fiEqualization2

EQU2  - Introduced in v2.4.

fiEqualization

EQUA  - This is another subjective, alignment frame. It allows the user to predefine an equalization curve within the audio file. Deprecated as of v2.4, replaced by fiEqualization2.

fiEventTiming

ETCO

fiGeneralObject

GEOB  - In the 'General encapsulated object' frame any type of file can be encapsulated.

fiGroupingReg

GRID  - The 'Group identification registration' frame enables grouping of otherwise unrelated frames. This can be used when some frames are to be signed. To identify which frames belongs to a set of frames a group identifier must be registered in the tag with this frame. Introduced in v2.3.

fiInvolvedPeople

IPLS  - 'Involved people list' Since there might be a lot of people contributing to an audio file in various ways, such as musicians and technicians, the 'Text information frames' are often insufficient to list everyone involved in a project. The 'Involved people list' is a frame containing the names of those involved, and how they were involved. Deprecated as of v2.4, replaced by fiInvolvedPeople2 and fiMusicianCreditList.

fiLinkedInfo

LINK

fiCDID

MCDI  - The 'Music CD identifier' frame is intended for music that comes from a CD, so that the CD can be identified in databases such as the CDDB. The frame consists of a binary dump of the Table Of Contents, TOC, from the CD,

fiMPEGLookup

MLLT  - 'MPEG location lookup table

fiOwnership

OWNE  - The Ownership frame might be used as a reminder of a made transaction or, if signed, as proof. Note that the fiTermsOfUse and fiFileOwner frames are good to use in conjunction with this one. Introduced in v2.3.

fiPrivate

PRIV  - The Private frame is used to contain information from a software producer that its program uses and does not fit into the other frames. Introduced in v2.3.

fiPlayCounter

PCNT  - The Play counter frame is simply a counter of the number of times a file has been played. The value is increased by one every time the file begins to play.

fiPopularimeter

POPM  - The purpose of this frame is to specify how good an audio file is.

fiPositionsync

POSS  - The 'Position synchronization' frame delivers information to the listener of how far into the audio stream he picked up; Introduced in v2.3.

fiBufferSize

RBUF  - 'Recommended buffer size' Sometimes the server from which an audio file is streamed is aware of transmission or coding problems resulting in interruptions in the audio stream. In these cases, the size of the buffer can be recommended by the server using this frame.

fiVolumeAdj2

RVA2  - Introduced in v2.4.

fiVolumeAdj

RVAD  - 'Relative volume adjustment' This is a more subjective function than the previous ones. It allows the user to say how much he wants to increase/decrease the volume on each channel while the file is played. The purpose is to be able to align all files to a reference volume, so that you don't have to change the volume constantly. This frame may also be used to balance adjust the audio. Deprecated as of v2.4, replaced by fiVolumeAdj2

fiReverb

RVRB  - The Reverb frame can be used to adjust echoes of different kinds.

fiSeekFrame

SEEK  - This frame indicates where other tags in a file/stream can be found. Introduced in v2.4.

fiSignature

SIGN  - This frame enables a group of frames, grouped with the 'Group identification registration', to be signed. Introduced in v2.4.

fiSyncedLyrics

SYLT  - 'Synchronized lyrics/text' This is another way of incorporating the words, said or sung lyrics, in the audio file as text; however, this time in sync with the audio. It might also be used to describing events e.g. occurring on a stage or on the screen in sync with the audio.

fiSyncedTempo

SYTC  - 'Synchronized tempo codes

fiAlbum

TALB  - The 'Album/Movie/Show title' frame is intended for the title of the recording(/source of sound) which the audio in the file is taken from.

fiBPM

TBPM  - The 'BPM' frame contains the number of beats per minute in the main part of the audio.

fiComposer

TCOM  - The 'Composer(s)' frame is intended for the name of the composer(s).

fiContentType

TCON

fiCopyright

TCOP  - 'Copyright message' frame. Intended for the copyright holder of the original sound, not the audio file itself.

fiDate

TDAT  - 'Date' frame containing the date for the recording. Deprecated as of v2.4, replaced by fiRecordingDates.

fiEncodingTime

TDEN  - The 'Encoding time' frame contains a timestamp describing when the audio was encoded. Introduced in v2.4.

fiPlaylistDelay

TDLY  - 'Playlist delay' defines the numbers of milliseconds of silence between every song in a playlist.

fiOrigReleaseTime

TDOR  - The 'Original release time' frame contains a timestamp describing when the original recording of the audio was released. Introduced in v2.4.

fiRecordingTime

TDRC  - The 'Recording time' frame contains a timestamp describing when the audio was recorded. Introduced in v2.4.

fiReleaseTime

TDRL  - The 'Release time' frame contains a timestamp describing when the audio was first released. Introduced in v2.4.

fiTaggingTime

TDTG  - The 'Tagging time' frame contains a timestamp describing then the audio was tagged. Introduced in v2.4.

fiInvolvedPeople2

TIPL  - The 'Involved people list' is very similar to the musician credits list, but maps between functions, like producer, and names. Introduced in v2.4.

fiEncodedBy

TENC  - The 'Encoded by' frame contains the name of the person or organization that encoded the audio file.

fiLyricist

TEXT  - The 'Lyricist(s)/Text writer(s)' frame is intended for the writer(s) of the text or lyrics in the recording.

fiFileType

TFLT  - The 'File type' frame indicates which type of audio this tag defines.

fiTime

TIME  - The 'Time' frame containing the time for the recording. Deprecated as of v2.4, replaced by fiRecordingDates.

fiContentGroup

TIT1  - The 'Content group description' frame is used if the sound belongs to a larger category of sounds/music. For example, classical music is often sorted in different musical sections (e.g. "Piano Concerto", "Weather - Hurricane").

fiTitle

TIT2  - The 'Title/Songname/Content description' frame is the actual name of the piece e.g. "Adagio", "Hurricane Donna").

fiSubTitle

TIT3  - The 'Subtitle/Description refinement' frame is used for information directly related to the contents title (e.g. "Op. 16" or "Performed live at Wembley").

fiInitialKey

TKEY  - The 'Initial key' frame contains the musical key in which the sound starts.

fiLanguage

TLAN  - The 'Language(s)' frame should contain the languages of the text or lyrics spoken or sung in the audio.

fiSongLen

TLEN  - The 'Length' frame contains the length of the audio file in milliseconds

fiMusicianCreditList

TMCL  - The 'Musician credits list' is intended as a mapping between instruments and the musician that played it. Introduced in v2.4.

fiMediaType

TMED  - The 'Media type' frame describes from which media the sound originated.

fiMood

TMOO  - The 'Mood' frame is intended to reflect the mood of the audio with a few keywords, e.g. "Romantic" or "Sad". Introduced in v2.4.

fiOrigAlbum

TOAL  - The 'Original album/movie/show title' frame is intended for the title of the original recording (or source of sound), if for example the music in the file should be a cover of a previously released song.

fiOrigFileName

TOFN  - The 'Original filename' frame contains the preferred filename for the file, since some media doesn't allow the desired length of the filename.

fiOrigLyricist

TOLY  - The 'Original lyricist(s)/text writer(s)' frame is intended for the text writer(s) of the original recording, if for example the music in the file should be a cover of a previously released song.

fiOrigArtist

TOPE  - The 'Original artist(s)/performer(s)' frame is intended for the performer(s) of the original recording, if for example the music in the file should be a cover of a previously released song.

fiOrigYear

TORY  - The 'Original release year' frame is intended for the year when the original recording, if for example the music in the file should be a cover of a previously released song, was released. Deprecated as of v2.4, replaced by fiOrigReleaseTime.

fiFileOwner

TOWN  - The 'File owner/licensee' frame contains the name of the owner or licensee of the file and its contents. Introduced in v2.3.

fiLeadArtist

TPE1  - The 'Lead artist(s)/Lead performer(s)/Soloist(s)/Performing group' frame is used for the main artist(s).

fiBand

TPE2  - The 'Band/Orchestra/Accompaniment' frame is used for additional information about the performers in the recording.

fiConductor

TPE3  - The 'Conductor' frame is used for the name of the conductor.

fiMixArtist

TPE4  - The 'Interpreted, remixed, or otherwise modified by' frame contains more information about the people behind a remix and similar interpretations of another existing piece.

fiPartInSet

TPOS  - The 'Part of a set' frame is a numeric string that describes which part of a set the audio came from. This frame is used if the source described in the fiAlbum frame is divided into several mediums, e.g. a double CD. The value may be extended with a "/" character and a numeric string containing the total number of parts in the set. E.g. "1/2".

fiProducedNotice

TPRO  - The 'Produced notice' frame, in which the string must begin with a year and a space character (making five characters), is intended for the production copyright holder of the original sound, not the audio file itself. Introduced in v2.4.

fiPublisher

TPUB  - The 'Publisher' frame simply contains the name of the label or publisher.

fiTrackNum

TRCK  - The 'Track number/Position in set' frame is a numeric string containing the order number of the audio file on its original recording. This may be extended with a "/" character and a numeric string containing the total number of tracks/elements on the original recording. E.g. "4/9".

fiRecordingDates

TRDA  - The 'Recording dates' frame is intended to be used as complement to the fiYear, fiDate and fiTime frames. E.g. "4th-7th June, 12th June" in combination with the fiYear frame.

fiNetRadioStation

TRSN  - The 'Internet radio station name' frame contains the name of the internet radio station from which the audio is streamed.

fiNetRadioOwner

TRSO  - The 'Internet radio station owner' frame contains the name of the owner of the internet radio station from which the audio is streamed.

fiSize

TSIZ  - The 'Size' frame contains the size of the audio file in bytes, excluding the ID3v2 tag, Deprecated as of v2.4, replaced by nothing.

fiAlbumSortOrder

TSOA  - The 'Album sort order' frame defines a string which should be used instead of the album name (TALB) for sorting purposes. E.g. an album named "A Soundtrack" might preferably be sorted as "Soundtrack". Introduced in v2.4.

fiPerformerSortOrder

TSOP  - The 'Performer sort order' frame defines a string which should be used instead of the performer (TPE2) for sorting purposes. Introduced in v2.4.

fiTitleSortOrder

TSOT  - The 'Title sort order' frame defines a string which should be used instead of the title (TIT2) for sorting purposes. Introduced in v2.4.

fiISRC

TSRC  - The 'ISRC' frame should contain the International Standard Recording Code (ISRC) 12 characters).

fiEncoderSettings

TSSE  - The 'Software/Hardware and settings used for encoding' frame includes the used audio encoder and its settings when the file was encoded. Hardware refers to hardware encoders, not the computer on which a program was run. Introduced in v2.3.

fiSetSubTitle

TSST  - The 'Set subtitle' frame is intended for the subtitle of the part of a set this track belongs to. Introduced in v2.4.

fiUserText

TXXX  - The 'User defined text information' frame is intended for one-string text information concerning the audio file in a similar way to the other "T"-frames.

fiYear

TYER  - The 'Year' frame contains the year of the recording. Deprecated as of v2.4, replaced by fiRecordingDates.

fiUniqueFileID

UFID  - This frame's purpose is to be able to identify the audio file in a database that may contain more information relevant to the content.

fiTermsOfUse

USER  - This frame contains a brief description of the terms of use and ownership of the file. More detailed information concerning the legal terms might be available through the fiWWWCopyright frame. Introduced in v2.3.

fiUnsyncedLyrics

USLT  - This frame contains the lyrics of the song or a text transcription of other vocal activities.

fiWWWCommercialInfo

WCOM  - The 'Commercial information' frame is a URL pointing at a webpage with information such as where the album can be bought.

fiWWWCopyright

WCOP  - The 'Copyright/Legal information' frame is a URL pointing at a webpage where the terms of use and ownership of the file is described.

fiWWWAudioFile

WOAF  - The 'Official audio file webpage' frame is a URL pointing at a file specific webpage.

fiWWWArtist

WOAR  - The 'Official artist/performer webpage' frame is a URL pointing at the artists official webpage.

fiWWWAudioSource

WOAS  - The 'Official audio source webpage' frame is a URL pointing at the official webpage for the source of the audio file, e.g. a movie.

fiWWWRadioPage

WORS  - The 'Official internet radio station homepage' contains a URL pointing at the homepage of the internet radio station.

fiWWWPayment

WPAY  - The 'Payment' frame is a URL pointing at a webpage that will handle the process of paying for this file.

fiWWWPublisher

WPUB  - The 'Publishers official webpage' frame is a URL pointing at the official webpage for the publisher.

fiWWWUser

WXXX  - The 'User defined URL link' frame is intended for URL links concerning the audio file in a similar way to the other "W"-frames.

fiMetaCrypto

CRM  - Only in v2.2.

fiMetaCompression

CDM  - Only in v2.2.

Created with Doc-O-Matic.


TJvID3HandleError type
JEDI-VCL Reference

TJvID3HandleError type

Edit topic

Enumerates ways to handle encountered errors.

Pascal

TJvID3HandleError = (heAutoCorrect, heRaise, heBoolean);

File

JvID3v2Base

Description

Use the TJvID3HanldeError type to specify a specific way to handle encountered errors.

Members

heAutoCorrect

Auto corrects (if possible) encountered errors.

heRaise

Raises an exception when encountering errors.

heBoolean

Gives a true/false result when encountering errors.

Created with Doc-O-Matic.


TJvID3HeaderExtendedFlag type
JEDI-VCL Reference

TJvID3HeaderExtendedFlag type

Edit topic

Enumerates extended options for the tag.

Pascal

TJvID3HeaderExtendedFlag = (hefTagIsAnUpdate, hefCRCDataPresent, hefTagRestrictions);
TJvID3HeaderExtendedFlags = set of TJvID3HeaderExtendedFlag;

File

JvId3v2Types

Description

Use the TJvID3HeaderExtendedFlag type to specify extended options for the tag.

TJvID3HeaderExtendedFlags is a set of TJvID3HeaderExtendedFlag values.

Members

hefTagIsAnUpdate

The present tag is an update of a tag found earlier in the present file or stream.

hefCRCDataPresent

A CRC-32 data is included in the extended header.

hefTagRestrictions

The extended header includes tag restrictions.

Created with Doc-O-Matic.


TJvID3HeaderFlag type
JEDI-VCL Reference

TJvID3HeaderFlag type

Edit topic

Enumerates options for a tag.

Pascal

TJvID3HeaderFlag = (hfUnsynchronisation, hfExtendedHeader, hfExperimentalIndicator, hfFooterPresent);
TJvID3HeaderFlags = set of TJvID3HeaderFlag;

File

JvId3v2Types

Description

Use the TJvID3HeaderFlag to specify options for a tag.

TJvID3HeaderFlags is a set of TJvID3HeaderFlag values.

Members

hfUnsynchronisation

Applies unsynchronisation on all frames.

hfExtendedHeader

Includes an extended header in the tag.

hfExperimentalIndicator

Indicates that the tag is in experimental state.

hfFooterPresent

Includes a footer in the tag.

Created with Doc-O-Matic.


TJvID3ImageEncodingRestriction type
JEDI-VCL Reference

TJvID3ImageEncodingRestriction type

Edit topic

Enumerates image encoding restrictions.

Pascal

TJvID3ImageEncodingRestriction = (ierNoRestrictions, ierOnlyPNGorJPEG);

File

JvId3v2Types

Description

The TJvID3ImageEncodingRestriction type is used to specify a specific image encoding restriction.

Members

ierNoRestrictions

No restrictions

ierOnlyPNGorJPEG

Images are encoded only with PNG or JPEG.

Created with Doc-O-Matic.


TJvID3ImageSizeRestriction type
JEDI-VCL Reference

TJvID3ImageSizeRestriction type

Edit topic

Enumerates image size restrictions.

Pascal

TJvID3ImageSizeRestriction = (isrNoRestrictions, isrMax256x256, isrMax64x64, isr64x64UnlessRequired);

File

JvId3v2Types

Description

The TJvID3ImageSizeRestriction type is used to specify a specific image size restriction.

Members

isrNoRestrictions

No restrictions.

isrMax256x256

All images are 256x256 pixels or smaller.

isrMax64x64

All images are 64x64 pixels or smaller.

isr64x64UnlessRequired

All images are exactly 64x64 pixels, unless required otherwise.

Created with Doc-O-Matic.


TJvID3PictureType type
JEDI-VCL Reference

TJvID3PictureType type

Edit topic

Enumerates picture types.

Pascal

TJvID3PictureType = (ptOther, ptFileIcon, ptOtherFileIcon, ptCoverFront, ptCoverBack, ptLeafletPage, ptMedia, ptLeadArtist, ptArtist, ptConductor, ptBand, ptComposer, ptLyricist, ptRecordingLocation, ptDuringRecording, ptDuringPerformance, ptMovieVideoScreenCapture, ptBrightColouredFish, ptIllustration, ptBandLogotype, ptPublisherLogotype);

File

JvId3v2Types

Description

Use the TJvID3PictureType type to specify a specific picture type.

Members

ptOther

Other

ptFileIcon

32x32 pixels 'file icon' (PNG only)

ptOtherFileIcon

Other file icon

ptCoverFront

Cover (front)

ptCoverBack

Cover (back)

ptLeafletPage

Leaflet page

ptMedia

Media (e.g. label side of CD)

ptLeadArtist

Lead artist/lead performer/soloist

ptArtist

Artist/performer

ptConductor

Conductor

ptBand

Band/Orchestra

ptComposer

Composer

ptLyricist

Lyricist/text writer

ptRecordingLocation

Recording Location

ptDuringRecording

During recording

ptDuringPerformance

During performance

ptMovieVideoScreenCapture

Movie/video screen capture

ptBrightColouredFish

A bright coloured fish

ptIllustration

Illustration

ptBandLogotype

Band/artist logotype

ptPublisherLogotype

Publisher/Studio logotype

Created with Doc-O-Matic.


TJvID3Restrictions type
JEDI-VCL Reference

TJvID3Restrictions type

Edit topic

Contains tag restrictions.

Pascal

TJvID3Restrictions = record
  RTagSize: TJvID3TagSizeRestriction;
  RTextEncoding: TJvID3TextEncodingRestriction;
  RTextFieldsSize: TJvID3TextFieldsSizeRestriction;
  RImageEncoding: TJvID3ImageEncodingRestriction;
  RImageSize: TJvID3ImageSizeRestriction;
  end;

File

JvId3v2Types

Description

For some applications it might be desired to restrict a tag in more ways than imposed by the ID3 v2 specification. Note that the presence of these restrictions does not affect how the tag is decoded, merely how it was restricted before encoding.

Members

RTagSize: TJvID3TagSizeRestriction;

Tag size restrictions

RTextEncoding: TJvID3TextEncodingRestriction;

Text encoding restrictions

RTextFieldsSize: TJvID3TextFieldsSizeRestriction;

Text fields size restrictions

RImageEncoding: TJvID3ImageEncodingRestriction;

Image encoding restrictions

RImageSize: TJvID3ImageSizeRestriction;

Image size restrictions

Created with Doc-O-Matic.


TJvID3StringPair type
JEDI-VCL Reference

TJvID3StringPair type

Edit topic

Contains an ANSI and a unicode string.

Pascal

TJvID3StringPair = record
  SA: string;
  SW: WideString;
  end;

File

JvId3v2Types

Description

The TJvID3StringPair type is used to store an ANSI and a unicode string together.

Members

SA: string;

The ANSI string.

SW: WideString;

The unicode string.

Created with Doc-O-Matic.


TJvID3TagSizeRestriction type
JEDI-VCL Reference

TJvID3TagSizeRestriction type

Edit topic

Enumerates tag size restrictions.

Pascal

TJvID3TagSizeRestriction = (tsrMax128Frames_1MB, tsrMax64Frames_128KB, tsrMax32Frames_40KB, tsrMax32Frames_4KB);

File

JvId3v2Types

Description

The TJvID3TagSizeRestriction type is used to specify a specific tag size restriction.

Members

tsrMax128Frames_1MB

No more than 128 frames and 1 MB total tag size.

tsrMax64Frames_128KB

No more than 64 frames and 128 KB total tag size.

tsrMax32Frames_40KB

No more than 32 frames and 40 KB total tag size.

tsrMax32Frames_4KB

No more than 32 frames and 4 KB total tag size.

Created with Doc-O-Matic.


TJvID3TextEncodingRestriction type
JEDI-VCL Reference

TJvID3TextEncodingRestriction type

Edit topic

Enumerates text encoding restrictions.

Pascal

TJvID3TextEncodingRestriction = (terNoRestrictions, terOnlyISO_8859_1orUTF8);

File

JvId3v2Types

Description

The TJvID3TextEncodingRestriction type is used to specify a specific text encoding restriction.

Members

terNoRestrictions

No restrictions.

terOnlyISO_8859_1orUTF8

Strings are only encoded with ISO-8859-1 or UTF-8.

Created with Doc-O-Matic.


TJvID3TextFieldsSizeRestriction type
JEDI-VCL Reference

TJvID3TextFieldsSizeRestriction type

Edit topic

Enumerates Text fields size restrictions.

Pascal

TJvID3TextFieldsSizeRestriction = (tfszNoRestrictions, tfszMax1024Char, tfszMax128Char, tfszMax30Char);

File

JvId3v2Types

Description

The TJvID3TextFieldsSizeRestriction type is used to specify a specific text fields size restriction.

Members

tfszNoRestrictions

No restrictions.

tfszMax1024Char

No string is longer than 1024 characters.

tfszMax128Char

No string is longer than 128 characters.

tfszMax30Char

No string is longer than 30 characters.

Created with Doc-O-Matic.


TJvID3Version type
JEDI-VCL Reference

TJvID3Version type

Edit topic

Represent different kinds of ID3 tag versions.

Pascal

TJvID3Version = (iveLowerThan2_2, ive2_2, ive2_3, ive2_4, iveHigherThan2_4);

File

JvId3v2Types

Description

Use the TJvID3Version type to represent an ID3 tag version.

Members

iveLowerThan2_2

A version older than 2.2. Such a version can't be read by TJvID3Controller.

ive2_2

Version 2.2

ive2_3

Version 2.3

ive2_4

Version 2.4

iveHigherThan2_4

A version newer than 2.4. Such a version can't be read by TJvID3Controller.

Created with Doc-O-Matic.


TJvImageAlign type
JEDI-VCL Reference

TJvImageAlign type

Edit topic

Type used to specify the alignment of images in relation to other objects, like text.

Pascal

TJvImageAlign = (iaLeft, iaCentered);

File

JvTypes

Description

Use TJvImageAlign to specify where an image is drawn in a control in relation to other items, like text.

Members

iaLeft

Images are aligned to the left of other items.

iaCentered

Images are centered in the control and aligned above other items.

Created with Doc-O-Matic.


TJvImageKind type
JEDI-VCL Reference

TJvImageKind type

See Also	Edit topic

Enumerates image kinds for combo edit controls.

Pascal

TJvImageKind = (ikCustom, ikDefault, ikDropDown, ikEllipsis);

File

JvToolEdit

Description

Use the TJvImageKind type to specify the image kind for the button of a combo edit control.

Members

ikCustom

A custom image.

ikDefault

The default image. When specifying ikDefault the actual image shown depends on the combo edit control. For example, a TJvDateEdit will display a calendar glyph.

ikDropDown

A drop-down button.

ikEllipsis

Ellipsis.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.ImageKind


TJvImageListItemKind type
JEDI-VCL Reference

TJvImageListItemKind type

Edit topic

Not documented

Pascal

TJvImageListItemKind = (ikResourceBitmap, ikMappedResourceBitmap, ikInlineBitmap);

File

JvImageList

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ikResourceBitmap

Not documented

ikMappedResourceBitmap

Not documented

ikInlineBitmap

Not documented

Created with Doc-O-Matic.


TJvImageListMode type
JEDI-VCL Reference

TJvImageListMode type

See Also	Edit topic

Flags that specifies the mode of an image list.

Pascal

TJvImageListMode = (imClassic, imPicture, imResourceIds, imItemList);

File

JvImageList

Description

The type TJvImageListMode consists of a flags that specifies the mode of an image list.

Members

imClassic

The image list acts as TImageList. The Filename, Picture and ResourceIds properties are ignored.

imPicture

The FileName and Picture property are used.

imResourceIds

The ResourceIds property is used.

imItemList

Not documented

Created with Doc-O-Matic.


See Also

TJvImageList.Mode


TJvImageListTransparentMode type
JEDI-VCL Reference

TJvImageListTransparentMode type

Edit topic

Consists of flags that specifies the transparent color mode.

Pascal

TJvImageListTransparentMode = (tmNone, tmAuto, tmColor);

File

JvImageList

Description

The type TJvImageListTransparentMode consists of flags that specifies the transparent color mode.

Members

tmNone

Do not use any mask.

tmAuto

Use the pixel at the left bottom edge as mask color.

tmColor

Use the TransparentColor property as mask color.

Created with Doc-O-Matic.


TJvImageSize type
JEDI-VCL Reference

TJvImageSize type

Edit topic

Type used to set the size of images. Type used to specify the available image sizes for lookout pages and buttons.

Pascal

TJvImageSize = (isSmall, isLarge);

File

JvTypes

Description

TJvImageSize is the type of the TJvDriveCombo.ImageSize and TJvDriveList.ImageSize properties and is used to specify the size of the displayed icons in the list. The TJvImageSize is used as the ImageSize property for TJvLookOutPage and TJvLookOutButton objects.

Members

isSmall

The images should be small (typically 16x16 px). Display images from the SmallImages list.

isLarge

The images should be large (typically 32x32 px). Display images from the LargeImages list.

Created with Doc-O-Matic.


TJvImgBtnKind type
JEDI-VCL Reference

TJvImgBtnKind type

Edit topic

Defines the possible ModalResult and types of images and the button can display.

Pascal

TJvImgBtnKind = (bkCustom, bkOK, bkCancel, bkHelp, bkYes, bkNo, bkClose, bkAbort, bkRetry, bkIgnore, bkAll);

File

JvCtrls

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

bkCustom

Displays an image selected from Images and ImageIndex and sets ModalResult to mrNone

bkOK

Displays a green checkmark as the image and sets ModalResult to mrOK

bkCancel

Displays a red X as the image and sets ModalResult to mrCancel

bkHelp

Displays a question mark as the image and sets ModalResult to mrNone

bkYes

Displays a green checkmark as the image and sets ModalResult to mrYes

bkNo

Displays a red slashed circle as the image and sets ModalResult to mrNo

bkClose

Displays a door as the image and sets ModalResult to mrNone

bkAbort

Displays a red X as the image and sets ModalResult to mrAbort

bkRetry

Displays two green circling arrows as the image and sets ModalResult to mrRetry

bkIgnore

Displays a man walking away as the image and sets ModalResult to mrIgnore

bkAll

Displays a green double checkmark as the image and sets ModalResult to mrAll

Created with Doc-O-Matic.


TJvImgBtnLayout type
JEDI-VCL Reference

TJvImgBtnLayout type

See Also	Edit topic

Enumerates image locations on a button.

Pascal

TJvImgBtnLayout = (blImageLeft, blImageRight);

File

JvCtrls

Description

TJvImgBtnLayout defines the location of an image on a button.

Members

blImageLeft

Displays the image left of the caption.

blImageRight

Displays the image right of the caption.

Created with Doc-O-Matic.


See Also

TJvCustomImageButton.Layout


TJvIndentationStyle type
JEDI-VCL Reference

TJvIndentationStyle type

See Also	Edit topic

Enumerates indentation styles.

Pascal

TJvIndentationStyle = (isRichEdit, isOffice);

File

JvRichEdit

Description

Use the TJvIndentationStyle type to specify a specific indentation style.

Members

isRichEdit

LeftIndent relative to FirstIndent. For example, if FirstIndent equals 2 and LeftIndent equals 1 then the first line of the paragraph will start at 2 and the following lines at 3.

isOffice

FirstIndent relative to LeftIndent (like MS Word and WordPad). For example, if FirstIndent equals 2 and LeftIndent equals 1 then the first line of the paragraph will start at 3 and the following lines at 1.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.IndentationStyle


TJvItemViewerScrollBar type
JEDI-VCL Reference

TJvItemViewerScrollBar type

Edit topic

Specifies the scrollbars allowed in a TJvCustomItemViewer.

Pascal

TJvItemViewerScrollBar = (tvHorizontal, tvVertical);

File

JvCustomItemViewer

Description

TJvItemViewerScrollBar defines which scrollbar is visible in a TJvCustomItemViewer when not all items can be displayed within the client area of the control.

Members

tvHorizontal

The control displays a horizontal scrollbar when needed. Items are arranged so that the height of the number of rows displayed never exceeds the client height of the control.

tvVertical

The control displays a vertical scrollbar when needed. Items are arranged so that the width of the number of columns displayed never exceeds the client width of the control.

Created with Doc-O-Matic.


TJvKeyCode type
JEDI-VCL Reference

TJvKeyCode type

Edit topic

Type used internally to code the key direction.

Pascal

TJvKeyCode = (kcLeft, kcRight, kcUp, kcDown);

File

JvFullColorCtrls

Description

You do not need to use this type. It is used internally to code a key to a direction.

Members

kcLeft

Move the cursor one pixel left.

kcRight

Move the cursor one pixel right.

kcUp

Move the cursor one pixel up.

kcDown

Move the cursor one pixel down.

Created with Doc-O-Matic.


TJvLabelScrollDirection type
JEDI-VCL Reference

TJvLabelScrollDirection type

Edit topic

Enumerates different kinds of horizontal scroll directions.

Pascal

TJvLabelScrollDirection = (sdLeftToRight, sdRightToLeft);

File

JvBehaviorLabel

Description

Use the TJvLabelScrollDirection type to specify a horizontal scroll direction.

Members

sdLeftToRight

Scrolls from left to right.

sdRightToLeft

Scrolls from right to left.

Created with Doc-O-Matic.


TJvLayout type
JEDI-VCL Reference

TJvLayout type

Edit topic

Not documented

Pascal

TJvLayout = (lTop, lCenter, lBottom);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

lTop

Not documented

lCenter

Not documented

lBottom

Not documented

Created with Doc-O-Matic.


TJvLinkedControlsOption type
JEDI-VCL Reference

TJvLinkedControlsOption type

Edit topic

Defines the available linking options for a linked control in a TJvLinkedControl.

Pascal

TJvLinkedControlsOption = (loLinkChecked, loLinkEnabled, loInvertChecked, loInvertEnabled);
TJvLinkedControlsOptions = set of TJvLinkedControlsOption;

File

JvLinkedControls

Description

TJvLinkedControlsOption defines the options available for how the Enabled state of a linked control is modified when the Enabled and/or Checked state of the owning control changes.

Members

loLinkChecked

Link the Checked state of the owning control to the Enabled state of the linked control.

loLinkEnabled

Link the Enabled state of the owning control to the Enabled state of the linked control.

loInvertChecked

Changes the result of the loLinkChecked test, that is, when the owning controls Checked state is false, the linked control is enabled and vice versa.

loInvertEnabled

Changes the result of the loLinkEnabled test, that is, when the owning controls Enabled state is false, the linked control is enabled and vice versa.

Created with Doc-O-Matic.


TJvListboxFillMode type
JEDI-VCL Reference

TJvListboxFillMode type

See Also	Edit topic

Specifies how the background of a list box is filled.

Pascal

TJvListboxFillMode = (bfmTile, bfmStretch);

File

JvListBox

Description

Use the TJvListboxFillMode type to specify how the background of a list box is filled.

Members

bfmTile

The bitmap is drawn without changing its size, but the whole canvas will be filled with it. So it may be drawn several times next to each other. Use this setting if you use a texture bitmap, for example.

bfmStretch

This mode stretches the bitmap to the size of the canvas, which means that the bitmap will only be drawn once on the background.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.Background, TJvListBoxBackground.FillMode


TJvMailLogonOption type
JEDI-VCL Reference

TJvMailLogonOption type

See Also	Edit topic

Enumerates options for starting a Simple MAPI session.

Pascal

TJvMailLogonOption = (loLogonUI, loNewSession, loDownloadMail);
TJvMailLogonOptions = set of TJvMailLogonOption;

File

JvMail

Description

Use the TJvMailLogonOption type to specify options for starting a Simple MAPI session.

TJvMailLogonOptions is a set of TJvMailLogonOption.

Members

loLogonUI

A logon dialog box should be displayed to prompt the user for logon information. If the user needs to provide a password and profile name to enable a successful logon, loLogonUI must be set.

loNewSession

An attempt should be made to create a new session rather than acquire the environment's shared session. If the loNewSession flag is not set, LogOn uses an existing shared session.

loDownloadMail

An attempt should be made to download all of the user's messages before returning. If this flag is not set, messages can be downloaded in the background after Logon returns. Set this flag when you want to call ReadMail to ensure that messages are available.

Created with Doc-O-Matic.


See Also

TJvMail.LogonOptions


TJvMailReadedData type
JEDI-VCL Reference

TJvMailReadedData type

Edit topic

Wrapper for data received after a call to ReadMail.

Pascal

TJvMailReadedData = record
  RecipientAddress: string;
  RecipientName: string;
  ConversationID: string;
  DateReceived: TDateTime;
  end;

File

JvMail

Description

The TJvMailReadedData type is a wrapper for data received after a ReadMail function call.

Members

RecipientAddress: string;

The sender's address: this address is provider-specific message delivery data. The format of an address specified by RecipientAddress is [address type][e-mail address]. Examples of valid addresses are FAX:206-555-1212 and SMTP:M@X.COM.

RecipientName: string;

The display name of the message sender.

ConversationID: string;

Identifies the conversation thread to which the message belongs. Some messaging systems can ignore and not return this member.

DateReceived: TDateTime;

The date when the message was received.

Created with Doc-O-Matic.


TJvMailReadOption type
JEDI-VCL Reference

TJvMailReadOption type

See Also	Edit topic

Enumerates options for reading mail.

Pascal

TJvMailReadOption = (roUnreadOnly, roFifo, roPeek, roHeaderOnly, roAttachments);
TJvMailReadOptions = set of TJvMailReadOption;

File

JvMail

Description

Use the TJvMailReadOption type to specify options for reading mail.

TJvMailReadOptions is a set of TJvMailReadOption.

Members

roUnreadOnly

Only unread messages of the specified type should be enumerated. If this flag is not set, FindFirstMail or FindNextMail return any message.

roFifo

The message identifiers returned should be in the order of time received. FindFirstMail or FindNextMail calls can take longer if this flag is set. Some implementations cannot honor this request, and if so an EJclMapiError exception is raised.

roPeek

ReadMail does not mark the message as read. Marking a message as read affects its appearance in the user interface and generates a read receipt. If the messaging system does not support this flag, ReadMail always marks the message as read. If ReadMail encounters an error, it leaves the message unread.

roHeaderOnly

ReadMail should read the message header only. File attachments are not copied to temporary files, and neither temporary file names nor message text is written. Setting this flag enhances performance.

roAttachments

ReadMail should not copy file attachments but should write message text into the TJvMail properties. ReadMail ignores this flag if the calling application has set the roHeaderOnly flag. Setting the roAttachments flag enhances performance.

Created with Doc-O-Matic.


See Also

TJvMail.ReadOptions


TJvMenuStyle type
JEDI-VCL Reference

TJvMenuStyle type

Edit topic

The style of the menus

Pascal

TJvMenuStyle = (msStandard, msOwnerDraw, msBtnLowered, msBtnRaised, msOffice, msXP, msItemPainter);

File

JvMenus

Description

Only the styles in this enumeration are supported

Members

msStandard

Only the image is drawn along with the text, no special effect

msOwnerDraw

The rendering is done by the owner of the component (you)

msBtnLowered

The item is drawn as a lowered button

msBtnRaised

The item is drawn as a raised button

msOffice

The item is drawn as in MS Office 97, with raising frames around the images

msXP

The item is drawn as in Windows XP, white background, shadow below selected images, flat menu borders

msItemPainter

The item is drawn using the painter indicated in the ItemPainter property

Created with Doc-O-Matic.


TJvMessage type
JEDI-VCL Reference

TJvMessage type

Edit topic

Not documented

Pascal

TJvMessage = packed record
  Msg: Integer;
  case Integer of
    0: (WParam: Integer;
        LParam: Integer;
        Result: Integer;
        Keys: Integer;
        Position: TSmallPoint;
        Child: TControl;
        Inserting: LongBool;);
    1: (WParamLo: Word;
        WParamHi: Word;
        LParamLo: Word;
        LParamHi: Word;
        ResultLo: Word;
        ResultHi: Word;
        XPos: Smallint;
        YPos: Smallint;
        WheelDelta: Integer;
        Sender: TControl;
        Index: Integer;);
    10: (Reserved: Integer;);
    11: (Control: TControl;);
    12: (WasActive: LongBool;
         Pause: PInteger;);
    13: (CharCode: Word;
         NotUsed: Word;
         KeyData: Integer;);
    14: (TextMax: Integer;
         Text: PChar;);
    15: (DC: HDC;);
    16: (FocusedWnd: HWND;);
    17: (NewSize: TSmallPoint;);
    18: (GroupIndex: Integer;
         Button: TControl;);
    2: (Unused: array[0..3] of Word;
        Handled: LongBool;
        HintInfo: PHintInfo;);
    3: (Pos: Integer;
        ScrollCode: Integer;);
    4: (TimerID: Integer;
        TimerProc: TTimerProc;);
    5: (TopLevel: HWND;
        HitTestCode: Word;
        MouseMsg: Word;);
    7: (Active: Word;
        Minimized: WordBool;
        ActiveWindow: HWND;);
    8: (ItemID: Word;
        NotifyCode: Word;
        Ctl: HWND;);
    9: (BigIcon: LongBool;);
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Msg: Integer;

Not documented

WParam: Integer;

Not documented

LParam: Integer;

Not documented

Result: Integer;

Not documented

WParamLo: Word;

Not documented

WParamHi: Word;

Not documented

LParamLo: Word;

Not documented

LParamHi: Word;

Not documented

ResultLo: Word;

Not documented

ResultHi: Word;

Not documented

Unused: array[0..3] of Word;

Not documented

Handled: LongBool;

Not documented

Pos: Integer;

Not documented

ScrollCode: Integer;

Not documented

TimerID: Integer;

Not documented

TimerProc: TTimerProc;

Not documented

TopLevel: HWND;

Not documented

HitTestCode: Word;

Not documented

MouseMsg: Word;

Not documented

Keys: Integer;

Not documented

Position: TSmallPoint;

Not documented

XPos: Smallint;

Not documented

YPos: Smallint;

Not documented

WheelDelta: Integer;

Not documented

Active: Word;

Not documented

Minimized: WordBool;

Not documented

ActiveWindow: HWND;

Not documented

ItemID: Word;

Not documented

NotifyCode: Word;

Not documented

Ctl: HWND;

Not documented

BigIcon: LongBool;

Not documented

Reserved: Integer;

Not documented

Child: TControl;

Not documented

Sender: TControl;

Not documented

HintInfo: PHintInfo;

Not documented

Control: TControl;

Not documented

Inserting: LongBool;

Not documented

Index: Integer;

Not documented

WasActive: LongBool;

Not documented

Pause: PInteger;

Not documented

CharCode: Word;

Not documented

NotUsed: Word;

Not documented

KeyData: Integer;

Not documented

TextMax: Integer;

Not documented

Text: PChar;

Not documented

DC: HDC;

Not documented

FocusedWnd: HWND;

Not documented

NewSize: TSmallPoint;

Not documented

GroupIndex: Integer;

Not documented

Button: TControl;

Not documented

Created with Doc-O-Matic.


TJvMIMEAssociationOption type
JEDI-VCL Reference

TJvMIMEAssociationOption type

Edit topic

Enumerates options for a TJvMIMEAssociationDialog component.

Pascal

TJvMIMEAssociationOption = (maRegisterAssoc);
TJvMIMEAssociationOptions = set of TJvMIMEAssociationOption;

File

JvWinDialogs

Description

TJvMIMEAssociationOption and TJvMIMEAssociationOptions specify options for a TJvMIMEAssociationDialog component.

TJvMIMEAssociationOptions is a set of TJvMIMEAssociationOption values.

Members

maRegisterAssoc

The application selected is to be registered as the handler for files of the given MIME type. When maRegisterAssoc is excluded from Options, no association is to be registered. An application is only registered if this flag is set, and the user indicates that a persistent association is to be made. Registration is only possible if FileName contains an extension.

Created with Doc-O-Matic.


TJvMonthCalWeekDay type
JEDI-VCL Reference

TJvMonthCalWeekDay type

See Also	Edit topic

Type used to determine which week day is shown as the first day of a week.

Pascal

TJvMonthCalWeekDay = (mcLocale, mcMonday, mcTuesday, mcWednesday, mcThursday, mcFriday, mcSaturday, mcSunday);

File

JvCalendar

Description

TJvMonthCalWeekDay is used by the month calendar to determine which day of the week is the first to be shown.

Members

mcLocale

The first day of the week is determined by the system locale. This usually is Monday as specified by the ISO 8601 specification.

mcMonday

The first day of the week is Monday.

mcTuesday

The first day of the week is Tuesday.

mcWednesday

The first day of the week is Wednesday.

mcThursday

The first day of the week is Thursday.

mcFriday

The first day of the week is Friday.

mcSaturday

The first day of the week is Saturday.

mcSunday

The first day of the week is Sunday.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.FirstDayOfWeek


TJvMPEGBit type
JEDI-VCL Reference

TJvMPEGBit type

See Also	Edit topic

Enumerates MPEG characteristics for an audio file.

Pascal

TJvMPEGBit = (mbProtection, mbPrivate, mbCopyrighted, mbOriginal);
TJvMPEGBits = set of TJvMPEGBit;

File

JvID3v2Base

Description

The TJvMPEGBit type is used to specify MPEG characteristics for an audio file.

TJvMPEGBits is a set of TJvMPEGBit values.

Members

mbProtection

Protected by CRC.

mbPrivate

Value depends on the application.

mbCopyrighted

Audio is copyrighted.

mbOriginal

Original media/Copy of original media.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Bits


TJvMPEGChannelMode type
JEDI-VCL Reference

TJvMPEGChannelMode type

See Also	Edit topic

Enumerates channel modes.

Pascal

TJvMPEGChannelMode = (mcStereo, mcJointStereo, mcDualChannel, mcSingleChannel);

File

JvID3v2Base

Description

The TJvMPEGChannelMode type is used to specify a specific channel mode.

Members

mcStereo

Stereo

mcJointStereo

Intensity Stereo (also called Joint Stereo)

mcDualChannel

Dual channel

mcSingleChannel

Mono

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.ChannelMode


TJvMPEGEmphasis type
JEDI-VCL Reference

TJvMPEGEmphasis type

See Also	Edit topic

Enumerates emphasis kinds.

Pascal

TJvMPEGEmphasis = (meNone, me5015ms, meReserved, meCCITJ17);

File

JvID3v2Base

Description

The TJvMPEGEmphasis is used to specify a specific emphasis of an audio file.

Members

meNone

None.

me5015ms

50/15 ms

meReserved

Reserved

meCCITJ17

CCIT J.17

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Emphasis


TJvMPEGLayer type
JEDI-VCL Reference

TJvMPEGLayer type

See Also	Edit topic

Enumerates MPEG layers.

Pascal

TJvMPEGLayer = (mlNotDefined, mlLayerIII, mlLayerII, mlLayerI);

File

JvID3v2Base

Description

The TJvMPEGLayer type is used to specify a specific layer.

Members

mlNotDefined

An undefined layer.

mlLayerIII

Layer III.

mlLayerII

Layer II.

mlLayerI

Layer I.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Layer


TJvMPEGModeExtension type
JEDI-VCL Reference

TJvMPEGModeExtension type

See Also	Edit topic

Enumerates mode extensions.

Pascal

TJvMPEGModeExtension = (meModeExt0, meModeExt1, meModeExt2, meModeExt3);

File

JvID3v2Base

Description

The TJvMPEGModeExtension type is used to specify a specific mode extension.

Members

meModeExt0

Mode extension 0.

meModeExt1

Mode extension 1.

meModeExt2

Mode extension 2.

meModeExt3

Mode extension 3.

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.ModeExtension


TJvMPEGVersion type
JEDI-VCL Reference

TJvMPEGVersion type

See Also	Edit topic

Enumerates MPEG versions.

Pascal

TJvMPEGVersion = (mvVersion25, mvReserved, mvVersion2, mvVersion1);

File

JvID3v2Base

Description

The TJvMPEGVersion type is used to specify a specific MPEG version.

Members

mvVersion25

MPEG version 2.5

mvReserved

An undefined MPEG version

mvVersion2

MPEG version 2

mvVersion1

MPEG version 1

Created with Doc-O-Matic.


See Also

TJvID3FileInfo.Version


TJvNavIconButtonType type
JEDI-VCL Reference

TJvNavIconButtonType type

Edit topic

Defines the visual appearance of a TJvNavIconButton.

Pascal

TJvNavIconButtonType = (nibDropDown, nibImage, nibDropArrow, nibClose);

File

JvNavigationPane

Description

TJvNavIconButtonType is the type of the ButtonType property of a TJvNavIconButton and defines the visual appearance of the button.

Members

nibDropDown

The button displays a chevron and a drop down menu arrow.

nibImage

The button displays an image from an image list.

nibDropArrow

Not documented

nibClose

Not documented

Created with Doc-O-Matic.


TJvNavPanelTheme type
JEDI-VCL Reference

TJvNavPanelTheme type

Edit topic

Specifies the themes supported by a TJvNavPaneStyleManager.

Pascal

TJvNavPanelTheme = (nptStandard, nptXPBlue, nptXPSilver, nptXPOlive, nptCustom);

File

JvNavigationPane

Description

TJvNavPanelTheme is the type of the Theme property of a TJvNavPaneStyleManager and specifies the themes supported by the style manager.

Members

nptStandard

The current theme is the default theme used on non-XP system.

nptXPBlue

The current theme is the default blue XP theme.

nptXPSilver

The current theme is the default silver XP theme.

nptXPOlive

The current theme is the default olive XP theme.

nptCustom

The current theme is a custom theme.

Created with Doc-O-Matic.


TJvNumbering type
JEDI-VCL Reference

TJvNumbering type

See Also	Edit topic

Represents different kinds of bulleting or numbering of paragraphs.

Pascal

TJvNumbering = (nsNone, nsBullet, nsArabicNumbers, nsLoCaseLetter, nsUpCaseLetter, nsLoCaseRoman, nsUpCaseRoman);

File

JvRichEdit

Description

Use the TJvNumbering type to specify a specific kind of bulleting or numbering of paragraphs.

Members

nsNone

No paragraph numbering or bullets.

nsBullet

Insert a bullet at the beginning of each selected paragraph.

nsArabicNumbers

Arabic numbering (1, 2, 3, ...).

nsLoCaseLetter

Lowercase letters (a, b, c, ...).

nsUpCaseLetter

Uppercase letters (A, B, C, ...).

nsLoCaseRoman

Lowercase Roman numerals (i, ii, iii, ...).

nsUpCaseRoman

Uppercase Roman numerals (I, II, III, ...).

Notes

Rich Edit versions earlier than version 3.0 do not display paragraph numbers. (The rich edit control stores the value but does not use it to display the text.)

Created with Doc-O-Matic.


See Also

TJvNumberingStyle, TJvParaAttributes.Numbering


TJvNumberingStyle type
JEDI-VCL Reference

TJvNumberingStyle type

See Also	Edit topic

Represents different kinds of numbering styles used with numbered paragraphs.

Pascal

TJvNumberingStyle = (nsParenthesis, nsPeriod, nsEnclosed, nsSimple);

File

JvRichEdit

Description

Use the TJvNumberingStyle type to specify a specific numbering style with numbered paragraphs.

Members

nsParenthesis

Follows the number with a right parenthesis. For example: 0), 1), 2), ...

nsPeriod

Follows the number with a period. For example: 0., 1., 2., ...

nsEnclosed

Encloses the number in parentheses. For example: (0), (1), (2), ...

nsSimple

Displays only the number. For example: 0, 1, 2, ...

Notes

Rich Edit versions earlier than version 3.0 do not display paragraph numbers. (The rich edit control stores the value but does not use it to display the text.)

Created with Doc-O-Matic.


See Also

TJvNumbering, TJvParaAttributes.NumberingStyle


TJvOffsetMode type
JEDI-VCL Reference

TJvOffsetMode type

See Also	Edit topic

Not documented

Pascal

TJvOffsetMode = (omRows, omColumns);

File

JvFormWallpaper

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

omRows

Not documented

omColumns

Not documented

Created with Doc-O-Matic.


See Also

TJvFormWallpaper.OffsetMode


TJvOutlookBarCustomDrawStage type
JEDI-VCL Reference

TJvOutlookBarCustomDrawStage type

Edit topic

Enumeration for the various drawing stages in a TJvCustomOutlookBar.

Pascal

TJvOutlookBarCustomDrawStage = (odsBackground, odsPageButton, odsPage, odsButton, odsButtonFrame);

File

JvOutlookBar

Description

TJvOutlookBarCustomDrawStage is used in the OnCustomDraw event of a TJvCustomOutlookBar or descendant to indicate what part of the control is currently being drawn.

Members

odsBackground

The background is drawn. This stage only occurs if there are no pages (pages cover the client area, so the background is only visible when there are no pages).

odsPageButton

A page button is drawn.

odsPage

A page's client area is drawn.

odsButton

A buttons interior is drawn.

odsButtonFrame

A buttons frame is drawn.

Created with Doc-O-Matic.


TJvOutputMode type
JEDI-VCL Reference

TJvOutputMode type

Edit topic

Not documented

Pascal

TJvOutputMode = (omFile, omStream);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

omFile

Not documented

omStream

Not documented

Created with Doc-O-Matic.


TJvPanelOrientation type
JEDI-VCL Reference

TJvPanelOrientation type

Edit topic

Type used to specify the orientation of items in a TJvItemsPanel.

Pascal

TJvPanelOrientation = (poHorizontal, poVertical);

File

JvItemsPanel

Description

TJvPanelOrientation is used for the Orientation property to specify how items are displayed in the control.

Members

poHorizontal

Items are displayed from left to right.

poVertical

Items are displayed from top to bottom.

Created with Doc-O-Matic.


TJvParaAttributesRec type
JEDI-VCL Reference

TJvParaAttributesRec type

See Also	Edit topic

Stores paragraph attributes.

Pascal

TJvParaAttributesRec = record
  Alignment: TAlignment;
  Numbering: TNumberingStyle;
  end;

File

JvRichEditToHtml

Description

TJvParaAttributesRec is a record type used to store paragraph attributes for RTF-encoded values in a rich edit control.

Use the Alignment and Numbering members to access or update the text alignment and numbering styles for content occurring in the paragraph.

TJvParaAttributesRec is similar to TJvRichEditParaAttributesRec which implements additional paragraph alignment and numbering styles.

TJvParaAttributesRec and TJvRichEditParaAttributesRec are used in methods in the TJvRichEditToHtml component when converting RTF content to HTML.

Members

Alignment: TAlignment;

Indicates the paragraph alignment for RTF content in a rich edit control.

Numbering: TNumberingStyle;

Indicates the paragraph numbering for RTF content in a rich edit control.

Created with Doc-O-Matic.


See Also

TJvRichEditParaAttributesRec, TJvRichEditToHtml.ConvertToHtmlStrings


TJvPlacement type
JEDI-VCL Reference

TJvPlacement type

Edit topic

Specifies the allowable values for the Placement.

Pascal

TJvPlacement = (plTop, plLeft);

File

JvRollOut

Description

TJvPlacement is the type for the Placement property of TJvCustomRollOut.

Members

plTop

Places the rollout button at the top (covering the entire width of the rollout) and makes the rollout alter its height when collapsed and expanded.

plLeft

Places the rollout button at the left (covering the entire height of the rollout) and makes the rollout alter its width when collapsed and expanded. This also rotates the text if the font used is a true-type font (non true-type fonts cannot be rotated).

Created with Doc-O-Matic.


TJvPopupPosition type
JEDI-VCL Reference

TJvPopupPosition type

Edit topic

Not documented

Pascal

TJvPopupPosition = (ppNone, ppForm, ppApplication);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ppNone

Not documented

ppForm

Not documented

ppApplication

Not documented

Created with Doc-O-Matic.


TJvPositionInMenu type
JEDI-VCL Reference

TJvPositionInMenu type

Edit topic

Represents different kinds of positions in a system menu.

Pascal

TJvPositionInMenu = (pmTop, pmBottom);

File

JvSystemPopup

Description

Use the TJvPositionInMenu type to specify a position in a system menu.

Members

pmTop

Inserts the menu items of the popup menu at the top of the system menu.

pmBottom

Inserts the menu items of the popup menu at the bottom of the system menu.

Created with Doc-O-Matic.


TJvPreviewScaleMode type
JEDI-VCL Reference

TJvPreviewScaleMode type

Edit topic

The type used for the ScaleMode property in TJvPreviewPageOptions.

Pascal

TJvPreviewScaleMode = (smFullPage, smPageWidth, smScale, smAutoScale, smColsRows);

File

JvPrvwDoc

Description

TJvPreviewScaleMode describes the available scale modes for a preview control.

Members

smFullPage

Display a single page. The page is scaled to fit inside the client area of the control.

smPageWidth

Display a page so that its width fills the entire client width of the control.

smScale

Use the Scale property to determine the size of the page(s) but also use Cols and Rows.

smAutoScale

Use the Scale property to determine the size of the page(s) and change Cols and Rows if necessary.

smColsRows

Display as many pages as specified by Cols and Rows and change Scale as necessary.

Created with Doc-O-Matic.


TJvProcessPriority type
JEDI-VCL Reference

TJvProcessPriority type

See Also	Edit topic

Represents types of priority classes of a process created with TJvCreateProcess.

Pascal

TJvProcessPriority = (ppIdle, ppNormal, ppHigh, ppRealTime);

File

JvCreateProcess

Description

The TJvProcessPriority type defines values that represents the priority class of a process created with TJvCreateProcess.

Members

ppIdle

Process whose threads run only when the system is idle and are preempted by the threads of any process running in a higher priority class. An example is a screen saver. The idle priority class is inherited by child processes.

ppNormal

Process with no special scheduling needs.

ppHigh

Process that performs time-critical tasks that must be executed immediately for it to run correctly. The threads of a high-priority class process preempt the threads of normal or idle priority class processes. An example is the Task List, which must respond quickly when called by the user, regardless of the load on the operating system. Use extreme care when using the high-priority class, because a high-priority class CPU-bound application can use nearly all available cycles.

ppRealTime

Process that has the highest possible priority. The threads of a real-time priority class process preempt the threads of all other processes, including operating system processes performing important tasks. For example, a real-time process that executes for more than a very brief interval can cause disk caches not to flush or cause the mouse to be unresponsive.

Created with Doc-O-Matic.


See Also

TJvCreateProcess.CreationFlags, TJvCreateProcess.Run


TJvProxyMode type
JEDI-VCL Reference

TJvProxyMode type

Edit topic

Not documented

Pascal

TJvProxyMode = (pmNoProxy, pmSysConfig, pmManual);

File

JvUrlGrabbers

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

pmNoProxy

Not documented

pmSysConfig

Not documented

pmManual

Not documented

Created with Doc-O-Matic.


TJvRegKey type
JEDI-VCL Reference

TJvRegKey type

Edit topic

Indicates a root key.

Pascal

TJvRegKey = (hkClassesRoot, hkCurrentUser, hkLocalMachine, hkUsers, hkPerformanceData, hkCurrentConfig, hkDynData);
TJvRegKeys = set of TJvRegKey;

File

JvTypes

Description

Use the TJvRegKey type to specify a specific root key.

TJvRegKeys is a set of TJvRegKey values.

Members

hkClassesRoot

The HKEY_CLASSES_ROOT key, used to define types (or classes) of documents and the properties associated with those types.

hkCurrentUser

The HKEY_CURRENT_USER key, used for preferences of the current user.

hkLocalMachine

The HKEY_LOCAL_MACHINE key, used to define the physical state of the computer,

hkUsers

The HKEY_USERS key, used for defining the default user configuration for new users on the local computer and the user configuration for the current user.

hkPerformanceData

The HKEY_PERFORMANCE_DATA key, allows you to access performance data. Not supported on Windows Me/98/95.

hkCurrentConfig

The HKEY_CURRENT_CONFIG key, contains information about the current hardware profile of the local computer system.

hkDynData

The HKEY_DYN_DATA key, allows you to collect performance data. Only supported on Windows Me/98/95.

Created with Doc-O-Matic.


TJvRGBTriple type
JEDI-VCL Reference

TJvRGBTriple type

Edit topic

Not documented

Pascal

TJvRGBTriple = packed record
  rgbBlue: Byte;
  rgbGreen: Byte;
  rgbRed: Byte;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

rgbBlue: Byte;

Not documented

rgbGreen: Byte;

Not documented

rgbRed: Byte;

Not documented

Created with Doc-O-Matic.


TJvRichEditParaAttributesRec type
JEDI-VCL Reference

TJvRichEditParaAttributesRec type

See Also	Edit topic

Stores paragraph attributes.

Pascal

TJvRichEditParaAttributesRec = record
  Alignment: TParaAlignment;
  Numbering: TJvNumbering;
  end;

File

JvRichEditToHtml

Description

TJvRichEditParaAttributesRec is a record type used to store paragraph attributes for RTF-encoded values in a TJvRichEdit control.

Use the Alignment and Numbering members to access or update the text alignment and numbering styles for content occurring in the paragraph.

TJvRichEditParaAttributesRec is similar to TJvParaAttributesRec.

TJvParaAttributesRec and TJvRichEditParaAttributesRec are used in methods in the TJvRichEditToHtml component when converting RTF content to HTML.

Members

Alignment: TParaAlignment;

Indicates the paragraph alignment for RTF content in a rich edit control.

Numbering: TJvNumbering;

Indicates the paragraph numbering for RTF content in a rich edit control.

Created with Doc-O-Matic.


See Also

TJvParaAttributesRec TJvRichEditToHtml.ConvertToHtmlStrings


TJvScrollArrow type
JEDI-VCL Reference

TJvScrollArrow type

See Also	Edit topic

Represents different kinds of scroll buttons.

Pascal

TJvScrollArrow = (scrollLeft, scrollRight, scrollUp, scrollDown);
TJvScrollArrows = set of TJvScrollArrow;

File

JvTimeLine

Description

The TJvScrollArrow type is used to represent different kinds of scroll button.

Members

scrollLeft

Button to scroll left.

scrollRight

Button to scroll right.

scrollUp

Button to scroll up.

scrollDown

Button to scroll down.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.ScrollArrows


TJvScrollDirection type
JEDI-VCL Reference

TJvScrollDirection type

Edit topic

Represents different kinds of scroll directions.

Pascal

TJvScrollDirection = (sdHorizontal, sdVertical);

File

JvScrollPanel

Description

Use the TJvScrollDirection type to specify a specific scroll direction.

Members

sdHorizontal

The user can scroll the scrolling panel horizontally.

sdVertical

The user can scroll the scrolling panel vertically.

Created with Doc-O-Matic.


TJvScrollKind type
JEDI-VCL Reference

TJvScrollKind type

Edit topic

Represents different kinds of scroll actions.

Pascal

TJvScrollKind = (sbUp, sbDown, sbLeft, sbRight);

File

JvScrollPanel

Description

The TJvScrollKind type represents different kinds of scroll actions a user can perform on a scrolling panel.

Members

sbUp

The contents of a scrolling panel is scrolled up.

sbDown

The contents of a scrolling panel is scrolled down.

sbLeft

The contents of a scrolling panel is scrolled to the left.

sbRight

The contents of a scrolling panel is scrolled to the right.

Created with Doc-O-Matic.


TJvScrollTextDirection type
JEDI-VCL Reference

TJvScrollTextDirection type

Edit topic

Enumerates ways text can scroll on a control.

Pascal

TJvScrollTextDirection = (drFromLeft, drFromRight, drFromTop, drFromBottom);

File

JvScrollText

Description

Use the TJvScrollTextDirection type to specify how text should scroll on a control.

Members

drFromLeft

Text is scrolled from left to right.

drFromRight

Text is scrolled from right to left.

drFromTop

Text is scrolled from top to bottom.

drFromBottom

Text is scrolled from bottom to top.

Created with Doc-O-Matic.


TJvSearchOption type
JEDI-VCL Reference

TJvSearchOption type

Edit topic

Controls the behavior of a TJvSearchFiles component.

Pascal

TJvSearchOption = (soAllowDuplicates, soCheckRootDirValid, soExcludeFilesInRootDir, soOwnerData, soSearchDirs, soSearchFiles, soSorted, soStripDirs, soIncludeSystemHiddenDirs, soIncludeSystemHiddenFiles);
TJvSearchOptions = set of TJvSearchOption;

File

JvSearchFiles

Description

TJvSearchOption values control the behavior of a TJvSearchFiles component.

TJvSearchOptions is a set of TJvSearchOption values.

Members

soAllowDuplicates

Allow duplicate file or directory names be stored in the Files and Directories lists. If soOwnerData is included in Options then this flag is ignored.

soCheckRootDirValid

Checks whether the root directory is valid as specified by DirParams. If the root directory isn't valid then no search for files or directories is performed in that directory. If DirOption also equals doExcludeSubDirs or doExcludeCompleteInvalidDirs then no search at all is performed. Otherwise the component only searches for files or directories in the sub-directories of the root directory.

soExcludeFilesInRootDir

Disables searching for files or directories in the root directory as specified by RootDirectory. If DirOption equals doExcludeSubDirs then no search at all is performed.

soOwnerData

Doesn't fill the Files and Directories lists with found file or directory names while searching.

soSearchDirs

Searches for directories. If a valid - as specified by DirParams - directory is found, the component will trigger an OnFindDirectory event, add the directory name to the Directories list - if soOwnerData isn't included in Options - and update TotalDirectories and TotalFileSize.

soSearchFiles

Searches for files. If a valid - as specified by FileParams - file is found, the component will trigger an OnFindFile event, add the file name to the Files list - if soOwnerData isn't included in Options - and update TotalFileSize and TotalFiles.

soSorted

Automatically sorts the strings in the Files and Directories lists. If soOwnerData is included in Options then this flag is ignored.

soStripDirs

Strips the path of a directory or file name before inserting it in the Files and Directories lists.

soIncludeSystemHiddenDirs

Not documented

soIncludeSystemHiddenFiles

Not documented

Created with Doc-O-Matic.


TJvSearchType type
JEDI-VCL Reference

TJvSearchType type

Edit topic

Represents the parameters that a file or directory must be matched to, to decide whether it can be added to the search results.

Pascal

TJvSearchType = (stAttribute, stFileMask, stFileMaskCaseSensitive, stLastChangeAfter, stLastChangeBefore, stMaxSize, stMinSize);
TJvSearchTypes = set of TJvSearchType;

File

JvSearchFiles

Description

TJvSearchType values represent the parameters that a file or directory must be matched to, to decide whether it can be added to the search results.

TJvSearchTypes is a set of TJvSearchType values.

Members

stAttribute

Match the file or directories attributes to the attributes specified by Attributes.

stFileMask

Match the name of the file or directory to the file masks specified by FileMasks. The name must match any of the masks, for the file or directory to be included in the search results.

stFileMaskCaseSensitive

Match the name of the file or directory case-sensitive to the file masks specified by FileMasks. stFileMask must be included in SearchTypes, otherwise this flag is ignored.

stLastChangeAfter

For a file, match the date and time when the file was last written to, with the date and time specified by LastChangeAfter. For a directory, match the date and time when the directory was created, with LastChangeAfter. Only include files or directories in the search result, that are last written to, or created after the date and time specified by LastChangeAfter.

stLastChangeBefore

For a file, match the date and time when the file was last written to, with the date and time specified by LastChangeBefore. For a directory, match the date and time when the directory was created, with LastChangeBefore. Only include files or directories in the search result, that are last written to, or created before the date and time specified by LastChangeBefore.

stMaxSize

Match the file or directories size with the value specified by MaxSize. Only include files or directories in the search result, that have a smaller size than MaxSize.

stMinSize

Match the file or directories size with the value specified by MinSize. Only include files or directories in the search result, that have a smaller size than MinSize.

Created with Doc-O-Matic.


TJvSerialKeysPortState type
JEDI-VCL Reference

TJvSerialKeysPortState type

Edit topic

Enumerates serial port states.

Pascal

TJvSerialKeysPortState = (psSerialKeysIgnored, psSerialKeysAware, psSerialKeysAlways);

File

JvComputerInfoEx

Description

Enumerates serial port states.

Members

psSerialKeysIgnored

All input on this port is ignored by the SerialKeys feature.

psSerialKeysAware

Input on this port is watched for SerialKeys activation sequences when no other application has the port open.

psSerialKeysAlways

All input on this port is treated as SerialKeys commands.

Created with Doc-O-Matic.


TJvShapePosition type
JEDI-VCL Reference

TJvShapePosition type

See Also	Edit topic

Position of the shape around the text.

Pascal

TJvShapePosition = (spLeft, spRight, spTop, spBottom);

File

JvFullColorCtrls

Description

This type is used by the TJvFullColorLabel component to set the position of the shape around the text.

Members

spLeft

The shape is located at the left of the text.

spRight

The shape is located at the right of the text.

spTop

The shape is located above the text.

spBottom

The shape is located below the text.

Created with Doc-O-Matic.


See Also

TJvFullColorLabel.ShapePosition


TJvSHFileOption type
JEDI-VCL Reference

TJvSHFileOption type

Edit topic

Controls the file operation of a TJvSHFileOperation component.

Pascal

TJvSHFileOption = (fofAllowUndo, fofConfirmMouse, fofFilesOnly, fofMultiDestFiles, fofNoConfirmation, fofNoConfirmMkDir, fofRenameOnCollision, fofSilent, fofSimpleProgress, fofWantMappingHandle, fofNoErrorUI, fofNoCopySecurityAttributes, fofNoRecursion, fofNoConnectedElements, fofNoRecurseParse, fofWantNukeWarning);
TJvSHFileOptions = set of TJvSHFileOption;

File

JvSHFileOperation

Description

The TJvSHFileOption values control the behavior of the file operation of a TJvSHFileOperation component.

TJvSHFileOptions is a set of TJvSHFileOption values.

Members

fofAllowUndo

Preserves Undo information, if possible.

fofConfirmMouse

Not currently used.

fofFilesOnly

Performs the operation on files only, if a wildcard file name is specified.

fofMultiDestFiles

Indicates that the DestFiles property specifies multiple destination files (one for each source file) rather than one directory where all source files are to be deposited.

fofNoConfirmation

Does not display confirmation dialog boxes and responds with "Yes to All" for any dialog box that would be displayed.

fofNoConfirmMkDir

Does not ask for confirmation before creating a new directory if the operation requires one to be created.

fofRenameOnCollision

Gives the file being operated on a new name in a move, copy, or rename operation if a file with the target name already exists. If this flag is not set, the component shows a dialog box that asks for confirmation to replace the already existing target file.

fofSilent

Does not display a progress dialog box.

fofSimpleProgress

Displays a progress dialog box but does not show the file names.

fofWantMappingHandle

Enables the triggering of OnFileMapping events, if fofRenameOnCollision is included in Options and any files were renamed.

fofNoErrorUI

Does not display a user interface if an error occurs.

fofNoCopySecurityAttributes

Version 4.71. Does not copy the security attributes of the file.

fofNoRecursion

Only operates in the local directory. Does not operate recursively into subdirectories.

fofNoConnectedElements

Version 5.0. Does not move connected files as a group. Only moves the specified files.

fofNoRecurseParse

Version 5.0. Treats reparse points as objects, not containers.

fofWantNukeWarning

Version 5.0. Sends a warning if a file is being destroyed during a delete operation rather than recycled. This flag partially overrides fofNoConfirmation.

Notes

Some flags are not supported on all Shell32.dll versions, these flags are marked with a version number. This version number indicates that the programming element was first implemented in that version and will also be found in all subsequent versions of the DLL. If no version number is specified, the programming element is implemented in all versions.

Created with Doc-O-Matic.


TJvSHFileOpType type
JEDI-VCL Reference

TJvSHFileOpType type

Edit topic

Represents different kinds of file operations.

Pascal

TJvSHFileOpType = (foCopy, foDelete, foMove, foRename);

File

JvSHFileOperation

Description

Use the TJvSHFileOpType type to specify a specific kind of file operation for a TJvSHFileOperation component.

Members

foCopy

Copies the files specified by SourceFiles to the location specified by DestFiles.

foDelete

Deletes the files specified by SourceFiles.

foMove

Moves the files specified by SourceFiles to the location specified by DestFiles.

foRename

Renames the file specified by SourceFiles. This operation cannot rename multiple files with a single function call. Use foMove instead.

Created with Doc-O-Matic.


TJvShowDesignCaption type
JEDI-VCL Reference

TJvShowDesignCaption type

See Also	Edit topic

Represents design-time caption positions for the TJvCustomPageList component.

Pascal

TJvShowDesignCaption = (sdcNone, sdcTopLeft, sdcTopCenter, sdcTopRight, sdcLeftCenter, sdcCenter, sdcRightCenter, sdcBottomLeft, sdcBottomCenter, sdcBottomRight, sdcRunTime);

File

JvPageList

Description

The type of the ShowDesignCaption property of the TJvCustomPageList component.

TJvShowDesignCaption can have one of the following values:

sdcNone

sdcTopLeft

sdcTopCenter

sdcTopRight

sdcLeftCenter

sdcCenter

sdcRightCenter

sdcBottomLeft

sdcBottomCenter

sdcBottomRight

sdcRunTime

Members

sdcNone

Does not display a design-time caption.

sdcTopLeft

Show the design-time caption in the top left corner of the page.

sdcTopCenter

Show the design-time caption in the center of the page.

sdcTopRight

Show the design-time caption in the top right of the page.

sdcLeftCenter

Show the design-time caption in the left center of the page.

sdcCenter

Show the design-time caption in the center of the page.

sdcRightCenter

Show the design-time caption in the right center of the page.

sdcBottomLeft

Show the design-time caption in the bottom left corner of the page.

sdcBottomCenter

Show the design-time caption in the bottom center of the page.

sdcBottomRight

Show the design-time caption in the bottom right corner of the page.

sdcRunTime

Show the design-time caption at runt-time.

Created with Doc-O-Matic.


See Also

TJvCustomPageList.ShowDesignCaption


TJvSizeRect type
JEDI-VCL Reference

TJvSizeRect type

Edit topic

Not documented

Pascal

TJvSizeRect = packed record
  Top: Integer;
  Left: Integer;
  Width: Integer;
  Height: Integer;
  end;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Top: Integer;

Not documented

Left: Integer;

Not documented

Width: Integer;

Not documented

Height: Integer;

Not documented

Created with Doc-O-Matic.


TJvSoftwareUpdateAdState type
JEDI-VCL Reference

TJvSoftwareUpdateAdState type

Edit topic

Represents kinds of advertised states.

Pascal

TJvSoftwareUpdateAdState = (asNone, asAvailable, asDownloaded, asInstalled);

File

JvWinDialogs

Description

The TJvSoftwareUpdateAdState type represents kinds of advertised states.

Members

asNone

??

asAvailable

Update-available dialog box has not been presented to the user.

asDownloaded

Files-downloaded dialog box has not been presented to the user.

asInstalled

Program-installed dialog box has not been presented to the user.

Created with Doc-O-Matic.


TJvSoftwareUpdateFlags type
JEDI-VCL Reference

TJvSoftwareUpdateFlags type

See Also	Edit topic

Enumerates options for the TJvSoftwareUpdateDialog component.

Pascal

TJvSoftwareUpdateFlags = (ufEmail, ufPreCache, ufAutoInstall, ufDeleteSubscription);

File

JvWinDialogs

Description

Use the TJvSoftwareUpdateFlags type to specify options for the TJvSoftwareUpdateDialog component.

Members

ufEmail

??

ufPreCache

??

ufAutoInstall

??

ufDeleteSubscription

??

Created with Doc-O-Matic.


See Also

TJvSoftwareUpdateDialog


TJvSortMethod type
JEDI-VCL Reference

TJvSortMethod type

Edit topic

Not documented

Pascal

TJvSortMethod = (smAutomatic, smAlphabetic, smNonCaseSensitive, smNumeric, smDate, smTime, smDateTime, smCurrency);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

smAutomatic

Not documented

smAlphabetic

Not documented

smNonCaseSensitive

Not documented

smNumeric

Not documented

smDate

Not documented

smTime

Not documented

smDateTime

Not documented

smCurrency

Not documented

Created with Doc-O-Matic.


TJvSortType type
JEDI-VCL Reference

TJvSortType type

Edit topic

Enumerates comparison methods that can be used to sort a string grid.

Pascal

TJvSortType = (stNone, stAutomatic, stClassic, stCaseSensitive, stNumeric, stDate, stCurrency);

File

JvStringGrid

Description

Use the TJvSortType to specify a specific comparison method to sort a string grid.

Members

stNone

No comparison.

stAutomatic

The comparison function automatically determines the type of the strings when comparing two strings. If both strings represent an integer, floating-point value or a date, then the two strings are compared as integer, floating-point value or data, respectively. Otherwise the two strings are compared as string.

stClassic

The strings in the sort column are sorted without case-sensitivity.

stCaseSensitive

The strings in the sort column are sorted with case-sensitivity.

stNumeric

A numeric sort is used. Every string in the sort column, that is included in the sort,must represent a floating-point value.

stDate

A date sort is used. Every string in the sort column, that is included in the sort, must specify a date.

stCurrency

A currency sort is used. Every string in the sort column, that is included in the sort must represent a currency value.

Created with Doc-O-Matic.


TJvSoundSentryGrafEffect type
JEDI-VCL Reference

TJvSoundSentryGrafEffect type

Edit topic

Not documented

Pascal

TJvSoundSentryGrafEffect = (ssgfNone, ssgfDisplay);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ssgfNone

Not documented

ssgfDisplay

Not documented

Created with Doc-O-Matic.


TJvSoundSentryTextEffect type
JEDI-VCL Reference

TJvSoundSentryTextEffect type

Edit topic

Not documented

Pascal

TJvSoundSentryTextEffect = (sstfNone, sstfChars, sstfBorder, sstfDisplay);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

sstfNone

Not documented

sstfChars

Not documented

sstfBorder

Not documented

sstfDisplay

Not documented

Created with Doc-O-Matic.


TJvSoundSentryWindowsEffect type
JEDI-VCL Reference

TJvSoundSentryWindowsEffect type

Edit topic

Not documented

Pascal

TJvSoundSentryWindowsEffect = (sswfNone, sswfTitle, sswfWindow, sswfDisplay, sswfCustom);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

sswfNone

Not documented

sswfTitle

Not documented

sswfWindow

Not documented

sswfDisplay

Not documented

sswfCustom

Not documented

Created with Doc-O-Matic.


TJvSpecialFolder type
JEDI-VCL Reference

TJvSpecialFolder type

Edit topic

Defines the different special system folders available in Windows.

Pascal

TJvSpecialFolder = (sfRecycleBin, sfControlPanel, sfDesktop, sfDesktopDirectory, sfMyComputer, sfFonts, sfNetHood, sfNetwork, sfPersonal, sfPrinters, sfPrograms, sfRecent, sfSendTo, sfStartMenu, stStartUp, sfTemplates);

File

JvFindFiles

Description

TJvSpecialFolder is the type for the SpecialFolder property of the TJvFindFilesDialog component. It defines all allowable special folders on the system.

Members

sfRecycleBin

The folder is the recycle bin folder.

sfControlPanel

The folder is the control panel folder.

sfDesktop

The folder is the user's desktop folder.

sfDesktopDirectory

The folder is the user's root folder.

sfMyComputer

The folder is the user's "My Computer" folder.

sfFonts

The folder is the user's font folder.

sfNetHood

The folder is the user's "Network Neighborhood" folder.

sfNetwork

The folder is the user's network connections folder.

sfPersonal

The folder is the user's personal folder.

sfPrinters

The folder is the computers printers folder.

sfPrograms

The folder is the user's programs folder.

sfRecent

The folder is the user's recent documents folder.

sfSendTo

The folder is the user's "Send To" folder.

sfStartMenu

The folder is the user's start menu folder.

stStartUp

The folder is the user's start up folder.

sfTemplates

The folder is the user's templates folder.

Created with Doc-O-Matic.


TJvSpinButtonStyle type
JEDI-VCL Reference

TJvSpinButtonStyle type

See Also	Edit topic

Enumerates different spin button kinds.

Pascal

TJvSpinButtonStyle = (sbsDefault, sbsClassic);

File

JvSpin

Description

Use the TJvSpinButtonStyle to determine the appearance of a spin button.

Members

sbsDefault

Default spin buttons

sbsClassic

Classis spin buttons.

Created with Doc-O-Matic.


See Also

TJvSpinButton.ButtonStyle


TJvSSEVersion type
JEDI-VCL Reference

TJvSSEVersion type

Edit topic

Not documented

Pascal

TJvSSEVersion = (vNoSSE, vSSE1, vSSE2, vSSE3);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

vNoSSE

Not documented

vSSE1

Not documented

vSSE2

Not documented

vSSE3

Not documented

Created with Doc-O-Matic.


TJvStandardButton type
JEDI-VCL Reference

TJvStandardButton type

See Also	Edit topic

Used to specify the kind of caption button.

Pascal

TJvStandardButton = (tsbNone, tsbClose, tsbHelp, tsbMax, tsbMin, tsbRestore, tsbMinimizeToTray);

File

JvCaptionButton

Description

The TJvStandardButton type is used to specify the type of caption button to draw.

Members

tsbNone

The caption button is not a standard button.

tsbClose

The caption button is a close button.

tsbHelp

The caption button is a help button.

tsbMax

The caption button is a maximizing button.

tsbMin

The caption button is a minimizing button.

tsbRestore

The caption button is a restore button.

tsbMinimizeToTray

The caption button is a "minimize to tray" button.

Created with Doc-O-Matic.


See Also

TJvCaptionButton, TJvCaptionButton.Standard


TJvStyleHandlerStatus type
JEDI-VCL Reference

TJvStyleHandlerStatus type

Edit topic

Defines the possible animation states of a desktop alert window

Pascal

TJvStyleHandlerStatus = (hsIdle, hsStartAnim, hsEndAnim, hsDisplay);

File

JvDesktopAlert

Description

TJvStyleHandlerStatus is the type of the Status property of a TJvCustomDesktopAlertStyleHandler component and indicates the current animation stage of the alert window.

Members

hsIdle

The animation is idle.

hsStartAnim

The animation is in its start stage.

hsEndAnim

The animation is in its end stage.

hsDisplay

The animation is in its display stage.

Created with Doc-O-Matic.


TJvTabAlignment type
JEDI-VCL Reference

TJvTabAlignment type

See Also	Edit topic

Enumerates types of alignments for tab stops.

Pascal

TJvTabAlignment = (taOrdinary, taCenter, taRight, taDecimal, taVertical);

File

JvRichEdit

Description

Use the TJvTabAlignment type to specify a specific alignment for a tab stop.

Members

taOrdinary

Ordinary tab.

taCenter

Center tab.

taRight

Right-aligned tab.

taDecimal

Decimal tab. (Aligns a decimal point at the tab stop: text or numbers without a decimal point extend to the left of the tab stop)

taVertical

Word bar tab (vertical bar).

Created with Doc-O-Matic.


See Also

TJvParaAttributes.TabAlignment


TJvTabBarOrientation type
JEDI-VCL Reference

TJvTabBarOrientation type

See Also	Edit topic

Values that specify the visual orientation of tabs in a Tab control.

Pascal

TJvTabBarOrientation = (toTop, toBottom);

File

JvTabBar

Description

TJvTabBarOrientation is an enumerated type that represent the visual orientation of the tabs in a TJvTabBar control.

TJvTabBarOrientation is the type used for the Orientation property in TJvCustomTabBar and TJvTabBar.

Use the Align property in TJvTabBar to specify the vertical alignment of the control within its container or parent control.

Members

toTop

Tabs appear to be attached to the top of an adjacent control.

toBottom

Tabs appear to be attached to the bottom of an adjacent control.

Created with Doc-O-Matic.


See Also

TJvTabBar.Orientation, TJvTabBar.Align


TJvTabBarPainterOptionType type
JEDI-VCL Reference

TJvTabBarPainterOptionType type

See Also	Edit topic

Valid values that can be included in the TJvTabBarPainterOptions type.

Pascal

TJvTabBarPainterOptionType = (poPaintsHotTab, poBottomScrollButtons);
TJvTabBarPainterOptions = set of TJvTabBarPainterOptionType;

File

JvTabBar

Description

TJvTabBarPainterOptionType is an enumerated type that represents valid values that can be included in TJvTabBarPainterOptions. TJvTabBarPainterOptions is the type used in the implementation of the TJvTabBarPainter.Options property.

Members

poPaintsHotTab

??

poBottomScrollButtons

??

Created with Doc-O-Matic.


See Also

TJvTabBarPainterOptions, TJvTabBarPainter.Options


TJvTabBarScrollButtonKind type
JEDI-VCL Reference

TJvTabBarScrollButtonKind type

See Also	Edit topic

Identifies scroll buttons used on tabbed-bar controls.

Pascal

TJvTabBarScrollButtonKind = (sbScrollLeft, sbScrollRight);

File

JvTabBar

Description

TJvTabBarScrollButtonKind is an enumerated type that identifies scroll buttons used on TJvCustomTabBar controls. TJvTabBarScrollButtonKind is used to control drawing and mouse handling for scroll buttons, and can contain the following values:

sbScrollLeft

sbScrollRight

Members

sbScrollLeft

Not documented

sbScrollRight

Not documented

Created with Doc-O-Matic.


See Also

TJvTabBarScrollButtonState, TJvTabBarScrollButtonClickEvent


TJvTabBarScrollButtonState type
JEDI-VCL Reference

TJvTabBarScrollButtonState type

See Also	Edit topic

Represents states for scroll buttons on a tabbed-bar control.

Pascal

TJvTabBarScrollButtonState = (sbsHidden, sbsNormal, sbsHot, sbsPressed, sbsDisabled);

File

JvTabBar

Description

TJvTabBarScrollButtonState is an enumerated type that represents states used when drawing scroll buttons on a TJvCustomTabBar control.

TJvTabBarScrollButtonState is used when drawing and handling mouse events for the scroll buttons on the tabbed-bar control.

Members

sbsHidden

Scroll button is hidden.

sbsNormal

Scroll bar is drawn using the default color.

sbsHot

Scroll bar is drawn using the hot-tacking color.

sbsPressed

Scroll bar is drawn in a pressed state.

sbsDisabled

Scroll bar is drawn in the disabled color.

Created with Doc-O-Matic.


See Also

TJvTabBarScrollButtonKind, TJvTabBarScrollButtonClickEvent


TJvTabLeader type
JEDI-VCL Reference

TJvTabLeader type

See Also	Edit topic

Enumerates types of tab leaders.

Pascal

TJvTabLeader = (tlNone, tlDotted, tlDashed, tlUnderlined, tlThick, tlDouble);

File

JvRichEdit

Description

Use the TJvTabLeader type to specify a specific leader type for a tab stop.

Members

tlNone

No leader.

tlDotted

Dotted leader.

tlDashed

Dashed leader.

tlUnderlined

Underlined leader.

tlThick

Thick line leader.

tlDouble

Double line leader.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.TabLeader


TJvTextAlign type
JEDI-VCL Reference

TJvTextAlign type

Edit topic

Defines the available text alignment styles.

Pascal

TJvTextAlign = (ttaTopLeft, ttaTop, ttaTopRight, ttaRight, ttaBottomRight, ttaBottom, ttaBottomLeft, ttaLeft, ttaCenter);

File

JvTransparentButton

Description

The TJvTextAlign type is used to define several different text alignments for the text in a TJvTransparentButton and TJvTransparentButtonImages.

Members

ttaTopLeft

Text is aligned to the top/left of the button.

ttaTop

Text is aligned to the top/center of the button.

ttaTopRight

Text is aligned to the top/right of the button.

ttaRight

Text is aligned to the right/center of the button.

ttaBottomRight

Text is aligned to the bottom/right of the button.

ttaBottom

Text is aligned to the bottom/center of the button.

ttaBottomLeft

Text is aligned to the bottom/left of the button.

ttaLeft

Text is aligned to the left/center of the button.

ttaCenter

Text is centered on the button.

Created with Doc-O-Matic.


TJvTextOption type
JEDI-VCL Reference

TJvTextOption type

Edit topic

Represents different kinds of display text options for a progress bar.

Pascal

TJvTextOption = (toCaption, toFormat, toNoText, toPercent);

File

JvSpecialProgress

Description

Use TJvTextOption values to specify what text to display on a progress bar.

Members

toCaption

Displays the text specified by the Caption property on the progressbar.

toFormat

Displays a formatted text on the progressbar. Ensure that the Caption property of the progress bar contains a '%s', for example set Caption to 'Progress is %s%%'. When PercentDone equals 10 the displayed text will be 'Progress is 10%'.

toNoText

Displays no text on the progressbar.

toPercent

Displays the percentage done on the progressbar.

Created with Doc-O-Matic.


TJvTFDWNameSource type
JEDI-VCL Reference

TJvTFDWNameSource type

Edit topic

Describes the available sources used for week day names.

Pascal

TJvTFDWNameSource = (dwnsSysLong, dwnsSysShort, dwnsCustom);

File

JvTFManager

Description

TJvTFDWNameSource is used to determine from where an object retrieves the weekday names it uses.

Members

dwnsSysLong

The day of week display name will be retrieved from the system's day of week long format.

dwnsSysShort

The day of week display name will be retrieved from the system's day of week short format.

dwnsCustom

The day of week display name will be retrieved from one of the DWN properties.

Created with Doc-O-Matic.


TJvTFHintType type
JEDI-VCL Reference

TJvTFHintType type

Edit topic

Represents the different types of hints used in JTF.

Pascal

TJvTFHintType = (shtAppt, shtStartEnd, shtCell, shtObj);

File

JvTFManager

Description

TJvTFHintType is used by the TJvTFHint class's HintType property to specify what type of hint is currently used by a JTF control.

Members

shtAppt

The hint is for an appointment.

shtStartEnd

The hint is for a start/end value

shtCell

The hint is for a cell.

shtObj

The hint is for any object.

Created with Doc-O-Matic.


TJvTFPrinterMeasure type
JEDI-VCL Reference

TJvTFPrinterMeasure type

Edit topic

Specifies the available units of measure: pixels, inches, or millimeters.

Pascal

TJvTFPrinterMeasure = (pmPixels, pmInches, pmMM);

File

JvTFManager

Description

TJvTFPrinterMeasure is used by the TJvTFPrinter.Measure property to determine the current measurements used when printing.

Members

pmPixels

Measurements are in pixels.

pmInches

Measurements are in inches.

pmMM

Measurements are in millimeters.

Created with Doc-O-Matic.


TJvTFPrinterState type
JEDI-VCL Reference

TJvTFPrinterState type

Edit topic

Defines the possible states of a printing component.

Pascal

TJvTFPrinterState = (spsNoDoc, spsCreating, spsAssembling, spsFinished);

File

JvTFManager

Description

The TJvTFPrinterState enumeration is used by the TJvTFPrinter component to describe the current state of the component.

Members

spsNoDoc

No document exists.

spsCreating

A document is being created. This is the state of the printer when NewPage can be called and page bodies can be drawn.

spsAssembling

The component is firing the OnDrawHeader and OnDrawFooter events for each body and placing the header, body, and footer onto a finished page. The assembling process is started by a call to FinishDoc.

spsFinished

A complete document exists and is now ready to be sent to a printer or saved to a file.

Created with Doc-O-Matic.


TJvTFSchedLoadMode type
JEDI-VCL Reference

TJvTFSchedLoadMode type

Edit topic

Type describing load modes.

Pascal

TJvTFSchedLoadMode = (slmOnDemand, slmBatch);

File

JvTFManager

Description

Specifies the different methods that TJvTFScheduleManager can use to load schedules. Please see TJvTFScheduleManager.SchedLoadMode and "Batch Loading" for more information.

Members

slmOnDemand

Requests data when necessary by calling the OnNeedAppts event.

slmBatch

Load data in batches. A call to ProcessBatches is required to load the data.

Created with Doc-O-Matic.


TJvTFScheduleManagerCacheType type
JEDI-VCL Reference

TJvTFScheduleManagerCacheType type

Edit topic

Represents the different settings for the caching system.

Pascal

TJvTFScheduleManagerCacheType = (ctNone, ctTimed, ctBuffer);

File

JvTFManager

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ctNone

Signifies that no objects will be automatically removed from memory.

ctTimed

Signifies that cached objects will be flushed periodically.

ctBuffer

Signifies that only the most recently used schedules will remain in memory (as specified by BufferCount).

Created with Doc-O-Matic.


TJvTFServNotifyCode type
JEDI-VCL Reference

TJvTFServNotifyCode type

Edit topic

Represents the different notification codes used internally.

Pascal

TJvTFServNotifyCode = (sncDestroyAppt, sncDestroySchedule, sncLoadAppt, sncSchedLoadAppt, sncSchedUnloadAppt, sncPostAppt, sncDeleteAppt, sncRequestSchedule, sncReleaseSchedule, sncConnectComponent, sncDisconnectComponent, sncConnectControl, sncDisconnectControl, sncConnectAppt, sncDisconnectAppt, sncRefresh);

File

JvTFManager

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

sncDestroyAppt

Not documented

sncDestroySchedule

Not documented

sncLoadAppt

Not documented

sncSchedLoadAppt

Not documented

sncSchedUnloadAppt

Not documented

sncPostAppt

Not documented

sncDeleteAppt

Not documented

sncRequestSchedule

Not documented

sncReleaseSchedule

Not documented

sncConnectComponent

Not documented

sncDisconnectComponent

Not documented

sncConnectControl

Not documented

sncDisconnectControl

Not documented

sncConnectAppt

Not documented

sncDisconnectAppt

Not documented

sncRefresh

Not documented

Created with Doc-O-Matic.


TJvTFStatePic type
JEDI-VCL Reference

TJvTFStatePic type

Edit topic

Represent the different appointment states that may be assign an image.

Pascal

TJvTFStatePic = (spAlarmEnabled, spAlarmDisabled, spShared, spRecurring, spModified);

File

JvTFManager

Description

Represent the different appointment states that may be assign an image.

Members

spAlarmEnabled

The alarm is enabled for the appointment.

spAlarmDisabled

The alarm is disabled for the appointment.

spShared

The appointment is a shared appointment.

spRecurring

The appointment is a recurring appointment.

spModified

The appointment has been modified

Created with Doc-O-Matic.


TJvTFTimeRange type
JEDI-VCL Reference

TJvTFTimeRange type

Edit topic

Defines a time range.

Pascal

TJvTFTimeRange = record
  StartTime: TTime;
  EndTime: TTime;
  end;

File

JvTFManager

Description

Defines a time range.

Members

StartTime: TTime;

Start time of the range. Must be less than EndTime.

EndTime: TTime;

End time of the range. Must be greater than StartTime.

Created with Doc-O-Matic.


TJvTimeItemType type
JEDI-VCL Reference

TJvTimeItemType type

Edit topic

Indicates the measurement of a value.

Pascal

TJvTimeItemType = (asPixels, asDays);

File

JvTimeLine

Description

Use the TJvTimeItemType to specify a measurement of a value.

Members

asPixels

The value is in pixels.

asDays

The value is in days.

Created with Doc-O-Matic.


TJvTimeLineStyle type
JEDI-VCL Reference

TJvTimeLineStyle type

Edit topic

Specifies the way a timeline view is drawn.

Pascal

TJvTimeLineStyle = (tlDefault, tlOwnerDrawFixed, tlOwnerDrawVariable);

File

JvTimeLine

Description

Use the TJvTimeLineStyle type to specify the way a timeline view is drawn.

Members

tlDefault

For each item the control displays the string specified by Caption and an icon specified by ImageIndex. Each item has the same height as specified by ItemHeight.

tlOwnerDrawFixed

The timeline view is owner-draw, but each item in the timeline view has the height specified by the ItemHeight property. Each time an item is displayed in a tlOwnerDrawFixed timeline control, the OnDrawItem event occurs. The event handler for OnDrawItem draws the specified item. The ItemHeight property determines the height of each of the items.

tlOwnerDrawVariable

The timeline view is owner-draw, and items in the timeline control can be of varying heights. Each time an item is displayed in a tlOwnerDrawVariable timeline control, two events occur. The first is the OnMeasureItem event. The code for the OnMeasureItem handler can set the height of each item. Then the OnDrawItem event occurs. The code for the OnDrawItem handler draws each item in the timeline control using the size specified by the OnMeasureItem handler.

Created with Doc-O-Matic.


TJvTipOfDayOption type
JEDI-VCL Reference

TJvTipOfDayOption type

Edit topic

Defines values that determine the behavior of a Tip of the Day dialog.

Pascal

TJvTipOfDayOption = (toShowOnStartUp, toUseAppStorage, toShowWhenFormShown, toHideStartupCheckbox);
TJvTipOfDayOptions = set of TJvTipOfDayOption;

File

JvTipOfDay

Description

The TJvTipOfDayOption type defines values that determine the appearance and behavior of a Tip of the Day dialog.

TJvTipOfDayOption is a set of TJvTipOfDayOptions values.

Members

toShowOnStartUp

Specifies whether the checkbox on the dialog is checked or unchecked. Also, if no OnCanShow event handler is used, it determines whether the dialog is shown on startup of the application.

Use flag toShowOnStartUp before calling Execute, to specify whether the checkbox must be checked or unchecked. Use flag toShowOnStartUp after calling Execute, to determine whether the checkbox was checked or unchecked when the user closed the dialog.

toUseAppStorage

Specifies whether to use the storage component to store and retrieve the value of the checkbox.

toShowWhenFormShown

Shows the tip dialog not before the parent form of the TJvTipOfDay component is shown.

toHideStartupCheckbox

Not documented

Created with Doc-O-Matic.


TJvTipOfDayStyle type
JEDI-VCL Reference

TJvTipOfDayStyle type

Edit topic

Specifies the way a Tip of the Day dialog is drawn.

Pascal

TJvTipOfDayStyle = (tsVC, tsStandard);

File

JvTipOfDay

Description

Use the TJvTipOfDayStyle type to specify the way a Tip of the Day dialog is drawn.

Members

tsVC

A "VC++ 4.0 look" Tip of the Day dialog.

tsStandard

A "Standard Component Gallery" Tip of the Day dialog.

Created with Doc-O-Matic.


TJvToolPanelHitTestInfo type
JEDI-VCL Reference

TJvToolPanelHitTestInfo type

Edit topic

Enumeration that specifies the possible return values from a call to GetHitTestInfoAt of a TJvNavPaneToolPanel.

Pascal

TJvToolPanelHitTestInfo = (phtNowhere, phtAbove, phtBelow, phtToLeft, phtToRight, phtGrabber, phtHeader, phtClient);
TJvToolPanelHitTestInfos = set of TJvToolPanelHitTestInfo;

File

JvNavigationPane

Description

TJvToolPanelHitTestInfo describes the possible return values from TJvNavPaneToolPanel.GetHitTestInfoAt.

Members

phtNowhere

The location of the mouse cannot be determined. This only happens when the control's Visible property is false.

phtAbove

The mouse is above the control.

phtBelow

The mouse is below the control.

phtToLeft

The mouse is to the left of the control.

phtToRight

The mouse is to the right of the control.

phtGrabber

The mouse is in the grabber area of the control. Note that this value is only included if ShowGrabber is true.

phtHeader

The mouse is in the header area of the control.

phtClient

The mouse is in the client area of the control, i.e below the header area.

Created with Doc-O-Matic.


TJvTrackFontOption type
JEDI-VCL Reference

TJvTrackFontOption type

Edit topic

Not documented

Pascal

TJvTrackFontOption = (hoFollowFont, hoPreserveCharSet, hoPreserveColor, hoPreserveHeight, hoPreserveName, hoPreservePitch, hoPreserveStyle);
TJvTrackFontOptions = set of TJvTrackFontOption;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

hoFollowFont

Not documented

hoPreserveCharSet

Not documented

hoPreserveColor

Not documented

hoPreserveHeight

Not documented

hoPreserveName

Not documented

hoPreservePitch

Not documented

hoPreserveStyle

Not documented

Created with Doc-O-Matic.


TJvTriggerKind type
JEDI-VCL Reference

TJvTriggerKind type

Edit topic

Alarm kind.

Pascal

TJvTriggerKind = (tkOneShot, tkEachSecond, tkEachMinute, tkEachHour, tkEachDay, tkEachMonth, tkEachYear);

File

JvTypes

Description

The TJvTriggerKind type are the kind of alarms that can be added to the TJvAlarms.

Members

tkOneShot

The alarm is a one shot, ie. fires only once at the specified time.

tkEachSecond

The alarm will fire at the specified time and each second after that.

tkEachMinute

The alarm will fire at the specified time and each minute after that.

tkEachHour

The alarm will fire at the specified time and each hour after that.

tkEachDay

The alarm will fire at the specified time and each day after that.

tkEachMonth

The alarm will fire at the specified time and each month after that.

tkEachYear

The alarm will fire at the specified time and each year after that.

Created with Doc-O-Matic.


TJvTVCascadeOption type
JEDI-VCL Reference

TJvTVCascadeOption type

Edit topic

Enumerates different methods how checks are propagated when toggling a checkbox node on or off.

Pascal

TJvTVCascadeOption = (poOnCheck, poOnUnCheck);
TJvTVCascadeOptions = set of TJvTVCascadeOption;

File

JvCheckTreeView

Description

The TJvTVCascadeOption type is an enumeration used to determine how checks are propagated when toggling a checkbox node on or off.

Members

poOnCheck

Propagate to child nodes only when the node is toggled to the on state.

poOnUnCheck

Propagate to child nodes only when the node is toggled to the off state.

Created with Doc-O-Matic.


TJvTVCheckBoxStyle type
JEDI-VCL Reference

TJvTVCheckBoxStyle type

Edit topic

Enumerates checkbox styles.

Pascal

TJvTVCheckBoxStyle = (cbsNone, cbsNative, cbsJVCL);

File

JvCheckTreeView

Description

TJvTVCheckBoxStyle is the type for the TJvTreeViewCheckBoxOptions.Style property.

Members

cbsNone

No checkboxes or radio buttons are displayed. Works like a normal treeview.

cbsNative

Use MS implementation of checkboxes. With this option you can only display checkboxes and not radioitems. You can't set up your own images using the StateImages/StateIndex properties of the treeview since this is overridden by the MS implementation

cbsJVCL

Use the custom JVCL style. With this option you can display any type of images by setting up your own StateImages image list and change the index properties for CheckBoxCheckedIndex, CheckBoxUnCheckedIndex, RadioButtonCheckedIndex and RadioButtonUnCheckedIndex.

Created with Doc-O-Matic.


TJvUCBDisplayMode type
JEDI-VCL Reference

TJvUCBDisplayMode type

Edit topic

Specifies from which registry key(s) to read information.

Pascal

TJvUCBDisplayMode = (hkCurrentUser, hkLocalMachine);
TJvUCBDisplayModes = set of TJvUCBDisplayMode;

File

JvUninstallControls

Description

The TJvUCBDisplayMode type is used to specify the registry hives to read uninstall information from. Windows can store uninstall info in two different hives, HKEY_LOCAL_MACHINE and HKEY_CURRENT_USER.

Members

hkCurrentUser

Read uninstall information from the HKEY_CURRENT_USER hive.

hkLocalMachine

Read uninstall information from the HKEY_LOCAL_MACHINE hive.

Created with Doc-O-Matic.


TJvURLAssociationDialogOption type
JEDI-VCL Reference

TJvURLAssociationDialogOption type

Edit topic

Enumerates options for a TJvURLAssociationDialog component.

Pascal

TJvURLAssociationDialogOption = (uaDefaultName, uaRegisterAssoc);
TJvURLAssociationDialogOptions = set of TJvURLAssociationDialogOption;

File

JvWinDialogs

Description

TJvURLAssociationDialogOptions is a set of TJvURLAssociationDialogOption values.

Members

uaDefaultName

Use the default file name (that is, "Internet Shortcut"). When this flag is set, property FileName is ignored.

uaRegisterAssoc

Register the selected application as the handler for the protocol specified in URL. The application is registered only if this flag is set and the user indicates that a persistent association is desired.

Created with Doc-O-Matic.


TJvValidateCompareOperator type
JEDI-VCL Reference

TJvValidateCompareOperator type

Edit topic

Used by validators that can compare two values.

Pascal

TJvValidateCompareOperator = (vcoLessThan, vcoLessOrEqual, vcoEqual, vcoGreaterOrEqual, vcoGreaterThan);

File

JvValidators

Description

TJvValidateCompareOperator is the type of the Operator property of TJvCompareValidator. It can have one of the following values:

Members

vcoLessThan

The comparison returns true if PropertyToValidate is less than ValueToCompare.

vcoLessOrEqual

The comparison returns true if PropertyToValidate is less than or equal to ValueToCompare.

vcoEqual

The comparison returns true if PropertyToValidate is equal to ValueToCompare.

vcoGreaterOrEqual

The comparison returns true if PropertyToValidate is greater than or equal to ValueToCompare.

vcoGreaterThan

The comparison returns true if PropertyToValidate is greater than ValueToCompare.

Created with Doc-O-Matic.


TJvValidateEditCriticalPointsCheck type
JEDI-VCL Reference

TJvValidateEditCriticalPointsCheck type

See Also	Edit topic

Defines the critical point checks to perform.

Pascal

TJvValidateEditCriticalPointsCheck = (cpNone, cpMinValue, cpMaxValue, cpBoth);

File

JvValidateEdit

Description

TJvValidateEditCriticalPointsCheck is used for the CheckPoints property in TJvValidateEditCriticalPoints.

Members

cpNone

Don't use critical points.

cpMinValue

Not documented

cpMaxValue

Check only the maximum value.

cpBoth

Check both minimum and maximum value.

Created with Doc-O-Matic.


See Also

TJvValidateEditCriticalPoints


TJvValidateEditDisplayFormat type
JEDI-VCL Reference

TJvValidateEditDisplayFormat type

Edit topic

Defines available display formats.

Pascal

TJvValidateEditDisplayFormat = (dfAlphabetic, dfAlphaNumeric, dfBinary, dfCheckChars, dfCurrency, dfCustom, dfFloat, dfHex, dfInteger, dfNonCheckChars, dfNone, dfOctal, dfPercent, dfScientific, dfYear);

File

JvValidateEdit

Description

TJvValidateEditDisplayFormat is used as the type for the DisplayFormat property in TJvValidateEdit. Changing DisplayFormat might change the Alignment of the text if AutoAlignment is true and the prefix or suffix used when the control doesn't have focus.

Members

dfAlphabetic

Only displays characters A-Z, a-z.

dfAlphaNumeric

Only displays characters A-Z, a-z, 0-9.

dfBinary

Only displays binary characters (0,1).

dfCheckChars

Only displays characters in CheckCars.

dfCurrency

Only displays currency characters (0-9, decimal).

dfCustom

Only displays characters where OnCustomValidate sets IsValid to true.

dfFloat

Only displays float characters (0-9, decimal).

dfHex

Only displays hexadecimal characters (0-9,A-F,a-f).

dfInteger

Only displays integer characters (0-9).

dfNonCheckChars

Only displays characters not in CheckCars.

dfNone

Displays any character.

dfOctal

Only displays octal characters (0-7).

dfPercent

Only displays percentage characters (0-9).

dfScientific

Only displays integer characters (0-9, e, E).

dfYear

Only displays integer characters (0-9) and also sets max length to 4.

Created with Doc-O-Matic.


TJvVerticalAlignment type
JEDI-VCL Reference

TJvVerticalAlignment type

Edit topic

This is the type of the TextVAlignment property

Pascal

TJvVerticalAlignment = (vaTop, vaMiddle, vaBottom);

File

JvMenus

Description

This type indicates how the text will be aligned vertically in a menu item

Members

vaTop

The text is aligned on the top of the menu item

vaMiddle

The text is vertically centered in the area of the menu item

vaBottom

The text is aligned on the bottom of the menu item

Created with Doc-O-Matic.


TJvVideoDialog type
JEDI-VCL Reference

TJvVideoDialog type

See Also	Edit topic

Indicates which video dialog to display

Pascal

TJvVideoDialog = (vdSource, vdFormat, vdDisplay, vdCompression);

File

JvAVICapture

Description

Using this value doesn't ensure the corresponding dialog will be shown as the driver may not provide it.

Members

vdSource

The video source dialog.

vdFormat

The video format dialog.

vdDisplay

The video display dialog.

vdCompression

The video compression dialog.

Created with Doc-O-Matic.


See Also

TJvDriverCaps


TJvVolumeRec type
JEDI-VCL Reference

TJvVolumeRec type

Edit topic

Not documented

Pascal

TJvVolumeRec = record
  case Byte of
    0: (LongVolume: Longint;);
    1: (LeftVolume: Word;
        RightVolume: Word;);
  end;

File

JvSoundControl

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

LongVolume: Longint;

Not documented

LeftVolume: Word;

Not documented

RightVolume: Word;

Not documented

Created with Doc-O-Matic.


TJvWallpaperStyle type
JEDI-VCL Reference

TJvWallpaperStyle type

Edit topic

Not documented

Pascal

TJvWallpaperStyle = (wsCenter, wsUnused, wsStretch);

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

wsCenter

Not documented

wsUnused

Not documented

wsStretch

Not documented

Created with Doc-O-Matic.


TJvWaveLocation type
JEDI-VCL Reference

TJvWaveLocation type

Edit topic

Not documented

Pascal

TJvWaveLocation = (frFile, frResource, frRAM);

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

frFile

Not documented

frResource

Not documented

frRAM

Not documented

Created with Doc-O-Matic.


TJvWizardButtonKind type
JEDI-VCL Reference

TJvWizardButtonKind type

Edit topic

Defines the available types for a wizard button.

Pascal

TJvWizardButtonKind = (bkStart, bkLast, bkBack, bkNext, bkFinish, bkCancel, bkHelp);
TJvWizardButtonSet = set of TJvWizardButtonKind;

File

JvWizard

Description

TJvWizardButtonKind is used by TJvWizard to set the type of an embedded button.

Members

bkStart

The button is a start button.

bkLast

The button is a last button.

bkBack

The button is a back button.

bkNext

The button is a next button.

bkFinish

The button is a finish button.

bkCancel

The button is a cancel button.

bkHelp

The button is a help button.

Created with Doc-O-Matic.


TJvWizardFrameStyle type
JEDI-VCL Reference

TJvWizardFrameStyle type

Edit topic

Defines available wizard frame styles.

Pascal

TJvWizardFrameStyle = (fsWindows, fsNone, fsFlat, fsGroove, fsBump, fsLowered, fsRaised);

File

JvWizardCommon

Description

TJvWizardFrameStyle is used to define the styles that JvWizardDrawBorderEdges can draw in.

Members

fsWindows

Draw frames using default Windows style.

fsNone

Don't draw any frame.

fsFlat

Draw frames using a single gray line.

fsGroove

Draw frames with a double lowered edge.

fsBump

Draw frames with a double raised edge.

fsLowered

Draw frames with a lowered edge.

fsRaised

Draw frames with a raised edge.

Created with Doc-O-Matic.


TJvWizardImageAlignment type
JEDI-VCL Reference

TJvWizardImageAlignment type

See Also	Edit topic

Defines possible alignments for wizard images.

Pascal

TJvWizardImageAlignment = (iaLeft, iaRight, iaCenter, iaStretch);

File

JvWizardCommon

Description

TJvWizardImageAlignment is used by JvWizardDrawImage to define the horizontal alignment of the image it draws.

Members

iaLeft

Align image to the left.

iaRight

Align image to the right.

iaCenter

Align image to the horizontal center.

iaStretch

Stretch image horizontally.

Created with Doc-O-Matic.


See Also

JvWizardDrawImage, TJvWizardImageLayout


TJvWizardImageLayout type
JEDI-VCL Reference

TJvWizardImageLayout type

See Also	Edit topic

Defines possible vertical alignment of wizard images.

Pascal

TJvWizardImageLayout = (ilTop, ilBottom, ilCenter, ilStretch, ilTile);

File

JvWizardCommon

Description

TJvWizardImageLayout is used by JvWizardDrawImage to define the vertical alignment of the image it draws.

Members

ilTop

Align image to the top.

ilBottom

Align image to the bottom.

ilCenter

Align image to the vertical center.

ilStretch

Stretch image vertically.

ilTile

Tile image across client area.

Created with Doc-O-Matic.


See Also

JvWizardDrawImage, TJvWizardImageAlignment


TJvXMLInstruction type
JEDI-VCL Reference

TJvXMLInstruction type

Edit topic

Represents the requested query instruction.

Pascal

TJvXMLInstruction = (xiSelect, xiUpdate, xiInsert, xiDelete);

File

JvXmlDatabase

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

xiSelect

The query represents a SELECT statement.

xiUpdate

The query represents an UPDATE statement.

xiInsert

The query represents an INSERT statement.

xiDelete

The query represents a DELETE statement.

Created with Doc-O-Matic.


TJvXMLOrderConvertion type
JEDI-VCL Reference

TJvXMLOrderConvertion type

Edit topic

Represents how to order a result set.

Pascal

TJvXMLOrderConvertion = (ocNone, ocDate, ocInteger, ocFloat);

File

JvXmlDatabase

Description

You can use the keyword 'ORDER BY' along with 'ASC' and one of the syntax constructs '(DATE)', '(INTEGER)' or '(FLOAT)' to specify how the result set should be ordered. This type describes the requested ordering as an enumerated type.

Members

ocNone

No preferences.

ocDate

Order by date.

ocInteger

Order by integer value.

ocFloat

Order by float value.

Created with Doc-O-Matic.


TJvXMLSetKind type
JEDI-VCL Reference

TJvXMLSetKind type

Edit topic

Describes the type of SET statement.

Pascal

TJvXMLSetKind = (skConstant, skColumn);

File

JvXmlDatabase

Description

Type describing if a clause in a SET statement refers to a constant or a column.

Members

skConstant

Clause is a constant assignment.

skColumn

Clause is a column update.

Created with Doc-O-Matic.


TJvXMLSetOperator type
JEDI-VCL Reference

TJvXMLSetOperator type

Edit topic

Describes allowable operators in SET queries.

Pascal

TJvXMLSetOperator = (soNone, soAdd, soMultiply, soDivide, soSubstract);

File

JvXmlDatabase

Description

Type used to describe the operators that are allowable in a SET statement.

Members

soNone

Unknown operator.

soAdd

operator.

soMultiply

operator.

soDivide

operator.

soSubstract

operator.

Created with Doc-O-Matic.


TJvXMLSQLOperator type
JEDI-VCL Reference

TJvXMLSQLOperator type

Edit topic

Describes allowable SQL compare operators.

Pascal

TJvXMLSQLOperator = (opEquals, opGreater, opSmaller, opGreaterEquals, opSmallerEquals, opLike, opNot, opOr, opAnd, opXor, opLeftParenthesis, opRightParenthesis, opConstant, opColumn, opNull, opNone);

File

JvXmlDatabase

Description

Type used to describe operators that can occur in WHERE clauses.

Members

opEquals

sign.

opGreater

> ' sign.

opSmaller

<' sign.

opGreaterEquals

> =' sign.

opSmallerEquals

<=' sign.

opLike

LIKE' keyword

opNot

NOT' keyword.

opOr

OR' keyword.

opAnd

AND' keyword.

opXor

XOR' keyword.

opLeftParenthesis

(' sign.

opRightParenthesis

)' sign.

opConstant

Operator is a constant.

opColumn

Operator is a column name.

opNull

NULL' keyword.

opNone

Unknown operator.

Created with Doc-O-Matic.


TJvXPBarHitTest type
JEDI-VCL Reference

TJvXPBarHitTest type

See Also	Edit topic

Specifies the return values possible from the GetHitTestAt function of TJvXPCustomWinXPBar.

Pascal

TJvXPBarHitTest = (htNone, htHeader, htRollButton);

File

JvXPBar

Description

TJvXPBarHitTest is the type of the return value from TJvXPBar.GetHitTestAt.

Members

htNone

Position is neither on header, nor on roll button.

htHeader

Position is on the header.

htRollButton

Position is on the roll button.

Created with Doc-O-Matic.


See Also

TJvXPBar, TJvXPCustomWinXPBar


TJvXPBarRollDirection type
JEDI-VCL Reference

TJvXPBarRollDirection type

Edit topic

Indicates the direction of a roll event.

Pascal

TJvXPBarRollDirection = (rdExpand, rdCollapse);

File

JvXPBar

Description

The TJvXPBarRollDirection type is used to specify a direction of a roll event.

Members

rdExpand

Expands.

rdCollapse

Collapses.

Created with Doc-O-Matic.


TJvXPBarRollMode type
JEDI-VCL Reference

TJvXPBarRollMode type

Edit topic

Indicates how a roll transition is performed.

Pascal

TJvXPBarRollMode = (rmFixed, rmShrink);

File

JvXPBar

Description

TJvXPBarRollMode is used as the type of the RollMode property of TJvXPCustomWinXPBar.

Members

rmFixed

The control is resized using a fixed value.

rmShrink

The control is resized proportional to its current size.

Created with Doc-O-Matic.


TJvXPEnabledMode type
JEDI-VCL Reference

TJvXPEnabledMode type

Edit topic

Specifies how changes to the Enabled property propagates to child controls.

Pascal

TJvXPEnabledMode = (emAffectChilds, emNormal);

File

JvXPContainer

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

emAffectChilds

Changing Enabled also changes Enabled of all child controls.

emNormal

Changing Enabled does not affect child controls.

Created with Doc-O-Matic.


TJvXPGlyphLayout type
JEDI-VCL Reference

TJvXPGlyphLayout type

Edit topic

Determines the layout of images in XP style controls.

Pascal

TJvXPGlyphLayout = (glBottom, glCenter, glTop);

File

JvXPCore

Description

TJvXPGlyphLayout defines the possible locations of images on a XP style control.

Members

glBottom

The image(s) are aligned to the bottom of the control.

glCenter

The image(s) are centered in the control.

glTop

The image(s) are aligned to the top of the control.

Created with Doc-O-Matic.


TJvXPGradientStyle type
JEDI-VCL Reference

TJvXPGradientStyle type

See Also	Edit topic

Defines the available styles for a gradient.

Pascal

TJvXPGradientStyle = (gsLeft, gsTop, gsRight, gsBottom);

File

JvXPCore

Description

TJvXPGradientStyle is used for the Style property of the TJvXPGradient class. TJvXPGradientStyle describes where the StartColor of the gradient have its origin.

Members

gsLeft

The gradient starts at the left edge of the image and moves to the right.

gsTop

The gradient starts at the top edge of the image and moves down.

gsRight

The gradient starts at the right edge of the image and moves left.

gsBottom

The gradient starts at the bottom edge of the image and moves upwards.

Created with Doc-O-Matic.


See Also

TJvXPGradient


TJvXPLayout type
JEDI-VCL Reference

TJvXPLayout type

Edit topic

Specifies how images are drawn in relation to text in a control.

Pascal

TJvXPLayout = (blGlyphLeft, blGlyphRight, blGlyphTop, blGlyphBottom);

File

JvXPButtons

Description

The TJvXPLayout is used by the Layout property of TJvXPCustomButton and descendants.

Members

blGlyphLeft

Image is drawn to the left of the text.

blGlyphRight

Image is drawn to the right of the text.

blGlyphTop

Image is drawn above the text.

blGlyphBottom

Image is drawn below the text.

Created with Doc-O-Matic.


TJvXPTheme type
JEDI-VCL Reference

TJvXPTheme type

Edit topic

Defines the available styles for an XP control.

Pascal

TJvXPTheme = (WindowsXP, OfficeXP);

File

JvXPCore

Description

TJvXPTheme defines the styles available for an XP control.

Members

WindowsXP

Use a visual style resembling Windows XP.

OfficeXP

Use a visual style resembling Office XP.

Created with Doc-O-Matic.


TJvXPToolType type
JEDI-VCL Reference

TJvXPToolType type

Edit topic

Specifies the available button types for an XP tool button.

Pascal

TJvXPToolType = (ttArrowLeft, ttArrowRight, ttClose, ttMaximize, ttMinimize, ttPopup, ttRestore, ttImage);

File

JvXPButtons

Description

TJvXPToolType specifies the possible images that can be displayed in an XP tool button.

Members

ttArrowLeft

Displays a left pointing arrow.

ttArrowRight

Displays a right pointing arrow.

ttClose

Displays a standard close icon.

ttMaximize

Displays a standard Maximize icon.

ttMinimize

Displays a standard Minimize icon.

ttPopup

Displays a standard Popup icon.

ttRestore

Displays a standard Restore icon.

ttImage

Not documented

Created with Doc-O-Matic.


TLineSpacingRule type
JEDI-VCL Reference

TLineSpacingRule type

Edit topic

Enumerates types of line spacing.

Pascal

TLineSpacingRule = (lsSingle, lsOneAndHalf, lsDouble, lsSpecifiedOrMore, lsSpecified, lsMultiple);

File

JvRichEdit

Description

The TLineSpacingRule type is used to specify a type of line spacing.

Members

lsSingle

Single spacing.

lsOneAndHalf

One-and-a-half spacing.

lsDouble

Double spacing.

lsSpecifiedOrMore

Property LineSpacing of a TJvCustomRichEdit specifies the spacing from one line to the next, in points; however, if LineSpacing specifies a value that is less than single spacing, the control displays single-spaced text.

lsSpecified

Property LineSpacing of a TJvCustomRichEdit specifies the spacing from one line to the next, in points. The control uses the exact spacing specified, even if LineSpacing specifies a value that is less than single spacing.

lsMultiple

Property LineSpacing of a TJvCustomRichEdit specifies the spacing, in lines, from one line to the next; thus, setting LineSpacing to 1 produces single-spaced text, 2 is double spaced, 3 is triple spaced, and so on.

Created with Doc-O-Matic.


TLookupListStyle type
JEDI-VCL Reference

TLookupListStyle type

Edit topic

Not documented

Pascal

TLookupListStyle = (lsFixed, lsDelimited);

File

JvDBLookup

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

lsFixed

Not documented

lsDelimited

Not documented

Created with Doc-O-Matic.


TNotifyIconDataXP type
JEDI-VCL Reference

TNotifyIconDataXP type

Edit topic

Delphi implementation of the windows NOTIFYICONDATA structure.

Pascal

TNotifyIconDataXP = record
  cbSize: DWORD;
  Wnd: THandle;
  uID: UINT;
  uFlags: UINT;
  uCallbackMessage: UINT;
  hIcon: HICON;
  szTip: array [0..127] of AnsiChar;
  dwState: DWORD;
  dwStateMask: DWORD;
  szInfo: array [0..255] of AnsiChar;
  uTimeOut: DWORD;
  szInfoTitle: array [0..63] of AnsiChar;
  dwInfoFlags: DWORD;
  end;

File

JvTrayIcon

Description

This structure contains information that the system needs to process taskbar status area messages. See MSDN for more information.

Members

cbSize: DWORD;

Passes the size of the NOTIFYICONDATA data type.

Wnd: THandle;

Handle of the window used to receive the notification message.

uID: UINT;

Identifier of the icon in the status area.

uFlags: UINT;

Array of flags that indicate which of the other members contain valid data.

uCallbackMessage: UINT;

Identifier of the notification message sent to the window that is used to receive the messages.

hIcon: HICON;

Handle of the icon that is displayed in the taskbar status area.

szTip: array [0..127] of AnsiChar;

String to be used as the ToolTip text.

dwState: DWORD;

State of the icon.

dwStateMask: DWORD;

Specifies which bits of the state member are retrieved or modified.

szInfo: array [0..255] of AnsiChar;

Contains the text for a balloon ToolTip.

uTimeOut: DWORD;

The timeout value, in milliseconds, for a balloon ToolTip.

szInfoTitle: array [0..63] of AnsiChar;

String to be used as the title for a balloon ToolTip.

dwInfoFlags: DWORD;

Flags that can be set to add an icon to a balloon ToolTip.

Created with Doc-O-Matic.


TOptionsDirectory type
JEDI-VCL Reference

TOptionsDirectory type

Edit topic

Defines values that determine the behavior of a folder selection dialog.

Pascal

TOptionsDirectory = (odBrowseForComputer, odOnlyDirectory, odOnlyPrinters, odNoBelowDomain, odSystemAncestorsOnly, odFileSystemDirectoryOnly, odStatusAvailable, odIncludeFiles, odIncludeUrls, odEditBox, odNewDialogStyle, odShareable, odUsageHint, odNoNewButtonFolder, odValidate);
TOptionsDir = set of TOptionsDirectory;

File

JvBrowseFolder

Description

The TOptionsDirectory type defines values that determine the appearance and behavior of a folder selection dialog.

TOptionsDir is a set of TOptionsDirectory values.

Members

odBrowseForComputer

Only returns computers. If the user selects anything other than a computer, the OK button is grayed.

odOnlyDirectory

Not used.

odOnlyPrinters

Only returns printers. If the user selects anything other than a printer, the OK button is grayed.

odNoBelowDomain

Does not include network folders below the domain level in the dialog box's tree view control.

odSystemAncestorsOnly

Only returns file system ancestors. An ancestor is a subfolder that is beneath the root folder in the namespace hierarchy. If the user selects an ancestor of the root folder that is not part of the file system, the OK button is grayed.

odFileSystemDirectoryOnly

Only returns file system directories. If the user selects folders that are not part of the file system, the OK button is grayed.

odStatusAvailable

Includes a status area in the dialog box. When property StatusText is set to an empty string then the component will display the path of the last selected directory above the tree view control. Otherwise the text specified by StatusText will be displayed. Flag odNewDialogStyle must not be set.

odIncludeFiles

Version 4.71. The Browse dialog box will display files as well as folders.

odIncludeUrls

Version 5.0. The Browse dialog box can display URLs.

odEditBox

Version 4.71. Includes an edit control in the Browse dialog box that allows the user to type the name of an item.

odNewDialogStyle

Version 5.0. Uses the new user interface. Setting this flag provides the user with a larger dialog box that can be resized. The dialog box has several new capabilities including: drag and drop capability within the dialog box, reordering, shortcut menus, new folders, delete, and other shortcut menu commands.

odShareable

Version 5.0. The Browse dialog box can display shareable resources on remote systems. It is intended for applications that want to expose remote shares on a local system. The odNewDialogStyle flag must also be set.

odUsageHint

Version 6.0. When combined with odNewDialogStyle, adds a usage hint to the dialog box in place of the edit box. Flag odEditBox overrides this flag.

odNoNewButtonFolder

Version 6.0. Does not include the "New Folder" button in the Browse dialog box.

odValidate

Version 4.71. If the user types an invalid name into the edit box, the Browse dialog box will trigger the OnValidateFailed event. Flag odEditBox must also be set.

Notes

Some flags are not supported on all Shell32.dll versions, these flags are marked with a version number. This version number indicates that the programming element was first implemented in that version and will also be found in all subsequent versions of the DLL. If no version number is specified, the programming element is implemented in all versions.

Created with Doc-O-Matic.


TParaAlignment type
JEDI-VCL Reference

TParaAlignment type

Edit topic

Enumerates kinds of paragraph alignments.

Pascal

TParaAlignment = (paLeftJustify, paRightJustify, paCenter, paJustify);

File

JvRichEdit

Description

The TParaAlignment type is used to specify how a paragraph is aligned in a rich edit control.

Members

paLeftJustify

Paragraphs are aligned with the left margin.

paRightJustify

Paragraphs are aligned with the right margin.

paCenter

Paragraphs are centered.

paJustify

Paragraphs are justified. Rich edit controls earlier than Rich Edit 3.0 display the text aligned with the left margin.

Created with Doc-O-Matic.


TPluginKind type
JEDI-VCL Reference

TPluginKind type

Edit topic

Type of a plugin.

Pascal

TPluginKind = (plgDLL, plgPackage, plgCustom);

File

JvPluginManager

Description

TPluginKind denotes the type of a plugin. It is used in the plugin registration database as well as by the PluginKind property of the plugin

  manager (note that in the latter case plgCustom will not load any plugin).

Members

plgDLL

Plugin is in a DLL ("old style" plugins).

plgPackage

Plugin is in a runtime package.

plgCustom

Plugin is a custom plugin (e.g. plugins embedded in the host application).

Created with Doc-O-Matic.


TPopupAlign type
JEDI-VCL Reference

TPopupAlign type

See Also	Edit topic

Represents the position of a pop-up menu relative to the control.

Pascal

TPopupAlign = (epaRight, epaLeft);

File

JvToolEdit

Description

The TPopupAlign type represents the position of a pop-up menu relative to the control.

Members

epaRight

The pop-up menu appears with its top right corner under the mouse.

epaLeft

The pop-up menu appears with its top left corner under the mouse.

Created with Doc-O-Matic.


See Also

TJvCustomComboEdit.PopupAlign


TProviderDrawState type
JEDI-VCL Reference

TProviderDrawState type

Edit topic

Type used to specify the draw state for the provider based rendering mechanism.

Pascal

TProviderDrawState = (pdsSelected, pdsGrayed, pdsDisabled, pdsChecked, pdsFocused, pdsDefault, pdsHot);
TProviderDrawStates = set of TProviderDrawState;

File

JvDataProviderIntf

Description

The TProviderDrawState type is used to specify the draw state for the provider based rendering mechanism. It mostly follows the TOwnerDrawState type but adds a 'hot' state to the values.

Members

pdsSelected

The item is currently selected.

pdsGrayed

The item is grayed out.

pdsDisabled

The item is disabled.

pdsChecked

The item is checked.

pdsFocused

The item has the focus.

pdsDefault

The item is the default item.

pdsHot

The item is hot (i.e. the mouse is hovering over it).

Created with Doc-O-Matic.


TRichLangOption type
JEDI-VCL Reference

TRichLangOption type

See Also	Edit topic

Enumerates language options.

Pascal

TRichLangOption = (rlAutoKeyboard, rlAutoFont, rlImeCancelComplete, rlImeAlwaysSendNotify);
TRichLangOptions = set of TRichLangOption;

File

JvRichEdit

Description

The TRichLangOption is used to specify a specific language option.

TRichLangOptions is a set of TRichLangOption values.

Members

rlAutoKeyboard

Automatically changes the keyboard layout when the user explicitly changes to a different font, or when the user explicitly changes the insertion point to a new location in the text.

rlAutoFont

Automatically changes fonts when the user explicitly changes to a different keyboard layout.

rlImeCancelComplete

Determines how the control uses the composition string of an IME if the user cancels it. If this flag is set, the control discards the composition string. If this flag is not set, the control uses the composition string as the result string.

rlImeAlwaysSendNotify

Controls how Rich Edit notifies the client during IME composition: If this flag is not set, No EN_CHANGE or EN_SELCHANGE notifications during undetermined state. Send notification when final string comes in. (default) If this flag is set, Send EN_CHANGE and EN_SELCHANGE events during undetermined state.

Created with Doc-O-Matic.


See Also

LangOptions


TRichSearchType type
JEDI-VCL Reference

TRichSearchType type

See Also	Edit topic

Specifies parameters for a search operation.

Pascal

TRichSearchType = (stWholeWord, stMatchCase, stBackward, stSetSelection);
TRichSearchTypes = set of TRichSearchType;

File

JvRichEdit

Description

Use the TRichSearchType type to specify parameters for a search operation.

TRichSearchTypes is a set of TRichSearchType values.

Members

stWholeWord

Searches only for whole words that match the search string.

stMatchCase

The search operation is case-sensitive. If not set, the search operation is case-insensitive.

stBackward

Rich Edit 2.0 and later: If set, the search is from the end of the current selection to the end of the document. If not set, the search is from the end of the current selection to the beginning of the document. Rich Edit 1.0: The stBackward flag is ignored. The search is always from the end of the current selection to the end of the document.

stSetSelection

Selects the found text, and scrolls it into view.

Created with Doc-O-Matic.


See Also

FindText


TRichSelection type
JEDI-VCL Reference

TRichSelection type

See Also	Edit topic

Enumerates types of selections.

Pascal

TRichSelection = (stText, stObject, stMultiChar, stMultiObject);
TRichSelectionType = set of TRichSelection;

File

JvRichEdit

Description

The TRichSelection is used to specify a specific selection type for a rich edit control.

TRichSelectionType is a set of TRichSelection values.

Members

stText

Text.

stObject

At least one Component Object Model (COM) object.

stMultiChar

More than one character of text.

stMultiObject

More than one COM object.

Created with Doc-O-Matic.


See Also

SelectionType


TRichStreamFormat type
JEDI-VCL Reference

TRichStreamFormat type

See Also	Edit topic

Enumerates data formats.

Pascal

TRichStreamFormat = (sfDefault, sfRichText, sfPlainText);

File

JvRichEdit

Description

Use the TRichStreamFormat type to specify a specific data format.

Members

sfDefault

Either Rich Text Format or Text.

sfRichText

Rich Text Format (RTF).

sfPlainText

Text.

Created with Doc-O-Matic.


See Also

StreamFormat, StreamMode


TRichStreamMode type
JEDI-VCL Reference

TRichStreamMode type

See Also	Edit topic

Enumerates options for streaming text in and out.

Pascal

TRichStreamMode = (smSelection, smPlainRtf, smNoObjects, smUnicode);
TRichStreamModes = set of TRichStreamMode;

File

JvRichEdit

Description

Use the TRichStreamMode type to specify options for streaming text in and out.

TRichStreamModes is a set of TRichStreamMode values.

Members

smSelection

If specified, when loading a stream, the data stream replaces the contents of the current selection, and when saving to a stream, the rich edit control streams out only the contents of the current selection.

If not specified, when loading a stream, the data stream replaces the entire contents of the control, and when saving to a stream, the control streams out the entire contents.

smPlainRtf

If specified only keywords common to all languages are streamed in and out. Language-specific RTF keywords in are ignored. If not specified, all keywords are streamed in and out. This flag is ignored if the format of the text is not RTF. You can set the format of the text with property StreamFormat.

smNoObjects

Streams the text out as RTF with spaces in place of Component Object Model (COM) objects. Useful if an application stores COM objects itself, as RTF representation of COM objects is not very compact. The control word, objattph, followed by a space denotes the object position. This flag is ignored if the format of the text is not RTF. You can set the format of the text with property StreamFormat.

smUnicode

Rich Edit 2.0 and later: Indicates that the text that is streamed in or out should be treated as unicode text. This flag is ignored if the format of the text is not plain text. You can set the format of the text with property StreamFormat.

Created with Doc-O-Matic.


See Also

StreamFormat, StreamMode


TRouteMapListItemText type
JEDI-VCL Reference

TRouteMapListItemText type

See Also	Edit topic

Defines the available text sources for an item in a TJvWizardRouteMapList.

Pascal

TRouteMapListItemText = (itNone, itCaption, itTitle, itSubtitle);

File

JvWizardRouteMapList

Description

TRouteMapListItemText is the type of the ItemText property of a TJvWizardRouteMapList and defines the possible captions an item can display.

Members

itNone

Don't display any caption.

itCaption

Display the text of Page.Caption.

itTitle

Display the text of Page.Header.Title.Text.

itSubtitle

Display the text of Page.Header.SubTitle.Text.

Created with Doc-O-Matic.


See Also

TJvWizardRouteMapList.ItemText


TScheduledEventState type
JEDI-VCL Reference

TScheduledEventState type

See Also	Edit topic

Type used to indicate the state of a scheduled event.

Pascal

TScheduledEventState = (sesNotInitialized, sesWaiting, sesTriggered, sesExecuting, sesPaused, sesEnded);

File

JvScheduledEvents

Description

The TScheduledEventState type is used to indicate the state of a scheduled event. To retrieve the state of an event you can use the State property of a scheduled event.

Members

sesNotInitialized

The scheduled event has not yet been initialized or was stopped using the Stop method.

sesWaiting

The scheduled event is waiting for the scheduled time (either the time as dictated by the schedule or the time of the last snooze request).

sesTriggered

The scheduled event has been triggered but is not yet executing (message has been posted to the main thread and will be processed as soon as the application is idle).

sesExecuting

The scheduled event is executing.

sesPaused

The scheduled event is paused. The event will not execute until the schedule is resumed using the Start method.

sesEnded

The schedule for the scheduled event has reached its end condition and no snooze requests have been posted.

Created with Doc-O-Matic.


See Also

TJvEventCollectionItem.State


TSegCharMapHeader type
JEDI-VCL Reference

TSegCharMapHeader type

Edit topic

Header type used for streaming of a character mapping.

Pascal

TSegCharMapHeader = record
  ID: array[0..11] of Char;
  MappedChars: TCharSet;
  Flags: Longint;
  end;

File

JvSegmentedLEDDisplay

Description

The TSegCharMapHeader type represents the header stored in the stream before the mapping table of a segmented LED display mapper.

Members

ID: array[0..11] of Char;

Identification string of the header. Each mapper class will define it's own ID string.

MappedChars: TCharSet;

Bit array of characters actually mapped. Characters that are not present in this set are not stored at all.

Flags: Longint;

Flags. Bits 0 through 15 represent the size in bytes stored for each character. If bit 16 is set to 1 the '.' and ',' should be remapped to the actual DecimalSeparator and ThousandSeparator respectively upon reading.

Created with Doc-O-Matic.


TSegmentRenderInfo type
JEDI-VCL Reference

TSegmentRenderInfo type

Edit topic

Represents the rendering info for a segment.

Pascal

TSegmentRenderInfo = record
  RenderType: TSegmentRenderType;
  Points: TPointArray;
  end;

File

JvSegmentedLEDDisplay

Description

TSegmentRenderInfo represents the rendering info for a segment. It consists of a render type flag and an array of TPoint values. How this point array is interpreted depends on the render type flag.

Members

RenderType: TSegmentRenderType;

Specifies the segment render type.

Points: TPointArray;

Array of TPoint values. How these TPoint values are used depends on the render type flag.

Created with Doc-O-Matic.


TSegmentRenderType type
JEDI-VCL Reference

TSegmentRenderType type

Edit topic

Type used to specify the render type of a segment.

Pascal

TSegmentRenderType = (srtNone, srtPolygon, srtRect, srtCircle);

File

JvSegmentedLEDDisplay

Description

The TSegmentRenderType type is used to specify the render type of a segment.

Members

srtNone

Segment is not rendered. The TSegmentRenderInfo.Points array is not used.

srtPolygon

Segment is rendered as a polygon. The TSegmentRenderInfo.Points array are the points used in a call to TCanvas.Polygon.

srtRect

Segment is rendered as a rectangle. Only the first two items of the TSegmentRenderInfo.Points array are used. THe first TPoint is the upper left corner and the second TPoint is the lower right corner.

srtCircle

Segment is rendered as a circle or ellipse. Only the first two items of the TSegmentRenderInfo.Points array are used. THe first TPoint is the upper left corner and the second TPoint is the lower right corner of the bounding rectangle.

Created with Doc-O-Matic.


TSelectColumn type
JEDI-VCL Reference

TSelectColumn type

Edit topic

Specifies how the select column dialog in a TJvDBGrid displays fields.

Pascal

TSelectColumn = (scDataBase, scGrid);

File

JvDBGrid

Description

TSelectColumn is used to specify the order of the fields in a select column dialog.

Members

scDataBase

Fields are displayed in the same order as in the dataset.

scGrid

Fields are displayed in the same order as in the grid.

Created with Doc-O-Matic.


TShellHookInfo type
JEDI-VCL Reference

TShellHookInfo type

Edit topic

Record type that contains info about a window's size.

Pascal

PShellHookInfo = ^TShellHookInfo;
TShellHookInfo = record
  hwnd: THandle;
  rc: TRect;
  end;

File

JvShellHook

Description

TShellHookInfo is used by the Msg parameter of the OnShellMessage event in TJvShellHook. When the wParam of the message is HSHELL_GETMINRECT, lParam contains a TShellHookInfo record.

Members

hwnd: THandle;

Handle to the window.

rc: TRect;

A rect describing the size of the window.

Created with Doc-O-Matic.


TShellLinkInfo type
JEDI-VCL Reference

TShellLinkInfo type

See Also	Edit topic

Contains information about a Shell link object.

Pascal

TShellLinkInfo = record
  PathName: string;
  Arguments: string;
  Description: string;
  WorkingDirectory: string;
  IconLocation: string;
  IconIndex: Integer;
  ShowCmd: Integer;
  HotKey: Word;
  end;

File

JvWinDialogs

Description

The TShellLinkInfo record type contains information about a Shell link object.

Members

PathName: string;

The path and file name of the Shell link object.

Arguments: string;

The command-line arguments associated with the Shell link object.

Description: string;

The description string for the Shell link object.

WorkingDirectory: string;

Name of the working directory for the Shell link object.

IconLocation: string;

The path of the icon for the Shell link object.

IconIndex: Integer;

The index of the icon for the Shell link object.

ShowCmd: Integer;

The show command for the Shell link object.

HotKey: Word;

The hot key for the Shell link object.

Created with Doc-O-Matic.


See Also

GetShellLinkInfo, SetShellLinkInfo


TShellObjectType type
JEDI-VCL Reference

TShellObjectType type

Edit topic

Enumerates types of objects.

Pascal

TShellObjectType = (sdPathObject, sdPrinterObject);
TShellObjectTypes = set of TShellObjectType;

File

JvWinDialogs

Description

Use the TShellObjectType to specify the type of an object.

TShellObjectTypes is a set of TShellObjectType objects.

Members

sdPathObject

The object is a file or a folder.

sdPrinterObject

The object is a printer.

Created with Doc-O-Matic.


TSLDHitInfo type
JEDI-VCL Reference

TSLDHitInfo type

Edit topic

Type used to determine the area type of a coordinate.

Pascal

TSLDHitInfo = (shiNowhere, shiDigit, shiDigitSegment, shiClientArea);

File

JvSegmentedLEDDisplay

Description

The TSLDHitInfo type is used to specify the area type of a coordinate in a call to TJvCustomSegmentedLEDDisplay.GetHitInfo or TJvCustomSegmentedLEDDigit.GetHitInfo.

Members

shiNowhere

Specified coordinate does not belong to the control or digit.

shiDigit

Specified coordinate belongs to a/the digit.

shiDigitSegment

Specified coordinate belongs to a segment of a/the digit.

shiClientArea

Specified coordinate belongs to the client area of the control.

Created with Doc-O-Matic.


TSortMarker type
JEDI-VCL Reference

TSortMarker type

Edit topic

Specifies the possible values for a sort arrow in a TJvDBGrid.

Pascal

TSortMarker = (smNone, smDown, smUp);

File

JvDBGrid

Description

TSortMarker is used to specify what kind of sort arrow to display in a TJvDBGrid column.

Members

smNone

Do not display a sort marker.

smDown

Arrow pointing down.

smUp

Arrow pointing up.

Created with Doc-O-Matic.


TSpinButtonKind type
JEDI-VCL Reference

TSpinButtonKind type

See Also	Edit topic

Enumerates different spin button kinds.

Pascal

TSpinButtonKind = (bkStandard, bkDiagonal, bkClassic);

File

JvSpin

Description

Use the TSpinButtonKind to determine the appearance of a spin button.

Members

bkStandard

TUpDown like spin buttons.

bkDiagonal

Diagonal buttons.

bkClassic

Classis spin buttons.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.ButtonKind


TSubscriptStyle type
JEDI-VCL Reference

TSubscriptStyle type

See Also	Edit topic

Identifies styles for characters.

Pascal

TSubscriptStyle = (ssNone, ssSubscript, ssSuperscript);

File

JvRichEdit

Description

Use the TSubscriptStyle type to specify a style for characters, either normal, subscript or superscript.

Members

ssNone

Normal style.

ssSubscript

Subscript style

ssSuperscript

Superscript style.

Created with Doc-O-Matic.


See Also

SubscriptStyle


TTagInfo type
JEDI-VCL Reference

TTagInfo type

See Also	Edit topic

Represents information about HTML tags and attributes defined for use in the TJvHTMLParser component.

Pascal

PTagInfo = ^TTagInfo;
TTagInfo = record
  BeginPos: Integer;
  EndPos: Integer;
  BeginContext: Integer;
  EndContext: Integer;
  Key: Integer;
  end;

File

JvHtmlParser

Description

TTagInfo is a record type that represents information about HTML tags and attributes found in HTML parsed using the TJvHTMLParser component. Member variables in TTagInfo are used to store both the tag positions and context positions for an HTML tag with the specified key.

Instances of TTagInfo are created and stored in the TTagInfoList list type used during parsing and event notifications in the TJvHTMLParser.AnalyseString method.

Members

BeginPos: Integer;

Position or offset to the beginning of an HTML tag.

EndPos: Integer;

Position or offset to the end of an HTML tag.

BeginContext: Integer;

Position or offset to the beginning of the context for an HTML tag.

EndContext: Integer;

Position or offset to the end of the context for an HTML tag.

Key: Integer;

Ordinal position of the HTML tag in the list of defined HTML tags.

Created with Doc-O-Matic.


See Also

TTagInfoList, TJvHTMLParser.AnalyseString EndPos BeginPos EndContext BeginContext


TTrayVisibility type
JEDI-VCL Reference

TTrayVisibility type

Edit topic

Defines values describing options and default appearance for the tray icon.

Pascal

TTrayVisibility = (tvVisibleTaskBar, tvVisibleTaskList, tvAutoHide, tvAutoHideIcon, tvVisibleDesign, tvRestoreClick, tvRestoreDbClick, tvMinimizeClick, tvMinimizeDbClick, tvAnimateToTray);
TTrayVisibilities = set of TTrayVisibility;

File

JvTrayIcon

Description

The TTrayVisibility type defines values describing options and default appearance for the tray icon.

TTrayVisibilities is a set of TTrayVisibility values.

Members

tvVisibleTaskBar

Indicates whether the application and the application button on the taskbar are visible.

Use this flag at run-time to show or hide the application. For example removing this flag from Visibility will hide the application.

Use this flag at design-time to indicate whether the application and the application button must be visible when the application starts up. If you want to hide the application at start-up, exclude the tvVisibleTaskBar flag from the Visibility and make sure that the Visible property of the form where on the tray icon component is dropped is set to false.

tvVisibleTaskList

(Windows 95, 98 and me.) Shows the application in the windows task manager application. This is default behavior. If this flag is not set, TJvTrayIcon removes the application from the task manager: the application prevent itself from being closed when the user logs off. The application close only when the system is shut down.

tvAutoHide

Automatically removes the application button from the taskbar when the user minimizes the application.

tvAutoHideIcon

Automatically removes the icon from the tray area when the application is visible.

tvVisibleDesign

Shows the tray icon in the traybar notification area at design-time.

tvRestoreClick

Automatically restores the application and the visibility of the application button on the taskbar, when the user clicks the tray icon with the left button.

tvRestoreDbClick

Automatically restores the application and the visibility of the application button on the taskbar, when the user double-clicks the tray icon. Assigning an OnDblClick event handler overrides this behavior.

tvMinimizeClick

Automatically hides the application and removes the application button from the taskbar, when the user clicks the tray icon with the left button.

tvMinimizeDbClick

Automatically hides the application and removes the application button from the taskbar, when the user double-clicks the tray icon. Assigning an OnDblClick event handler overrides this behavior.

tvAnimateToTray

Not documented

Created with Doc-O-Matic.


TUnderlineColor type
JEDI-VCL Reference

TUnderlineColor type

Edit topic

Enumerates colors for underlines.

Pascal

TUnderlineColor = (ucBlack, ucBlue, ucAqua, ucLime, ucFuchsia, ucRed, ucYellow, ucWhite, ucNavy, ucTeal, ucGreen, ucPurple, ucMaroon, ucOlive, ucGray, ucSilver);

File

JvRichEdit

Description

Use the TUnderlineColor type to specify a specific color used to underline text.

Members

ucBlack

Black.

ucBlue

Blue.

ucAqua

Aqua.

ucLime

Lime.

ucFuchsia

Fuchsia.

ucRed

Red.

ucYellow

Yellow.

ucWhite

White.

ucNavy

Navy.

ucTeal

Teal.

ucGreen

Green.

ucPurple

Purple.

ucMaroon

Maroon.

ucOlive

Olive.

ucGray

Gray.

ucSilver

Silver.

Created with Doc-O-Matic.


TUnderlineType type
JEDI-VCL Reference

TUnderlineType type

See Also	Edit topic

Represents kinds of underline types.

Pascal

TUnderlineType = (utNone, utSolid, utWord, utDouble, utDotted, utDash, utDashDot, utDashDotDot, utWave, utThick);

File

JvRichEdit

Description

The TUnderlineType type is used to specify whether and how text is underlined in a rich edit control.

Members

utNone

No underline. This is the default.

utSolid

Solid underlined text.

utWord

Underline words only. The rich edit control displays the text with a solid underline.

utDouble

Double-underlined text. The rich edit control displays the text with a solid underline.

utDotted

Dotted underlined text. For versions earlier than Rich Edit 3.0, text is displayed with a solid underline.

utDash

Dashed underlined text.

utDashDot

Dash-dot underlined text.

utDashDotDot

Dash-dot-dot underlined text.

utWave

Waved underlined text.

utThick

Thick underlined text

Created with Doc-O-Matic.


See Also

UnderlineType


TUndoName type
JEDI-VCL Reference

TUndoName type

See Also	Edit topic

Represents types of rich edit control actions that can be undone or redone.

Pascal

TUndoName = (unUnknown, unTyping, unDelete, unDragDrop, unCut, unPaste);

File

JvRichEdit

Description

The TUndoName type represents types of rich edit control actions that can be undone or redone.

Members

unUnknown

The type of undo action is unknown.

unTyping

Typing operation.

unDelete

Delete operation.

unDragDrop

Drag and drop operation.

unCut

Cut operation.

unPaste

Paste operation.

Created with Doc-O-Matic.


See Also

RedoName, UndoName


TValueType type
JEDI-VCL Reference

TValueType type

See Also	Edit topic

Enumerates data types a spin edit control can contain.

Pascal

TValueType = (vtInteger, vtFloat, vtHex);

File

JvSpin

Description

Use the TValueType type to specify the type of the data a spin edit control contains.

Members

vtInteger

Integer value.

vtFloat

Float value. The user is allowed to enter a decimal separator char and the 'e' char.

vtHex

Hexadecimal value. The user is allowed to enter 'a' to 'f' chars.

Created with Doc-O-Matic.


See Also

TJvCustomSpinEdit.ValueType


TViewListItem type
JEDI-VCL Reference

TViewListItem type

Edit topic

Not documented

Pascal

TViewListItem = record
  ItemID: string;
  Flags: Integer;
  end;

File

JvDataProvider

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

ItemID: string;

Not documented

Flags: Integer;

Not documented

Created with Doc-O-Matic.


TWMDeviceChange type
JEDI-VCL Reference

TWMDeviceChange type

Edit topic

Message cracker record for WM_DEVICECHANGE

Pascal

TWMDeviceChange = record
  Msg: Cardinal;
  Event: UINT;
  dwData: Pointer;
  Result: Longint;
  end;

File

JvComputerInfoEx

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

Msg: Cardinal;

Not documented

Event: UINT;

Not documented

dwData: Pointer;

Not documented

Result: Longint;

Not documented

Created with Doc-O-Matic.


TXMLVarData type
JEDI-VCL Reference

TXMLVarData type

Edit topic

A record to hold Variant data information

Pascal

TXMLVarData = packed record
  vType: TVarType;
  Reserved1: Word;
  Reserved2: Word;
  Reserved3: Word;
  XML: TJvSimpleXMLElem;
  Reserved4: Longint;
  end;

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Members

vType: TVarType;

Type of variant

Reserved1: Word;

Reserved1

Reserved2: Word;

Reserved2

Reserved3: Word;

Reserved3

XML: TJvSimpleXMLElem;

A TJvSimpleXMLElem object

Reserved4: Longint;

Reserved4

Created with Doc-O-Matic.


TYearDigits type
JEDI-VCL Reference

TYearDigits type

See Also	Edit topic

Enumerates ways to display the year part of a date.

Pascal

TYearDigits = (dyDefault, dyFour, dyTwo);

File

JvToolEdit

Description

Use the TYearDigits type to specify the number of digits to be used to display the year part of a date.

Members

dyDefault

Uses either 2 or 4 digits for the year, depending on the number of digits used to display the year in the short date format specified in the Windows control panel.

dyFour

Uses 4 digits for the year (e.g., 1999, 2000, 2001 etc.)

dyTwo

Uses 2 digits for the year (e.g. 99, 00, 01 etc.)

Created with Doc-O-Matic.


See Also

TJvCustomDateEdit.YearDigits


EJvListViewError type
JEDI-VCL Reference

EJvListViewError type

Edit topic

Not documented

Pascal

EJvListViewError = EJVCLException;

File

JvListView

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = EJVCLException; - for reference)

Created with Doc-O-Matic.


EJvProcessError type
JEDI-VCL Reference

EJvProcessError type

Edit topic

EJvProcessError is the exception class for TJvCreateProcess components.

Pascal

EJvProcessError = EJVCLException;

File

JvCreateProcess

Description

EJvProcessError is raised when the user calls a method of TJvCreateProcess while State has an invalid value.

For example, if TJvCreateProcess is waiting for a process to end, calling Run raises an EJvProcessError error.

Created with Doc-O-Matic.


EPrintPreviewError type
JEDI-VCL Reference

EPrintPreviewError type

Edit topic

Exception class used by print preview components.

Pascal

EPrintPreviewError = Exception;

File

JvPrvwRender

Description

EPrintPreviewError is the exception class used by print preview components when errors are detected.

Created with Doc-O-Matic.


PCaptionChar type
JEDI-VCL Reference

PCaptionChar type

Edit topic

Not documented

Pascal

PCaptionChar = PChar;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = PChar; - for reference)

Created with Doc-O-Matic.


PJvVideoHdr type
JEDI-VCL Reference

PJvVideoHdr type

Edit topic

This type is equal to PVIDEOHDR.

Pascal

PJvVideoHdr = PVIDEOHDR;

File

JvAVICapture

Description

It has been created to ensure better readability.

Created with Doc-O-Matic.


PJvWaveHdr type
JEDI-VCL Reference

PJvWaveHdr type

Edit topic

This type is equal to PWAVEHDR.

Pascal

PJvWaveHdr = PWaveHdr;

File

JvAVICapture

Description

It has been created to ensure better readability.

Created with Doc-O-Matic.


PThemedElementDetails type
JEDI-VCL Reference

PThemedElementDetails type

Edit topic

Not documented

Pascal

PThemedElementDetails = Themes.PThemedElementDetails;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.PThemedElementDetails; - for reference)

Created with Doc-O-Matic.


TAggregatedPersistentExClass type
JEDI-VCL Reference

TAggregatedPersistentExClass type

Edit topic

Defines the metaclass for TAggregatedPersistentEx.

Pascal

TAggregatedPersistentExClass = class of TAggregatedPersistentEx;

File

JvDataProvider

Description

TAggregatedPersistentExClass is the metaclass for TAggregatedPersistentEx. Its value is the class reference for TAggregatedPersistentEx or for one of its descendants.

Created with Doc-O-Matic.


TBalance type
JEDI-VCL Reference

TBalance type

See Also	Edit topic

Type of the Balance property.

Pascal

TBalance = 0..100;

File

JvSoundControl

Description

Allows to set the Balance property to values 0..100.

Created with Doc-O-Matic.


See Also

TJvSoundValue.Balance


TBytes type
JEDI-VCL Reference

TBytes type

Edit topic

Not documented

Pascal

TBytes = Pointer;

File

JvTypes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TCharList type
JEDI-VCL Reference

TCharList type

Edit topic

Not documented

Pascal

TCharList = set of Char;

File

JvDBGrid

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = set of Char; - for reference)

Created with Doc-O-Matic.


TCharSet type
JEDI-VCL Reference

TCharSet type

Edit topic

Not documented

Pascal

TCharSet = TSysCharSet;

File

JvSegmentedLEDDisplay

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TSysCharSet; - for reference)

Created with Doc-O-Matic.


TClassArray type
JEDI-VCL Reference

TClassArray type

See Also	Edit topic

Dynamic TClass array.

Pascal

TClassArray = array of TClass;

File

JvDataProviderIntf

Description

TClassArray is a dynamic array of TClass pointers (class references). It's used primarily for the IJvDataProvider.ConsumerClasses method to retrieve a list of consumer services to instantiate.

Created with Doc-O-Matic.


See Also

IJvDataProvider.ConsumerClasses


TCMDenySubClassing type
JEDI-VCL Reference

TCMDenySubClassing type

Edit topic

Not documented

Pascal

TCMDenySubClassing = TMessage;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TMessage; - for reference)

Created with Doc-O-Matic.


TDevBroadcastHdr type
JEDI-VCL Reference

TDevBroadcastHdr type

See Also	Edit topic

A Delphi-style alias for DEV_BROADCAST_HDR.

Pascal

PDevBroadcastHdr = ^TDevBroadcastHdr;
TDevBroadcastHdr = DEV_BROADCAST_HDR;

File

JvComputerInfoEx

Description

For more info, see DEV_BROADCAST_HDR.

Created with Doc-O-Matic.


See Also

DEV_BROADCAST_HDR


TDevBroadcastVolume type
JEDI-VCL Reference

TDevBroadcastVolume type

See Also	Edit topic

A Delphi-style alias for DEV_BROADCAST_VOLUME.

Pascal

PDevBroadcastVolume = ^TDevBroadcastVolume;
TDevBroadcastVolume = DEV_BROADCAST_VOLUME;

File

JvComputerInfoEx

Description

For more info, see DEV_BROADCAST_VOLUME.

Created with Doc-O-Matic.


See Also

DEV_BROADCAST_VOLUME


TDrawMenuItemEvent type
JEDI-VCL Reference

TDrawMenuItemEvent type

See Also	Edit topic

This event is triggered when a menu item has to be painted by the owner

Pascal

TDrawMenuItemEvent = procedure (Sender: TMenu; Item: TMenuItem; Rect: TRect; State: TMenuOwnerDrawState) of object;

File

JvMenus

Parameters

Sender

The Menu to which the Item belongs

Item

The Item that needs to be drawn

Rect

The area in the Canvas from the menu where the item is to be painted

State

The current state of the menu

Description

Access the Canvas property of the Sender to draw the given Item in the given Rect and respecting the given State. Please note that this event will only be triggered if the Style of the Sender is msOwnerDraw

Created with Doc-O-Matic.


See Also

TJvMainMenu.OnDrawItem, TJvOwnerDrawMenuItemPainter, TJvPopupMenu.OnDrawItem


TDSACheckTextKind type
JEDI-VCL Reference

TDSACheckTextKind type

See Also	Edit topic

ID of check mark text.

Pascal

TDSACheckTextKind = type Integer;

File

JvDSADialogs

Description

TDSACheckTextKind is the type used to identify the type of check mark text to use. JvDSADialogs declares the following types:

Value	Text
ctkShow	Don't show this dialog again
ctkAsk	Don't ask me again
ctkWarn	Don't warn me again
Created with Doc-O-Matic.


See Also

RegisterDSACheckMarkText, UnregisterDSACheckMarkText


TExecOpenDialogEvent type
JEDI-VCL Reference

TExecOpenDialogEvent type

See Also	Edit topic

The type for event handlers that respond before or after a file or directory selection dialog is shown.

Pascal

TExecOpenDialogEvent = procedure (Sender: TObject; var AName: string; var AAction: Boolean) of object;

File

JvToolEdit

Parameters

Sender

The object that represents the combo edit control.

AName

The name of the file or directory that will initially be selected in the dialog or the name of the file or directory that is selected by the user in the dialog.

AAction

The result of the initialization or file selection process.

Description

TExecOpenDialogEvent is the type for event handlers that can initialize a file selection dialog or alter the result of a file selection process.

You can alter both Name and Action. For example, by setting Action to false in an OnBeforeDialog event handler, you will prevent the dialog from being shown.

Created with Doc-O-Matic.


See Also

TJvFileDirEdit.OnAfterDialog, TJvFileDirEdit.OnBeforeDialog


TFieldTypes type
JEDI-VCL Reference

TFieldTypes type

Edit topic

Set of field types allowed in the DBTree component.

Pascal

TFieldTypes = set of TFieldType;

File

JvDBTreeView

Description

TFieldTypes is set data type that contains TFieldType values allowed for columns used in the data-aware TJvDBTreeView component. TFieldTypes arguments are passed to methods in TJvDBTreeView that check for valid field types when setting the field name for properties in the component.

Created with Doc-O-Matic.


TFileExt type
JEDI-VCL Reference

TFileExt type

Edit topic

A string that represents a file extension.

Pascal

TFileExt = type string;

File

JvToolEdit

Description

Use TFileExt to represent strings that are only used for file extensions.

Created with Doc-O-Matic.


TGetImageEvent type
JEDI-VCL Reference

TGetImageEvent type

Edit topic

Not documented

Pascal

TGetImageEvent = procedure (Sender: TObject; IsEmpty: Boolean; var Graphic: TGraphic; var TextMargin: Integer) of object;

File

JvDBLookup

Parameters

Sender

Not documented

IsEmpty

Not documented

Graphic

Not documented

TextMargin

Not documented

Description

Write here a description This type is used by (for reference): TJvDBLookupEdit.OnGetImage TJvLookupControl.OnGetImage

Created with Doc-O-Matic.


TGIFBits type
JEDI-VCL Reference

TGIFBits type

Edit topic

Not documented

Pascal

TGIFBits = 1..8;

File

JvGIF

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = 1..8; - for reference)

Created with Doc-O-Matic.


THeadingStyle type
JEDI-VCL Reference

THeadingStyle type

See Also	Edit topic

Enumerates styles for paragraphs.

Pascal

THeadingStyle = 0..9;

File

JvRichEdit

Description

Use the THeadingStyle type to specify a specific built-in character and paragraph style for a paragraph.

Created with Doc-O-Matic.


See Also

TJvParaAttributes.HeadingStyle


THintString type
JEDI-VCL Reference

THintString type

Edit topic

Not documented

Pascal

THintString = string;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = string; - for reference)

Created with Doc-O-Matic.


THintStringList type
JEDI-VCL Reference

THintStringList type

Edit topic

Not documented

Pascal

THintStringList = TStringList;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TStringList; - for reference)

Created with Doc-O-Matic.


THyperLinkClick type
JEDI-VCL Reference

THyperLinkClick type

See Also	Edit topic

Type used for OnHyperLinkClick event handlers.

Pascal

THyperLinkClick = procedure (Sender: TObject; LinkName: string) of object;

File

JvHtControls

Parameters

Sender

Object signaling the event notification.

LinkName

URL for the HTML anchor clicked in the HTML-enabled control.

Description

THyperLinkClick is the type used to implement OnHyperLinkClick event handlers in TJvCustomHTLabel, TJvCustomHTListBox, TJvHTLabel, and TJvHTListBox. THyperLinkClick allows the HTML-enabled controls to respond to mouse clicks on HTML anchors in the control.

Created with Doc-O-Matic.


See Also

TJvCustomHTLabel.OnHyperLinkClick, TJvCustomHTListBox.OnHyperLinkClick, TJvHTLabel.OnHyperLinkClick, TJvHTListBox.OnHyperLinkClick


TInspectorDataEvent type
JEDI-VCL Reference

TInspectorDataEvent type

Edit topic

Not documented

Pascal

TInspectorDataEvent = procedure (Sender: TObject; Data: TJvCustomInspectorData) of object;

File

JvInspector

Parameters

Sender

Not documented

Data

Not documented

Description

This type is used by (for reference): TJvCustomInspector.AfterDataCreate TJvCustomInspector.OnDataValueChanged

Created with Doc-O-Matic.


TInspectorItemEvent type
JEDI-VCL Reference

TInspectorItemEvent type

Edit topic

Not documented

Pascal

TInspectorItemEvent = procedure (Sender: TObject; Item: TJvCustomInspectorItem) of object;

File

JvInspector

Parameters

Sender

Not documented

Item

Not documented

Description

This type is used by (for reference): TJvCustomInspector.AfterItemCreate TJvCustomInspector.OnItemValueChanged

Created with Doc-O-Matic.


TInstanceChangeEvent type
JEDI-VCL Reference

TInstanceChangeEvent type

See Also	Edit topic

The type for event handlers that respond when another application instance is created or destroyed.

Pascal

TInstanceChangeEvent = procedure (Sender: TObject; ProcessId: Cardinal) of object;

File

JvAppInst

Parameters

Sender

TJvAppInstance object.

ProcessId

The process id of the created or destroyed application instance.

Description

TInstanceChangeEvent is the type for event handlers that respond when another application instance is created or destroyed.

Created with Doc-O-Matic.


See Also

TJvAppInstances.OnInstanceCreated, TJvAppInstances.OnInstanceDestroyed


TItemImageEvent type
JEDI-VCL Reference

TItemImageEvent type

Edit topic

This event is triggered whenever a painter needs to know the image index for a menu item about to being paint.

Pascal

TItemImageEvent = procedure (Sender: TMenu; Item: TMenuItem; State: TMenuOwnerDrawState; var ImageIndex: Integer) of object;

File

JvMenus

Parameters

Sender

The menu to which the item belongs

Item

The item to be modified

State

The state of the item

ImageIndex

The image index, you can modify this value

Description

This event will be triggered if the Images property is set. If you supply a handler, then you can change the image index you set during design time. If you don't, the image index set during design time will be used

Created with Doc-O-Matic.


TItemParamsEvent type
JEDI-VCL Reference

TItemParamsEvent type

See Also	Edit topic

This event is triggered just before painting but before the GetxxImageIndex events so that you can change more specific values of the item about to be drawn

Pascal

TItemParamsEvent = procedure (Sender: TMenu; Item: TMenuItem; State: TMenuOwnerDrawState; AFont: TFont; var Color: TColor; var Graphic: TGraphic; var NumGlyphs: Integer) of object;

File

JvMenus

Parameters

Sender

The menu to which the item belongs

Item

The item to be modified

State

The state of the item

AFont

The current font for the item. Use Assign to change it

Color

The current color of the item

Graphic

The current graphic for the item. Usually nil.

NumGlyphs

The number of glyphs in the Graphic object

Description

If you don't supply a handler for this event, no change will be done to the menu item and the Item Painter will follow its default behavior

Created with Doc-O-Matic.


See Also

TJvCustomMenuItemPainter.PreparePaint


TJvAccessTimeOutFlags type
JEDI-VCL Reference

TJvAccessTimeOutFlags type

See Also	Edit topic

Encapsulates the possible flags for TJvAccessTimeOut.

Pascal

TJvAccessTimeOutFlags = set of (atfOnOffFeedback, atfTimeOutOn);

File

JvComputerInfoEx

Description

Encapsulates the flags that can be set and retrieved for TJvAccessTimeOut.Flags.

Created with Doc-O-Matic.


See Also

TJvAccessTimeOut


TJvAlterTableEvent type
JEDI-VCL Reference

TJvAlterTableEvent type

Edit topic

A TJvEDIDBBuffer event.

Pascal

TJvAlterTableEvent = TJvTableProfileEvent;

File

JvEDIDBBuffering

Description

None.

Created with Doc-O-Matic.


TJvAppInstDataKind type
JEDI-VCL Reference

TJvAppInstDataKind type

See Also	Edit topic

The type for data kinds send between applications.

Pascal

TJvAppInstDataKind = TJclAppInstDataKind;

File

JvAppInst

Description

TJvAppInstDataKind is a 32-bit value that uniquely identifies a specific data kind.

Created with Doc-O-Matic.


See Also

TJvAppInstances.SendData


TJvAppStorageCryptEvent type
JEDI-VCL Reference

TJvAppStorageCryptEvent type

See Also	Edit topic

Event to Encrypt/Decrypt Values

Pascal

TJvAppStorageCryptEvent = procedure (var Value: string) of object;

File

JvAppStorage

Parameters

Value

Value to be encrypted/decrypted.

Description

This type is used by (for reference): TJvCustomAppStorage.OnDecryptPropertyValue TJvCustomAppStorage.OnEncryptPropertyValue

Created with Doc-O-Matic.


See Also

OnDecryptPropertyValue, OnEncryptPropertyValue


TJvAppStorageListDeleteEvent type
JEDI-VCL Reference

TJvAppStorageListDeleteEvent type

See Also	Edit topic

Event type used to delete (part of) a list.

Pascal

TJvAppStorageListDeleteEvent = procedure (Sender: TJvCustomAppStorage; const Path: string; const List: TObject; const First, Last: Integer; const ItemName: string) of object;

File

JvAppStorage

Parameters

Sender

Reference to the backend storage requesting the delete.

Path

Path of the list.

List

Not documented

First

First item to remove.

Last

Last item to remove.

ItemName

Not documented

Description

The TJvAppStorageListDelete event is used to delete (part of) a list.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.WriteList


TJvAppStorageListItemEvent type
JEDI-VCL Reference

TJvAppStorageListItemEvent type

See Also	Edit topic

Event type used to read or write a list item.

Pascal

TJvAppStorageListItemEvent = procedure (Sender: TJvCustomAppStorage; const Path: string; const List: TObject; const Index: Integer; const ItemName: string) of object;

File

JvAppStorage

Parameters

Sender

Reference to the backend storage requesting the read or write.

Path

Path of the list.

List

Not documented

Index

Index of the item to read or write.

ItemName

Not documented

Description

The TJvAppStorageListItem event is used to read or write a specific item in the list.

Created with Doc-O-Matic.


See Also

TJvCustomAppStorage.ReadList, TJvCustomAppStorage.WriteList


TJvAppStorageObjectListItemCreateEvent type
JEDI-VCL Reference

TJvAppStorageObjectListItemCreateEvent type

Edit topic

Not documented

Pascal

TJvAppStorageObjectListItemCreateEvent = function (Sender: TJvCustomAppStorage; const Path: string; Index: Integer): TPersistent of object;

File

JvAppStorage

Parameters

Sender

Not documented

Path

Not documented

Index

Not documented

Description

Nothing in this unit.

Created with Doc-O-Matic.


TJvAppStorageOptionsClass type
JEDI-VCL Reference

TJvAppStorageOptionsClass type

Edit topic

Defines the metaclass for TJvCustomAppStorageOptions.

Pascal

TJvAppStorageOptionsClass = class of TJvCustomAppStorageOptions;

File

JvAppStorage

Description

TJvAppStorageOptionsClass is the metaclass for TJvCustomAppStorageOptions. Its value is the class reference for TJvCustomAppStorageOptions or for one of its descendants.

Created with Doc-O-Matic.


TJvAppStoragePropertyBaseEngineClass type
JEDI-VCL Reference

TJvAppStoragePropertyBaseEngineClass type

Edit topic

Not documented

Pascal

TJvAppStoragePropertyBaseEngineClass = class of TJvAppStoragePropertyBaseEngine;

File

JvAppStorage

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvBaseDataItemClass type
JEDI-VCL Reference

TJvBaseDataItemClass type

Edit topic

Defines the metaclass for TJvBaseDataItem.

Pascal

TJvBaseDataItemClass = class of TJvBaseDataItem;

File

JvDataProvider

Description

TJvBaseDataItemClass is the metaclass for TJvBaseDataItem. Its value is the class reference for TJvBaseDataItem or for one of its descendants.

Created with Doc-O-Matic.


TJvBaseValidatorClass type
JEDI-VCL Reference

TJvBaseValidatorClass type

Edit topic

The class type for validators.

Pascal

TJvBaseValidatorClass = class of TJvBaseValidator;

File

JvValidators

Description

TJvBaseValidatorClass is the class type for validators.

Created with Doc-O-Matic.


TJvBright type
JEDI-VCL Reference

TJvBright type

Edit topic

Indicates the level of brightness of a picture.

Pascal

TJvBright = 0..200;

File

JvSpecialImage

Description

Use the TJvBright type to indicate the level of brightness of a picture.

TJvBright ranges from 0 (dimmest) to 200 (brightest).

Created with Doc-O-Matic.


TJvChangeColorEvent type
JEDI-VCL Reference

TJvChangeColorEvent type

Edit topic

Not documented

Pascal

TJvChangeColorEvent = procedure (Sender: TObject; Foreground, Background: TColor) of object;

File

JvTypes

Parameters

Sender

Not documented

Foreground

Not documented

Background

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvCheckForFieldChangesEvent type
JEDI-VCL Reference

TJvCheckForFieldChangesEvent type

Edit topic

A TJvEDIDBBuffer event.

Pascal

TJvCheckForFieldChangesEvent = TJvTableProfileEvent;

File

JvEDIDBBuffering

Description

None.

Created with Doc-O-Matic.


TJvColorClickEvent type
JEDI-VCL Reference

TJvColorClickEvent type

See Also	Edit topic

Type of event handlers that respond to color square click events.

Pascal

TJvColorClickEvent = procedure (Sender: TObject; Button: TMouseButton; Shift: TShiftState; Color: TColor) of object;

File

JvColorBox

Parameters

Sender

The object whose event handler is called.

Button

The mouse button that was used to click the color square.

Shift

Indicates whether the Shift, Alt, or Ctrl keys are combined with the keystroke.

Color

The Color of the square

Description

Use TJvColorClickEvent to respond to color square click events.

Created with Doc-O-Matic.


See Also

TJvColorBox.OnColorClick, TJvColorSquare.OnColorClick


TJvCommonDialogClass type
JEDI-VCL Reference

TJvCommonDialogClass type

Edit topic

Defines the metaclass for TJvCommonDialog.

Pascal

TJvCommonDialogClass = class of TJvCommonDialog;

File

JvDialogActns

Description

TJvCommonDialogClass is the metaclass for TJvCommonDialog. Its value is the class reference for TJvCommonDialog or for one of its descendants.

Created with Doc-O-Matic.


TJvCommonDialogFClass type
JEDI-VCL Reference

TJvCommonDialogFClass type

Edit topic

Defines the metaclass for TJvCommonDialogF.

Pascal

TJvCommonDialogFClass = class of TJvCommonDialogF;

File

JvDialogActns

Description

TJvCommonDialogFClass is the metaclass for TJvCommonDialogF. Its value is the class reference for TJvCommonDialogF or for one of its descendants.

Created with Doc-O-Matic.


TJvCommonDialogPClass type
JEDI-VCL Reference

TJvCommonDialogPClass type

Edit topic

Defines the metaclass for TJvCommonDialogP.

Pascal

TJvCommonDialogPClass = class of TJvCommonDialogP;

File

JvDialogActns

Description

TJvCommonDialogPClass is the metaclass for TJvCommonDialogP. Its value is the class reference for TJvCommonDialogP or for one of its descendants.

Created with Doc-O-Matic.


TJvControlHook type
JEDI-VCL Reference

TJvControlHook type

See Also	Edit topic

The type for a control hook procedure.

Pascal

TJvControlHook = function (var Msg: TMessage): Boolean of object;

File

JvWndProcHook

Parameters

Msg

Represents the Windows message send to the hooked control.

Description

TJvControlHook is the type for a control hook procedure that acts like a window procedure of a control. Like most window procedures, TJvControlHook takes a message record as an argument.

The control hook should return true if it processes the message, and false if it does not. If the hook procedure is registered with parameter Order set to hoBeforeMsg, then returning true will prevent the hooked control to respond to the message.

Notes

Be careful with setting the result to true. For example, always returning true with a hook procedure that is registered with parameter Order set to hoBeforeMsg, will crash your application.

Created with Doc-O-Matic.


See Also

RegisterWndProcHook, UnRegisterWndProcHook


TJvCreateTableEvent type
JEDI-VCL Reference

TJvCreateTableEvent type

Edit topic

A TJvEDIDBBuffer event.

Pascal

TJvCreateTableEvent = TJvTableProfileEvent;

File

JvEDIDBBuffering

Description

None.

Created with Doc-O-Matic.


TJvCursorPoints type
JEDI-VCL Reference

TJvCursorPoints type

Edit topic

Data type storing the positions of the 3 points for the arrow triangle.

Pascal

TJvCursorPoints = array [0..2] of TPoint;

File

JvFullColorCtrls

Description

Do not use directly, used inside the TJvFullColorTrackBar class.

Created with Doc-O-Matic.


TJvCustomComboEditBase type
JEDI-VCL Reference

TJvCustomComboEditBase type

Edit topic

Not documented

Pascal

TJvCustomComboEditBase = TJvExCustomMaskEdit;

File

JvToolEdit

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomCsvDataSetFilterFunction type
JEDI-VCL Reference

TJvCustomCsvDataSetFilterFunction type

Edit topic

Not documented

Pascal

TJvCustomCsvDataSetFilterFunction = function (RecNo: Integer): Boolean of object;

File

JvCsvData

Parameters

RecNo

Not documented

Description

Nothing in this unit.

Created with Doc-O-Matic.


TJvCustomInspectorBase type
JEDI-VCL Reference

TJvCustomInspectorBase type

Edit topic

Not documented

Pascal

TJvCustomInspectorBase = TJvCustomControl;

File

JvInspector

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvCustomPageClass type
JEDI-VCL Reference

TJvCustomPageClass type

Edit topic

The class type of TJvCustomPage classes.

Pascal

TJvCustomPageClass = class of TJvCustomPage;

File

JvPageList

Description

TJvCustomPageClass is the class type for TJvCustomPage and descendants. This type is returned by the GetPageClass function.

Created with Doc-O-Matic.


TJvUrlGrabberClass type
JEDI-VCL Reference

TJvUrlGrabberClass type

Edit topic

Defines the metaclass for TJvUrlGrabber.

Pascal

TJvCustomUrlGrabberClass = class of TJvCustomUrlGrabber;

File

JvUrlListGrabber

Description

TJvUrlGrabberClass is the metaclass for TJvUrlGrabber. Its value is the class reference for TJvUrlGrabber or for one of its descendants.

Created with Doc-O-Matic.


TJvUrlGrabberDefaultPropertiesClass type
JEDI-VCL Reference

TJvUrlGrabberDefaultPropertiesClass type

Edit topic

Defines the metaclass for TJvUrlGrabberDefaultProperties.

Pascal

TJvCustomUrlGrabberDefaultPropertiesClass = class of TJvCustomUrlGrabberDefaultProperties;

File

JvUrlListGrabber

Description

TJvUrlGrabberDefaultPropertiesClass is the metaclass for TJvUrlGrabberDefaultProperties. Its value is the class reference for TJvUrlGrabberDefaultProperties or for one of its descendants.

Created with Doc-O-Matic.


TJvUrlGrabberThreadClass type
JEDI-VCL Reference

TJvUrlGrabberThreadClass type

Edit topic

Defines the metaclass for TJvCustomUrlGrabberThread.

Pascal

TJvCustomUrlGrabberThreadClass = class of TJvCustomUrlGrabberThread;

File

JvUrlListGrabber

Description

TJvCustomUrlGrabberThreadClass is the metaclass for TJvCustomUrlGrabberThread. Its value is the class reference for TJvCustomUrlGrabberThread or for one of its descendants.

Created with Doc-O-Matic.


TJvDataConsumerAggregatedObjectClass type
JEDI-VCL Reference

TJvDataConsumerAggregatedObjectClass type

Edit topic

Defines the metaclass for TJvDataConsumerAggregatedObject.

Pascal

TJvDataConsumerAggregatedObjectClass = class of TJvDataConsumerAggregatedObject;

File

JvDataProvider

Description

TJvDataConsumerAggregatedObjectClass is the metaclass for TJvDataConsumerAggregatedObject. Its value is the class reference for TJvDataConsumerAggregatedObject or for one of its descendants.

Created with Doc-O-Matic.


TJvDataConsumerChangeEvent type
JEDI-VCL Reference

TJvDataConsumerChangeEvent type

Edit topic

Not documented

Pascal

TJvDataConsumerChangeEvent = procedure (Sender: TJvDataConsumer; Reason: TJvDataConsumerChangeReason) of object;

File

JvDataProvider

Parameters

Sender

Not documented

Reason

Not documented

Description

This type is used by (for reference): TJvDataConsumer.OnChanged TJvDataConsumer.OnChanging

Created with Doc-O-Matic.


TJvDataContextClass type
JEDI-VCL Reference

TJvDataContextClass type

Edit topic

Defines the metaclass for TJvBaseDataContext.

Pascal

TJvDataContextClass = class of TJvBaseDataContext;

File

JvDataProvider

Description

TJvDataContextClass is the metaclass for TJvBaseDataContext. Its value is the class reference for TJvBaseDataContext or for one of its descendants.

Created with Doc-O-Matic.


TJvDataContextID type
JEDI-VCL Reference

TJvDataContextID type

Edit topic

Type used to link the context selection editor to.

Pascal

TJvDataContextID = type string;

File

JvDataProviderIntf

Description

The TJvDataContextID type is used in the consumer services to allow linking a design time editor to the Context property.

Created with Doc-O-Matic.


TJvDataContextsClass type
JEDI-VCL Reference

TJvDataContextsClass type

Edit topic

Defines the metaclass for TJvBaseDataContexts.

Pascal

TJvDataContextsClass = class of TJvBaseDataContexts;

File

JvDataProvider

Description

TJvDataContextsClass is the metaclass for TJvBaseDataContexts. Its value is the class reference for TJvBaseDataContexts or for one of its descendants.

Created with Doc-O-Matic.


TJvDataContextsManagerClass type
JEDI-VCL Reference

TJvDataContextsManagerClass type

Edit topic

Defines the metaclass for TJvBaseDataContextsManager.

Pascal

TJvDataContextsManagerClass = class of TJvBaseDataContextsManager;

File

JvDataProvider

Description

TJvDataContextsManagerClass is the metaclass for TJvBaseDataContextsManager. Its value is the class reference for TJvBaseDataContextsManager or for one of its descendants.

Created with Doc-O-Matic.


TJvDataItemID type
JEDI-VCL Reference

TJvDataItemID type

Edit topic

Type used to link the item selection editor to.

Pascal

TJvDataItemID = type string;

File

JvDataProviderIntf

Description

The TJvDataItemID type is used in the consumer services to allow linking a design time editor to the Item property.

Created with Doc-O-Matic.


TJvDataItemsClass type
JEDI-VCL Reference

TJvDataItemsClass type

Edit topic

Defines the metaclass for TJvBaseDataItems.

Pascal

TJvDataItemsClass = class of TJvBaseDataItems;

File

JvDataProvider

Description

TJvDataItemsClass is the metaclass for TJvBaseDataItems. Its value is the class reference for TJvBaseDataItems or for one of its descendants.

Created with Doc-O-Matic.


TJvDataItemTextImplClass type
JEDI-VCL Reference

TJvDataItemTextImplClass type

Edit topic

Defines the metaclass for TJvBaseDataItemTextImpl.

Pascal

TJvDataItemTextImplClass = class of TJvBaseDataItemTextImpl;

File

JvDataProvider

Description

TJvDataItemTextImplClass is the metaclass for TJvBaseDataItemTextImpl. Its value is the class reference for TJvBaseDataItemTextImpl or for one of its descendants.

Created with Doc-O-Matic.


TJvDataProviderContexts type
JEDI-VCL Reference

TJvDataProviderContexts type

Edit topic

Not documented

Pascal

TJvDataProviderContexts = type Integer;

File

JvDataProvider

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = type Integer; - for reference)

Created with Doc-O-Matic.


TJvDataProviderItemID type
JEDI-VCL Reference

TJvDataProviderItemID type

Edit topic

Not documented

Pascal

TJvDataProviderItemID = type string;

File

JvDataProvider

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = type string; - for reference)

Created with Doc-O-Matic.


TJvDataProviderTree type
JEDI-VCL Reference

TJvDataProviderTree type

Edit topic

Not documented

Pascal

TJvDataProviderTree = type Integer;

File

JvDataProvider

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = type Integer; - for reference)

Created with Doc-O-Matic.


TJvDisplayFlags type
JEDI-VCL Reference

TJvDisplayFlags type

See Also	Edit topic

Set of flags that describe the display mode of a device.

Pascal

TJvDisplayFlags = set of (dmGrayScale, dmInterlaced);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvDisplayFlags flags:

Value	Meaning
dmGrayScale	Specifies that the display is a noncolor device. If this flag is not set, color is assumed.
dmInterlaced	Specifies that the display mode is interlaced. If the flag is not set, noninterlaced is assumed.
Created with Doc-O-Matic.


See Also

TJvScreenInfo.Flags


TJvDockConjoinPanelClass type
JEDI-VCL Reference

TJvDockConjoinPanelClass type

Edit topic

Defines the metaclass for TJvDockConjoinPanel.

Pascal

TJvDockConjoinPanelClass = class of TJvDockConjoinPanel;

File

JvDockControlForm

Description

TJvDockConjoinPanelClass is the metaclass for TJvDockConjoinPanel. Its value is the class reference for TJvDockConjoinPanel or for one of its descendants.

Created with Doc-O-Matic.


TJvDockNCButtonDblClkEvent type
JEDI-VCL Reference

TJvDockNCButtonDblClkEvent type

Edit topic

Not documented

Pascal

TJvDockNCButtonDblClkEvent = TJvDockNCButtonEvent;

File

JvDockControlForm

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TJvDockNCButtonEvent; - for reference)

Created with Doc-O-Matic.


TJvDockNCButtonDownEvent type
JEDI-VCL Reference

TJvDockNCButtonDownEvent type

Edit topic

Not documented

Pascal

TJvDockNCButtonDownEvent = TJvDockNCButtonEvent;

File

JvDockControlForm

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TJvDockNCButtonEvent; - for reference)

Created with Doc-O-Matic.


TJvDockNCButtonEvent type
JEDI-VCL Reference

TJvDockNCButtonEvent type

Edit topic

Not documented

Pascal

TJvDockNCButtonEvent = procedure (DockClient: TJvDockClient; Button: TMouseButton; X, Y: Smallint; HitTest: Longint; MouseStation: TJvDockMouseStation) of object;

File

JvDockControlForm

Parameters

DockClient

Not documented

Button

Not documented

X

Not documented

Y

Not documented

HitTest

Not documented

MouseStation

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvDockNCButtonUpEvent type
JEDI-VCL Reference

TJvDockNCButtonUpEvent type

Edit topic

Not documented

Pascal

TJvDockNCButtonUpEvent = TJvDockNCButtonEvent;

File

JvDockControlForm

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TJvDockNCButtonEvent; - for reference)

Created with Doc-O-Matic.


TJvDockPaintDockEvent type
JEDI-VCL Reference

TJvDockPaintDockEvent type

Edit topic

Not documented

Pascal

TJvDockPaintDockEvent = procedure (Canvas: TCanvas; Control: TControl; const ARect: TRect) of object;

File

JvDockControlForm

Parameters

Canvas

User can use resource in Canvas parameter to draw image.

Control

The 'Dock Client Form'.

ARect

Determines area of redraw.

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvDockPaintDockGrabberEvent type
JEDI-VCL Reference

TJvDockPaintDockGrabberEvent type

Edit topic

Not documented

Pascal

TJvDockPaintDockGrabberEvent = TJvDockPaintDockEvent;

File

JvDockControlForm

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TJvDockPaintDockEvent; - for reference)

Created with Doc-O-Matic.


TJvDockPaintDockSplitterEvent type
JEDI-VCL Reference

TJvDockPaintDockSplitterEvent type

Edit topic

Not documented

Pascal

TJvDockPaintDockSplitterEvent = TJvDockPaintDockEvent;

File

JvDockControlForm

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TJvDockPaintDockEvent; - for reference)

Created with Doc-O-Matic.


TJvDockPanelClass type
JEDI-VCL Reference

TJvDockPanelClass type

Edit topic

Defines the metaclass for TJvDockPanel.

Pascal

TJvDockPanelClass = class of TJvDockPanel;

File

JvDockControlForm

Description

TJvDockPanelClass is the metaclass for TJvDockPanel. Its value is the class reference for TJvDockPanel or for one of its descendants.

Created with Doc-O-Matic.


TJvDockSplitterClass type
JEDI-VCL Reference

TJvDockSplitterClass type

Edit topic

Defines the metaclass for TJvDockSplitter.

Pascal

TJvDockSplitterClass = class of TJvDockSplitter;

File

JvDockControlForm

Description

TJvDockSplitterClass is the metaclass for TJvDockSplitter. Its value is the class reference for TJvDockSplitter or for one of its descendants.

Created with Doc-O-Matic.


TJvDockSplitterSize type
JEDI-VCL Reference

TJvDockSplitterSize type

See Also	Edit topic

The subrange type for certain TJvDockSplitterStyle properties.

Pascal

TJvDockSplitterSize = 0..32767;

File

JvDockControlForm

Description

TJvDockSplitterSize is the subrange type for certain TJvDockSplitterStyle properties.

Created with Doc-O-Matic.


See Also

TJvDockSplitterStyle.Size, TJvDockSplitterStyle.MinSize


TJvDockTabClass type
JEDI-VCL Reference

TJvDockTabClass type

Edit topic

Defines the metaclass for TJvDockTabPageControl.

Pascal

TJvDockTabClass = class of TJvDockTabPageControl;

File

JvDockControlForm

Description

TJvDockTabClass is the metaclass for TJvDockTabPageControl. Its value is the class reference for TJvDockTabPageControl or for one of its descendants.

Created with Doc-O-Matic.


TJvDoneFileEvent type
JEDI-VCL Reference

TJvDoneFileEvent type

Edit topic

Not documented

Pascal

TJvDoneFileEvent = procedure (Sender: TObject; FileName: string; FileSize: Integer; Url: string) of object;

File

JvTypes

Parameters

Sender

Not documented

FileName

Not documented

FileSize

Not documented

Url

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvDoneStreamEvent type
JEDI-VCL Reference

TJvDoneStreamEvent type

Edit topic

Not documented

Pascal

TJvDoneStreamEvent = procedure (Sender: TObject; Stream: TStream; StreamSize: Integer; Url: string) of object;

File

JvTypes

Parameters

Sender

Not documented

Stream

Not documented

StreamSize

Not documented

Url

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvDragEvent type
JEDI-VCL Reference

TJvDragEvent type

Edit topic

Drag event used by the TJvDropTarget component.

Pascal

TJvDragEvent = procedure (Sender: TJvDropTarget; var Effect: TJvDropEffect) of object;

File

JvDragDrop

Parameters

Sender

The component that sent the event.

Effect

The cursor effect to apply to the cursor.

Description

TjvDragEvent is the type for the OnDragEnter and OnDragOver events of TJvDragTarget.

Created with Doc-O-Matic.


TJvDriveChangeEvent type
JEDI-VCL Reference

TJvDriveChangeEvent type

See Also	Edit topic

Occurs when a drive is added or removed from the computer.

Pascal

TJvDriveChangeEvent = procedure (Sender: TObject; Drive: Char) of object;

File

JvComputerInfoEx

Parameters

Sender

The object that triggered the event.

Drive

The drive that was added or removed.

Description

TJvDriveChangeEvent is the event type for TJvComputerInfoEx.OnDeviceAdded and TJvComputerInfoEx.OnDeviceRemoved. These events are triggered when a device is added or removed from the computer.

Created with Doc-O-Matic.


See Also

OnDeviceAdded, OnDeviceRemoved


TJvDriverCaps type
JEDI-VCL Reference

TJvDriverCaps type

Edit topic

The capabilities of the driver on the current system.

Pascal

TJvDriverCaps = set of (dcOverlay, dcDlgVideoSource, dcDlgVideoFormat, dcDlgVideoDisplay, dcCaptureInitialized, dcSuppliesPalettes);

File

JvAVICapture

Description

This is a set of the following values. One or more may be present.

Value	Meaning
dcOverlay	The driver can do overlay rendering
dcDlgVideoSource	The driver can display a dialog to choose video source
dcDlgVideoFormat	The driver can display a dialog to choose video format
dcDlgVideoDisplay	The driver can display a dialog to choose video display
dcCaptureInitialized	The capture driver is initialized
dcSuppliesPalettes	The driver supplies palettes
Created with Doc-O-Matic.


TJvDriverIndex type
JEDI-VCL Reference

TJvDriverIndex type

Edit topic

The index of the driver to use.

Pascal

TJvDriverIndex = -1..9;

File

JvAVICapture

Description

As the maximum number of drivers in the system is 10, this type has been created to ensure the value is always correct. -1 specifies that no connection is established.

Created with Doc-O-Matic.


TJvDSADataEvent type
JEDI-VCL Reference

TJvDSADataEvent type

See Also	Edit topic

The type for event handlers that respond when the DSA state is read from or written to the DSA storage.

Pascal

TJvDSADataEvent = procedure (Sender: TObject; const DSAInfo: TDSARegItem; const Storage: TDSAStorage) of object;

File

JvDSADialogs

Parameters

Sender

reference to the TJvDSADialog component.

DSAInfo

reference to the DSA registration item for the dialog.

Storage

reference to the storage where the dialog info is stored.

Description

The event handlers for OnApplyKeysOn and OnUpdateKeys can respond when the DSA state is read from or written to the DSA storage. Use these events to retrieve or store additional (custom) data from the DSA storage related to this dialog. These events allow you to store and retrieve additional information (e.g. the ItemIndex of a combo box) along with the DSA state and modal result for the dialog.

Created with Doc-O-Matic.


See Also

TJvDSADialog.OnApplyKeys, TJvDSADialog.OnUpdateKeys


TJvEmbeddedPaintProcedure type
JEDI-VCL Reference

TJvEmbeddedPaintProcedure type

Edit topic

Not documented

Pascal

TJvEmbeddedPaintProcedure = procedure of object;

File

JvEmbeddedForms

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvErrorEvent type
JEDI-VCL Reference

TJvErrorEvent type

Edit topic

Not documented

Pascal

TJvErrorEvent = procedure (Sender: TObject; ErrorMsg: string) of object;

File

JvTypes

Parameters

Sender

Not documented

ErrorMsg

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvFileSearchEvent type
JEDI-VCL Reference

TJvFileSearchEvent type

Edit topic

Type for event handlers that finds a file or directory or starts scanning a directory in a search.

Pascal

TJvFileSearchEvent = procedure (Sender: TObject; const AName: string) of object;

File

JvSearchFiles

Parameters

Sender

The TJvSearchFiles component that has sent this event.

AName

Either the file or directory that has been found, or the directory that the component is going to scan.

Description

Use TJvFileSearchEvent to respond when a file search component finds a file or directory, or when it starts scanning a directory.

Created with Doc-O-Matic.


TJvFilterKeyFlags type
JEDI-VCL Reference

TJvFilterKeyFlags type

Edit topic

Not documented

Pascal

TJvFilterKeyFlags = set of (fkfAvailable, fkfClickOn, fkfFilterKeysOn, fkfHotkeyActive, fkfHotkeySound, fkfConfirmHotkey, fkfIndicator);

File

JvComputerInfoEx

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = set of (fkfAvailable, fkfClickOn, fkfFilterKeysOn, fkfHotKeyActive, fkfHotkeySound, fkfConfirmHotKey, fkfIndicator); - for reference)

Created with Doc-O-Matic.


TJvFocusChangeEvent type
JEDI-VCL Reference

TJvFocusChangeEvent type

Edit topic

Not documented

Pascal

TJvFocusChangeEvent = procedure (const ASender: TObject; const AFocusControl: TWinControl) of object;

File

JvTypes

Parameters

ASender

Not documented

AFocusControl

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvFourCC type
JEDI-VCL Reference

TJvFourCC type

Edit topic

Not documented

Pascal

TJvFourCC = array [0..3] of Char;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = array [0..3] of Char; - for reference)

Created with Doc-O-Matic.


TJvFTPProgressEvent type
JEDI-VCL Reference

TJvFTPProgressEvent type

Edit topic

Not documented

Pascal

TJvFTPProgressEvent = procedure (Sender: TObject; Position: Integer; Url: string) of object;

File

JvTypes

Parameters

Sender

Not documented

Position

Not documented

Url

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvFullColorArray type
JEDI-VCL Reference

TJvFullColorArray type

Edit topic

An array of TJvFullColor

Pascal

TJvFullColorArray = array [0..MaxListSize - 1] of TJvFullColor;
PJvFullColorArray = ^TJvFullColorArray;

File

JvFullColorCtrls

Description

Do not use directly, used inside TJvFullColorList.

Created with Doc-O-Matic.


TJvGetAddInControlSiteInfoEvent type
JEDI-VCL Reference

TJvGetAddInControlSiteInfoEvent type

Edit topic

Not documented

Pascal

TJvGetAddInControlSiteInfoEvent = procedure (Sender: TControl; var ASiteInfo: TJvAddInControlSiteInfo) of object;

File

JvTypes

Parameters

Sender

Not documented

ASiteInfo

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvgNeedAlign type
JEDI-VCL Reference

TJvgNeedAlign type

Edit topic

Not documented

Pascal

TJvgNeedAlign = function (Control: TControl): Boolean;

File

JvgAlignFunction

Parameters

Control

Not documented

Description

Nothing in this unit.

Created with Doc-O-Matic.


TJvGrabberNotifyEvent type
JEDI-VCL Reference

TJvGrabberNotifyEvent type

Edit topic

This is the type of the events triggered when one of the grabbers has triggered its own event to indicate a change in its state.

Pascal

TJvGrabberNotifyEvent = procedure (Sender: TJvUrlListGrabber; Grabber: TJvCustomUrlGrabber) of object;

File

JvUrlListGrabber

Parameters

Sender

The TJvUrlListGrabber object containing the grabber

Grabber

The grabber at the source of the event

Description

This type is used by (for reference): TJvUrlListGrabber.OnClosingConnection TJvUrlListGrabber.OnConnectedToServer TJvUrlListGrabber.OnConnectingToServer TJvUrlListGrabber.OnConnectionClosed TJvUrlListGrabber.OnNameResolved TJvUrlListGrabber.OnReceivingResponse TJvUrlListGrabber.OnRequestComplete TJvUrlListGrabber.OnRequestSent TJvUrlListGrabber.OnResolvingName TJvUrlListGrabber.OnResponseReceived TJvUrlListGrabber.OnSendingRequest

Created with Doc-O-Matic.


TJvgXMLSerializerException type
JEDI-VCL Reference

TJvgXMLSerializerException type

Edit topic

Defines the metaclass for XMLSerializerException.

Pascal

TJvgXMLSerializerException = class of XMLSerializerException;

File

JvgXMLSerializer

Description

TJvgXMLSerializerException is the metaclass for XMLSerializerException. Its value is the class reference for XMLSerializerException or for one of its descendants.

Created with Doc-O-Matic.


TJvHashList type
JEDI-VCL Reference

TJvHashList type

Edit topic

This is not used at the moment

Pascal

TJvHashList = array [0..25] of PJvHashRecord;
PJvHashList = ^TJvHashList;

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHighContrastFlags type
JEDI-VCL Reference

TJvHighContrastFlags type

See Also	Edit topic

Set of flags that describe properties of the high contrast accessibility feature.

Pascal

TJvHighContrastFlags = set of (hcfAvailable, hcfConfirmHotKey, hcfHighContrastOn, hcfHotkeyActive, hcfHotkeyAvailable, hcfHotkeySound, hcfIndicator);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvHighContrastFlags flags:

Value	Meaning
hcfAvailable	The high contrast feature is available.
hcfConfirmHotKey	A confirmation dialog appears when the high contrast feature is activated by using the hot key.
hcfHighContrastOn	The high contrast feature is on.
hcfHotkeyActive	The user can turn the high contrast feature on and off by simultaneously pressing the left ALT, left SHIFT, and PRINT SCREEN keys.
hcfHotkeyAvailable	The hot key associated with the high contrast feature can be enabled. An application can retrieve this value, but cannot set it.
hcfHotkeySound	A siren is played when the user turns the high contrast feature on or off by using the hot key.
hcfIndicator	This flag is not implemented.
Created with Doc-O-Matic.


See Also

TJvHighContrast.Flags


TJvHoldCustomColorEvent type
JEDI-VCL Reference

TJvHoldCustomColorEvent type

Edit topic

Not documented

Pascal

TJvHoldCustomColorEvent = procedure (Sender: TObject; AColor: TColor) of object;

File

JvTypes

Parameters

Sender

Not documented

AColor

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvHookMessageEvent type
JEDI-VCL Reference

TJvHookMessageEvent type

Edit topic

Type for event handlers that let an application process messages before or after the hooked control has handled it.

Pascal

TJvHookMessageEvent = procedure (Sender: TObject; var Msg: TMessage; var Handled: Boolean) of object;

File

JvWndProcHook

Parameters

Sender

The hook component that has send this message.

Msg

Represents the Windows message that is about to be send to or just has been send to the hooked control.

Handled

Set Handled to true to specify that the message is handled, and that no other hooks, or the hooked control itself, may respond to this message.

Description

Use TJvHookMessageEvent to respond to messages send to the hooked control.

Use parameter Handled to specify whether the message is handled. Setting Handled to true will prevent other hooks or the hooked control - if it has not received the message yet - to respond to this message.

Created with Doc-O-Matic.


TJvHTTPProgressEvent type
JEDI-VCL Reference

TJvHTTPProgressEvent type

Edit topic

Not documented

Pascal

TJvHTTPProgressEvent = procedure (Sender: TObject; UserData, Position: Integer; TotalSize: Integer; Url: string; var Continue: Boolean) of object;

File

JvTypes

Parameters

Sender

Not documented

UserData

Not documented

Position

Not documented

TotalSize

Not documented

Url

Not documented

Continue

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvHWDockInfo type
JEDI-VCL Reference

TJvHWDockInfo type

See Also	Edit topic

Set of flags that describe docking states of the computer.

Pascal

TJvHWDockInfo = set of (diDocked, diUndocked, diUserSupplied, diUserDocked, diUserUndocked);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvHWDockInfo flags:

Value	Meaning
diDocked	The computer is docked. This flag is always set for desktop systems that cannot be undocked.
diUndocked	The computer is undocked. This flag is always set for desktop systems that cannot be undocked.
diUserSupplied	The current docking state is retrieved from information provided by the user in the Hardware Profiles page of the System control panel application. Windows NT 4.0: Windows NT 4.0 is not able to detect the docking state. Consequently, this flag is always set.
diUserDocked	The computer is docked, according to information provided by the user.
diUserUndocked	The computer is undocked, according to information provided by the user.
Created with Doc-O-Matic.


See Also

TJvHardwareProfile.DockInfo


TJvID3FrameClass type
JEDI-VCL Reference

TJvID3FrameClass type

See Also	Edit topic

Defines the metaclass for TJvID3Frame.

Pascal

TJvID3FrameClass = class of TJvID3Frame;

File

JvID3v2Base

Description

TJvID3FrameClass is the metaclass for TJvID3Frame. Its value is the class reference for TJvID3Frame or for one of its descendants.

Created with Doc-O-Matic.


See Also

TJvID3Frame


TJvImageComboBoxBase type
JEDI-VCL Reference

TJvImageComboBoxBase type

Edit topic

Not documented

Pascal

TJvImageComboBoxBase = TJvCustomComboBox;

File

JvListComb

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvInspAsInt64 type
JEDI-VCL Reference

TJvInspAsInt64 type

Edit topic

Not documented

Pascal

TJvInspAsInt64 = procedure (Sender: TJvInspectorEventData; var Value: Int64) of object;

File

JvInspector

Parameters

Sender

Not documented

Value

Not documented

Description

This type is used by (for reference): TJvInspectorEventData.OnGetAsInt64 TJvInspectorEventData.OnGetAsOrdinal TJvInspectorEventData.OnSetAsInt64 TJvInspectorEventData.OnSetAsOrdinal

Created with Doc-O-Matic.


TJvInspAsMethod type
JEDI-VCL Reference

TJvInspAsMethod type

Edit topic

Not documented

Pascal

TJvInspAsMethod = procedure (Sender: TJvInspectorEventData; var Value: TMethod) of object;

File

JvInspector

Parameters

Sender

Not documented

Value

Not documented

Description

This type is used by (for reference): TJvInspectorEventData.OnGetAsMethod TJvInspectorEventData.OnSetAsMethod

Created with Doc-O-Matic.


TJvInspAsSet type
JEDI-VCL Reference

TJvInspAsSet type

Edit topic

Not documented

Pascal

TJvInspAsSet = procedure (Sender: TJvInspectorEventData; var Value; var BufSize: Integer) of object;

File

JvInspector

Parameters

Sender

Not documented

Value

Not documented

BufSize

Not documented

Description

This type is used by (for reference): TJvInspectorEventData.OnGetAsSet TJvInspectorEventData.OnSetAsSet

Created with Doc-O-Matic.


TJvInspConfKeyEvent type
JEDI-VCL Reference

TJvInspConfKeyEvent type

Edit topic

Event generated before a configuration key is added.

Pascal

TJvInspConfKeyEvent = procedure (const SectionName: string; var ItemName: string; var ATypeInfo: PTypeInfo; var Allow: Boolean) of object;

File

JvInspector

Parameters

SectionName

Name of the section the key is in.

ItemName

Name of the key to be added on entry. Change this parameter to its display name.

ATypeInfo

Initially set to the type info of the string type. Change this parameter to whatever the key represents.

Allow

Initially set to True. Set it to False to prevent this key from being added.

Description

The TJvInspConfKeyEvent event is called just before a configuration key is added.

Write a handler for this event to change the display name of the key or to prevent this key from being added.

Created with Doc-O-Matic.


TJvInspConfSectionEvent type
JEDI-VCL Reference

TJvInspConfSectionEvent type

Edit topic

Event generated before a configuration section is added.

Pascal

TJvInspConfSectionEvent = procedure (var SectionName: string; var Parse: Boolean) of object;

File

JvInspector

Parameters

SectionName

Name of the section to be parsed on entry. Change this parameter to its display name.

Parse

Initially set to True. Set it to False to prevent this section from being added.

Description

The TJvInspConfSectionEvent event is called just before a configuration section is parsed.

Write a handler for this event to change the display name of the section or to prevent this section from being added.

Created with Doc-O-Matic.


TJvInspectorDataClass type
JEDI-VCL Reference

TJvInspectorDataClass type

Edit topic

Class reference for data layers.

Pascal

TJvInspectorDataClass = class of TJvCustomInspectorData;

File

JvInspector

Description

TJvInspectorDataClass is the class reference for data layer classes.

Created with Doc-O-Matic.


TJvInspectorItemClass type
JEDI-VCL Reference

TJvInspectorItemClass type

Edit topic

Class reference to inspector items.

Pascal

TJvInspectorItemClass = class of TJvCustomInspectorItem;

File

JvInspector

Description

TJvInspectorItemClass is the class reference for inspector items.

Created with Doc-O-Matic.


TJvInspectorPainterClass type
JEDI-VCL Reference

TJvInspectorPainterClass type

Edit topic

Painter class reference

Pascal

TJvInspectorPainterClass = class of TJvInspectorPainter;

File

JvInspector

Description

TJvInspectorPainterClass is the painter class reference.

Created with Doc-O-Matic.


TJvItemViewerOptionsClass type
JEDI-VCL Reference

TJvItemViewerOptionsClass type

Edit topic

Defines the metaclass for TJvCustomItemViewerOptions.

Pascal

TJvItemViewerOptionsClass = class of TJvCustomItemViewerOptions;

File

JvCustomItemViewer

Description

TJvItemViewerOptionsClass is the metaclass for TJvCustomItemViewerOptions. Its value is the class reference for TJvCustomItemViewerOptions or for one of its descendants.

Created with Doc-O-Matic.


TJvLabelBehaviorName type
JEDI-VCL Reference

TJvLabelBehaviorName type

Edit topic

A string type used for naming behaviors.

Pascal

TJvLabelBehaviorName = string;

File

JvBehaviorLabel

Description

TJvLabelBehaviorName is a string type that is used for the names of label behaviors.

Created with Doc-O-Matic.


TJvLabelBehaviorOptionsClass type
JEDI-VCL Reference

TJvLabelBehaviorOptionsClass type

Edit topic

The class type for TJvLabelBehaviorOptions.

Pascal

TJvLabelBehaviorOptionsClass = class of TJvLabelBehavior;

File

JvBehaviorLabel

Description

TJvLabelBehaviorOptionsClass defines a class type for calling code that needs a class type reference as a parameter or return a class type.

Created with Doc-O-Matic.


TJvLinkClickEvent type
JEDI-VCL Reference

TJvLinkClickEvent type

Edit topic

Not documented

Pascal

TJvLinkClickEvent = procedure (Sender: TObject; Link: string) of object;

File

JvTypes

Parameters

Sender

Not documented

Link

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvListboxChange type
JEDI-VCL Reference

TJvListboxChange type

See Also	Edit topic

Type for event handlers that let an application respond when an item is added or deleted in the list box.

Pascal

TJvListboxChange = procedure (Sender: TObject; Item: string) of object;

File

JvListBox

Parameters

Sender

The object that triggered the event.

Item

Indicates the string that has been added or deleted.

Description

Use TJvListboxChange to respond when an item is added or deleted in the list box.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnAddString, TJvCustomListBox.OnDeleteString


TJvListPropertiesUsed type
JEDI-VCL Reference

TJvListPropertiesUsed type

Edit topic

Not documented

Pascal

TJvListPropertiesUsed = set of (puFont, puColorHighlight, puColorHighlightText);

File

JvListComb

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = set of (puFont, puColorHighlight, puColorHighlightText); - for reference)

Created with Doc-O-Matic.


TJvListViewColumnSortEvent type
JEDI-VCL Reference

TJvListViewColumnSortEvent type

Edit topic

Not documented

Pascal

TJvListViewColumnSortEvent = procedure (Sender: TObject; Column: Integer; var AMethod: TJvSortMethod) of object;

File

JvTypes

Parameters

Sender

Not documented

Column

Not documented

AMethod

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvLookOutEditedEvent type
JEDI-VCL Reference

TJvLookOutEditedEvent type

Edit topic

Event that occurs when a user has changed the caption of a page or a button in a TJvLookOut at runtime.

Pascal

TJvLookOutEditedEvent = procedure (Sender: TObject; var Caption: string) of object;

File

JvLookOut

Parameters

Sender

The object that called the event.

Caption

The new caption for the object. Change the value of Caption to discard or modify the value entered by the user.

Description

TJvLookOutEditedEvent is the event type of the OnEdited event for TJvCustomLookOutButton and TJvOutlookPage.

Created with Doc-O-Matic.


TJvMonthCalSelEvent type
JEDI-VCL Reference

TJvMonthCalSelEvent type

See Also	Edit topic

Type for event handlers that respond to changes of the selection in a TJvCustomMonthCalendar descendant.

Pascal

TJvMonthCalSelEvent = procedure (Sender: TObject; StartDate, EndDate: TDateTime) of object;

File

JvCalendar

Parameters

Sender

Reference to the object generating the event. Usually this will be a TJvCustomMonthCalendar descendant.

StartDate

Starting date of the selection.

EndDate

Ending date of the selection.

Description

Use TJvMonthCalSelEvent to respond to changes in the selection in a TJvCustomMonthCalendar descendant.

Created with Doc-O-Matic.


See Also

TJvCustomMonthCalendar.OnSelChange, TJvCustomMonthCalendar.OnSelect


TJvMouseKeysFlags type
JEDI-VCL Reference

TJvMouseKeysFlags type

See Also	Edit topic

Set of flags that describe properties of the MouseKeys accessibility feature.

Pascal

TJvMouseKeysFlags = set of (mkfAvailable, mkfConfirmHotKey, mkfHotkeyActive, mkfHotkeySound, mkfIndicator, mkfMouseKeysOn, mkfModifiers, mkfReplaceNumbers);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvMouseKeysFlags flags:

Value	Meaning
mkfAvailable	The MouseKeys feature is available.
mkfConfirmHotKey	Windows 95/98, Windows 2000: A confirmation dialog box appears when the MouseKeys feature is activated by using the hot key.
mkfHotkeyActive	The user can turn the MouseKeys feature on and off by using the hot key, which is LEFT ALT+LEFT SHIFT+NUM LOCK.
mkfHotkeySound	The system plays a siren sound when the user turns the MouseKeys feature on or off by using the hot key.
mkfIndicator	Windows 95/98, Windows 2000: A visual indicator is displayed when the MouseKeys feature is on.
mkfMouseKeysOn	The MouseKeys feature is on.
mkfModifiers	Windows 95/98, Windows 2000: The CTRL key increases cursor speed by the value specified by the iCtrlSpeed member, and the SHIFT key causes the cursor to delay briefly after moving a single pixel, allowing fine positioning of the cursor. If this value is not specified, the CTRL and SHIFT keys are ignored while the user moves the mouse cursor using the arrow keys.
mkfReplaceNumbers	Windows 95/98, Windows 2000: The numeric keypad moves the mouse when the NUM LOCK key is on. If this flag is not specified, the numeric keypad moves the mouse cursor when the NUM LOCK key is off.
Created with Doc-O-Matic.


See Also

TJvMouseKeys.Flags


TJvNewColorEvent type
JEDI-VCL Reference

TJvNewColorEvent type

Edit topic

Type for event handlers that let an application respond before a color is added to a color combo box.

Pascal

TJvNewColorEvent = procedure (Sender: TObject; Color: TColor; var DisplayName: string; var AllowAdd: Boolean) of object;

File

JvColorCombo

Parameters

Sender

The TJvColorComboBox component that has sent this event.

Color

The new color added by the user.

DisplayName

The display text for the new color. It consists of the NewColorText and a number indicating the number of custom colors added by the user, so far. Alter DisplayName to change the display text for the new color.

AllowAdd

Specifies whether the add should be permitted.

Description

Use TJvNewColorEvent to conditionally prevent colors to be added to the color combo box, or to alter the DisplayName of a new color.

Created with Doc-O-Matic.


TJvNextPageEvent type
JEDI-VCL Reference

TJvNextPageEvent type

Edit topic

Not documented

Pascal

TJvNextPageEvent = procedure (Sender: TObject; PageNumber: Integer) of object;

File

JvTypes

Parameters

Sender

Not documented

PageNumber

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvNotifyParamsEvent type
JEDI-VCL Reference

TJvNotifyParamsEvent type

Edit topic

Not documented

Pascal

TJvNotifyParamsEvent = procedure (Sender: TObject; Params: Pointer) of object;

File

JvTypes

Parameters

Sender

Not documented

Params

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvNumAudioBuffer type
JEDI-VCL Reference

TJvNumAudioBuffer type

Edit topic

The number of audio buffer to use.

Pascal

TJvNumAudioBuffer = 0..10;

File

JvAVICapture

Description

As it is a system restriction to use at most 10 audio buffers, this type has been created to ensure the values are always correct.

Created with Doc-O-Matic.


TJvNumGlyphs type
JEDI-VCL Reference

TJvNumGlyphs type

See Also	Edit topic

The number of images that are in the graphic specified in the Glyph property for use on a speed button.

Pascal

TJvNumGlyphs = 1..5;

File

JvSpeedButton

Description

TJvNumGlyphs has a value between 1 and 5 (inclusive). It indicates the number of distinct bitmap images stored for a speed button.

Created with Doc-O-Matic.


See Also

TJvSpeedButton.NumGlyphs


TJvOnProgress type
JEDI-VCL Reference

TJvOnProgress type

Edit topic

Event type used when saving and loading data in a list view.

Pascal

TJvOnProgress = procedure (Sender: TObject; Progression, Total: Integer) of object;

File

JvListView

Parameters

Sender

Not documented

Progression

Not documented

Total

Not documented

Description

This type is used by (for reference): TJvListView.OnLoadProgress TJvListView.OnSaveProgress

Created with Doc-O-Matic.


TJvOnSimpleProgress type
JEDI-VCL Reference

TJvOnSimpleProgress type

See Also	Edit topic

Event triggered while reading and saving the xml file

Pascal

TJvOnSimpleProgress = procedure (Sender: TObject; const Position, Total: Integer) of object;

File

JvSimpleXml

Parameters

Sender

The TJvSimpleXML object that has done some progress

Position

The position of the progress

Total

The total possible steps

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


See Also

TJvSimpleXML.OnLoadProgress, TJvSimpleXML.OnSaveProgress


TJvOutlookBarButtonActionLinkClass type
JEDI-VCL Reference

TJvOutlookBarButtonActionLinkClass type

Edit topic

Defines the metaclass for TJvOutlookBarButtonActionLink.

Pascal

TJvOutlookBarButtonActionLinkClass = class of TJvOutlookBarButtonActionLink;

File

JvOutlookBar

Description

TJvOutlookBarButtonActionLinkClass is the metaclass for TJvOutlookBarButtonActionLink. Its value is the class reference for TJvOutlookBarButtonActionLink or for one of its descendants.

Created with Doc-O-Matic.


TJvPagePaintEvent type
JEDI-VCL Reference

TJvPagePaintEvent type

See Also	Edit topic

The type of event handlers that allow you to paint in a specific area on a canvas.

Pascal

TJvPagePaintEvent = procedure (Sender: TObject; ACanvas: TCanvas; ARect: TRect) of object;

File

JvPageList

Parameters

Sender

The class that triggered the event.

ACanvas

The canvas to draw on.

ARect

The area on the canvas to draw inside.

Description

The TJvPagePaintEvent type is the type for events that allows custom painting on a specified area of a canvas. For example, the OnAfterPaint and OnPaint events of TJvCustomPage are of this type.

Created with Doc-O-Matic.


See Also

TJvCustomPage.OnAfterPaint, TJvCustomPage.OnPaint


TJvPaletteChangeEvent type
JEDI-VCL Reference

TJvPaletteChangeEvent type

Edit topic

Not documented

Pascal

TJvPaletteChangeEvent = procedure (Sender: TObject; Wnd: THandle) of object;

File

JvComputerInfoEx

Parameters

Sender

Not documented

Wnd

Not documented

Description

This type is used by (for reference): TJvComputerInfoEx.OnPaletteChanged TJvComputerInfoEx.OnPaletteChanging

Created with Doc-O-Matic.


TJvPaletteNbColors type
JEDI-VCL Reference

TJvPaletteNbColors type

Edit topic

The number of colors in a palette.

Pascal

TJvPaletteNbColors = 0..256;

File

JvAVICapture

Description

This type has been created to enforce the system limitation of at most 256 colors in a palette.

Created with Doc-O-Matic.


TJvParentEvent type
JEDI-VCL Reference

TJvParentEvent type

Edit topic

Not documented

Pascal

TJvParentEvent = procedure (Sender: TObject; ParentWindow: THandle) of object;

File

JvTypes

Parameters

Sender

Not documented

ParentWindow

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvPercent type
JEDI-VCL Reference

TJvPercent type

Edit topic

A percentage.

Pascal

TJvPercent = 0..100;

File

JvAVICapture

Description

This type is defined to ensure that percentages in TJvCaptureSettings are not set to more than 100% or less than 0%.

Created with Doc-O-Matic.


TJvPopupWindowBase type
JEDI-VCL Reference

TJvPopupWindowBase type

Edit topic

Not documented

Pascal

TJvPopupWindowBase = TJvExCustomControl;

File

JvToolEdit

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvProgressEvent type
JEDI-VCL Reference

TJvProgressEvent type

Edit topic

Not documented

Pascal

TJvProgressEvent = procedure (Sender: TObject; Current, Total: Integer) of object;

File

JvTypes

Parameters

Sender

Not documented

Current

Not documented

Total

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TJvPropertyChangeEvent type
JEDI-VCL Reference

TJvPropertyChangeEvent type

Edit topic

Not documented

Pascal

TJvPropertyChangeEvent = procedure (Sender: TObject; const PropName: string) of object;

File

JvTypes

Parameters

Sender

Not documented

PropName

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvRGBArray type
JEDI-VCL Reference

TJvRGBArray type

Edit topic

Not documented

Pascal

PJvRGBArray = ^TJvRGBArray;
TJvRGBArray = array [0..MaxPixelCount] of TJvRGBTriple;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = array [0..MaxPixelCount - 1] of TJvRGBTriple; - for reference)

Created with Doc-O-Matic.


TJvScrollAmount type
JEDI-VCL Reference

TJvScrollAmount type

Edit topic

Used TJvScrollAmount to specify the values of ScrollAmount, ScrollIntervall and ScrollLength.

Pascal

TJvScrollAmount = 1..MaxInt;

File

JvContentScroller

Description

TJvScrollAmount ranges from 1 to 65535.

Created with Doc-O-Matic.


TJvScrollEvent type
JEDI-VCL Reference

TJvScrollEvent type

See Also	Edit topic

Type for event handlers that let an application respond when the user scrolls a scrollbar.

Pascal

TJvScrollEvent = procedure (Sender: TObject; const Msg: TWMScroll; var DontScroll: Boolean) of object;

File

JvListBox

Parameters

Sender

The object that triggered the event.

Msg

Represents the parameters of the Windows message.

DontScroll

Determines whether the list box will respond to the scroll event, and adjust the scroll bar.

Description

Use TJvScrollEvent to conditionally prevent the user from scrolling a scroll bar.

Created with Doc-O-Matic.


See Also

TJvCustomListBox.OnHorizontalScroll, TJvCustomListBox.OnVerticalScroll


TJvSegmentedLEDDigitClass type
JEDI-VCL Reference

TJvSegmentedLEDDigitClass type

Edit topic

Defines the metaclass for TJvCustomSegmentedLEDDigit.

Pascal

TJvSegmentedLEDDigitClass = class of TJvCustomSegmentedLEDDigit;

File

JvSegmentedLEDDisplay

Description

TJvSegmentedLEDDigitClass is the metaclass for TJvCustomSegmentedLEDDigit. Its value is the class reference for TJvCustomSegmentedLEDDigit or for one of its descendants.

Created with Doc-O-Matic.


TJvSegmentedLEDDigitClassName type
JEDI-VCL Reference

TJvSegmentedLEDDigitClassName type

See Also	Edit topic

Type used to specify the digit class name.

Pascal

TJvSegmentedLEDDigitClassName = type string;

File

JvSegmentedLEDDisplay

Description

The TJvSegmentedLEDDigitClassName type is used to specify the digit class name. It's primary use is to attach a property editor to it.

Created with Doc-O-Matic.


See Also

TJvCustomSegmentedLEDDisplay.DigitClassName


TJvSerialKeysFlags type
JEDI-VCL Reference

TJvSerialKeysFlags type

See Also	Edit topic

Set of flags that describe properties of the SerialKeys accessibility feature.

Pascal

TJvSerialKeysFlags = set of (serkfAvailable, serkfIndicator, serkfSerialKeysOn);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvSerialKeysFlags flags:

Value	Meaning
serkfAvailable	The SerialKeys feature is available.
serkfIndicator	This flag is not implemented.
serkfSerialKeysOn	The SerialKeys feature is on.
Created with Doc-O-Matic.


See Also

TJvSerialKeys.Flags


TJvSimpleXMLElemClass type
JEDI-VCL Reference

TJvSimpleXMLElemClass type

Edit topic

Not documented

Pascal

TJvSimpleXMLElemClass = class of TJvSimpleXMLElem;

File

JvSimpleXml

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvSimpleXMLElemCompare type
JEDI-VCL Reference

TJvSimpleXMLElemCompare type

Edit topic

A comparing function

Pascal

TJvSimpleXMLElemCompare = function (Elems: TJvSimpleXMLElems; Index1, Index2: Integer): Integer of object;

File

JvSimpleXml

Parameters

Elems

The collection of elements

Index1

Index of the first element to compare

Index2

Index of the second element to compare

Description

Compares two elements from the given collection of elements

Created with Doc-O-Matic.


TJvSimpleXMLEncodeEvent type
JEDI-VCL Reference

TJvSimpleXMLEncodeEvent type

Edit topic

Not documented

Pascal

TJvSimpleXMLEncodeEvent = procedure (Sender: TObject; var Value: string) of object;

File

JvSimpleXml

Parameters

Sender

Not documented

Value

Not documented

Description

This type is used by (for reference): TJvSimpleXML.OnDecodeValue TJvSimpleXML.OnEncodeValue

Created with Doc-O-Matic.


TJvSimpleXMLEncodeStreamEvent type
JEDI-VCL Reference

TJvSimpleXMLEncodeStreamEvent type

Edit topic

Not documented

Pascal

TJvSimpleXMLEncodeStreamEvent = procedure (Sender: TObject; InStream, OutStream: TStream) of object;

File

JvSimpleXml

Parameters

Sender

Not documented

InStream

Not documented

OutStream

Not documented

Description

This type is used by (for reference): TJvSimpleXML.OnDecodeStream TJvSimpleXML.OnEncodeStream

Created with Doc-O-Matic.


TJvSimpleXMLOptions type
JEDI-VCL Reference

TJvSimpleXMLOptions type

Edit topic

The options to apply when using the TJvSimpleXML component

Pascal

TJvSimpleXMLOptions = set of (sxoAutoCreate, sxoAutoIndent, sxoAutoEncodeValue, sxoAutoEncodeEntity, sxoDoNotSaveProlog);

File

JvSimpleXml

Description

Value	Meaning
sxoAutoCreate	If an element is accessed by name and it doesn't exist, it will be created
sxoAutoIndent	Automatically adds indentation string when outputting the xml data in character form
sxoAutoEncodeValue	Automatically encode and decode tag and attribute values when they are read from and written to persistent storage.
sxoAutoEncodeEntity	Automatically encode and decode XML built-in entities when they are read from and written to persistent storage. Note that this value is only used when sxoAutoEncodeValue is false.
Created with Doc-O-Matic.


TJvSoundSentryFlags type
JEDI-VCL Reference

TJvSoundSentryFlags type

See Also	Edit topic

Set of flags that describe properties of the SoundSentry accessibility feature.

Pascal

TJvSoundSentryFlags = set of (ssfAvailable, ssfSoundSentryOn, ssfIndicator);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvSoundSentryFlags flags:

Value	Meaning
ssfAvailable	The SoundSentry feature is available.
ssfSoundSentryOn	The SoundSentry feature is on.
ssfIndicator	This flag is not implemented.
Created with Doc-O-Matic.


See Also

TJvSoundSentry.Flags


TJvSpeedButtonHotTrackOptions type
JEDI-VCL Reference

TJvSpeedButtonHotTrackOptions type

Edit topic

Not documented

Pascal

TJvSpeedButtonHotTrackOptions = TJvHotTrackOptions;

File

JvSpeedButton

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvStickyKeysFlags type
JEDI-VCL Reference

TJvStickyKeysFlags type

See Also	Edit topic

Set of flags that describe properties of the StickyKeys accessibility feature.

Pascal

TJvStickyKeysFlags = set of (skfStickyKeysOn, skfAvailable, skfHotkeyActive, skfConfirmHotkey, skfHotkeySound, skfIndicator, skfAudibleFeedback, skfTriState, skfTwoKeysOff, skfLeftAltLatched, skfLeftCtrlLatched, skfLeftShiftLatched, skfRightAltLatched, skfRightCtrlLatched, skfRightShiftLatched, skfLeftWinLatched, skfRightWinLatched, skfLeftAltLocked, skfLeftCtrlLocked, skfLeftShiftLocked, skfRightAltLocked, skfRightCtrlLocked, skfRightShiftLocked, skfLeftWinLocked, skfRightWinLocked );

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvStickyKeysFlags flags:

Value	Meaning
skfStickyKeysOn	The StickyKeys feature is on.
skfAvailable	The StickyKeys feature is available.
skfHotkeyActive	The user can turn the StickyKeys feature on and off by pressing the SHIFT key five times.
skfConfirmHotKey	Windows 95/98, Windows 2000: A confirmation dialog appears when the StickyKeys feature is activated by using the hot key.
skfHotKeySound,	The system plays a siren sound when the user turns the StickyKeys feature on or off by using the hot key.
skfIndicator	Windows 95/98, Windows 2000: A visual indicator should be displayed when the StickyKeys feature is on.
skfAudibleFeedback	The system plays a sound when the user latches, locks, or releases modifier keys using the StickyKeys feature.
skfTriState	Pressing a modifier key twice in a row locks down the key until the user presses it a third time.
skfTwoKeysOff	Releasing a modifier key that has been pressed in combination with any other key turns off the StickyKeys feature.
skfLeftAltLatched	Windows 98, Windows 2000: The left ALT key is latched.
skfLeftCtrlLatched	Windows 98, Windows 2000: The left CTRL key is latched.
skfLeftShiftLatched	Windows 98, Windows 2000: The left SHIFT key is latched.
skfRightAltLatched	Windows 98, Windows 2000: The right ALT key is latched.
skfRightCtrlLatched	Windows 98, Windows 2000: The right CTRL key is latched.
skfRightShiftLatched,	Windows 98, Windows 2000: The right SHIFT key is latched.
skfLeftWinLatched	Windows 98, Windows 2000: The left Windows key is latched.
skfRightWinLatched	Windows 98, Windows 2000: The right Windows key is latched.
skfLeftAltLocked	Windows 98, Windows 2000: The left ALT key is locked.
skfLeftCtrlLocked	Windows 98, Windows 2000: The left CTRL key is locked.
skfLeftShiftLocked	Windows 98, Windows 2000: The left SHIFT key is locked.
skfRightAltLocked	Windows 98, Windows 2000: The right ALT key is locked.
skfRightCtrlLocked	Windows 98, Windows 2000: The right CTRL key is locked.
skfRightShiftLocked	Windows 98, Windows 2000: The right SHIFT key is locked.
skfLeftWinLocked	Windows 98, Windows 2000: The left Windows key is locked.
skfRightWinLocked	Windows 98, Windows 2000: The right Windows key is locked.
Created with Doc-O-Matic.


See Also

TJvSystemParametersInfo.StickyKeys


TJvStoredValueEvent type
JEDI-VCL Reference

TJvStoredValueEvent type

Edit topic

Type for event handlers that let an application process data after it is retrieved from or before it is saved to the storage.

Pascal

TJvStoredValueEvent = procedure (Sender: TJvStoredValue; var AValue: Variant) of object;

File

JvFormPlacement

Parameters

Sender

Identifies the storage component that is about to store AValue to a storage or has retrieved AValue from the storage.

AValue

Data value that the storage component just retrieved from or is about to save to a storage.

Description

Use TJvStoredValueEvent to edit the value of data before it is written to the storage or after it is read from the storage.

Created with Doc-O-Matic.


TJvStreamItemEvent type
JEDI-VCL Reference

TJvStreamItemEvent type

See Also	Edit topic

Type for event handlers that let an application read or write additional data to or from the stream.

Pascal

TJvStreamItemEvent = procedure (Sender: TObject; Item: TJvTimeItem; Stream: TStream) of object;

File

JvTimeLine

Parameters

Sender

The timeline view control that has written or read the item.

Item

The item that just prior to this event has been read or written.

Stream

Specifies the stream where from to read or where to write the custom data.

Description

Use the TJvStreamItemEvent type to read additional data associated with an item from the stream or write custom data associated with an item to the specified stream.

Created with Doc-O-Matic.


See Also

TJvCustomTimeLine.OnLoadItem, TJvCustomTimeLine.OnSaveItem


TJvTabBarItemEvent type
JEDI-VCL Reference

TJvTabBarItemEvent type

See Also	Edit topic

Implements an event type for selected or closing tabs.

Pascal

TJvTabBarItemEvent = procedure (Sender: TObject; Item: TJvTabBarItem) of object;

File

JvTabBar

Parameters

Sender

Tab bar control generating the event notification.

Item

Tab item for the event notification.

Description

TJvTabBarItemEvent is an object procedure that implements an event handler signaled when a tab on the tabbed-bar control is Selected or Closed.

Sender is the TJvCustomTabBar control generating the event notification.

Item is the TJvTabBarItem instance for the event notification.

TJvTabBarItemEvent is the type used to implement the OnTabSelected and OnTabClosed event handler properties in TJvCustomTabBar.

Created with Doc-O-Matic.


See Also

TJvTabBarItem, TJvTabBarItems, TJvCustomTabBar.OnTabSelected, TJvCustomTabBar.OnTabClosed


TJvTableProfileEvent type
JEDI-VCL Reference

TJvTableProfileEvent type

Edit topic

A TJvEDIDBBuffer event.

Pascal

TJvTableProfileEvent = procedure (FieldDefs: TJvEDIFieldDefs; TableName: string) of object;

File

JvEDIDBBuffering

Parameters

FieldDefs

Field definitions for the table.

TableName

A table name.

Description

The base event type for TJvCreateTableEvent, TJvCheckForFieldChangesEvent, and TJvAlterTableEvent.

Created with Doc-O-Matic.


TJvTFApptClass type
JEDI-VCL Reference

TJvTFApptClass type

Edit topic

Defines the metaclass for TJvTFAppt.

Pascal

TJvTFApptClass = class of TJvTFAppt;

File

JvTFManager

Description

TJvTFApptClass is the metaclass for TJvTFAppt. Its value is the class reference for TJvTFAppt or for one of its descendants.

Created with Doc-O-Matic.


TJvTFApptDescEvent type
JEDI-VCL Reference

TJvTFApptDescEvent type

Edit topic

Event type for getting and setting a description.

Pascal

TJvTFApptDescEvent = procedure (Sender: TObject; Appt: TJvTFAppt; var Description: string) of object;

File

JvTFManager

Parameters

Sender

The TJvTFScheduleManager that is firing the event.

Appt

Appt is a reference to the appointment whose Description property is being read/written.

Description

This event type is used for the OnGetApptDescription and OnSetApptDescription events in TJvTFScheduleManager.

Description is the appointment's description and is modifiable by you.

Created with Doc-O-Matic.


TJvTFApptEvent type
JEDI-VCL Reference

TJvTFApptEvent type

See Also	Edit topic

Event type for appointment related events.

Pascal

TJvTFApptEvent = procedure (Sender: TObject; Appt: TJvTFAppt) of object;

File

JvTFManager

Parameters

Sender

Sender will be the object that fired the event, which is most likely to be a TJvTFScheduleManager.

Appt

Appt will contain the appointment object that is being affected.

Description

The TJvTFApptEvent type is used for appointment related events such as OnPostAppt and OnDeleteAppt.

Created with Doc-O-Matic.


See Also

TJvTFScheduleManager.OnCreateAppt, TJvTFScheduleManager.OnDeleteAppt, TJvTFScheduleManager.OnDestroyAppt, TJvTFScheduleManager.OnPostAppt, TJvTFScheduleManager.OnRefreshAppt


TJvTFControlEvent type
JEDI-VCL Reference

TJvTFControlEvent type

Edit topic

Not currently used.

Pascal

TJvTFControlEvent = procedure (Sender: TObject; aControl: TJvTFControl) of object;

File

JvTFManager

Parameters

Sender

The object that called the event.

aControl

The control affected.

Description

This event type is not currently in use.

Created with Doc-O-Matic.


TJvTFDrawDWTitleEvent type
JEDI-VCL Reference

TJvTFDrawDWTitleEvent type

Edit topic

Event used to retrieve week titles.

Pascal

TJvTFDrawDWTitleEvent = procedure (Sender: TObject; aCanvas: TCanvas; ARect: TRect; DOW: TTFDayOfWeek; DWName: string) of object;

File

JvTFManager

Parameters

Sender

The object that called the event.

aCanvas

The canvas to draw on.

ARect

The area to draw in.

DOW

The day of the week.

DWName

Name of the week day.

Description

Used for an OnDrawDWTitle event, which is fired when day of week title is being drawn. aCanvas provides a canvas for custom drawing. aRect specifies the bounding rect of the DW title. DOW specifies for which day of the week the title is being drawn for. DWName specifies the name of the day of the week that will be drawn in the title.

JTF buffers all drawing to eliminate flicker. Because of the buffering, you MUST use the canvas provided by aCanvas for any custom drawing.

Created with Doc-O-Matic.


TJvTFHintClass type
JEDI-VCL Reference

TJvTFHintClass type

Edit topic

Defines the metaclass for TJvTFHint.

Pascal

TJvTFHintClass = class of TJvTFHint;

File

JvTFManager

Description

TJvTFHintClass is the metaclass for TJvTFHint. Its value is the class reference for TJvTFHint or for one of its descendants.

Created with Doc-O-Matic.


TJvTFNavEvent type
JEDI-VCL Reference

TJvTFNavEvent type

Edit topic

Occurs when a JTF control receives a navigation command from its Navigator.

Pascal

TJvTFNavEvent = procedure (Sender: TObject; aControl: TJvTFControl; SchedNames: TStringList; Dates: TJvTFDateList) of object;

File

JvTFManager

Parameters

Sender

The object that called the event.

aControl

The control that received the request.

SchedNames

Names of affected schedules

Dates

List of affected days.

Description

Write a handler for this event to take specific actions when a navigation request is received by a JTF control.

This event is not currently used.

Created with Doc-O-Matic.


TJvTFPrinterDrawEvent type
JEDI-VCL Reference

TJvTFPrinterDrawEvent type

Edit topic

Event type used in various pre-print drawing events.

Pascal

TJvTFPrinterDrawEvent = procedure (Sender: TObject; aCanvas: TCanvas; ARect: TRect; PageNum: Integer) of object;

File

JvTFManager

Parameters

Sender

The object that fired the event.

aCanvas

Provides a canvas for you to do any custom drawing on.

ARect

Provides a bounding rectangle for your drawing.

PageNum

The page that the event is being fired for

Description

TJvTFPrinterDrawEvent is the event type for TJvTFPrinter's OnDrawFooter, OnDrawHeader and OnDrawBody events.

Created with Doc-O-Matic.


TJvTFProgressEvent type
JEDI-VCL Reference

TJvTFProgressEvent type

Edit topic

Event type used to report the progress of lengthy operations.

Pascal

TJvTFProgressEvent = procedure (Sender: TObject; Current, Total: Integer) of object;

File

JvTFManager

Parameters

Sender

The object that fired the event.

Current

The current iteration of the process

Total

The total numbers of iterations the process is expected to complete.

Description

This event type is used for events that fire to inform you that a process has incrementally progressed. This type is used by OnAssembleProgress and OnPrintProgress.

Created with Doc-O-Matic.


TJvTFSchedClass type
JEDI-VCL Reference

TJvTFSchedClass type

Edit topic

Defines the metaclass for TJvTFSched.

Pascal

TJvTFSchedClass = class of TJvTFSched;

File

JvTFManager

Description

TJvTFSchedClass is the metaclass for TJvTFSched. Its value is the class reference for TJvTFSched or for one of its descendants.

Created with Doc-O-Matic.


TJvTFSchedEvent type
JEDI-VCL Reference

TJvTFSchedEvent type

Edit topic

Event type for schedule events.

Pascal

TJvTFSchedEvent = procedure (Sender: TObject; Schedule: TJvTFSched) of object;

File

JvTFManager

Parameters

Sender

The object that fired the event, which is most likely to be a TJvTFScheduleManager.

Schedule

Contains the schedule object that is being affected.

Description

The TJvTFSchedEvent type is used for schedule related events, like OnCreateSchedule, OnDestroySchedule, OnNeedAppts and OnRefreshSched.

Created with Doc-O-Matic.


TJvTFVarApptEvent type
JEDI-VCL Reference

TJvTFVarApptEvent type

Edit topic

Event type for events that might need to change an appointment.

Pascal

TJvTFVarApptEvent = procedure (Sender: TObject; var Appt: TJvTFAppt) of object;

File

JvTFManager

Parameters

Sender

The object that called the event.

Appt

The appointment that might be changed.

Description

This event type is used when the value of Appt may be changed in an event handler.

Created with Doc-O-Matic.


TJvTimeItemClickEvent type
JEDI-VCL Reference

TJvTimeItemClickEvent type

Edit topic

Type of event handlers that respond when the user clicks or double-clicks an item in a timeline view control.

Pascal

TJvTimeItemClickEvent = procedure (Sender: TObject; Item: TJvTimeItem) of object;

File

JvTimeLine

Parameters

Sender

The timeline view control in which an item is clicked.

Item

The item the user clicked or double-clicked.

Description

Use TJvTimeItemClickEvent to respond when the user clicks or double-clicks an item in a timeline view control.

Created with Doc-O-Matic.


TJvToggleKeysFlags type
JEDI-VCL Reference

TJvToggleKeysFlags type

See Also	Edit topic

Set of flags that describe properties of the ToggleKeys accessibility feature.

Pascal

TJvToggleKeysFlags = set of (tkfAvailable, tkfConfirmHotkey, tkfHotkeyActive, tkfHotkeySound, tkfToggleKeysOn);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvToggleKeysFlags flags:

Value	Meaning
tkfAvailable	The ToggleKeys feature is available.
tkfConfirmHotkey	Windows 95/98, Windows 2000: A confirmation dialog box appears when the ToggleKeys feature is activated by using the hot key.
tkfHotkeyActive	The user can turn the ToggleKeys feature on and off by holding down the NUM LOCK key for eight seconds.
tkfHotkeySound	The system plays a siren sound when the user turns the ToggleKeys feature on or off by using the hot key.
tkfToggleKeysOn	The ToggleKeys feature is on.
Created with Doc-O-Matic.


See Also

TJvSystemParametersInfo.ToggleKeys


TJvTypeInfoHelperClass type
JEDI-VCL Reference

TJvTypeInfoHelperClass type

Edit topic

Defines the metaclass for TJvTypeInfoHelper.

Pascal

TJvTypeInfoHelperClass = class of TJvTypeInfoHelper;

File

JvInspector

Description

TJvTypeInfoHelperClass is the metaclass for TJvTypeInfoHelper. Its value is the class reference for TJvTypeInfoHelper or for one of its descendants.

Created with Doc-O-Matic.


TJvUrlGrabberIndex type
JEDI-VCL Reference

TJvUrlGrabberIndex type

Edit topic

A Grabber index, defined as a new type to allow to give it a specific property editor

Pascal

TJvUrlGrabberIndex = type Integer;

File

JvUrlListGrabber

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TJvUsedEvents type
JEDI-VCL Reference

TJvUsedEvents type

Edit topic

The events to trigger if they occur.

Pascal

TJvUsedEvents = set of (ueCapControl, ueError, ueFrame, ueStatus, ueVideoStream, ueWaveStream, ueYield);

File

JvAVICapture

Description

You can decide to activate some events at some times. If you don't they won't be triggered even if their associated handler exists. The set is made of these possible values:

Value	Meaning
ueCapControl	the OnCapControl event will be triggered
ueError	the OnError event will be triggered
ueFrame	the OnFrame event will be triggered
ueStatus	the OnStatus event will be triggered
ueVideoStream	the OnVideoStream event will be triggered
ueWaveStream	the OnWaveStream event will be triggered
ueYield	the OnYield event will be triggered
Created with Doc-O-Matic.


TJvViewerAdvancedDrawEvent type
JEDI-VCL Reference

TJvViewerAdvancedDrawEvent type

See Also	Edit topic

Event type for advanced drawing.

Pascal

TJvViewerAdvancedDrawEvent = procedure (Sender: TObject; Stage: TJvViewerDrawStage; Canvas: TCanvas; R: TRect; var DefaultDraw: Boolean) of object;

File

JvCustomItemViewer

Parameters

Sender

The control that triggered the event.

Stage

The current draw stage.

Canvas

The canvas to draw on. You can modify the properties of canvas (like Color and Font) to affect the default drawing.

R

The rect area to draw in.

DefaultDraw

Set this to true to have the control perform default drawing.

Description

Not used at the moment.

Created with Doc-O-Matic.


See Also

TJvViewerAdvancedItemDrawEvent


TJvViewerAdvancedItemDrawEvent type
JEDI-VCL Reference

TJvViewerAdvancedItemDrawEvent type

See Also	Edit topic

Event type for advanced item drawing.

Pascal

TJvViewerAdvancedItemDrawEvent = procedure (Sender: TObject; Stage: TJvViewerDrawStage; Index: Integer; State: TCustomDrawState; Canvas: TCanvas; ItemRect, TextRect: TRect; var DefaultDraw: Boolean) of object;

File

JvCustomItemViewer

Parameters

Sender

The control that triggered the event.

Stage

The current draw stage.

Index

Index of the item to draw.

State

The items state.

Canvas

The canvas to draw on. You can modify the properties of canvas (like Color and Font) to affect the default drawing.

ItemRect

The rect area of the item excluding the text area.

TextRect

The text area of the control.

DefaultDraw

Set this to true to have the control perform default drawing.

Description

Not used at the moment.

Created with Doc-O-Matic.


See Also

TJvViewerAdvancedDrawEvent


TJvViewerItemClass type
JEDI-VCL Reference

TJvViewerItemClass type

Edit topic

Defines the metaclass for TJvViewerItem.

Pascal

TJvViewerItemClass = class of TJvViewerItem;

File

JvCustomItemViewer

Description

TJvViewerItemClass is the metaclass for TJvViewerItem. Its value is the class reference for TJvViewerItem or for one of its descendants.

Created with Doc-O-Matic.


TJvVirtualKey type
JEDI-VCL Reference

TJvVirtualKey type

Edit topic

The type of a virtual key

Pascal

TJvVirtualKey = type Integer;

File

JvAVICapture

Description

This type is defined to allow to have a custom design editor that will ensure the virtual key value is always valid

Created with Doc-O-Matic.


TJvWindowsArrange type
JEDI-VCL Reference

TJvWindowsArrange type

See Also	Edit topic

Set of flags that describes starting positions and a directions, and is used to specify how the system arranges windows.

Pascal

TJvWindowsArrange = set of (waDown, waLeft, waRight, waUp, waBottomLeft, waBottomRight, waHide, waTopLeft, waTopRight);

File

JvComputerInfoEx

Description

The following table indicates the meaning of the various TJvWindowsArrange flags:

Value	Meaning
waDown	Arrange vertically, top to bottom.
waLeft	Arrange horizontally, left to right.
waRight	Arrange horizontally, right to left.
waUp	Arrange vertically, bottom to top.
waBottomLeft	Start at the lower-left corner of the screen (default position).
waBottomRight	Start at the lower-right corner of the screen.
waHide	Hide minimized windows by moving them off the visible area of the screen.
waTopLeft	Start at the upper-left corner of the screen.
waTopRight	Start at the upper-right corner of the screen.
Created with Doc-O-Matic.


See Also

TJvMetricsInfo.Arrange, TJvMinimizedMetrics.Arrange


TJvWizardButtonControlClass type
JEDI-VCL Reference

TJvWizardButtonControlClass type

Edit topic

Defines the metaclass for TJvWizardButtonControl.

Pascal

TJvWizardButtonControlClass = class of TJvWizardButtonControl;

File

JvWizard

Description

TJvWizardButtonControlClass is the metaclass for TJvWizardButtonControl. Its value is the class reference for TJvWizardButtonControl or for one of its descendants.

Created with Doc-O-Matic.


TJvWizardChangePageEvent type
JEDI-VCL Reference

TJvWizardChangePageEvent type

Edit topic

Defines the event type used when the active page in a wizard is changed.

Pascal

TJvWizardChangePageEvent = procedure (Sender: TObject; const FromPage: TJvWizardCustomPage) of object;

File

JvWizard

Parameters

Sender

The wizard that called the event.

FromPage

The current or next page depending on the event. If it is an OnExitPage event, Page is the page that is receiving focus. If it is an OnEnterPage event, Page is the page losing focus. Note that Page can be nil.

Description

TJvWizardChangePageEvent is the type of the TJvWizardCustomPage.OnEnterPage and TJvWizardCustomPage.OnExitPage events.

Created with Doc-O-Matic.


TJvWizardImageLeftRight type
JEDI-VCL Reference

TJvWizardImageLeftRight type

See Also	Edit topic

Defines a subrange of TJvWizardImageAlignment containing iaLeft and iaRight.

Pascal

TJvWizardImageLeftRight = iaLeft..iaRight;

File

JvWizardCommon

Description

TJvWizardImageLeftRight is a subrange of TJvWizardImageAlignment.

Created with Doc-O-Matic.


See Also

JvWizardDrawImage, TJvWizardImageAlignment


TJvWizardPageClickEvent type
JEDI-VCL Reference

TJvWizardPageClickEvent type

Edit topic

Event type used by events that are triggered by clicking on the buttons of a wizard control.

Pascal

TJvWizardPageClickEvent = procedure (Sender: TObject; var Stop: Boolean) of object;

File

JvWizard

Parameters

Sender

The control that triggered the event.

Stop

Set this to true to cancel the operation of the button. For example, if the button is a "Next" button, setting Stop to true, will prevent the control to move to the next page.

Description

TJvWizardPageClickEvent is the event type of the navigation events of a TJvWizard, like OnBackButtonClick and OnNextButtonClick among others.

Created with Doc-O-Matic.


TJvWizardSelectPageEvent type
JEDI-VCL Reference

TJvWizardSelectPageEvent type

See Also	Edit topic

Occurs when the selected page changes.

Pascal

TJvWizardSelectPageEvent = procedure (Sender: TObject; FromPage: TJvWizardCustomPage; var ToPage: TJvWizardCustomPage) of object;

File

JvWizard

Parameters

Sender

The wizard that triggered the event.

FromPage

The previously selected page. This parameter can be nil.

ToPage

The currently selected page. This parameter can be nil.

Description

TJvWizardSelectPageEvent is an event type used by several events in TJvWizard.

Created with Doc-O-Matic.


See Also

TJvWizard.OnSelectFirstPage, TJvWizard.OnSelectLastPage, TJvWizard.OnSelectNextPage, TJvWizard.OnSelectPriorPage


TJvXPBarItemClass type
JEDI-VCL Reference

TJvXPBarItemClass type

Edit topic

Defines the metaclass for TJvXPBarItem.

Pascal

TJvXPBarItemClass = class of TJvXPBarItem;

File

JvXPBar

Description

TJvXPBarItemClass is the metaclass for TJvXPBarItem. Its value is the class reference for TJvXPBarItem or for one of its descendants.

Created with Doc-O-Matic.


TJvXPBarItemsClass type
JEDI-VCL Reference

TJvXPBarItemsClass type

Edit topic

Defines the metaclass for TJvXPBarItems.

Pascal

TJvXPBarItemsClass = class of TJvXPBarItems;

File

JvXPBar

Description

TJvXPBarItemsClass is the metaclass for TJvXPBarItems. Its value is the class reference for TJvXPBarItems or for one of its descendants.

Created with Doc-O-Matic.


TJvXPBarOnCollapsedChangeEvent type
JEDI-VCL Reference

TJvXPBarOnCollapsedChangeEvent type

Edit topic

The event type for the collapse change events of a TJvXPCustomWinXPBar.

Pascal

TJvXPBarOnCollapsedChangeEvent = procedure (Sender: TObject; Collapsing: Boolean) of object;

File

JvXPBar

Parameters

Sender

The control that triggered the event.

Collapsing

True if the control is collapsing, False otherwise.

Description

TJvXPBarOnCollapsedChangeEvent is the event type used for the AfterCollapsedChange, BeforeCollapsedChange and OnCollapsedChange events in a TJvXPCustomWinXPBar.

Created with Doc-O-Matic.


TJvXPBarOwnerDrawEvent type
JEDI-VCL Reference

TJvXPBarOwnerDrawEvent type

Edit topic

Not documented

Pascal

TJvXPBarOwnerDrawEvent = procedure (Sender: TObject; ACanvas: TCanvas; var ARect: TRect) of object;

File

JvXPBar

Parameters

Sender

Not documented

ACanvas

Not documented

ARect

Not documented

Description

This type is used by (for reference): TJvXPCustomWinXPBar.OnDrawBackground TJvXPCustomWinXPBar.OnDrawHeader

Created with Doc-O-Matic.


TJvXPBarRollDelay type
JEDI-VCL Reference

TJvXPBarRollDelay type

Edit topic

Indicates the delay between roll events.

Pascal

TJvXPBarRollDelay = 1..200;

File

JvXPBar

Description

TJvXPBarRollDelay is the type of the RollDelay property of a TJvXPCustomWinXPBar.

Created with Doc-O-Matic.


TJvXPBarRollStep type
JEDI-VCL Reference

TJvXPBarRollStep type

Edit topic

Indicates the number of steps in a roll event.

Pascal

TJvXPBarRollStep = 1..50;

File

JvXPBar

Description

TJvXPBarRollStep is used as the type of the RollStep property of TJvXPCustomWinXPBar.

Created with Doc-O-Matic.


TJvXPGradientColors type
JEDI-VCL Reference

TJvXPGradientColors type

See Also	Edit topic

Defines the number of colors a gradient can contain.

Pascal

TJvXPGradientColors = 2..255;

File

JvXPCore

Description

TJvXPGradientColors is used for the Colors property of TJvXPGradient and defines the allowable range of colors in the gradient.

Created with Doc-O-Matic.


See Also

TJvXPGradient


TMeasureMenuItemEvent type
JEDI-VCL Reference

TMeasureMenuItemEvent type

Edit topic

This is the type of the OnMeasureItem event

Pascal

TMeasureMenuItemEvent = procedure (Sender: TMenu; Item: TMenuItem; var Width, Height: Integer) of object;

File

JvMenus

Parameters

Sender

The menu containing the item

Item

The item to measure

Width

On output, must contain the width of the item

Height

On output, must contain the height of the item

Description

This event is triggered when an item needs measuring

Created with Doc-O-Matic.


TMenuOwnerDrawState type
JEDI-VCL Reference

TMenuOwnerDrawState type

Edit topic

This is the state of a menu item

Pascal

TMenuOwnerDrawState = set of (mdSelected, mdGrayed, mdDisabled, mdChecked, mdFocused, mdDefault, mdHotlight, mdInactive);

File

JvMenus

Description

A value of that type can contain one or more of the following values:

mdSelected

mdGrayed

mdDisabled

mdChecked

mdFocused

mdDefault

mdHotlight

mdInactive

Created with Doc-O-Matic.


TOnExportProgress type
JEDI-VCL Reference

TOnExportProgress type

Edit topic

Not documented

Pascal

TOnExportProgress = procedure (Progress: Integer) of object;

File

JvgExport

Parameters

Progress

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TOnJvInspectorSetItemColors type
JEDI-VCL Reference

TOnJvInspectorSetItemColors type

Edit topic

Not documented

Pascal

TOnJvInspectorSetItemColors = procedure (Item: TJvCustomInspectorItem; Canvas: TCanvas) of object;

File

JvInspector

Parameters

Item

Not documented

Canvas

Not documented

Description

This type is used by (for reference): TJvInspectorBorlandPainter.OnSetItemColors TJvInspectorDotNETPainter.OnSetItemColors

Created with Doc-O-Matic.


TOutlookBarEditCaption type
JEDI-VCL Reference

TOutlookBarEditCaption type

See Also	Edit topic

The type for event handlers dealing with runtime editing of captions on outlook bar pages and buttons.

Pascal

TOutlookBarEditCaption = procedure (Sender: TObject; var NewText: string; Index: Integer; var Allow: Boolean) of object;

File

JvOutlookBar

Parameters

Sender

The class that triggered the event.

NewText

The text the user typed. This can be changed in the event handler.

Index

The index of the page or button that has been edited.

Allow

Set to false to cancel the changes, set to true to accept the new text.

Description

Use TOutlookBarEditCaption to respond when the user has changed the caption of a button or page.

Created with Doc-O-Matic.


See Also

TJvOutlookBar.OnEditButton, TJvOutlookBar.OnEditPage


TPointArray type
JEDI-VCL Reference

TPointArray type

Edit topic

Dynamic array of TPoint items.

Pascal

TPointArray = array of TPoint;

File

JvSegmentedLEDDisplay

Description

TPointArray represents a dynamic array of TPoint items. It's used by the TSegmentRenderInfo record.

Created with Doc-O-Matic.


TPositiveInt type
JEDI-VCL Reference

TPositiveInt type

Edit topic

Not documented

Pascal

TPositiveInt = 1..MaxInt;

File

JvTextListBox

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = 1..MaxInt; - for reference)

Created with Doc-O-Matic.


TProgress type
JEDI-VCL Reference

TProgress type

See Also	Edit topic

Type for event handlers that provide feedback during load or save operations.

Pascal

TProgress = procedure (Sender: TObject; Progression, Total: Integer) of object;

File

JvStringGrid

Parameters

Sender

The grid that is in the process of loading or saving a grid.

Progression

Indicates how much of the load or save operation has already been completed, on a scale of 0 to Total.

Total

Specifies a value that must be reached by Progression to complete the operation.

Description

Use TProgress to provide the user with feedback during load or save operations.

Created with Doc-O-Matic.


See Also

TJvStringGrid.OnLoadProgress TJvStringGrid.OnSaveProgress


TProviderNotifyEvent type
JEDI-VCL Reference

TProviderNotifyEvent type

Edit topic

Not documented

Pascal

TProviderNotifyEvent = procedure (ADataProvider: IJvDataProvider; AReason: TDataProviderChangeReason; Source: IUnknown) of object;

File

JvDataProvider

Parameters

ADataProvider

Not documented

AReason

Not documented

Source

Not documented

Description

This type is used by (for reference): TJvDataConsumer.OnProviderChanged TJvDataConsumer.OnProviderChanging TJvProviderNotification.OnChanged TJvProviderNotification.OnChanging

Created with Doc-O-Matic.


TRGBPalette type
JEDI-VCL Reference

TRGBPalette type

Edit topic

Not documented

Pascal

PRGBPalette = ^TRGBPalette;
TRGBPalette = array [Byte] of TRGBQuad;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = array [Byte] of TRGBQuad; - for reference)

Created with Doc-O-Matic.


TRGBQuadArray type
JEDI-VCL Reference

TRGBQuadArray type

Edit topic

Not documented

Pascal

PRGBQuadArray = ^TRGBQuadArray;
TRGBQuadArray = array [0..MaxPixelCount] of TRGBQuad;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = array [0..MaxPixelCount - 1] of TRGBQuad; - for reference)

Created with Doc-O-Matic.


TRichEditVersion type
JEDI-VCL Reference

TRichEditVersion type

See Also	Edit topic

Represents different kinds of versions for rich edit controls.

Pascal

TRichEditVersion = 1..4;

File

JvRichEdit

Description

The TRichEditVersion type represents different kinds of versions for rich edit controls, that are supported by TJvRichEdit. It ranges from 1 to 4, representing the original specification for rich edit controls 1.0, to version 4.0.

Notes

The Rich Edit 4.1. specification is not included in the TRichEditVersion type, because v4.1 only supports unicode controls, which TJvRichEdit is not.

Created with Doc-O-Matic.


See Also

RichEditVersion, TJvRichEdit


TSegmentRenderInfoArray type
JEDI-VCL Reference

TSegmentRenderInfoArray type

Edit topic

Dynamic array of TSegmentRenderInfo items.

Pascal

TSegmentRenderInfoArray = array of TSegmentRenderInfo;

File

JvSegmentedLEDDisplay

Description

TSegmentRenderInfoArray represents a dynamic array of TSegmentRenderInfo items. It's used to store rendering information for each segment.

Created with Doc-O-Matic.


TSetOfChar type
JEDI-VCL Reference

TSetOfChar type

Edit topic

Represents a set of characters.

Pascal

TSetOfChar = TSysCharSet;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = TSysCharSet; - for reference)

Created with Doc-O-Matic.


TSlantAngle type
JEDI-VCL Reference

TSlantAngle type

Edit topic

Represents the slant angle of a digit.

Pascal

TSlantAngle = 0 .. 44;

File

JvSegmentedLEDDisplay

Description

The TSlantAngle type is used to represent the slant angle of a digit. It's limited to 0 (up right) to 44 degrees

Created with Doc-O-Matic.


TTFDayOfWeek type
JEDI-VCL Reference

TTFDayOfWeek type

Edit topic

Type describing the days of a week.

Pascal

TTFDayOfWeek = JvTFUtils.TTFDayOfWeek;

File

JvTFManager

Description

Enumerates the days of the week.

Created with Doc-O-Matic.


TThemeData type
JEDI-VCL Reference

TThemeData type

Edit topic

Not documented

Pascal

TThemeData = Themes.TThemeData;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemeData; - for reference)

Created with Doc-O-Matic.


TThemedButton type
JEDI-VCL Reference

TThemedButton type

Edit topic

Not documented

Pascal

TThemedButton = Themes.TThemedButton;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedButton; - for reference)

Created with Doc-O-Matic.


TThemedClock type
JEDI-VCL Reference

TThemedClock type

Edit topic

Not documented

Pascal

TThemedClock = Themes.TThemedClock;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedClock; - for reference)

Created with Doc-O-Matic.


TThemedComboBox type
JEDI-VCL Reference

TThemedComboBox type

Edit topic

Not documented

Pascal

TThemedComboBox = Themes.TThemedComboBox;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedComboBox; - for reference)

Created with Doc-O-Matic.


TThemedEdit type
JEDI-VCL Reference

TThemedEdit type

Edit topic

Not documented

Pascal

TThemedEdit = Themes.TThemedEdit;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedEdit; - for reference)

Created with Doc-O-Matic.


TThemedElement type
JEDI-VCL Reference

TThemedElement type

Edit topic

Not documented

Pascal

TThemedElement = Themes.TThemedElement;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedElement; - for reference)

Created with Doc-O-Matic.


TThemedElementDetails type
JEDI-VCL Reference

TThemedElementDetails type

Edit topic

Not documented

Pascal

TThemedElementDetails = Themes.TThemedElementDetails;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedElementDetails; - for reference)

Created with Doc-O-Matic.


TThemedExplorerBar type
JEDI-VCL Reference

TThemedExplorerBar type

Edit topic

Not documented

Pascal

TThemedExplorerBar = Themes.TThemedExplorerBar;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedExplorerBar; - for reference)

Created with Doc-O-Matic.


TThemedHeader type
JEDI-VCL Reference

TThemedHeader type

Edit topic

Not documented

Pascal

TThemedHeader = Themes.TThemedHeader;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedHeader; - for reference)

Created with Doc-O-Matic.


TThemedListview type
JEDI-VCL Reference

TThemedListview type

Edit topic

Not documented

Pascal

TThemedListview = Themes.TThemedListview;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedListview; - for reference)

Created with Doc-O-Matic.


TThemedMenu type
JEDI-VCL Reference

TThemedMenu type

Edit topic

Not documented

Pascal

TThemedMenu = Themes.TThemedMenu;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedMenu; - for reference)

Created with Doc-O-Matic.


TThemedPage type
JEDI-VCL Reference

TThemedPage type

Edit topic

Not documented

Pascal

TThemedPage = Themes.TThemedPage;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedPage; - for reference)

Created with Doc-O-Matic.


TThemedProgress type
JEDI-VCL Reference

TThemedProgress type

Edit topic

Not documented

Pascal

TThemedProgress = Themes.TThemedProgress;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedProgress; - for reference)

Created with Doc-O-Matic.


TThemedRebar type
JEDI-VCL Reference

TThemedRebar type

Edit topic

Not documented

Pascal

TThemedRebar = Themes.TThemedRebar;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedRebar; - for reference)

Created with Doc-O-Matic.


TThemedScrollBar type
JEDI-VCL Reference

TThemedScrollBar type

Edit topic

Not documented

Pascal

TThemedScrollBar = Themes.TThemedScrollBar;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedScrollBar; - for reference)

Created with Doc-O-Matic.


TThemedSpin type
JEDI-VCL Reference

TThemedSpin type

Edit topic

Not documented

Pascal

TThemedSpin = Themes.TThemedSpin;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedSpin; - for reference)

Created with Doc-O-Matic.


TThemedStartPanel type
JEDI-VCL Reference

TThemedStartPanel type

Edit topic

Not documented

Pascal

TThemedStartPanel = Themes.TThemedStartPanel;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedStartPanel; - for reference)

Created with Doc-O-Matic.


TThemedStatus type
JEDI-VCL Reference

TThemedStatus type

Edit topic

Not documented

Pascal

TThemedStatus = Themes.TThemedStatus;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedStatus; - for reference)

Created with Doc-O-Matic.


TThemedTab type
JEDI-VCL Reference

TThemedTab type

Edit topic

Not documented

Pascal

TThemedTab = Themes.TThemedTab;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedTab; - for reference)

Created with Doc-O-Matic.


TThemedTaskBand type
JEDI-VCL Reference

TThemedTaskBand type

Edit topic

Not documented

Pascal

TThemedTaskBand = Themes.TThemedTaskBand;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedTaskBand; - for reference)

Created with Doc-O-Matic.


TThemedTaskBar type
JEDI-VCL Reference

TThemedTaskBar type

Edit topic

Not documented

Pascal

TThemedTaskBar = Themes.TThemedTaskBar;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedTaskBar; - for reference)

Created with Doc-O-Matic.


TThemedToolBar type
JEDI-VCL Reference

TThemedToolBar type

Edit topic

Not documented

Pascal

TThemedToolBar = Themes.TThemedToolBar;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedToolBar; - for reference)

Created with Doc-O-Matic.


TThemedToolTip type
JEDI-VCL Reference

TThemedToolTip type

Edit topic

Not documented

Pascal

TThemedToolTip = Themes.TThemedToolTip;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedToolTip; - for reference)

Created with Doc-O-Matic.


TThemedTrackBar type
JEDI-VCL Reference

TThemedTrackBar type

Edit topic

Not documented

Pascal

TThemedTrackBar = Themes.TThemedTrackBar;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedTrackBar; - for reference)

Created with Doc-O-Matic.


TThemedTrayNotify type
JEDI-VCL Reference

TThemedTrayNotify type

Edit topic

Not documented

Pascal

TThemedTrayNotify = Themes.TThemedTrayNotify;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedTrayNotify; - for reference)

Created with Doc-O-Matic.


TThemedTreeview type
JEDI-VCL Reference

TThemedTreeview type

Edit topic

Not documented

Pascal

TThemedTreeview = Themes.TThemedTreeview;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedTreeview; - for reference)

Created with Doc-O-Matic.


TThemedWindow type
JEDI-VCL Reference

TThemedWindow type

Edit topic

Not documented

Pascal

TThemedWindow = Themes.TThemedWindow;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemedWindow; - for reference)

Created with Doc-O-Matic.


TThemeServices type
JEDI-VCL Reference

TThemeServices type

Edit topic

Not documented

Pascal

TThemeServices = Themes.TThemeServices;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = ThemeSrv {$ENDIF}.TThemeServices; - for reference)

Created with Doc-O-Matic.


TThemeServicesEx type
JEDI-VCL Reference

TThemeServicesEx type

Edit topic

Not documented

Pascal

TThemeServicesEx = TThemeServices;

File

JvThemes

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


TThemeStyle type
JEDI-VCL Reference

TThemeStyle type

Edit topic

Not documented

Pascal

TThemeStyle = TControlStyle;

File

JvThemes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = set of (csNeedsBorderPaint, csParentBackground); - for reference)

Created with Doc-O-Matic.


TTickCount type
JEDI-VCL Reference

TTickCount type

Edit topic

Not documented

Pascal

TTickCount = Cardinal;

File

JvTypes

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = Cardinal; - for reference)

Created with Doc-O-Matic.


TTimerProc type
JEDI-VCL Reference

TTimerProc type

Edit topic

Not documented

Pascal

TTimerProc = procedure (hwnd: THandle; Msg: Cardinal; idEvent: Cardinal; dwTime: Cardinal);

File

JvTypes

Parameters

hwnd

Not documented

Msg

Not documented

idEvent

Not documented

dwTime

Not documented

Description

This type is used by (for reference): Nothing in this unit.

Created with Doc-O-Matic.


TTitleClickEvent type
JEDI-VCL Reference

TTitleClickEvent type

See Also	Edit topic

Type for event handlers that respond when a column header button is clicked or double-clicked.

Pascal

TTitleClickEvent = procedure (Sender: TObject; ACol: Longint; Field: TField) of object;

File

JvDBGrid

Parameters

Sender

The grid that triggered the event.

ACol

The index of the column.

Field

The field the column displays.

Description

TTitleClickEvent is the type for event handlers that respond when a column header button is clicked or double-clicked.

Created with Doc-O-Matic.


See Also

TJvDBGrid.OnTitleBtnClick, TJvDBGrid.OnTitleBtnDblClick


TUnlitColor type
JEDI-VCL Reference

TUnlitColor type

Edit topic

Represents a color for unlit segments.

Pascal

TUnlitColor = type TColor;

File

JvSegmentedLEDDisplay

Description

The TUnlitColor type represents a color for unlit segments. It's compatible with TColor but two additional constants are registered for it:

Constant	Value	Meaning
clDefaultBackground	$20100001	Unlit color is calculated based on the current background color.
clDefaultLitColor	$20100002	Unlit color is calculated based on the difference between the lit color and background color.
Created with Doc-O-Matic.


TViewListItems type
JEDI-VCL Reference

TViewListItems type

Edit topic

Not documented

Pascal

TViewListItems = array of TViewListItem;

File

JvDataProvider

Description

You don't have to document already described items such as sets, pointers to records etc. (Value = array of TViewListItem; - for reference)

Created with Doc-O-Matic.


TViewStyles type
JEDI-VCL Reference

TViewStyles type

Edit topic

Not documented

Pascal

TViewStyles = set of TViewStyle;

File

JvListView

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


CF_CURSOR variable
JEDI-VCL Reference

CF_CURSOR variable

Edit topic

Not documented

Pascal

CF_CURSOR: UINT;

File

JvCursor

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


CF_GIF variable
JEDI-VCL Reference

CF_GIF variable

Edit topic

Clipboard format for GIF images.

Pascal

CF_GIF: UINT;

File

JvGIF

Description

The CF_GIF clipboard format is registered by calling the RegisterClipboardFormat procedure passing in 'GIF Image' as the identifier for the format.

Created with Doc-O-Matic.


CreateSpellChecker variable
JEDI-VCL Reference

CreateSpellChecker variable

Edit topic

Creates and returns an IJvSpellChecker instance if assigned.

Pascal

CreateSpellChecker: function: IJvSpellChecker = nil;

File

JvSpellIntf

Description

Call CreateSpellChecker to create an IJvSpellChecker instance. Spell checkers that implements the IJvSpellChecker, assign their own function to this pointer. If the pointer is nil, no IJvSpellChecker implementer is registered.

Since this function is actually a pointer, you should first check if it is nil before using it, i.e use a call like if Assigned(CreateSpellChecker).

Created with Doc-O-Matic.


DefaultConjoinPanelClass variable
JEDI-VCL Reference

DefaultConjoinPanelClass variable

Edit topic

Provides the default implementation class for the ConjoinPanelClass property of dock style objects.

Pascal

DefaultConjoinPanelClass: TJvDockConjoinPanelClass = TJvDockConjoinPanel;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DefaultDockPanelClass variable
JEDI-VCL Reference

DefaultDockPanelClass variable

Edit topic

Provides the default implementation class for the DockPanelClass property of dock style objects.

Pascal

DefaultDockPanelClass: TJvDockPanelClass = TJvDockPanel;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DefaultDockSplitterClass variable
JEDI-VCL Reference

DefaultDockSplitterClass variable

Edit topic

Provides the default implementation class for the DockSplitterClass property of dock style objects.

Pascal

DefaultDockSplitterClass: TJvDockSplitterClass = TJvDockSplitter;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DefaultDockTreeClass variable
JEDI-VCL Reference

DefaultDockTreeClass variable

Edit topic

Provides the default implementation class for the DockPanelTreeClass property of dock style objects.

Pascal

DefaultDockTreeClass: TJvDockTreeClass = TJvDockTree;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DefaultDockZoneClass variable
JEDI-VCL Reference

DefaultDockZoneClass variable

Edit topic

Provides the default implementation class for the DockPanelZoneClass property of dock style objects.

Pascal

DefaultDockZoneClass: TJvDockZoneClass = TJvDockZone;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


DefaultTabDockClass variable
JEDI-VCL Reference

DefaultTabDockClass variable

Edit topic

Provides the default implementation class for the TabDockClass property of dock style objects.

Pascal

DefaultTabDockClass: TJvDockTabClass = TJvDockTabPageControl;

File

JvDockControlForm

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


GIFLoadCorrupted variable
JEDI-VCL Reference

GIFLoadCorrupted variable

Edit topic

Determines if errors are reported when a GIF image is loaded.

Pascal

GIFLoadCorrupted: Boolean = True;

File

JvGIF

Description

GIFLoadCorrupted is a global variable that controls whether errors and exceptions are reported when an invalid image is loaded into a TJvGIFImage graphic. By default, this value is true.

Created with Doc-O-Matic.


JvGlobalDockClient variable
JEDI-VCL Reference

JvGlobalDockClient variable

Edit topic

Global variable that points to the currently active docking client.

Pascal

JvGlobalDockClient: TJvDockClient = nil;

File

JvDockGlobals

Description

Use JvGlobalDockClient to get and set the currently active dock client in your application.

Created with Doc-O-Matic.


JvGlobalDockIsLoading variable
JEDI-VCL Reference

JvGlobalDockIsLoading variable

Edit topic

Global variable that defines whether the docking library is currently loading or not.

Pascal

JvGlobalDockIsLoading: Boolean = False;

File

JvDockGlobals

Description

Use JvGlobalDockIsLoading to determine whether the docking library is currently loading or if has completed its initialization.

Created with Doc-O-Matic.


JvGlobalDockManager variable
JEDI-VCL Reference

JvGlobalDockManager variable

Edit topic

Global variable that points to the current drag and dock manager.

Pascal

JvGlobalDockManager: TJvGlobalDockManager = nil;

File

JvDockGlobals

Description

Use JvGlobalDockManager to determine which DockManager is currently active.

Created with Doc-O-Matic.


RichEditVersion variable
JEDI-VCL Reference

RichEditVersion variable

Edit topic

Indicates the rich edit controls version.

Pascal

RichEditVersion: TRichEditVersion;

File

JvRichEdit

Description

Read the RichEditVersion variable to determine the rich edit controls version on the current system.

The following list describes which versions of Rich Edit are included in which releases of Microsoft windows:
Windows XP SP1	Includes Rich Edit 4.1, Rich Edit 3.0, and a Rich Edit 1.0 emulator.
Windows XP	Includes Rich Edit 3.0 with a Rich Edit 1.0 emulator.
Windows Me	Includes Rich Edit 1.0 and 3.0.
Windows 2000	Includes Rich Edit 3.0 with a Rich Edit 1.0 emulator.
Windows NT 4.0	Includes Rich Edit 1.0 and 2.0.
Windows 98	Includes Rich Edit 1.0 and 2.0.
Windows 95	Includes only Rich Edit 1.0; however, Riched20.dll is compatible with Windows 95 and may be installed by an application that requires it.

But there are more versions of the Rich Edit, for example v4.0 that is included in Microsoft Visual Studio .NET.

Notes

TJvRichEdit does not support Rich Edit 4.1, which is a unicode only version.

Created with Doc-O-Matic.


mbDefault Constant
JEDI-VCL Reference

mbDefault Constant

See Also	Edit topic

Used to identify default button mapping.

Pascal

mbDefault = TMsgDlgBtn(-2);

File

JvDSADialogs

Description

mbDefault is used to identify that the default button mapping is to be used to determine the default and/or cancel button. Its primary use is for the DefaultButton and CancelButton parameters for the various MessageDlg routines.

Created with Doc-O-Matic.


See Also

mbNone


mbNone Constant
JEDI-VCL Reference

mbNone Constant

See Also	Edit topic

Used to identify no button.

Pascal

mbNone = TMsgDlgBtn(-1);

File

JvDSADialogs

Description

mbNone is used to identify that no button is to be used as a default, cancel or help button. Its primary use is for the DefaultButton, CancelButton and HelpButton parameters for the various MessageDlg routines.

Created with Doc-O-Matic.


See Also

mbDefault


JvAddPrinter.pas unit
JEDI-VCL Reference

JvAddPrinter.pas unit

Classes

Contains the TJvAddPrinterDialog component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvAddPrinter.pas unit Classes

JvAddPrinter.pas unit

Classes

TJvAddPrinterDialog

Created with Doc-O-Matic.


JvAlarms.pas unit
JEDI-VCL Reference

JvAlarms.pas unit

Classes	Types

Contains the TJvAlarms component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvAlarms.pas unit Classes

JvAlarms.pas unit

Classes

TJvAlarmItem

TJvAlarmItems

TJvAlarms

Created with Doc-O-Matic.


JvAlarms.pas unit Types

JvAlarms.pas unit

Types

TJvAlarmEvent

Created with Doc-O-Matic.


JvAnimate.pas unit
JEDI-VCL Reference

JvAnimate.pas unit

Classes

Contains the TJvAnimate component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvAnimate.pas unit Classes

JvAnimate.pas unit

Classes

TJvAnimate

Created with Doc-O-Matic.


JvAnimatedImage.pas unit
JEDI-VCL Reference

JvAnimatedImage.pas unit

Classes	Enumerations

Contains the TJvAnimatedImage component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvAnimatedImage.pas unit Enumerations

JvAnimatedImage.pas unit

Enumerations

TGlyphOrientation

Created with Doc-O-Matic.


JvAnimatedImage.pas unit Classes

JvAnimatedImage.pas unit

Classes

TJvAnimatedImage

TJvImageControl

Created with Doc-O-Matic.


JvAnimTitle.pas unit
JEDI-VCL Reference

JvAnimTitle.pas unit

Classes

Contains the TJvAnimTitle component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvAnimTitle.pas unit Classes

JvAnimTitle.pas unit

Classes

TJvAnimTitle

Created with Doc-O-Matic.


JvAppAnimatedIcon.pas unit
JEDI-VCL Reference

JvAppAnimatedIcon.pas unit

Classes

Contains the TJvAppAnimatedIcon component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvAppAnimatedIcon.pas unit Classes

JvAppAnimatedIcon.pas unit

Classes

TJvAppAnimatedIcon

Created with Doc-O-Matic.


JvAppDBStorage.pas unit
JEDI-VCL Reference

JvAppDBStorage.pas unit

Classes	Types

Contains the TJvAppDBStorage component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvAppDBStorage.pas unit Classes

JvAppDBStorage.pas unit

Classes

EJvAppDBStorageError

TJvAppDBStorage

TJvCustomAppDBStorage

Created with Doc-O-Matic.


JvAppDBStorage.pas unit Types

JvAppDBStorage.pas unit

Types

TJvDBStorageReadEvent

TJvDBStorageWriteEvent

Created with Doc-O-Matic.


JvAppHotKey.pas unit
JEDI-VCL Reference

JvAppHotKey.pas unit

Classes	Types

Contains the TJvApplicationHotKey component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvAppHotKey.pas unit Classes

JvAppHotKey.pas unit

Classes

TJvApplicationHotKey

Created with Doc-O-Matic.


JvAppHotKey.pas unit Types

JvAppHotKey.pas unit

Types

TJvHotKeyRegisterFailed

Created with Doc-O-Matic.


JvAppIniStorage.pas unit
JEDI-VCL Reference

JvAppIniStorage.pas unit

Classes	Functions

Contains the TJvAppIniStorage component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvAppIniStorage.pas unit Classes

JvAppIniStorage.pas unit

Classes

TJvAppIniFileStorage

TJvAppIniStorageOptions

TJvCustomAppIniStorage

Created with Doc-O-Matic.


JvAppIniStorage.pas unit Functions

JvAppIniStorage.pas unit

Functions

LoadPropertyStoreFromIniFile

StorePropertyStoreToIniFile

Created with Doc-O-Matic.


JvAppInst.pas unit
JEDI-VCL Reference

JvAppInst.pas unit

Classes	Types

Contains the TJvAppInstances component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvAppInst.pas unit Classes

JvAppInst.pas unit

Classes

TJvAppInstances

Created with Doc-O-Matic.


JvAppInst.pas unit Types

JvAppInst.pas unit

Types

TCmdLineReceivedEvent

TDataAvailableEvent

TInstanceChangeEvent

TJvAppInstDataKind

TUserNotifyEvent

Created with Doc-O-Matic.


JvAppRegistryStorage.pas unit
JEDI-VCL Reference

JvAppRegistryStorage.pas unit

Classes

Contains the TJvAppRegistryStorage component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvAppRegistryStorage.pas unit Classes

JvAppRegistryStorage.pas unit

Classes

TJvAppRegistryStorage

Created with Doc-O-Matic.


JvAppStorage.pas unit
JEDI-VCL Reference

JvAppStorage.pas unit

Interfaces	Classes	Enumerations	Functions	Types

Contains the interface and generic implemention for the storage backend.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvAppStorage.pas unit Classes

JvAppStorage.pas unit

Classes

EJVCLAppStorageError

TJvAppStorage

TJvAppStorageOptions

TJvAppStoragePropertyBaseEngine

TJvAppSubStorage

TJvAppSubStorages

TJvCustomAppMemoryFileStorage

TJvCustomAppStorage

TJvCustomAppStorageOptions

Created with Doc-O-Matic.


JvAppStorage.pas unit Interfaces

JvAppStorage.pas unit

Interfaces

IJvAppStorageHandler

IJvAppStoragePublishedProps

Created with Doc-O-Matic.


JvAppStorage.pas unit Enumerations

JvAppStorage.pas unit

Enumerations

TFileLocation

TJvAppStorageEnumOption

Created with Doc-O-Matic.


JvAppStorage.pas unit Functions

JvAppStorage.pas unit

Functions

RegisterAppStoragePropertyEngine

UnregisterAppStoragePropertyEngine

Created with Doc-O-Matic.


JvAppStorage.pas unit Types

JvAppStorage.pas unit

Types

TJvAppStorageCryptEvent

TJvAppStorageEnumOptions

TJvAppStorageGetFileNameEvent

TJvAppStorageListDeleteEvent

TJvAppStorageListItemEvent

TJvAppStorageObjectListItemCreateEvent

TJvAppStorageOptionsClass

TJvAppStoragePropertyBaseEngineClass

TJvAppStoragePropTranslateEvent

Created with Doc-O-Matic.


JvAppXMLStorage.pas unit
JEDI-VCL Reference

JvAppXMLStorage.pas unit

Classes	Functions

Contains the TJvAppXMLStorage component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Olivier Sannier

Version

3.00

Created with Doc-O-Matic.


JvAppXMLStorage.pas unit Classes

JvAppXMLStorage.pas unit

Classes

TJvAppXMLFileStorage

TJvAppXMLStorageOptions

TJvCustomAppXMLStorage

Created with Doc-O-Matic.


JvAppXMLStorage.pas unit Functions

JvAppXMLStorage.pas unit

Functions

LoadPropertyStoreFromXmlFile

StorePropertyStoreToXmlFile

Created with Doc-O-Matic.


JvArrowButton.pas unit
JEDI-VCL Reference

JvArrowButton.pas unit

Classes

Contains the TJvArrowButton component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvArrowButton.pas unit Classes

JvArrowButton.pas unit

Classes

TJvArrowButton

Created with Doc-O-Matic.


JvAVICapture.pas unit
JEDI-VCL Reference

JvAVICapture.pas unit

Classes	Enumerations	Types

Contains the TJvAVICapture component, a component used to display and capture video streams received from a source that is compatible with AviCAP. The most common example of such a source is a WebCam.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Olivier Sannier

Version

3.00

Created with Doc-O-Matic.


JvAVICapture.pas unit Classes

JvAVICapture.pas unit

Classes

TJvAudioFormat

TJvAVICapture

TJvCaptureSettings

TJvPalette

TJvVideoFormat

Created with Doc-O-Matic.


JvAVICapture.pas unit Enumerations

JvAVICapture.pas unit

Enumerations

TJvVideoDialog

Created with Doc-O-Matic.


JvAVICapture.pas unit Types

JvAVICapture.pas unit

Types

PJvVideoHdr

PJvWaveHdr

TJvDriverCaps

TJvDriverIndex

TJvNumAudioBuffer

TJvPaletteNbColors

TJvPercent

TJvUsedEvents

TJvVirtualKey

TOnCapControl

TOnError

TOnFrame

TOnStatus

TOnVideoStream

TOnWaveStream

TOnYield

Created with Doc-O-Matic.


JvBalloonHint.pas unit
JEDI-VCL Reference

JvBalloonHint.pas unit

Classes	Enumerations	Types

Contains the TJvBalloonHint component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Remko Bonte

Version

3.00

Created with Doc-O-Matic.


JvBalloonHint.pas unit Enumerations

JvBalloonHint.pas unit

Enumerations

TJvAnimationStyle

TJvApplicationHintOption

TJvBalloonOption

TJvBalloonPosition

TJvIconKind

Created with Doc-O-Matic.


JvBalloonHint.pas unit Classes

JvBalloonHint.pas unit

Classes

TJvBalloonHint

TJvBalloonWindow

TJvBalloonWindowEx

Created with Doc-O-Matic.


JvBalloonHint.pas unit Types

JvBalloonHint.pas unit

Types

TJvApplicationHintOptions

TJvBalloonOptions

Created with Doc-O-Matic.


JvBaseDlg.pas unit
JEDI-VCL Reference

JvBaseDlg.pas unit

Classes

Contains the base dialog components for JVCL.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvBaseDlg.pas unit Classes

JvBaseDlg.pas unit

Classes

TJvCommonDialog

TJvCommonDialogF

TJvCommonDialogP

Created with Doc-O-Matic.


JvBaseEdits.pas unit
JEDI-VCL Reference

JvBaseEdits.pas unit

Classes

Contains the TJvCalcEdit component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvBaseEdits.pas unit Classes

JvBaseEdits.pas unit

Classes

TJvCalcEdit

TJvCustomCalcEdit

TJvCustomNumEdit

Created with Doc-O-Matic.


JvBehaviorLabel.pas unit
JEDI-VCL Reference

JvBehaviorLabel.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvBehaviorLabel component and classes for several predefined behaviors.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvBehaviorLabel.pas unit Enumerations

JvBehaviorLabel.pas unit

Enumerations

TJvAppearDirection

TJvLabelScrollDirection

Created with Doc-O-Matic.


JvBehaviorLabel.pas unit Classes

JvBehaviorLabel.pas unit

Classes

TJvBehaviorLabel

TJvCustomBehaviorLabel

TJvLabelAppear

TJvLabelBehavior

TJvLabelBlink

TJvLabelBounce

TJvLabelCodeBreaker

TJvLabelNone

TJvLabelScroll

TJvLabelSpecial

TJvLabelTyping

Created with Doc-O-Matic.


JvBehaviorLabel.pas unit Functions

JvBehaviorLabel.pas unit

Functions

GetLabelBehaviorName

GetLabelBehaviorOptionsClass

GetRegisteredLabelBehaviorOptions

RegisterLabelBehaviorOptions

Created with Doc-O-Matic.


JvBehaviorLabel.pas unit Types

JvBehaviorLabel.pas unit

Types

TJvLabelBehaviorName

TJvLabelBehaviorOptionsClass

Created with Doc-O-Matic.


JvBevel.pas unit
JEDI-VCL Reference

JvBevel.pas unit

Classes

Contains the TJvBevel control.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvBevel.pas unit Classes

JvBevel.pas unit

Classes

TJvBevel

Created with Doc-O-Matic.


JvBitBtn.pas unit
JEDI-VCL Reference

JvBitBtn.pas unit

Classes

Contains all code for TJvBitBtn.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvBitBtn.pas unit Classes

JvBitBtn.pas unit

Classes

TJvBitBtn

Created with Doc-O-Matic.


JvBmpAnimator.pas unit
JEDI-VCL Reference

JvBmpAnimator.pas unit

Classes	Enumerations

Contains all code for TJvBmpAnimator.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist.

Version

3.00

Created with Doc-O-Matic.


JvBmpAnimator.pas unit Enumerations

JvBmpAnimator.pas unit

Enumerations

TJvAnimateDirection

Created with Doc-O-Matic.


JvBmpAnimator.pas unit Classes

JvBmpAnimator.pas unit

Classes

TJvBmpAnimator

TJvCustomBmpAnimator

Created with Doc-O-Matic.


JvBrowseFolder.pas unit
JEDI-VCL Reference

JvBrowseFolder.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvBrowseForFolderDialog component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvBrowseFolder.pas unit Enumerations

JvBrowseFolder.pas unit

Enumerations

TFromDirectory

TJvBrowsableObjectClass

TJvFolderPos

TOptionsDirectory

Created with Doc-O-Matic.


JvBrowseFolder.pas unit Classes

JvBrowseFolder.pas unit

Classes

TJvBrowseForFolderDialog

Created with Doc-O-Matic.


JvBrowseFolder.pas unit Functions

JvBrowseFolder.pas unit

Functions

BrowseComputer

BrowseDirectory

BrowseForComputer

BrowseForFolder

Created with Doc-O-Matic.


JvBrowseFolder.pas unit Types

JvBrowseFolder.pas unit

Types

TJvBrowsableObjectClasses

TJvBrowseAcceptChange

TJvDirChange

TJvGetEnumFlagsEvent

TJvShouldShowEvent

TJvValidateFailedEvent

TOptionsDir

Created with Doc-O-Matic.


JvButton.pas unit
JEDI-VCL Reference

JvButton.pas unit

Classes	Enumerations	Types

Contains the TJvButton component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvButton.pas unit Enumerations

JvButton.pas unit

Enumerations

TJvButtonMouseState

Created with Doc-O-Matic.


JvButton.pas unit Classes

JvButton.pas unit

Classes

TJvCustomButton

TJvCustomGraphicButton

TJvDropDownButton

Created with Doc-O-Matic.


JvButton.pas unit Types

JvButton.pas unit

Types

TJvButtonMouseStates

Created with Doc-O-Matic.


JvCabFile.pas unit
JEDI-VCL Reference

JvCabFile.pas unit

Classes	Records	Types

Contains types and classes needed to implement a component for extracting files from the .CAB file format.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvCabFile.pas unit Records

JvCabFile.pas unit

Records

TCABInfo

Created with Doc-O-Matic.


JvCabFile.pas unit Classes

JvCabFile.pas unit

Classes

TJvCABFile

Created with Doc-O-Matic.


JvCabFile.pas unit Types

JvCabFile.pas unit

Types

TOnCABInfo

TOnExtracted

TOnExtractFile

TOnNeedNewCabinet

Created with Doc-O-Matic.


JvCalc.pas unit
JEDI-VCL Reference

JvCalc.pas unit

Classes	Functions

Contains the TJvCalculator component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvCalc.pas unit Classes

JvCalc.pas unit

Classes

TJvCalculator

Created with Doc-O-Matic.


JvCalc.pas unit Functions

JvCalc.pas unit

Functions

CreateCalculatorForm

CreatePopupCalculator

SetupPopupCalculator

Created with Doc-O-Matic.


JvCalendar.pas unit
JEDI-VCL Reference

JvCalendar.pas unit

Classes	Enumerations	Functions	Types

Contains a wrapper for the Windows Month Calendar control.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvCalendar.pas unit Classes

JvCalendar.pas unit

Classes

EMonthCalError

TJvCustomMonthCalendar

TJvMonthCalAppearance

TJvMonthCalColors

TJvMonthCalendar2

Created with Doc-O-Matic.


JvCalendar.pas unit Enumerations

JvCalendar.pas unit

Enumerations

TJvMonthCalWeekDay

Created with Doc-O-Matic.


JvCalendar.pas unit Functions

JvCalendar.pas unit

Functions

DayStatesToString

StringToDayStates

Created with Doc-O-Matic.


JvCalendar.pas unit Types

JvCalendar.pas unit

Types

TJvMonthCalSelEvent

TJvMonthCalStateEvent

Created with Doc-O-Matic.


JvCaptionButton.pas unit
JEDI-VCL Reference

JvCaptionButton.pas unit

Classes	Enumerations	Functions

Contains all code for TJvCaptionButton.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvCaptionButton.pas unit Classes

JvCaptionButton.pas unit

Classes

TJvCaptionButton

Created with Doc-O-Matic.


JvCaptionButton.pas unit Enumerations

JvCaptionButton.pas unit

Enumerations

TJvCaptionButtonLayout

TJvStandardButton

Created with Doc-O-Matic.


JvCaptionButton.pas unit Functions

JvCaptionButton.pas unit

Functions

AlphaBlend

TransparentBlt

Created with Doc-O-Matic.


JvCaptionPanel.pas unit
JEDI-VCL Reference

JvCaptionPanel.pas unit

Classes	Enumerations	Types

Contains the TJvCaptionPanel component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvCaptionPanel.pas unit Classes

JvCaptionPanel.pas unit

Classes

TJvCapBtn

TJvCaptionPanel

Created with Doc-O-Matic.


JvCaptionPanel.pas unit Enumerations

JvCaptionPanel.pas unit

Enumerations

TJvCapBtnStyle

TJvDrawPosition

Created with Doc-O-Matic.


JvCaptionPanel.pas unit Types

JvCaptionPanel.pas unit

Types

TJvAutoDragStartEvent

TJvCapBtnEvent

TJvCapBtnStyles

Created with Doc-O-Matic.


JvCaret.pas unit
JEDI-VCL Reference

JvCaret.pas unit

Classes

Contains the TJvCaret component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Joe Doe.

Version

3.00

Created with Doc-O-Matic.


JvCaret.pas unit Classes

JvCaret.pas unit

Classes

TJvCaret

Created with Doc-O-Matic.


JvChangeNotify.pas unit
JEDI-VCL Reference

JvChangeNotify.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvChangeNotify component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvChangeNotify.pas unit Enumerations

JvChangeNotify.pas unit

Enumerations

TJvChangeAction

Created with Doc-O-Matic.


JvChangeNotify.pas unit Classes

JvChangeNotify.pas unit

Classes

TJvChangeItem

TJvChangeItems

TJvChangeNotify

TJvChangeThread

Created with Doc-O-Matic.


JvChangeNotify.pas unit Functions

JvChangeNotify.pas unit

Functions

ActionsToString

Created with Doc-O-Matic.


JvChangeNotify.pas unit Types

JvChangeNotify.pas unit

Types

TJvChangeActions

TJvNotifyEvent

TJvThreadNotifyEvent

Created with Doc-O-Matic.


JvCharMap.pas unit
JEDI-VCL Reference

JvCharMap.pas unit

Classes	Enumerations	Types

Contains the TJvCharMap component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvCharMap.pas unit Classes

JvCharMap.pas unit

Classes

TJvCharMap

TJvCharMapRange

TJvCustomCharMap

Created with Doc-O-Matic.


JvCharMap.pas unit Enumerations

JvCharMap.pas unit

Enumerations

TJvCharMapUnicodeFilter

Created with Doc-O-Matic.


JvCharMap.pas unit Types

JvCharMap.pas unit

Types

TJvCharMapSelectedEvent

TJvCharMapValidateEvent

Created with Doc-O-Matic.


JvCheckBox.pas unit
JEDI-VCL Reference

JvCheckBox.pas unit

Classes

Contains the TJvCheckBox control.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvCheckBox.pas unit Classes

JvCheckBox.pas unit

Classes

TJvCheckBox

Created with Doc-O-Matic.


JvCheckTreeView.pas unit
JEDI-VCL Reference

JvCheckTreeView.pas unit

Classes	Enumerations	Types

Contains the TJvCheckTreeView component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvCheckTreeView.pas unit Classes

JvCheckTreeView.pas unit

Classes

TJvCheckTreeView

TJvTreeViewCheckBoxOptions

Created with Doc-O-Matic.


JvCheckTreeView.pas unit Enumerations

JvCheckTreeView.pas unit

Enumerations

TJvTVCascadeOption

TJvTVCheckBoxStyle

Created with Doc-O-Matic.


JvCheckTreeView.pas unit Types

JvCheckTreeView.pas unit

Types

TJvTVCascadeOptions

Created with Doc-O-Matic.


JvCipher.pas unit
JEDI-VCL Reference

JvCipher.pas unit

Classes

Contains the TJvCaesarCipher, TJvVigenereCipher and TJvXorCipher components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvCipher.pas unit Classes

JvCipher.pas unit

Classes

TJvCaesarCipher

TJvCustomCipher

TJvVigenereCipher

TJvXORCipher

Created with Doc-O-Matic.


JvClipbrd.pas unit
JEDI-VCL Reference

JvClipbrd.pas unit

Classes	Functions	Types

Contains the TJvClipboard component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Olivier Sannier

Version

3.00

Created with Doc-O-Matic.


JvClipbrd.pas unit Classes

JvClipbrd.pas unit

Classes

TJvClipboard

Created with Doc-O-Matic.


JvClipbrd.pas unit Functions

JvClipbrd.pas unit

Functions

JvClipboard

Created with Doc-O-Matic.


JvClipbrd.pas unit Types

JvClipbrd.pas unit

Types

TJvRenderFormatEvent

Created with Doc-O-Matic.


JvColorBox.pas unit
JEDI-VCL Reference

JvColorBox.pas unit

Classes	Types

Contains controls used by the TJvColorButton.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvColorBox.pas unit Classes

JvColorBox.pas unit

Classes

TJvColorBox

TJvColorSquare

TJvCustomDropButton

TJvDropButton

Created with Doc-O-Matic.


JvColorBox.pas unit Types

JvColorBox.pas unit

Types

TJvColorClickEvent

Created with Doc-O-Matic.


JvColorButton.pas unit
JEDI-VCL Reference

JvColorButton.pas unit

Classes

Contains the TJvColorButton component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvColorButton.pas unit Classes

JvColorButton.pas unit

Classes

TJvColorButton

Created with Doc-O-Matic.


JvColorCombo.pas unit
JEDI-VCL Reference

JvColorCombo.pas unit

Classes	Enumerations	Types

Contains the TJvColorComboBox and TJvFontComboBox components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvColorCombo.pas unit Classes

JvColorCombo.pas unit

Classes

TJvColorComboBox

TJvFontComboBox

Created with Doc-O-Matic.


JvColorCombo.pas unit Enumerations

JvColorCombo.pas unit

Enumerations

TJvColorComboOption

TJvFontComboOption

Created with Doc-O-Matic.


JvColorCombo.pas unit Types

JvColorCombo.pas unit

Types

TJvColorComboOptions

TJvDrawPreviewEvent

TJvFontComboOptions

TJvGetColorNameEvent

TJvNewColorEvent

Created with Doc-O-Matic.


JvComboListBox.pas unit
JEDI-VCL Reference

JvComboListBox.pas unit

Classes	Enumerations	Types

Contains the TJvComboListBox component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thornqvist

Version

3.00

Created with Doc-O-Matic.


JvComboListBox.pas unit Classes

JvComboListBox.pas unit

Classes

TJvComboListBox

Created with Doc-O-Matic.


JvComboListBox.pas unit Enumerations

JvComboListBox.pas unit

Enumerations

TJvComboListBoxDrawStyle

Created with Doc-O-Matic.


JvComboListBox.pas unit Types

JvComboListBox.pas unit

Types

TJvComboListDrawImageEvent

TJvComboListDrawTextEvent

TJvComboListDropDownEvent

Created with Doc-O-Matic.


JvCommonDialogD.pas unit
JEDI-VCL Reference

JvCommonDialogD.pas unit

Classes

Contains the TJvCommonDialogD component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvCommonDialogD.pas unit Classes

JvCommonDialogD.pas unit

Classes

TJvCommonDialogD

Created with Doc-O-Matic.


JvComponent.pas unit
JEDI-VCL Reference

JvComponent.pas unit

Classes

Contains the base components for JVCL.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Joe Doe

Version

3.00

Created with Doc-O-Matic.


JvComponent.pas unit Classes

JvComponent.pas unit

Classes

TJvCustomControl

TJvCustomPanel

TJvCustomTreeView

TJvForm

TJvGraphicControl

TJvPopupListBox

TJvWinControl

Created with Doc-O-Matic.


JvComponentBase.pas unit
JEDI-VCL Reference

JvComponentBase.pas unit

Classes

Contains the TJvComponentBase component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Joe Doe .

Version

3.00

Created with Doc-O-Matic.


JvComponentBase.pas unit Classes

JvComponentBase.pas unit

Classes

TJvComponent

Created with Doc-O-Matic.


JvComputerInfoEx.pas unit
JEDI-VCL Reference

JvComputerInfoEx.pas unit

Classes	Enumerations	Records	Types

Contains the TJvComputerInfoEx component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvComputerInfoEx.pas unit Records

JvComputerInfoEx.pas unit

Records

DEV_BROADCAST_HDR

DEV_BROADCAST_VOLUME

TWMDeviceChange

Created with Doc-O-Matic.


JvComputerInfoEx.pas unit Classes

JvComputerInfoEx.pas unit

Classes

EJVCLComputerInfoEx

TJvAccessTimeOut

TJvAPMInfo

TJvAppVersions

TJvBIOSInfo

TJvComputerInfoEx

TJvCPUInfo

TJvFileInfo

TJvFilterKeys

TJvHardwareProfile

TJvHighContrast

TJvIconMetrics

TJvIdentification

TJvKeyInfo

TJvMemInfo

TJvMetricsInfo

TJvMinimizedMetrics

TJvMiscInfo

TJvMouseKeys

TJvNonClientMetrics

TJvOSVersionInfo

TJvReadOnlyInfo

TJvScreenInfo

TJvScreenMode

TJvScreenModes

TJvSerialKeys

TJvSoundSentry

TJvSystemColorsInfo

TJvSystemFolders

TJvSystemParametersInfo

TJvWriteableInfo

Created with Doc-O-Matic.


JvComputerInfoEx.pas unit Enumerations

JvComputerInfoEx.pas unit

Enumerations

TJvCleanBoot

TJvCPUType

TJvExeType

TJvFontSmoothingType

TJvIconModifier

TJvSerialKeysPortState

TJvSoundSentryGrafEffect

TJvSoundSentryTextEffect

TJvSoundSentryWindowsEffect

TJvSSEVersion

TJvWallpaperStyle

Created with Doc-O-Matic.


JvComputerInfoEx.pas unit Types

JvComputerInfoEx.pas unit

Types

PDevBroadcastHdr

PDevBroadcastVolume

TDevBroadcastHdr

TDevBroadcastVolume

TJvAccessTimeOutFlags

TJvCompactingEvent

TJvDeviceChangeEvent

TJvDevModeChangeEvent

TJvDisplayChangeEvent

TJvDisplayFlags

TJvDriveChangeEvent

TJvFilterKeyFlags

TJvHighContrastFlags

TJvHWDockInfo

TJvIconModifiers

TJvMouseKeysFlags

TJvPaletteChangeEvent

TJvPowerBroadcastEvent

TJvSerialKeysFlags

TJvSettingChangeEvent

TJvSoundSentryFlags

TJvSpoolerChangeEvent

TJvStickyKeysFlags

TJvToggleKeysFlags

TJvWindowsArrange

Created with Doc-O-Matic.


JvContentScroller.pas unit
JEDI-VCL Reference

JvContentScroller.pas unit

Classes	Enumerations	Types

Contains the TJvContentScroller component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvContentScroller.pas unit Enumerations

JvContentScroller.pas unit

Enumerations

TJvContentScrollDirection

Created with Doc-O-Matic.


JvContentScroller.pas unit Classes

JvContentScroller.pas unit

Classes

TJvContentScroller

Created with Doc-O-Matic.


JvContentScroller.pas unit Types

JvContentScroller.pas unit

Types

TJvScrollAmount

Created with Doc-O-Matic.


JvCoolBar.pas unit
JEDI-VCL Reference

JvCoolBar.pas unit

Classes

Contains the TJvCoolBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvCoolBar.pas unit Classes

JvCoolBar.pas unit

Classes

TJvCoolBar

Created with Doc-O-Matic.


JvCopyError.pas unit
JEDI-VCL Reference

JvCopyError.pas unit

Classes

Contains the TJvCopyError component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvCopyError.pas unit Classes

JvCopyError.pas unit

Classes

TJvCopyError

Created with Doc-O-Matic.


JvCreateProcess.pas unit
JEDI-VCL Reference

JvCreateProcess.pas unit

Classes	Enumerations	Types

Contains the TJvCreateProcess, TJvProcessEntry and TJvCPSStartupInfo components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Petr Vones

Version

3.00

Created with Doc-O-Matic.


JvCreateProcess.pas unit Enumerations

JvCreateProcess.pas unit

Enumerations

TJvConsoleOption

TJvCPSFlag

TJvCPSShowWindow

TJvCPSState

TJvProcessPriority

Created with Doc-O-Matic.


JvCreateProcess.pas unit Classes

JvCreateProcess.pas unit

Classes

TJvCPSStartupInfo

TJvCreateProcess

TJvProcessEntry

Created with Doc-O-Matic.


JvCreateProcess.pas unit Types

JvCreateProcess.pas unit

Types

EJvProcessError

TJvConsoleOptions

TJvCPSFlags

TJvCPSRawReadEvent

TJvCPSReadEvent

TJvCPSTerminateEvent

Created with Doc-O-Matic.


JvCsvData.pas unit
JEDI-VCL Reference

JvCsvData.pas unit

Classes	Enumerations	Functions	Records	Types

The unit JvCsvData contains TJvCsvDataSet (and its ancestor TJvCustomCsvDataSet), an in-memory TDataSet component similar to TTable.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Warren Postma

Version

3.00

Created with Doc-O-Matic.


JvCsvData.pas unit Classes

JvCsvData.pas unit

Classes

EJvCsvDataSetError

EJvCsvKeyError

TJvCsvColumns

TJvCsvDataSet

TJvCsvRows

TJvCustomCsvDataSet

Created with Doc-O-Matic.


JvCsvData.pas unit Records

JvCsvData.pas unit

Records

TJvCsvBookmark

TJvCsvColumn

TJvCsvRow

Created with Doc-O-Matic.


JvCsvData.pas unit Enumerations

JvCsvData.pas unit

Enumerations

TJvCsvColumnFlag

Created with Doc-O-Matic.


JvCsvData.pas unit Functions

JvCsvData.pas unit

Functions

CsvRowClearDirtyBit

CsvRowGetColumnMarker

CsvRowGetDirtyBit

CsvRowItemCopy

CsvRowSetColumnMarker

CsvRowSetDirtyBit

CsvRowToString

DateTimeToTimeTHex

GetCsvRowItem

JvCsvBackupPreviousFiles

JvCsvWildcardMatch

JvDateIsoStr

JvDateTimeIsoStr

JvIsoDateStrToDate

JvIsoDateTimeStrToDateTime

JvIsoTimeStrToTime

JvTimeIsoStr

SetCsvRowItem

StringToCsvRow

TimeTHexToDateTime

Created with Doc-O-Matic.


JvCsvData.pas unit Types

JvCsvData.pas unit

Types

PCsvColumn

PCsvRow

PtrToPtrToCsvRow

TJvCsvOnGetFieldData

TJvCsvOnSetFieldData

TJvCsvOnSpecialData

TJvCustomCsvDataSetFilterFunction

Created with Doc-O-Matic.


JvCsvParse.pas unit
JEDI-VCL Reference

JvCsvParse.pas unit

Functions

The Unit JvCsvParse is a library of Pascal PChar buffer, and Pascal String handling functions. They are used by TJvCsvDataSet. They are also generally useful to any component which needs to parse semantic information in a file, and are useful for parsing CSV, XML, or any other structured textual file format which you may encounter.

See also TJvCsvDataSet.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Warren Postma

Version

3.00

Created with Doc-O-Matic.


JvCsvParse.pas unit Functions

JvCsvParse.pas unit

Functions

AsciiToHex

BuildPathName

EndChar

GetIntValueFromResultString

GetParenthesis

GetString

GetToken

GetTokenCount

GetValueFromResultString

GetVarReference

HexPCharToInt

HexToAscii

IsExpressionKeyword

IsKeyword

PadString

PCharEatWhiteChars

ResetTokenCount

StrEatWhiteSpace

StripPCharQuotes

StripQuotes

StrSplit

StrSplitStrings

StrStrip

ValidHexLiteral

ValidIdentifier

ValidIntLiteral

ValidNumericLiteral

ValidStringLiteral

ValidVarReference

Created with Doc-O-Matic.


JvCtrls.pas unit
JEDI-VCL Reference

JvCtrls.pas unit

Classes	Enumerations	Types

Contains the TJvCtrls component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Petr Vones

Version

3.00

Created with Doc-O-Matic.


JvCtrls.pas unit Classes

JvCtrls.pas unit

Classes

TJvCustomImageButton

TJvImgBtn

TJvImgBtnActionLink

Created with Doc-O-Matic.


JvCtrls.pas unit Enumerations

JvCtrls.pas unit

Enumerations

TJvImgBtnKind

TJvImgBtnLayout

Created with Doc-O-Matic.


JvCtrls.pas unit Types

JvCtrls.pas unit

Types

TJvImgBtnAnimIndexEvent

TJvImgBtnDrawEvent

Created with Doc-O-Matic.


JvCursor.pas unit
JEDI-VCL Reference

JvCursor.pas unit

Classes	Variables

Contains the TJvCursor component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thornqvist

Version

3.00

Created with Doc-O-Matic.


JvCursor.pas unit Classes

JvCursor.pas unit

Classes

TJvCursorImage

Created with Doc-O-Matic.


JvCursor.pas unit Variables

JvCursor.pas unit

Variables

CF_CURSOR

Created with Doc-O-Matic.


JvCustomItemViewer.pas unit
JEDI-VCL Reference

JvCustomItemViewer.pas unit

Classes	Enumerations	Functions	Types

Contains base components and code for viewers that represent information in a grid like format.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvCustomItemViewer.pas unit Classes

JvCustomItemViewer.pas unit

Classes

TJvBrushPattern

TJvCustomItemViewer

TJvCustomItemViewerOptions

TJvViewerItem

Created with Doc-O-Matic.


JvCustomItemViewer.pas unit Enumerations

JvCustomItemViewer.pas unit

Enumerations

TJvItemViewerScrollBar

Created with Doc-O-Matic.


JvCustomItemViewer.pas unit Functions

JvCustomItemViewer.pas unit

Functions

CenterRect

ClearBrushPatterns

CreateBrushPattern

ReleasePattern

Created with Doc-O-Matic.


JvCustomItemViewer.pas unit Types

JvCustomItemViewer.pas unit

Types

TJvItemViewerOptionsClass

TJvViewerAdvancedDrawEvent

TJvViewerAdvancedItemDrawEvent

TJvViewerItemChangedEvent

TJvViewerItemChangingEvent

TJvViewerItemClass

TJvViewerItemDrawEvent

TJvViewerItemHintEvent

Created with Doc-O-Matic.


JvDataProvider.pas unit
JEDI-VCL Reference

JvDataProvider.pas unit

Classes	Enumerations	Functions	Records	Types

Contains the base and standard implementations for the data provider interfaces.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvDataProvider.pas unit Classes

JvDataProvider.pas unit

Classes

TAggregatedPersistent

TAggregatedPersistentEx

TExtensibleInterfacedPersistent

TJvBaseDataContext

TJvBaseDataContexts

TJvBaseDataContextsManager

TJvBaseDataItem

TJvBaseDataItemImageImpl

TJvBaseDataItemRenderer

TJvBaseDataItems

TJvBaseDataItemsImagesImpl

TJvBaseDataItemsListManagement

TJvBaseDataItemsManagement

TJvBaseDataItemsRenderer

TJvBaseDataItemStates

TJvBaseDataItemSubItems

TJvBaseDataItemTextImpl

TJvBaseFixedDataContext

TJvBaseManagedDataContext

TJvConsumerStrings

TJvCustomDataConsumerViewList

TJvCustomDataItemRenderer

TJvCustomDataItemsImages

TJvCustomDataItemsRenderer

TJvCustomDataItemStates

TJvCustomDataItemsTextRenderer

TJvCustomDataItemTextRenderer

TJvCustomDataProvider

TJvDataConsumer

TJvDataConsumerAggregatedObject

TJvDataConsumerClientNotifyItem

TJvDataConsumerClientNotifyList

TJvDataConsumerContext

TJvDataConsumerItemSelect

TJvDataConsumerServerNotify

TJvDataConsumerViewList

TJvDataContext

TJvDataContexts

TJvDataItemAggregatedObject

TJvDataItemContextTextImpl

TJvDataItemImageImpl

TJvDataItemsAggregatedObject

TJvDataItemsList

TJvDataItemTextImpl

TJvDP_ProviderBaseRender

TJvDP_ProviderImgAndTextRender

TJvDP_ProviderTextOnlyRender

TJvFixedDataContext

TJvManagedDataContext

TJvProviderNotification

Created with Doc-O-Matic.


JvDataProvider.pas unit Enumerations

JvDataProvider.pas unit

Enumerations

TJvDataConsumerChangeReason

Created with Doc-O-Matic.


JvDataProvider.pas unit Records

JvDataProvider.pas unit

Records

TViewListItem

Created with Doc-O-Matic.


JvDataProvider.pas unit Functions

JvDataProvider.pas unit

Functions

DisabledTextRect

DP_FindItemsImages

DP_FindItemsIntf

DP_FindItemsRenderer

DP_GenItemsList

DP_OwnerDrawStateToProviderDrawState

DP_ReleaseConsumerContext

DP_SelectConsumerContext

GetContextPath

GetItemCheckedState

GetItemEnabledState

GetItemIDPath

GetItemIndexPath

GetItemVisibleState

GetUniqueCtxName

HexBytes

Created with Doc-O-Matic.


JvDataProvider.pas unit Types

JvDataProvider.pas unit

Types

TAfterCreateSubSvcEvent

TAggregatedPersistentExClass

TBeforeCreateSubSvcEvent

TJvBaseDataItemClass

TJvDataConsumerAggregatedObjectClass

TJvDataConsumerChangeEvent

TJvDataContextClass

TJvDataContextsClass

TJvDataContextsManagerClass

TJvDataItemsClass

TJvDataItemTextImplClass

TJvDataProviderContexts

TJvDataProviderItemID

TJvDataProviderTree

TProviderNotifyEvent

TViewListItems

Created with Doc-O-Matic.


JvDataProviderIntf.pas unit
JEDI-VCL Reference

JvDataProviderIntf.pas unit

Interfaces	Classes	Enumerations	Types

Contains the interface declarations of the DataProvider mechanism.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer, Remko Bonte, Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvDataProviderIntf.pas unit Classes

JvDataProviderIntf.pas unit

Classes

EJVCLDataConsumer

EJVCLDataContexts

EJVCLDataItems

EJVCLDataProvider

Created with Doc-O-Matic.


JvDataProviderIntf.pas unit Interfaces

JvDataProviderIntf.pas unit

Interfaces

IJvDataConsumer

IJvDataConsumerClientNotify

IJvDataConsumerContext

IJvDataConsumerItemSelect

IJvDataConsumerItemState

IJvDataConsumerProvider

IJvDataConsumerServerNotify

IJvDataConsumerViewList

IJvDataContext

IJvDataContextManager

IJvDataContexts

IJvDataContextSensitive

IJvDataContextsManager

IJvDataIDSearch

IJvDataItem

IJvDataItemBasicAction

IJvDataItemDesigner

IJvDataItemImage

IJvDataItemRenderer

IJvDataItems

IJvDataItemsDesigner

IJvDataItemsImages

IJvDataItemsManagement

IJvDataItemsRenderer

IJvDataItemStates

IJvDataItemText

IJvDataProvider

IJvDataProviderNotify

IJvDataTextSearch

Created with Doc-O-Matic.


JvDataProviderIntf.pas unit Enumerations

JvDataProviderIntf.pas unit

Enumerations

TDataItemState

TDataProviderChangeReason

TProviderDrawState

Created with Doc-O-Matic.


JvDataProviderIntf.pas unit Types

JvDataProviderIntf.pas unit

Types

TClassArray

TJvDataContextID

TJvDataItemID

TProviderDrawStates

Created with Doc-O-Matic.


JvDateTimePicker.pas unit
JEDI-VCL Reference

JvDateTimePicker.pas unit

Classes

Contains all code for the TJvDateTimePicker component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvDateTimePicker.pas unit Classes

JvDateTimePicker.pas unit

Classes

TJvDateTimePicker

Created with Doc-O-Matic.


JvDBDotNetControls.pas unit
JEDI-VCL Reference

JvDBDotNetControls.pas unit

Classes

Contains the DB aware DotNet style controls.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvDBDotNetControls.pas unit Classes

JvDBDotNetControls.pas unit

Classes

TJvDotNetDBEdit

TJvDotNetDBFindEdit

TJvDotNetDBListBox

TJvDotNetDBLookupListBox

TJvDotNetDBMemo

TJvDotNetDBRichEdit

Created with Doc-O-Matic.


JvDBGrid.pas unit
JEDI-VCL Reference

JvDBGrid.pas unit

Classes	Enumerations	Types

Contains the TJvDBGrid component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvDBGrid.pas unit Classes

JvDBGrid.pas unit

Classes

EJVCLDbGridException

TJvDBGrid

TJvDBGridControl

TJvDBGridControls

TJvDBGridLayoutChangeLink

TJvSelectDialogColumnStrings

Created with Doc-O-Matic.


JvDBGrid.pas unit Enumerations

JvDBGrid.pas unit

Enumerations

TJvDBGridControlSize

TJvDBGridLayoutChangeKind

TSelectColumn

TSortMarker

Created with Doc-O-Matic.


JvDBGrid.pas unit Types

JvDBGrid.pas unit

Types

TCharList

TCheckTitleBtnEvent

TDrawColumnTitleEvent

TGetBtnParamsEvent

TGetCellParamsEvent

TGetCellPropsEvent

TJvCellHintEvent

TJvDBColumnResizeEvent

TJvDBEditShowEvent

TJvDBGridLayoutChangeEvent

TJvDBIsBoolFieldEvent

TJvTitleHintEvent

TTitleClickEvent

Created with Doc-O-Matic.


JvDBHTLabel.pas unit
JEDI-VCL Reference

JvDBHTLabel.pas unit

Classes

Contains the TJvDBHTLabel component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Maciej Kaczkowski

Version

3.00

Created with Doc-O-Matic.


JvDBHTLabel.pas unit Classes

JvDBHTLabel.pas unit

Classes

TJvDBHTLabel

Created with Doc-O-Matic.


JvDBImage.pas unit
JEDI-VCL Reference

JvDBImage.pas unit

Classes	Functions	Types

Contains the TJvDBImage component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sergio Samayoa and Peter Thornqvist

Version

3.00

Created with Doc-O-Matic.


JvDBImage.pas unit Classes

JvDBImage.pas unit

Classes

TJvDBImage

Created with Doc-O-Matic.


JvDBImage.pas unit Functions

JvDBImage.pas unit

Functions

GetGraphicClass

RegisterGraphicSignature

RegisterGraphicSignature

UnregisterGraphicSignature

UnregisterGraphicSignature

UnregisterGraphicSignature

Created with Doc-O-Matic.


JvDBImage.pas unit Types

JvDBImage.pas unit

Types

TJvGetGraphicClassEvent

Created with Doc-O-Matic.


JvDBLookup.pas unit
JEDI-VCL Reference

JvDBLookup.pas unit

Classes	Enumerations	Types

Contains the TJvDBLookup component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvDBLookup.pas unit Classes

JvDBLookup.pas unit

Classes

TJvDataSourceLink

TJvDBLookupCombo

TJvDBLookupEdit

TJvDBLookupList

TJvLookupControl

TJvPopupDataList

TJvPopupDataWindow

TLookupSourceLink

Created with Doc-O-Matic.


JvDBLookup.pas unit Enumerations

JvDBLookup.pas unit

Enumerations

TLookupListStyle

Created with Doc-O-Matic.


JvDBLookup.pas unit Types

JvDBLookup.pas unit

Types

TGetImageEvent

Created with Doc-O-Matic.


JvDBSearchComboBox.pas unit
JEDI-VCL Reference

JvDBSearchComboBox.pas unit

Classes

Contains the TJvDBSearchComboBox component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Lionel Reynaud

Version

3.00

Created with Doc-O-Matic.


JvDBSearchComboBox.pas unit Classes

JvDBSearchComboBox.pas unit

Classes

TJvDBCustomSearchComboBox

TJvDBSearchComboBox

Created with Doc-O-Matic.


JvDBTreeView.pas unit
JEDI-VCL Reference

JvDBTreeView.pas unit

Classes	Types

Contains the TJvDBTreeView component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrei Prygounkov

Version

3.00

Created with Doc-O-Matic.


JvDBTreeView.pas unit Classes

JvDBTreeView.pas unit

Classes

EJvDBTreeViewError

TJvCustomDBTreeView

TJvDBTreeNode

TJvDBTreeView

TJvDBTreeViewDataLink

Created with Doc-O-Matic.


JvDBTreeView.pas unit Types

JvDBTreeView.pas unit

Types

TFieldTypes

TGetDetailValue

Created with Doc-O-Matic.


JvDebugHandler.pas unit
JEDI-VCL Reference

JvDebugHandler.pas unit

Classes

Contains the TJvDebugHandler component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Version

3.00

Created with Doc-O-Matic.


JvDebugHandler.pas unit Classes

JvDebugHandler.pas unit

Classes

TJvDebugHandler

Created with Doc-O-Matic.


JvDeleteError.pas unit
JEDI-VCL Reference

JvDeleteError.pas unit

Classes

Contains the TJvDeleteError component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvDeleteError.pas unit Classes

JvDeleteError.pas unit

Classes

TJvDeleteError

Created with Doc-O-Matic.


JvDesktopAlert.pas unit
JEDI-VCL Reference

JvDesktopAlert.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvDesktopAlert component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thornqvist

Version

3.00

Created with Doc-O-Matic.


JvDesktopAlert.pas unit Enumerations

JvDesktopAlert.pas unit

Enumerations

TJvAlertStyle

TJvDesktopAlertOption

TJvDesktopAlertPosition

TJvStyleHandlerStatus

Created with Doc-O-Matic.


JvDesktopAlert.pas unit Classes

JvDesktopAlert.pas unit

Classes

TJvCenterGrowAlertStyleHandler

TJvCustomDesktopAlertStyleHandler

TJvDesktopAlert

TJvDesktopAlertButtonItem

TJvDesktopAlertButtons

TJvDesktopAlertChangePersistent

TJvDesktopAlertColors

TJvDesktopAlertLocation

TJvDesktopAlertStack

TJvFadeAlertStyleHandler

Created with Doc-O-Matic.


JvDesktopAlert.pas unit Functions

JvDesktopAlert.pas unit

Functions

CreateHandlerForStyle

Created with Doc-O-Matic.


JvDesktopAlert.pas unit Types

JvDesktopAlert.pas unit

Types

TJvDesktopAlertOptions

Created with Doc-O-Matic.


JvDialogActns.pas unit
JEDI-VCL Reference

JvDialogActns.pas unit

Classes	Types

Contains several actions that uses JVCL dialogs.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist.

Version

3.00

Created with Doc-O-Matic.


JvDialogActns.pas unit Classes

JvDialogActns.pas unit

Classes

TJvBrowseForFolderAction

TJvCommonDialogAction

TJvCommonDialogFAction

TJvCommonDialogPAction

TJvConnectNetworkAction

TJvControlPanelAction

TJvFloppyFormatAction

TJvOpenFileAction

TJvOrganizeFavoritesAction

TJvPageSetupAction

TJvPageSetupTitledAction

TJvSaveFileAction

TJvSelectDirectoryAction

Created with Doc-O-Matic.


JvDialogActns.pas unit Types

JvDialogActns.pas unit

Types

TJvCommonDialogClass

TJvCommonDialogFClass

TJvCommonDialogPClass

Created with Doc-O-Matic.


JvDiskPrompt.pas unit
JEDI-VCL Reference

JvDiskPrompt.pas unit

Classes

Contains the TJvDiskPrompt component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvDiskPrompt.pas unit Classes

JvDiskPrompt.pas unit

Classes

TJvDiskPrompt

Created with Doc-O-Matic.


JvDockControlForm.pas unit
JEDI-VCL Reference

JvDockControlForm.pas unit

Classes	Enumerations	Functions	Types	Variables

Contains the TJvDockControlForm component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

luxiaoban.

Version

3.00

Created with Doc-O-Matic.


JvDockControlForm.pas unit Classes

JvDockControlForm.pas unit

Classes

TJvDockableForm

TJvDockAdvConjoinPanel

TJvDockAdvPanel

TJvDockAdvStyle

TJvDockAdvTabPageControl

TJvDockBaseControl

TJvDockBasicStyle

TJvDockClient

TJvDockConjoinHostForm

TJvDockConjoinPanel

TJvDockPanel

TJvDockServer

TJvDockSplitter

TJvDockSplitterStyle

TJvDockTabHostForm

TJvDockTabPageControl

TJvGlobalDockManager

Created with Doc-O-Matic.


JvDockControlForm.pas unit Enumerations

JvDockControlForm.pas unit

Enumerations

TJvDockMouseStation

TJvDockPosition

TJvDockSetDockPanelSizeFrom

Created with Doc-O-Matic.


JvDockControlForm.pas unit Functions

JvDockControlForm.pas unit

Functions

ComputeDockingRect

DockStateStr

DoFloat

DoFloatAllForm

DoFloatForm

FindDockBaseControl

FindDockClient

FindDockServer

FreeAllDockableForm

GetClientAlignControlArea

GetFormVisible

HideDockForm

IsDockable

LoadDockTreeFromAppStorage

LoadDockTreeFromFile

LoadDockTreeFromReg

MakeDockClientEvent

ManualConjoinDock

ManualTabDock

ManualTabDockAddPage

ResetDockClient

ResetDockClient

ReshowAllVisibleWindow

SaveDockTreeToAppStorage

SaveDockTreeToFile

SaveDockTreeToReg

SetConjoinDockHostBorderStyle

SetDockPageControlHotTrack

SetDockPageControlPopupMenu

SetDockSite

SetTabDockHostBorderStyle

ShowDockForm

Created with Doc-O-Matic.


JvDockControlForm.pas unit Types

JvDockControlForm.pas unit

Types

TJvDockCheckDockableEvent

TJvDockConjoinPanelClass

TJvDockCustomPanelEvent

TJvDockFinishSetDockPanelSizeEvent

TJvDockFormHintEvent

TJvDockGetClientAlignSizeEvent

TJvDockNCButtonDblClkEvent

TJvDockNCButtonDownEvent

TJvDockNCButtonEvent

TJvDockNCButtonUpEvent

TJvDockNCMouseMoveEvent

TJvDockPaintDockEvent

TJvDockPaintDockGrabberEvent

TJvDockPaintDockSplitterEvent

TJvDockPanelClass

TJvDockSplitterClass

TJvDockSplitterSize

TJvDockTabClass

TJvDockTabHostFormCreatedEvent

Created with Doc-O-Matic.


JvDockControlForm.pas unit Variables

JvDockControlForm.pas unit

Variables

DefaultConjoinPanelClass

DefaultDockPanelClass

DefaultDockSplitterClass

DefaultDockTreeClass

DefaultDockZoneClass

DefaultTabDockClass

Created with Doc-O-Matic.


JvDockDelphiStyle.pas unit
JEDI-VCL Reference

JvDockDelphiStyle.pas unit

Classes

Contains components for Delphi style docking.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

luxiaoban.

Version

3.00

Created with Doc-O-Matic.


JvDockDelphiStyle.pas unit Classes

JvDockDelphiStyle.pas unit

Classes

TJvDockDelphiConjoinPanel

TJvDockDelphiDragDockObject

TJvDockDelphiPanel

TJvDockDelphiSplitter

TJvDockDelphiStyle

TJvDockDelphiTabPageControl

TJvDockDelphiTree

TJvDockDelphiZone

Created with Doc-O-Matic.


JvDockGlobals.pas unit
JEDI-VCL Reference

JvDockGlobals.pas unit

Variables

Contains constants, variables and functions used by the docking components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

luxiaoban.

Version

3.00

Created with Doc-O-Matic.


JvDockGlobals.pas unit Variables

JvDockGlobals.pas unit

Variables

JvGlobalDockClient

JvGlobalDockIsLoading

JvGlobalDockManager

Created with Doc-O-Matic.


JvDockVCStyle.pas unit
JEDI-VCL Reference

JvDockVCStyle.pas unit

Classes	Enumerations

Contains components for Visual C++ style docking.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

luxiaoban.

Version

3.00

Created with Doc-O-Matic.


JvDockVCStyle.pas unit Classes

JvDockVCStyle.pas unit

Classes

TJvDockVCConjoinPanel

TJvDockVCConjoinServerOption

TJvDockVCDragDockObject

TJvDockVCPanel

TJvDockVCSplitter

TJvDockVCStyle

TJvDockVCTabPageControl

TJvDockVCTabServerOption

TJvDockVCTree

TJvDockVCZone

Created with Doc-O-Matic.


JvDockVCStyle.pas unit Enumerations

JvDockVCStyle.pas unit

Enumerations

TJvDockZoneSizeStyle

Created with Doc-O-Matic.


JvDotNetControls.pas unit
JEDI-VCL Reference

JvDotNetControls.pas unit

Classes

Contains the standard DotNet style controls.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvDotNetControls.pas unit Classes

JvDotNetControls.pas unit

Classes

TJvDotNetButton

TJvDotNetCheckListBox

TJvDotNetDirectoryEdit

TJvDotNetEdit

TJvDotNetFilenameEdit

TJvDotNetHotKey

TJvDotNetListBox

TJvDotNetListView

TJvDotNetMaskEdit

TJvDotNetMemo

TJvDotNetRichEdit

TJvDotNetScrollBox

TJvDotNetTreeView

Created with Doc-O-Matic.


JvDotNetUtils.pas unit
JEDI-VCL Reference

JvDotNetUtils.pas unit

Functions

Contains utility routines used by the DotNet controls.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman

Version

3.00

Created with Doc-O-Matic.


JvDotNetUtils.pas unit Functions

JvDotNetUtils.pas unit

Functions

DotNetMessageHandler

DrawDotNetControl

SetDotNetFrameColors

Created with Doc-O-Matic.


JvDragDrop.pas unit
JEDI-VCL Reference

JvDragDrop.pas unit

Classes	Enumerations	Types

Contains the TJvDragDrop component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvDragDrop.pas unit Classes

JvDragDrop.pas unit

Classes

TJvDragDrop

TJvDropTarget

Created with Doc-O-Matic.


JvDragDrop.pas unit Enumerations

JvDragDrop.pas unit

Enumerations

TJvDropEffect

Created with Doc-O-Matic.


JvDragDrop.pas unit Types

JvDragDrop.pas unit

Types

TJvDragAcceptEvent

TJvDragDropEvent

TJvDragEvent

TJvDragLeaveEvent

TJvDropEvent

Created with Doc-O-Matic.


JvDriveCtrls.pas unit
JEDI-VCL Reference

JvDriveCtrls.pas unit

Classes	Types

Contains various drive, folder and file displaying controls.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvDriveCtrls.pas unit Classes

JvDriveCtrls.pas unit

Classes

TJvDirectoryListBox

TJvDriveCombo

TJvDriveList

TJvFileListBox

Created with Doc-O-Matic.


JvDriveCtrls.pas unit Types

JvDriveCtrls.pas unit

Types

TJvDriveChangeError

TJvDriveTypes

Created with Doc-O-Matic.


JvDSADialogs.pas unit
JEDI-VCL Reference

JvDSADialogs.pas unit

Classes	Constants	Enumerations	Functions	Records	Types

Provides code and a component to manage and create DSA (Don't Show Again) dialogs.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvDSADialogs.pas unit Classes

JvDSADialogs.pas unit

Classes

EJvDSADialog

TDSARegStorage

TDSAStorage

TJvDSADialog

Created with Doc-O-Matic.


JvDSADialogs.pas unit Enumerations

JvDSADialogs.pas unit

Enumerations

TDlgCenterKind

Created with Doc-O-Matic.


JvDSADialogs.pas unit Records

JvDSADialogs.pas unit

Records

TDSARegItem

Created with Doc-O-Matic.


JvDSADialogs.pas unit Functions

JvDSADialogs.pas unit

Functions

DSACount

DSAItem

DSAMessageDlg

DSAMessageDlg

DSAMessageDlg

DSAMessageDlgEx

DSAMessageDlgEx

DSAMessageDlgEx

DSARegStore

DSAShowMessage

DSAShowMessageFmt

GetDSACheckMarkText

GetDSAState

GetDSAState

LocateDSAReg

MessageDlg

MessageDlg

MessageDlg

MessageDlgEx

MessageDlgEx

MessageDlgEx

RegisterDSA

RegisterDSACheckMarkText

SetDSAState

ShowMessage

ShowMessageFmt

UnregisterDSA

UnregisterDSACheckMarkText

Created with Doc-O-Matic.


JvDSADialogs.pas unit Types

JvDSADialogs.pas unit

Types

TDSACheckTextKind

TJvDSAAutoCloseEvent

TJvDSADataEvent

Created with Doc-O-Matic.


JvDSADialogs.pas unit Constants

JvDSADialogs.pas unit

Constants

ctkAsk

ctkShow

ctkWarn

mbDefault

mbNone

Created with Doc-O-Matic.


JvEDIDBBuffering.pas unit
JEDI-VCL Reference

JvEDIDBBuffering.pas unit

Classes	Types

This unit contains components used in creating and maintaining a SQL database buffer for EDI data.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Raymond Alexander.

Version

3.00

Created with Doc-O-Matic.


JvEDIDBBuffering.pas unit Classes

JvEDIDBBuffering.pas unit

Classes

TJvEDIDBBuffer

TJvEDIDBProfiler

TJvEDIDBSEFProfiler

TJvEDIDBSpecProfiler

TJvEDIFieldDef

TJvEDIFieldDefs

Created with Doc-O-Matic.


JvEDIDBBuffering.pas unit Types

JvEDIDBBuffering.pas unit

Types

TJvAfterProfiledSegmentEvent

TJvAfterProfiledTransactionSetEvent

TJvAlterTableEvent

TJvBeforeApplyElementFilterEvent

TJvCheckForFieldChangesEvent

TJvCreateTableEvent

TJvResolveFieldDefTypeEvent

TJvTableExistsEvent

TJvTableProfileEvent

Created with Doc-O-Matic.


JvEdit.pas unit
JEDI-VCL Reference

JvEdit.pas unit

Classes

Contains the TJvEdit component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvEdit.pas unit Classes

JvEdit.pas unit

Classes

TJvCustomEdit

TJvEdit

Created with Doc-O-Matic.


JvEmbeddedForms.pas unit
JEDI-VCL Reference

JvEmbeddedForms.pas unit

Classes	Types

Contains components used to embed forms in other forms.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

"rossen".

Version

3.00

Created with Doc-O-Matic.


JvEmbeddedForms.pas unit Classes

JvEmbeddedForms.pas unit

Classes

TJvEmbeddedFormLink

TJvEmbeddedFormPanel

TJvEmbeddedInstanceFormPanel

Created with Doc-O-Matic.


JvEmbeddedForms.pas unit Types

JvEmbeddedForms.pas unit

Types

TJvEmbeddedPaintProcedure

Created with Doc-O-Matic.


JvEnterTab.pas unit
JEDI-VCL Reference

JvEnterTab.pas unit

Classes	Types

Contains the TJvEnterTab component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvEnterTab.pas unit Classes

JvEnterTab.pas unit

Classes

TJvEnterAsTab

Created with Doc-O-Matic.


JvEnterTab.pas unit Types

JvEnterTab.pas unit

Types

TJvEnterAsTabEvent

Created with Doc-O-Matic.


JvErrorIndicator.pas unit
JEDI-VCL Reference

JvErrorIndicator.pas unit

Classes	Enumerations

Contains all code for the TJvErrorIndicator and TJvErrorControl components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvErrorIndicator.pas unit Enumerations

JvErrorIndicator.pas unit

Enumerations

TJvErrorBlinkStyle

TJvErrorImageAlignment

Created with Doc-O-Matic.


JvErrorIndicator.pas unit Classes

JvErrorIndicator.pas unit

Classes

TJvErrorControl

TJvErrorIndicator

Created with Doc-O-Matic.


JvExButtons.pas unit
JEDI-VCL Reference

JvExButtons.pas unit

Classes

Contains base components that extend the components from Delphi's Buttons.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExButtons.pas unit Classes

JvExButtons.pas unit

Classes

TJvExBitBtn

TJvExSpeedButton

Created with Doc-O-Matic.


JvExCheckLst.pas unit
JEDI-VCL Reference

JvExCheckLst.pas unit

Classes

Contains base components that extend the components from Delphi's CheckLst.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExCheckLst.pas unit Classes

JvExCheckLst.pas unit

Classes

TJvExCheckListBox

Created with Doc-O-Matic.


JvExComCtrls.pas unit
JEDI-VCL Reference

JvExComCtrls.pas unit

Classes

Contains components that extend the components from Delphi's ComCtrls.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExComCtrls.pas unit Classes

JvExComCtrls.pas unit

Classes

TJvExAnimate

TJvExComboBoxEx

TJvExCommonCalendar

TJvExCoolBar

TJvExCustomComboBoxEx

TJvExCustomHeaderControl

TJvExCustomHotKey

TJvExCustomListView

TJvExCustomStatusBar

TJvExCustomTabControl

TJvExCustomTreeView

TJvExCustomUpDown

TJvExDateTimePicker

TJvExHeaderControl

TJvExHotKey

TJvExListView

TJvExMonthCalendar

TJvExPageControl

TJvExPageScroller

TJvExProgressBar

TJvExStatusBar

TJvExTabControl

TJvExTabSheet

TJvExToolBar

TJvExToolButton

TJvExTrackBar

TJvExTreeView

TJvExUpDown

Created with Doc-O-Matic.


JvExDBGrids.pas unit
JEDI-VCL Reference

JvExDBGrids.pas unit

Classes

Contains components that extend the components from Delphi's DBGrids.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExDBGrids.pas unit Classes

JvExDBGrids.pas unit

Classes

TJvExCustomDBGrid

TJvExDBGrid

Created with Doc-O-Matic.


JvExExtCtrls.pas unit
JEDI-VCL Reference

JvExExtCtrls.pas unit

Classes	Functions

Contains components that extend the components from Delphi's ExtCtrls.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExExtCtrls.pas unit Classes

JvExExtCtrls.pas unit

Classes

TJvExBevel

TJvExBoundLabel

TJvExColorBox

TJvExControlBar

TJvExCustomColorBox

TJvExCustomControlBar

TJvExCustomLabeledEdit

TJvExCustomPanel

TJvExCustomRadioGroup

TJvExHeader

TJvExImage

TJvExLabeledEdit

TJvExNotebook

TJvExPage

TJvExPaintBox

TJvExPanel

TJvExRadioGroup

TJvExShape

TJvExSplitter

Created with Doc-O-Matic.


JvExExtCtrls.pas unit Functions

JvExExtCtrls.pas unit

Functions

SplitterMouseDownFix

Created with Doc-O-Matic.


JvExForms.pas unit
JEDI-VCL Reference

JvExForms.pas unit

Classes

Contains components that extend the components from Delphi's Forms.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExForms.pas unit Classes

JvExForms.pas unit

Classes

TJvExCustomDockForm

TJvExCustomForm

TJvExCustomFrame

TJvExForm

TJvExFrame

TJvExScrollBox

TJvExScrollingWinControl

TJvExToolWindow

Created with Doc-O-Matic.


JvExGrids.pas unit
JEDI-VCL Reference

JvExGrids.pas unit

Classes

Contains components that extend the components from Delphi's Grids.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExGrids.pas unit Classes

JvExGrids.pas unit

Classes

TJvExCustomDrawGrid

TJvExCustomGrid

TJvExDrawGrid

TJvExInplaceEdit

TJvExInplaceEditList

TJvExStringGrid

Created with Doc-O-Matic.


JvExMask.pas unit
JEDI-VCL Reference

JvExMask.pas unit

Classes

Contains components that extend the components from Delphi's Mask.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExMask.pas unit Classes

JvExMask.pas unit

Classes

TJvExCustomMaskEdit

TJvExMaskEdit

Created with Doc-O-Matic.


JvExStdCtrls.pas unit
JEDI-VCL Reference

JvExStdCtrls.pas unit

Classes

Contains components that extend the components from Delphi's StdCtrls.pas with generic properties and CLX code.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvExStdCtrls.pas unit Classes

JvExStdCtrls.pas unit

Classes

TJvExButton

TJvExButtonControl

TJvExCheckBox

TJvExCustomCheckBox

TJvExCustomCombo

TJvExCustomComboBox

TJvExCustomEdit

TJvExCustomGroupBox

TJvExCustomLabel

TJvExCustomListBox

TJvExCustomMemo

TJvExCustomStaticText

TJvExGroupBox

TJvExLabel

TJvExRadioButton

TJvExScrollBar

TJvExStaticText

Created with Doc-O-Matic.


JvFindFiles.pas unit
JEDI-VCL Reference

JvFindFiles.pas unit

Classes	Enumerations	Functions

Contains the TJvFindFilesDialog component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvFindFiles.pas unit Classes

JvFindFiles.pas unit

Classes

TJvFindFilesDialog

Created with Doc-O-Matic.


JvFindFiles.pas unit Enumerations

JvFindFiles.pas unit

Enumerations

TJvSpecialFolder

Created with Doc-O-Matic.


JvFindFiles.pas unit Functions

JvFindFiles.pas unit

Functions

FindFilesDlg

Created with Doc-O-Matic.


JvFindReplace.pas unit
JEDI-VCL Reference

JvFindReplace.pas unit

Classes	Types

Contains the TJvFindReplaceBase component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvFindReplace.pas unit Classes

JvFindReplace.pas unit

Classes

TJvFindReplace

TJvFindReplaceBase

Created with Doc-O-Matic.


JvFindReplace.pas unit Types

JvFindReplace.pas unit

Types

TJvReplaceAllEvent

TJvReplaceProgressEvent

Created with Doc-O-Matic.


JvFixedEditPopUp.pas unit
JEDI-VCL Reference

JvFixedEditPopUp.pas unit

Functions

Contains routines for assigning a default popup menu to any edit like control.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvFixedEditPopUp.pas unit Functions

JvFixedEditPopUp.pas unit

Functions

FixedDefaultEditPopup

FixedDefaultEditPopUseResourceString

Created with Doc-O-Matic.


JvFormAutoSize.pas unit
JEDI-VCL Reference

JvFormAutoSize.pas unit

Classes

Contains the TJvFormAutoSize component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvFormAutoSize.pas unit Classes

JvFormAutoSize.pas unit

Classes

TJvFormAutoSize

Created with Doc-O-Matic.


JvFormPlacement.pas unit
JEDI-VCL Reference

JvFormPlacement.pas unit

Classes	Enumerations	Types

Contains the TJvFormPlacement and TJvFormStorage components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvFormPlacement.pas unit Classes

JvFormPlacement.pas unit

Classes

TJvFormPlacement

TJvFormStorage

TJvIniLink

TJvStoredValue

TJvStoredValues

TJvWinMinMaxInfo

Created with Doc-O-Matic.


JvFormPlacement.pas unit Enumerations

JvFormPlacement.pas unit

Enumerations

TJvFormPlacementVersionCheck

Created with Doc-O-Matic.


JvFormPlacement.pas unit Types

JvFormPlacement.pas unit

Types

TJvStoredValueEvent

Created with Doc-O-Matic.


JvFormToHtml.pas unit
JEDI-VCL Reference

JvFormToHtml.pas unit

Classes

Contains the TJvFormToHtml component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvFormToHtml.pas unit Classes

JvFormToHtml.pas unit

Classes

TJvFormToHtml

Created with Doc-O-Matic.


JvFormWallpaper.pas unit
JEDI-VCL Reference

JvFormWallpaper.pas unit

Classes	Enumerations

Contains the TJvFormWallpaper component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvFormWallpaper.pas unit Classes

JvFormWallpaper.pas unit

Classes

TJvFormWallpaper

Created with Doc-O-Matic.


JvFormWallpaper.pas unit Enumerations

JvFormWallpaper.pas unit

Enumerations

TJvOffsetMode

Created with Doc-O-Matic.


JvFullColorCtrls.pas unit
JEDI-VCL Reference

JvFullColorCtrls.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvFullColorPanel, TJvFullColorCircle, TJvFullColorTrackBar, TJvFullColorLabel, TJvFullColorGroup, TJvFullColorAxisCombo, TJvFullColorSpaceCombo components

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Florent Ouchet

Version

3.00

Created with Doc-O-Matic.


JvFullColorCtrls.pas unit Classes

JvFullColorCtrls.pas unit

Classes

EJvFullColorError

EJvFullColorListError

TJvFullColorAxisCombo

TJvFullColorCircle

TJvFullColorComponent

TJvFullColorComponent2D

TJvFullColorGroup

TJvFullColorLabel

TJvFullColorList

TJvFullColorPanel

TJvFullColorSpaceCombo

TJvFullColorTrackBar

Created with Doc-O-Matic.


JvFullColorCtrls.pas unit Enumerations

JvFullColorCtrls.pas unit

Enumerations

TJvArrowPosition

TJvFullColorAxisConfig

TJvFullColorAxisConfigFormat

TJvFullColorCircleStyle

TJvFullColorEdge

TJvFullColorListOperation

TJvFullColorOrientation

TJvFullColorSpaceFormat

TJvKeyCode

TJvShapePosition

Created with Doc-O-Matic.


JvFullColorCtrls.pas unit Functions

JvFullColorCtrls.pas unit

Functions

AxisConfigToString

ColorSpaceToString

GetIndexAxis

GetIndexAxisX

GetIndexAxisY

GetIndexAxisZ

Created with Doc-O-Matic.


JvFullColorCtrls.pas unit Types

JvFullColorCtrls.pas unit

Types

PJvFullColorArray

TJvCursorPoints

TJvFormatHintEvent

TJvFullColorArray

TJvFullColorAxisFormatEvent

TJvFullColorCircleStyles

TJvFullColorListEvent

TJvFullColorMouseEvent

TJvFullColorSpaceFormatEvent

Created with Doc-O-Matic.


JvFullColorDialogs.pas unit
JEDI-VCL Reference

JvFullColorDialogs.pas unit

Classes	Enumerations	Types

Contains the TJvFullColorCircleDialog and TJvFullColorDialog dialog boxes.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Florent Ouchet

Version

3.00

Created with Doc-O-Matic.


JvFullColorDialogs.pas unit Enumerations

JvFullColorDialogs.pas unit

Enumerations

TJvAxisType

TJvFullColorCircleDialogOption

TJvFullColorDialogOption

Created with Doc-O-Matic.


JvFullColorDialogs.pas unit Classes

JvFullColorDialogs.pas unit

Classes

TJvFullColorCircleDialog

TJvFullColorDialog

Created with Doc-O-Matic.


JvFullColorDialogs.pas unit Types

JvFullColorDialogs.pas unit

Types

TJvColorCircleEvent

TJvFullColorCircleDialogOptions

TJvFullColorDialogOptions

TJvFullColorEvent

Created with Doc-O-Matic.


JvgAlignFunction.pas unit
JEDI-VCL Reference

JvgAlignFunction.pas unit

Functions	Types

Contains the TJvgAlignFunction component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrey V. Chudin,

Version

3.00

Created with Doc-O-Matic.


JvgAlignFunction.pas unit Functions

JvgAlignFunction.pas unit

Functions

AlignControlsInWindow

Created with Doc-O-Matic.


JvgAlignFunction.pas unit Types

JvgAlignFunction.pas unit

Types

TJvgNeedAlign

Created with Doc-O-Matic.


JvgExport.pas unit
JEDI-VCL Reference

JvgExport.pas unit

Functions	Types

Contains the TJvgExport component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrey V. Chudin,

Version

3.00

Created with Doc-O-Matic.


JvgExport.pas unit Functions

JvgExport.pas unit

Functions

ExportDataSetToExcel

Created with Doc-O-Matic.


JvgExport.pas unit Types

JvgExport.pas unit

Types

TOnExportProgress

Created with Doc-O-Matic.


JvGIF.pas unit
JEDI-VCL Reference

JvGIF.pas unit

Classes	Enumerations	Functions	Records	Types	Variables

Contains the TJvGIFImage graphic class that encapsulates a GIF graphic.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvGIF.pas unit Enumerations

JvGIF.pas unit

Enumerations

TDisposalMethod

TGIFVersion

Created with Doc-O-Matic.


JvGIF.pas unit Records

JvGIF.pas unit

Records

TGIFColorItem

TGIFColorTable

Created with Doc-O-Matic.


JvGIF.pas unit Classes

JvGIF.pas unit

Classes

TJvGIFFrame

TJvGIFImage

Created with Doc-O-Matic.


JvGIF.pas unit Functions

JvGIF.pas unit

Functions

GIFVersionName

Created with Doc-O-Matic.


JvGIF.pas unit Types

JvGIF.pas unit

Types

TGIFBits

Created with Doc-O-Matic.


JvGIF.pas unit Variables

JvGIF.pas unit

Variables

CF_GIF

GIFLoadCorrupted

Created with Doc-O-Matic.


JvgSingleInstance.pas unit
JEDI-VCL Reference

JvgSingleInstance.pas unit

Classes

Contains the TJvgSingleInstance component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrey V. Chudin,

Version

3.00

Created with Doc-O-Matic.


JvgSingleInstance.pas unit Classes

JvgSingleInstance.pas unit

Classes

TJvgSingleInstance

Created with Doc-O-Matic.


JvgSmallFontsDefense.pas unit
JEDI-VCL Reference

JvgSmallFontsDefense.pas unit

Classes	Enumerations	Types

Contains the TJvgSmallFontsDefense component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrey V. Chudin,

Version

3.00

Created with Doc-O-Matic.


JvgSmallFontsDefense.pas unit Enumerations

JvgSmallFontsDefense.pas unit

Enumerations

TglSmallFontsDefenseOption

Created with Doc-O-Matic.


JvgSmallFontsDefense.pas unit Classes

JvgSmallFontsDefense.pas unit

Classes

TJvgSmallFontsDefense

Created with Doc-O-Matic.


JvgSmallFontsDefense.pas unit Types

JvgSmallFontsDefense.pas unit

Types

TglSmallFontsDefenseOptions

Created with Doc-O-Matic.


JvgSplit.pas unit
JEDI-VCL Reference

JvgSplit.pas unit

Classes

Contains the TJvgSplit component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrey V. Chudin,

Version

3.00

Created with Doc-O-Matic.


JvgSplit.pas unit Classes

JvgSplit.pas unit

Classes

TJvgSplitter

Created with Doc-O-Matic.


JvgTransparentMemo.pas unit
JEDI-VCL Reference

JvgTransparentMemo.pas unit

Classes

Contains the TJvgTransparentMemo component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrey V. Chudin,

Version

3.00

Created with Doc-O-Matic.


JvgTransparentMemo.pas unit Classes

JvgTransparentMemo.pas unit

Classes

TJvgTransparentMemo

Created with Doc-O-Matic.


JvgXMLSerializer.pas unit
JEDI-VCL Reference

JvgXMLSerializer.pas unit

Classes	Types

Contains the TJvgXMLSerializer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrey V. Chudin,

Version

3.00

Created with Doc-O-Matic.


JvgXMLSerializer.pas unit Classes

JvgXMLSerializer.pas unit

Classes

EJvgXMLCloseTagNotFoundException

EJvgXMLOpenTagNotFoundException

EJvgXMLSerializerException

EJvgXMLUnknownPropertyException

TJvgXMLSerializer

XMLSerializerException

Created with Doc-O-Matic.


JvgXMLSerializer.pas unit Types

JvgXMLSerializer.pas unit

Types

TBeforeParsingEvent

TJvgXMLSerializerException

TOnGetXMLHeader

Created with Doc-O-Matic.


JvHeaderControl.pas unit
JEDI-VCL Reference

JvHeaderControl.pas unit

Classes

Contains the TJvHeaderControl component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvHeaderControl.pas unit Classes

JvHeaderControl.pas unit

Classes

TJvHeaderControl

Created with Doc-O-Matic.


JvHotKey.pas unit
JEDI-VCL Reference

JvHotKey.pas unit

Classes

Contains the TJvHotKey component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvHotKey.pas unit Classes

JvHotKey.pas unit

Classes

TJvHotKey

Created with Doc-O-Matic.


JvHtControls.pas unit
JEDI-VCL Reference

JvHtControls.pas unit

Classes	Functions	Types

Contains controls capable of rendering HTML tags found in their content.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrei Prygounkov

Contributor(s) Maciej Kaczkowski

Version

3.00

Created with Doc-O-Matic.


JvHtControls.pas unit Classes

JvHtControls.pas unit

Classes

TJvCustomHTComboBox

TJvCustomHTLabel

TJvCustomHTListBox

TJvHTComboBox

TJvHTLabel

TJvHTListBox

Created with Doc-O-Matic.


JvHtControls.pas unit Functions

JvHtControls.pas unit

Functions

ItemHTDraw

ItemHTDrawEx

ItemHTHeight

ItemHTPlain

ItemHTWidth

PrepareText

Created with Doc-O-Matic.


JvHtControls.pas unit Types

JvHtControls.pas unit

Types

THyperLinkClick

Created with Doc-O-Matic.


JvHtmlParser.pas unit
JEDI-VCL Reference

JvHtmlParser.pas unit

Classes	Records	Types

Contains the TJvHTMLParser component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvHtmlParser.pas unit Classes

JvHtmlParser.pas unit

Classes

TJvHTMLParser

TJvParserInfo

TTagInfoList

Created with Doc-O-Matic.


JvHtmlParser.pas unit Records

JvHtmlParser.pas unit

Records

TTagInfo

Created with Doc-O-Matic.


JvHtmlParser.pas unit Types

JvHtmlParser.pas unit

Types

PTagInfo

TJvKeyFoundEvent

TJvKeyFoundExEvent

Created with Doc-O-Matic.


JvId3v1.pas unit
JEDI-VCL Reference

JvId3v1.pas unit

Classes	Functions	Records

Contains the TJvID3v1 component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvId3v1.pas unit Records

JvId3v1.pas unit

Records

TID3v1Tag

Created with Doc-O-Matic.


JvId3v1.pas unit Classes

JvId3v1.pas unit

Classes

TJvID3v1

Created with Doc-O-Matic.


JvId3v1.pas unit Functions

JvId3v1.pas unit

Functions

HasID3v1Tag

ReadID3v1Tag

RemoveID3v1Tag

WriteID3v1Tag

Created with Doc-O-Matic.


JvId3v2.pas unit
JEDI-VCL Reference

JvId3v2.pas unit

Classes

Contains the TJvID3v2 component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvId3v2.pas unit Classes

JvId3v2.pas unit

Classes

TJvID3Images

TJvID3Ipl

TJvID3Owner

TJvID3Persistent

TJvID3Pictures

TJvID3PicturesDesc

TJvID3Popularimeter

TJvID3Text

TJvID3UDText

TJvID3UDUrl

TJvID3v2

TJvID3Web

Created with Doc-O-Matic.


JvID3v2Base.pas unit
JEDI-VCL Reference

JvID3v2Base.pas unit

Classes	Enumerations	Functions	Types

Contains components and code to read ID3 v2 tags.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Remko Bonte

Version

3.00

Created with Doc-O-Matic.


JvID3v2Base.pas unit Classes

JvID3v2Base.pas unit

Classes

EJvID3Error

TJvID3AudioEncryptionFrame

TJvID3Base

TJvID3BinaryFrame

TJvID3ContentFrame

TJvID3Controller

TJvID3ControllerDesigner

TJvID3CustomTextFrame

TJvID3DoubleListFrame

TJvID3ExtendedHeader

TJvID3FileInfo

TJvID3Frame

TJvID3Frames

TJvID3GeneralObjFrame

TJvID3Header

TJvID3NumberFrame

TJvID3OwnershipFrame

TJvID3PictureFrame

TJvID3PlayCounterFrame

TJvID3PopularimeterFrame

TJvID3SimpleListFrame

TJvID3SkipFrame

TJvID3TermsOfUseFrame

TJvID3TextFrame

TJvID3TimestampFrame

TJvID3URLFrame

TJvID3URLUserFrame

TJvID3UserFrame

Created with Doc-O-Matic.


JvID3v2Base.pas unit Enumerations

JvID3v2Base.pas unit

Enumerations

TJvID3ControllerOption

TJvID3HandleError

TJvMPEGBit

TJvMPEGChannelMode

TJvMPEGEmphasis

TJvMPEGLayer

TJvMPEGModeExtension

TJvMPEGVersion

Created with Doc-O-Matic.


JvID3v2Base.pas unit Functions

JvID3v2Base.pas unit

Functions

ExtToMIMEType

GenreToNiceGenre

GetID3v2Version

MIMETypeToExt

NiceGenreToGenre

Created with Doc-O-Matic.


JvID3v2Base.pas unit Types

JvID3v2Base.pas unit

Types

TJvID3ControllerOptions

TJvID3FrameClass

TJvMPEGBits

Created with Doc-O-Matic.


JvId3v2Types.pas unit
JEDI-VCL Reference

JvId3v2Types.pas unit

Enumerations	Functions	Records	Types

Contains functions and types to read ID3 tags.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvId3v2Types.pas unit Enumerations

JvId3v2Types.pas unit

Enumerations

TJvID3Encoding

TJvID3ForceEncoding

TJvID3ForceVersion

TJvID3FrameHeaderFlag

TJvID3FrameID

TJvID3HeaderExtendedFlag

TJvID3HeaderFlag

TJvID3ImageEncodingRestriction

TJvID3ImageSizeRestriction

TJvID3PictureType

TJvID3TagSizeRestriction

TJvID3TextEncodingRestriction

TJvID3TextFieldsSizeRestriction

TJvID3Version

Created with Doc-O-Matic.


JvId3v2Types.pas unit Records

JvId3v2Types.pas unit

Records

TJvID3Restrictions

TJvID3StringPair

Created with Doc-O-Matic.


JvId3v2Types.pas unit Functions

JvId3v2Types.pas unit

Functions

ID3_FrameIDToString

ID3_Genres

ID3_GenreToID

ID3_IDToGenre

ID3_LongGenreToID

ID3_StringToFrameID

ISO_639_2CodeToName

ISO_639_2IsCode

ISO_639_2Names

ISO_639_2NameToCode

Created with Doc-O-Matic.


JvId3v2Types.pas unit Types

JvId3v2Types.pas unit

Types

TJvID3Encodings

TJvID3FrameHeaderFlags

TJvID3FrameIDs

TJvID3HeaderExtendedFlags

TJvID3HeaderFlags

Created with Doc-O-Matic.


JvImageList.pas unit
JEDI-VCL Reference

JvImageList.pas unit

Classes	Enumerations	Functions

Contains the TJvImageList component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvImageList.pas unit Classes

JvImageList.pas unit

Classes

EJvImageListError

TJvImageList

TJvImageListItem

TJvImageListItems

Created with Doc-O-Matic.


JvImageList.pas unit Enumerations

JvImageList.pas unit

Enumerations

TJvImageListItemKind

TJvImageListMode

TJvImageListTransparentMode

Created with Doc-O-Matic.


JvImageList.pas unit Functions

JvImageList.pas unit

Functions

CreateImageListHandle

LoadImageListFromBitmap

LoadImageListFromBitmap

Created with Doc-O-Matic.


JvImageListViewer.pas unit
JEDI-VCL Reference

JvImageListViewer.pas unit

Classes	Types

Contains the TJvImageListViewer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvImageListViewer.pas unit Classes

JvImageListViewer.pas unit

Classes

TJvImageListViewer

TJvImageListViewerOptions

Created with Doc-O-Matic.


JvImageListViewer.pas unit Types

JvImageListViewer.pas unit

Types

TJvImageListViewerCaptionEvent

Created with Doc-O-Matic.


JvImageSquare.pas unit
JEDI-VCL Reference

JvImageSquare.pas unit

Classes

Contains the TJvImageSquare component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvImageSquare.pas unit Classes

JvImageSquare.pas unit

Classes

TJvImageSquare

Created with Doc-O-Matic.


JvImagesViewer.pas unit
JEDI-VCL Reference

JvImagesViewer.pas unit

Classes	Types

Contains the TJvImagesViewer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvImagesViewer.pas unit Classes

JvImagesViewer.pas unit

Classes

TJvImagesViewer

TJvImageViewerOptions

TJvPictureItem

Created with Doc-O-Matic.


JvImagesViewer.pas unit Types

JvImagesViewer.pas unit

Types

TJvImageLoadErrorEvent

TJvImageViewerLoadProgress

Created with Doc-O-Matic.


JvInspector.pas unit
JEDI-VCL Reference

JvInspector.pas unit

Classes	Enumerations	Functions	Types	 See Also

Contains a data inspector.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvInspector.pas unit Classes

JvInspector.pas unit

Classes

EJvInspector

EJvInspectorData

EJvInspectorItem

EJvInspectorReg

TJvCustomInspector

TJvCustomInspectorData

TJvCustomInspectorItem

TJvCustomInspectorRegItem

TJvInspDataReg

TJvInspector

TJvInspectorBooleanItem

TJvInspectorBorlandNETBasePainter

TJvInspectorBorlandPainter

TJvInspectorCharItem

TJvInspectorClassItem

TJvInspectorComponentItem

TJvInspectorCompoundColumn

TJvInspectorCompoundItem

TJvInspectorCustomCategoryItem

TJvInspectorCustomCompoundItem

TJvInspectorCustomConfData

TJvInspectorDateItem

TJvInspectorDateTimeItem

TJvInspectorDotNETPainter

TJvInspectorEnumItem

TJvInspectorEventData

TJvInspectorFloatItem

TJvInspectorFontItem

TJvInspectorFontNameItem

TJvInspectorINIFileData

TJvInspectorInt64Item

TJvInspectorIntegerItem

TJvInspectorItemSizing

TJvInspectorPainter

TJvInspectorPropData

TJvInspectorPropRegItem

TJvInspectorRegister

TJvInspectorSetItem

TJvInspectorSetMemberData

TJvInspectorStringItem

TJvInspectorTCaptionRegItem

TJvInspectorTimeItem

TJvInspectorTMethodItem

TJvInspectorTStringsItem

TJvInspectorTypeInfoMapperRegItem

TJvInspectorTypeInfoRegItem

TJvInspectorTypeKindRegItem

TJvInspectorVarData

Created with Doc-O-Matic.


JvInspector.pas unit Enumerations

JvInspector.pas unit

Enumerations

TInspectorClassFlag

TInspectorComponentFlag

TInspectorCompoundItemFlag

TInspectorItemFlag

TInspectorItemSortKind

TInspectorPaintRect

TInspectorSetFlag

TInspectorTMethodFlag

Created with Doc-O-Matic.


JvInspector.pas unit Functions

JvInspector.pas unit

Functions

ApplyCanvasState

DataRegister

RegisterTypeInfoHelper

RestoreCanvasState

SaveCanvasState

TypeInfoFromName

Created with Doc-O-Matic.


JvInspector.pas unit Types

JvInspector.pas unit

Types

TInspectorBeforeEditEvent

TInspectorClassFlags

TInspectorComponentFlags

TInspectorCompoundItemFlags

TInspectorDataEvent

TInspectorItemBeforeCreateEvent

TInspectorItemBeforeSelectEvent

TInspectorItemEvent

TInspectorItemFlags

TInspectorItemGetValueListEvent

TInspectorItemSortCompare

TInspectorSetFlags

TInspectorTMethodFlags

TInspectorValueChangingEvent

TInspectorValueErrorEvent

TJvCustomInspectorBase

TJvInspAsFloat

TJvInspAsInt64

TJvInspAsMethod

TJvInspAsSet

TJvInspAsString

TJvInspConfKeyEvent

TJvInspConfSectionEvent

TJvInspectorDataClass

TJvInspectorItemClass

TJvInspectorPainterClass

TJvInspSupportsMethodPointers

TJvTypeInfoHelperClass

TOnJvInspectorItemEdit

TOnJvInspectorMouseDown

TOnJvInspectorSetItemColors

Created with Doc-O-Matic.


See Also

$JVCL.Info.Inspector


JvInstallLabel.pas unit
JEDI-VCL Reference

JvInstallLabel.pas unit

Classes

Contains the TJvInstallLabel component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvInstallLabel.pas unit Classes

JvInstallLabel.pas unit

Classes

TJvInstallLabel

Created with Doc-O-Matic.


JvItemsPanel.pas unit
JEDI-VCL Reference

JvItemsPanel.pas unit

Classes	Enumerations	Types

Contains the TJvItemsPanel component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvItemsPanel.pas unit Classes

JvItemsPanel.pas unit

Classes

TJvItemsPanel

Created with Doc-O-Matic.


JvItemsPanel.pas unit Enumerations

JvItemsPanel.pas unit

Enumerations

TJvPanelOrientation

Created with Doc-O-Matic.


JvItemsPanel.pas unit Types

JvItemsPanel.pas unit

Types

TJvPanelItemClickEvent

Created with Doc-O-Matic.


JvLED.pas unit
JEDI-VCL Reference

JvLED.pas unit

Classes

Contains the TJvLED component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Thomas Hensle

Version

3.00

Created with Doc-O-Matic.


JvLED.pas unit Classes

JvLED.pas unit

Classes

TJvCustomLED

TJvLED

Created with Doc-O-Matic.


JvLinkedControls.pas unit
JEDI-VCL Reference

JvLinkedControls.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvLinkedControls support class.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvLinkedControls.pas unit Classes

JvLinkedControls.pas unit

Classes

TJvLinkedControl

TJvLinkedControls

Created with Doc-O-Matic.


JvLinkedControls.pas unit Enumerations

JvLinkedControls.pas unit

Enumerations

TJvLinkedControlsOption

Created with Doc-O-Matic.


JvLinkedControls.pas unit Functions

JvLinkedControls.pas unit

Functions

CheckLinkControlEnabled

Created with Doc-O-Matic.


JvLinkedControls.pas unit Types

JvLinkedControls.pas unit

Types

TJvLinkedControlsOptions

Created with Doc-O-Matic.


JvLinkLabelDebug.pas unit
JEDI-VCL Reference

JvLinkLabelDebug.pas unit

Classes

Contains debug support classes for TJvLinkLabel.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

David Polberger

Version

3.00

Created with Doc-O-Matic.


JvLinkLabelDebug.pas unit Classes

JvLinkLabelDebug.pas unit

Classes

TDebugLinkLabelTools

Created with Doc-O-Matic.


JvListBox.pas unit
JEDI-VCL Reference

JvListBox.pas unit

Classes	Enumerations	Types

Contains the TJvCustomListBox component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvListBox.pas unit Classes

JvListBox.pas unit

Classes

TJvCustomListBox

TJvListBox

TJvListBoxBackground

Created with Doc-O-Matic.


JvListBox.pas unit Enumerations

JvListBox.pas unit

Enumerations

TJvListboxFillMode

Created with Doc-O-Matic.


JvListBox.pas unit Types

JvListBox.pas unit

Types

TJvListboxChange

TJvListBoxDataEvent

TJvScrollEvent

Created with Doc-O-Matic.


JvListComb.pas unit
JEDI-VCL Reference

JvListComb.pas unit

Interfaces	Classes	Enumerations	Types

Contains the TJvImageComboBox and TJvImageListBox components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvListComb.pas unit Interfaces

JvListComb.pas unit

Interfaces

IJvResetItemHeight

Created with Doc-O-Matic.


JvListComb.pas unit Enumerations

JvListComb.pas unit

Enumerations

TJvButtonColors

Created with Doc-O-Matic.


JvListComb.pas unit Classes

JvListComb.pas unit

Classes

TJvImageComboBox

TJvImageItem

TJvImageItems

TJvImageListBox

Created with Doc-O-Matic.


JvListComb.pas unit Types

JvListComb.pas unit

Types

TJvImageComboBoxBase

TJvListPropertiesUsed

Created with Doc-O-Matic.


JvListView.pas unit
JEDI-VCL Reference

JvListView.pas unit

Classes	Types

Contains the TJvListView component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvListView.pas unit Classes

JvListView.pas unit

Classes

TJvListExtendedColumn

TJvListExtendedColumns

TJvListItem

TJvListItems

TJvListView

Created with Doc-O-Matic.


JvListView.pas unit Types

JvListView.pas unit

Types

EJvListViewError

TJvOnProgress

TViewStyles

Created with Doc-O-Matic.


JvLookOut.pas unit
JEDI-VCL Reference

JvLookOut.pas unit

Classes	Enumerations	Types

Contains the TJvLookOut component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvLookOut.pas unit Enumerations

JvLookOut.pas unit

Enumerations

TJvButtonBorder

Created with Doc-O-Matic.


JvLookOut.pas unit Classes

JvLookOut.pas unit

Classes

TJvCustomLookOutButton

TJvExpress

TJvExpressButton

TJvLookOut

TJvLookOutButton

TJvLookOutPage

Created with Doc-O-Matic.


JvLookOut.pas unit Types

JvLookOut.pas unit

Types

TJvLookOutEditedEvent

Created with Doc-O-Matic.


JvMail.pas unit
JEDI-VCL Reference

JvMail.pas unit

Classes	Enumerations	Records	Types

Contains the TJvMail component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Petr Vones

Version

3.00

Created with Doc-O-Matic.


JvMail.pas unit Classes

JvMail.pas unit

Classes

TJvMail

TJvMailRecipient

TJvMailRecipients

Created with Doc-O-Matic.


JvMail.pas unit Enumerations

JvMail.pas unit

Enumerations

TJvMailLogonOption

TJvMailReadOption

Created with Doc-O-Matic.


JvMail.pas unit Records

JvMail.pas unit

Records

TJvMailReadedData

Created with Doc-O-Matic.


JvMail.pas unit Types

JvMail.pas unit

Types

TJvMailErrorEvent

TJvMailLogonOptions

TJvMailReadOptions

Created with Doc-O-Matic.


JvMarkupCommon.pas unit
JEDI-VCL Reference

JvMarkupCommon.pas unit

Classes

Contains classes used in components that can render HTML markup.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Jan Verhoeven

Version

3.00

Created with Doc-O-Matic.


JvMarkupCommon.pas unit Classes

JvMarkupCommon.pas unit

Classes

TJvHTMLElement

TJvHTMLElementStack

Created with Doc-O-Matic.


JvMarkupLabel.pas unit
JEDI-VCL Reference

JvMarkupLabel.pas unit

Classes

Contains the TJvMarkupLabel component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Jan Verhoeven

Version

3.00

Created with Doc-O-Matic.


JvMarkupLabel.pas unit Classes

JvMarkupLabel.pas unit

Classes

TJvMarkupLabel

Created with Doc-O-Matic.


JvMarkupViewer.pas unit
JEDI-VCL Reference

JvMarkupViewer.pas unit

Classes

Contains the TJvMarkupViewer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Jan Verhoeven

Version

3.00

Created with Doc-O-Matic.


JvMarkupViewer.pas unit Classes

JvMarkupViewer.pas unit

Classes

TJvMarkupViewer

Created with Doc-O-Matic.


JvMenus.pas unit
JEDI-VCL Reference

JvMenus.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvMainMenu, TJvPopupMenu the related painter components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev. Reworked for JVCL by Olivier Sannier

Version

3.00

Created with Doc-O-Matic.


JvMenus.pas unit Classes

JvMenus.pas unit

Classes

TJvBtnMenuItemPainter

TJvCustomMenuItemPainter

TJvImageMargin

TJvMainMenu

TJvMenuChangeLink

TJvMenuImageSize

TJvOfficeMenuItemPainter

TJvOwnerDrawMenuItemPainter

TJvPopupMenu

TJvStandardMenuItemPainter

TJvXPMenuItemPainter

Created with Doc-O-Matic.


JvMenus.pas unit Enumerations

JvMenus.pas unit

Enumerations

TJvMenuStyle

TJvVerticalAlignment

Created with Doc-O-Matic.


JvMenus.pas unit Functions

JvMenus.pas unit

Functions

SetDefaultMenuFont

UseFlatMenubars

Created with Doc-O-Matic.


JvMenus.pas unit Types

JvMenus.pas unit

Types

TDrawMenuItemEvent

TItemImageEvent

TItemParamsEvent

TJvDrawLeftMarginEvent

TMeasureMenuItemEvent

TMenuOwnerDrawState

TOnJvMenuChange

Created with Doc-O-Matic.


JvMonthCalendar.pas unit
JEDI-VCL Reference

JvMonthCalendar.pas unit

Classes

Contains the TJvMonthCalendar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvMonthCalendar.pas unit Classes

JvMonthCalendar.pas unit

Classes

TJvMonthCalendar

Created with Doc-O-Matic.


JvNavigationPane.pas unit
JEDI-VCL Reference

JvNavigationPane.pas unit

Classes	Enumerations	Types

Contains the Jv Navigation Pane components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thornqvist

Version

3.00

Created with Doc-O-Matic.


JvNavigationPane.pas unit Classes

JvNavigationPane.pas unit

Classes

TJvCustomNavigationPane

TJvCustomNavPaneToolPanel

TJvNavIconButton

TJvNavigationPane

TJvNavPaneBackgroundImage

TJvNavPanelButton

TJvNavPanelColors

TJvNavPanelDivider

TJvNavPanelFonts

TJvNavPanelHeader

TJvNavPanelPage

TJvNavPanelToolButton

TJvNavPaneStyleManager

TJvNavPaneToolButton

TJvNavPaneToolButtons

TJvNavPaneToolPanel

TJvOutlookSplitter

Created with Doc-O-Matic.


JvNavigationPane.pas unit Enumerations

JvNavigationPane.pas unit

Enumerations

TJvNavIconButtonType

TJvNavPanelTheme

TJvToolPanelHitTestInfo

Created with Doc-O-Matic.


JvNavigationPane.pas unit Types

JvNavigationPane.pas unit

Types

TJvNavPaneToolButtonClick

TJvToolPanelHitTestInfos

Created with Doc-O-Matic.


JvOutlookBar.pas unit
JEDI-VCL Reference

JvOutlookBar.pas unit

Classes	Enumerations	Types

Contains the TJvOutlookBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvOutlookBar.pas unit Enumerations

JvOutlookBar.pas unit

Enumerations

TJvBarButtonSize

TJvOutlookBarCustomDrawStage

Created with Doc-O-Matic.


JvOutlookBar.pas unit Classes

JvOutlookBar.pas unit

Classes

TJvCustomOutlookBar

TJvOutlookBar

TJvOutlookBarButton

TJvOutlookBarButtonActionLink

TJvOutlookBarButtons

TJvOutlookBarPage

TJvOutlookBarPages

Created with Doc-O-Matic.


JvOutlookBar.pas unit Types

JvOutlookBar.pas unit

Types

TJvOutlookBarButtonActionLinkClass

TJvOutlookBarCustomDrawEvent

TOutlookBarButtonClick

TOutlookBarEditCaption

TOutlookBarPageChange

TOutlookBarPageChanging

Created with Doc-O-Matic.


JvOwnerDrawViewer.pas unit
JEDI-VCL Reference

JvOwnerDrawViewer.pas unit

Classes

Contains the TJvOwnerDrawViewer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvOwnerDrawViewer.pas unit Classes

JvOwnerDrawViewer.pas unit

Classes

TJvOwnerDrawViewer

TJvOwnerDrawViewerOptions

Created with Doc-O-Matic.


JvPageList.pas unit
JEDI-VCL Reference

JvPageList.pas unit

Interfaces	Classes	Enumerations	Types

Contains the IPageList interface as well as the TJvPageList component. TJvPageList is the basis for page style components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvPageList.pas unit Classes

JvPageList.pas unit

Classes

EPageListError

TJvCustomPage

TJvCustomPageList

TJvPageList

TJvStandardPage

Created with Doc-O-Matic.


JvPageList.pas unit Interfaces

JvPageList.pas unit

Interfaces

IPageList

Created with Doc-O-Matic.


JvPageList.pas unit Enumerations

JvPageList.pas unit

Enumerations

TJvShowDesignCaption

Created with Doc-O-Matic.


JvPageList.pas unit Types

JvPageList.pas unit

Types

TJvCustomPageClass

TJvPageCanPaintEvent

TJvPageChangingEvent

TJvPagePaintEvent

Created with Doc-O-Matic.


JvPageListTreeView.pas unit
JEDI-VCL Reference

JvPageListTreeView.pas unit

Classes

Contains the the TJvPageListTreeView and TJvSettingsTreeView components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvPageListTreeView.pas unit Classes

JvPageListTreeView.pas unit

Classes

TJvCustomPageListTreeView

TJvCustomSettingsTreeView

TJvPageIndexNode

TJvPageIndexNodes

TJvPageLinks

TJvPageListTreeView

TJvSettingsTreeImages

TJvSettingsTreeView

Created with Doc-O-Matic.


JvPageScroller.pas unit
JEDI-VCL Reference

JvPageScroller.pas unit

Classes

Contains the TJvPageScroller component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvPageScroller.pas unit Classes

JvPageScroller.pas unit

Classes

TJvPageScroller

Created with Doc-O-Matic.


JvPatchFile.pas unit
JEDI-VCL Reference

JvPatchFile.pas unit

Classes

Contains the TJvPatchFile component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvPatchFile.pas unit Classes

JvPatchFile.pas unit

Classes

TJvPatchFile

Created with Doc-O-Matic.


JvPlugin.pas unit
JEDI-VCL Reference

JvPlugin.pas unit

Classes	Types

Contains all code for writing plugins.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Tim Sullivan

Version

3.00

Created with Doc-O-Matic.


JvPlugin.pas unit Classes

JvPlugin.pas unit

Classes

TJvPlugIn

TJvPluginCommand

TJvPluginCommands

Created with Doc-O-Matic.


JvPlugin.pas unit Types

JvPlugin.pas unit

Types

TPluginInitializeEvent

TPluginMessageEvent

Created with Doc-O-Matic.


JvPluginManager.pas unit
JEDI-VCL Reference

JvPluginManager.pas unit

Classes	Enumerations	Types

Contains all code to make an application plugin enabled.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Tim Sullivan

Version

3.00

Created with Doc-O-Matic.


JvPluginManager.pas unit Classes

JvPluginManager.pas unit

Classes

EJvCantRegisterPlugInError

EJvExtensionPlugInError

EJvInitializationCustomPlugInError

EJvInitializationPlugInError

EJvLoadPluginError

EJvPlugInError

TJvPluginManager

TPluginInfo

Created with Doc-O-Matic.


JvPluginManager.pas unit Enumerations

JvPluginManager.pas unit

Enumerations

TPluginKind

Created with Doc-O-Matic.


JvPluginManager.pas unit Types

JvPluginManager.pas unit

Types

TJvAfterCommandsEvent

TJvAfterLoadEvent

TJvBeforeCommandsEvent

TJvBeforeLoadEvent

TJvPlgInErrorEvent

TNewCommandEvent

Created with Doc-O-Matic.


JvProgressComponent.pas unit
JEDI-VCL Reference

JvProgressComponent.pas unit

Classes

Contains the TJvProgressComponent component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andrei Prygounkov

Version

3.00

Created with Doc-O-Matic.


JvProgressComponent.pas unit Classes

JvProgressComponent.pas unit

Classes

TJvProgressComponent

Created with Doc-O-Matic.


JvProgressDialog.pas unit
JEDI-VCL Reference

JvProgressDialog.pas unit

Classes	Types

Contains the TJvProgressDialog component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist.

Version

3.00

Created with Doc-O-Matic.


JvProgressDialog.pas unit Classes

JvProgressDialog.pas unit

Classes

TJvProgressDialog

Created with Doc-O-Matic.


JvProgressDialog.pas unit Types

JvProgressDialog.pas unit

Types

TJvProgressDialogEvent

Created with Doc-O-Matic.


JvPrvwDoc.pas unit
JEDI-VCL Reference

JvPrvwDoc.pas unit

Interfaces	Classes	Enumerations	Types

Contains the TJvPreviewControl component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist.

Version

3.00

Created with Doc-O-Matic.


JvPrvwDoc.pas unit Interfaces

JvPrvwDoc.pas unit

Interfaces

IJvPrinter

Created with Doc-O-Matic.


JvPrvwDoc.pas unit Classes

JvPrvwDoc.pas unit

Classes

TJvCustomPreviewControl

TJvDeviceInfo

TJvPageShadow

TJvPreviewControl

TJvPreviewPageOptions

TJvPreviewSelection

Created with Doc-O-Matic.


JvPrvwDoc.pas unit Enumerations

JvPrvwDoc.pas unit

Enumerations

TJvPreviewScaleMode

Created with Doc-O-Matic.


JvPrvwDoc.pas unit Types

JvPrvwDoc.pas unit

Types

TJvDrawPageEvent

TJvScrollHintEvent

Created with Doc-O-Matic.


JvPrvwRender.pas unit
JEDI-VCL Reference

JvPrvwRender.pas unit

Classes	Types

Contains the preview renderer components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist.

Version

3.00

Created with Doc-O-Matic.


JvPrvwRender.pas unit Classes

JvPrvwRender.pas unit

Classes

TJvCustomPreviewRenderer

TJvPreviewGraphicItem

TJvPreviewGraphicItems

TJvPreviewPrinter

TJvPreviewRenderControl

TJvPreviewRenderGraphics

TJvPreviewRenderJvRichEdit

TJvPreviewRenderRichEdit

TJvPreviewRenderStrings

Created with Doc-O-Matic.


JvPrvwRender.pas unit Types

JvPrvwRender.pas unit

Types

EPrintPreviewError

TJvNewPageEvent

Created with Doc-O-Matic.


JvRadioGroup.pas unit
JEDI-VCL Reference

JvRadioGroup.pas unit

Classes	Types

Contains the TJvRadioGroup component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvRadioGroup.pas unit Classes

JvRadioGroup.pas unit

Classes

TJvRadioGroup

Created with Doc-O-Matic.


JvRadioGroup.pas unit Types

JvRadioGroup.pas unit

Types

TJvRadioGroupHintEvent

Created with Doc-O-Matic.


JvRegistryTreeview.pas unit
JEDI-VCL Reference

JvRegistryTreeview.pas unit

Classes

Contains the TJvRegistryTreeView component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvRegistryTreeview.pas unit Classes

JvRegistryTreeview.pas unit

Classes

TJvRegistryTreeView

Created with Doc-O-Matic.


JvRenameError.pas unit
JEDI-VCL Reference

JvRenameError.pas unit

Classes

Contains the TJvRenameError component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvRenameError.pas unit Classes

JvRenameError.pas unit

Classes

TJvRenameError

Created with Doc-O-Matic.


JvRichEdit.pas unit
JEDI-VCL Reference

JvRichEdit.pas unit

Classes	Enumerations	Functions	Types	Variables

Contains the TJvRichEdit component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvRichEdit.pas unit Enumerations

JvRichEdit.pas unit

Enumerations

TJvConsistentAttribute

TJvConversionKind

TJvConversionTextKind

TJvIndentationStyle

TJvNumbering

TJvNumberingStyle

TJvTabAlignment

TJvTabLeader

TLineSpacingRule

TParaAlignment

TRichLangOption

TRichSearchType

TRichSelection

TRichStreamFormat

TRichStreamMode

TSubscriptStyle

TUnderlineColor

TUnderlineType

TUndoName

Created with Doc-O-Matic.


JvRichEdit.pas unit Classes

JvRichEdit.pas unit

Classes

TJvConversion

TJvCustomRichEdit

TJvMSTextConversion

TJvOEMConversion

TJvParaAttributes

TJvRichEdit

TJvRTFConversion

TJvStreamConversion

TJvTextAttributes

TJvTextConversion

Created with Doc-O-Matic.


JvRichEdit.pas unit Functions

JvRichEdit.pas unit

Functions

BitmapToRTF

BitmapToRTF2

Created with Doc-O-Matic.


JvRichEdit.pas unit Types

JvRichEdit.pas unit

Types

THeadingStyle

TJvConsistentAttributes

TRichEditFindCloseEvent

TRichEditFindErrorEvent

TRichEditProgressEvent

TRichEditProtectChangeEx

TRichEditURLClickEvent

TRichEditVersion

TRichLangOptions

TRichSearchTypes

TRichSelectionType

TRichStreamModes

Created with Doc-O-Matic.


JvRichEdit.pas unit Variables

JvRichEdit.pas unit

Variables

RichEditVersion

Created with Doc-O-Matic.


JvRichEditToHtml.pas unit
JEDI-VCL Reference

JvRichEditToHtml.pas unit

Classes	Records

Contains the TJvRichEditToHtml component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvRichEditToHtml.pas unit Records

JvRichEditToHtml.pas unit

Records

TJvParaAttributesRec

TJvRichEditParaAttributesRec

Created with Doc-O-Matic.


JvRichEditToHtml.pas unit Classes

JvRichEditToHtml.pas unit

Classes

TJvRichEditToHtml

Created with Doc-O-Matic.


JvRollOut.pas unit
JEDI-VCL Reference

JvRollOut.pas unit

Classes	Enumerations

Contains the TJvRollOut component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvRollOut.pas unit Classes

JvRollOut.pas unit

Classes

TJvCustomRollOut

TJvRollOut

TJvRollOutAction

TJvRollOutColors

TJvRollOutImageOptions

Created with Doc-O-Matic.


JvRollOut.pas unit Enumerations

JvRollOut.pas unit

Enumerations

TJvPlacement

Created with Doc-O-Matic.


JvScheduledEvents.pas unit
JEDI-VCL Reference

JvScheduledEvents.pas unit

Classes	Enumerations	Types

Provides code and a component to schedule execution of events.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvScheduledEvents.pas unit Classes

JvScheduledEvents.pas unit

Classes

TJvCustomScheduledEvents

TJvEventCollection

TJvEventCollectionItem

TJvScheduledEvents

Created with Doc-O-Matic.


JvScheduledEvents.pas unit Enumerations

JvScheduledEvents.pas unit

Enumerations

TScheduledEventState

Created with Doc-O-Matic.


JvScheduledEvents.pas unit Types

JvScheduledEvents.pas unit

Types

TScheduledEventExecute

Created with Doc-O-Matic.


JvScreenResolution.pas unit
JEDI-VCL Reference

JvScreenResolution.pas unit

Classes

Contains the TJvScreenResolution object.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvScreenResolution.pas unit Classes

JvScreenResolution.pas unit

Classes

TJvScreenResolution

Created with Doc-O-Matic.


JvScreenSaveSuppress.pas unit
JEDI-VCL Reference

JvScreenSaveSuppress.pas unit

Classes	Types

Contains the TJvScreenSaveSuppress component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Robert Marquardt

Version

3.00

Created with Doc-O-Matic.


JvScreenSaveSuppress.pas unit Classes

JvScreenSaveSuppress.pas unit

Classes

TJvScreenSaveSuppressor

Created with Doc-O-Matic.


JvScreenSaveSuppress.pas unit Types

JvScreenSaveSuppress.pas unit

Types

TJvScreenSaveEvent

Created with Doc-O-Matic.


JvScrollBar.pas unit
JEDI-VCL Reference

JvScrollBar.pas unit

Classes

Contains the TJvScrollBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvScrollBar.pas unit Classes

JvScrollBar.pas unit

Classes

TJvScrollBar

Created with Doc-O-Matic.


JvScrollBox.pas unit
JEDI-VCL Reference

JvScrollBox.pas unit

Classes

Contains the TJvScrollBox component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvScrollBox.pas unit Classes

JvScrollBox.pas unit

Classes

TJvScrollBox

Created with Doc-O-Matic.


JvScrollPanel.pas unit
JEDI-VCL Reference

JvScrollPanel.pas unit

Classes	Enumerations	Types

Contains the TJvScrollingWindow and TJvDivider components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvScrollPanel.pas unit Classes

JvScrollPanel.pas unit

Classes

TJvCustomScrollPanel

TJvDivider

TJvScrollButton

TJvScrollingWindow

Created with Doc-O-Matic.


JvScrollPanel.pas unit Enumerations

JvScrollPanel.pas unit

Enumerations

TJvDivideKind

TJvScrollDirection

TJvScrollKind

Created with Doc-O-Matic.


JvScrollPanel.pas unit Types

JvScrollPanel.pas unit

Types

TJvScrolledEvent

TJvScrollingEvent

Created with Doc-O-Matic.


JvScrollText.pas unit
JEDI-VCL Reference

JvScrollText.pas unit

Classes	Enumerations

Contains the TJvScrollText component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvScrollText.pas unit Classes

JvScrollText.pas unit

Classes

TJvScrollText

Created with Doc-O-Matic.


JvScrollText.pas unit Enumerations

JvScrollText.pas unit

Enumerations

TJvScrollTextDirection

Created with Doc-O-Matic.


JvSearchFiles.pas unit
JEDI-VCL Reference

JvSearchFiles.pas unit

Classes	Enumerations	Types

Contains the TJvSearchFiles component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist, Remko Bonte

Version

3.00

Created with Doc-O-Matic.


JvSearchFiles.pas unit Enumerations

JvSearchFiles.pas unit

Enumerations

TJvAttrFlagKind

TJvDirOption

TJvErrorResponse

TJvSearchOption

TJvSearchType

Created with Doc-O-Matic.


JvSearchFiles.pas unit Classes

JvSearchFiles.pas unit

Classes

TJvSearchAttributes

TJvSearchFiles

TJvSearchParams

Created with Doc-O-Matic.


JvSearchFiles.pas unit Types

JvSearchFiles.pas unit

Types

TJvCheckEvent

TJvFileSearchEvent

TJvSearchFilesError

TJvSearchOptions

TJvSearchTypes

Created with Doc-O-Matic.


JvSegmentedLEDDisplay.pas unit
JEDI-VCL Reference

JvSegmentedLEDDisplay.pas unit

Classes	Enumerations	Functions	Records	Types

Contains the TJvSegmentedLEDDisplay and related components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marcel Bestebroer

Version

3.00

Created with Doc-O-Matic.


JvSegmentedLEDDisplay.pas unit Classes

JvSegmentedLEDDisplay.pas unit

Classes

EJVCLSegmentedLEDException

TJv7SegmentedLEDDigit

TJvBaseSegmentedLEDDigit

TJvCustomSegmentedLEDDigit

TJvCustomSegmentedLEDDisplay

TJvSegmentedLEDCharacterMapper

TJvSegmentedLEDDigits

TJvSegmentedLEDDisplay

Created with Doc-O-Matic.


JvSegmentedLEDDisplay.pas unit Enumerations

JvSegmentedLEDDisplay.pas unit

Enumerations

T7SegColonUsage

TSegmentRenderType

TSLDHitInfo

Created with Doc-O-Matic.


JvSegmentedLEDDisplay.pas unit Records

JvSegmentedLEDDisplay.pas unit

Records

TSegCharMapHeader

TSegmentRenderInfo

Created with Doc-O-Matic.


JvSegmentedLEDDisplay.pas unit Functions

JvSegmentedLEDDisplay.pas unit

Functions

DigitClassList

IdentToUnlitColor

RegisterSegmentedLEDDigitClass

RegisterSegmentedLEDDigitClasses

StringToUnlitColor

UnlitColorToIdent

UnlitColorToString

UnregisterModuleSegmentedLEDDigitClasses

UnregisterSegmentedLEDDigitClass

UnregisterSegmentedLEDDigitClasses

Created with Doc-O-Matic.


JvSegmentedLEDDisplay.pas unit Types

JvSegmentedLEDDisplay.pas unit

Types

TCharSet

TJvSegmentedLEDDigitClass

TJvSegmentedLEDDigitClassName

TPointArray

TSegmentRenderInfoArray

TSlantAngle

TUnlitColor

Created with Doc-O-Matic.


JvSelectDirectory.pas unit
JEDI-VCL Reference

JvSelectDirectory.pas unit

Classes

Contains the TJvSelectDirectory component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSelectDirectory.pas unit Classes

JvSelectDirectory.pas unit

Classes

TJvSelectDirectory

Created with Doc-O-Matic.


JvShape.pas unit
JEDI-VCL Reference

JvShape.pas unit

Classes

Contains the TJvShape component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvShape.pas unit Classes

JvShape.pas unit

Classes

TJvShape

Created with Doc-O-Matic.


JvShellHook.pas unit
JEDI-VCL Reference

JvShellHook.pas unit

Classes	Records	Types

Contains the TJvShellHook component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thornqvist

Version

3.00

Created with Doc-O-Matic.


JvShellHook.pas unit Classes

JvShellHook.pas unit

Classes

TJvShellHook

Created with Doc-O-Matic.


JvShellHook.pas unit Records

JvShellHook.pas unit

Records

TShellHookInfo

Created with Doc-O-Matic.


JvShellHook.pas unit Types

JvShellHook.pas unit

Types

PShellHookInfo

TJvShellHookEvent

Created with Doc-O-Matic.


JvSHFileOperation.pas unit
JEDI-VCL Reference

JvSHFileOperation.pas unit

Classes	Enumerations	Types

Contains the TJvSHFileOperation component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvSHFileOperation.pas unit Classes

JvSHFileOperation.pas unit

Classes

TJvSHFileOperation

Created with Doc-O-Matic.


JvSHFileOperation.pas unit Enumerations

JvSHFileOperation.pas unit

Enumerations

TJvSHFileOption

TJvSHFileOpType

Created with Doc-O-Matic.


JvSHFileOperation.pas unit Types

JvSHFileOperation.pas unit

Types

TJvShFileMappingEvent

TJvSHFileOptions

Created with Doc-O-Matic.


JvSimpleXml.pas unit
JEDI-VCL Reference

JvSimpleXml.pas unit

Classes	Enumerations	Functions	Records	Types

Contains the TJvSimpleXML component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSimpleXml.pas unit Classes

JvSimpleXml.pas unit

Classes

EJvSimpleXMLError

TJvSimpleHashTable

TJvSimpleXML

TJvSimpleXMLElem

TJvSimpleXMLElemCData

TJvSimpleXMLElemClassic

TJvSimpleXMLElemComment

TJvSimpleXMLElemDocType

TJvSimpleXMLElemHeader

TJvSimpleXMLElems

TJvSimpleXMLElemSheet

TJvSimpleXMLElemsProlog

TJvSimpleXMLElemText

TJvSimpleXMLProp

TJvSimpleXMLProps

Created with Doc-O-Matic.


JvSimpleXml.pas unit Records

JvSimpleXml.pas unit

Records

TJvHashElem

TJvHashRecord

TXMLVarData

Created with Doc-O-Matic.


JvSimpleXml.pas unit Enumerations

JvSimpleXml.pas unit

Enumerations

TJvHashKind

Created with Doc-O-Matic.


JvSimpleXml.pas unit Functions

JvSimpleXml.pas unit

Functions

EntityDecode

EntityEncode

SimpleXMLDecode

SimpleXMLEncode

VarXML

XMLCreate

XMLCreate

XMLCreateInto

XMLDecode

XMLEncode

Created with Doc-O-Matic.


JvSimpleXml.pas unit Types

JvSimpleXml.pas unit

Types

PJvHashElem

PJvHashList

PJvHashRecord

TJvHashList

TJvOnSimpleProgress

TJvOnSimpleXMLParsed

TJvOnValueParsed

TJvSimpleXMLElemClass

TJvSimpleXMLElemCompare

TJvSimpleXMLEncodeEvent

TJvSimpleXMLEncodeStreamEvent

TJvSimpleXMLOptions

Created with Doc-O-Matic.


JvSlider.pas unit
JEDI-VCL Reference

JvSlider.pas unit

Classes

Contains the TJvSlider component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSlider.pas unit Classes

JvSlider.pas unit

Classes

TJvSlider

Created with Doc-O-Matic.


JvSoundControl.pas unit
JEDI-VCL Reference

JvSoundControl.pas unit

Classes	Records	Types

Contains the TJvSoundControl and TJvSoundValue objects.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSoundControl.pas unit Classes

JvSoundControl.pas unit

Classes

TJvSoundControl

TJvSoundValue

Created with Doc-O-Matic.


JvSoundControl.pas unit Records

JvSoundControl.pas unit

Records

TJvVolumeRec

Created with Doc-O-Matic.


JvSoundControl.pas unit Types

JvSoundControl.pas unit

Types

TBalance

Created with Doc-O-Matic.


JvSpacer.pas unit
JEDI-VCL Reference

JvSpacer.pas unit

Classes

Contains the TJvSpacer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Below

Version

3.00

Created with Doc-O-Matic.


JvSpacer.pas unit Classes

JvSpacer.pas unit

Classes

TJvSpacer

Created with Doc-O-Matic.


JvSpecialImage.pas unit
JEDI-VCL Reference

JvSpecialImage.pas unit

Classes	Types

Contains the TJvSpecialImage component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSpecialImage.pas unit Classes

JvSpecialImage.pas unit

Classes

TJvSpecialImage

Created with Doc-O-Matic.


JvSpecialImage.pas unit Types

JvSpecialImage.pas unit

Types

TJvBright

Created with Doc-O-Matic.


JvSpecialProgress.pas unit
JEDI-VCL Reference

JvSpecialProgress.pas unit

Classes	Enumerations

Contains the TJvSpecialProgress component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSpecialProgress.pas unit Classes

JvSpecialProgress.pas unit

Classes

TJvSpecialProgress

Created with Doc-O-Matic.


JvSpecialProgress.pas unit Enumerations

JvSpecialProgress.pas unit

Enumerations

TJvTextOption

Created with Doc-O-Matic.


JvSpeedButton.pas unit
JEDI-VCL Reference

JvSpeedButton.pas unit

Classes	Enumerations	Types

Contains the TJvSpeedButton and TJvImageSpeedButton components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvSpeedButton.pas unit Classes

JvSpeedButton.pas unit

Classes

TJvCustomSpeedButton

TJvImageSpeedButton

TJvSpeedButton

Created with Doc-O-Matic.


JvSpeedButton.pas unit Enumerations

JvSpeedButton.pas unit

Enumerations

TJvDropDownMenuPos

Created with Doc-O-Matic.


JvSpeedButton.pas unit Types

JvSpeedButton.pas unit

Types

TJvNumGlyphs

TJvSpeedButtonHotTrackOptions

Created with Doc-O-Matic.


JvSpellChecker.pas unit
JEDI-VCL Reference

JvSpellChecker.pas unit

Classes

Contains the TJvSpellChecker component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvSpellChecker.pas unit Classes

JvSpellChecker.pas unit

Classes

TJvSpellChecker

Created with Doc-O-Matic.


JvSpellIntf.pas unit
JEDI-VCL Reference

JvSpellIntf.pas unit

Interfaces	Types	Variables

Contains the TJvSpellIntf component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvSpellIntf.pas unit Interfaces

JvSpellIntf.pas unit

Interfaces

IJvSpellChecker

Created with Doc-O-Matic.


JvSpellIntf.pas unit Types

JvSpellIntf.pas unit

Types

TJvSpellCheckIgnoreEvent

Created with Doc-O-Matic.


JvSpellIntf.pas unit Variables

JvSpellIntf.pas unit

Variables

CreateSpellChecker

Created with Doc-O-Matic.


JvSpin.pas unit
JEDI-VCL Reference

JvSpin.pas unit

Classes	Enumerations	Types

Contains the TJvSpinEdit component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvSpin.pas unit Enumerations

JvSpin.pas unit

Enumerations

TJvCheckOption

TJvSpinButtonStyle

TSpinButtonKind

TValueType

Created with Doc-O-Matic.


JvSpin.pas unit Classes

JvSpin.pas unit

Classes

TJvCustomSpinEdit

TJvSpinButton

TJvSpinEdit

Created with Doc-O-Matic.


JvSpin.pas unit Types

JvSpin.pas unit

Types

TJvCheckOptions

Created with Doc-O-Matic.


JvSplitter.pas unit
JEDI-VCL Reference

JvSplitter.pas unit

Classes

Contains the TJvSplitter component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSplitter.pas unit Classes

JvSplitter.pas unit

Classes

TJvSplitter

Created with Doc-O-Matic.


JvStarfield.pas unit
JEDI-VCL Reference

JvStarfield.pas unit

Classes

Contains the TJvStarfield component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvStarfield.pas unit Classes

JvStarfield.pas unit

Classes

TJvStarfield

Created with Doc-O-Matic.


JvStaticText.pas unit
JEDI-VCL Reference

JvStaticText.pas unit

Classes

Contains the TJvStaticText component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvStaticText.pas unit Classes

JvStaticText.pas unit

Classes

TJvCustomStaticText

TJvStaticText

TJvTextMargins

Created with Doc-O-Matic.


JvStatusBar.pas unit
JEDI-VCL Reference

JvStatusBar.pas unit

Classes

Contains the TJvStatusBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvStatusBar.pas unit Classes

JvStatusBar.pas unit

Classes

TJvStatusBar

TJvStatusPanel

Created with Doc-O-Matic.


JvStringGrid.pas unit
JEDI-VCL Reference

JvStringGrid.pas unit

Classes	Enumerations	Types

Contains the TJvStringGrid component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvStringGrid.pas unit Enumerations

JvStringGrid.pas unit

Enumerations

TJvSortType

Created with Doc-O-Matic.


JvStringGrid.pas unit Classes

JvStringGrid.pas unit

Classes

TJvStringGrid

Created with Doc-O-Matic.


JvStringGrid.pas unit Types

JvStringGrid.pas unit

Types

TCaptionClickEvent

TEditShowEvent

TExitCellEvent

TGetCellAlignmentEvent

TJvOnGetEditStyleEvent

TProgress

Created with Doc-O-Matic.


JvStringListToHtml.pas unit
JEDI-VCL Reference

JvStringListToHtml.pas unit

Classes

Contains the TJvStringListToHtml component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvStringListToHtml.pas unit Classes

JvStringListToHtml.pas unit

Classes

TJvStringListToHtml

Created with Doc-O-Matic.


JvStrToHtml.pas unit
JEDI-VCL Reference

JvStrToHtml.pas unit

Classes	Functions

Contains the TJvStrToHtml component and support routines for converting between HTML and plain text.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvStrToHtml.pas unit Classes

JvStrToHtml.pas unit

Classes

TJvStrToHtml

Created with Doc-O-Matic.


JvStrToHtml.pas unit Functions

JvStrToHtml.pas unit

Functions

CharToHtml

HtmlToString

StringToHtml

Created with Doc-O-Matic.


JvSyncSplitter.pas unit
JEDI-VCL Reference

JvSyncSplitter.pas unit

Classes

Contains the TJvSyncSplitter component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Below

Version

3.00

Created with Doc-O-Matic.


JvSyncSplitter.pas unit Classes

JvSyncSplitter.pas unit

Classes

TJvSyncSplitter

Created with Doc-O-Matic.


JvSystemPopup.pas unit
JEDI-VCL Reference

JvSystemPopup.pas unit

Classes	Enumerations

Contains the TJvSystemPopup component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvSystemPopup.pas unit Enumerations

JvSystemPopup.pas unit

Enumerations

TJvPositionInMenu

Created with Doc-O-Matic.


JvSystemPopup.pas unit Classes

JvSystemPopup.pas unit

Classes

TJvSystemPopup

Created with Doc-O-Matic.


JvTabBar.pas unit
JEDI-VCL Reference

JvTabBar.pas unit

Classes	Enumerations	Types

Contains the TJvTabBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvTabBar.pas unit Classes

JvTabBar.pas unit

Classes

TJvCustomTabBar

TJvModernTabBarPainter

TJvTabBar

TJvTabBarItem

TJvTabBarItems

TJvTabBarPainter

Created with Doc-O-Matic.


JvTabBar.pas unit Enumerations

JvTabBar.pas unit

Enumerations

TJvTabBarOrientation

TJvTabBarPainterOptionType

TJvTabBarScrollButtonKind

TJvTabBarScrollButtonState

Created with Doc-O-Matic.


JvTabBar.pas unit Types

JvTabBar.pas unit

Types

TJvGetEnabledEvent

TJvGetModifiedEvent

TJvTabBarClosingEvent

TJvTabBarItemEvent

TJvTabBarPainterOptions

TJvTabBarScrollButtonClickEvent

TJvTabBarSelectingEvent

Created with Doc-O-Matic.


JvTextListBox.pas unit
JEDI-VCL Reference

JvTextListBox.pas unit

Classes	Types

Contains the TJvTextListBox component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvTextListBox.pas unit Classes

JvTextListBox.pas unit

Classes

TJvTextListBox

Created with Doc-O-Matic.


JvTextListBox.pas unit Types

JvTextListBox.pas unit

Types

TPositiveInt

Created with Doc-O-Matic.


JvTFManager.pas unit
JEDI-VCL Reference

JvTFManager.pas unit

Classes	Enumerations	Records	Types

Contains the TJvTFManager component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Mike Kolter, Unlimited Intelligence Limited

Version

3.00

Created with Doc-O-Matic.


JvTFManager.pas unit Classes

JvTFManager.pas unit

Classes

EJvTFPrinterError

EJvTFScheduleManagerError

TJvTFAppt

TJvTFComponent

TJvTFControl

TJvTFCustomImageMap

TJvTFDateList

TJvTFDragInfo

TJvTFDWNames

TJvTFHint

TJvTFHintProps

TJvTFPrinter

TJvTFPrinterPageLayout

TJvTFSched

TJvTFScheduleManager

TJvTFScheduleManagerCache

TJvTFStateImageMap

TJvTFUniversalPrinter

Created with Doc-O-Matic.


JvTFManager.pas unit Records

JvTFManager.pas unit

Records

TCNRequestRefresh

TJvTFTimeRange

Created with Doc-O-Matic.


JvTFManager.pas unit Enumerations

JvTFManager.pas unit

Enumerations

TJvTFDWNameSource

TJvTFHintType

TJvTFPrinterMeasure

TJvTFPrinterState

TJvTFSchedLoadMode

TJvTFScheduleManagerCacheType

TJvTFServNotifyCode

TJvTFStatePic

Created with Doc-O-Matic.


JvTFManager.pas unit Types

JvTFManager.pas unit

Types

TJvTFApptClass

TJvTFApptDescEvent

TJvTFApptEvent

TJvTFControlEvent

TJvTFDrawDWTitleEvent

TJvTFFlushEvent

TJvTFGetApptDisplayTextEvent

TJvTFHintClass

TJvTFLoadBatchEvent

TJvTFNavEvent

TJvTFPostApptQueryEvent

TJvTFPrinterDrawEvent

TJvTFProgressEvent

TJvTFSchedClass

TJvTFSchedEvent

TJvTFShowHintEvent

TJvTFVarApptEvent

TTFDayOfWeek

Created with Doc-O-Matic.


JvThemes.pas unit
JEDI-VCL Reference

JvThemes.pas unit

Classes	Functions	Types

Contains the TJvThemes component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Andreas Hausladen

Version

3.00

Created with Doc-O-Matic.


JvThemes.pas unit Classes

JvThemes.pas unit

Classes

TWinControlThemeInfo

Created with Doc-O-Matic.


JvThemes.pas unit Functions

JvThemes.pas unit

Functions

DrawThemedBackground

DrawThemedBackground

DrawThemedBackground

DrawThemedBorder

DrawThemedButtonFace

DrawThemedFrameControl

ExcludeThemeStyle

GetParentBackground

GetThemeStyle

IncludeThemeStyle

IsMouseOver

PaintControlBorder

PerformEraseBackground

PerformEraseBackground

PerformEraseBackground

PerformEraseBackground

SetParentBackground

ThemeServices

Created with Doc-O-Matic.


JvThemes.pas unit Types

JvThemes.pas unit

Types

PThemedElementDetails

TCMDenySubClassing

TThemeData

TThemedButton

TThemedClock

TThemedComboBox

TThemedEdit

TThemedElement

TThemedElementDetails

TThemedExplorerBar

TThemedHeader

TThemedListview

TThemedMenu

TThemedPage

TThemedProgress

TThemedRebar

TThemedScrollBar

TThemedSpin

TThemedStartPanel

TThemedStatus

TThemedTab

TThemedTaskBand

TThemedTaskBar

TThemedToolBar

TThemedToolTip

TThemedTrackBar

TThemedTrayNotify

TThemedTreeview

TThemedWindow

TThemeServices

TThemeServicesEx

TThemeStyle

Created with Doc-O-Matic.


JvThreadTimer.pas unit
JEDI-VCL Reference

JvThreadTimer.pas unit

Classes

Contains the TJvThreadTimer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse, Ivo Bauer

Version

3.00

Created with Doc-O-Matic.


JvThreadTimer.pas unit Classes

JvThreadTimer.pas unit

Classes

TJvThreadTimer

Created with Doc-O-Matic.


JvTimeLimit.pas unit
JEDI-VCL Reference

JvTimeLimit.pas unit

Classes

Contains the TJvTimeLimit component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvTimeLimit.pas unit Classes

JvTimeLimit.pas unit

Classes

TJvTimeLimit

Created with Doc-O-Matic.


JvTimeLine.pas unit
JEDI-VCL Reference

JvTimeLine.pas unit

Classes	Enumerations	Types

Contains the TJvCustomTimeLine and TJvTimeLine components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvTimeLine.pas unit Classes

JvTimeLine.pas unit

Classes

TJvCustomTimeLine

TJvTimeItem

TJvTimeItems

TJvTimeLine

Created with Doc-O-Matic.


JvTimeLine.pas unit Enumerations

JvTimeLine.pas unit

Enumerations

TJvScrollArrow

TJvTimeItemType

TJvTimeLineStyle

Created with Doc-O-Matic.


JvTimeLine.pas unit Types

JvTimeLine.pas unit

Types

TJvDrawTimeItemEvent

TJvItemMouseMove

TJvItemMovedEvent

TJvItemMovingEvent

TJvMeasureTimeItemEvent

TJvScrollArrows

TJvStreamItemEvent

TJvTimeItemClickEvent

TJvYearWidth

Created with Doc-O-Matic.


JvTimerList.pas unit
JEDI-VCL Reference

JvTimerList.pas unit

Classes	Types

Contains the TJvTimerList component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvTimerList.pas unit Classes

JvTimerList.pas unit

Classes

TJvTimerEvent

TJvTimerEvents

TJvTimerList

Created with Doc-O-Matic.


JvTimerList.pas unit Types

JvTimerList.pas unit

Types

TAllTimersEvent

Created with Doc-O-Matic.


JvTipOfDay.pas unit
JEDI-VCL Reference

JvTipOfDay.pas unit

Classes	Enumerations	Types

Contains the TJvTipOfDay component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse, Peter Thörnqvist, Remko Bonte.

Version

3.00

Created with Doc-O-Matic.


JvTipOfDay.pas unit Classes

JvTipOfDay.pas unit

Classes

TJvTipOfDay

Created with Doc-O-Matic.


JvTipOfDay.pas unit Enumerations

JvTipOfDay.pas unit

Enumerations

TJvTipOfDayOption

TJvTipOfDayStyle

Created with Doc-O-Matic.


JvTipOfDay.pas unit Types

JvTipOfDay.pas unit

Types

TJvCanShowEvent

TJvTipOfDayOptions

Created with Doc-O-Matic.


JvTMTimeLine.pas unit
JEDI-VCL Reference

JvTMTimeLine.pas unit

Classes	Types

Contains the TJvTMTimeline component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvTMTimeLine.pas unit Classes

JvTMTimeLine.pas unit

Classes

TJvCustomTMTimeline

TJvTLSelFrame

TJvTMTimeline

Created with Doc-O-Matic.


JvTMTimeLine.pas unit Types

JvTMTimeLine.pas unit

Types

TJvObjectReadEvent

TJvObjectWriteEvent

Created with Doc-O-Matic.


JvToolBar.pas unit
JEDI-VCL Reference

JvToolBar.pas unit

Classes

Contains the TJvToolBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvToolBar.pas unit Classes

JvToolBar.pas unit

Classes

TJvToolBar

Created with Doc-O-Matic.


JvToolEdit.pas unit
JEDI-VCL Reference

JvToolEdit.pas unit

Classes	Enumerations	Functions	Types

Contains edit controls with a button.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Fedor Koshevnikov, Igor Pavluk and Serge Korolev

Version

3.00

Created with Doc-O-Matic.


JvToolEdit.pas unit Enumerations

JvToolEdit.pas unit

Enumerations

TCalendarStyle

TDirDialogKind

TFileDialogKind

TGlyphKind

TJvAutoCompleteFileOption

TJvAutoCompleteOption

TJvImageKind

TPopupAlign

TYearDigits

Created with Doc-O-Matic.


JvToolEdit.pas unit Classes

JvToolEdit.pas unit

Classes

TJvComboEdit

TJvCustomComboEdit

TJvCustomDateEdit

TJvDateEdit

TJvDirectoryEdit

TJvFileDirEdit

TJvFilenameEdit

Created with Doc-O-Matic.


JvToolEdit.pas unit Functions

JvToolEdit.pas unit

Functions

DateFormatChanged

EditorTextMargins

PaintComboEdit

PaintEdit

Created with Doc-O-Matic.


JvToolEdit.pas unit Types

JvToolEdit.pas unit

Types

TExecDateDialog

TExecOpenDialogEvent

TFileExt

TJvAutoCompleteFileOptions

TJvAutoCompleteOptions

TJvCustomComboEditBase

TJvInvalidDateEvent

TJvPopupWindowBase

Created with Doc-O-Matic.


JvTranslator.pas unit
JEDI-VCL Reference

JvTranslator.pas unit

Classes

Contains the TJvTranslator component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvTranslator.pas unit Classes

JvTranslator.pas unit

Classes

TJvTranslator

TJvTranslatorStrings

Created with Doc-O-Matic.


JvTransparentButton.pas unit
JEDI-VCL Reference

JvTransparentButton.pas unit

Classes	Enumerations	Functions

Contains the TJvTransparentButton control.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvTransparentButton.pas unit Enumerations

JvTransparentButton.pas unit

Enumerations

TJvFrameStyle

TJvTextAlign

Created with Doc-O-Matic.


JvTransparentButton.pas unit Classes

JvTransparentButton.pas unit

Classes

TJvTransparentButton

TJvTransparentButtonImages

Created with Doc-O-Matic.


JvTransparentButton.pas unit Functions

JvTransparentButton.pas unit

Functions

BWBitmap

DisabledBitmap

DrawDisabledText

GrayBitmap

MonoBitmap

Created with Doc-O-Matic.


JvTrayIcon.pas unit
JEDI-VCL Reference

JvTrayIcon.pas unit

Classes	Enumerations	Records	Types

Contains the TJvTrayIcon component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvTrayIcon.pas unit Enumerations

JvTrayIcon.pas unit

Enumerations

TBalloonType

TTrayVisibility

Created with Doc-O-Matic.


JvTrayIcon.pas unit Classes

JvTrayIcon.pas unit

Classes

TJvTrayIcon

Created with Doc-O-Matic.


JvTrayIcon.pas unit Records

JvTrayIcon.pas unit

Records

TNotifyIconDataXP

Created with Doc-O-Matic.


JvTrayIcon.pas unit Types

JvTrayIcon.pas unit

Types

TAnimateEvent

TTrayVisibilities

Created with Doc-O-Matic.


JvTypes.pas unit
JEDI-VCL Reference

JvTypes.pas unit

Classes	Enumerations	Records	Types

Contains various constants and types used in JVCL.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvTypes.pas unit Classes

JvTypes.pas unit

Classes

EJVCLException

TJvPersistent

TJvPersistentProperty

Created with Doc-O-Matic.


JvTypes.pas unit Records

JvTypes.pas unit

Records

TCMButtonPressed

TCMForceSize

TDefColorItem

TJvAddInControlSiteInfo

TJvAniHeader

TJvAniTag

TJvFileInfoRec

TJvMessage

TJvRGBTriple

TJvSizeRect

Created with Doc-O-Matic.


JvTypes.pas unit Enumerations

JvTypes.pas unit

Enumerations

TColorType

TDateOrder

TDayOfWeekName

TInputKey

TJvAnimation

TJvBevelStyle

TJvBitmapStyle

TJvClickColorType

TJvClipboardCommand

TJvColorQuadLayOut

TJvDeleteStyle

TJvDiskRes

TJvDiskStyle

TJvDriveType

TJvGradientStyle

TJvImageAlign

TJvImageSize

TJvLayout

TJvOutputMode

TJvPopupPosition

TJvRegKey

TJvSortMethod

TJvTrackFontOption

TJvTriggerKind

TJvWaveLocation

Created with Doc-O-Matic.


JvTypes.pas unit Types

JvTypes.pas unit

Types

PCaptionChar

PJvAniTag

PJvRGBArray

PRGBPalette

PRGBQuadArray

TBytes

TDaysOfWeek

THintString

THintStringList

TInputKeys

TJvAnimations

TJvChangeColorEvent

TJvClipboardCommands

TJvDeleteStyles

TJvDiskStyles

TJvDoneFileEvent

TJvDoneStreamEvent

TJvErrorEvent

TJvFocusChangeEvent

TJvFourCC

TJvFTPProgressEvent

TJvGetAddInControlSiteInfoEvent

TJvHoldCustomColorEvent

TJvHTTPProgressEvent

TJvLinkClickEvent

TJvListViewColumnSortEvent

TJvNextPageEvent

TJvNotifyParamsEvent

TJvParentEvent

TJvProgressEvent

TJvPropertyChangeEvent

TJvRegKeys

TJvRGBArray

TJvTrackFontOptions

TRGBPalette

TRGBQuadArray

TSetOfChar

TTickCount

TTimerProc

Created with Doc-O-Matic.


JvUninstallControls.pas unit
JEDI-VCL Reference

JvUninstallControls.pas unit

Classes	Enumerations	Types

Contains components that can display uninstall information registered on the computer.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvUninstallControls.pas unit Enumerations

JvUninstallControls.pas unit

Enumerations

TJvUCBDisplayMode

Created with Doc-O-Matic.


JvUninstallControls.pas unit Classes

JvUninstallControls.pas unit

Classes

TJvUninstallComboBox

TJvUninstallListBox

Created with Doc-O-Matic.


JvUninstallControls.pas unit Types

JvUninstallControls.pas unit

Types

TJvUCBDisplayModes

Created with Doc-O-Matic.


JvUrlGrabbers.pas unit
JEDI-VCL Reference

JvUrlGrabbers.pas unit

Classes	Enumerations

Contains descendants of TJvCustomUrlGrabber for common URLs.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Olivier Sannier

Version

3.00

Created with Doc-O-Matic.


JvUrlGrabbers.pas unit Enumerations

JvUrlGrabbers.pas unit

Enumerations

TJvFtpDownloadMode

TJvProxyMode

Created with Doc-O-Matic.


JvUrlGrabbers.pas unit Classes

JvUrlGrabbers.pas unit

Classes

TJvFtpUrlGrabber

TJvFtpUrlGrabberDefaultProperties

TJvFtpUrlGrabberThread

TJvHttpUrlGrabber

TJvHttpUrlGrabberDefaultProperties

TJvHttpUrlGrabberThread

TJvLocalFileUrlGrabber

TJvLocalFileUrlGrabberProperties

TJvLocalFileUrlGrabberThread

TJvProxyingUrlGrabber

TJvProxyingUrlGrabberDefaultProperties

Created with Doc-O-Matic.


JvUrlListGrabber.pas unit
JEDI-VCL Reference

JvUrlListGrabber.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvUrlListGrabber component and the associated support classes.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Olivier Sannier

Version

3.00

Created with Doc-O-Matic.


JvUrlListGrabber.pas unit Classes

JvUrlListGrabber.pas unit

Classes

EGrabberNotStopped

ENoGrabberForUrl

TJvCustomUrlGrabber

TJvCustomUrlGrabberDefaultProperties

TJvCustomUrlGrabberThread

TJvUrlGrabberClassList

TJvUrlGrabberDefaultPropertiesList

TJvUrlGrabberDefPropEdTrick

TJvUrlGrabberList

TJvUrlListGrabber

Created with Doc-O-Matic.


JvUrlListGrabber.pas unit Enumerations

JvUrlListGrabber.pas unit

Enumerations

TJvGrabberStatus

Created with Doc-O-Matic.


JvUrlListGrabber.pas unit Functions

JvUrlListGrabber.pas unit

Functions

JvUrlGrabberClassList

Created with Doc-O-Matic.


JvUrlListGrabber.pas unit Types

JvUrlListGrabber.pas unit

Types

TJvCustomUrlGrabberClass

TJvCustomUrlGrabberDefaultPropertiesClass

TJvCustomUrlGrabberThreadClass

TJvGrabberDoneFileEvent

TJvGrabberDoneStreamEvent

TJvGrabberErrorEvent

TJvGrabberNotifyEvent

TJvGrabberProgressEvent

TJvUrlGrabberIndex

TJvUrlGrabberProgressEvent

Created with Doc-O-Matic.


JvValidateEdit.pas unit
JEDI-VCL Reference

JvValidateEdit.pas unit

Classes	Enumerations	Types

Contains the TJvValidateEdit component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Christopher Latta

Version

3.00

Created with Doc-O-Matic.


JvValidateEdit.pas unit Classes

JvValidateEdit.pas unit

Classes

TJvCustomValidateEdit

TJvValidateEdit

TJvValidateEditCriticalPoints

Created with Doc-O-Matic.


JvValidateEdit.pas unit Enumerations

JvValidateEdit.pas unit

Enumerations

TJvValidateEditCriticalPointsCheck

TJvValidateEditDisplayFormat

Created with Doc-O-Matic.


JvValidateEdit.pas unit Types

JvValidateEdit.pas unit

Types

TJvCustomIsValidEvent

TJvCustomTextValidateEvent

Created with Doc-O-Matic.


JvValidators.pas unit
JEDI-VCL Reference

JvValidators.pas unit

Classes	Enumerations	Types

Contains the validators components. Validators are used to perform validations on other controls without having to write the validation code yourself. Instead, most of the validation is set up by using specific validation components and setting their properties to appropriate values.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist

Version

3.00

Created with Doc-O-Matic.


JvValidators.pas unit Classes

JvValidators.pas unit

Classes

EValidatorError

TJvBaseValidator

TJvCompareValidator

TJvControlsCompareValidator

TJvCustomValidator

TJvRangeValidator

TJvRegularExpressionValidator

TJvRequiredFieldValidator

TJvValidationSummary

TJvValidators

Created with Doc-O-Matic.


JvValidators.pas unit Enumerations

JvValidators.pas unit

Enumerations

TJvValidateCompareOperator

Created with Doc-O-Matic.


JvValidators.pas unit Types

JvValidators.pas unit

Types

TJvBaseValidatorClass

TJvCustomValidateEvent

TJvValidateFailEvent

Created with Doc-O-Matic.


JvVirtualKeySelectionFrame.pas unit
JEDI-VCL Reference

JvVirtualKeySelectionFrame.pas unit

Classes

Contains the TJvVirtualKeySelectionFrame component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Olivier Sannier

Version

3.00

Created with Doc-O-Matic.


JvVirtualKeySelectionFrame.pas unit Classes

JvVirtualKeySelectionFrame.pas unit

Classes

TJvVirtualKeySelectionFrame

Created with Doc-O-Matic.


JvWinDialogs.pas unit
JEDI-VCL Reference

JvWinDialogs.pas unit

Classes	Enumerations	Functions	Records	Types

Contains dialog components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Serhiy Perevoznyk.

Version

3.00

Created with Doc-O-Matic.


JvWinDialogs.pas unit Classes

JvWinDialogs.pas unit

Classes

EWinDialogError

TJvAddHardwareDialog

TJvAppletDialog

TJvBrowseFolderDialog

TJvChangeIconDialog

TJvComputerNameDialog

TJvDiskFullDialog

TJvExitWindowsDialog

TJvFormatDriveDialog

TJvMIMEAssociationDialog

TJvNewLinkDialog

TJvObjectPropertiesDialog

TJvOpenWithDialog

TJvOrganizeFavoritesDialog

TJvOutOfMemoryDialog

TJvRunDialog

TJvShellAboutDialog

TJvSoftwareUpdateDialog

TJvSoftwareUpdateInfo

TJvURLAssociationDialog

Created with Doc-O-Matic.


JvWinDialogs.pas unit Records

JvWinDialogs.pas unit

Records

TJvCplInfo

TShellLinkInfo

Created with Doc-O-Matic.


JvWinDialogs.pas unit Enumerations

JvWinDialogs.pas unit

Enumerations

TJvDriveCapacity

TJvFormatDriveError

TJvFormatDriveKind

TJvMIMEAssociationOption

TJvSoftwareUpdateAdState

TJvSoftwareUpdateFlags

TJvURLAssociationDialogOption

TShellObjectType

Created with Doc-O-Matic.


JvWinDialogs.pas unit Functions

JvWinDialogs.pas unit

Functions

AddToRecentDocs

ClearRecentDocs

CopyFile

CreateShellLink

ExtractIconFromFile

GetShellLinkInfo

RecycleFile

SetShellLinkInfo

Created with Doc-O-Matic.


JvWinDialogs.pas unit Types

JvWinDialogs.pas unit

Types

TJvFormatDriveErrorEvent

TJvMIMEAssociationOptions

TJvURLAssociationDialogOptions

TShellObjectTypes

Created with Doc-O-Matic.


JvWizard.pas unit
JEDI-VCL Reference

JvWizard.pas unit

Classes	Enumerations	Types

Contains the TJvWizard component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

William Yu Wei.

Version

3.00

Created with Doc-O-Matic.


JvWizard.pas unit Classes

JvWizard.pas unit

Classes

TJvWizard

TJvWizardButtonControl

TJvWizardCustomPage

TJvWizardGraphicObject

TJvWizardImage

TJvWizardInteriorPage

TJvWizardNavigateButton

TJvWizardPageHeader

TJvWizardPageObject

TJvWizardPagePanel

TJvWizardPageTitle

TJvWizardRouteMapControl

TJvWizardWaterMark

TJvWizardWelcomePage

Created with Doc-O-Matic.


JvWizard.pas unit Enumerations

JvWizard.pas unit

Enumerations

TJvWizardButtonKind

Created with Doc-O-Matic.


JvWizard.pas unit Types

JvWizard.pas unit

Types

TJvWizardButtonControlClass

TJvWizardButtonSet

TJvWizardChangePageEvent

TJvWizardChangingPageEvent

TJvWizardPageClickEvent

TJvWizardPaintPageEvent

TJvWizardRouteMapDisplayEvent

TJvWizardSelectPageEvent

Created with Doc-O-Matic.


JvWizardCommon.pas unit
JEDI-VCL Reference

JvWizardCommon.pas unit

Classes	Enumerations	Functions	Types

Contains common routines used by the JvWizard components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

William Yu Wei.

Version

3.00

Created with Doc-O-Matic.


JvWizardCommon.pas unit Classes

JvWizardCommon.pas unit

Classes

EJvWizardError

Created with Doc-O-Matic.


JvWizardCommon.pas unit Enumerations

JvWizardCommon.pas unit

Enumerations

TJvWizardFrameStyle

TJvWizardImageAlignment

TJvWizardImageLayout

Created with Doc-O-Matic.


JvWizardCommon.pas unit Functions

JvWizardCommon.pas unit

Functions

JvWizardDrawBorderEdges

JvWizardDrawEdges

JvWizardDrawImage

Created with Doc-O-Matic.


JvWizardCommon.pas unit Types

JvWizardCommon.pas unit

Types

TJvWizardImageLeftRight

Created with Doc-O-Matic.


JvWizardRouteMapList.pas unit
JEDI-VCL Reference

JvWizardRouteMapList.pas unit

Classes	Enumerations	Types

Contains the TJvWizardRouteMapList component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thornqvist.

Version

3.00

Created with Doc-O-Matic.


JvWizardRouteMapList.pas unit Classes

JvWizardRouteMapList.pas unit

Classes

TJvWizardRouteMapList

Created with Doc-O-Matic.


JvWizardRouteMapList.pas unit Enumerations

JvWizardRouteMapList.pas unit

Enumerations

TRouteMapListItemText

Created with Doc-O-Matic.


JvWizardRouteMapList.pas unit Types

JvWizardRouteMapList.pas unit

Types

TJvWizardDrawRouteMapListItem

Created with Doc-O-Matic.


JvWizardRouteMapNodes.pas unit
JEDI-VCL Reference

JvWizardRouteMapNodes.pas unit

Classes

Contains the TJvWizardRouteMapNodes component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Steve Forbes.

Version

3.00

Created with Doc-O-Matic.


JvWizardRouteMapNodes.pas unit Classes

JvWizardRouteMapNodes.pas unit

Classes

TJvWizardRouteMapNodeColors

TJvWizardRouteMapNodes

Created with Doc-O-Matic.


JvWizardRouteMapSteps.pas unit
JEDI-VCL Reference

JvWizardRouteMapSteps.pas unit

Classes

Contains the TJvWizardRouteMapSteps component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Max Evans.

Version

3.00

Created with Doc-O-Matic.


JvWizardRouteMapSteps.pas unit Classes

JvWizardRouteMapSteps.pas unit

Classes

TJvWizardRouteMapSteps

Created with Doc-O-Matic.


JvWndProcHook.pas unit
JEDI-VCL Reference

JvWndProcHook.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvWindowHook component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Peter Thörnqvist, Remko Bonte

Version

3.00

Created with Doc-O-Matic.


JvWndProcHook.pas unit Enumerations

JvWndProcHook.pas unit

Enumerations

TJvHookOrder

Created with Doc-O-Matic.


JvWndProcHook.pas unit Classes

JvWndProcHook.pas unit

Classes

TJvWindowHook

Created with Doc-O-Matic.


JvWndProcHook.pas unit Functions

JvWndProcHook.pas unit

Functions

RegisterWndProcHook

RegisterWndProcHook

ReleaseObj

UnRegisterWndProcHook

UnRegisterWndProcHook

Created with Doc-O-Matic.


JvWndProcHook.pas unit Types

JvWndProcHook.pas unit

Types

TJvControlHook

TJvHookMessageEvent

Created with Doc-O-Matic.


JvXmlDatabase.pas unit
JEDI-VCL Reference

JvXmlDatabase.pas unit

Classes	Enumerations

Contains the TJvXMLDatabase component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvXmlDatabase.pas unit Classes

JvXmlDatabase.pas unit

Classes

TJvXMLDatabase

TJvXMLDatabaseException

TJvXMLQuery

TJvXMLQueryAssignement

TJvXMLQueryColumn

TJvXMLQueryCondition

TJvXMLQueryOrder

TJvXMLQueryParser

TJvXMLQueryTable

TJvXMLTable

Created with Doc-O-Matic.


JvXmlDatabase.pas unit Enumerations

JvXmlDatabase.pas unit

Enumerations

TJvXMLInstruction

TJvXMLOrderConvertion

TJvXMLSetKind

TJvXMLSetOperator

TJvXMLSQLOperator

Created with Doc-O-Matic.


JvXPBar.pas unit
JEDI-VCL Reference

JvXPBar.pas unit

Classes	Enumerations	Functions	Types

Contains the TJvXPBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvXPBar.pas unit Classes

JvXPBar.pas unit

Classes

TJvXPBar

TJvXPBarColors

TJvXPBarItem

TJvXPBarOptions

TJvXPBarVisibleItems

TJvXPCustomWinXPBar

Created with Doc-O-Matic.


JvXPBar.pas unit Enumerations

JvXPBar.pas unit

Enumerations

TJvXPBarHitTest

TJvXPBarRollDirection

TJvXPBarRollMode

Created with Doc-O-Matic.


JvXPBar.pas unit Functions

JvXPBar.pas unit

Functions

RoundedFrame

Created with Doc-O-Matic.


JvXPBar.pas unit Types

JvXPBar.pas unit

Types

TJvXPBarItemClass

TJvXPBarItemsClass

TJvXPBarOnCanChangeEvent

TJvXPBarOnCollapsedChangeEvent

TJvXPBarOnDrawItemEvent

TJvXPBarOnItemClickEvent

TJvXPBarOwnerDrawEvent

TJvXPBarRollDelay

TJvXPBarRollStep

Created with Doc-O-Matic.


JvXPButtons.pas unit
JEDI-VCL Reference

JvXPButtons.pas unit

Classes	Enumerations

Contains XP style button components.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvXPButtons.pas unit Classes

JvXPButtons.pas unit

Classes

TJvXPButton

TJvXPCustomButton

TJvXPCustomButtonActionLink

TJvXPCustomToolButton

TJvXPToolButton

Created with Doc-O-Matic.


JvXPButtons.pas unit Enumerations

JvXPButtons.pas unit

Enumerations

TJvXPLayout

TJvXPToolType

Created with Doc-O-Matic.


JvXPCheckCtrls.pas unit
JEDI-VCL Reference

JvXPCheckCtrls.pas unit

Classes

Contains the TJvXPCheckbox component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvXPCheckCtrls.pas unit Classes

JvXPCheckCtrls.pas unit

Classes

TJvXPCheckbox

TJvXPCustomCheckControl

Created with Doc-O-Matic.


JvXPContainer.pas unit
JEDI-VCL Reference

JvXPContainer.pas unit

Classes	Enumerations	Types

Contains the TJvXPContainer component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvXPContainer.pas unit Classes

JvXPContainer.pas unit

Classes

TJvXPContainer

TJvXPCustomContainer

Created with Doc-O-Matic.


JvXPContainer.pas unit Enumerations

JvXPContainer.pas unit

Enumerations

TJvXPEnabledMode

Created with Doc-O-Matic.


JvXPContainer.pas unit Types

JvXPContainer.pas unit

Types

TJvXPPaintEvent

Created with Doc-O-Matic.


JvXPCore.pas unit
JEDI-VCL Reference

JvXPCore.pas unit

Classes	Enumerations	Types

Contains the TJvXPCore component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvXPCore.pas unit Classes

JvXPCore.pas unit

Classes

TJvXPCustomComponent

TJvXPCustomControl

TJvXPCustomStyleControl

TJvXPGradient

TJvXPStyle

TJvXPStyleManager

TJvXPUnlimitedControl

TJvXPWinControl

Created with Doc-O-Matic.


JvXPCore.pas unit Enumerations

JvXPCore.pas unit

Enumerations

TJvXPGlyphLayout

TJvXPGradientStyle

TJvXPTheme

Created with Doc-O-Matic.


JvXPCore.pas unit Types

JvXPCore.pas unit

Types

TJvXPGradientColors

Created with Doc-O-Matic.


JvXPCoreUtils.pas unit
JEDI-VCL Reference

JvXPCoreUtils.pas unit

Functions

Contains the utility functions used by the XP Controls.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Marc Hoffman.

Version

3.00

Created with Doc-O-Matic.


JvXPCoreUtils.pas unit Functions

JvXPCoreUtils.pas unit

Functions

JvXPAdjustBoundRect

JvXPColorizeBitmap

JvXPConvertToGray2

JvXPCreateGradientRect

JvXPDrawBoundLines

JvXPDrawLine

JvXPFrame3D

JvXPMethodsEqual

JvXPPlaceText

JvXPRenderText

JvXPSetDrawFlags

Created with Doc-O-Matic.


JvXPProgressBar.pas unit
JEDI-VCL Reference

JvXPProgressBar.pas unit

Classes

Contains the TJvXPProgressBar component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Stefano Pessina

Version

3.00

Created with Doc-O-Matic.


JvXPProgressBar.pas unit Classes

JvXPProgressBar.pas unit

Classes

TJvCustomXPProgressBar

TJvXPProgressBar

Created with Doc-O-Matic.


JvZoom.pas unit
JEDI-VCL Reference

JvZoom.pas unit

Classes

Contains the TJvZoom component.

Conditions

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License here (http://www.mozilla.org/MPL/MPL-1.1.html)

Author

Sébastien Buysse

Version

3.00

Created with Doc-O-Matic.


JvZoom.pas unit Classes

JvZoom.pas unit

Classes

TJvZoom

Created with Doc-O-Matic.


ID3 Genres Table

Package	Edit topic

The genres with offset 0 to 79 are defined in ID3v1. The other genres are Winamp extensions.

0	Blues	74	Acid Jazz
1	Classic Rock	75	Polka
2	Country	76	Retro
3	Dance	77	Musical
4	Disco	78	Rock & Roll
5	Funk	79	Hard Rock
6	Grunge	80	Folk
7	Hip-Hop	81	Folk-Rock
8	Jazz	82	National Folk
9	Metal	83	Swing
10	New Age	84	Fast Fusion
11	Oldies	85	Bebob
12	Other	86	Latin
13	Pop	87	Revival
14	R&B	88	Celtic
15	Rap	89	Bluegrass
16	Reggae	90	Avantgarde
17	Rock	91	Gothic Rock
18	Techno	92	Progressive Rock
19	Industrial	93	Psychedelic Rock
20	Alternative	94	Symphonic Rock
21	Ska	95	Slow Rock
22	Death Metal	96	Big Band
23	Pranks	97	Chorus
24	Soundtrack	98	Easy Listening
25	Euro-Techno	99	Acoustic
26	Ambient	100	Humour
27	Trip-Hop	101	Speech
28	Vocal	102	Chanson
29	Jazz+Funk	103	Opera
30	Fusion	104	Chamber Music
31	Trance	105	Sonata
32	Classical	106	Symphony
33	Instrumental	107	Booty Bass
34	Acid	108	Primus
35	House	109	Porn Groove
36	Game	110	Satire
37	Sound Clip	111	Slow Jam
38	Gospel	112	Club
39	Noise	113	Tango
40	AlternRock	114	Samba
41	Bass	115	Folklore
42	Soul	116	Ballad
43	Punk	117	Power Ballad
44	Space	118	Rhythmic Soul
45	Meditative	119	Freestyle
46	Instrumental Pop	120	Duet
47	Instrumental Rock	121	Punk Rock
48	Ethnic	122	Drum Solo
49	Gothic	123	A capella
50	Darkwave	124	Euro-House
51	Techno-Industrial	125	Dance Hall
52	Electronic	126	Goa
53	Pop-Folk	127	Drum & Bass
54	Eurodance	128	Club-House
55	Dream	129	Hardcore
56	Southern Rock	130	Terror
57	Comedy	131	Indie
58	Cult	132	BritPop
59	Gangsta	133	Negerpunk
60	Top 40	134	Polsk Punk
61	Christian Rap	135	Beat
62	Pop/Funk	136	Christian Gangsta Rap
63	Jungle	137	Heavy Metal
64	Native American	138	Black Metal
65	Cabaret	139	Crossover
66	New Wave	140	Contemporary Christian
67	Psychedelic	141	Christian Rock
68	Rave	142	Merengue
69	Showtunes	143	Salsa
70	Trailer	144	Trash Metal
71	Lo-Fi	145	Anime
72	Tribal	146	JPop
73	Acid Punk	147	SynthPop
Created with Doc-O-Matic.


Package

MM


TJvCompareValidator.Operator

See Also	Edit topic

The operator to use when comparing.

Description

This property determines the type of comparison done when Validate is called and whether the validation succeeds or not. PropertyToValidate is always the left operand and ValueToCompare the right operand.

Created with Doc-O-Matic.


See Also

TJvCompareValidator.ValueToCompare


TJvControlsCompareValidator.Operator

Edit topic

Not documented

Description

This topic is undocumented. Click on "Edit topic" to document it.

Created with Doc-O-Matic.


StoredProps editor

See Also	Edit topic

Description Use the StoredProps editor to define which properties to store and retrieve by the TJvFormStorage component.

To open the StoredProps editor:

1.	Place a TJvFormStorage component on the form.

2.	Double-click that component to invoke the StoredProps editor.

Form Properties

Check the "Active Control" control to let the storage component store on closing of the form and retrieve and restore on showing of the form, the control that has focus on the form.

Check "Form Position" to indicate that the component should store and retrieve the placement of the form: the form's normal, minimized and maximized size and position and its minimum and maximum tracking size.

Check the "Window State" control to indicate that the way how the form appears on the screen - minimized, maximized, or in a normal state - should be stored and retrieved by the component.

Stored Properties

To add a property of a component to the storage component:

1.	Select the component where from a property to add in the Components list.

2.	Select the property of the component to add in the Properties list.

3.	Choose Add.

The selected component and its property are displayed in the Stored Properties list box. For example,

  CheckBox1.Checked

Created with Doc-O-Matic.


See Also

TJvFormStorage.StoredProps


TJvID3FrameID Table

Package	Edit topic

Sorted by frame identifier:
TJvID3FrameID	Name	v2.2	Implemented By	v2.2	v2.3	v2.4
fiAlbum	TALB	TAL	TJvID3TextFrame	X	X	X
fiAlbumSortOrder	TSOA	-	TJvID3TextFrame	-	-	X
fiAudioCrypto	AENC	CRA	TJvID3AudioEncryptionFrame	X	X	X
fiAudioSeekPoint	ASPI	-	-	-	-	X
fiBPM	TBPM	TBP	TJvID3NumberFrame	X	X	X
fiBand	TPE2	TP2	TJvID3TextFrame	X	X	X
fiBufferSize	RBUF	BUF	-	X	X	X
fiCDID	MCDI	MCI	TJvID3BinaryFrame	X	X	X
fiComment	COMM	COM	TJvID3ContentFrame	X	X	X
fiCommercial	COMR	-	-	-	X	X
fiComposer	TCOM	TCM	TJvID3SimpleListFrame	X	X	X
fiConductor	TPE3	TP3	TJvID3TextFrame	X	X	X
fiContentGroup	TIT1	TT1	TJvID3TextFrame	X	X	X
fiContentType	TCON	TCO	TJvID3TextFrame	X	X	X
fiCopyright	TCOP	TCR	TJvID3TextFrame	X	X	X
fiCryptoReg	ENCR	-	-	-	X	X
fiDate	TDAT	TDA	TJvID3TextFrame	X	X	d
fiEncodedBy	TENC	TEN	TJvID3TextFrame	X	X	X
fiEncoderSettings	TSSE	-	TJvID3TextFrame	-	X	X
fiEncodingTime	TDEN	-	TJvID3TimestampFrame	-	-	X
fiEqualization	EQUA	EQU	-	X	X	d
fiEqualization2	EQU2	-	-	-	-	X
fiErrorFrame	-	-	-
fiEventTiming	ETCO	ETC	-	X	X	X
fiFileOwner	TOWN	-	TJvID3TextFrame	-	X	X
fiFileType	TFLT	TFT	TJvID3TextFrame	X	X	X
fiGeneralObject	GEOB	GEO	TJvID3GeneralObjFrame	X	X	X
fiGroupingReg	GRID	-	-	-	X	X
fiISRC	TSRC	TRC	TJvID3TextFrame	X	X	X
fiInitialKey	TKEY	TKE	TJvID3TextFrame	X	X	X
fiInvolvedPeople	IPLS	IPL	TJvID3DoubleListFrame	X	X	d
fiInvolvedPeople2	TIPL	-	TJvID3DoubleListFrame	-	-	X
fiLanguage	TLAN	TLA	TJvID3SimpleListFrame	X	X	X
fiLeadArtist	TPE1	TP1	TJvID3SimpleListFrame	X	X	X
fiLinkedInfo	LINK	LNK	-	X	X	X
fiLyricist	TEXT	TXT	TJvID3SimpleListFrame	X	X	X
fiMPEGLookup	MLLT	MLL	-	X	X	X
fiMediaType	TMED	TMT	TJvID3TextFrame	X	X	X
fiMetaCompressio	-	CDM	-	X	-	-
fiMetaCrypto	-	CRM	-	X	-	-
fiMixArtist	TPE4	TP4	TJvID3TextFrame	X	X	X
fiMood	TMOO	-	TJvID3TextFrame	-	-	X
fiMusicianCreditList	TMCL	-	TJvID3DoubleListFrame	-	-	X
fiNetRadioOwner	TRSO	TRO	TJvID3TextFrame	X	X	X
fiNetRadioStation	TRSN	TRN	TJvID3TextFrame	X	X	X
fiNoFrame	-	-	TJvID3SkipFrame
fiOrigAlbum	TOAL	TOT	TJvID3TextFrame	X	X	X
fiOrigArtist	TOPE	TOA	TJvID3SimpleListFrame	X	X	X
fiOrigFileName	TOFN	TOF	TJvID3TextFrame	X	X	X
fiOrigLyricist	TOLY	TOL	TJvID3SimpleListFrame	X	X	X
fiOrigReleaseTime	TDOR	-	TJvID3TimestampFrame	-	-	X
fiOrigYear	TORY	TOR	TJvID3NumberFrame	X	X	d
fiOwnership	OWNE	-	TJvID3OwnershipFrame	-	X	X
fiPaddingFrame	-	-	-
fiPartInSet	TPOS	TPA	TJvID3TextFrame	X	X	X
fiPerformerSortOrder	TSOP	-	TJvID3TextFrame	-	-	X
fiPicture	APIC	PIC	TJvID3PictureFrame	X	X	X
fiPlayCounter	PCNT	CNT	TJvID3PlayCounterFrame	X	X	X
fiPlaylistDelay	TDLY	TDY	TJvID3NumberFrame	X	X	X
fiPopularimeter	POPM	POP	TJvID3PopularimeterFrame	X	X	X
fiPositionsync	POSS	-	-	-	X	X
fiPrivate	PRIV	-	-	-	X	X
fiProducedNotice	TPRO	-	TJvID3TextFrame	-	-	X
fiPublisher	TPUB	TPB	TJvID3TextFrame	X	X	X
fiRecordingDates	TRDA	TRD	TJvID3TextFrame	X	X	d
fiRecordingTime	TDRC	-	TJvID3TimestampFrame	-	-	X
fiReleaseTime	TDRL	-	TJvID3TimestampFrame	-	-	X
fiReverb	RVRB	REV	-	X	X	X
fiSeekFrame	SEEK	-	-	-	-	X
fiSetSubTitle	TSST	TSS	TJvID3TextFrame	-	-	X
fiSignature	SIGN	-	-	-	-	X
fiSize	TSIZ	TSI	TJvID3NumberFrame	X	X	d
fiSongLen	TLEN	TLE	TJvID3NumberFrame	X	X	X
fiSubTitle	TIT3	TT3	TJvID3TextFrame	X	X	X
fiSyncedLyrics	SYLT	SLT	-	X	X	X
fiSyncedTempo	SYTC	STC	-	X	X	X
fiTaggingTime	TDTG	-	TJvID3TimestampFrame	-	-	X
fiTermsOfUse	USER	-	TJvID3TermsOfUseFrame	-	X	X
fiTime	TIME	TIM	TJvID3TextFrame	X	X	d
fiTitle	TIT2	TT2	TJvID3TextFrame	X	X	X
fiTitleSortOrder	TSOT	-	TJvID3TextFrame	-	-	X
fiTrackNum	TRCK	TRK	TJvID3TextFrame	X	X	X
fiUniqueFileID	UFID	UFI	-	X	X	X
fiUnsyncedLyrics	USLT	ULT	TJvID3ContentFrame	X	X	X
fiUserText	TXXX	TXX	TJvID3UserFrame	X	X	X
fiVolumeAdj	RVAD	RVA	-	X	X	d
fiVolumeAdj2	RVA2	-	-	-	-	X
fiWWWArtist	WOAR	WAR	TJvID3URLFrame	X	X	X
fiWWWAudioFile	WOAF	WAF	TJvID3URLFrame	X	X	X
fiWWWAudioSource	WOAS	WAS	TJvID3URLFrame	X	X	X
fiWWWCommercialInfo	WCOM	WCM	TJvID3URLFrame	X	X	X
fiWWWCopyright	WCOP	WCP	TJvID3URLFrame	X	X	X
fiWWWPayment	WPAY	WPY	TJvID3URLFrame	X	X	X
fiWWWPublisher	WPUB	WPB	TJvID3URLFrame	X	X	X
fiWWWRadioPage	WORS	WRA	TJvID3URLFrame	X	X	X
fiWWWUser	WXXX	WXX	TJvID3URLUserFrame	X	X	X
fiYear	TYER	TYE	TJvID3NumberFrame	X	X	d

Sorted by frame name:
TJvID3FrameID	Name	v2.2	Implemented By	v2.2	v2.3	v2.4
fiAudioCrypto	AENC	CRA	TJvID3AudioEncryptionFrame	X	X	X
fiPicture	APIC	PIC	TJvID3PictureFrame	X	X	X
fiAudioSeekPoint	ASPI	-	-	-	-	X
fiMetaCompressio	-	CDM	-	X	-	-
fiComment	COMM	COM	TJvID3ContentFrame	X	X	X
fiCommercial	COMR	-	-	-	X	X
fiMetaCrypto	-	CRM	-	X	-	-
fiCryptoReg	ENCR	-	-	-	X	X
fiEqualization2	EQU2	-	-	-	-	X
fiEqualization	EQUA	EQU	-	X	X	d
fiEventTiming	ETCO	ETC	-	X	X	X
fiGeneralObject	GEOB	GEO	TJvID3GeneralObjFrame	X	X	X
fiGroupingReg	GRID	-	-	-	X	X
fiInvolvedPeople	IPLS	IPL	TJvID3DoubleListFrame	X	X	d
fiLinkedInfo	LINK	LNK	-	X	X	X
fiCDID	MCDI	MCI	TJvID3BinaryFrame	X	X	X
fiMPEGLookup	MLLT	MLL	-	X	X	X
fiOwnership	OWNE	-	TJvID3OwnershipFrame	-	X	X
fiPlayCounter	PCNT	CNT	TJvID3PlayCounterFrame	X	X	X
fiPopularimeter	POPM	POP	TJvID3PopularimeterFrame	X	X	X
fiPositionsync	POSS	-	-	-	X	X
fiPrivate	PRIV	-	-	-	X	X
fiBufferSize	RBUF	BUF	-	X	X	X
fiVolumeAdj2	RVA2	-	-	-	-	X
fiVolumeAdj	RVAD	RVA	-	X	X	d
fiReverb	RVRB	REV	-	X	X	X
fiSeekFrame	SEEK	-	-	-	-	X
fiSignature	SIGN	-	-	-	-	X
fiSyncedLyrics	SYLT	SLT	-	X	X	X
fiSyncedTempo	SYTC	STC	-	X	X	X
fiAlbum	TALB	TAL	TJvID3TextFrame	X	X	X
fiBPM	TBPM	TBP	TJvID3NumberFrame	X	X	X
fiComposer	TCOM	TCM	TJvID3SimpleListFrame	X	X	X
fiContentType	TCON	TCO	TJvID3TextFrame	X	X	X
fiCopyright	TCOP	TCR	TJvID3TextFrame	X	X	X
fiDate	TDAT	TDA	TJvID3TextFrame	X	X	d
fiEncodingTime	TDEN	-	TJvID3TimestampFrame	-	-	X
fiPlaylistDelay	TDLY	TDY	TJvID3NumberFrame	X	X	X
fiOrigReleaseTime	TDOR	-	TJvID3TimestampFrame	-	-	X
fiRecordingTime	TDRC	-	TJvID3TimestampFrame	-	-	X
fiReleaseTime	TDRL	-	TJvID3TimestampFrame	-	-	X
fiTaggingTime	TDTG	-	TJvID3TimestampFrame	-	-	X
fiEncodedBy	TENC	TEN	TJvID3TextFrame	X	X	X
fiLyricist	TEXT	TXT	TJvID3SimpleListFrame	X	X	X
fiFileType	TFLT	TFT	TJvID3TextFrame	X	X	X
fiTime	TIME	TIM	TJvID3TextFrame	X	X	d
fiInvolvedPeople2	TIPL	-	TJvID3DoubleListFrame	-	-	X
fiContentGroup	TIT1	TT1	TJvID3TextFrame	X	X	X
fiTitle	TIT2	TT2	TJvID3TextFrame	X	X	X
fiSubTitle	TIT3	TT3	TJvID3TextFrame	X	X	X
fiInitialKey	TKEY	TKE	TJvID3TextFrame	X	X	X
fiLanguage	TLAN	TLA	TJvID3SimpleListFrame	X	X	X
fiSongLen	TLEN	TLE	TJvID3NumberFrame	X	X	X
fiMusicianCreditList	TMCL	-	TJvID3DoubleListFrame	-	-	X
fiMediaType	TMED	TMT	TJvID3TextFrame	X	X	X
fiMood	TMOO	-	TJvID3TextFrame	-	-	X
fiOrigAlbum	TOAL	TOT	TJvID3TextFrame	X	X	X
fiOrigFileName	TOFN	TOF	TJvID3TextFrame	X	X	X
fiOrigLyricist	TOLY	TOL	TJvID3SimpleListFrame	X	X	X
fiOrigArtist	TOPE	TOA	TJvID3SimpleListFrame	X	X	X
fiOrigYear	TORY	TOR	TJvID3NumberFrame	X	X	d
fiFileOwner	TOWN	-	TJvID3TextFrame	-	X	X
fiLeadArtist	TPE1	TP1	TJvID3SimpleListFrame	X	X	X
fiBand	TPE2	TP2	TJvID3TextFrame	X	X	X
fiConductor	TPE3	TP3	TJvID3TextFrame	X	X	X
fiMixArtist	TPE4	TP4	TJvID3TextFrame	X	X	X
fiPartInSet	TPOS	TPA	TJvID3TextFrame	X	X	X
fiProducedNotice	TPRO	-	TJvID3TextFrame	-	-	X
fiPublisher	TPUB	TPB	TJvID3TextFrame	X	X	X
fiTrackNum	TRCK	TRK	TJvID3TextFrame	X	X	X
fiRecordingDates	TRDA	TRD	TJvID3TextFrame	X	X	d
fiNetRadioStation	TRSN	TRN	TJvID3TextFrame	X	X	X
fiNetRadioOwner	TRSO	TRO	TJvID3TextFrame	X	X	X
fiSize	TSIZ	TSI	TJvID3NumberFrame	X	X	d
fiAlbumSortOrder	TSOA	-	TJvID3TextFrame	-	-	X
fiPerformerSortOrder	TSOP	-	TJvID3TextFrame	-	-	X
fiTitleSortOrder	TSOT	-	TJvID3TextFrame	-	-	X
fiISRC	TSRC	TRC	TJvID3TextFrame	X	X	X
fiEncoderSettings	TSSE	-	TJvID3TextFrame	-	X	X
fiSetSubTitle	TSST	TSS	TJvID3TextFrame	-	-	X
fiUserText	TXXX	TXX	TJvID3UserFrame	X	X	X
fiYear	TYER	TYE	TJvID3NumberFrame	X	X	d
fiUniqueFileID	UFID	UFI	-	X	X	X
fiTermsOfUse	USER	-	TJvID3TermsOfUseFrame	-	X	X
fiUnsyncedLyrics	USLT	ULT	TJvID3ContentFrame	X	X	X
fiWWWCommercialInfo	WCOM	WCM	TJvID3URLFrame	X	X	X
fiWWWCopyright	WCOP	WCP	TJvID3URLFrame	X	X	X
fiWWWAudioFile	WOAF	WAF	TJvID3URLFrame	X	X	X
fiWWWArtist	WOAR	WAR	TJvID3URLFrame	X	X	X
fiWWWAudioSource	WOAS	WAS	TJvID3URLFrame	X	X	X
fiWWWRadioPage	WORS	WRA	TJvID3URLFrame	X	X	X
fiWWWPayment	WPAY	WPY	TJvID3URLFrame	X	X	X
fiWWWPublisher	WPUB	WPB	TJvID3URLFrame	X	X	X
fiWWWUser	WXXX	WXX	TJvID3URLUserFrame	X	X	X

Sorted by implemented by:
TJvID3FrameID	Name	v2.2	Implemented By	v2.2	v2.3	v2.4
fiAudioCrypto	AENC	CRA	TJvID3AudioEncryptionFrame	X	X	X
fiCDID	MCDI	MCI	TJvID3BinaryFrame	X	X	X
fiComment	COMM	COM	TJvID3ContentFrame	X	X	X
fiUnsyncedLyrics	USLT	ULT	TJvID3ContentFrame	X	X	X
fiInvolvedPeople	IPLS	IPL	TJvID3DoubleListFrame	X	X	d
fiInvolvedPeople2	TIPL	-	TJvID3DoubleListFrame	-	-	X
fiMusicianCreditList	TMCL	-	TJvID3DoubleListFrame	-	-	X
fiGeneralObject	GEOB	GEO	TJvID3GeneralObjFrame	X	X	X
fiBPM	TBPM	TBP	TJvID3NumberFrame	X	X	X
fiOrigYear	TORY	TOR	TJvID3NumberFrame	X	X	d
fiPlaylistDelay	TDLY	TDY	TJvID3NumberFrame	X	X	X
fiSize	TSIZ	TSI	TJvID3NumberFrame	X	X	d
fiSongLen	TLEN	TLE	TJvID3NumberFrame	X	X	X
fiYear	TYER	TYE	TJvID3NumberFrame	X	X	d
fiOwnership	OWNE	-	TJvID3OwnershipFrame	-	X	X
fiPicture	APIC	PIC	TJvID3PictureFrame	X	X	X
fiPlayCounter	PCNT	CNT	TJvID3PlayCounterFrame	X	X	X
fiPopularimeter	POPM	POP	TJvID3PopularimeterFrame	X	X	X
fiComposer	TCOM	TCM	TJvID3SimpleListFrame	X	X	X
fiLanguage	TLAN	TLA	TJvID3SimpleListFrame	X	X	X
fiLeadArtist	TPE1	TP1	TJvID3SimpleListFrame	X	X	X
fiLyricist	TEXT	TXT	TJvID3SimpleListFrame	X	X	X
fiOrigArtist	TOPE	TOA	TJvID3SimpleListFrame	X	X	X
fiOrigLyricist	TOLY	TOL	TJvID3SimpleListFrame	X	X	X
fiNoFrame	-	-	TJvID3SkipFrame
fiTermsOfUse	USER	-	TJvID3TermsOfUseFrame	-	X	X
fiAlbum	TALB	TAL	TJvID3TextFrame	X	X	X
fiAlbumSortOrder	TSOA	-	TJvID3TextFrame	-	-	X
fiBand	TPE2	TP2	TJvID3TextFrame	X	X	X
fiConductor	TPE3	TP3	TJvID3TextFrame	X	X	X
fiContentGroup	TIT1	TT1	TJvID3TextFrame	X	X	X
fiContentType	TCON	TCO	TJvID3TextFrame	X	X	X
fiCopyright	TCOP	TCR	TJvID3TextFrame	X	X	X
fiDate	TDAT	TDA	TJvID3TextFrame	X	X	d
fiEncodedBy	TENC	TEN	TJvID3TextFrame	X	X	X
fiEncoderSettings	TSSE	-	TJvID3TextFrame	-	X	X
fiFileOwner	TOWN	-	TJvID3TextFrame	-	X	X
fiFileType	TFLT	TFT	TJvID3TextFrame	X	X	X
fiISRC	TSRC	TRC	TJvID3TextFrame	X	X	X
fiInitialKey	TKEY	TKE	TJvID3TextFrame	X	X	X
fiMediaType	TMED	TMT	TJvID3TextFrame	X	X	X
fiMixArtist	TPE4	TP4	TJvID3TextFrame	X	X	X
fiMood	TMOO	-	TJvID3TextFrame	-	-	X
fiNetRadioOwner	TRSO	TRO	TJvID3TextFrame	X	X	X
fiNetRadioStation	TRSN	TRN	TJvID3TextFrame	X	X	X
fiOrigAlbum	TOAL	TOT	TJvID3TextFrame	X	X	X
fiOrigFileName	TOFN	TOF	TJvID3TextFrame	X	X	X
fiPartInSet	TPOS	TPA	TJvID3TextFrame	X	X	X
fiPerformerSortOrder	TSOP	-	TJvID3TextFrame	-	-	X
fiProducedNotice	TPRO	-	TJvID3TextFrame	-	-	X
fiPublisher	TPUB	TPB	TJvID3TextFrame	X	X	X
fiRecordingDates	TRDA	TRD	TJvID3TextFrame	X	X	d
fiSetSubTitle	TSST	TSS	TJvID3TextFrame	-	-	X
fiSubTitle	TIT3	TT3	TJvID3TextFrame	X	X	X
fiTime	TIME	TIM	TJvID3TextFrame	X	X	d
fiTitle	TIT2	TT2	TJvID3TextFrame	X	X	X
fiTitleSortOrder	TSOT	-	TJvID3TextFrame	-	-	X
fiTrackNum	TRCK	TRK	TJvID3TextFrame	X	X	X
fiEncodingTime	TDEN	-	TJvID3TimestampFrame	-	-	X
fiOrigReleaseTime	TDOR	-	TJvID3TimestampFrame	-	-	X
fiRecordingTime	TDRC	-	TJvID3TimestampFrame	-	-	X
fiReleaseTime	TDRL	-	TJvID3TimestampFrame	-	-	X
fiTaggingTime	TDTG	-	TJvID3TimestampFrame	-	-	X
fiWWWArtist	WOAR	WAR	TJvID3URLFrame	X	X	X
fiWWWAudioFile	WOAF	WAF	TJvID3URLFrame	X	X	X
fiWWWAudioSource	WOAS	WAS	TJvID3URLFrame	X	X	X
fiWWWCommercialInfo	WCOM	WCM	TJvID3URLFrame	X	X	X
fiWWWCopyright	WCOP	WCP	TJvID3URLFrame	X	X	X
fiWWWPayment	WPAY	WPY	TJvID3URLFrame	X	X	X
fiWWWPublisher	WPUB	WPB	TJvID3URLFrame	X	X	X
fiWWWRadioPage	WORS	WRA	TJvID3URLFrame	X	X	X
fiWWWUser	WXXX	WXX	TJvID3URLUserFrame	X	X	X
fiUserText	TXXX	TXX	TJvID3UserFrame	X	X	X

d = deprecated; X = Includes; - = Excludes;

Created with Doc-O-Matic.


Package

MM


TJvSearchFiles Examples

Package	Edit topic

To search for files whose names starts with 'Jv' in the directory 'C:\Source\' and its sub-directories, do the following:

Include soSearchFiles in Options. Exclude soSearchDirs from Options.

Set DirOption to doIncludeSubDirs.

Add 'Jv*' to the mask list FileMasks of FileParams.

Include stFileMask in FileParams.SearchTypes.

Set RootDirectory to 'C:\Source\'.

Call Search.

To search for all read-only directories, created after '1-1-2000' on drive C, do the following:

Include soSearchDirs in Options. Exclude soSearchFiles from Options.

Set DirOption to doIncludeSubDirs.

Set DirParams.Attributes.ReadOnly to tsMustBeSet.

Set DirParams.LastChangeAfter to '1-1-2000'.

Include stAttribute and stLastChangeAfter in DirParams.SearchTypes.

Set RootDirectory to 'C:\'.

Call Search.

To search for all temporary or archive files with a minimal file size of 1,000,000 bytes in the encrypted sub-directories of 'C:\temp\dir\', with directory name 'test' or 'dummy', do the following:

Include soSearchFiles in Options. Exclude soSearchDirs from Options.

Set DirOption to doExcludeInvalidDirs.

Set DirParams.Attributes.Encrypted to tsMustBeSet.

Add 'test' and 'dummy' to the mask list FileMasks of DirParams.

Include stAttribute and stFileMask in DirParams.SearchTypes.

Set the ReadOnly, Hidden, System, Normal, SparseFile, ReparsePoint, Compressed, OffLine, NotContentIndexed and Encrypted properties of FileParams.Attributes to tsMustBeUnSet and set Archive and Temporary to tsDontCare. Or alternatively set FileParams.Attributes.ExcludeAttr to 'not (FILE_ATTRIBUTE_TEMPORARY or FILE_ATTRIBUTE_ARCHIVE)', and FileParams.Attributes.IncludeAttr to 0.

Set FileParams.MinSize to 1,000,000.

Include stAttribute and stMinSize in FileParams.SearchTypes.

Set RootDirectory to 'C:\temp\dir\'.

Include soExcludeFilesInRootDir in Options.

Call Search.

Created with Doc-O-Matic.


Package

System